#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1853
#define LARGE_STATE_COUNT 957
#define SYMBOL_COUNT 274
#define ALIAS_COUNT 1
#define TOKEN_COUNT 154
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 16
#define MAX_ALIAS_SEQUENCE_LENGTH 11
#define PRODUCTION_ID_COUNT 56

enum ts_symbol_identifiers {
  sym__identifier = 1,
  anon_sym_COMMA = 2,
  anon_sym_pub = 3,
  anon_sym_test = 4,
  anon_sym_comptime = 5,
  anon_sym_COLON = 6,
  anon_sym_EQ = 7,
  anon_sym_export = 8,
  anon_sym_extern = 9,
  anon_sym_threadlocal = 10,
  anon_sym_SEMI = 11,
  anon_sym_STAR_EQ = 12,
  anon_sym_STAR_PERCENT_EQ = 13,
  anon_sym_STAR_PIPE_EQ = 14,
  anon_sym_SLASH_EQ = 15,
  anon_sym_PERCENT_EQ = 16,
  anon_sym_PLUS_EQ = 17,
  anon_sym_PLUS_PERCENT_EQ = 18,
  anon_sym_PLUS_PIPE_EQ = 19,
  anon_sym_DASH_EQ = 20,
  anon_sym_DASH_PERCENT_EQ = 21,
  anon_sym_DASH_PIPE_EQ = 22,
  anon_sym_LT_LT_EQ = 23,
  anon_sym_LT_LT_PIPE_EQ = 24,
  anon_sym_GT_GT_EQ = 25,
  anon_sym_AMP_EQ = 26,
  anon_sym_CARET_EQ = 27,
  anon_sym_PIPE_EQ = 28,
  anon_sym_const = 29,
  anon_sym_var = 30,
  anon_sym_inline = 31,
  anon_sym_noinline = 32,
  anon_sym_fn = 33,
  anon_sym_BANG = 34,
  anon_sym_LPAREN = 35,
  anon_sym_RPAREN = 36,
  anon_sym_noalias = 37,
  anon_sym_DOT_DOT_DOT = 38,
  anon_sym_usingnamespace = 39,
  anon_sym_LBRACE = 40,
  anon_sym_RBRACE = 41,
  anon_sym_packed = 42,
  anon_sym_struct = 43,
  anon_sym_opaque = 44,
  anon_sym_enum = 45,
  anon_sym_union = 46,
  anon_sym_error = 47,
  anon_sym_nosuspend = 48,
  anon_sym_suspend = 49,
  anon_sym_defer = 50,
  anon_sym_errdefer = 51,
  anon_sym_if = 52,
  anon_sym_else = 53,
  anon_sym_for = 54,
  anon_sym_DOT_DOT = 55,
  anon_sym_while = 56,
  anon_sym_PIPE = 57,
  anon_sym_STAR = 58,
  anon_sym_align = 59,
  anon_sym_addrspace = 60,
  anon_sym_linksection = 61,
  anon_sym_callconv = 62,
  anon_sym_asm = 63,
  anon_sym_volatile = 64,
  anon_sym_LBRACK = 65,
  anon_sym_RBRACK = 66,
  anon_sym_DASH_GT = 67,
  anon_sym_TILDE = 68,
  anon_sym_DASH = 69,
  anon_sym_DASH_PERCENT = 70,
  anon_sym_AMP = 71,
  anon_sym_or = 72,
  anon_sym_and = 73,
  anon_sym_EQ_EQ = 74,
  anon_sym_BANG_EQ = 75,
  anon_sym_GT = 76,
  anon_sym_GT_EQ = 77,
  anon_sym_LT_EQ = 78,
  anon_sym_LT = 79,
  anon_sym_CARET = 80,
  anon_sym_orelse = 81,
  anon_sym_LT_LT = 82,
  anon_sym_GT_GT = 83,
  anon_sym_LT_LT_PIPE = 84,
  anon_sym_PLUS = 85,
  anon_sym_PLUS_PLUS = 86,
  anon_sym_PLUS_PERCENT = 87,
  anon_sym_PLUS_PIPE = 88,
  anon_sym_DASH_PIPE = 89,
  anon_sym_SLASH = 90,
  anon_sym_PERCENT = 91,
  anon_sym_STAR_STAR = 92,
  anon_sym_STAR_PERCENT = 93,
  anon_sym_STAR_PIPE = 94,
  anon_sym_PIPE_PIPE = 95,
  anon_sym_async = 96,
  anon_sym_await = 97,
  anon_sym_continue = 98,
  anon_sym_resume = 99,
  anon_sym_return = 100,
  anon_sym_break = 101,
  anon_sym_try = 102,
  anon_sym_catch = 103,
  anon_sym_switch = 104,
  anon_sym_EQ_GT = 105,
  anon_sym_anyframe = 106,
  anon_sym_unreachable = 107,
  anon_sym_undefined = 108,
  anon_sym_null = 109,
  anon_sym_QMARK = 110,
  anon_sym_allowzero = 111,
  anon_sym_c = 112,
  anon_sym_DOT = 113,
  anon_sym_DOT_STAR = 114,
  anon_sym_DOT_QMARK = 115,
  anon_sym_DQUOTE = 116,
  aux_sym_string_token1 = 117,
  aux_sym_multiline_string_token1 = 118,
  sym_escape_sequence = 119,
  anon_sym_SQUOTE = 120,
  aux_sym_character_token1 = 121,
  sym_integer = 122,
  sym_float = 123,
  anon_sym_true = 124,
  anon_sym_false = 125,
  anon_sym_bool = 126,
  anon_sym_f16 = 127,
  anon_sym_f32 = 128,
  anon_sym_f64 = 129,
  anon_sym_f128 = 130,
  anon_sym_void = 131,
  anon_sym_type = 132,
  anon_sym_anyerror = 133,
  anon_sym_anyopaque = 134,
  anon_sym_anytype = 135,
  anon_sym_noreturn = 136,
  anon_sym_isize = 137,
  anon_sym_usize = 138,
  anon_sym_comptime_int = 139,
  anon_sym_comptime_float = 140,
  anon_sym_c_short = 141,
  anon_sym_c_ushort = 142,
  anon_sym_c_int = 143,
  anon_sym_c_uint = 144,
  anon_sym_c_long = 145,
  anon_sym_c_ulong = 146,
  anon_sym_c_longlong = 147,
  anon_sym_c_ulonglong = 148,
  anon_sym_c_longdouble = 149,
  aux_sym_builtin_type_token1 = 150,
  sym_builtin_identifier = 151,
  anon_sym_AT = 152,
  sym_comment = 153,
  sym_source_file = 154,
  sym__container_members = 155,
  sym_test_declaration = 156,
  sym_comptime_declaration = 157,
  sym_container_field = 158,
  sym_variable_declaration = 159,
  sym__variable_declaration_expression_statement = 160,
  sym__variable_declaration_header = 161,
  sym_function_declaration = 162,
  sym__function_prototype = 163,
  sym_parameters = 164,
  sym_parameter = 165,
  sym_using_namespace_declaration = 166,
  sym_block = 167,
  sym_struct_declaration = 168,
  sym_opaque_declaration = 169,
  sym_enum_declaration = 170,
  sym_union_declaration = 171,
  sym_error_set_declaration = 172,
  sym_statement = 173,
  sym_comptime_statement = 174,
  sym_nosuspend_statement = 175,
  sym_suspend_statement = 176,
  sym_defer_statement = 177,
  sym_errdefer_statement = 178,
  sym__block_expr_statement = 179,
  sym_block_expression = 180,
  sym_labeled_statement = 181,
  sym_expression_statement = 182,
  sym_if_statement = 183,
  sym__if_prefix = 184,
  sym_else_clause = 185,
  sym_for_statement = 186,
  sym__for_prefix = 187,
  sym_while_statement = 188,
  sym__while_prefix = 189,
  sym__conditional_body = 190,
  sym_payload = 191,
  sym_byte_alignment = 192,
  sym_address_space = 193,
  sym_link_section = 194,
  sym_calling_convention = 195,
  sym_expression = 196,
  sym_asm_expression = 197,
  sym_asm_output = 198,
  sym_asm_output_item = 199,
  sym_asm_input = 200,
  sym_asm_input_item = 201,
  sym_asm_clobbers = 202,
  sym_if_expression = 203,
  sym_for_expression = 204,
  sym_while_expression = 205,
  sym_assignment_expression = 206,
  sym_unary_expression = 207,
  sym_binary_expression = 208,
  sym_comptime_expression = 209,
  sym_async_expression = 210,
  sym_await_expression = 211,
  sym_nosuspend_expression = 212,
  sym_continue_expression = 213,
  sym_resume_expression = 214,
  sym_return_expression = 215,
  sym_break_expression = 216,
  sym_try_expression = 217,
  sym_catch_expression = 218,
  sym_switch_expression = 219,
  sym_switch_case = 220,
  sym__switch_case_exp = 221,
  sym_type_expression = 222,
  sym_primary_type_expression = 223,
  sym_nullable_type = 224,
  sym_anyframe_type = 225,
  sym_slice_type = 226,
  sym_pointer_type = 227,
  sym_array_type = 228,
  sym_error_union_type = 229,
  sym_field_expression = 230,
  sym_index_expression = 231,
  sym_dereference_expression = 232,
  sym_null_coercion_expression = 233,
  sym_range_expression = 234,
  sym_call_expression = 235,
  sym_anonymous_struct_initializer = 236,
  sym_struct_initializer = 237,
  sym_initializer_list = 238,
  sym_field_initializer = 239,
  sym_labeled_type_expression = 240,
  sym_comptime_type_expression = 241,
  sym_if_type_expression = 242,
  sym_parenthesized_expression = 243,
  sym_block_label = 244,
  sym_break_label = 245,
  sym_arguments = 246,
  sym_builtin_function = 247,
  sym_string = 248,
  sym_multiline_string = 249,
  sym_character = 250,
  sym_boolean = 251,
  sym_builtin_type = 252,
  sym_error_type = 253,
  sym_identifier = 254,
  sym__reserved_identifier = 255,
  aux_sym__container_members_repeat1 = 256,
  aux_sym__variable_declaration_expression_statement_repeat1 = 257,
  aux_sym_parameters_repeat1 = 258,
  aux_sym_block_repeat1 = 259,
  aux_sym_error_set_declaration_repeat1 = 260,
  aux_sym__for_prefix_repeat1 = 261,
  aux_sym_payload_repeat1 = 262,
  aux_sym_asm_output_repeat1 = 263,
  aux_sym_asm_input_repeat1 = 264,
  aux_sym_asm_clobbers_repeat1 = 265,
  aux_sym_switch_expression_repeat1 = 266,
  aux_sym__switch_case_exp_repeat1 = 267,
  aux_sym_slice_type_repeat1 = 268,
  aux_sym_pointer_type_repeat1 = 269,
  aux_sym_call_expression_repeat1 = 270,
  aux_sym_initializer_list_repeat1 = 271,
  aux_sym_string_repeat1 = 272,
  aux_sym_multiline_string_repeat1 = 273,
  alias_sym_function_signature = 274,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__identifier] = "_identifier",
  [anon_sym_COMMA] = ",",
  [anon_sym_pub] = "pub",
  [anon_sym_test] = "test",
  [anon_sym_comptime] = "comptime",
  [anon_sym_COLON] = ":",
  [anon_sym_EQ] = "=",
  [anon_sym_export] = "export",
  [anon_sym_extern] = "extern",
  [anon_sym_threadlocal] = "threadlocal",
  [anon_sym_SEMI] = ";",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_STAR_PERCENT_EQ] = "*%=",
  [anon_sym_STAR_PIPE_EQ] = "*|=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_PLUS_PERCENT_EQ] = "+%=",
  [anon_sym_PLUS_PIPE_EQ] = "+|=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_DASH_PERCENT_EQ] = "-%=",
  [anon_sym_DASH_PIPE_EQ] = "-|=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_LT_LT_PIPE_EQ] = "<<|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_const] = "const",
  [anon_sym_var] = "var",
  [anon_sym_inline] = "inline",
  [anon_sym_noinline] = "noinline",
  [anon_sym_fn] = "fn",
  [anon_sym_BANG] = "!",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_noalias] = "noalias",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_usingnamespace] = "usingnamespace",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_packed] = "packed",
  [anon_sym_struct] = "struct",
  [anon_sym_opaque] = "opaque",
  [anon_sym_enum] = "enum",
  [anon_sym_union] = "union",
  [anon_sym_error] = "error",
  [anon_sym_nosuspend] = "nosuspend",
  [anon_sym_suspend] = "suspend",
  [anon_sym_defer] = "defer",
  [anon_sym_errdefer] = "errdefer",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_for] = "for",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_while] = "while",
  [anon_sym_PIPE] = "|",
  [anon_sym_STAR] = "*",
  [anon_sym_align] = "align",
  [anon_sym_addrspace] = "addrspace",
  [anon_sym_linksection] = "linksection",
  [anon_sym_callconv] = "callconv",
  [anon_sym_asm] = "asm",
  [anon_sym_volatile] = "volatile",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_DASH_PERCENT] = "-%",
  [anon_sym_AMP] = "&",
  [anon_sym_or] = "or",
  [anon_sym_and] = "and",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_CARET] = "^",
  [anon_sym_orelse] = "orelse",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_LT_LT_PIPE] = "<<|",
  [anon_sym_PLUS] = "+",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_PLUS_PERCENT] = "+%",
  [anon_sym_PLUS_PIPE] = "+|",
  [anon_sym_DASH_PIPE] = "-|",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_STAR_PERCENT] = "*%",
  [anon_sym_STAR_PIPE] = "*|",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_async] = "async",
  [anon_sym_await] = "await",
  [anon_sym_continue] = "continue",
  [anon_sym_resume] = "resume",
  [anon_sym_return] = "return",
  [anon_sym_break] = "break",
  [anon_sym_try] = "try",
  [anon_sym_catch] = "catch",
  [anon_sym_switch] = "switch",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_anyframe] = "anyframe",
  [anon_sym_unreachable] = "unreachable",
  [anon_sym_undefined] = "undefined",
  [anon_sym_null] = "null",
  [anon_sym_QMARK] = "\?",
  [anon_sym_allowzero] = "allowzero",
  [anon_sym_c] = "c",
  [anon_sym_DOT] = ".",
  [anon_sym_DOT_STAR] = ".*",
  [anon_sym_DOT_QMARK] = ".\?",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_content",
  [aux_sym_multiline_string_token1] = "multiline_string_token1",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_character_token1] = "character_content",
  [sym_integer] = "integer",
  [sym_float] = "float",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [anon_sym_bool] = "bool",
  [anon_sym_f16] = "f16",
  [anon_sym_f32] = "f32",
  [anon_sym_f64] = "f64",
  [anon_sym_f128] = "f128",
  [anon_sym_void] = "void",
  [anon_sym_type] = "type",
  [anon_sym_anyerror] = "anyerror",
  [anon_sym_anyopaque] = "anyopaque",
  [anon_sym_anytype] = "anytype",
  [anon_sym_noreturn] = "noreturn",
  [anon_sym_isize] = "isize",
  [anon_sym_usize] = "usize",
  [anon_sym_comptime_int] = "comptime_int",
  [anon_sym_comptime_float] = "comptime_float",
  [anon_sym_c_short] = "c_short",
  [anon_sym_c_ushort] = "c_ushort",
  [anon_sym_c_int] = "c_int",
  [anon_sym_c_uint] = "c_uint",
  [anon_sym_c_long] = "c_long",
  [anon_sym_c_ulong] = "c_ulong",
  [anon_sym_c_longlong] = "c_longlong",
  [anon_sym_c_ulonglong] = "c_ulonglong",
  [anon_sym_c_longdouble] = "c_longdouble",
  [aux_sym_builtin_type_token1] = "builtin_type_token1",
  [sym_builtin_identifier] = "builtin_identifier",
  [anon_sym_AT] = "@",
  [sym_comment] = "comment",
  [sym_source_file] = "source_file",
  [sym__container_members] = "_container_members",
  [sym_test_declaration] = "test_declaration",
  [sym_comptime_declaration] = "comptime_declaration",
  [sym_container_field] = "container_field",
  [sym_variable_declaration] = "variable_declaration",
  [sym__variable_declaration_expression_statement] = "variable_declaration",
  [sym__variable_declaration_header] = "_variable_declaration_header",
  [sym_function_declaration] = "function_declaration",
  [sym__function_prototype] = "_function_prototype",
  [sym_parameters] = "parameters",
  [sym_parameter] = "parameter",
  [sym_using_namespace_declaration] = "using_namespace_declaration",
  [sym_block] = "block",
  [sym_struct_declaration] = "struct_declaration",
  [sym_opaque_declaration] = "opaque_declaration",
  [sym_enum_declaration] = "enum_declaration",
  [sym_union_declaration] = "union_declaration",
  [sym_error_set_declaration] = "error_set_declaration",
  [sym_statement] = "statement",
  [sym_comptime_statement] = "comptime_statement",
  [sym_nosuspend_statement] = "nosuspend_statement",
  [sym_suspend_statement] = "suspend_statement",
  [sym_defer_statement] = "defer_statement",
  [sym_errdefer_statement] = "errdefer_statement",
  [sym__block_expr_statement] = "_block_expr_statement",
  [sym_block_expression] = "block_expression",
  [sym_labeled_statement] = "labeled_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_if_statement] = "if_statement",
  [sym__if_prefix] = "_if_prefix",
  [sym_else_clause] = "else_clause",
  [sym_for_statement] = "for_statement",
  [sym__for_prefix] = "_for_prefix",
  [sym_while_statement] = "while_statement",
  [sym__while_prefix] = "_while_prefix",
  [sym__conditional_body] = "_conditional_body",
  [sym_payload] = "payload",
  [sym_byte_alignment] = "byte_alignment",
  [sym_address_space] = "address_space",
  [sym_link_section] = "link_section",
  [sym_calling_convention] = "calling_convention",
  [sym_expression] = "expression",
  [sym_asm_expression] = "asm_expression",
  [sym_asm_output] = "asm_output",
  [sym_asm_output_item] = "asm_output_item",
  [sym_asm_input] = "asm_input",
  [sym_asm_input_item] = "asm_input_item",
  [sym_asm_clobbers] = "asm_clobbers",
  [sym_if_expression] = "if_expression",
  [sym_for_expression] = "for_expression",
  [sym_while_expression] = "while_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_comptime_expression] = "comptime_expression",
  [sym_async_expression] = "async_expression",
  [sym_await_expression] = "await_expression",
  [sym_nosuspend_expression] = "nosuspend_expression",
  [sym_continue_expression] = "continue_expression",
  [sym_resume_expression] = "resume_expression",
  [sym_return_expression] = "return_expression",
  [sym_break_expression] = "break_expression",
  [sym_try_expression] = "try_expression",
  [sym_catch_expression] = "catch_expression",
  [sym_switch_expression] = "switch_expression",
  [sym_switch_case] = "switch_case",
  [sym__switch_case_exp] = "_switch_case_exp",
  [sym_type_expression] = "type_expression",
  [sym_primary_type_expression] = "primary_type_expression",
  [sym_nullable_type] = "nullable_type",
  [sym_anyframe_type] = "anyframe_type",
  [sym_slice_type] = "slice_type",
  [sym_pointer_type] = "pointer_type",
  [sym_array_type] = "array_type",
  [sym_error_union_type] = "error_union_type",
  [sym_field_expression] = "field_expression",
  [sym_index_expression] = "index_expression",
  [sym_dereference_expression] = "dereference_expression",
  [sym_null_coercion_expression] = "null_coercion_expression",
  [sym_range_expression] = "range_expression",
  [sym_call_expression] = "call_expression",
  [sym_anonymous_struct_initializer] = "anonymous_struct_initializer",
  [sym_struct_initializer] = "struct_initializer",
  [sym_initializer_list] = "initializer_list",
  [sym_field_initializer] = "field_initializer",
  [sym_labeled_type_expression] = "labeled_type_expression",
  [sym_comptime_type_expression] = "comptime_type_expression",
  [sym_if_type_expression] = "if_type_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_block_label] = "block_label",
  [sym_break_label] = "break_label",
  [sym_arguments] = "arguments",
  [sym_builtin_function] = "builtin_function",
  [sym_string] = "string",
  [sym_multiline_string] = "multiline_string",
  [sym_character] = "character",
  [sym_boolean] = "boolean",
  [sym_builtin_type] = "builtin_type",
  [sym_error_type] = "error_type",
  [sym_identifier] = "identifier",
  [sym__reserved_identifier] = "_reserved_identifier",
  [aux_sym__container_members_repeat1] = "_container_members_repeat1",
  [aux_sym__variable_declaration_expression_statement_repeat1] = "_variable_declaration_expression_statement_repeat1",
  [aux_sym_parameters_repeat1] = "parameters_repeat1",
  [aux_sym_block_repeat1] = "block_repeat1",
  [aux_sym_error_set_declaration_repeat1] = "error_set_declaration_repeat1",
  [aux_sym__for_prefix_repeat1] = "_for_prefix_repeat1",
  [aux_sym_payload_repeat1] = "payload_repeat1",
  [aux_sym_asm_output_repeat1] = "asm_output_repeat1",
  [aux_sym_asm_input_repeat1] = "asm_input_repeat1",
  [aux_sym_asm_clobbers_repeat1] = "asm_clobbers_repeat1",
  [aux_sym_switch_expression_repeat1] = "switch_expression_repeat1",
  [aux_sym__switch_case_exp_repeat1] = "_switch_case_exp_repeat1",
  [aux_sym_slice_type_repeat1] = "slice_type_repeat1",
  [aux_sym_pointer_type_repeat1] = "pointer_type_repeat1",
  [aux_sym_call_expression_repeat1] = "call_expression_repeat1",
  [aux_sym_initializer_list_repeat1] = "initializer_list_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_multiline_string_repeat1] = "multiline_string_repeat1",
  [alias_sym_function_signature] = "function_signature",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__identifier] = sym__identifier,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_pub] = anon_sym_pub,
  [anon_sym_test] = anon_sym_test,
  [anon_sym_comptime] = anon_sym_comptime,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym_threadlocal] = anon_sym_threadlocal,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_STAR_PERCENT_EQ] = anon_sym_STAR_PERCENT_EQ,
  [anon_sym_STAR_PIPE_EQ] = anon_sym_STAR_PIPE_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_PLUS_PERCENT_EQ] = anon_sym_PLUS_PERCENT_EQ,
  [anon_sym_PLUS_PIPE_EQ] = anon_sym_PLUS_PIPE_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_DASH_PERCENT_EQ] = anon_sym_DASH_PERCENT_EQ,
  [anon_sym_DASH_PIPE_EQ] = anon_sym_DASH_PIPE_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_LT_LT_PIPE_EQ] = anon_sym_LT_LT_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym_noinline] = anon_sym_noinline,
  [anon_sym_fn] = anon_sym_fn,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_noalias] = anon_sym_noalias,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_usingnamespace] = anon_sym_usingnamespace,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_packed] = anon_sym_packed,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_opaque] = anon_sym_opaque,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_error] = anon_sym_error,
  [anon_sym_nosuspend] = anon_sym_nosuspend,
  [anon_sym_suspend] = anon_sym_suspend,
  [anon_sym_defer] = anon_sym_defer,
  [anon_sym_errdefer] = anon_sym_errdefer,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_align] = anon_sym_align,
  [anon_sym_addrspace] = anon_sym_addrspace,
  [anon_sym_linksection] = anon_sym_linksection,
  [anon_sym_callconv] = anon_sym_callconv,
  [anon_sym_asm] = anon_sym_asm,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_DASH_PERCENT] = anon_sym_DASH_PERCENT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_orelse] = anon_sym_orelse,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_LT_LT_PIPE] = anon_sym_LT_LT_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_PLUS_PERCENT] = anon_sym_PLUS_PERCENT,
  [anon_sym_PLUS_PIPE] = anon_sym_PLUS_PIPE,
  [anon_sym_DASH_PIPE] = anon_sym_DASH_PIPE,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_STAR_PERCENT] = anon_sym_STAR_PERCENT,
  [anon_sym_STAR_PIPE] = anon_sym_STAR_PIPE,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_resume] = anon_sym_resume,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_anyframe] = anon_sym_anyframe,
  [anon_sym_unreachable] = anon_sym_unreachable,
  [anon_sym_undefined] = anon_sym_undefined,
  [anon_sym_null] = anon_sym_null,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_allowzero] = anon_sym_allowzero,
  [anon_sym_c] = anon_sym_c,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DOT_STAR] = anon_sym_DOT_STAR,
  [anon_sym_DOT_QMARK] = anon_sym_DOT_QMARK,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [aux_sym_multiline_string_token1] = aux_sym_multiline_string_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_character_token1] = aux_sym_character_token1,
  [sym_integer] = sym_integer,
  [sym_float] = sym_float,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_f16] = anon_sym_f16,
  [anon_sym_f32] = anon_sym_f32,
  [anon_sym_f64] = anon_sym_f64,
  [anon_sym_f128] = anon_sym_f128,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_anyerror] = anon_sym_anyerror,
  [anon_sym_anyopaque] = anon_sym_anyopaque,
  [anon_sym_anytype] = anon_sym_anytype,
  [anon_sym_noreturn] = anon_sym_noreturn,
  [anon_sym_isize] = anon_sym_isize,
  [anon_sym_usize] = anon_sym_usize,
  [anon_sym_comptime_int] = anon_sym_comptime_int,
  [anon_sym_comptime_float] = anon_sym_comptime_float,
  [anon_sym_c_short] = anon_sym_c_short,
  [anon_sym_c_ushort] = anon_sym_c_ushort,
  [anon_sym_c_int] = anon_sym_c_int,
  [anon_sym_c_uint] = anon_sym_c_uint,
  [anon_sym_c_long] = anon_sym_c_long,
  [anon_sym_c_ulong] = anon_sym_c_ulong,
  [anon_sym_c_longlong] = anon_sym_c_longlong,
  [anon_sym_c_ulonglong] = anon_sym_c_ulonglong,
  [anon_sym_c_longdouble] = anon_sym_c_longdouble,
  [aux_sym_builtin_type_token1] = aux_sym_builtin_type_token1,
  [sym_builtin_identifier] = sym_builtin_identifier,
  [anon_sym_AT] = anon_sym_AT,
  [sym_comment] = sym_comment,
  [sym_source_file] = sym_source_file,
  [sym__container_members] = sym__container_members,
  [sym_test_declaration] = sym_test_declaration,
  [sym_comptime_declaration] = sym_comptime_declaration,
  [sym_container_field] = sym_container_field,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym__variable_declaration_expression_statement] = sym_variable_declaration,
  [sym__variable_declaration_header] = sym__variable_declaration_header,
  [sym_function_declaration] = sym_function_declaration,
  [sym__function_prototype] = sym__function_prototype,
  [sym_parameters] = sym_parameters,
  [sym_parameter] = sym_parameter,
  [sym_using_namespace_declaration] = sym_using_namespace_declaration,
  [sym_block] = sym_block,
  [sym_struct_declaration] = sym_struct_declaration,
  [sym_opaque_declaration] = sym_opaque_declaration,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_union_declaration] = sym_union_declaration,
  [sym_error_set_declaration] = sym_error_set_declaration,
  [sym_statement] = sym_statement,
  [sym_comptime_statement] = sym_comptime_statement,
  [sym_nosuspend_statement] = sym_nosuspend_statement,
  [sym_suspend_statement] = sym_suspend_statement,
  [sym_defer_statement] = sym_defer_statement,
  [sym_errdefer_statement] = sym_errdefer_statement,
  [sym__block_expr_statement] = sym__block_expr_statement,
  [sym_block_expression] = sym_block_expression,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_if_statement] = sym_if_statement,
  [sym__if_prefix] = sym__if_prefix,
  [sym_else_clause] = sym_else_clause,
  [sym_for_statement] = sym_for_statement,
  [sym__for_prefix] = sym__for_prefix,
  [sym_while_statement] = sym_while_statement,
  [sym__while_prefix] = sym__while_prefix,
  [sym__conditional_body] = sym__conditional_body,
  [sym_payload] = sym_payload,
  [sym_byte_alignment] = sym_byte_alignment,
  [sym_address_space] = sym_address_space,
  [sym_link_section] = sym_link_section,
  [sym_calling_convention] = sym_calling_convention,
  [sym_expression] = sym_expression,
  [sym_asm_expression] = sym_asm_expression,
  [sym_asm_output] = sym_asm_output,
  [sym_asm_output_item] = sym_asm_output_item,
  [sym_asm_input] = sym_asm_input,
  [sym_asm_input_item] = sym_asm_input_item,
  [sym_asm_clobbers] = sym_asm_clobbers,
  [sym_if_expression] = sym_if_expression,
  [sym_for_expression] = sym_for_expression,
  [sym_while_expression] = sym_while_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_comptime_expression] = sym_comptime_expression,
  [sym_async_expression] = sym_async_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_nosuspend_expression] = sym_nosuspend_expression,
  [sym_continue_expression] = sym_continue_expression,
  [sym_resume_expression] = sym_resume_expression,
  [sym_return_expression] = sym_return_expression,
  [sym_break_expression] = sym_break_expression,
  [sym_try_expression] = sym_try_expression,
  [sym_catch_expression] = sym_catch_expression,
  [sym_switch_expression] = sym_switch_expression,
  [sym_switch_case] = sym_switch_case,
  [sym__switch_case_exp] = sym__switch_case_exp,
  [sym_type_expression] = sym_type_expression,
  [sym_primary_type_expression] = sym_primary_type_expression,
  [sym_nullable_type] = sym_nullable_type,
  [sym_anyframe_type] = sym_anyframe_type,
  [sym_slice_type] = sym_slice_type,
  [sym_pointer_type] = sym_pointer_type,
  [sym_array_type] = sym_array_type,
  [sym_error_union_type] = sym_error_union_type,
  [sym_field_expression] = sym_field_expression,
  [sym_index_expression] = sym_index_expression,
  [sym_dereference_expression] = sym_dereference_expression,
  [sym_null_coercion_expression] = sym_null_coercion_expression,
  [sym_range_expression] = sym_range_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_anonymous_struct_initializer] = sym_anonymous_struct_initializer,
  [sym_struct_initializer] = sym_struct_initializer,
  [sym_initializer_list] = sym_initializer_list,
  [sym_field_initializer] = sym_field_initializer,
  [sym_labeled_type_expression] = sym_labeled_type_expression,
  [sym_comptime_type_expression] = sym_comptime_type_expression,
  [sym_if_type_expression] = sym_if_type_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_block_label] = sym_block_label,
  [sym_break_label] = sym_break_label,
  [sym_arguments] = sym_arguments,
  [sym_builtin_function] = sym_builtin_function,
  [sym_string] = sym_string,
  [sym_multiline_string] = sym_multiline_string,
  [sym_character] = sym_character,
  [sym_boolean] = sym_boolean,
  [sym_builtin_type] = sym_builtin_type,
  [sym_error_type] = sym_error_type,
  [sym_identifier] = sym_identifier,
  [sym__reserved_identifier] = sym__reserved_identifier,
  [aux_sym__container_members_repeat1] = aux_sym__container_members_repeat1,
  [aux_sym__variable_declaration_expression_statement_repeat1] = aux_sym__variable_declaration_expression_statement_repeat1,
  [aux_sym_parameters_repeat1] = aux_sym_parameters_repeat1,
  [aux_sym_block_repeat1] = aux_sym_block_repeat1,
  [aux_sym_error_set_declaration_repeat1] = aux_sym_error_set_declaration_repeat1,
  [aux_sym__for_prefix_repeat1] = aux_sym__for_prefix_repeat1,
  [aux_sym_payload_repeat1] = aux_sym_payload_repeat1,
  [aux_sym_asm_output_repeat1] = aux_sym_asm_output_repeat1,
  [aux_sym_asm_input_repeat1] = aux_sym_asm_input_repeat1,
  [aux_sym_asm_clobbers_repeat1] = aux_sym_asm_clobbers_repeat1,
  [aux_sym_switch_expression_repeat1] = aux_sym_switch_expression_repeat1,
  [aux_sym__switch_case_exp_repeat1] = aux_sym__switch_case_exp_repeat1,
  [aux_sym_slice_type_repeat1] = aux_sym_slice_type_repeat1,
  [aux_sym_pointer_type_repeat1] = aux_sym_pointer_type_repeat1,
  [aux_sym_call_expression_repeat1] = aux_sym_call_expression_repeat1,
  [aux_sym_initializer_list_repeat1] = aux_sym_initializer_list_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_multiline_string_repeat1] = aux_sym_multiline_string_repeat1,
  [alias_sym_function_signature] = alias_sym_function_signature,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__identifier] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pub] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_test] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_comptime] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_threadlocal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noinline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noalias] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_usingnamespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_packed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_opaque] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_error] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nosuspend] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_suspend] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_errdefer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_align] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_addrspace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_linksection] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_callconv] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_orelse] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_resume] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_anyframe] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unreachable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_undefined] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_null] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_allowzero] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_c] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_multiline_string_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_character_token1] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_f16] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_f32] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_f64] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_f128] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_anyerror] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_anyopaque] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_anytype] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_isize] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_usize] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_comptime_int] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_comptime_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_c_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_c_ushort] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_c_int] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_c_uint] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_c_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_c_ulong] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_c_longlong] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_c_ulonglong] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_c_longdouble] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_builtin_type_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_builtin_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym__container_members] = {
    .visible = false,
    .named = true,
  },
  [sym_test_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_comptime_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_container_field] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_declaration_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_declaration_header] = {
    .visible = false,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__function_prototype] = {
    .visible = false,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_using_namespace_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_opaque_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_union_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_error_set_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_comptime_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_nosuspend_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_suspend_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_errdefer_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__block_expr_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_block_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__if_prefix] = {
    .visible = false,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_prefix] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__while_prefix] = {
    .visible = false,
    .named = true,
  },
  [sym__conditional_body] = {
    .visible = false,
    .named = true,
  },
  [sym_payload] = {
    .visible = true,
    .named = true,
  },
  [sym_byte_alignment] = {
    .visible = true,
    .named = true,
  },
  [sym_address_space] = {
    .visible = true,
    .named = true,
  },
  [sym_link_section] = {
    .visible = true,
    .named = true,
  },
  [sym_calling_convention] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_asm_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_asm_output] = {
    .visible = true,
    .named = true,
  },
  [sym_asm_output_item] = {
    .visible = true,
    .named = true,
  },
  [sym_asm_input] = {
    .visible = true,
    .named = true,
  },
  [sym_asm_input_item] = {
    .visible = true,
    .named = true,
  },
  [sym_asm_clobbers] = {
    .visible = true,
    .named = true,
  },
  [sym_if_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_for_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_comptime_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_async_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nosuspend_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_resume_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_return_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_break_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_try_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym__switch_case_exp] = {
    .visible = false,
    .named = true,
  },
  [sym_type_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_type_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_nullable_type] = {
    .visible = true,
    .named = true,
  },
  [sym_anyframe_type] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_type] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_error_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_index_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_dereference_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_null_coercion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_range_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_struct_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_type_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_comptime_type_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_if_type_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_block_label] = {
    .visible = true,
    .named = true,
  },
  [sym_break_label] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_builtin_function] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_multiline_string] = {
    .visible = true,
    .named = true,
  },
  [sym_character] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_builtin_type] = {
    .visible = true,
    .named = true,
  },
  [sym_error_type] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__reserved_identifier] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__container_members_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__variable_declaration_expression_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_error_set_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__for_prefix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_payload_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_asm_output_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_asm_input_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_asm_clobbers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__switch_case_exp_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_slice_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pointer_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_call_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_multiline_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_function_signature] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_body = 3,
  field_condition = 4,
  field_error = 5,
  field_function = 6,
  field_index = 7,
  field_left = 8,
  field_member = 9,
  field_name = 10,
  field_object = 11,
  field_ok = 12,
  field_operator = 13,
  field_right = 14,
  field_sentinel = 15,
  field_type = 16,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_error] = "error",
  [field_function] = "function",
  [field_index] = "index",
  [field_left] = "left",
  [field_member] = "member",
  [field_name] = "name",
  [field_object] = "object",
  [field_ok] = "ok",
  [field_operator] = "operator",
  [field_right] = "right",
  [field_sentinel] = "sentinel",
  [field_type] = "type",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 2},
  [2] = {.index = 2, .length = 1},
  [3] = {.index = 3, .length = 1},
  [4] = {.index = 4, .length = 2},
  [5] = {.index = 6, .length = 1},
  [6] = {.index = 7, .length = 1},
  [7] = {.index = 0, .length = 2},
  [8] = {.index = 8, .length = 3},
  [9] = {.index = 11, .length = 1},
  [10] = {.index = 12, .length = 1},
  [12] = {.index = 13, .length = 1},
  [13] = {.index = 14, .length = 2},
  [14] = {.index = 16, .length = 3},
  [15] = {.index = 19, .length = 1},
  [16] = {.index = 20, .length = 1},
  [17] = {.index = 21, .length = 1},
  [18] = {.index = 22, .length = 2},
  [19] = {.index = 24, .length = 1},
  [20] = {.index = 25, .length = 3},
  [21] = {.index = 28, .length = 1},
  [22] = {.index = 29, .length = 2},
  [23] = {.index = 31, .length = 2},
  [24] = {.index = 33, .length = 2},
  [25] = {.index = 35, .length = 2},
  [26] = {.index = 35, .length = 2},
  [27] = {.index = 37, .length = 1},
  [28] = {.index = 38, .length = 2},
  [29] = {.index = 40, .length = 3},
  [30] = {.index = 43, .length = 2},
  [31] = {.index = 43, .length = 2},
  [32] = {.index = 45, .length = 1},
  [33] = {.index = 46, .length = 1},
  [34] = {.index = 47, .length = 2},
  [35] = {.index = 49, .length = 2},
  [36] = {.index = 51, .length = 1},
  [37] = {.index = 52, .length = 2},
  [38] = {.index = 54, .length = 1},
  [39] = {.index = 55, .length = 1},
  [40] = {.index = 56, .length = 2},
  [41] = {.index = 58, .length = 3},
  [42] = {.index = 61, .length = 1},
  [43] = {.index = 62, .length = 2},
  [44] = {.index = 64, .length = 1},
  [45] = {.index = 65, .length = 1},
  [46] = {.index = 66, .length = 1},
  [47] = {.index = 67, .length = 1},
  [48] = {.index = 68, .length = 2},
  [49] = {.index = 70, .length = 1},
  [50] = {.index = 71, .length = 3},
  [51] = {.index = 74, .length = 1},
  [52] = {.index = 75, .length = 2},
  [53] = {.index = 77, .length = 1},
  [54] = {.index = 78, .length = 2},
  [55] = {.index = 80, .length = 2},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [2] =
    {field_type, 0},
  [3] =
    {field_type, 1},
  [4] =
    {field_argument, 1},
    {field_operator, 0},
  [6] =
    {field_type, 0, .inherited = true},
  [7] =
    {field_member, 1},
  [8] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [11] =
    {field_condition, 0, .inherited = true},
  [12] =
    {field_left, 0},
  [13] =
    {field_type, 1, .inherited = true},
  [14] =
    {field_name, 1, .inherited = true},
    {field_type, 1, .inherited = true},
  [16] =
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_type, 1, .inherited = true},
  [19] =
    {field_condition, 1, .inherited = true},
  [20] =
    {field_type, 2},
  [21] =
    {field_body, 0},
  [22] =
    {field_body, 1, .inherited = true},
    {field_condition, 0, .inherited = true},
  [24] =
    {field_body, 1, .inherited = true},
  [25] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [28] =
    {field_function, 0},
  [29] =
    {field_left, 0},
    {field_right, 2},
  [31] =
    {field_member, 2},
    {field_object, 0},
  [33] =
    {field_error, 0},
    {field_ok, 2},
  [35] =
    {field_name, 0},
    {field_type, 2},
  [37] =
    {field_type, 2, .inherited = true},
  [38] =
    {field_name, 2, .inherited = true},
    {field_type, 2, .inherited = true},
  [40] =
    {field_body, 3},
    {field_name, 2, .inherited = true},
    {field_type, 2, .inherited = true},
  [43] =
    {field_name, 1},
    {field_type, 3},
  [45] =
    {field_type, 3},
  [46] =
    {field_body, 2, .inherited = true},
  [47] =
    {field_body, 2, .inherited = true},
    {field_condition, 1, .inherited = true},
  [49] =
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [51] =
    {field_condition, 2},
  [52] =
    {field_index, 2},
    {field_object, 0},
  [54] =
    {field_condition, 2, .inherited = true},
  [55] =
    {field_type, 3, .inherited = true},
  [56] =
    {field_name, 3, .inherited = true},
    {field_type, 3, .inherited = true},
  [58] =
    {field_body, 4},
    {field_name, 3, .inherited = true},
    {field_type, 3, .inherited = true},
  [61] =
    {field_type, 4},
  [62] =
    {field_name, 1},
    {field_type, 4},
  [64] =
    {field_alternative, 1},
  [65] =
    {field_sentinel, 2},
  [66] =
    {field_type, 4, .inherited = true},
  [67] =
    {field_type, 5},
  [68] =
    {field_name, 1},
    {field_type, 5},
  [70] =
    {field_alternative, 2},
  [71] =
    {field_index, 2},
    {field_object, 0},
    {field_sentinel, 4},
  [74] =
    {field_type, 6},
  [75] =
    {field_name, 1},
    {field_type, 6},
  [77] =
    {field_type, 7},
  [78] =
    {field_name, 1},
    {field_type, 7},
  [80] =
    {field_name, 1},
    {field_type, 8},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_function_signature,
  },
  [11] = {
    [0] = sym_identifier,
  },
  [25] = {
    [0] = sym_identifier,
  },
  [30] = {
    [1] = sym_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__function_prototype, 2,
    sym__function_prototype,
    alias_sym_function_signature,
  sym_builtin_type, 2,
    sym_builtin_type,
    sym_identifier,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 2,
  [7] = 4,
  [8] = 5,
  [9] = 2,
  [10] = 2,
  [11] = 2,
  [12] = 2,
  [13] = 4,
  [14] = 3,
  [15] = 3,
  [16] = 4,
  [17] = 5,
  [18] = 4,
  [19] = 5,
  [20] = 4,
  [21] = 5,
  [22] = 5,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 31,
  [34] = 32,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 31,
  [40] = 32,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 43,
  [59] = 50,
  [60] = 51,
  [61] = 49,
  [62] = 52,
  [63] = 53,
  [64] = 45,
  [65] = 46,
  [66] = 54,
  [67] = 55,
  [68] = 56,
  [69] = 57,
  [70] = 70,
  [71] = 44,
  [72] = 47,
  [73] = 48,
  [74] = 70,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 83,
  [86] = 86,
  [87] = 86,
  [88] = 83,
  [89] = 86,
  [90] = 84,
  [91] = 83,
  [92] = 86,
  [93] = 84,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 97,
  [100] = 97,
  [101] = 98,
  [102] = 102,
  [103] = 96,
  [104] = 96,
  [105] = 94,
  [106] = 95,
  [107] = 102,
  [108] = 102,
  [109] = 97,
  [110] = 95,
  [111] = 98,
  [112] = 102,
  [113] = 94,
  [114] = 114,
  [115] = 115,
  [116] = 116,
  [117] = 114,
  [118] = 118,
  [119] = 119,
  [120] = 120,
  [121] = 120,
  [122] = 119,
  [123] = 123,
  [124] = 124,
  [125] = 115,
  [126] = 116,
  [127] = 118,
  [128] = 119,
  [129] = 120,
  [130] = 123,
  [131] = 124,
  [132] = 115,
  [133] = 116,
  [134] = 118,
  [135] = 114,
  [136] = 123,
  [137] = 124,
  [138] = 138,
  [139] = 138,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 138,
  [145] = 145,
  [146] = 146,
  [147] = 143,
  [148] = 148,
  [149] = 149,
  [150] = 141,
  [151] = 151,
  [152] = 138,
  [153] = 149,
  [154] = 143,
  [155] = 141,
  [156] = 143,
  [157] = 149,
  [158] = 141,
  [159] = 159,
  [160] = 160,
  [161] = 149,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 163,
  [167] = 164,
  [168] = 168,
  [169] = 169,
  [170] = 169,
  [171] = 165,
  [172] = 172,
  [173] = 163,
  [174] = 174,
  [175] = 174,
  [176] = 172,
  [177] = 163,
  [178] = 174,
  [179] = 172,
  [180] = 180,
  [181] = 174,
  [182] = 165,
  [183] = 183,
  [184] = 164,
  [185] = 185,
  [186] = 169,
  [187] = 187,
  [188] = 180,
  [189] = 189,
  [190] = 187,
  [191] = 169,
  [192] = 172,
  [193] = 165,
  [194] = 185,
  [195] = 164,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 198,
  [215] = 209,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 206,
  [224] = 224,
  [225] = 224,
  [226] = 226,
  [227] = 227,
  [228] = 217,
  [229] = 218,
  [230] = 219,
  [231] = 222,
  [232] = 232,
  [233] = 207,
  [234] = 208,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 232,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 199,
  [244] = 216,
  [245] = 200,
  [246] = 201,
  [247] = 247,
  [248] = 248,
  [249] = 203,
  [250] = 250,
  [251] = 210,
  [252] = 252,
  [253] = 205,
  [254] = 206,
  [255] = 207,
  [256] = 208,
  [257] = 220,
  [258] = 210,
  [259] = 221,
  [260] = 212,
  [261] = 213,
  [262] = 262,
  [263] = 209,
  [264] = 264,
  [265] = 265,
  [266] = 240,
  [267] = 235,
  [268] = 236,
  [269] = 216,
  [270] = 270,
  [271] = 224,
  [272] = 238,
  [273] = 273,
  [274] = 220,
  [275] = 221,
  [276] = 276,
  [277] = 277,
  [278] = 221,
  [279] = 224,
  [280] = 280,
  [281] = 217,
  [282] = 218,
  [283] = 219,
  [284] = 284,
  [285] = 232,
  [286] = 217,
  [287] = 235,
  [288] = 236,
  [289] = 273,
  [290] = 218,
  [291] = 219,
  [292] = 238,
  [293] = 242,
  [294] = 199,
  [295] = 222,
  [296] = 200,
  [297] = 201,
  [298] = 232,
  [299] = 203,
  [300] = 205,
  [301] = 206,
  [302] = 207,
  [303] = 208,
  [304] = 235,
  [305] = 210,
  [306] = 212,
  [307] = 213,
  [308] = 198,
  [309] = 236,
  [310] = 209,
  [311] = 311,
  [312] = 312,
  [313] = 220,
  [314] = 217,
  [315] = 219,
  [316] = 222,
  [317] = 242,
  [318] = 205,
  [319] = 220,
  [320] = 217,
  [321] = 219,
  [322] = 222,
  [323] = 242,
  [324] = 205,
  [325] = 325,
  [326] = 240,
  [327] = 212,
  [328] = 238,
  [329] = 218,
  [330] = 242,
  [331] = 218,
  [332] = 332,
  [333] = 333,
  [334] = 213,
  [335] = 199,
  [336] = 198,
  [337] = 200,
  [338] = 201,
  [339] = 205,
  [340] = 242,
  [341] = 203,
  [342] = 342,
  [343] = 220,
  [344] = 344,
  [345] = 345,
  [346] = 222,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 349,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 362,
  [366] = 364,
  [367] = 359,
  [368] = 368,
  [369] = 369,
  [370] = 350,
  [371] = 371,
  [372] = 372,
  [373] = 348,
  [374] = 354,
  [375] = 356,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 377,
  [380] = 380,
  [381] = 381,
  [382] = 376,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 395,
  [396] = 396,
  [397] = 397,
  [398] = 398,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 403,
  [404] = 404,
  [405] = 405,
  [406] = 394,
  [407] = 395,
  [408] = 408,
  [409] = 409,
  [410] = 396,
  [411] = 388,
  [412] = 412,
  [413] = 413,
  [414] = 409,
  [415] = 415,
  [416] = 412,
  [417] = 417,
  [418] = 418,
  [419] = 419,
  [420] = 417,
  [421] = 418,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 419,
  [430] = 430,
  [431] = 431,
  [432] = 397,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 398,
  [437] = 437,
  [438] = 399,
  [439] = 400,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 380,
  [446] = 446,
  [447] = 402,
  [448] = 448,
  [449] = 385,
  [450] = 450,
  [451] = 389,
  [452] = 403,
  [453] = 381,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 431,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 454,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 377,
  [473] = 380,
  [474] = 381,
  [475] = 376,
  [476] = 383,
  [477] = 384,
  [478] = 386,
  [479] = 387,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 376,
  [484] = 484,
  [485] = 392,
  [486] = 468,
  [487] = 394,
  [488] = 395,
  [489] = 396,
  [490] = 397,
  [491] = 398,
  [492] = 399,
  [493] = 400,
  [494] = 494,
  [495] = 403,
  [496] = 496,
  [497] = 471,
  [498] = 377,
  [499] = 380,
  [500] = 381,
  [501] = 376,
  [502] = 409,
  [503] = 383,
  [504] = 412,
  [505] = 417,
  [506] = 418,
  [507] = 419,
  [508] = 384,
  [509] = 509,
  [510] = 386,
  [511] = 387,
  [512] = 512,
  [513] = 513,
  [514] = 383,
  [515] = 391,
  [516] = 392,
  [517] = 517,
  [518] = 433,
  [519] = 434,
  [520] = 435,
  [521] = 394,
  [522] = 395,
  [523] = 437,
  [524] = 396,
  [525] = 397,
  [526] = 398,
  [527] = 399,
  [528] = 400,
  [529] = 529,
  [530] = 402,
  [531] = 403,
  [532] = 532,
  [533] = 533,
  [534] = 433,
  [535] = 385,
  [536] = 434,
  [537] = 389,
  [538] = 435,
  [539] = 384,
  [540] = 540,
  [541] = 541,
  [542] = 388,
  [543] = 431,
  [544] = 544,
  [545] = 392,
  [546] = 409,
  [547] = 547,
  [548] = 468,
  [549] = 412,
  [550] = 417,
  [551] = 471,
  [552] = 380,
  [553] = 381,
  [554] = 383,
  [555] = 384,
  [556] = 386,
  [557] = 387,
  [558] = 418,
  [559] = 392,
  [560] = 394,
  [561] = 395,
  [562] = 396,
  [563] = 397,
  [564] = 398,
  [565] = 399,
  [566] = 400,
  [567] = 419,
  [568] = 403,
  [569] = 569,
  [570] = 409,
  [571] = 571,
  [572] = 412,
  [573] = 417,
  [574] = 418,
  [575] = 419,
  [576] = 576,
  [577] = 433,
  [578] = 435,
  [579] = 579,
  [580] = 437,
  [581] = 385,
  [582] = 437,
  [583] = 389,
  [584] = 431,
  [585] = 380,
  [586] = 381,
  [587] = 383,
  [588] = 384,
  [589] = 386,
  [590] = 387,
  [591] = 467,
  [592] = 392,
  [593] = 394,
  [594] = 395,
  [595] = 396,
  [596] = 397,
  [597] = 398,
  [598] = 399,
  [599] = 400,
  [600] = 600,
  [601] = 403,
  [602] = 468,
  [603] = 409,
  [604] = 604,
  [605] = 412,
  [606] = 417,
  [607] = 418,
  [608] = 419,
  [609] = 609,
  [610] = 433,
  [611] = 435,
  [612] = 386,
  [613] = 437,
  [614] = 385,
  [615] = 387,
  [616] = 389,
  [617] = 431,
  [618] = 461,
  [619] = 463,
  [620] = 433,
  [621] = 434,
  [622] = 454,
  [623] = 467,
  [624] = 468,
  [625] = 435,
  [626] = 461,
  [627] = 471,
  [628] = 377,
  [629] = 376,
  [630] = 437,
  [631] = 631,
  [632] = 391,
  [633] = 434,
  [634] = 461,
  [635] = 463,
  [636] = 454,
  [637] = 467,
  [638] = 468,
  [639] = 463,
  [640] = 640,
  [641] = 471,
  [642] = 377,
  [643] = 643,
  [644] = 434,
  [645] = 461,
  [646] = 463,
  [647] = 454,
  [648] = 467,
  [649] = 461,
  [650] = 463,
  [651] = 454,
  [652] = 467,
  [653] = 653,
  [654] = 471,
  [655] = 653,
  [656] = 656,
  [657] = 604,
  [658] = 609,
  [659] = 408,
  [660] = 448,
  [661] = 385,
  [662] = 662,
  [663] = 389,
  [664] = 664,
  [665] = 665,
  [666] = 378,
  [667] = 540,
  [668] = 668,
  [669] = 669,
  [670] = 670,
  [671] = 664,
  [672] = 448,
  [673] = 665,
  [674] = 431,
  [675] = 675,
  [676] = 609,
  [677] = 665,
  [678] = 378,
  [679] = 631,
  [680] = 470,
  [681] = 512,
  [682] = 529,
  [683] = 496,
  [684] = 513,
  [685] = 517,
  [686] = 509,
  [687] = 579,
  [688] = 688,
  [689] = 689,
  [690] = 690,
  [691] = 691,
  [692] = 692,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 696,
  [697] = 189,
  [698] = 351,
  [699] = 168,
  [700] = 371,
  [701] = 369,
  [702] = 702,
  [703] = 703,
  [704] = 704,
  [705] = 705,
  [706] = 706,
  [707] = 707,
  [708] = 708,
  [709] = 709,
  [710] = 710,
  [711] = 711,
  [712] = 712,
  [713] = 713,
  [714] = 714,
  [715] = 715,
  [716] = 716,
  [717] = 717,
  [718] = 718,
  [719] = 81,
  [720] = 82,
  [721] = 721,
  [722] = 722,
  [723] = 723,
  [724] = 724,
  [725] = 725,
  [726] = 726,
  [727] = 727,
  [728] = 728,
  [729] = 729,
  [730] = 730,
  [731] = 731,
  [732] = 732,
  [733] = 733,
  [734] = 734,
  [735] = 735,
  [736] = 736,
  [737] = 737,
  [738] = 738,
  [739] = 739,
  [740] = 740,
  [741] = 741,
  [742] = 742,
  [743] = 743,
  [744] = 744,
  [745] = 745,
  [746] = 746,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 750,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 757,
  [758] = 758,
  [759] = 759,
  [760] = 760,
  [761] = 761,
  [762] = 762,
  [763] = 763,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 777,
  [778] = 778,
  [779] = 779,
  [780] = 780,
  [781] = 781,
  [782] = 782,
  [783] = 783,
  [784] = 784,
  [785] = 785,
  [786] = 786,
  [787] = 787,
  [788] = 788,
  [789] = 789,
  [790] = 790,
  [791] = 791,
  [792] = 792,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 809,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 826,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 830,
  [831] = 831,
  [832] = 832,
  [833] = 833,
  [834] = 834,
  [835] = 835,
  [836] = 836,
  [837] = 837,
  [838] = 838,
  [839] = 839,
  [840] = 840,
  [841] = 841,
  [842] = 842,
  [843] = 843,
  [844] = 844,
  [845] = 845,
  [846] = 846,
  [847] = 847,
  [848] = 848,
  [849] = 849,
  [850] = 850,
  [851] = 851,
  [852] = 852,
  [853] = 853,
  [854] = 854,
  [855] = 855,
  [856] = 856,
  [857] = 857,
  [858] = 858,
  [859] = 859,
  [860] = 860,
  [861] = 861,
  [862] = 862,
  [863] = 863,
  [864] = 864,
  [865] = 865,
  [866] = 866,
  [867] = 867,
  [868] = 868,
  [869] = 869,
  [870] = 870,
  [871] = 871,
  [872] = 872,
  [873] = 873,
  [874] = 874,
  [875] = 875,
  [876] = 876,
  [877] = 877,
  [878] = 878,
  [879] = 879,
  [880] = 880,
  [881] = 881,
  [882] = 882,
  [883] = 883,
  [884] = 884,
  [885] = 885,
  [886] = 886,
  [887] = 887,
  [888] = 888,
  [889] = 889,
  [890] = 890,
  [891] = 891,
  [892] = 892,
  [893] = 893,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 898,
  [899] = 899,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 904,
  [905] = 905,
  [906] = 906,
  [907] = 907,
  [908] = 908,
  [909] = 909,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 928,
  [958] = 958,
  [959] = 890,
  [960] = 919,
  [961] = 893,
  [962] = 895,
  [963] = 885,
  [964] = 913,
  [965] = 914,
  [966] = 924,
  [967] = 896,
  [968] = 944,
  [969] = 908,
  [970] = 909,
  [971] = 807,
  [972] = 920,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 897,
  [977] = 977,
  [978] = 902,
  [979] = 808,
  [980] = 923,
  [981] = 910,
  [982] = 945,
  [983] = 983,
  [984] = 898,
  [985] = 911,
  [986] = 943,
  [987] = 912,
  [988] = 947,
  [989] = 956,
  [990] = 922,
  [991] = 951,
  [992] = 992,
  [993] = 916,
  [994] = 899,
  [995] = 891,
  [996] = 952,
  [997] = 953,
  [998] = 894,
  [999] = 900,
  [1000] = 907,
  [1001] = 806,
  [1002] = 887,
  [1003] = 917,
  [1004] = 918,
  [1005] = 1005,
  [1006] = 903,
  [1007] = 948,
  [1008] = 949,
  [1009] = 950,
  [1010] = 946,
  [1011] = 857,
  [1012] = 831,
  [1013] = 809,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 872,
  [1018] = 1018,
  [1019] = 865,
  [1020] = 809,
  [1021] = 857,
  [1022] = 813,
  [1023] = 877,
  [1024] = 950,
  [1025] = 885,
  [1026] = 887,
  [1027] = 852,
  [1028] = 853,
  [1029] = 866,
  [1030] = 855,
  [1031] = 864,
  [1032] = 870,
  [1033] = 883,
  [1034] = 941,
  [1035] = 942,
  [1036] = 811,
  [1037] = 874,
  [1038] = 937,
  [1039] = 935,
  [1040] = 856,
  [1041] = 875,
  [1042] = 884,
  [1043] = 937,
  [1044] = 860,
  [1045] = 814,
  [1046] = 862,
  [1047] = 838,
  [1048] = 865,
  [1049] = 812,
  [1050] = 832,
  [1051] = 879,
  [1052] = 833,
  [1053] = 888,
  [1054] = 926,
  [1055] = 933,
  [1056] = 142,
  [1057] = 839,
  [1058] = 840,
  [1059] = 841,
  [1060] = 842,
  [1061] = 813,
  [1062] = 881,
  [1063] = 849,
  [1064] = 847,
  [1065] = 850,
  [1066] = 938,
  [1067] = 822,
  [1068] = 825,
  [1069] = 827,
  [1070] = 889,
  [1071] = 145,
  [1072] = 844,
  [1073] = 851,
  [1074] = 854,
  [1075] = 858,
  [1076] = 861,
  [1077] = 954,
  [1078] = 146,
  [1079] = 873,
  [1080] = 151,
  [1081] = 823,
  [1082] = 834,
  [1083] = 886,
  [1084] = 867,
  [1085] = 868,
  [1086] = 869,
  [1087] = 831,
  [1088] = 956,
  [1089] = 876,
  [1090] = 892,
  [1091] = 905,
  [1092] = 878,
  [1093] = 81,
  [1094] = 921,
  [1095] = 935,
  [1096] = 836,
  [1097] = 871,
  [1098] = 883,
  [1099] = 872,
  [1100] = 884,
  [1101] = 815,
  [1102] = 819,
  [1103] = 880,
  [1104] = 816,
  [1105] = 817,
  [1106] = 927,
  [1107] = 818,
  [1108] = 82,
  [1109] = 938,
  [1110] = 820,
  [1111] = 954,
  [1112] = 886,
  [1113] = 821,
  [1114] = 826,
  [1115] = 892,
  [1116] = 905,
  [1117] = 921,
  [1118] = 936,
  [1119] = 890,
  [1120] = 891,
  [1121] = 893,
  [1122] = 894,
  [1123] = 895,
  [1124] = 896,
  [1125] = 897,
  [1126] = 898,
  [1127] = 899,
  [1128] = 900,
  [1129] = 824,
  [1130] = 902,
  [1131] = 940,
  [1132] = 903,
  [1133] = 901,
  [1134] = 907,
  [1135] = 908,
  [1136] = 909,
  [1137] = 910,
  [1138] = 911,
  [1139] = 912,
  [1140] = 913,
  [1141] = 914,
  [1142] = 916,
  [1143] = 917,
  [1144] = 918,
  [1145] = 919,
  [1146] = 920,
  [1147] = 928,
  [1148] = 923,
  [1149] = 924,
  [1150] = 904,
  [1151] = 906,
  [1152] = 930,
  [1153] = 931,
  [1154] = 901,
  [1155] = 890,
  [1156] = 891,
  [1157] = 893,
  [1158] = 863,
  [1159] = 894,
  [1160] = 895,
  [1161] = 896,
  [1162] = 897,
  [1163] = 898,
  [1164] = 899,
  [1165] = 900,
  [1166] = 904,
  [1167] = 902,
  [1168] = 903,
  [1169] = 941,
  [1170] = 907,
  [1171] = 908,
  [1172] = 909,
  [1173] = 910,
  [1174] = 911,
  [1175] = 912,
  [1176] = 906,
  [1177] = 913,
  [1178] = 914,
  [1179] = 916,
  [1180] = 917,
  [1181] = 918,
  [1182] = 919,
  [1183] = 920,
  [1184] = 829,
  [1185] = 922,
  [1186] = 923,
  [1187] = 924,
  [1188] = 942,
  [1189] = 830,
  [1190] = 828,
  [1191] = 944,
  [1192] = 945,
  [1193] = 946,
  [1194] = 947,
  [1195] = 948,
  [1196] = 949,
  [1197] = 950,
  [1198] = 952,
  [1199] = 953,
  [1200] = 932,
  [1201] = 934,
  [1202] = 835,
  [1203] = 837,
  [1204] = 888,
  [1205] = 943,
  [1206] = 951,
  [1207] = 926,
  [1208] = 859,
  [1209] = 933,
  [1210] = 845,
  [1211] = 925,
  [1212] = 846,
  [1213] = 929,
  [1214] = 882,
  [1215] = 889,
  [1216] = 939,
  [1217] = 955,
  [1218] = 848,
  [1219] = 915,
  [1220] = 843,
  [1221] = 928,
  [1222] = 927,
  [1223] = 936,
  [1224] = 940,
  [1225] = 885,
  [1226] = 930,
  [1227] = 931,
  [1228] = 887,
  [1229] = 932,
  [1230] = 934,
  [1231] = 943,
  [1232] = 944,
  [1233] = 945,
  [1234] = 946,
  [1235] = 947,
  [1236] = 948,
  [1237] = 949,
  [1238] = 925,
  [1239] = 951,
  [1240] = 952,
  [1241] = 953,
  [1242] = 929,
  [1243] = 939,
  [1244] = 955,
  [1245] = 915,
  [1246] = 956,
  [1247] = 922,
  [1248] = 1248,
  [1249] = 1249,
  [1250] = 1250,
  [1251] = 885,
  [1252] = 956,
  [1253] = 887,
  [1254] = 1254,
  [1255] = 1255,
  [1256] = 946,
  [1257] = 945,
  [1258] = 946,
  [1259] = 907,
  [1260] = 908,
  [1261] = 909,
  [1262] = 910,
  [1263] = 911,
  [1264] = 912,
  [1265] = 913,
  [1266] = 914,
  [1267] = 947,
  [1268] = 948,
  [1269] = 949,
  [1270] = 950,
  [1271] = 1271,
  [1272] = 916,
  [1273] = 917,
  [1274] = 1274,
  [1275] = 918,
  [1276] = 919,
  [1277] = 951,
  [1278] = 952,
  [1279] = 953,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 920,
  [1283] = 922,
  [1284] = 923,
  [1285] = 1285,
  [1286] = 924,
  [1287] = 890,
  [1288] = 891,
  [1289] = 1289,
  [1290] = 893,
  [1291] = 1291,
  [1292] = 943,
  [1293] = 1293,
  [1294] = 944,
  [1295] = 894,
  [1296] = 945,
  [1297] = 947,
  [1298] = 948,
  [1299] = 949,
  [1300] = 950,
  [1301] = 895,
  [1302] = 951,
  [1303] = 952,
  [1304] = 944,
  [1305] = 896,
  [1306] = 897,
  [1307] = 898,
  [1308] = 899,
  [1309] = 900,
  [1310] = 902,
  [1311] = 903,
  [1312] = 1312,
  [1313] = 907,
  [1314] = 908,
  [1315] = 909,
  [1316] = 910,
  [1317] = 911,
  [1318] = 912,
  [1319] = 1319,
  [1320] = 1320,
  [1321] = 913,
  [1322] = 914,
  [1323] = 1323,
  [1324] = 916,
  [1325] = 917,
  [1326] = 918,
  [1327] = 919,
  [1328] = 920,
  [1329] = 922,
  [1330] = 923,
  [1331] = 924,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 928,
  [1335] = 890,
  [1336] = 891,
  [1337] = 943,
  [1338] = 903,
  [1339] = 893,
  [1340] = 894,
  [1341] = 895,
  [1342] = 896,
  [1343] = 897,
  [1344] = 898,
  [1345] = 899,
  [1346] = 900,
  [1347] = 928,
  [1348] = 902,
  [1349] = 953,
  [1350] = 1350,
  [1351] = 1351,
  [1352] = 1352,
  [1353] = 1353,
  [1354] = 936,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 940,
  [1358] = 1352,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1362,
  [1363] = 1363,
  [1364] = 1364,
  [1365] = 1365,
  [1366] = 930,
  [1367] = 1367,
  [1368] = 931,
  [1369] = 1369,
  [1370] = 1370,
  [1371] = 1371,
  [1372] = 1351,
  [1373] = 1373,
  [1374] = 932,
  [1375] = 1353,
  [1376] = 934,
  [1377] = 1377,
  [1378] = 1367,
  [1379] = 1379,
  [1380] = 925,
  [1381] = 929,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 939,
  [1388] = 1388,
  [1389] = 955,
  [1390] = 1390,
  [1391] = 915,
  [1392] = 1392,
  [1393] = 1393,
  [1394] = 1394,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 927,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 1355,
  [1411] = 1411,
  [1412] = 1412,
  [1413] = 1413,
  [1414] = 1414,
  [1415] = 1415,
  [1416] = 1416,
  [1417] = 1417,
  [1418] = 1418,
  [1419] = 1419,
  [1420] = 1420,
  [1421] = 1415,
  [1422] = 1416,
  [1423] = 1423,
  [1424] = 1424,
  [1425] = 1415,
  [1426] = 1426,
  [1427] = 1427,
  [1428] = 1428,
  [1429] = 1429,
  [1430] = 1430,
  [1431] = 1431,
  [1432] = 1432,
  [1433] = 1433,
  [1434] = 1434,
  [1435] = 1435,
  [1436] = 1436,
  [1437] = 1437,
  [1438] = 1434,
  [1439] = 1439,
  [1440] = 1440,
  [1441] = 1441,
  [1442] = 1442,
  [1443] = 1443,
  [1444] = 1444,
  [1445] = 1445,
  [1446] = 1446,
  [1447] = 1447,
  [1448] = 1448,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 951,
  [1452] = 1445,
  [1453] = 1434,
  [1454] = 1444,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 951,
  [1459] = 1459,
  [1460] = 1460,
  [1461] = 1461,
  [1462] = 1462,
  [1463] = 1457,
  [1464] = 1464,
  [1465] = 1431,
  [1466] = 1466,
  [1467] = 1467,
  [1468] = 1468,
  [1469] = 1469,
  [1470] = 1428,
  [1471] = 1471,
  [1472] = 1472,
  [1473] = 1473,
  [1474] = 1444,
  [1475] = 1475,
  [1476] = 1445,
  [1477] = 1477,
  [1478] = 1448,
  [1479] = 1462,
  [1480] = 1480,
  [1481] = 1481,
  [1482] = 1468,
  [1483] = 1471,
  [1484] = 1484,
  [1485] = 1480,
  [1486] = 1481,
  [1487] = 1447,
  [1488] = 1456,
  [1489] = 1489,
  [1490] = 943,
  [1491] = 1491,
  [1492] = 1491,
  [1493] = 943,
  [1494] = 1491,
  [1495] = 937,
  [1496] = 1496,
  [1497] = 1497,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 1500,
  [1502] = 1502,
  [1503] = 1500,
  [1504] = 1504,
  [1505] = 1505,
  [1506] = 1506,
  [1507] = 1507,
  [1508] = 1508,
  [1509] = 1500,
  [1510] = 1506,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 1514,
  [1515] = 1515,
  [1516] = 1511,
  [1517] = 1512,
  [1518] = 1518,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1514,
  [1522] = 1522,
  [1523] = 1523,
  [1524] = 1524,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 1527,
  [1528] = 1526,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1531,
  [1532] = 1532,
  [1533] = 1533,
  [1534] = 1523,
  [1535] = 1532,
  [1536] = 1536,
  [1537] = 1536,
  [1538] = 1536,
  [1539] = 1539,
  [1540] = 1536,
  [1541] = 1536,
  [1542] = 1536,
  [1543] = 1543,
  [1544] = 1536,
  [1545] = 1545,
  [1546] = 1546,
  [1547] = 1547,
  [1548] = 1548,
  [1549] = 1549,
  [1550] = 1550,
  [1551] = 1551,
  [1552] = 1552,
  [1553] = 1553,
  [1554] = 1554,
  [1555] = 1555,
  [1556] = 1556,
  [1557] = 1557,
  [1558] = 1558,
  [1559] = 1559,
  [1560] = 1560,
  [1561] = 1561,
  [1562] = 1562,
  [1563] = 1563,
  [1564] = 1564,
  [1565] = 1565,
  [1566] = 1566,
  [1567] = 1567,
  [1568] = 1568,
  [1569] = 1569,
  [1570] = 1570,
  [1571] = 1571,
  [1572] = 1572,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 1576,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1579,
  [1580] = 1580,
  [1581] = 1577,
  [1582] = 1582,
  [1583] = 1583,
  [1584] = 1580,
  [1585] = 1580,
  [1586] = 1586,
  [1587] = 1587,
  [1588] = 1577,
  [1589] = 1589,
  [1590] = 1580,
  [1591] = 1591,
  [1592] = 1577,
  [1593] = 1577,
  [1594] = 1580,
  [1595] = 1595,
  [1596] = 1596,
  [1597] = 1597,
  [1598] = 1598,
  [1599] = 1577,
  [1600] = 1600,
  [1601] = 1596,
  [1602] = 1602,
  [1603] = 1580,
  [1604] = 1604,
  [1605] = 1605,
  [1606] = 1606,
  [1607] = 1600,
  [1608] = 1579,
  [1609] = 1609,
  [1610] = 1610,
  [1611] = 1611,
  [1612] = 1612,
  [1613] = 1613,
  [1614] = 1614,
  [1615] = 1615,
  [1616] = 1616,
  [1617] = 1617,
  [1618] = 1618,
  [1619] = 1619,
  [1620] = 1620,
  [1621] = 1621,
  [1622] = 1622,
  [1623] = 1623,
  [1624] = 1624,
  [1625] = 1625,
  [1626] = 1626,
  [1627] = 1621,
  [1628] = 1628,
  [1629] = 1629,
  [1630] = 1623,
  [1631] = 1631,
  [1632] = 1632,
  [1633] = 1633,
  [1634] = 1634,
  [1635] = 1635,
  [1636] = 1636,
  [1637] = 1637,
  [1638] = 1638,
  [1639] = 1639,
  [1640] = 1640,
  [1641] = 1641,
  [1642] = 1642,
  [1643] = 1643,
  [1644] = 1644,
  [1645] = 1645,
  [1646] = 1646,
  [1647] = 1647,
  [1648] = 1648,
  [1649] = 1649,
  [1650] = 1650,
  [1651] = 1651,
  [1652] = 1652,
  [1653] = 1653,
  [1654] = 1654,
  [1655] = 1655,
  [1656] = 1656,
  [1657] = 1638,
  [1658] = 1658,
  [1659] = 1659,
  [1660] = 1660,
  [1661] = 1611,
  [1662] = 1662,
  [1663] = 1663,
  [1664] = 1664,
  [1665] = 1665,
  [1666] = 1653,
  [1667] = 1654,
  [1668] = 1668,
  [1669] = 1669,
  [1670] = 1656,
  [1671] = 1671,
  [1672] = 1671,
  [1673] = 1616,
  [1674] = 1674,
  [1675] = 1675,
  [1676] = 1676,
  [1677] = 1677,
  [1678] = 1678,
  [1679] = 1679,
  [1680] = 1680,
  [1681] = 1652,
  [1682] = 1676,
  [1683] = 1612,
  [1684] = 1684,
  [1685] = 1659,
  [1686] = 1686,
  [1687] = 1687,
  [1688] = 1688,
  [1689] = 1689,
  [1690] = 1690,
  [1691] = 1691,
  [1692] = 1692,
  [1693] = 1693,
  [1694] = 1694,
  [1695] = 1695,
  [1696] = 1696,
  [1697] = 1697,
  [1698] = 1698,
  [1699] = 1699,
  [1700] = 1700,
  [1701] = 1701,
  [1702] = 1702,
  [1703] = 1703,
  [1704] = 1704,
  [1705] = 1705,
  [1706] = 1706,
  [1707] = 1707,
  [1708] = 1708,
  [1709] = 1694,
  [1710] = 1710,
  [1711] = 1711,
  [1712] = 1712,
  [1713] = 1713,
  [1714] = 1714,
  [1715] = 1714,
  [1716] = 1716,
  [1717] = 1694,
  [1718] = 1718,
  [1719] = 1719,
  [1720] = 1720,
  [1721] = 1721,
  [1722] = 1722,
  [1723] = 1723,
  [1724] = 1724,
  [1725] = 1725,
  [1726] = 1726,
  [1727] = 1727,
  [1728] = 1728,
  [1729] = 1729,
  [1730] = 1701,
  [1731] = 1731,
  [1732] = 1732,
  [1733] = 1733,
  [1734] = 1734,
  [1735] = 1735,
  [1736] = 1736,
  [1737] = 1737,
  [1738] = 1738,
  [1739] = 1691,
  [1740] = 1692,
  [1741] = 1741,
  [1742] = 1695,
  [1743] = 1687,
  [1744] = 1697,
  [1745] = 1698,
  [1746] = 1746,
  [1747] = 1747,
  [1748] = 1688,
  [1749] = 1690,
  [1750] = 1694,
  [1751] = 1741,
  [1752] = 1724,
  [1753] = 1708,
  [1754] = 1754,
  [1755] = 1755,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 1760,
  [1761] = 1761,
  [1762] = 1762,
  [1763] = 1763,
  [1764] = 1764,
  [1765] = 1758,
  [1766] = 1766,
  [1767] = 1758,
  [1768] = 1768,
  [1769] = 1769,
  [1770] = 1770,
  [1771] = 1771,
  [1772] = 1771,
  [1773] = 1773,
  [1774] = 1774,
  [1775] = 1775,
  [1776] = 1776,
  [1777] = 1777,
  [1778] = 1778,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1768,
  [1783] = 1783,
  [1784] = 1784,
  [1785] = 1785,
  [1786] = 1786,
  [1787] = 1787,
  [1788] = 1785,
  [1789] = 1789,
  [1790] = 1790,
  [1791] = 1791,
  [1792] = 1792,
  [1793] = 1793,
  [1794] = 1759,
  [1795] = 1795,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 1762,
  [1799] = 1783,
  [1800] = 1797,
  [1801] = 1801,
  [1802] = 1802,
  [1803] = 1803,
  [1804] = 1804,
  [1805] = 1805,
  [1806] = 1806,
  [1807] = 1807,
  [1808] = 1780,
  [1809] = 1791,
  [1810] = 1789,
  [1811] = 1803,
  [1812] = 1773,
  [1813] = 1813,
  [1814] = 1814,
  [1815] = 1815,
  [1816] = 1804,
  [1817] = 1817,
  [1818] = 1818,
  [1819] = 1819,
  [1820] = 1820,
  [1821] = 1821,
  [1822] = 1820,
  [1823] = 1823,
  [1824] = 1824,
  [1825] = 1786,
  [1826] = 1814,
  [1827] = 1827,
  [1828] = 1763,
  [1829] = 1805,
  [1830] = 1830,
  [1831] = 1815,
  [1832] = 1832,
  [1833] = 1819,
  [1834] = 1823,
  [1835] = 1777,
  [1836] = 1769,
  [1837] = 1837,
  [1838] = 1838,
  [1839] = 1837,
  [1840] = 1760,
  [1841] = 1787,
  [1842] = 1842,
  [1843] = 1784,
  [1844] = 1844,
  [1845] = 1845,
  [1846] = 1821,
  [1847] = 1842,
  [1848] = 1824,
  [1849] = 1827,
  [1850] = 1850,
  [1851] = 1796,
  [1852] = 1852,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(30);
      ADVANCE_MAP(
        '!', 54,
        '"', 105,
        '%', 93,
        '&', 76,
        '\'', 113,
        '(', 55,
        ')', 56,
        '*', 65,
        '+', 87,
        ',', 31,
        '-', 70,
        '.', 100,
        '/', 92,
        '0', 118,
        ':', 32,
        ';', 35,
        '<', 82,
        '=', 33,
        '>', 79,
        '?', 99,
        '@', 127,
        '[', 66,
        '\\', 7,
        ']', 67,
        '^', 83,
        '{', 58,
        '|', 63,
        '}', 59,
        '~', 69,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(119);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(128);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(4);
      if (lookahead == '"') ADVANCE(105);
      if (lookahead == '/') ADVANCE(107);
      if (lookahead == '\\') ADVANCE(9);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(106);
      if (lookahead != 0) ADVANCE(108);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(2);
      if (lookahead == '/') ADVANCE(115);
      if (lookahead == '\\') ADVANCE(117);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(116);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(114);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '!', 54,
        '"', 105,
        '%', 93,
        '&', 76,
        '\'', 113,
        '(', 55,
        '*', 65,
        '+', 87,
        ',', 31,
        '-', 71,
        '.', 100,
        '/', 92,
        '0', 118,
        ':', 32,
        '<', 82,
        '=', 33,
        '>', 79,
        '?', 99,
        '@', 127,
        '[', 66,
        '\\', 8,
        '^', 83,
        '{', 58,
        '|', 63,
        '~', 69,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(119);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(128);
      END_STATE();
    case 4:
      if (lookahead == '"') ADVANCE(105);
      if (lookahead == '/') ADVANCE(6);
      if (lookahead == '\\') ADVANCE(9);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      END_STATE();
    case 5:
      if (lookahead == '.') ADVANCE(57);
      END_STATE();
    case 6:
      if (lookahead == '/') ADVANCE(129);
      END_STATE();
    case 7:
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead == 'u') ADVANCE(10);
      if (lookahead == 'x') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(112);
      if (lookahead != 0 &&
          lookahead != 'U') ADVANCE(110);
      END_STATE();
    case 8:
      if (lookahead == '\\') ADVANCE(109);
      END_STATE();
    case 9:
      if (lookahead == 'u') ADVANCE(10);
      if (lookahead == 'x') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(112);
      if (lookahead != 0 &&
          lookahead != 'U') ADVANCE(110);
      END_STATE();
    case 10:
      if (lookahead == '{') ADVANCE(25);
      END_STATE();
    case 11:
      if (lookahead == '}') ADVANCE(110);
      END_STATE();
    case 12:
      if (lookahead == '}') ADVANCE(110);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(11);
      END_STATE();
    case 13:
      if (lookahead == '}') ADVANCE(110);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(12);
      END_STATE();
    case 14:
      if (lookahead == '}') ADVANCE(110);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(13);
      END_STATE();
    case 15:
      if (lookahead == '}') ADVANCE(110);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(14);
      END_STATE();
    case 16:
      if (lookahead == '}') ADVANCE(110);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(15);
      END_STATE();
    case 17:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(22);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(124);
      END_STATE();
    case 18:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(121);
      END_STATE();
    case 19:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(122);
      END_STATE();
    case 20:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(119);
      END_STATE();
    case 21:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(123);
      END_STATE();
    case 22:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(124);
      END_STATE();
    case 23:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(110);
      END_STATE();
    case 24:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(120);
      END_STATE();
    case 25:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(16);
      END_STATE();
    case 26:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(125);
      END_STATE();
    case 27:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(23);
      END_STATE();
    case 28:
      if (eof) ADVANCE(30);
      ADVANCE_MAP(
        '!', 54,
        '"', 105,
        '%', 93,
        '&', 76,
        '\'', 113,
        '(', 55,
        ')', 56,
        '*', 65,
        '+', 87,
        ',', 31,
        '-', 70,
        '.', 101,
        '/', 92,
        '0', 118,
        ':', 32,
        ';', 35,
        '<', 82,
        '=', 33,
        '>', 79,
        '?', 99,
        '@', 127,
        '[', 66,
        '\\', 8,
        ']', 67,
        '^', 83,
        '{', 58,
        '|', 63,
        '}', 59,
        '~', 69,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(28);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(119);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(128);
      END_STATE();
    case 29:
      if (eof) ADVANCE(30);
      ADVANCE_MAP(
        '!', 53,
        '"', 105,
        '&', 75,
        '\'', 113,
        '(', 55,
        ')', 56,
        '*', 64,
        ',', 31,
        '-', 72,
        '.', 102,
        '/', 6,
        '0', 118,
        ':', 32,
        ';', 35,
        '=', 34,
        '?', 99,
        '@', 127,
        '[', 66,
        '\\', 8,
        ']', 67,
        '{', 58,
        '|', 62,
        '}', 59,
        '~', 69,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(29);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(119);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(128);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(77);
      if (lookahead == '>') ADVANCE(98);
      END_STATE();
    case 34:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(98);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_STAR_PERCENT_EQ);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(anon_sym_STAR_PIPE_EQ);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_PLUS_PERCENT_EQ);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_PLUS_PIPE_EQ);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_DASH_PERCENT_EQ);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_DASH_PIPE_EQ);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_LT_LT_PIPE_EQ);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(78);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      if (lookahead == '.') ADVANCE(57);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(52);
      if (lookahead == '|') ADVANCE(97);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '%') ADVANCE(95);
      if (lookahead == '*') ADVANCE(94);
      if (lookahead == '=') ADVANCE(36);
      if (lookahead == '|') ADVANCE(96);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '%') ADVANCE(74);
      if (lookahead == '=') ADVANCE(44);
      if (lookahead == '>') ADVANCE(68);
      if (lookahead == '|') ADVANCE(91);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '%') ADVANCE(74);
      if (lookahead == '=') ADVANCE(44);
      if (lookahead == '|') ADVANCE(91);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '%') ADVANCE(73);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_DASH_PERCENT);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_DASH_PERCENT);
      if (lookahead == '=') ADVANCE(45);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '=') ADVANCE(50);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(85);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(84);
      if (lookahead == '=') ADVANCE(81);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(51);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(47);
      if (lookahead == '|') ADVANCE(86);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(49);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_LT_LT_PIPE);
      if (lookahead == '=') ADVANCE(48);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '%') ADVANCE(89);
      if (lookahead == '+') ADVANCE(88);
      if (lookahead == '=') ADVANCE(41);
      if (lookahead == '|') ADVANCE(90);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_PLUS_PERCENT);
      if (lookahead == '=') ADVANCE(42);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_PLUS_PIPE);
      if (lookahead == '=') ADVANCE(43);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_DASH_PIPE);
      if (lookahead == '=') ADVANCE(46);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(129);
      if (lookahead == '=') ADVANCE(39);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(40);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_STAR_PERCENT);
      if (lookahead == '=') ADVANCE(37);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_STAR_PIPE);
      if (lookahead == '=') ADVANCE(38);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(103);
      if (lookahead == '.') ADVANCE(61);
      if (lookahead == '?') ADVANCE(104);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(103);
      if (lookahead == '.') ADVANCE(60);
      if (lookahead == '?') ADVANCE(104);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(5);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_DOT_STAR);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_DOT_QMARK);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '/') ADVANCE(107);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(106);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(108);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '/') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(108);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(108);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(aux_sym_multiline_string_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(109);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(110);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(111);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(aux_sym_character_token1);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(aux_sym_character_token1);
      if (lookahead == '/') ADVANCE(129);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(aux_sym_character_token1);
      if (lookahead == '/') ADVANCE(115);
      if (lookahead == '\\') ADVANCE(117);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(116);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '\'') ADVANCE(114);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(aux_sym_character_token1);
      if (lookahead == 'u') ADVANCE(10);
      if (lookahead == 'x') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(112);
      if (lookahead != 0 &&
          lookahead != 'U') ADVANCE(110);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(21);
      if (lookahead == '_') ADVANCE(20);
      if (lookahead == 'b') ADVANCE(18);
      if (lookahead == 'o') ADVANCE(19);
      if (lookahead == 'x') ADVANCE(24);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(17);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(119);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(21);
      if (lookahead == '_') ADVANCE(20);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(17);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(119);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(26);
      if (lookahead == '_') ADVANCE(24);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(17);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(120);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(18);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(121);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(19);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(122);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(21);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(17);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(123);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(22);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(124);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(26);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(17);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(125);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_builtin_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_AT);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym__identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(128);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(129);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'a', 1,
        'b', 2,
        'c', 3,
        'd', 4,
        'e', 5,
        'f', 6,
        'i', 7,
        'l', 8,
        'n', 9,
        'o', 10,
        'p', 11,
        'r', 12,
        's', 13,
        't', 14,
        'u', 15,
        'v', 16,
        'w', 17,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'd') ADVANCE(18);
      if (lookahead == 'l') ADVANCE(19);
      if (lookahead == 'n') ADVANCE(20);
      if (lookahead == 's') ADVANCE(21);
      if (lookahead == 'w') ADVANCE(22);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(23);
      if (lookahead == 'r') ADVANCE(24);
      END_STATE();
    case 3:
      ACCEPT_TOKEN(anon_sym_c);
      if (lookahead == '_') ADVANCE(25);
      if (lookahead == 'a') ADVANCE(26);
      if (lookahead == 'o') ADVANCE(27);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(28);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(29);
      if (lookahead == 'n') ADVANCE(30);
      if (lookahead == 'r') ADVANCE(31);
      if (lookahead == 'x') ADVANCE(32);
      END_STATE();
    case 6:
      if (lookahead == '1') ADVANCE(33);
      if (lookahead == '3') ADVANCE(34);
      if (lookahead == '6') ADVANCE(35);
      if (lookahead == 'a') ADVANCE(36);
      if (lookahead == 'n') ADVANCE(37);
      if (lookahead == 'o') ADVANCE(38);
      END_STATE();
    case 7:
      if (lookahead == 'f') ADVANCE(39);
      if (lookahead == 'n') ADVANCE(40);
      if (lookahead == 's') ADVANCE(41);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(42);
      END_STATE();
    case 8:
      if (lookahead == 'i') ADVANCE(43);
      END_STATE();
    case 9:
      if (lookahead == 'o') ADVANCE(44);
      if (lookahead == 'u') ADVANCE(45);
      END_STATE();
    case 10:
      if (lookahead == 'p') ADVANCE(46);
      if (lookahead == 'r') ADVANCE(47);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(48);
      if (lookahead == 'u') ADVANCE(49);
      END_STATE();
    case 12:
      if (lookahead == 'e') ADVANCE(50);
      END_STATE();
    case 13:
      if (lookahead == 't') ADVANCE(51);
      if (lookahead == 'u') ADVANCE(52);
      if (lookahead == 'w') ADVANCE(53);
      END_STATE();
    case 14:
      if (lookahead == 'e') ADVANCE(54);
      if (lookahead == 'h') ADVANCE(55);
      if (lookahead == 'r') ADVANCE(56);
      if (lookahead == 'y') ADVANCE(57);
      END_STATE();
    case 15:
      if (lookahead == 'n') ADVANCE(58);
      if (lookahead == 's') ADVANCE(59);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(42);
      END_STATE();
    case 16:
      if (lookahead == 'a') ADVANCE(60);
      if (lookahead == 'o') ADVANCE(61);
      END_STATE();
    case 17:
      if (lookahead == 'h') ADVANCE(62);
      END_STATE();
    case 18:
      if (lookahead == 'd') ADVANCE(63);
      END_STATE();
    case 19:
      if (lookahead == 'i') ADVANCE(64);
      if (lookahead == 'l') ADVANCE(65);
      END_STATE();
    case 20:
      if (lookahead == 'd') ADVANCE(66);
      if (lookahead == 'y') ADVANCE(67);
      END_STATE();
    case 21:
      if (lookahead == 'm') ADVANCE(68);
      if (lookahead == 'y') ADVANCE(69);
      END_STATE();
    case 22:
      if (lookahead == 'a') ADVANCE(70);
      END_STATE();
    case 23:
      if (lookahead == 'o') ADVANCE(71);
      END_STATE();
    case 24:
      if (lookahead == 'e') ADVANCE(72);
      END_STATE();
    case 25:
      if (lookahead == 'i') ADVANCE(73);
      if (lookahead == 'l') ADVANCE(74);
      if (lookahead == 's') ADVANCE(75);
      if (lookahead == 'u') ADVANCE(76);
      END_STATE();
    case 26:
      if (lookahead == 'l') ADVANCE(77);
      if (lookahead == 't') ADVANCE(78);
      END_STATE();
    case 27:
      if (lookahead == 'm') ADVANCE(79);
      if (lookahead == 'n') ADVANCE(80);
      END_STATE();
    case 28:
      if (lookahead == 'f') ADVANCE(81);
      END_STATE();
    case 29:
      if (lookahead == 's') ADVANCE(82);
      END_STATE();
    case 30:
      if (lookahead == 'u') ADVANCE(83);
      END_STATE();
    case 31:
      if (lookahead == 'r') ADVANCE(84);
      END_STATE();
    case 32:
      if (lookahead == 'p') ADVANCE(85);
      if (lookahead == 't') ADVANCE(86);
      END_STATE();
    case 33:
      if (lookahead == '2') ADVANCE(87);
      if (lookahead == '6') ADVANCE(88);
      END_STATE();
    case 34:
      if (lookahead == '2') ADVANCE(89);
      END_STATE();
    case 35:
      if (lookahead == '4') ADVANCE(90);
      END_STATE();
    case 36:
      if (lookahead == 'l') ADVANCE(91);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_fn);
      END_STATE();
    case 38:
      if (lookahead == 'r') ADVANCE(92);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 40:
      if (lookahead == 'l') ADVANCE(93);
      END_STATE();
    case 41:
      if (lookahead == 'i') ADVANCE(94);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(aux_sym_builtin_type_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(42);
      END_STATE();
    case 43:
      if (lookahead == 'n') ADVANCE(95);
      END_STATE();
    case 44:
      if (lookahead == 'a') ADVANCE(96);
      if (lookahead == 'i') ADVANCE(97);
      if (lookahead == 'r') ADVANCE(98);
      if (lookahead == 's') ADVANCE(99);
      END_STATE();
    case 45:
      if (lookahead == 'l') ADVANCE(100);
      END_STATE();
    case 46:
      if (lookahead == 'a') ADVANCE(101);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_or);
      if (lookahead == 'e') ADVANCE(102);
      END_STATE();
    case 48:
      if (lookahead == 'c') ADVANCE(103);
      END_STATE();
    case 49:
      if (lookahead == 'b') ADVANCE(104);
      END_STATE();
    case 50:
      if (lookahead == 's') ADVANCE(105);
      if (lookahead == 't') ADVANCE(106);
      END_STATE();
    case 51:
      if (lookahead == 'r') ADVANCE(107);
      END_STATE();
    case 52:
      if (lookahead == 's') ADVANCE(108);
      END_STATE();
    case 53:
      if (lookahead == 'i') ADVANCE(109);
      END_STATE();
    case 54:
      if (lookahead == 's') ADVANCE(110);
      END_STATE();
    case 55:
      if (lookahead == 'r') ADVANCE(111);
      END_STATE();
    case 56:
      if (lookahead == 'u') ADVANCE(112);
      if (lookahead == 'y') ADVANCE(113);
      END_STATE();
    case 57:
      if (lookahead == 'p') ADVANCE(114);
      END_STATE();
    case 58:
      if (lookahead == 'd') ADVANCE(115);
      if (lookahead == 'i') ADVANCE(116);
      if (lookahead == 'r') ADVANCE(117);
      END_STATE();
    case 59:
      if (lookahead == 'i') ADVANCE(118);
      END_STATE();
    case 60:
      if (lookahead == 'r') ADVANCE(119);
      END_STATE();
    case 61:
      if (lookahead == 'i') ADVANCE(120);
      if (lookahead == 'l') ADVANCE(121);
      END_STATE();
    case 62:
      if (lookahead == 'i') ADVANCE(122);
      END_STATE();
    case 63:
      if (lookahead == 'r') ADVANCE(123);
      END_STATE();
    case 64:
      if (lookahead == 'g') ADVANCE(124);
      END_STATE();
    case 65:
      if (lookahead == 'o') ADVANCE(125);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(126);
      if (lookahead == 'f') ADVANCE(127);
      if (lookahead == 'o') ADVANCE(128);
      if (lookahead == 't') ADVANCE(129);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_asm);
      END_STATE();
    case 69:
      if (lookahead == 'n') ADVANCE(130);
      END_STATE();
    case 70:
      if (lookahead == 'i') ADVANCE(131);
      END_STATE();
    case 71:
      if (lookahead == 'l') ADVANCE(132);
      END_STATE();
    case 72:
      if (lookahead == 'a') ADVANCE(133);
      END_STATE();
    case 73:
      if (lookahead == 'n') ADVANCE(134);
      END_STATE();
    case 74:
      if (lookahead == 'o') ADVANCE(135);
      END_STATE();
    case 75:
      if (lookahead == 'h') ADVANCE(136);
      END_STATE();
    case 76:
      if (lookahead == 'i') ADVANCE(137);
      if (lookahead == 'l') ADVANCE(138);
      if (lookahead == 's') ADVANCE(139);
      END_STATE();
    case 77:
      if (lookahead == 'l') ADVANCE(140);
      END_STATE();
    case 78:
      if (lookahead == 'c') ADVANCE(141);
      END_STATE();
    case 79:
      if (lookahead == 'p') ADVANCE(142);
      END_STATE();
    case 80:
      if (lookahead == 's') ADVANCE(143);
      if (lookahead == 't') ADVANCE(144);
      END_STATE();
    case 81:
      if (lookahead == 'e') ADVANCE(145);
      END_STATE();
    case 82:
      if (lookahead == 'e') ADVANCE(146);
      END_STATE();
    case 83:
      if (lookahead == 'm') ADVANCE(147);
      END_STATE();
    case 84:
      if (lookahead == 'd') ADVANCE(148);
      if (lookahead == 'o') ADVANCE(149);
      END_STATE();
    case 85:
      if (lookahead == 'o') ADVANCE(150);
      END_STATE();
    case 86:
      if (lookahead == 'e') ADVANCE(151);
      END_STATE();
    case 87:
      if (lookahead == '8') ADVANCE(152);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_f16);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_f32);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_f64);
      END_STATE();
    case 91:
      if (lookahead == 's') ADVANCE(153);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 93:
      if (lookahead == 'i') ADVANCE(154);
      END_STATE();
    case 94:
      if (lookahead == 'z') ADVANCE(155);
      END_STATE();
    case 95:
      if (lookahead == 'k') ADVANCE(156);
      END_STATE();
    case 96:
      if (lookahead == 'l') ADVANCE(157);
      END_STATE();
    case 97:
      if (lookahead == 'n') ADVANCE(158);
      END_STATE();
    case 98:
      if (lookahead == 'e') ADVANCE(159);
      END_STATE();
    case 99:
      if (lookahead == 'u') ADVANCE(160);
      END_STATE();
    case 100:
      if (lookahead == 'l') ADVANCE(161);
      END_STATE();
    case 101:
      if (lookahead == 'q') ADVANCE(162);
      END_STATE();
    case 102:
      if (lookahead == 'l') ADVANCE(163);
      END_STATE();
    case 103:
      if (lookahead == 'k') ADVANCE(164);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_pub);
      END_STATE();
    case 105:
      if (lookahead == 'u') ADVANCE(165);
      END_STATE();
    case 106:
      if (lookahead == 'u') ADVANCE(166);
      END_STATE();
    case 107:
      if (lookahead == 'u') ADVANCE(167);
      END_STATE();
    case 108:
      if (lookahead == 'p') ADVANCE(168);
      END_STATE();
    case 109:
      if (lookahead == 't') ADVANCE(169);
      END_STATE();
    case 110:
      if (lookahead == 't') ADVANCE(170);
      END_STATE();
    case 111:
      if (lookahead == 'e') ADVANCE(171);
      END_STATE();
    case 112:
      if (lookahead == 'e') ADVANCE(172);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 114:
      if (lookahead == 'e') ADVANCE(173);
      END_STATE();
    case 115:
      if (lookahead == 'e') ADVANCE(174);
      END_STATE();
    case 116:
      if (lookahead == 'o') ADVANCE(175);
      END_STATE();
    case 117:
      if (lookahead == 'e') ADVANCE(176);
      END_STATE();
    case 118:
      if (lookahead == 'n') ADVANCE(177);
      if (lookahead == 'z') ADVANCE(178);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 120:
      if (lookahead == 'd') ADVANCE(179);
      END_STATE();
    case 121:
      if (lookahead == 'a') ADVANCE(180);
      END_STATE();
    case 122:
      if (lookahead == 'l') ADVANCE(181);
      END_STATE();
    case 123:
      if (lookahead == 's') ADVANCE(182);
      END_STATE();
    case 124:
      if (lookahead == 'n') ADVANCE(183);
      END_STATE();
    case 125:
      if (lookahead == 'w') ADVANCE(184);
      END_STATE();
    case 126:
      if (lookahead == 'r') ADVANCE(185);
      END_STATE();
    case 127:
      if (lookahead == 'r') ADVANCE(186);
      END_STATE();
    case 128:
      if (lookahead == 'p') ADVANCE(187);
      END_STATE();
    case 129:
      if (lookahead == 'y') ADVANCE(188);
      END_STATE();
    case 130:
      if (lookahead == 'c') ADVANCE(189);
      END_STATE();
    case 131:
      if (lookahead == 't') ADVANCE(190);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_bool);
      END_STATE();
    case 133:
      if (lookahead == 'k') ADVANCE(191);
      END_STATE();
    case 134:
      if (lookahead == 't') ADVANCE(192);
      END_STATE();
    case 135:
      if (lookahead == 'n') ADVANCE(193);
      END_STATE();
    case 136:
      if (lookahead == 'o') ADVANCE(194);
      END_STATE();
    case 137:
      if (lookahead == 'n') ADVANCE(195);
      END_STATE();
    case 138:
      if (lookahead == 'o') ADVANCE(196);
      END_STATE();
    case 139:
      if (lookahead == 'h') ADVANCE(197);
      END_STATE();
    case 140:
      if (lookahead == 'c') ADVANCE(198);
      END_STATE();
    case 141:
      if (lookahead == 'h') ADVANCE(199);
      END_STATE();
    case 142:
      if (lookahead == 't') ADVANCE(200);
      END_STATE();
    case 143:
      if (lookahead == 't') ADVANCE(201);
      END_STATE();
    case 144:
      if (lookahead == 'i') ADVANCE(202);
      END_STATE();
    case 145:
      if (lookahead == 'r') ADVANCE(203);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 148:
      if (lookahead == 'e') ADVANCE(204);
      END_STATE();
    case 149:
      if (lookahead == 'r') ADVANCE(205);
      END_STATE();
    case 150:
      if (lookahead == 'r') ADVANCE(206);
      END_STATE();
    case 151:
      if (lookahead == 'r') ADVANCE(207);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_f128);
      END_STATE();
    case 153:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 154:
      if (lookahead == 'n') ADVANCE(209);
      END_STATE();
    case 155:
      if (lookahead == 'e') ADVANCE(210);
      END_STATE();
    case 156:
      if (lookahead == 's') ADVANCE(211);
      END_STATE();
    case 157:
      if (lookahead == 'i') ADVANCE(212);
      END_STATE();
    case 158:
      if (lookahead == 'l') ADVANCE(213);
      END_STATE();
    case 159:
      if (lookahead == 't') ADVANCE(214);
      END_STATE();
    case 160:
      if (lookahead == 's') ADVANCE(215);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_null);
      END_STATE();
    case 162:
      if (lookahead == 'u') ADVANCE(216);
      END_STATE();
    case 163:
      if (lookahead == 's') ADVANCE(217);
      END_STATE();
    case 164:
      if (lookahead == 'e') ADVANCE(218);
      END_STATE();
    case 165:
      if (lookahead == 'm') ADVANCE(219);
      END_STATE();
    case 166:
      if (lookahead == 'r') ADVANCE(220);
      END_STATE();
    case 167:
      if (lookahead == 'c') ADVANCE(221);
      END_STATE();
    case 168:
      if (lookahead == 'e') ADVANCE(222);
      END_STATE();
    case 169:
      if (lookahead == 'c') ADVANCE(223);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_test);
      END_STATE();
    case 171:
      if (lookahead == 'a') ADVANCE(224);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 174:
      if (lookahead == 'f') ADVANCE(225);
      END_STATE();
    case 175:
      if (lookahead == 'n') ADVANCE(226);
      END_STATE();
    case 176:
      if (lookahead == 'a') ADVANCE(227);
      END_STATE();
    case 177:
      if (lookahead == 'g') ADVANCE(228);
      END_STATE();
    case 178:
      if (lookahead == 'e') ADVANCE(229);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 180:
      if (lookahead == 't') ADVANCE(230);
      END_STATE();
    case 181:
      if (lookahead == 'e') ADVANCE(231);
      END_STATE();
    case 182:
      if (lookahead == 'p') ADVANCE(232);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_align);
      END_STATE();
    case 184:
      if (lookahead == 'z') ADVANCE(233);
      END_STATE();
    case 185:
      if (lookahead == 'r') ADVANCE(234);
      END_STATE();
    case 186:
      if (lookahead == 'a') ADVANCE(235);
      END_STATE();
    case 187:
      if (lookahead == 'a') ADVANCE(236);
      END_STATE();
    case 188:
      if (lookahead == 'p') ADVANCE(237);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_c_int);
      END_STATE();
    case 193:
      if (lookahead == 'g') ADVANCE(238);
      END_STATE();
    case 194:
      if (lookahead == 'r') ADVANCE(239);
      END_STATE();
    case 195:
      if (lookahead == 't') ADVANCE(240);
      END_STATE();
    case 196:
      if (lookahead == 'n') ADVANCE(241);
      END_STATE();
    case 197:
      if (lookahead == 'o') ADVANCE(242);
      END_STATE();
    case 198:
      if (lookahead == 'o') ADVANCE(243);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 200:
      if (lookahead == 'i') ADVANCE(244);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 202:
      if (lookahead == 'n') ADVANCE(245);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_defer);
      END_STATE();
    case 204:
      if (lookahead == 'f') ADVANCE(246);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_error);
      END_STATE();
    case 206:
      if (lookahead == 't') ADVANCE(247);
      END_STATE();
    case 207:
      if (lookahead == 'n') ADVANCE(248);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 209:
      if (lookahead == 'e') ADVANCE(249);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_isize);
      END_STATE();
    case 211:
      if (lookahead == 'e') ADVANCE(250);
      END_STATE();
    case 212:
      if (lookahead == 'a') ADVANCE(251);
      END_STATE();
    case 213:
      if (lookahead == 'i') ADVANCE(252);
      END_STATE();
    case 214:
      if (lookahead == 'u') ADVANCE(253);
      END_STATE();
    case 215:
      if (lookahead == 'p') ADVANCE(254);
      END_STATE();
    case 216:
      if (lookahead == 'e') ADVANCE(255);
      END_STATE();
    case 217:
      if (lookahead == 'e') ADVANCE(256);
      END_STATE();
    case 218:
      if (lookahead == 'd') ADVANCE(257);
      END_STATE();
    case 219:
      if (lookahead == 'e') ADVANCE(258);
      END_STATE();
    case 220:
      if (lookahead == 'n') ADVANCE(259);
      END_STATE();
    case 221:
      if (lookahead == 't') ADVANCE(260);
      END_STATE();
    case 222:
      if (lookahead == 'n') ADVANCE(261);
      END_STATE();
    case 223:
      if (lookahead == 'h') ADVANCE(262);
      END_STATE();
    case 224:
      if (lookahead == 'd') ADVANCE(263);
      END_STATE();
    case 225:
      if (lookahead == 'i') ADVANCE(264);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 227:
      if (lookahead == 'c') ADVANCE(265);
      END_STATE();
    case 228:
      if (lookahead == 'n') ADVANCE(266);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_usize);
      END_STATE();
    case 230:
      if (lookahead == 'i') ADVANCE(267);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 232:
      if (lookahead == 'a') ADVANCE(268);
      END_STATE();
    case 233:
      if (lookahead == 'e') ADVANCE(269);
      END_STATE();
    case 234:
      if (lookahead == 'o') ADVANCE(270);
      END_STATE();
    case 235:
      if (lookahead == 'm') ADVANCE(271);
      END_STATE();
    case 236:
      if (lookahead == 'q') ADVANCE(272);
      END_STATE();
    case 237:
      if (lookahead == 'e') ADVANCE(273);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_c_long);
      if (lookahead == 'd') ADVANCE(274);
      if (lookahead == 'l') ADVANCE(275);
      END_STATE();
    case 239:
      if (lookahead == 't') ADVANCE(276);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_c_uint);
      END_STATE();
    case 241:
      if (lookahead == 'g') ADVANCE(277);
      END_STATE();
    case 242:
      if (lookahead == 'r') ADVANCE(278);
      END_STATE();
    case 243:
      if (lookahead == 'n') ADVANCE(279);
      END_STATE();
    case 244:
      if (lookahead == 'm') ADVANCE(280);
      END_STATE();
    case 245:
      if (lookahead == 'u') ADVANCE(281);
      END_STATE();
    case 246:
      if (lookahead == 'e') ADVANCE(282);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 250:
      if (lookahead == 'c') ADVANCE(283);
      END_STATE();
    case 251:
      if (lookahead == 's') ADVANCE(284);
      END_STATE();
    case 252:
      if (lookahead == 'n') ADVANCE(285);
      END_STATE();
    case 253:
      if (lookahead == 'r') ADVANCE(286);
      END_STATE();
    case 254:
      if (lookahead == 'e') ADVANCE(287);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_opaque);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_orelse);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_packed);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_resume);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 261:
      if (lookahead == 'd') ADVANCE(288);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 263:
      if (lookahead == 'l') ADVANCE(289);
      END_STATE();
    case 264:
      if (lookahead == 'n') ADVANCE(290);
      END_STATE();
    case 265:
      if (lookahead == 'h') ADVANCE(291);
      END_STATE();
    case 266:
      if (lookahead == 'a') ADVANCE(292);
      END_STATE();
    case 267:
      if (lookahead == 'l') ADVANCE(293);
      END_STATE();
    case 268:
      if (lookahead == 'c') ADVANCE(294);
      END_STATE();
    case 269:
      if (lookahead == 'r') ADVANCE(295);
      END_STATE();
    case 270:
      if (lookahead == 'r') ADVANCE(296);
      END_STATE();
    case 271:
      if (lookahead == 'e') ADVANCE(297);
      END_STATE();
    case 272:
      if (lookahead == 'u') ADVANCE(298);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_anytype);
      END_STATE();
    case 274:
      if (lookahead == 'o') ADVANCE(299);
      END_STATE();
    case 275:
      if (lookahead == 'o') ADVANCE(300);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_c_short);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_c_ulong);
      if (lookahead == 'l') ADVANCE(301);
      END_STATE();
    case 278:
      if (lookahead == 't') ADVANCE(302);
      END_STATE();
    case 279:
      if (lookahead == 'v') ADVANCE(303);
      END_STATE();
    case 280:
      if (lookahead == 'e') ADVANCE(304);
      END_STATE();
    case 281:
      if (lookahead == 'e') ADVANCE(305);
      END_STATE();
    case 282:
      if (lookahead == 'r') ADVANCE(306);
      END_STATE();
    case 283:
      if (lookahead == 't') ADVANCE(307);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_noalias);
      END_STATE();
    case 285:
      if (lookahead == 'e') ADVANCE(308);
      END_STATE();
    case 286:
      if (lookahead == 'n') ADVANCE(309);
      END_STATE();
    case 287:
      if (lookahead == 'n') ADVANCE(310);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_suspend);
      END_STATE();
    case 289:
      if (lookahead == 'o') ADVANCE(311);
      END_STATE();
    case 290:
      if (lookahead == 'e') ADVANCE(312);
      END_STATE();
    case 291:
      if (lookahead == 'a') ADVANCE(313);
      END_STATE();
    case 292:
      if (lookahead == 'm') ADVANCE(314);
      END_STATE();
    case 293:
      if (lookahead == 'e') ADVANCE(315);
      END_STATE();
    case 294:
      if (lookahead == 'e') ADVANCE(316);
      END_STATE();
    case 295:
      if (lookahead == 'o') ADVANCE(317);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_anyerror);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_anyframe);
      END_STATE();
    case 298:
      if (lookahead == 'e') ADVANCE(318);
      END_STATE();
    case 299:
      if (lookahead == 'u') ADVANCE(319);
      END_STATE();
    case 300:
      if (lookahead == 'n') ADVANCE(320);
      END_STATE();
    case 301:
      if (lookahead == 'o') ADVANCE(321);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(anon_sym_c_ushort);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(anon_sym_callconv);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(anon_sym_comptime);
      if (lookahead == '_') ADVANCE(322);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(anon_sym_errdefer);
      END_STATE();
    case 307:
      if (lookahead == 'i') ADVANCE(323);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(anon_sym_noinline);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(anon_sym_noreturn);
      END_STATE();
    case 310:
      if (lookahead == 'd') ADVANCE(324);
      END_STATE();
    case 311:
      if (lookahead == 'c') ADVANCE(325);
      END_STATE();
    case 312:
      if (lookahead == 'd') ADVANCE(326);
      END_STATE();
    case 313:
      if (lookahead == 'b') ADVANCE(327);
      END_STATE();
    case 314:
      if (lookahead == 'e') ADVANCE(328);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_addrspace);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(anon_sym_allowzero);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(anon_sym_anyopaque);
      END_STATE();
    case 319:
      if (lookahead == 'b') ADVANCE(329);
      END_STATE();
    case 320:
      if (lookahead == 'g') ADVANCE(330);
      END_STATE();
    case 321:
      if (lookahead == 'n') ADVANCE(331);
      END_STATE();
    case 322:
      if (lookahead == 'f') ADVANCE(332);
      if (lookahead == 'i') ADVANCE(333);
      END_STATE();
    case 323:
      if (lookahead == 'o') ADVANCE(334);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(anon_sym_nosuspend);
      END_STATE();
    case 325:
      if (lookahead == 'a') ADVANCE(335);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(anon_sym_undefined);
      END_STATE();
    case 327:
      if (lookahead == 'l') ADVANCE(336);
      END_STATE();
    case 328:
      if (lookahead == 's') ADVANCE(337);
      END_STATE();
    case 329:
      if (lookahead == 'l') ADVANCE(338);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(anon_sym_c_longlong);
      END_STATE();
    case 331:
      if (lookahead == 'g') ADVANCE(339);
      END_STATE();
    case 332:
      if (lookahead == 'l') ADVANCE(340);
      END_STATE();
    case 333:
      if (lookahead == 'n') ADVANCE(341);
      END_STATE();
    case 334:
      if (lookahead == 'n') ADVANCE(342);
      END_STATE();
    case 335:
      if (lookahead == 'l') ADVANCE(343);
      END_STATE();
    case 336:
      if (lookahead == 'e') ADVANCE(344);
      END_STATE();
    case 337:
      if (lookahead == 'p') ADVANCE(345);
      END_STATE();
    case 338:
      if (lookahead == 'e') ADVANCE(346);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(anon_sym_c_ulonglong);
      END_STATE();
    case 340:
      if (lookahead == 'o') ADVANCE(347);
      END_STATE();
    case 341:
      if (lookahead == 't') ADVANCE(348);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_linksection);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(anon_sym_threadlocal);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_unreachable);
      END_STATE();
    case 345:
      if (lookahead == 'a') ADVANCE(349);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(anon_sym_c_longdouble);
      END_STATE();
    case 347:
      if (lookahead == 'a') ADVANCE(350);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(anon_sym_comptime_int);
      END_STATE();
    case 349:
      if (lookahead == 'c') ADVANCE(351);
      END_STATE();
    case 350:
      if (lookahead == 't') ADVANCE(352);
      END_STATE();
    case 351:
      if (lookahead == 'e') ADVANCE(353);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(anon_sym_comptime_float);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(anon_sym_usingnamespace);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 29},
  [2] = {.lex_state = 28},
  [3] = {.lex_state = 28},
  [4] = {.lex_state = 28},
  [5] = {.lex_state = 28},
  [6] = {.lex_state = 28},
  [7] = {.lex_state = 28},
  [8] = {.lex_state = 28},
  [9] = {.lex_state = 3},
  [10] = {.lex_state = 3},
  [11] = {.lex_state = 28},
  [12] = {.lex_state = 28},
  [13] = {.lex_state = 3},
  [14] = {.lex_state = 3},
  [15] = {.lex_state = 28},
  [16] = {.lex_state = 28},
  [17] = {.lex_state = 3},
  [18] = {.lex_state = 3},
  [19] = {.lex_state = 28},
  [20] = {.lex_state = 28},
  [21] = {.lex_state = 3},
  [22] = {.lex_state = 28},
  [23] = {.lex_state = 28},
  [24] = {.lex_state = 28},
  [25] = {.lex_state = 29},
  [26] = {.lex_state = 29},
  [27] = {.lex_state = 29},
  [28] = {.lex_state = 29},
  [29] = {.lex_state = 29},
  [30] = {.lex_state = 29},
  [31] = {.lex_state = 29},
  [32] = {.lex_state = 29},
  [33] = {.lex_state = 29},
  [34] = {.lex_state = 29},
  [35] = {.lex_state = 29},
  [36] = {.lex_state = 29},
  [37] = {.lex_state = 29},
  [38] = {.lex_state = 29},
  [39] = {.lex_state = 29},
  [40] = {.lex_state = 29},
  [41] = {.lex_state = 29},
  [42] = {.lex_state = 29},
  [43] = {.lex_state = 29},
  [44] = {.lex_state = 29},
  [45] = {.lex_state = 29},
  [46] = {.lex_state = 29},
  [47] = {.lex_state = 29},
  [48] = {.lex_state = 29},
  [49] = {.lex_state = 29},
  [50] = {.lex_state = 29},
  [51] = {.lex_state = 29},
  [52] = {.lex_state = 29},
  [53] = {.lex_state = 29},
  [54] = {.lex_state = 29},
  [55] = {.lex_state = 29},
  [56] = {.lex_state = 29},
  [57] = {.lex_state = 29},
  [58] = {.lex_state = 29},
  [59] = {.lex_state = 29},
  [60] = {.lex_state = 29},
  [61] = {.lex_state = 29},
  [62] = {.lex_state = 29},
  [63] = {.lex_state = 29},
  [64] = {.lex_state = 29},
  [65] = {.lex_state = 29},
  [66] = {.lex_state = 29},
  [67] = {.lex_state = 29},
  [68] = {.lex_state = 29},
  [69] = {.lex_state = 29},
  [70] = {.lex_state = 29},
  [71] = {.lex_state = 29},
  [72] = {.lex_state = 29},
  [73] = {.lex_state = 29},
  [74] = {.lex_state = 29},
  [75] = {.lex_state = 29},
  [76] = {.lex_state = 29},
  [77] = {.lex_state = 29},
  [78] = {.lex_state = 29},
  [79] = {.lex_state = 29},
  [80] = {.lex_state = 29},
  [81] = {.lex_state = 28},
  [82] = {.lex_state = 28},
  [83] = {.lex_state = 29},
  [84] = {.lex_state = 29},
  [85] = {.lex_state = 29},
  [86] = {.lex_state = 29},
  [87] = {.lex_state = 29},
  [88] = {.lex_state = 29},
  [89] = {.lex_state = 29},
  [90] = {.lex_state = 29},
  [91] = {.lex_state = 29},
  [92] = {.lex_state = 29},
  [93] = {.lex_state = 29},
  [94] = {.lex_state = 29},
  [95] = {.lex_state = 29},
  [96] = {.lex_state = 29},
  [97] = {.lex_state = 29},
  [98] = {.lex_state = 29},
  [99] = {.lex_state = 29},
  [100] = {.lex_state = 29},
  [101] = {.lex_state = 29},
  [102] = {.lex_state = 29},
  [103] = {.lex_state = 29},
  [104] = {.lex_state = 29},
  [105] = {.lex_state = 29},
  [106] = {.lex_state = 29},
  [107] = {.lex_state = 29},
  [108] = {.lex_state = 29},
  [109] = {.lex_state = 29},
  [110] = {.lex_state = 29},
  [111] = {.lex_state = 29},
  [112] = {.lex_state = 29},
  [113] = {.lex_state = 29},
  [114] = {.lex_state = 29},
  [115] = {.lex_state = 29},
  [116] = {.lex_state = 29},
  [117] = {.lex_state = 29},
  [118] = {.lex_state = 29},
  [119] = {.lex_state = 29},
  [120] = {.lex_state = 29},
  [121] = {.lex_state = 29},
  [122] = {.lex_state = 29},
  [123] = {.lex_state = 29},
  [124] = {.lex_state = 29},
  [125] = {.lex_state = 29},
  [126] = {.lex_state = 29},
  [127] = {.lex_state = 29},
  [128] = {.lex_state = 29},
  [129] = {.lex_state = 29},
  [130] = {.lex_state = 29},
  [131] = {.lex_state = 29},
  [132] = {.lex_state = 29},
  [133] = {.lex_state = 29},
  [134] = {.lex_state = 29},
  [135] = {.lex_state = 29},
  [136] = {.lex_state = 29},
  [137] = {.lex_state = 29},
  [138] = {.lex_state = 29},
  [139] = {.lex_state = 29},
  [140] = {.lex_state = 29},
  [141] = {.lex_state = 29},
  [142] = {.lex_state = 28},
  [143] = {.lex_state = 29},
  [144] = {.lex_state = 29},
  [145] = {.lex_state = 28},
  [146] = {.lex_state = 28},
  [147] = {.lex_state = 29},
  [148] = {.lex_state = 29},
  [149] = {.lex_state = 29},
  [150] = {.lex_state = 29},
  [151] = {.lex_state = 28},
  [152] = {.lex_state = 29},
  [153] = {.lex_state = 29},
  [154] = {.lex_state = 29},
  [155] = {.lex_state = 29},
  [156] = {.lex_state = 29},
  [157] = {.lex_state = 29},
  [158] = {.lex_state = 29},
  [159] = {.lex_state = 29},
  [160] = {.lex_state = 29},
  [161] = {.lex_state = 29},
  [162] = {.lex_state = 29},
  [163] = {.lex_state = 29},
  [164] = {.lex_state = 29},
  [165] = {.lex_state = 29},
  [166] = {.lex_state = 29},
  [167] = {.lex_state = 29},
  [168] = {.lex_state = 28},
  [169] = {.lex_state = 29},
  [170] = {.lex_state = 29},
  [171] = {.lex_state = 29},
  [172] = {.lex_state = 29},
  [173] = {.lex_state = 29},
  [174] = {.lex_state = 29},
  [175] = {.lex_state = 29},
  [176] = {.lex_state = 29},
  [177] = {.lex_state = 29},
  [178] = {.lex_state = 29},
  [179] = {.lex_state = 29},
  [180] = {.lex_state = 29},
  [181] = {.lex_state = 29},
  [182] = {.lex_state = 29},
  [183] = {.lex_state = 29},
  [184] = {.lex_state = 29},
  [185] = {.lex_state = 29},
  [186] = {.lex_state = 29},
  [187] = {.lex_state = 29},
  [188] = {.lex_state = 29},
  [189] = {.lex_state = 28},
  [190] = {.lex_state = 29},
  [191] = {.lex_state = 29},
  [192] = {.lex_state = 29},
  [193] = {.lex_state = 29},
  [194] = {.lex_state = 29},
  [195] = {.lex_state = 29},
  [196] = {.lex_state = 29},
  [197] = {.lex_state = 29},
  [198] = {.lex_state = 29},
  [199] = {.lex_state = 29},
  [200] = {.lex_state = 29},
  [201] = {.lex_state = 29},
  [202] = {.lex_state = 29},
  [203] = {.lex_state = 29},
  [204] = {.lex_state = 29},
  [205] = {.lex_state = 29},
  [206] = {.lex_state = 29},
  [207] = {.lex_state = 29},
  [208] = {.lex_state = 29},
  [209] = {.lex_state = 29},
  [210] = {.lex_state = 29},
  [211] = {.lex_state = 29},
  [212] = {.lex_state = 29},
  [213] = {.lex_state = 29},
  [214] = {.lex_state = 29},
  [215] = {.lex_state = 29},
  [216] = {.lex_state = 29},
  [217] = {.lex_state = 29},
  [218] = {.lex_state = 29},
  [219] = {.lex_state = 29},
  [220] = {.lex_state = 29},
  [221] = {.lex_state = 29},
  [222] = {.lex_state = 29},
  [223] = {.lex_state = 29},
  [224] = {.lex_state = 29},
  [225] = {.lex_state = 29},
  [226] = {.lex_state = 29},
  [227] = {.lex_state = 29},
  [228] = {.lex_state = 29},
  [229] = {.lex_state = 29},
  [230] = {.lex_state = 29},
  [231] = {.lex_state = 29},
  [232] = {.lex_state = 29},
  [233] = {.lex_state = 29},
  [234] = {.lex_state = 29},
  [235] = {.lex_state = 29},
  [236] = {.lex_state = 29},
  [237] = {.lex_state = 29},
  [238] = {.lex_state = 29},
  [239] = {.lex_state = 29},
  [240] = {.lex_state = 29},
  [241] = {.lex_state = 29},
  [242] = {.lex_state = 29},
  [243] = {.lex_state = 29},
  [244] = {.lex_state = 29},
  [245] = {.lex_state = 29},
  [246] = {.lex_state = 29},
  [247] = {.lex_state = 29},
  [248] = {.lex_state = 29},
  [249] = {.lex_state = 29},
  [250] = {.lex_state = 29},
  [251] = {.lex_state = 29},
  [252] = {.lex_state = 29},
  [253] = {.lex_state = 29},
  [254] = {.lex_state = 29},
  [255] = {.lex_state = 29},
  [256] = {.lex_state = 29},
  [257] = {.lex_state = 29},
  [258] = {.lex_state = 29},
  [259] = {.lex_state = 29},
  [260] = {.lex_state = 29},
  [261] = {.lex_state = 29},
  [262] = {.lex_state = 29},
  [263] = {.lex_state = 29},
  [264] = {.lex_state = 29},
  [265] = {.lex_state = 29},
  [266] = {.lex_state = 29},
  [267] = {.lex_state = 29},
  [268] = {.lex_state = 29},
  [269] = {.lex_state = 29},
  [270] = {.lex_state = 29},
  [271] = {.lex_state = 29},
  [272] = {.lex_state = 29},
  [273] = {.lex_state = 29},
  [274] = {.lex_state = 29},
  [275] = {.lex_state = 29},
  [276] = {.lex_state = 29},
  [277] = {.lex_state = 29},
  [278] = {.lex_state = 29},
  [279] = {.lex_state = 29},
  [280] = {.lex_state = 29},
  [281] = {.lex_state = 29},
  [282] = {.lex_state = 29},
  [283] = {.lex_state = 29},
  [284] = {.lex_state = 29},
  [285] = {.lex_state = 29},
  [286] = {.lex_state = 29},
  [287] = {.lex_state = 29},
  [288] = {.lex_state = 29},
  [289] = {.lex_state = 29},
  [290] = {.lex_state = 29},
  [291] = {.lex_state = 29},
  [292] = {.lex_state = 29},
  [293] = {.lex_state = 29},
  [294] = {.lex_state = 29},
  [295] = {.lex_state = 29},
  [296] = {.lex_state = 29},
  [297] = {.lex_state = 29},
  [298] = {.lex_state = 29},
  [299] = {.lex_state = 29},
  [300] = {.lex_state = 29},
  [301] = {.lex_state = 29},
  [302] = {.lex_state = 29},
  [303] = {.lex_state = 29},
  [304] = {.lex_state = 29},
  [305] = {.lex_state = 29},
  [306] = {.lex_state = 29},
  [307] = {.lex_state = 29},
  [308] = {.lex_state = 29},
  [309] = {.lex_state = 29},
  [310] = {.lex_state = 29},
  [311] = {.lex_state = 29},
  [312] = {.lex_state = 29},
  [313] = {.lex_state = 29},
  [314] = {.lex_state = 29},
  [315] = {.lex_state = 29},
  [316] = {.lex_state = 29},
  [317] = {.lex_state = 29},
  [318] = {.lex_state = 29},
  [319] = {.lex_state = 29},
  [320] = {.lex_state = 29},
  [321] = {.lex_state = 29},
  [322] = {.lex_state = 29},
  [323] = {.lex_state = 29},
  [324] = {.lex_state = 29},
  [325] = {.lex_state = 29},
  [326] = {.lex_state = 29},
  [327] = {.lex_state = 29},
  [328] = {.lex_state = 29},
  [329] = {.lex_state = 29},
  [330] = {.lex_state = 29},
  [331] = {.lex_state = 29},
  [332] = {.lex_state = 29},
  [333] = {.lex_state = 29},
  [334] = {.lex_state = 29},
  [335] = {.lex_state = 29},
  [336] = {.lex_state = 29},
  [337] = {.lex_state = 29},
  [338] = {.lex_state = 29},
  [339] = {.lex_state = 29},
  [340] = {.lex_state = 29},
  [341] = {.lex_state = 29},
  [342] = {.lex_state = 29},
  [343] = {.lex_state = 29},
  [344] = {.lex_state = 29},
  [345] = {.lex_state = 29},
  [346] = {.lex_state = 29},
  [347] = {.lex_state = 29},
  [348] = {.lex_state = 29},
  [349] = {.lex_state = 29},
  [350] = {.lex_state = 29},
  [351] = {.lex_state = 28},
  [352] = {.lex_state = 29},
  [353] = {.lex_state = 29},
  [354] = {.lex_state = 29},
  [355] = {.lex_state = 29},
  [356] = {.lex_state = 29},
  [357] = {.lex_state = 29},
  [358] = {.lex_state = 29},
  [359] = {.lex_state = 29},
  [360] = {.lex_state = 29},
  [361] = {.lex_state = 29},
  [362] = {.lex_state = 29},
  [363] = {.lex_state = 29},
  [364] = {.lex_state = 29},
  [365] = {.lex_state = 29},
  [366] = {.lex_state = 29},
  [367] = {.lex_state = 29},
  [368] = {.lex_state = 29},
  [369] = {.lex_state = 28},
  [370] = {.lex_state = 29},
  [371] = {.lex_state = 28},
  [372] = {.lex_state = 29},
  [373] = {.lex_state = 29},
  [374] = {.lex_state = 29},
  [375] = {.lex_state = 29},
  [376] = {.lex_state = 29},
  [377] = {.lex_state = 29},
  [378] = {.lex_state = 29},
  [379] = {.lex_state = 29},
  [380] = {.lex_state = 29},
  [381] = {.lex_state = 29},
  [382] = {.lex_state = 29},
  [383] = {.lex_state = 29},
  [384] = {.lex_state = 29},
  [385] = {.lex_state = 29},
  [386] = {.lex_state = 29},
  [387] = {.lex_state = 29},
  [388] = {.lex_state = 29},
  [389] = {.lex_state = 29},
  [390] = {.lex_state = 29},
  [391] = {.lex_state = 29},
  [392] = {.lex_state = 29},
  [393] = {.lex_state = 29},
  [394] = {.lex_state = 29},
  [395] = {.lex_state = 29},
  [396] = {.lex_state = 29},
  [397] = {.lex_state = 29},
  [398] = {.lex_state = 29},
  [399] = {.lex_state = 29},
  [400] = {.lex_state = 29},
  [401] = {.lex_state = 29},
  [402] = {.lex_state = 29},
  [403] = {.lex_state = 29},
  [404] = {.lex_state = 29},
  [405] = {.lex_state = 29},
  [406] = {.lex_state = 29},
  [407] = {.lex_state = 29},
  [408] = {.lex_state = 29},
  [409] = {.lex_state = 29},
  [410] = {.lex_state = 29},
  [411] = {.lex_state = 29},
  [412] = {.lex_state = 29},
  [413] = {.lex_state = 29},
  [414] = {.lex_state = 29},
  [415] = {.lex_state = 29},
  [416] = {.lex_state = 29},
  [417] = {.lex_state = 29},
  [418] = {.lex_state = 29},
  [419] = {.lex_state = 29},
  [420] = {.lex_state = 29},
  [421] = {.lex_state = 29},
  [422] = {.lex_state = 29},
  [423] = {.lex_state = 29},
  [424] = {.lex_state = 29},
  [425] = {.lex_state = 29},
  [426] = {.lex_state = 29},
  [427] = {.lex_state = 29},
  [428] = {.lex_state = 29},
  [429] = {.lex_state = 29},
  [430] = {.lex_state = 29},
  [431] = {.lex_state = 29},
  [432] = {.lex_state = 29},
  [433] = {.lex_state = 29},
  [434] = {.lex_state = 29},
  [435] = {.lex_state = 29},
  [436] = {.lex_state = 29},
  [437] = {.lex_state = 29},
  [438] = {.lex_state = 29},
  [439] = {.lex_state = 29},
  [440] = {.lex_state = 29},
  [441] = {.lex_state = 29},
  [442] = {.lex_state = 29},
  [443] = {.lex_state = 29},
  [444] = {.lex_state = 29},
  [445] = {.lex_state = 29},
  [446] = {.lex_state = 29},
  [447] = {.lex_state = 29},
  [448] = {.lex_state = 29},
  [449] = {.lex_state = 29},
  [450] = {.lex_state = 29},
  [451] = {.lex_state = 29},
  [452] = {.lex_state = 29},
  [453] = {.lex_state = 29},
  [454] = {.lex_state = 29},
  [455] = {.lex_state = 29},
  [456] = {.lex_state = 29},
  [457] = {.lex_state = 29},
  [458] = {.lex_state = 29},
  [459] = {.lex_state = 29},
  [460] = {.lex_state = 29},
  [461] = {.lex_state = 29},
  [462] = {.lex_state = 29},
  [463] = {.lex_state = 29},
  [464] = {.lex_state = 29},
  [465] = {.lex_state = 29},
  [466] = {.lex_state = 29},
  [467] = {.lex_state = 29},
  [468] = {.lex_state = 29},
  [469] = {.lex_state = 29},
  [470] = {.lex_state = 29},
  [471] = {.lex_state = 29},
  [472] = {.lex_state = 29},
  [473] = {.lex_state = 29},
  [474] = {.lex_state = 29},
  [475] = {.lex_state = 29},
  [476] = {.lex_state = 29},
  [477] = {.lex_state = 29},
  [478] = {.lex_state = 29},
  [479] = {.lex_state = 29},
  [480] = {.lex_state = 29},
  [481] = {.lex_state = 29},
  [482] = {.lex_state = 29},
  [483] = {.lex_state = 29},
  [484] = {.lex_state = 29},
  [485] = {.lex_state = 29},
  [486] = {.lex_state = 29},
  [487] = {.lex_state = 29},
  [488] = {.lex_state = 29},
  [489] = {.lex_state = 29},
  [490] = {.lex_state = 29},
  [491] = {.lex_state = 29},
  [492] = {.lex_state = 29},
  [493] = {.lex_state = 29},
  [494] = {.lex_state = 29},
  [495] = {.lex_state = 29},
  [496] = {.lex_state = 29},
  [497] = {.lex_state = 29},
  [498] = {.lex_state = 29},
  [499] = {.lex_state = 29},
  [500] = {.lex_state = 29},
  [501] = {.lex_state = 29},
  [502] = {.lex_state = 29},
  [503] = {.lex_state = 29},
  [504] = {.lex_state = 29},
  [505] = {.lex_state = 29},
  [506] = {.lex_state = 29},
  [507] = {.lex_state = 29},
  [508] = {.lex_state = 29},
  [509] = {.lex_state = 29},
  [510] = {.lex_state = 29},
  [511] = {.lex_state = 29},
  [512] = {.lex_state = 29},
  [513] = {.lex_state = 29},
  [514] = {.lex_state = 29},
  [515] = {.lex_state = 29},
  [516] = {.lex_state = 29},
  [517] = {.lex_state = 29},
  [518] = {.lex_state = 29},
  [519] = {.lex_state = 29},
  [520] = {.lex_state = 29},
  [521] = {.lex_state = 29},
  [522] = {.lex_state = 29},
  [523] = {.lex_state = 29},
  [524] = {.lex_state = 29},
  [525] = {.lex_state = 29},
  [526] = {.lex_state = 29},
  [527] = {.lex_state = 29},
  [528] = {.lex_state = 29},
  [529] = {.lex_state = 29},
  [530] = {.lex_state = 29},
  [531] = {.lex_state = 29},
  [532] = {.lex_state = 29},
  [533] = {.lex_state = 29},
  [534] = {.lex_state = 29},
  [535] = {.lex_state = 29},
  [536] = {.lex_state = 29},
  [537] = {.lex_state = 29},
  [538] = {.lex_state = 29},
  [539] = {.lex_state = 29},
  [540] = {.lex_state = 29},
  [541] = {.lex_state = 29},
  [542] = {.lex_state = 29},
  [543] = {.lex_state = 29},
  [544] = {.lex_state = 29},
  [545] = {.lex_state = 29},
  [546] = {.lex_state = 29},
  [547] = {.lex_state = 29},
  [548] = {.lex_state = 29},
  [549] = {.lex_state = 29},
  [550] = {.lex_state = 29},
  [551] = {.lex_state = 29},
  [552] = {.lex_state = 29},
  [553] = {.lex_state = 29},
  [554] = {.lex_state = 29},
  [555] = {.lex_state = 29},
  [556] = {.lex_state = 29},
  [557] = {.lex_state = 29},
  [558] = {.lex_state = 29},
  [559] = {.lex_state = 29},
  [560] = {.lex_state = 29},
  [561] = {.lex_state = 29},
  [562] = {.lex_state = 29},
  [563] = {.lex_state = 29},
  [564] = {.lex_state = 29},
  [565] = {.lex_state = 29},
  [566] = {.lex_state = 29},
  [567] = {.lex_state = 29},
  [568] = {.lex_state = 29},
  [569] = {.lex_state = 29},
  [570] = {.lex_state = 29},
  [571] = {.lex_state = 29},
  [572] = {.lex_state = 29},
  [573] = {.lex_state = 29},
  [574] = {.lex_state = 29},
  [575] = {.lex_state = 29},
  [576] = {.lex_state = 29},
  [577] = {.lex_state = 29},
  [578] = {.lex_state = 29},
  [579] = {.lex_state = 29},
  [580] = {.lex_state = 29},
  [581] = {.lex_state = 29},
  [582] = {.lex_state = 29},
  [583] = {.lex_state = 29},
  [584] = {.lex_state = 29},
  [585] = {.lex_state = 29},
  [586] = {.lex_state = 29},
  [587] = {.lex_state = 29},
  [588] = {.lex_state = 29},
  [589] = {.lex_state = 29},
  [590] = {.lex_state = 29},
  [591] = {.lex_state = 29},
  [592] = {.lex_state = 29},
  [593] = {.lex_state = 29},
  [594] = {.lex_state = 29},
  [595] = {.lex_state = 29},
  [596] = {.lex_state = 29},
  [597] = {.lex_state = 29},
  [598] = {.lex_state = 29},
  [599] = {.lex_state = 29},
  [600] = {.lex_state = 29},
  [601] = {.lex_state = 29},
  [602] = {.lex_state = 29},
  [603] = {.lex_state = 29},
  [604] = {.lex_state = 29},
  [605] = {.lex_state = 29},
  [606] = {.lex_state = 29},
  [607] = {.lex_state = 29},
  [608] = {.lex_state = 29},
  [609] = {.lex_state = 29},
  [610] = {.lex_state = 29},
  [611] = {.lex_state = 29},
  [612] = {.lex_state = 29},
  [613] = {.lex_state = 29},
  [614] = {.lex_state = 29},
  [615] = {.lex_state = 29},
  [616] = {.lex_state = 29},
  [617] = {.lex_state = 29},
  [618] = {.lex_state = 29},
  [619] = {.lex_state = 29},
  [620] = {.lex_state = 29},
  [621] = {.lex_state = 29},
  [622] = {.lex_state = 29},
  [623] = {.lex_state = 29},
  [624] = {.lex_state = 29},
  [625] = {.lex_state = 29},
  [626] = {.lex_state = 29},
  [627] = {.lex_state = 29},
  [628] = {.lex_state = 29},
  [629] = {.lex_state = 29},
  [630] = {.lex_state = 29},
  [631] = {.lex_state = 29},
  [632] = {.lex_state = 29},
  [633] = {.lex_state = 29},
  [634] = {.lex_state = 29},
  [635] = {.lex_state = 29},
  [636] = {.lex_state = 29},
  [637] = {.lex_state = 29},
  [638] = {.lex_state = 29},
  [639] = {.lex_state = 29},
  [640] = {.lex_state = 29},
  [641] = {.lex_state = 29},
  [642] = {.lex_state = 29},
  [643] = {.lex_state = 29},
  [644] = {.lex_state = 29},
  [645] = {.lex_state = 29},
  [646] = {.lex_state = 29},
  [647] = {.lex_state = 29},
  [648] = {.lex_state = 29},
  [649] = {.lex_state = 29},
  [650] = {.lex_state = 29},
  [651] = {.lex_state = 29},
  [652] = {.lex_state = 29},
  [653] = {.lex_state = 29},
  [654] = {.lex_state = 29},
  [655] = {.lex_state = 29},
  [656] = {.lex_state = 29},
  [657] = {.lex_state = 29},
  [658] = {.lex_state = 29},
  [659] = {.lex_state = 29},
  [660] = {.lex_state = 29},
  [661] = {.lex_state = 29},
  [662] = {.lex_state = 29},
  [663] = {.lex_state = 29},
  [664] = {.lex_state = 29},
  [665] = {.lex_state = 29},
  [666] = {.lex_state = 29},
  [667] = {.lex_state = 29},
  [668] = {.lex_state = 29},
  [669] = {.lex_state = 29},
  [670] = {.lex_state = 29},
  [671] = {.lex_state = 29},
  [672] = {.lex_state = 29},
  [673] = {.lex_state = 29},
  [674] = {.lex_state = 29},
  [675] = {.lex_state = 29},
  [676] = {.lex_state = 29},
  [677] = {.lex_state = 29},
  [678] = {.lex_state = 29},
  [679] = {.lex_state = 29},
  [680] = {.lex_state = 29},
  [681] = {.lex_state = 29},
  [682] = {.lex_state = 29},
  [683] = {.lex_state = 29},
  [684] = {.lex_state = 29},
  [685] = {.lex_state = 29},
  [686] = {.lex_state = 29},
  [687] = {.lex_state = 29},
  [688] = {.lex_state = 29},
  [689] = {.lex_state = 28},
  [690] = {.lex_state = 28},
  [691] = {.lex_state = 28},
  [692] = {.lex_state = 28},
  [693] = {.lex_state = 28},
  [694] = {.lex_state = 28},
  [695] = {.lex_state = 28},
  [696] = {.lex_state = 28},
  [697] = {.lex_state = 3},
  [698] = {.lex_state = 3},
  [699] = {.lex_state = 3},
  [700] = {.lex_state = 3},
  [701] = {.lex_state = 3},
  [702] = {.lex_state = 29},
  [703] = {.lex_state = 29},
  [704] = {.lex_state = 29},
  [705] = {.lex_state = 29},
  [706] = {.lex_state = 29},
  [707] = {.lex_state = 29},
  [708] = {.lex_state = 29},
  [709] = {.lex_state = 29},
  [710] = {.lex_state = 29},
  [711] = {.lex_state = 29},
  [712] = {.lex_state = 29},
  [713] = {.lex_state = 29},
  [714] = {.lex_state = 29},
  [715] = {.lex_state = 29},
  [716] = {.lex_state = 29},
  [717] = {.lex_state = 29},
  [718] = {.lex_state = 29},
  [719] = {.lex_state = 29},
  [720] = {.lex_state = 29},
  [721] = {.lex_state = 29},
  [722] = {.lex_state = 29},
  [723] = {.lex_state = 29},
  [724] = {.lex_state = 29},
  [725] = {.lex_state = 29},
  [726] = {.lex_state = 29},
  [727] = {.lex_state = 29},
  [728] = {.lex_state = 29},
  [729] = {.lex_state = 29},
  [730] = {.lex_state = 29},
  [731] = {.lex_state = 29},
  [732] = {.lex_state = 29},
  [733] = {.lex_state = 29},
  [734] = {.lex_state = 29},
  [735] = {.lex_state = 29},
  [736] = {.lex_state = 29},
  [737] = {.lex_state = 29},
  [738] = {.lex_state = 29},
  [739] = {.lex_state = 29},
  [740] = {.lex_state = 29},
  [741] = {.lex_state = 29},
  [742] = {.lex_state = 29},
  [743] = {.lex_state = 29},
  [744] = {.lex_state = 29},
  [745] = {.lex_state = 29},
  [746] = {.lex_state = 29},
  [747] = {.lex_state = 29},
  [748] = {.lex_state = 29},
  [749] = {.lex_state = 29},
  [750] = {.lex_state = 29},
  [751] = {.lex_state = 29},
  [752] = {.lex_state = 29},
  [753] = {.lex_state = 29},
  [754] = {.lex_state = 29},
  [755] = {.lex_state = 29},
  [756] = {.lex_state = 29},
  [757] = {.lex_state = 29},
  [758] = {.lex_state = 29},
  [759] = {.lex_state = 29},
  [760] = {.lex_state = 29},
  [761] = {.lex_state = 29},
  [762] = {.lex_state = 29},
  [763] = {.lex_state = 29},
  [764] = {.lex_state = 29},
  [765] = {.lex_state = 29},
  [766] = {.lex_state = 29},
  [767] = {.lex_state = 29},
  [768] = {.lex_state = 29},
  [769] = {.lex_state = 29},
  [770] = {.lex_state = 29},
  [771] = {.lex_state = 29},
  [772] = {.lex_state = 29},
  [773] = {.lex_state = 29},
  [774] = {.lex_state = 29},
  [775] = {.lex_state = 29},
  [776] = {.lex_state = 29},
  [777] = {.lex_state = 29},
  [778] = {.lex_state = 29},
  [779] = {.lex_state = 29},
  [780] = {.lex_state = 29},
  [781] = {.lex_state = 29},
  [782] = {.lex_state = 29},
  [783] = {.lex_state = 29},
  [784] = {.lex_state = 29},
  [785] = {.lex_state = 29},
  [786] = {.lex_state = 29},
  [787] = {.lex_state = 29},
  [788] = {.lex_state = 29},
  [789] = {.lex_state = 29},
  [790] = {.lex_state = 29},
  [791] = {.lex_state = 29},
  [792] = {.lex_state = 29},
  [793] = {.lex_state = 29},
  [794] = {.lex_state = 29},
  [795] = {.lex_state = 29},
  [796] = {.lex_state = 29},
  [797] = {.lex_state = 29},
  [798] = {.lex_state = 29},
  [799] = {.lex_state = 29},
  [800] = {.lex_state = 29},
  [801] = {.lex_state = 29},
  [802] = {.lex_state = 29},
  [803] = {.lex_state = 29},
  [804] = {.lex_state = 29},
  [805] = {.lex_state = 29},
  [806] = {.lex_state = 28},
  [807] = {.lex_state = 28},
  [808] = {.lex_state = 28},
  [809] = {.lex_state = 28},
  [810] = {.lex_state = 28},
  [811] = {.lex_state = 28},
  [812] = {.lex_state = 28},
  [813] = {.lex_state = 28},
  [814] = {.lex_state = 28},
  [815] = {.lex_state = 28},
  [816] = {.lex_state = 28},
  [817] = {.lex_state = 28},
  [818] = {.lex_state = 28},
  [819] = {.lex_state = 28},
  [820] = {.lex_state = 28},
  [821] = {.lex_state = 28},
  [822] = {.lex_state = 28},
  [823] = {.lex_state = 28},
  [824] = {.lex_state = 28},
  [825] = {.lex_state = 28},
  [826] = {.lex_state = 28},
  [827] = {.lex_state = 28},
  [828] = {.lex_state = 28},
  [829] = {.lex_state = 28},
  [830] = {.lex_state = 28},
  [831] = {.lex_state = 28},
  [832] = {.lex_state = 28},
  [833] = {.lex_state = 28},
  [834] = {.lex_state = 28},
  [835] = {.lex_state = 28},
  [836] = {.lex_state = 28},
  [837] = {.lex_state = 28},
  [838] = {.lex_state = 28},
  [839] = {.lex_state = 28},
  [840] = {.lex_state = 28},
  [841] = {.lex_state = 28},
  [842] = {.lex_state = 28},
  [843] = {.lex_state = 28},
  [844] = {.lex_state = 28},
  [845] = {.lex_state = 28},
  [846] = {.lex_state = 28},
  [847] = {.lex_state = 28},
  [848] = {.lex_state = 28},
  [849] = {.lex_state = 28},
  [850] = {.lex_state = 28},
  [851] = {.lex_state = 28},
  [852] = {.lex_state = 28},
  [853] = {.lex_state = 28},
  [854] = {.lex_state = 28},
  [855] = {.lex_state = 28},
  [856] = {.lex_state = 28},
  [857] = {.lex_state = 28},
  [858] = {.lex_state = 28},
  [859] = {.lex_state = 28},
  [860] = {.lex_state = 28},
  [861] = {.lex_state = 28},
  [862] = {.lex_state = 28},
  [863] = {.lex_state = 28},
  [864] = {.lex_state = 28},
  [865] = {.lex_state = 28},
  [866] = {.lex_state = 28},
  [867] = {.lex_state = 28},
  [868] = {.lex_state = 28},
  [869] = {.lex_state = 28},
  [870] = {.lex_state = 28},
  [871] = {.lex_state = 28},
  [872] = {.lex_state = 28},
  [873] = {.lex_state = 28},
  [874] = {.lex_state = 28},
  [875] = {.lex_state = 28},
  [876] = {.lex_state = 28},
  [877] = {.lex_state = 28},
  [878] = {.lex_state = 28},
  [879] = {.lex_state = 28},
  [880] = {.lex_state = 28},
  [881] = {.lex_state = 28},
  [882] = {.lex_state = 28},
  [883] = {.lex_state = 28},
  [884] = {.lex_state = 28},
  [885] = {.lex_state = 28},
  [886] = {.lex_state = 28},
  [887] = {.lex_state = 28},
  [888] = {.lex_state = 28},
  [889] = {.lex_state = 28},
  [890] = {.lex_state = 28},
  [891] = {.lex_state = 28},
  [892] = {.lex_state = 28},
  [893] = {.lex_state = 28},
  [894] = {.lex_state = 28},
  [895] = {.lex_state = 28},
  [896] = {.lex_state = 28},
  [897] = {.lex_state = 28},
  [898] = {.lex_state = 28},
  [899] = {.lex_state = 28},
  [900] = {.lex_state = 28},
  [901] = {.lex_state = 28},
  [902] = {.lex_state = 28},
  [903] = {.lex_state = 28},
  [904] = {.lex_state = 28},
  [905] = {.lex_state = 28},
  [906] = {.lex_state = 28},
  [907] = {.lex_state = 28},
  [908] = {.lex_state = 28},
  [909] = {.lex_state = 28},
  [910] = {.lex_state = 28},
  [911] = {.lex_state = 28},
  [912] = {.lex_state = 28},
  [913] = {.lex_state = 28},
  [914] = {.lex_state = 28},
  [915] = {.lex_state = 28},
  [916] = {.lex_state = 28},
  [917] = {.lex_state = 28},
  [918] = {.lex_state = 28},
  [919] = {.lex_state = 28},
  [920] = {.lex_state = 28},
  [921] = {.lex_state = 28},
  [922] = {.lex_state = 28},
  [923] = {.lex_state = 28},
  [924] = {.lex_state = 28},
  [925] = {.lex_state = 28},
  [926] = {.lex_state = 28},
  [927] = {.lex_state = 28},
  [928] = {.lex_state = 28},
  [929] = {.lex_state = 28},
  [930] = {.lex_state = 28},
  [931] = {.lex_state = 28},
  [932] = {.lex_state = 28},
  [933] = {.lex_state = 28},
  [934] = {.lex_state = 28},
  [935] = {.lex_state = 28},
  [936] = {.lex_state = 28},
  [937] = {.lex_state = 28},
  [938] = {.lex_state = 28},
  [939] = {.lex_state = 28},
  [940] = {.lex_state = 28},
  [941] = {.lex_state = 28},
  [942] = {.lex_state = 28},
  [943] = {.lex_state = 28},
  [944] = {.lex_state = 28},
  [945] = {.lex_state = 28},
  [946] = {.lex_state = 28},
  [947] = {.lex_state = 28},
  [948] = {.lex_state = 28},
  [949] = {.lex_state = 28},
  [950] = {.lex_state = 28},
  [951] = {.lex_state = 28},
  [952] = {.lex_state = 28},
  [953] = {.lex_state = 28},
  [954] = {.lex_state = 28},
  [955] = {.lex_state = 28},
  [956] = {.lex_state = 28},
  [957] = {.lex_state = 28},
  [958] = {.lex_state = 28},
  [959] = {.lex_state = 28},
  [960] = {.lex_state = 28},
  [961] = {.lex_state = 28},
  [962] = {.lex_state = 28},
  [963] = {.lex_state = 28},
  [964] = {.lex_state = 28},
  [965] = {.lex_state = 28},
  [966] = {.lex_state = 28},
  [967] = {.lex_state = 28},
  [968] = {.lex_state = 28},
  [969] = {.lex_state = 28},
  [970] = {.lex_state = 28},
  [971] = {.lex_state = 3},
  [972] = {.lex_state = 28},
  [973] = {.lex_state = 28},
  [974] = {.lex_state = 28},
  [975] = {.lex_state = 28},
  [976] = {.lex_state = 28},
  [977] = {.lex_state = 28},
  [978] = {.lex_state = 28},
  [979] = {.lex_state = 0},
  [980] = {.lex_state = 28},
  [981] = {.lex_state = 28},
  [982] = {.lex_state = 28},
  [983] = {.lex_state = 28},
  [984] = {.lex_state = 28},
  [985] = {.lex_state = 28},
  [986] = {.lex_state = 28},
  [987] = {.lex_state = 28},
  [988] = {.lex_state = 28},
  [989] = {.lex_state = 28},
  [990] = {.lex_state = 28},
  [991] = {.lex_state = 28},
  [992] = {.lex_state = 28},
  [993] = {.lex_state = 28},
  [994] = {.lex_state = 28},
  [995] = {.lex_state = 28},
  [996] = {.lex_state = 28},
  [997] = {.lex_state = 28},
  [998] = {.lex_state = 28},
  [999] = {.lex_state = 28},
  [1000] = {.lex_state = 28},
  [1001] = {.lex_state = 3},
  [1002] = {.lex_state = 28},
  [1003] = {.lex_state = 28},
  [1004] = {.lex_state = 28},
  [1005] = {.lex_state = 28},
  [1006] = {.lex_state = 28},
  [1007] = {.lex_state = 28},
  [1008] = {.lex_state = 28},
  [1009] = {.lex_state = 28},
  [1010] = {.lex_state = 28},
  [1011] = {.lex_state = 0},
  [1012] = {.lex_state = 0},
  [1013] = {.lex_state = 0},
  [1014] = {.lex_state = 28},
  [1015] = {.lex_state = 28},
  [1016] = {.lex_state = 28},
  [1017] = {.lex_state = 0},
  [1018] = {.lex_state = 28},
  [1019] = {.lex_state = 0},
  [1020] = {.lex_state = 0},
  [1021] = {.lex_state = 28},
  [1022] = {.lex_state = 0},
  [1023] = {.lex_state = 0},
  [1024] = {.lex_state = 0},
  [1025] = {.lex_state = 0},
  [1026] = {.lex_state = 0},
  [1027] = {.lex_state = 0},
  [1028] = {.lex_state = 0},
  [1029] = {.lex_state = 0},
  [1030] = {.lex_state = 0},
  [1031] = {.lex_state = 0},
  [1032] = {.lex_state = 0},
  [1033] = {.lex_state = 28},
  [1034] = {.lex_state = 28},
  [1035] = {.lex_state = 28},
  [1036] = {.lex_state = 0},
  [1037] = {.lex_state = 0},
  [1038] = {.lex_state = 28},
  [1039] = {.lex_state = 28},
  [1040] = {.lex_state = 0},
  [1041] = {.lex_state = 0},
  [1042] = {.lex_state = 28},
  [1043] = {.lex_state = 0},
  [1044] = {.lex_state = 0},
  [1045] = {.lex_state = 0},
  [1046] = {.lex_state = 0},
  [1047] = {.lex_state = 0},
  [1048] = {.lex_state = 28},
  [1049] = {.lex_state = 0},
  [1050] = {.lex_state = 0},
  [1051] = {.lex_state = 0},
  [1052] = {.lex_state = 0},
  [1053] = {.lex_state = 28},
  [1054] = {.lex_state = 28},
  [1055] = {.lex_state = 28},
  [1056] = {.lex_state = 0},
  [1057] = {.lex_state = 0},
  [1058] = {.lex_state = 0},
  [1059] = {.lex_state = 0},
  [1060] = {.lex_state = 0},
  [1061] = {.lex_state = 28},
  [1062] = {.lex_state = 0},
  [1063] = {.lex_state = 0},
  [1064] = {.lex_state = 0},
  [1065] = {.lex_state = 0},
  [1066] = {.lex_state = 28},
  [1067] = {.lex_state = 0},
  [1068] = {.lex_state = 0},
  [1069] = {.lex_state = 0},
  [1070] = {.lex_state = 28},
  [1071] = {.lex_state = 0},
  [1072] = {.lex_state = 0},
  [1073] = {.lex_state = 0},
  [1074] = {.lex_state = 0},
  [1075] = {.lex_state = 0},
  [1076] = {.lex_state = 0},
  [1077] = {.lex_state = 28},
  [1078] = {.lex_state = 0},
  [1079] = {.lex_state = 0},
  [1080] = {.lex_state = 0},
  [1081] = {.lex_state = 0},
  [1082] = {.lex_state = 0},
  [1083] = {.lex_state = 28},
  [1084] = {.lex_state = 0},
  [1085] = {.lex_state = 0},
  [1086] = {.lex_state = 0},
  [1087] = {.lex_state = 28},
  [1088] = {.lex_state = 28},
  [1089] = {.lex_state = 0},
  [1090] = {.lex_state = 28},
  [1091] = {.lex_state = 28},
  [1092] = {.lex_state = 0},
  [1093] = {.lex_state = 0},
  [1094] = {.lex_state = 28},
  [1095] = {.lex_state = 0},
  [1096] = {.lex_state = 0},
  [1097] = {.lex_state = 0},
  [1098] = {.lex_state = 0},
  [1099] = {.lex_state = 28},
  [1100] = {.lex_state = 0},
  [1101] = {.lex_state = 0},
  [1102] = {.lex_state = 0},
  [1103] = {.lex_state = 0},
  [1104] = {.lex_state = 0},
  [1105] = {.lex_state = 0},
  [1106] = {.lex_state = 28},
  [1107] = {.lex_state = 0},
  [1108] = {.lex_state = 0},
  [1109] = {.lex_state = 0},
  [1110] = {.lex_state = 0},
  [1111] = {.lex_state = 0},
  [1112] = {.lex_state = 0},
  [1113] = {.lex_state = 0},
  [1114] = {.lex_state = 0},
  [1115] = {.lex_state = 0},
  [1116] = {.lex_state = 0},
  [1117] = {.lex_state = 0},
  [1118] = {.lex_state = 28},
  [1119] = {.lex_state = 28},
  [1120] = {.lex_state = 28},
  [1121] = {.lex_state = 28},
  [1122] = {.lex_state = 28},
  [1123] = {.lex_state = 28},
  [1124] = {.lex_state = 28},
  [1125] = {.lex_state = 28},
  [1126] = {.lex_state = 28},
  [1127] = {.lex_state = 28},
  [1128] = {.lex_state = 28},
  [1129] = {.lex_state = 0},
  [1130] = {.lex_state = 28},
  [1131] = {.lex_state = 28},
  [1132] = {.lex_state = 28},
  [1133] = {.lex_state = 0},
  [1134] = {.lex_state = 28},
  [1135] = {.lex_state = 28},
  [1136] = {.lex_state = 28},
  [1137] = {.lex_state = 28},
  [1138] = {.lex_state = 28},
  [1139] = {.lex_state = 28},
  [1140] = {.lex_state = 28},
  [1141] = {.lex_state = 28},
  [1142] = {.lex_state = 28},
  [1143] = {.lex_state = 28},
  [1144] = {.lex_state = 28},
  [1145] = {.lex_state = 28},
  [1146] = {.lex_state = 28},
  [1147] = {.lex_state = 0},
  [1148] = {.lex_state = 28},
  [1149] = {.lex_state = 28},
  [1150] = {.lex_state = 0},
  [1151] = {.lex_state = 0},
  [1152] = {.lex_state = 28},
  [1153] = {.lex_state = 28},
  [1154] = {.lex_state = 28},
  [1155] = {.lex_state = 0},
  [1156] = {.lex_state = 0},
  [1157] = {.lex_state = 0},
  [1158] = {.lex_state = 0},
  [1159] = {.lex_state = 0},
  [1160] = {.lex_state = 0},
  [1161] = {.lex_state = 0},
  [1162] = {.lex_state = 0},
  [1163] = {.lex_state = 0},
  [1164] = {.lex_state = 0},
  [1165] = {.lex_state = 0},
  [1166] = {.lex_state = 28},
  [1167] = {.lex_state = 0},
  [1168] = {.lex_state = 0},
  [1169] = {.lex_state = 0},
  [1170] = {.lex_state = 0},
  [1171] = {.lex_state = 0},
  [1172] = {.lex_state = 0},
  [1173] = {.lex_state = 0},
  [1174] = {.lex_state = 0},
  [1175] = {.lex_state = 0},
  [1176] = {.lex_state = 28},
  [1177] = {.lex_state = 0},
  [1178] = {.lex_state = 0},
  [1179] = {.lex_state = 0},
  [1180] = {.lex_state = 0},
  [1181] = {.lex_state = 0},
  [1182] = {.lex_state = 0},
  [1183] = {.lex_state = 0},
  [1184] = {.lex_state = 0},
  [1185] = {.lex_state = 0},
  [1186] = {.lex_state = 0},
  [1187] = {.lex_state = 0},
  [1188] = {.lex_state = 0},
  [1189] = {.lex_state = 0},
  [1190] = {.lex_state = 0},
  [1191] = {.lex_state = 28},
  [1192] = {.lex_state = 28},
  [1193] = {.lex_state = 28},
  [1194] = {.lex_state = 28},
  [1195] = {.lex_state = 28},
  [1196] = {.lex_state = 28},
  [1197] = {.lex_state = 28},
  [1198] = {.lex_state = 28},
  [1199] = {.lex_state = 28},
  [1200] = {.lex_state = 28},
  [1201] = {.lex_state = 28},
  [1202] = {.lex_state = 0},
  [1203] = {.lex_state = 0},
  [1204] = {.lex_state = 0},
  [1205] = {.lex_state = 28},
  [1206] = {.lex_state = 28},
  [1207] = {.lex_state = 0},
  [1208] = {.lex_state = 0},
  [1209] = {.lex_state = 0},
  [1210] = {.lex_state = 0},
  [1211] = {.lex_state = 28},
  [1212] = {.lex_state = 0},
  [1213] = {.lex_state = 28},
  [1214] = {.lex_state = 0},
  [1215] = {.lex_state = 0},
  [1216] = {.lex_state = 28},
  [1217] = {.lex_state = 28},
  [1218] = {.lex_state = 0},
  [1219] = {.lex_state = 28},
  [1220] = {.lex_state = 0},
  [1221] = {.lex_state = 28},
  [1222] = {.lex_state = 0},
  [1223] = {.lex_state = 0},
  [1224] = {.lex_state = 0},
  [1225] = {.lex_state = 28},
  [1226] = {.lex_state = 0},
  [1227] = {.lex_state = 0},
  [1228] = {.lex_state = 28},
  [1229] = {.lex_state = 0},
  [1230] = {.lex_state = 0},
  [1231] = {.lex_state = 0},
  [1232] = {.lex_state = 0},
  [1233] = {.lex_state = 0},
  [1234] = {.lex_state = 0},
  [1235] = {.lex_state = 0},
  [1236] = {.lex_state = 0},
  [1237] = {.lex_state = 0},
  [1238] = {.lex_state = 0},
  [1239] = {.lex_state = 0},
  [1240] = {.lex_state = 0},
  [1241] = {.lex_state = 0},
  [1242] = {.lex_state = 0},
  [1243] = {.lex_state = 0},
  [1244] = {.lex_state = 0},
  [1245] = {.lex_state = 0},
  [1246] = {.lex_state = 0},
  [1247] = {.lex_state = 28},
  [1248] = {.lex_state = 28},
  [1249] = {.lex_state = 28},
  [1250] = {.lex_state = 28},
  [1251] = {.lex_state = 28},
  [1252] = {.lex_state = 28},
  [1253] = {.lex_state = 28},
  [1254] = {.lex_state = 28},
  [1255] = {.lex_state = 28},
  [1256] = {.lex_state = 28},
  [1257] = {.lex_state = 0},
  [1258] = {.lex_state = 0},
  [1259] = {.lex_state = 0},
  [1260] = {.lex_state = 0},
  [1261] = {.lex_state = 0},
  [1262] = {.lex_state = 0},
  [1263] = {.lex_state = 0},
  [1264] = {.lex_state = 0},
  [1265] = {.lex_state = 0},
  [1266] = {.lex_state = 0},
  [1267] = {.lex_state = 0},
  [1268] = {.lex_state = 0},
  [1269] = {.lex_state = 0},
  [1270] = {.lex_state = 0},
  [1271] = {.lex_state = 28},
  [1272] = {.lex_state = 0},
  [1273] = {.lex_state = 0},
  [1274] = {.lex_state = 28},
  [1275] = {.lex_state = 0},
  [1276] = {.lex_state = 0},
  [1277] = {.lex_state = 0},
  [1278] = {.lex_state = 0},
  [1279] = {.lex_state = 0},
  [1280] = {.lex_state = 28},
  [1281] = {.lex_state = 28},
  [1282] = {.lex_state = 0},
  [1283] = {.lex_state = 0},
  [1284] = {.lex_state = 0},
  [1285] = {.lex_state = 28},
  [1286] = {.lex_state = 0},
  [1287] = {.lex_state = 28},
  [1288] = {.lex_state = 28},
  [1289] = {.lex_state = 28},
  [1290] = {.lex_state = 28},
  [1291] = {.lex_state = 0},
  [1292] = {.lex_state = 28},
  [1293] = {.lex_state = 28},
  [1294] = {.lex_state = 28},
  [1295] = {.lex_state = 28},
  [1296] = {.lex_state = 28},
  [1297] = {.lex_state = 28},
  [1298] = {.lex_state = 28},
  [1299] = {.lex_state = 28},
  [1300] = {.lex_state = 28},
  [1301] = {.lex_state = 28},
  [1302] = {.lex_state = 28},
  [1303] = {.lex_state = 28},
  [1304] = {.lex_state = 0},
  [1305] = {.lex_state = 28},
  [1306] = {.lex_state = 28},
  [1307] = {.lex_state = 28},
  [1308] = {.lex_state = 28},
  [1309] = {.lex_state = 28},
  [1310] = {.lex_state = 28},
  [1311] = {.lex_state = 28},
  [1312] = {.lex_state = 28},
  [1313] = {.lex_state = 28},
  [1314] = {.lex_state = 28},
  [1315] = {.lex_state = 28},
  [1316] = {.lex_state = 28},
  [1317] = {.lex_state = 28},
  [1318] = {.lex_state = 28},
  [1319] = {.lex_state = 0},
  [1320] = {.lex_state = 0},
  [1321] = {.lex_state = 28},
  [1322] = {.lex_state = 28},
  [1323] = {.lex_state = 0},
  [1324] = {.lex_state = 28},
  [1325] = {.lex_state = 28},
  [1326] = {.lex_state = 28},
  [1327] = {.lex_state = 28},
  [1328] = {.lex_state = 28},
  [1329] = {.lex_state = 28},
  [1330] = {.lex_state = 28},
  [1331] = {.lex_state = 28},
  [1332] = {.lex_state = 28},
  [1333] = {.lex_state = 28},
  [1334] = {.lex_state = 28},
  [1335] = {.lex_state = 0},
  [1336] = {.lex_state = 0},
  [1337] = {.lex_state = 0},
  [1338] = {.lex_state = 0},
  [1339] = {.lex_state = 0},
  [1340] = {.lex_state = 0},
  [1341] = {.lex_state = 0},
  [1342] = {.lex_state = 0},
  [1343] = {.lex_state = 0},
  [1344] = {.lex_state = 0},
  [1345] = {.lex_state = 0},
  [1346] = {.lex_state = 0},
  [1347] = {.lex_state = 28},
  [1348] = {.lex_state = 0},
  [1349] = {.lex_state = 28},
  [1350] = {.lex_state = 28},
  [1351] = {.lex_state = 28},
  [1352] = {.lex_state = 28},
  [1353] = {.lex_state = 28},
  [1354] = {.lex_state = 28},
  [1355] = {.lex_state = 28},
  [1356] = {.lex_state = 28},
  [1357] = {.lex_state = 28},
  [1358] = {.lex_state = 28},
  [1359] = {.lex_state = 28},
  [1360] = {.lex_state = 28},
  [1361] = {.lex_state = 28},
  [1362] = {.lex_state = 28},
  [1363] = {.lex_state = 28},
  [1364] = {.lex_state = 28},
  [1365] = {.lex_state = 28},
  [1366] = {.lex_state = 28},
  [1367] = {.lex_state = 28},
  [1368] = {.lex_state = 28},
  [1369] = {.lex_state = 0},
  [1370] = {.lex_state = 28},
  [1371] = {.lex_state = 28},
  [1372] = {.lex_state = 28},
  [1373] = {.lex_state = 28},
  [1374] = {.lex_state = 28},
  [1375] = {.lex_state = 28},
  [1376] = {.lex_state = 28},
  [1377] = {.lex_state = 28},
  [1378] = {.lex_state = 28},
  [1379] = {.lex_state = 28},
  [1380] = {.lex_state = 28},
  [1381] = {.lex_state = 28},
  [1382] = {.lex_state = 0},
  [1383] = {.lex_state = 28},
  [1384] = {.lex_state = 28},
  [1385] = {.lex_state = 28},
  [1386] = {.lex_state = 0},
  [1387] = {.lex_state = 28},
  [1388] = {.lex_state = 28},
  [1389] = {.lex_state = 28},
  [1390] = {.lex_state = 28},
  [1391] = {.lex_state = 28},
  [1392] = {.lex_state = 0},
  [1393] = {.lex_state = 28},
  [1394] = {.lex_state = 28},
  [1395] = {.lex_state = 28},
  [1396] = {.lex_state = 28},
  [1397] = {.lex_state = 28},
  [1398] = {.lex_state = 28},
  [1399] = {.lex_state = 28},
  [1400] = {.lex_state = 28},
  [1401] = {.lex_state = 28},
  [1402] = {.lex_state = 28},
  [1403] = {.lex_state = 28},
  [1404] = {.lex_state = 28},
  [1405] = {.lex_state = 28},
  [1406] = {.lex_state = 28},
  [1407] = {.lex_state = 28},
  [1408] = {.lex_state = 28},
  [1409] = {.lex_state = 28},
  [1410] = {.lex_state = 28},
  [1411] = {.lex_state = 28},
  [1412] = {.lex_state = 28},
  [1413] = {.lex_state = 28},
  [1414] = {.lex_state = 28},
  [1415] = {.lex_state = 28},
  [1416] = {.lex_state = 28},
  [1417] = {.lex_state = 28},
  [1418] = {.lex_state = 28},
  [1419] = {.lex_state = 28},
  [1420] = {.lex_state = 28},
  [1421] = {.lex_state = 28},
  [1422] = {.lex_state = 28},
  [1423] = {.lex_state = 28},
  [1424] = {.lex_state = 28},
  [1425] = {.lex_state = 28},
  [1426] = {.lex_state = 28},
  [1427] = {.lex_state = 28},
  [1428] = {.lex_state = 28},
  [1429] = {.lex_state = 28},
  [1430] = {.lex_state = 28},
  [1431] = {.lex_state = 28},
  [1432] = {.lex_state = 28},
  [1433] = {.lex_state = 28},
  [1434] = {.lex_state = 28},
  [1435] = {.lex_state = 28},
  [1436] = {.lex_state = 28},
  [1437] = {.lex_state = 28},
  [1438] = {.lex_state = 28},
  [1439] = {.lex_state = 28},
  [1440] = {.lex_state = 28},
  [1441] = {.lex_state = 28},
  [1442] = {.lex_state = 28},
  [1443] = {.lex_state = 28},
  [1444] = {.lex_state = 28},
  [1445] = {.lex_state = 28},
  [1446] = {.lex_state = 28},
  [1447] = {.lex_state = 28},
  [1448] = {.lex_state = 28},
  [1449] = {.lex_state = 28},
  [1450] = {.lex_state = 28},
  [1451] = {.lex_state = 28},
  [1452] = {.lex_state = 28},
  [1453] = {.lex_state = 28},
  [1454] = {.lex_state = 28},
  [1455] = {.lex_state = 28},
  [1456] = {.lex_state = 28},
  [1457] = {.lex_state = 28},
  [1458] = {.lex_state = 28},
  [1459] = {.lex_state = 28},
  [1460] = {.lex_state = 28},
  [1461] = {.lex_state = 28},
  [1462] = {.lex_state = 28},
  [1463] = {.lex_state = 28},
  [1464] = {.lex_state = 28},
  [1465] = {.lex_state = 28},
  [1466] = {.lex_state = 28},
  [1467] = {.lex_state = 28},
  [1468] = {.lex_state = 28},
  [1469] = {.lex_state = 28},
  [1470] = {.lex_state = 28},
  [1471] = {.lex_state = 28},
  [1472] = {.lex_state = 28},
  [1473] = {.lex_state = 28},
  [1474] = {.lex_state = 28},
  [1475] = {.lex_state = 28},
  [1476] = {.lex_state = 28},
  [1477] = {.lex_state = 28},
  [1478] = {.lex_state = 28},
  [1479] = {.lex_state = 28},
  [1480] = {.lex_state = 28},
  [1481] = {.lex_state = 28},
  [1482] = {.lex_state = 28},
  [1483] = {.lex_state = 28},
  [1484] = {.lex_state = 28},
  [1485] = {.lex_state = 28},
  [1486] = {.lex_state = 28},
  [1487] = {.lex_state = 28},
  [1488] = {.lex_state = 28},
  [1489] = {.lex_state = 28},
  [1490] = {.lex_state = 28},
  [1491] = {.lex_state = 28},
  [1492] = {.lex_state = 28},
  [1493] = {.lex_state = 28},
  [1494] = {.lex_state = 28},
  [1495] = {.lex_state = 28},
  [1496] = {.lex_state = 0},
  [1497] = {.lex_state = 0},
  [1498] = {.lex_state = 0},
  [1499] = {.lex_state = 0},
  [1500] = {.lex_state = 0},
  [1501] = {.lex_state = 0},
  [1502] = {.lex_state = 29},
  [1503] = {.lex_state = 0},
  [1504] = {.lex_state = 29},
  [1505] = {.lex_state = 29},
  [1506] = {.lex_state = 0},
  [1507] = {.lex_state = 0},
  [1508] = {.lex_state = 0},
  [1509] = {.lex_state = 0},
  [1510] = {.lex_state = 0},
  [1511] = {.lex_state = 0},
  [1512] = {.lex_state = 0},
  [1513] = {.lex_state = 0},
  [1514] = {.lex_state = 0},
  [1515] = {.lex_state = 29},
  [1516] = {.lex_state = 0},
  [1517] = {.lex_state = 0},
  [1518] = {.lex_state = 29},
  [1519] = {.lex_state = 0},
  [1520] = {.lex_state = 0},
  [1521] = {.lex_state = 0},
  [1522] = {.lex_state = 0},
  [1523] = {.lex_state = 0},
  [1524] = {.lex_state = 0},
  [1525] = {.lex_state = 0},
  [1526] = {.lex_state = 0},
  [1527] = {.lex_state = 0},
  [1528] = {.lex_state = 0},
  [1529] = {.lex_state = 0},
  [1530] = {.lex_state = 0},
  [1531] = {.lex_state = 0},
  [1532] = {.lex_state = 0},
  [1533] = {.lex_state = 0},
  [1534] = {.lex_state = 0},
  [1535] = {.lex_state = 0},
  [1536] = {.lex_state = 0},
  [1537] = {.lex_state = 0},
  [1538] = {.lex_state = 0},
  [1539] = {.lex_state = 0},
  [1540] = {.lex_state = 0},
  [1541] = {.lex_state = 0},
  [1542] = {.lex_state = 0},
  [1543] = {.lex_state = 0},
  [1544] = {.lex_state = 0},
  [1545] = {.lex_state = 0},
  [1546] = {.lex_state = 0},
  [1547] = {.lex_state = 29},
  [1548] = {.lex_state = 0},
  [1549] = {.lex_state = 29},
  [1550] = {.lex_state = 0},
  [1551] = {.lex_state = 0},
  [1552] = {.lex_state = 0},
  [1553] = {.lex_state = 0},
  [1554] = {.lex_state = 0},
  [1555] = {.lex_state = 0},
  [1556] = {.lex_state = 29},
  [1557] = {.lex_state = 0},
  [1558] = {.lex_state = 0},
  [1559] = {.lex_state = 0},
  [1560] = {.lex_state = 0},
  [1561] = {.lex_state = 0},
  [1562] = {.lex_state = 0},
  [1563] = {.lex_state = 0},
  [1564] = {.lex_state = 0},
  [1565] = {.lex_state = 0},
  [1566] = {.lex_state = 0},
  [1567] = {.lex_state = 0},
  [1568] = {.lex_state = 0},
  [1569] = {.lex_state = 0},
  [1570] = {.lex_state = 0},
  [1571] = {.lex_state = 0},
  [1572] = {.lex_state = 29},
  [1573] = {.lex_state = 0},
  [1574] = {.lex_state = 29},
  [1575] = {.lex_state = 0},
  [1576] = {.lex_state = 29},
  [1577] = {.lex_state = 0},
  [1578] = {.lex_state = 0},
  [1579] = {.lex_state = 1},
  [1580] = {.lex_state = 0},
  [1581] = {.lex_state = 0},
  [1582] = {.lex_state = 0},
  [1583] = {.lex_state = 1},
  [1584] = {.lex_state = 0},
  [1585] = {.lex_state = 0},
  [1586] = {.lex_state = 0},
  [1587] = {.lex_state = 0},
  [1588] = {.lex_state = 0},
  [1589] = {.lex_state = 0},
  [1590] = {.lex_state = 0},
  [1591] = {.lex_state = 0},
  [1592] = {.lex_state = 0},
  [1593] = {.lex_state = 0},
  [1594] = {.lex_state = 0},
  [1595] = {.lex_state = 0},
  [1596] = {.lex_state = 0},
  [1597] = {.lex_state = 0},
  [1598] = {.lex_state = 0},
  [1599] = {.lex_state = 0},
  [1600] = {.lex_state = 1},
  [1601] = {.lex_state = 0},
  [1602] = {.lex_state = 0},
  [1603] = {.lex_state = 0},
  [1604] = {.lex_state = 0},
  [1605] = {.lex_state = 0},
  [1606] = {.lex_state = 0},
  [1607] = {.lex_state = 1},
  [1608] = {.lex_state = 1},
  [1609] = {.lex_state = 0},
  [1610] = {.lex_state = 0},
  [1611] = {.lex_state = 0},
  [1612] = {.lex_state = 0},
  [1613] = {.lex_state = 0},
  [1614] = {.lex_state = 0},
  [1615] = {.lex_state = 0},
  [1616] = {.lex_state = 0},
  [1617] = {.lex_state = 0},
  [1618] = {.lex_state = 0},
  [1619] = {.lex_state = 0},
  [1620] = {.lex_state = 0},
  [1621] = {.lex_state = 0},
  [1622] = {.lex_state = 0},
  [1623] = {.lex_state = 0},
  [1624] = {.lex_state = 0},
  [1625] = {.lex_state = 0},
  [1626] = {.lex_state = 0},
  [1627] = {.lex_state = 0},
  [1628] = {.lex_state = 0},
  [1629] = {.lex_state = 0},
  [1630] = {.lex_state = 0},
  [1631] = {.lex_state = 0},
  [1632] = {.lex_state = 0},
  [1633] = {.lex_state = 0},
  [1634] = {.lex_state = 0},
  [1635] = {.lex_state = 0},
  [1636] = {.lex_state = 0},
  [1637] = {.lex_state = 0},
  [1638] = {.lex_state = 0},
  [1639] = {.lex_state = 0},
  [1640] = {.lex_state = 0},
  [1641] = {.lex_state = 0},
  [1642] = {.lex_state = 0},
  [1643] = {.lex_state = 0},
  [1644] = {.lex_state = 0},
  [1645] = {.lex_state = 0},
  [1646] = {.lex_state = 0},
  [1647] = {.lex_state = 0},
  [1648] = {.lex_state = 0},
  [1649] = {.lex_state = 0},
  [1650] = {.lex_state = 0},
  [1651] = {.lex_state = 0},
  [1652] = {.lex_state = 0},
  [1653] = {.lex_state = 0},
  [1654] = {.lex_state = 0},
  [1655] = {.lex_state = 0},
  [1656] = {.lex_state = 0},
  [1657] = {.lex_state = 0},
  [1658] = {.lex_state = 0},
  [1659] = {.lex_state = 0},
  [1660] = {.lex_state = 0},
  [1661] = {.lex_state = 0},
  [1662] = {.lex_state = 0},
  [1663] = {.lex_state = 0},
  [1664] = {.lex_state = 0},
  [1665] = {.lex_state = 0},
  [1666] = {.lex_state = 0},
  [1667] = {.lex_state = 0},
  [1668] = {.lex_state = 0},
  [1669] = {.lex_state = 0},
  [1670] = {.lex_state = 0},
  [1671] = {.lex_state = 0},
  [1672] = {.lex_state = 0},
  [1673] = {.lex_state = 0},
  [1674] = {.lex_state = 0},
  [1675] = {.lex_state = 0},
  [1676] = {.lex_state = 0},
  [1677] = {.lex_state = 0},
  [1678] = {.lex_state = 0},
  [1679] = {.lex_state = 0},
  [1680] = {.lex_state = 0},
  [1681] = {.lex_state = 0},
  [1682] = {.lex_state = 0},
  [1683] = {.lex_state = 0},
  [1684] = {.lex_state = 0},
  [1685] = {.lex_state = 0},
  [1686] = {.lex_state = 0},
  [1687] = {.lex_state = 0},
  [1688] = {.lex_state = 0},
  [1689] = {.lex_state = 0},
  [1690] = {.lex_state = 0},
  [1691] = {.lex_state = 0},
  [1692] = {.lex_state = 0},
  [1693] = {.lex_state = 0},
  [1694] = {.lex_state = 0},
  [1695] = {.lex_state = 0},
  [1696] = {.lex_state = 0},
  [1697] = {.lex_state = 0},
  [1698] = {.lex_state = 0},
  [1699] = {.lex_state = 0},
  [1700] = {.lex_state = 0},
  [1701] = {.lex_state = 0},
  [1702] = {.lex_state = 0},
  [1703] = {.lex_state = 0},
  [1704] = {.lex_state = 0},
  [1705] = {.lex_state = 0},
  [1706] = {.lex_state = 0},
  [1707] = {.lex_state = 0},
  [1708] = {.lex_state = 0},
  [1709] = {.lex_state = 0},
  [1710] = {.lex_state = 0},
  [1711] = {.lex_state = 0},
  [1712] = {.lex_state = 0},
  [1713] = {.lex_state = 0},
  [1714] = {.lex_state = 2},
  [1715] = {.lex_state = 2},
  [1716] = {.lex_state = 0},
  [1717] = {.lex_state = 0},
  [1718] = {.lex_state = 0},
  [1719] = {.lex_state = 0},
  [1720] = {.lex_state = 0},
  [1721] = {.lex_state = 0},
  [1722] = {.lex_state = 0},
  [1723] = {.lex_state = 0},
  [1724] = {.lex_state = 0},
  [1725] = {.lex_state = 0},
  [1726] = {.lex_state = 0},
  [1727] = {.lex_state = 0},
  [1728] = {.lex_state = 0},
  [1729] = {.lex_state = 0},
  [1730] = {.lex_state = 0},
  [1731] = {.lex_state = 0},
  [1732] = {.lex_state = 0},
  [1733] = {.lex_state = 0},
  [1734] = {.lex_state = 0},
  [1735] = {.lex_state = 0},
  [1736] = {.lex_state = 0},
  [1737] = {.lex_state = 0},
  [1738] = {.lex_state = 0},
  [1739] = {.lex_state = 0},
  [1740] = {.lex_state = 0},
  [1741] = {.lex_state = 0},
  [1742] = {.lex_state = 0},
  [1743] = {.lex_state = 0},
  [1744] = {.lex_state = 0},
  [1745] = {.lex_state = 0},
  [1746] = {.lex_state = 0},
  [1747] = {.lex_state = 0},
  [1748] = {.lex_state = 0},
  [1749] = {.lex_state = 0},
  [1750] = {.lex_state = 0},
  [1751] = {.lex_state = 0},
  [1752] = {.lex_state = 0},
  [1753] = {.lex_state = 0},
  [1754] = {.lex_state = 0},
  [1755] = {.lex_state = 0},
  [1756] = {.lex_state = 0},
  [1757] = {.lex_state = 0},
  [1758] = {.lex_state = 0},
  [1759] = {.lex_state = 0},
  [1760] = {.lex_state = 0},
  [1761] = {.lex_state = 0},
  [1762] = {.lex_state = 0},
  [1763] = {.lex_state = 0},
  [1764] = {.lex_state = 0},
  [1765] = {.lex_state = 0},
  [1766] = {.lex_state = 0},
  [1767] = {.lex_state = 0},
  [1768] = {.lex_state = 0},
  [1769] = {.lex_state = 0},
  [1770] = {.lex_state = 0},
  [1771] = {.lex_state = 0},
  [1772] = {.lex_state = 0},
  [1773] = {.lex_state = 0},
  [1774] = {.lex_state = 0},
  [1775] = {.lex_state = 0},
  [1776] = {.lex_state = 0},
  [1777] = {.lex_state = 0},
  [1778] = {.lex_state = 0},
  [1779] = {.lex_state = 0},
  [1780] = {.lex_state = 0},
  [1781] = {.lex_state = 0},
  [1782] = {.lex_state = 0},
  [1783] = {.lex_state = 0},
  [1784] = {.lex_state = 0},
  [1785] = {.lex_state = 0},
  [1786] = {.lex_state = 0},
  [1787] = {.lex_state = 0},
  [1788] = {.lex_state = 0},
  [1789] = {.lex_state = 0},
  [1790] = {.lex_state = 0},
  [1791] = {.lex_state = 0},
  [1792] = {.lex_state = 0},
  [1793] = {.lex_state = 0},
  [1794] = {.lex_state = 0},
  [1795] = {.lex_state = 0},
  [1796] = {.lex_state = 0},
  [1797] = {.lex_state = 0},
  [1798] = {.lex_state = 0},
  [1799] = {.lex_state = 0},
  [1800] = {.lex_state = 0},
  [1801] = {.lex_state = 0},
  [1802] = {.lex_state = 0},
  [1803] = {.lex_state = 0},
  [1804] = {.lex_state = 0},
  [1805] = {.lex_state = 0},
  [1806] = {.lex_state = 0},
  [1807] = {.lex_state = 0},
  [1808] = {.lex_state = 0},
  [1809] = {.lex_state = 0},
  [1810] = {.lex_state = 0},
  [1811] = {.lex_state = 0},
  [1812] = {.lex_state = 0},
  [1813] = {.lex_state = 0},
  [1814] = {.lex_state = 0},
  [1815] = {.lex_state = 0},
  [1816] = {.lex_state = 0},
  [1817] = {.lex_state = 0},
  [1818] = {.lex_state = 0},
  [1819] = {.lex_state = 0},
  [1820] = {.lex_state = 0},
  [1821] = {.lex_state = 0},
  [1822] = {.lex_state = 0},
  [1823] = {.lex_state = 0},
  [1824] = {.lex_state = 0},
  [1825] = {.lex_state = 0},
  [1826] = {.lex_state = 0},
  [1827] = {.lex_state = 0},
  [1828] = {.lex_state = 0},
  [1829] = {.lex_state = 0},
  [1830] = {.lex_state = 0},
  [1831] = {.lex_state = 0},
  [1832] = {.lex_state = 0},
  [1833] = {.lex_state = 0},
  [1834] = {.lex_state = 0},
  [1835] = {.lex_state = 0},
  [1836] = {.lex_state = 0},
  [1837] = {.lex_state = 0},
  [1838] = {.lex_state = 0},
  [1839] = {.lex_state = 0},
  [1840] = {.lex_state = 0},
  [1841] = {.lex_state = 0},
  [1842] = {.lex_state = 0},
  [1843] = {.lex_state = 0},
  [1844] = {.lex_state = 0},
  [1845] = {.lex_state = 0},
  [1846] = {.lex_state = 0},
  [1847] = {.lex_state = 0},
  [1848] = {.lex_state = 0},
  [1849] = {.lex_state = 0},
  [1850] = {.lex_state = 0},
  [1851] = {.lex_state = 0},
  [1852] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__identifier] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_pub] = ACTIONS(1),
    [anon_sym_test] = ACTIONS(1),
    [anon_sym_comptime] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym_threadlocal] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym_noinline] = ACTIONS(1),
    [anon_sym_fn] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_noalias] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_usingnamespace] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_packed] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_opaque] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_error] = ACTIONS(1),
    [anon_sym_nosuspend] = ACTIONS(1),
    [anon_sym_suspend] = ACTIONS(1),
    [anon_sym_defer] = ACTIONS(1),
    [anon_sym_errdefer] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_align] = ACTIONS(1),
    [anon_sym_addrspace] = ACTIONS(1),
    [anon_sym_linksection] = ACTIONS(1),
    [anon_sym_callconv] = ACTIONS(1),
    [anon_sym_asm] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_DASH_PERCENT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_orelse] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1),
    [anon_sym_PLUS_PIPE] = ACTIONS(1),
    [anon_sym_DASH_PIPE] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_STAR_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_resume] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_anyframe] = ACTIONS(1),
    [anon_sym_unreachable] = ACTIONS(1),
    [anon_sym_undefined] = ACTIONS(1),
    [anon_sym_null] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_allowzero] = ACTIONS(1),
    [anon_sym_c] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DOT_STAR] = ACTIONS(1),
    [anon_sym_DOT_QMARK] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_multiline_string_token1] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_f16] = ACTIONS(1),
    [anon_sym_f32] = ACTIONS(1),
    [anon_sym_f64] = ACTIONS(1),
    [anon_sym_f128] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_anyerror] = ACTIONS(1),
    [anon_sym_anyopaque] = ACTIONS(1),
    [anon_sym_anytype] = ACTIONS(1),
    [anon_sym_noreturn] = ACTIONS(1),
    [anon_sym_isize] = ACTIONS(1),
    [anon_sym_usize] = ACTIONS(1),
    [anon_sym_comptime_int] = ACTIONS(1),
    [anon_sym_comptime_float] = ACTIONS(1),
    [anon_sym_c_short] = ACTIONS(1),
    [anon_sym_c_ushort] = ACTIONS(1),
    [anon_sym_c_int] = ACTIONS(1),
    [anon_sym_c_uint] = ACTIONS(1),
    [anon_sym_c_long] = ACTIONS(1),
    [anon_sym_c_ulong] = ACTIONS(1),
    [anon_sym_c_longlong] = ACTIONS(1),
    [anon_sym_c_ulonglong] = ACTIONS(1),
    [anon_sym_c_longdouble] = ACTIONS(1),
    [aux_sym_builtin_type_token1] = ACTIONS(1),
    [sym_builtin_identifier] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_source_file] = STATE(1764),
    [sym__container_members] = STATE(1793),
    [sym_test_declaration] = STATE(29),
    [sym_comptime_declaration] = STATE(29),
    [sym_container_field] = STATE(1618),
    [sym_variable_declaration] = STATE(29),
    [sym__variable_declaration_header] = STATE(1756),
    [sym_function_declaration] = STATE(29),
    [sym__function_prototype] = STATE(977),
    [sym_using_namespace_declaration] = STATE(29),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(992),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1555),
    [sym_if_type_expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1014),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1015),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym__container_members_repeat1] = STATE(29),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_usingnamespace] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(949),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_break_label] = STATE(4),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [ts_builtin_sym_end] = ACTIONS(107),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_COLON] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(107),
    [anon_sym_STAR_EQ] = ACTIONS(107),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(107),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(107),
    [anon_sym_SLASH_EQ] = ACTIONS(107),
    [anon_sym_PERCENT_EQ] = ACTIONS(107),
    [anon_sym_PLUS_EQ] = ACTIONS(107),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(107),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(107),
    [anon_sym_DASH_EQ] = ACTIONS(107),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(107),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(107),
    [anon_sym_LT_LT_EQ] = ACTIONS(107),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(107),
    [anon_sym_GT_GT_EQ] = ACTIONS(107),
    [anon_sym_AMP_EQ] = ACTIONS(107),
    [anon_sym_CARET_EQ] = ACTIONS(107),
    [anon_sym_PIPE_EQ] = ACTIONS(107),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(117),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(107),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_RBRACE] = ACTIONS(107),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_else] = ACTIONS(113),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_DOT_DOT] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(113),
    [anon_sym_STAR] = ACTIONS(121),
    [anon_sym_align] = ACTIONS(113),
    [anon_sym_addrspace] = ACTIONS(113),
    [anon_sym_linksection] = ACTIONS(113),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_RBRACK] = ACTIONS(107),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(117),
    [anon_sym_or] = ACTIONS(113),
    [anon_sym_and] = ACTIONS(113),
    [anon_sym_EQ_EQ] = ACTIONS(107),
    [anon_sym_BANG_EQ] = ACTIONS(107),
    [anon_sym_GT] = ACTIONS(113),
    [anon_sym_GT_EQ] = ACTIONS(107),
    [anon_sym_LT_EQ] = ACTIONS(107),
    [anon_sym_LT] = ACTIONS(113),
    [anon_sym_CARET] = ACTIONS(113),
    [anon_sym_orelse] = ACTIONS(113),
    [anon_sym_LT_LT] = ACTIONS(113),
    [anon_sym_GT_GT] = ACTIONS(113),
    [anon_sym_LT_LT_PIPE] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_PLUS_PLUS] = ACTIONS(107),
    [anon_sym_PLUS_PERCENT] = ACTIONS(113),
    [anon_sym_PLUS_PIPE] = ACTIONS(113),
    [anon_sym_DASH_PIPE] = ACTIONS(113),
    [anon_sym_SLASH] = ACTIONS(113),
    [anon_sym_PERCENT] = ACTIONS(113),
    [anon_sym_STAR_STAR] = ACTIONS(107),
    [anon_sym_STAR_PERCENT] = ACTIONS(113),
    [anon_sym_STAR_PIPE] = ACTIONS(113),
    [anon_sym_PIPE_PIPE] = ACTIONS(107),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_catch] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_EQ_GT] = ACTIONS(107),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(137),
    [anon_sym_DOT_STAR] = ACTIONS(107),
    [anon_sym_DOT_QMARK] = ACTIONS(107),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(892),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [ts_builtin_sym_end] = ACTIONS(139),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(139),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_EQ] = ACTIONS(141),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(139),
    [anon_sym_STAR_EQ] = ACTIONS(139),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(139),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(139),
    [anon_sym_SLASH_EQ] = ACTIONS(139),
    [anon_sym_PERCENT_EQ] = ACTIONS(139),
    [anon_sym_PLUS_EQ] = ACTIONS(139),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(139),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(139),
    [anon_sym_DASH_EQ] = ACTIONS(139),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(139),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(139),
    [anon_sym_LT_LT_EQ] = ACTIONS(139),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(139),
    [anon_sym_GT_GT_EQ] = ACTIONS(139),
    [anon_sym_AMP_EQ] = ACTIONS(139),
    [anon_sym_CARET_EQ] = ACTIONS(139),
    [anon_sym_PIPE_EQ] = ACTIONS(139),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(117),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(139),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_RBRACE] = ACTIONS(139),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_else] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_DOT_DOT] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(141),
    [anon_sym_STAR] = ACTIONS(121),
    [anon_sym_align] = ACTIONS(141),
    [anon_sym_addrspace] = ACTIONS(141),
    [anon_sym_linksection] = ACTIONS(141),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_RBRACK] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(117),
    [anon_sym_or] = ACTIONS(141),
    [anon_sym_and] = ACTIONS(141),
    [anon_sym_EQ_EQ] = ACTIONS(139),
    [anon_sym_BANG_EQ] = ACTIONS(139),
    [anon_sym_GT] = ACTIONS(141),
    [anon_sym_GT_EQ] = ACTIONS(139),
    [anon_sym_LT_EQ] = ACTIONS(139),
    [anon_sym_LT] = ACTIONS(141),
    [anon_sym_CARET] = ACTIONS(141),
    [anon_sym_orelse] = ACTIONS(141),
    [anon_sym_LT_LT] = ACTIONS(141),
    [anon_sym_GT_GT] = ACTIONS(141),
    [anon_sym_LT_LT_PIPE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_PLUS_PLUS] = ACTIONS(139),
    [anon_sym_PLUS_PERCENT] = ACTIONS(141),
    [anon_sym_PLUS_PIPE] = ACTIONS(141),
    [anon_sym_DASH_PIPE] = ACTIONS(141),
    [anon_sym_SLASH] = ACTIONS(141),
    [anon_sym_PERCENT] = ACTIONS(141),
    [anon_sym_STAR_STAR] = ACTIONS(139),
    [anon_sym_STAR_PERCENT] = ACTIONS(141),
    [anon_sym_STAR_PIPE] = ACTIONS(141),
    [anon_sym_PIPE_PIPE] = ACTIONS(139),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_catch] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_EQ_GT] = ACTIONS(139),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(137),
    [anon_sym_DOT_STAR] = ACTIONS(139),
    [anon_sym_DOT_QMARK] = ACTIONS(139),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(893),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [ts_builtin_sym_end] = ACTIONS(143),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_EQ] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(143),
    [anon_sym_STAR_EQ] = ACTIONS(143),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(143),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(143),
    [anon_sym_SLASH_EQ] = ACTIONS(143),
    [anon_sym_PERCENT_EQ] = ACTIONS(143),
    [anon_sym_PLUS_EQ] = ACTIONS(143),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(143),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(143),
    [anon_sym_DASH_EQ] = ACTIONS(143),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(143),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(143),
    [anon_sym_LT_LT_EQ] = ACTIONS(143),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(143),
    [anon_sym_GT_GT_EQ] = ACTIONS(143),
    [anon_sym_AMP_EQ] = ACTIONS(143),
    [anon_sym_CARET_EQ] = ACTIONS(143),
    [anon_sym_PIPE_EQ] = ACTIONS(143),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(117),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_RBRACE] = ACTIONS(143),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_else] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_DOT_DOT] = ACTIONS(143),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(145),
    [anon_sym_STAR] = ACTIONS(121),
    [anon_sym_align] = ACTIONS(145),
    [anon_sym_addrspace] = ACTIONS(145),
    [anon_sym_linksection] = ACTIONS(145),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_RBRACK] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(117),
    [anon_sym_or] = ACTIONS(145),
    [anon_sym_and] = ACTIONS(145),
    [anon_sym_EQ_EQ] = ACTIONS(143),
    [anon_sym_BANG_EQ] = ACTIONS(143),
    [anon_sym_GT] = ACTIONS(145),
    [anon_sym_GT_EQ] = ACTIONS(143),
    [anon_sym_LT_EQ] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(145),
    [anon_sym_CARET] = ACTIONS(145),
    [anon_sym_orelse] = ACTIONS(145),
    [anon_sym_LT_LT] = ACTIONS(145),
    [anon_sym_GT_GT] = ACTIONS(145),
    [anon_sym_LT_LT_PIPE] = ACTIONS(145),
    [anon_sym_PLUS] = ACTIONS(145),
    [anon_sym_PLUS_PLUS] = ACTIONS(143),
    [anon_sym_PLUS_PERCENT] = ACTIONS(145),
    [anon_sym_PLUS_PIPE] = ACTIONS(145),
    [anon_sym_DASH_PIPE] = ACTIONS(145),
    [anon_sym_SLASH] = ACTIONS(145),
    [anon_sym_PERCENT] = ACTIONS(145),
    [anon_sym_STAR_STAR] = ACTIONS(143),
    [anon_sym_STAR_PERCENT] = ACTIONS(145),
    [anon_sym_STAR_PIPE] = ACTIONS(145),
    [anon_sym_PIPE_PIPE] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_catch] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_EQ_GT] = ACTIONS(143),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(137),
    [anon_sym_DOT_STAR] = ACTIONS(143),
    [anon_sym_DOT_QMARK] = ACTIONS(143),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(948),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [ts_builtin_sym_end] = ACTIONS(147),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(147),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_EQ] = ACTIONS(149),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(147),
    [anon_sym_STAR_EQ] = ACTIONS(147),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(147),
    [anon_sym_SLASH_EQ] = ACTIONS(147),
    [anon_sym_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_PLUS_EQ] = ACTIONS(147),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(147),
    [anon_sym_DASH_EQ] = ACTIONS(147),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(147),
    [anon_sym_LT_LT_EQ] = ACTIONS(147),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(147),
    [anon_sym_GT_GT_EQ] = ACTIONS(147),
    [anon_sym_AMP_EQ] = ACTIONS(147),
    [anon_sym_CARET_EQ] = ACTIONS(147),
    [anon_sym_PIPE_EQ] = ACTIONS(147),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(117),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(147),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_RBRACE] = ACTIONS(147),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_else] = ACTIONS(149),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_DOT_DOT] = ACTIONS(147),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(149),
    [anon_sym_STAR] = ACTIONS(121),
    [anon_sym_align] = ACTIONS(149),
    [anon_sym_addrspace] = ACTIONS(149),
    [anon_sym_linksection] = ACTIONS(149),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_RBRACK] = ACTIONS(147),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(117),
    [anon_sym_or] = ACTIONS(149),
    [anon_sym_and] = ACTIONS(149),
    [anon_sym_EQ_EQ] = ACTIONS(147),
    [anon_sym_BANG_EQ] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(149),
    [anon_sym_GT_EQ] = ACTIONS(147),
    [anon_sym_LT_EQ] = ACTIONS(147),
    [anon_sym_LT] = ACTIONS(149),
    [anon_sym_CARET] = ACTIONS(149),
    [anon_sym_orelse] = ACTIONS(149),
    [anon_sym_LT_LT] = ACTIONS(149),
    [anon_sym_GT_GT] = ACTIONS(149),
    [anon_sym_LT_LT_PIPE] = ACTIONS(149),
    [anon_sym_PLUS] = ACTIONS(149),
    [anon_sym_PLUS_PLUS] = ACTIONS(147),
    [anon_sym_PLUS_PERCENT] = ACTIONS(149),
    [anon_sym_PLUS_PIPE] = ACTIONS(149),
    [anon_sym_DASH_PIPE] = ACTIONS(149),
    [anon_sym_SLASH] = ACTIONS(149),
    [anon_sym_PERCENT] = ACTIONS(149),
    [anon_sym_STAR_STAR] = ACTIONS(147),
    [anon_sym_STAR_PERCENT] = ACTIONS(149),
    [anon_sym_STAR_PIPE] = ACTIONS(149),
    [anon_sym_PIPE_PIPE] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_catch] = ACTIONS(149),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_EQ_GT] = ACTIONS(147),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(137),
    [anon_sym_DOT_STAR] = ACTIONS(147),
    [anon_sym_DOT_QMARK] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1008),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_break_label] = STATE(7),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [ts_builtin_sym_end] = ACTIONS(107),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_COLON] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(107),
    [anon_sym_STAR_EQ] = ACTIONS(107),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(107),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(107),
    [anon_sym_SLASH_EQ] = ACTIONS(107),
    [anon_sym_PERCENT_EQ] = ACTIONS(107),
    [anon_sym_PLUS_EQ] = ACTIONS(107),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(107),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(107),
    [anon_sym_DASH_EQ] = ACTIONS(107),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(107),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(107),
    [anon_sym_LT_LT_EQ] = ACTIONS(107),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(107),
    [anon_sym_GT_GT_EQ] = ACTIONS(107),
    [anon_sym_AMP_EQ] = ACTIONS(107),
    [anon_sym_CARET_EQ] = ACTIONS(107),
    [anon_sym_PIPE_EQ] = ACTIONS(107),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(107),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_RBRACE] = ACTIONS(107),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_else] = ACTIONS(113),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_DOT_DOT] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(113),
    [anon_sym_STAR] = ACTIONS(121),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_RBRACK] = ACTIONS(107),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_or] = ACTIONS(113),
    [anon_sym_and] = ACTIONS(113),
    [anon_sym_EQ_EQ] = ACTIONS(107),
    [anon_sym_BANG_EQ] = ACTIONS(107),
    [anon_sym_GT] = ACTIONS(113),
    [anon_sym_GT_EQ] = ACTIONS(107),
    [anon_sym_LT_EQ] = ACTIONS(107),
    [anon_sym_LT] = ACTIONS(113),
    [anon_sym_CARET] = ACTIONS(113),
    [anon_sym_orelse] = ACTIONS(113),
    [anon_sym_LT_LT] = ACTIONS(113),
    [anon_sym_GT_GT] = ACTIONS(113),
    [anon_sym_LT_LT_PIPE] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_PLUS_PLUS] = ACTIONS(107),
    [anon_sym_PLUS_PERCENT] = ACTIONS(113),
    [anon_sym_PLUS_PIPE] = ACTIONS(113),
    [anon_sym_DASH_PIPE] = ACTIONS(113),
    [anon_sym_SLASH] = ACTIONS(113),
    [anon_sym_PERCENT] = ACTIONS(113),
    [anon_sym_STAR_STAR] = ACTIONS(107),
    [anon_sym_STAR_PERCENT] = ACTIONS(113),
    [anon_sym_STAR_PIPE] = ACTIONS(113),
    [anon_sym_PIPE_PIPE] = ACTIONS(107),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_catch] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_EQ_GT] = ACTIONS(107),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(137),
    [anon_sym_DOT_STAR] = ACTIONS(107),
    [anon_sym_DOT_QMARK] = ACTIONS(107),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(961),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [ts_builtin_sym_end] = ACTIONS(143),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_EQ] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(143),
    [anon_sym_STAR_EQ] = ACTIONS(143),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(143),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(143),
    [anon_sym_SLASH_EQ] = ACTIONS(143),
    [anon_sym_PERCENT_EQ] = ACTIONS(143),
    [anon_sym_PLUS_EQ] = ACTIONS(143),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(143),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(143),
    [anon_sym_DASH_EQ] = ACTIONS(143),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(143),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(143),
    [anon_sym_LT_LT_EQ] = ACTIONS(143),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(143),
    [anon_sym_GT_GT_EQ] = ACTIONS(143),
    [anon_sym_AMP_EQ] = ACTIONS(143),
    [anon_sym_CARET_EQ] = ACTIONS(143),
    [anon_sym_PIPE_EQ] = ACTIONS(143),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_RBRACE] = ACTIONS(143),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_else] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_DOT_DOT] = ACTIONS(143),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(145),
    [anon_sym_STAR] = ACTIONS(121),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_RBRACK] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_or] = ACTIONS(145),
    [anon_sym_and] = ACTIONS(145),
    [anon_sym_EQ_EQ] = ACTIONS(143),
    [anon_sym_BANG_EQ] = ACTIONS(143),
    [anon_sym_GT] = ACTIONS(145),
    [anon_sym_GT_EQ] = ACTIONS(143),
    [anon_sym_LT_EQ] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(145),
    [anon_sym_CARET] = ACTIONS(145),
    [anon_sym_orelse] = ACTIONS(145),
    [anon_sym_LT_LT] = ACTIONS(145),
    [anon_sym_GT_GT] = ACTIONS(145),
    [anon_sym_LT_LT_PIPE] = ACTIONS(145),
    [anon_sym_PLUS] = ACTIONS(145),
    [anon_sym_PLUS_PLUS] = ACTIONS(143),
    [anon_sym_PLUS_PERCENT] = ACTIONS(145),
    [anon_sym_PLUS_PIPE] = ACTIONS(145),
    [anon_sym_DASH_PIPE] = ACTIONS(145),
    [anon_sym_SLASH] = ACTIONS(145),
    [anon_sym_PERCENT] = ACTIONS(145),
    [anon_sym_STAR_STAR] = ACTIONS(143),
    [anon_sym_STAR_PERCENT] = ACTIONS(145),
    [anon_sym_STAR_PIPE] = ACTIONS(145),
    [anon_sym_PIPE_PIPE] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_catch] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_EQ_GT] = ACTIONS(143),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(137),
    [anon_sym_DOT_STAR] = ACTIONS(143),
    [anon_sym_DOT_QMARK] = ACTIONS(143),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1007),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [ts_builtin_sym_end] = ACTIONS(147),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(147),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_EQ] = ACTIONS(149),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_SEMI] = ACTIONS(147),
    [anon_sym_STAR_EQ] = ACTIONS(147),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(147),
    [anon_sym_SLASH_EQ] = ACTIONS(147),
    [anon_sym_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_PLUS_EQ] = ACTIONS(147),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(147),
    [anon_sym_DASH_EQ] = ACTIONS(147),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(147),
    [anon_sym_LT_LT_EQ] = ACTIONS(147),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(147),
    [anon_sym_GT_GT_EQ] = ACTIONS(147),
    [anon_sym_AMP_EQ] = ACTIONS(147),
    [anon_sym_CARET_EQ] = ACTIONS(147),
    [anon_sym_PIPE_EQ] = ACTIONS(147),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(147),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_RBRACE] = ACTIONS(147),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_else] = ACTIONS(149),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_DOT_DOT] = ACTIONS(147),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(149),
    [anon_sym_STAR] = ACTIONS(121),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_RBRACK] = ACTIONS(147),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_or] = ACTIONS(149),
    [anon_sym_and] = ACTIONS(149),
    [anon_sym_EQ_EQ] = ACTIONS(147),
    [anon_sym_BANG_EQ] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(149),
    [anon_sym_GT_EQ] = ACTIONS(147),
    [anon_sym_LT_EQ] = ACTIONS(147),
    [anon_sym_LT] = ACTIONS(149),
    [anon_sym_CARET] = ACTIONS(149),
    [anon_sym_orelse] = ACTIONS(149),
    [anon_sym_LT_LT] = ACTIONS(149),
    [anon_sym_GT_GT] = ACTIONS(149),
    [anon_sym_LT_LT_PIPE] = ACTIONS(149),
    [anon_sym_PLUS] = ACTIONS(149),
    [anon_sym_PLUS_PLUS] = ACTIONS(147),
    [anon_sym_PLUS_PERCENT] = ACTIONS(149),
    [anon_sym_PLUS_PIPE] = ACTIONS(149),
    [anon_sym_DASH_PIPE] = ACTIONS(149),
    [anon_sym_SLASH] = ACTIONS(149),
    [anon_sym_PERCENT] = ACTIONS(149),
    [anon_sym_STAR_STAR] = ACTIONS(147),
    [anon_sym_STAR_PERCENT] = ACTIONS(149),
    [anon_sym_STAR_PIPE] = ACTIONS(149),
    [anon_sym_PIPE_PIPE] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_catch] = ACTIONS(149),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_EQ_GT] = ACTIONS(147),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(137),
    [anon_sym_DOT_STAR] = ACTIONS(147),
    [anon_sym_DOT_QMARK] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1237),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_break_label] = STATE(13),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_COLON] = ACTIONS(159),
    [anon_sym_EQ] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_STAR_EQ] = ACTIONS(107),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(107),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(107),
    [anon_sym_SLASH_EQ] = ACTIONS(107),
    [anon_sym_PERCENT_EQ] = ACTIONS(107),
    [anon_sym_PLUS_EQ] = ACTIONS(107),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(107),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(107),
    [anon_sym_DASH_EQ] = ACTIONS(107),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(107),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(107),
    [anon_sym_LT_LT_EQ] = ACTIONS(107),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(107),
    [anon_sym_GT_GT_EQ] = ACTIONS(107),
    [anon_sym_AMP_EQ] = ACTIONS(107),
    [anon_sym_CARET_EQ] = ACTIONS(107),
    [anon_sym_PIPE_EQ] = ACTIONS(107),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(107),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_else] = ACTIONS(113),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_DOT_DOT] = ACTIONS(113),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(113),
    [anon_sym_STAR] = ACTIONS(185),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(167),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_or] = ACTIONS(113),
    [anon_sym_and] = ACTIONS(113),
    [anon_sym_EQ_EQ] = ACTIONS(107),
    [anon_sym_BANG_EQ] = ACTIONS(107),
    [anon_sym_GT] = ACTIONS(113),
    [anon_sym_GT_EQ] = ACTIONS(107),
    [anon_sym_LT_EQ] = ACTIONS(107),
    [anon_sym_LT] = ACTIONS(113),
    [anon_sym_CARET] = ACTIONS(113),
    [anon_sym_orelse] = ACTIONS(113),
    [anon_sym_LT_LT] = ACTIONS(113),
    [anon_sym_GT_GT] = ACTIONS(113),
    [anon_sym_LT_LT_PIPE] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_PLUS_PLUS] = ACTIONS(107),
    [anon_sym_PLUS_PERCENT] = ACTIONS(113),
    [anon_sym_PLUS_PIPE] = ACTIONS(113),
    [anon_sym_DASH_PIPE] = ACTIONS(113),
    [anon_sym_SLASH] = ACTIONS(113),
    [anon_sym_PERCENT] = ACTIONS(113),
    [anon_sym_STAR_STAR] = ACTIONS(107),
    [anon_sym_STAR_PERCENT] = ACTIONS(113),
    [anon_sym_STAR_PIPE] = ACTIONS(113),
    [anon_sym_PIPE_PIPE] = ACTIONS(107),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_catch] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_EQ_GT] = ACTIONS(107),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(217),
    [anon_sym_DOT_STAR] = ACTIONS(107),
    [anon_sym_DOT_QMARK] = ACTIONS(107),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1269),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_break_label] = STATE(18),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_COLON] = ACTIONS(159),
    [anon_sym_EQ] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_STAR_EQ] = ACTIONS(107),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(107),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(107),
    [anon_sym_SLASH_EQ] = ACTIONS(107),
    [anon_sym_PERCENT_EQ] = ACTIONS(107),
    [anon_sym_PLUS_EQ] = ACTIONS(107),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(107),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(107),
    [anon_sym_DASH_EQ] = ACTIONS(107),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(107),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(107),
    [anon_sym_LT_LT_EQ] = ACTIONS(107),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(107),
    [anon_sym_GT_GT_EQ] = ACTIONS(107),
    [anon_sym_AMP_EQ] = ACTIONS(107),
    [anon_sym_CARET_EQ] = ACTIONS(107),
    [anon_sym_PIPE_EQ] = ACTIONS(107),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(239),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(107),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_else] = ACTIONS(113),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_DOT_DOT] = ACTIONS(113),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(113),
    [anon_sym_STAR] = ACTIONS(185),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(239),
    [anon_sym_AMP] = ACTIONS(239),
    [anon_sym_or] = ACTIONS(113),
    [anon_sym_and] = ACTIONS(113),
    [anon_sym_EQ_EQ] = ACTIONS(107),
    [anon_sym_BANG_EQ] = ACTIONS(107),
    [anon_sym_GT] = ACTIONS(113),
    [anon_sym_GT_EQ] = ACTIONS(107),
    [anon_sym_LT_EQ] = ACTIONS(107),
    [anon_sym_LT] = ACTIONS(113),
    [anon_sym_CARET] = ACTIONS(113),
    [anon_sym_orelse] = ACTIONS(113),
    [anon_sym_LT_LT] = ACTIONS(113),
    [anon_sym_GT_GT] = ACTIONS(113),
    [anon_sym_LT_LT_PIPE] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_PLUS_PLUS] = ACTIONS(107),
    [anon_sym_PLUS_PERCENT] = ACTIONS(113),
    [anon_sym_PLUS_PIPE] = ACTIONS(113),
    [anon_sym_DASH_PIPE] = ACTIONS(113),
    [anon_sym_SLASH] = ACTIONS(113),
    [anon_sym_PERCENT] = ACTIONS(113),
    [anon_sym_STAR_STAR] = ACTIONS(107),
    [anon_sym_STAR_PERCENT] = ACTIONS(113),
    [anon_sym_STAR_PIPE] = ACTIONS(113),
    [anon_sym_PIPE_PIPE] = ACTIONS(107),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_catch] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_EQ_GT] = ACTIONS(107),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(217),
    [anon_sym_DOT_STAR] = ACTIONS(107),
    [anon_sym_DOT_QMARK] = ACTIONS(107),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1299),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_break_label] = STATE(16),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_STAR_EQ] = ACTIONS(107),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(107),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(107),
    [anon_sym_SLASH_EQ] = ACTIONS(107),
    [anon_sym_PERCENT_EQ] = ACTIONS(107),
    [anon_sym_PLUS_EQ] = ACTIONS(107),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(107),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(107),
    [anon_sym_DASH_EQ] = ACTIONS(107),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(107),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(107),
    [anon_sym_LT_LT_EQ] = ACTIONS(107),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(107),
    [anon_sym_GT_GT_EQ] = ACTIONS(107),
    [anon_sym_AMP_EQ] = ACTIONS(107),
    [anon_sym_CARET_EQ] = ACTIONS(107),
    [anon_sym_PIPE_EQ] = ACTIONS(107),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(263),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(107),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_else] = ACTIONS(113),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_DOT_DOT] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(113),
    [anon_sym_STAR] = ACTIONS(267),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(107),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(263),
    [anon_sym_AMP] = ACTIONS(263),
    [anon_sym_or] = ACTIONS(113),
    [anon_sym_and] = ACTIONS(113),
    [anon_sym_EQ_EQ] = ACTIONS(107),
    [anon_sym_BANG_EQ] = ACTIONS(107),
    [anon_sym_GT] = ACTIONS(113),
    [anon_sym_GT_EQ] = ACTIONS(107),
    [anon_sym_LT_EQ] = ACTIONS(107),
    [anon_sym_LT] = ACTIONS(113),
    [anon_sym_CARET] = ACTIONS(113),
    [anon_sym_orelse] = ACTIONS(113),
    [anon_sym_LT_LT] = ACTIONS(113),
    [anon_sym_GT_GT] = ACTIONS(113),
    [anon_sym_LT_LT_PIPE] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_PLUS_PLUS] = ACTIONS(107),
    [anon_sym_PLUS_PERCENT] = ACTIONS(113),
    [anon_sym_PLUS_PIPE] = ACTIONS(113),
    [anon_sym_DASH_PIPE] = ACTIONS(113),
    [anon_sym_SLASH] = ACTIONS(113),
    [anon_sym_PERCENT] = ACTIONS(113),
    [anon_sym_STAR_STAR] = ACTIONS(107),
    [anon_sym_STAR_PERCENT] = ACTIONS(113),
    [anon_sym_STAR_PIPE] = ACTIONS(113),
    [anon_sym_PIPE_PIPE] = ACTIONS(107),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_catch] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(137),
    [anon_sym_DOT_STAR] = ACTIONS(107),
    [anon_sym_DOT_QMARK] = ACTIONS(107),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1196),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_break_label] = STATE(20),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_COLON] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_STAR_EQ] = ACTIONS(107),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(107),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(107),
    [anon_sym_SLASH_EQ] = ACTIONS(107),
    [anon_sym_PERCENT_EQ] = ACTIONS(107),
    [anon_sym_PLUS_EQ] = ACTIONS(107),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(107),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(107),
    [anon_sym_DASH_EQ] = ACTIONS(107),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(107),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(107),
    [anon_sym_LT_LT_EQ] = ACTIONS(107),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(107),
    [anon_sym_GT_GT_EQ] = ACTIONS(107),
    [anon_sym_AMP_EQ] = ACTIONS(107),
    [anon_sym_CARET_EQ] = ACTIONS(107),
    [anon_sym_PIPE_EQ] = ACTIONS(107),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(297),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(107),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_else] = ACTIONS(113),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_DOT_DOT] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(113),
    [anon_sym_STAR] = ACTIONS(267),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(107),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(297),
    [anon_sym_AMP] = ACTIONS(297),
    [anon_sym_or] = ACTIONS(113),
    [anon_sym_and] = ACTIONS(113),
    [anon_sym_EQ_EQ] = ACTIONS(107),
    [anon_sym_BANG_EQ] = ACTIONS(107),
    [anon_sym_GT] = ACTIONS(113),
    [anon_sym_GT_EQ] = ACTIONS(107),
    [anon_sym_LT_EQ] = ACTIONS(107),
    [anon_sym_LT] = ACTIONS(113),
    [anon_sym_CARET] = ACTIONS(113),
    [anon_sym_orelse] = ACTIONS(113),
    [anon_sym_LT_LT] = ACTIONS(113),
    [anon_sym_GT_GT] = ACTIONS(113),
    [anon_sym_LT_LT_PIPE] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_PLUS_PLUS] = ACTIONS(107),
    [anon_sym_PLUS_PERCENT] = ACTIONS(113),
    [anon_sym_PLUS_PIPE] = ACTIONS(113),
    [anon_sym_DASH_PIPE] = ACTIONS(113),
    [anon_sym_SLASH] = ACTIONS(113),
    [anon_sym_PERCENT] = ACTIONS(113),
    [anon_sym_STAR_STAR] = ACTIONS(107),
    [anon_sym_STAR_PERCENT] = ACTIONS(113),
    [anon_sym_STAR_PIPE] = ACTIONS(113),
    [anon_sym_PIPE_PIPE] = ACTIONS(107),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_catch] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(137),
    [anon_sym_DOT_STAR] = ACTIONS(107),
    [anon_sym_DOT_QMARK] = ACTIONS(107),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [13] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1157),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_EQ] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_STAR_EQ] = ACTIONS(143),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(143),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(143),
    [anon_sym_SLASH_EQ] = ACTIONS(143),
    [anon_sym_PERCENT_EQ] = ACTIONS(143),
    [anon_sym_PLUS_EQ] = ACTIONS(143),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(143),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(143),
    [anon_sym_DASH_EQ] = ACTIONS(143),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(143),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(143),
    [anon_sym_LT_LT_EQ] = ACTIONS(143),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(143),
    [anon_sym_GT_GT_EQ] = ACTIONS(143),
    [anon_sym_AMP_EQ] = ACTIONS(143),
    [anon_sym_CARET_EQ] = ACTIONS(143),
    [anon_sym_PIPE_EQ] = ACTIONS(143),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_else] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_DOT_DOT] = ACTIONS(145),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(145),
    [anon_sym_STAR] = ACTIONS(185),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(167),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_or] = ACTIONS(145),
    [anon_sym_and] = ACTIONS(145),
    [anon_sym_EQ_EQ] = ACTIONS(143),
    [anon_sym_BANG_EQ] = ACTIONS(143),
    [anon_sym_GT] = ACTIONS(145),
    [anon_sym_GT_EQ] = ACTIONS(143),
    [anon_sym_LT_EQ] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(145),
    [anon_sym_CARET] = ACTIONS(145),
    [anon_sym_orelse] = ACTIONS(145),
    [anon_sym_LT_LT] = ACTIONS(145),
    [anon_sym_GT_GT] = ACTIONS(145),
    [anon_sym_LT_LT_PIPE] = ACTIONS(145),
    [anon_sym_PLUS] = ACTIONS(145),
    [anon_sym_PLUS_PLUS] = ACTIONS(143),
    [anon_sym_PLUS_PERCENT] = ACTIONS(145),
    [anon_sym_PLUS_PIPE] = ACTIONS(145),
    [anon_sym_DASH_PIPE] = ACTIONS(145),
    [anon_sym_SLASH] = ACTIONS(145),
    [anon_sym_PERCENT] = ACTIONS(145),
    [anon_sym_STAR_STAR] = ACTIONS(143),
    [anon_sym_STAR_PERCENT] = ACTIONS(145),
    [anon_sym_STAR_PIPE] = ACTIONS(145),
    [anon_sym_PIPE_PIPE] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_catch] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_EQ_GT] = ACTIONS(143),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(217),
    [anon_sym_DOT_STAR] = ACTIONS(143),
    [anon_sym_DOT_QMARK] = ACTIONS(143),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1115),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_COMMA] = ACTIONS(139),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_EQ] = ACTIONS(141),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_STAR_EQ] = ACTIONS(139),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(139),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(139),
    [anon_sym_SLASH_EQ] = ACTIONS(139),
    [anon_sym_PERCENT_EQ] = ACTIONS(139),
    [anon_sym_PLUS_EQ] = ACTIONS(139),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(139),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(139),
    [anon_sym_DASH_EQ] = ACTIONS(139),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(139),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(139),
    [anon_sym_LT_LT_EQ] = ACTIONS(139),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(139),
    [anon_sym_GT_GT_EQ] = ACTIONS(139),
    [anon_sym_AMP_EQ] = ACTIONS(139),
    [anon_sym_CARET_EQ] = ACTIONS(139),
    [anon_sym_PIPE_EQ] = ACTIONS(139),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(139),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_else] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_DOT_DOT] = ACTIONS(141),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(141),
    [anon_sym_STAR] = ACTIONS(185),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(167),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_or] = ACTIONS(141),
    [anon_sym_and] = ACTIONS(141),
    [anon_sym_EQ_EQ] = ACTIONS(139),
    [anon_sym_BANG_EQ] = ACTIONS(139),
    [anon_sym_GT] = ACTIONS(141),
    [anon_sym_GT_EQ] = ACTIONS(139),
    [anon_sym_LT_EQ] = ACTIONS(139),
    [anon_sym_LT] = ACTIONS(141),
    [anon_sym_CARET] = ACTIONS(141),
    [anon_sym_orelse] = ACTIONS(141),
    [anon_sym_LT_LT] = ACTIONS(141),
    [anon_sym_GT_GT] = ACTIONS(141),
    [anon_sym_LT_LT_PIPE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_PLUS_PLUS] = ACTIONS(139),
    [anon_sym_PLUS_PERCENT] = ACTIONS(141),
    [anon_sym_PLUS_PIPE] = ACTIONS(141),
    [anon_sym_DASH_PIPE] = ACTIONS(141),
    [anon_sym_SLASH] = ACTIONS(141),
    [anon_sym_PERCENT] = ACTIONS(141),
    [anon_sym_STAR_STAR] = ACTIONS(139),
    [anon_sym_STAR_PERCENT] = ACTIONS(141),
    [anon_sym_STAR_PIPE] = ACTIONS(141),
    [anon_sym_PIPE_PIPE] = ACTIONS(139),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_catch] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_EQ_GT] = ACTIONS(139),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(217),
    [anon_sym_DOT_STAR] = ACTIONS(139),
    [anon_sym_DOT_QMARK] = ACTIONS(139),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [15] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1090),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_EQ] = ACTIONS(141),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_STAR_EQ] = ACTIONS(139),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(139),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(139),
    [anon_sym_SLASH_EQ] = ACTIONS(139),
    [anon_sym_PERCENT_EQ] = ACTIONS(139),
    [anon_sym_PLUS_EQ] = ACTIONS(139),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(139),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(139),
    [anon_sym_DASH_EQ] = ACTIONS(139),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(139),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(139),
    [anon_sym_LT_LT_EQ] = ACTIONS(139),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(139),
    [anon_sym_GT_GT_EQ] = ACTIONS(139),
    [anon_sym_AMP_EQ] = ACTIONS(139),
    [anon_sym_CARET_EQ] = ACTIONS(139),
    [anon_sym_PIPE_EQ] = ACTIONS(139),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(297),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(139),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_else] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_DOT_DOT] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(141),
    [anon_sym_STAR] = ACTIONS(267),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(297),
    [anon_sym_AMP] = ACTIONS(297),
    [anon_sym_or] = ACTIONS(141),
    [anon_sym_and] = ACTIONS(141),
    [anon_sym_EQ_EQ] = ACTIONS(139),
    [anon_sym_BANG_EQ] = ACTIONS(139),
    [anon_sym_GT] = ACTIONS(141),
    [anon_sym_GT_EQ] = ACTIONS(139),
    [anon_sym_LT_EQ] = ACTIONS(139),
    [anon_sym_LT] = ACTIONS(141),
    [anon_sym_CARET] = ACTIONS(141),
    [anon_sym_orelse] = ACTIONS(141),
    [anon_sym_LT_LT] = ACTIONS(141),
    [anon_sym_GT_GT] = ACTIONS(141),
    [anon_sym_LT_LT_PIPE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_PLUS_PLUS] = ACTIONS(139),
    [anon_sym_PLUS_PERCENT] = ACTIONS(141),
    [anon_sym_PLUS_PIPE] = ACTIONS(141),
    [anon_sym_DASH_PIPE] = ACTIONS(141),
    [anon_sym_SLASH] = ACTIONS(141),
    [anon_sym_PERCENT] = ACTIONS(141),
    [anon_sym_STAR_STAR] = ACTIONS(139),
    [anon_sym_STAR_PERCENT] = ACTIONS(141),
    [anon_sym_STAR_PIPE] = ACTIONS(141),
    [anon_sym_PIPE_PIPE] = ACTIONS(139),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_catch] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(137),
    [anon_sym_DOT_STAR] = ACTIONS(139),
    [anon_sym_DOT_QMARK] = ACTIONS(139),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [16] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1290),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(143),
    [anon_sym_EQ] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_STAR_EQ] = ACTIONS(143),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(143),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(143),
    [anon_sym_SLASH_EQ] = ACTIONS(143),
    [anon_sym_PERCENT_EQ] = ACTIONS(143),
    [anon_sym_PLUS_EQ] = ACTIONS(143),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(143),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(143),
    [anon_sym_DASH_EQ] = ACTIONS(143),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(143),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(143),
    [anon_sym_LT_LT_EQ] = ACTIONS(143),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(143),
    [anon_sym_GT_GT_EQ] = ACTIONS(143),
    [anon_sym_AMP_EQ] = ACTIONS(143),
    [anon_sym_CARET_EQ] = ACTIONS(143),
    [anon_sym_PIPE_EQ] = ACTIONS(143),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(263),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_else] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_DOT_DOT] = ACTIONS(143),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(145),
    [anon_sym_STAR] = ACTIONS(267),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(263),
    [anon_sym_AMP] = ACTIONS(263),
    [anon_sym_or] = ACTIONS(145),
    [anon_sym_and] = ACTIONS(145),
    [anon_sym_EQ_EQ] = ACTIONS(143),
    [anon_sym_BANG_EQ] = ACTIONS(143),
    [anon_sym_GT] = ACTIONS(145),
    [anon_sym_GT_EQ] = ACTIONS(143),
    [anon_sym_LT_EQ] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(145),
    [anon_sym_CARET] = ACTIONS(145),
    [anon_sym_orelse] = ACTIONS(145),
    [anon_sym_LT_LT] = ACTIONS(145),
    [anon_sym_GT_GT] = ACTIONS(145),
    [anon_sym_LT_LT_PIPE] = ACTIONS(145),
    [anon_sym_PLUS] = ACTIONS(145),
    [anon_sym_PLUS_PLUS] = ACTIONS(143),
    [anon_sym_PLUS_PERCENT] = ACTIONS(145),
    [anon_sym_PLUS_PIPE] = ACTIONS(145),
    [anon_sym_DASH_PIPE] = ACTIONS(145),
    [anon_sym_SLASH] = ACTIONS(145),
    [anon_sym_PERCENT] = ACTIONS(145),
    [anon_sym_STAR_STAR] = ACTIONS(143),
    [anon_sym_STAR_PERCENT] = ACTIONS(145),
    [anon_sym_STAR_PIPE] = ACTIONS(145),
    [anon_sym_PIPE_PIPE] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_catch] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(137),
    [anon_sym_DOT_STAR] = ACTIONS(143),
    [anon_sym_DOT_QMARK] = ACTIONS(143),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [17] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1268),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_COMMA] = ACTIONS(147),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_EQ] = ACTIONS(149),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_STAR_EQ] = ACTIONS(147),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(147),
    [anon_sym_SLASH_EQ] = ACTIONS(147),
    [anon_sym_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_PLUS_EQ] = ACTIONS(147),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(147),
    [anon_sym_DASH_EQ] = ACTIONS(147),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(147),
    [anon_sym_LT_LT_EQ] = ACTIONS(147),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(147),
    [anon_sym_GT_GT_EQ] = ACTIONS(147),
    [anon_sym_AMP_EQ] = ACTIONS(147),
    [anon_sym_CARET_EQ] = ACTIONS(147),
    [anon_sym_PIPE_EQ] = ACTIONS(147),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(239),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(147),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_else] = ACTIONS(149),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_DOT_DOT] = ACTIONS(149),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(149),
    [anon_sym_STAR] = ACTIONS(185),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(239),
    [anon_sym_AMP] = ACTIONS(239),
    [anon_sym_or] = ACTIONS(149),
    [anon_sym_and] = ACTIONS(149),
    [anon_sym_EQ_EQ] = ACTIONS(147),
    [anon_sym_BANG_EQ] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(149),
    [anon_sym_GT_EQ] = ACTIONS(147),
    [anon_sym_LT_EQ] = ACTIONS(147),
    [anon_sym_LT] = ACTIONS(149),
    [anon_sym_CARET] = ACTIONS(149),
    [anon_sym_orelse] = ACTIONS(149),
    [anon_sym_LT_LT] = ACTIONS(149),
    [anon_sym_GT_GT] = ACTIONS(149),
    [anon_sym_LT_LT_PIPE] = ACTIONS(149),
    [anon_sym_PLUS] = ACTIONS(149),
    [anon_sym_PLUS_PLUS] = ACTIONS(147),
    [anon_sym_PLUS_PERCENT] = ACTIONS(149),
    [anon_sym_PLUS_PIPE] = ACTIONS(149),
    [anon_sym_DASH_PIPE] = ACTIONS(149),
    [anon_sym_SLASH] = ACTIONS(149),
    [anon_sym_PERCENT] = ACTIONS(149),
    [anon_sym_STAR_STAR] = ACTIONS(147),
    [anon_sym_STAR_PERCENT] = ACTIONS(149),
    [anon_sym_STAR_PIPE] = ACTIONS(149),
    [anon_sym_PIPE_PIPE] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_catch] = ACTIONS(149),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_EQ_GT] = ACTIONS(147),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(217),
    [anon_sym_DOT_STAR] = ACTIONS(147),
    [anon_sym_DOT_QMARK] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [18] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1339),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_EQ] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_STAR_EQ] = ACTIONS(143),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(143),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(143),
    [anon_sym_SLASH_EQ] = ACTIONS(143),
    [anon_sym_PERCENT_EQ] = ACTIONS(143),
    [anon_sym_PLUS_EQ] = ACTIONS(143),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(143),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(143),
    [anon_sym_DASH_EQ] = ACTIONS(143),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(143),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(143),
    [anon_sym_LT_LT_EQ] = ACTIONS(143),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(143),
    [anon_sym_GT_GT_EQ] = ACTIONS(143),
    [anon_sym_AMP_EQ] = ACTIONS(143),
    [anon_sym_CARET_EQ] = ACTIONS(143),
    [anon_sym_PIPE_EQ] = ACTIONS(143),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(239),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_else] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_DOT_DOT] = ACTIONS(145),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(145),
    [anon_sym_STAR] = ACTIONS(185),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(239),
    [anon_sym_AMP] = ACTIONS(239),
    [anon_sym_or] = ACTIONS(145),
    [anon_sym_and] = ACTIONS(145),
    [anon_sym_EQ_EQ] = ACTIONS(143),
    [anon_sym_BANG_EQ] = ACTIONS(143),
    [anon_sym_GT] = ACTIONS(145),
    [anon_sym_GT_EQ] = ACTIONS(143),
    [anon_sym_LT_EQ] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(145),
    [anon_sym_CARET] = ACTIONS(145),
    [anon_sym_orelse] = ACTIONS(145),
    [anon_sym_LT_LT] = ACTIONS(145),
    [anon_sym_GT_GT] = ACTIONS(145),
    [anon_sym_LT_LT_PIPE] = ACTIONS(145),
    [anon_sym_PLUS] = ACTIONS(145),
    [anon_sym_PLUS_PLUS] = ACTIONS(143),
    [anon_sym_PLUS_PERCENT] = ACTIONS(145),
    [anon_sym_PLUS_PIPE] = ACTIONS(145),
    [anon_sym_DASH_PIPE] = ACTIONS(145),
    [anon_sym_SLASH] = ACTIONS(145),
    [anon_sym_PERCENT] = ACTIONS(145),
    [anon_sym_STAR_STAR] = ACTIONS(143),
    [anon_sym_STAR_PERCENT] = ACTIONS(145),
    [anon_sym_STAR_PIPE] = ACTIONS(145),
    [anon_sym_PIPE_PIPE] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_catch] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_EQ_GT] = ACTIONS(143),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(217),
    [anon_sym_DOT_STAR] = ACTIONS(143),
    [anon_sym_DOT_QMARK] = ACTIONS(143),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [19] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1298),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(147),
    [anon_sym_EQ] = ACTIONS(149),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_STAR_EQ] = ACTIONS(147),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(147),
    [anon_sym_SLASH_EQ] = ACTIONS(147),
    [anon_sym_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_PLUS_EQ] = ACTIONS(147),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(147),
    [anon_sym_DASH_EQ] = ACTIONS(147),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(147),
    [anon_sym_LT_LT_EQ] = ACTIONS(147),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(147),
    [anon_sym_GT_GT_EQ] = ACTIONS(147),
    [anon_sym_AMP_EQ] = ACTIONS(147),
    [anon_sym_CARET_EQ] = ACTIONS(147),
    [anon_sym_PIPE_EQ] = ACTIONS(147),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(263),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(147),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_else] = ACTIONS(149),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_DOT_DOT] = ACTIONS(147),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(149),
    [anon_sym_STAR] = ACTIONS(267),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(147),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(263),
    [anon_sym_AMP] = ACTIONS(263),
    [anon_sym_or] = ACTIONS(149),
    [anon_sym_and] = ACTIONS(149),
    [anon_sym_EQ_EQ] = ACTIONS(147),
    [anon_sym_BANG_EQ] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(149),
    [anon_sym_GT_EQ] = ACTIONS(147),
    [anon_sym_LT_EQ] = ACTIONS(147),
    [anon_sym_LT] = ACTIONS(149),
    [anon_sym_CARET] = ACTIONS(149),
    [anon_sym_orelse] = ACTIONS(149),
    [anon_sym_LT_LT] = ACTIONS(149),
    [anon_sym_GT_GT] = ACTIONS(149),
    [anon_sym_LT_LT_PIPE] = ACTIONS(149),
    [anon_sym_PLUS] = ACTIONS(149),
    [anon_sym_PLUS_PLUS] = ACTIONS(147),
    [anon_sym_PLUS_PERCENT] = ACTIONS(149),
    [anon_sym_PLUS_PIPE] = ACTIONS(149),
    [anon_sym_DASH_PIPE] = ACTIONS(149),
    [anon_sym_SLASH] = ACTIONS(149),
    [anon_sym_PERCENT] = ACTIONS(149),
    [anon_sym_STAR_STAR] = ACTIONS(147),
    [anon_sym_STAR_PERCENT] = ACTIONS(149),
    [anon_sym_STAR_PIPE] = ACTIONS(149),
    [anon_sym_PIPE_PIPE] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_catch] = ACTIONS(149),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(137),
    [anon_sym_DOT_STAR] = ACTIONS(147),
    [anon_sym_DOT_QMARK] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [20] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1121),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_COLON] = ACTIONS(143),
    [anon_sym_EQ] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_STAR_EQ] = ACTIONS(143),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(143),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(143),
    [anon_sym_SLASH_EQ] = ACTIONS(143),
    [anon_sym_PERCENT_EQ] = ACTIONS(143),
    [anon_sym_PLUS_EQ] = ACTIONS(143),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(143),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(143),
    [anon_sym_DASH_EQ] = ACTIONS(143),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(143),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(143),
    [anon_sym_LT_LT_EQ] = ACTIONS(143),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(143),
    [anon_sym_GT_GT_EQ] = ACTIONS(143),
    [anon_sym_AMP_EQ] = ACTIONS(143),
    [anon_sym_CARET_EQ] = ACTIONS(143),
    [anon_sym_PIPE_EQ] = ACTIONS(143),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(297),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_else] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_DOT_DOT] = ACTIONS(143),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(145),
    [anon_sym_STAR] = ACTIONS(267),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(297),
    [anon_sym_AMP] = ACTIONS(297),
    [anon_sym_or] = ACTIONS(145),
    [anon_sym_and] = ACTIONS(145),
    [anon_sym_EQ_EQ] = ACTIONS(143),
    [anon_sym_BANG_EQ] = ACTIONS(143),
    [anon_sym_GT] = ACTIONS(145),
    [anon_sym_GT_EQ] = ACTIONS(143),
    [anon_sym_LT_EQ] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(145),
    [anon_sym_CARET] = ACTIONS(145),
    [anon_sym_orelse] = ACTIONS(145),
    [anon_sym_LT_LT] = ACTIONS(145),
    [anon_sym_GT_GT] = ACTIONS(145),
    [anon_sym_LT_LT_PIPE] = ACTIONS(145),
    [anon_sym_PLUS] = ACTIONS(145),
    [anon_sym_PLUS_PLUS] = ACTIONS(143),
    [anon_sym_PLUS_PERCENT] = ACTIONS(145),
    [anon_sym_PLUS_PIPE] = ACTIONS(145),
    [anon_sym_DASH_PIPE] = ACTIONS(145),
    [anon_sym_SLASH] = ACTIONS(145),
    [anon_sym_PERCENT] = ACTIONS(145),
    [anon_sym_STAR_STAR] = ACTIONS(143),
    [anon_sym_STAR_PERCENT] = ACTIONS(145),
    [anon_sym_STAR_PIPE] = ACTIONS(145),
    [anon_sym_PIPE_PIPE] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_catch] = ACTIONS(145),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(137),
    [anon_sym_DOT_STAR] = ACTIONS(143),
    [anon_sym_DOT_QMARK] = ACTIONS(143),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [21] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1236),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_COMMA] = ACTIONS(147),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_EQ] = ACTIONS(149),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_STAR_EQ] = ACTIONS(147),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(147),
    [anon_sym_SLASH_EQ] = ACTIONS(147),
    [anon_sym_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_PLUS_EQ] = ACTIONS(147),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(147),
    [anon_sym_DASH_EQ] = ACTIONS(147),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(147),
    [anon_sym_LT_LT_EQ] = ACTIONS(147),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(147),
    [anon_sym_GT_GT_EQ] = ACTIONS(147),
    [anon_sym_AMP_EQ] = ACTIONS(147),
    [anon_sym_CARET_EQ] = ACTIONS(147),
    [anon_sym_PIPE_EQ] = ACTIONS(147),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(147),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_else] = ACTIONS(149),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_DOT_DOT] = ACTIONS(149),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(149),
    [anon_sym_STAR] = ACTIONS(185),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(167),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_or] = ACTIONS(149),
    [anon_sym_and] = ACTIONS(149),
    [anon_sym_EQ_EQ] = ACTIONS(147),
    [anon_sym_BANG_EQ] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(149),
    [anon_sym_GT_EQ] = ACTIONS(147),
    [anon_sym_LT_EQ] = ACTIONS(147),
    [anon_sym_LT] = ACTIONS(149),
    [anon_sym_CARET] = ACTIONS(149),
    [anon_sym_orelse] = ACTIONS(149),
    [anon_sym_LT_LT] = ACTIONS(149),
    [anon_sym_GT_GT] = ACTIONS(149),
    [anon_sym_LT_LT_PIPE] = ACTIONS(149),
    [anon_sym_PLUS] = ACTIONS(149),
    [anon_sym_PLUS_PLUS] = ACTIONS(147),
    [anon_sym_PLUS_PERCENT] = ACTIONS(149),
    [anon_sym_PLUS_PIPE] = ACTIONS(149),
    [anon_sym_DASH_PIPE] = ACTIONS(149),
    [anon_sym_SLASH] = ACTIONS(149),
    [anon_sym_PERCENT] = ACTIONS(149),
    [anon_sym_STAR_STAR] = ACTIONS(147),
    [anon_sym_STAR_PERCENT] = ACTIONS(149),
    [anon_sym_STAR_PIPE] = ACTIONS(149),
    [anon_sym_PIPE_PIPE] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_catch] = ACTIONS(149),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_EQ_GT] = ACTIONS(147),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(217),
    [anon_sym_DOT_STAR] = ACTIONS(147),
    [anon_sym_DOT_QMARK] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [22] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1195),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_COLON] = ACTIONS(147),
    [anon_sym_EQ] = ACTIONS(149),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_STAR_EQ] = ACTIONS(147),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(147),
    [anon_sym_SLASH_EQ] = ACTIONS(147),
    [anon_sym_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_PLUS_EQ] = ACTIONS(147),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(147),
    [anon_sym_DASH_EQ] = ACTIONS(147),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(147),
    [anon_sym_LT_LT_EQ] = ACTIONS(147),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(147),
    [anon_sym_GT_GT_EQ] = ACTIONS(147),
    [anon_sym_AMP_EQ] = ACTIONS(147),
    [anon_sym_CARET_EQ] = ACTIONS(147),
    [anon_sym_PIPE_EQ] = ACTIONS(147),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(297),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(147),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_else] = ACTIONS(149),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_DOT_DOT] = ACTIONS(147),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(149),
    [anon_sym_STAR] = ACTIONS(267),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(147),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(297),
    [anon_sym_AMP] = ACTIONS(297),
    [anon_sym_or] = ACTIONS(149),
    [anon_sym_and] = ACTIONS(149),
    [anon_sym_EQ_EQ] = ACTIONS(147),
    [anon_sym_BANG_EQ] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(149),
    [anon_sym_GT_EQ] = ACTIONS(147),
    [anon_sym_LT_EQ] = ACTIONS(147),
    [anon_sym_LT] = ACTIONS(149),
    [anon_sym_CARET] = ACTIONS(149),
    [anon_sym_orelse] = ACTIONS(149),
    [anon_sym_LT_LT] = ACTIONS(149),
    [anon_sym_GT_GT] = ACTIONS(149),
    [anon_sym_LT_LT_PIPE] = ACTIONS(149),
    [anon_sym_PLUS] = ACTIONS(149),
    [anon_sym_PLUS_PLUS] = ACTIONS(147),
    [anon_sym_PLUS_PERCENT] = ACTIONS(149),
    [anon_sym_PLUS_PIPE] = ACTIONS(149),
    [anon_sym_DASH_PIPE] = ACTIONS(149),
    [anon_sym_SLASH] = ACTIONS(149),
    [anon_sym_PERCENT] = ACTIONS(149),
    [anon_sym_STAR_STAR] = ACTIONS(147),
    [anon_sym_STAR_PERCENT] = ACTIONS(149),
    [anon_sym_STAR_PIPE] = ACTIONS(149),
    [anon_sym_PIPE_PIPE] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_catch] = ACTIONS(149),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(137),
    [anon_sym_DOT_STAR] = ACTIONS(147),
    [anon_sym_DOT_QMARK] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [23] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(1271),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(139),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_EQ] = ACTIONS(141),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_STAR_EQ] = ACTIONS(139),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(139),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(139),
    [anon_sym_SLASH_EQ] = ACTIONS(139),
    [anon_sym_PERCENT_EQ] = ACTIONS(139),
    [anon_sym_PLUS_EQ] = ACTIONS(139),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(139),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(139),
    [anon_sym_DASH_EQ] = ACTIONS(139),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(139),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(139),
    [anon_sym_LT_LT_EQ] = ACTIONS(139),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(139),
    [anon_sym_GT_GT_EQ] = ACTIONS(139),
    [anon_sym_AMP_EQ] = ACTIONS(139),
    [anon_sym_CARET_EQ] = ACTIONS(139),
    [anon_sym_PIPE_EQ] = ACTIONS(139),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(139),
    [anon_sym_LBRACE] = ACTIONS(139),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_DOT_DOT] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(141),
    [anon_sym_STAR] = ACTIONS(141),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_DASH_PERCENT] = ACTIONS(141),
    [anon_sym_AMP] = ACTIONS(141),
    [anon_sym_or] = ACTIONS(141),
    [anon_sym_and] = ACTIONS(141),
    [anon_sym_EQ_EQ] = ACTIONS(139),
    [anon_sym_BANG_EQ] = ACTIONS(139),
    [anon_sym_GT] = ACTIONS(141),
    [anon_sym_GT_EQ] = ACTIONS(139),
    [anon_sym_LT_EQ] = ACTIONS(139),
    [anon_sym_LT] = ACTIONS(141),
    [anon_sym_CARET] = ACTIONS(141),
    [anon_sym_orelse] = ACTIONS(141),
    [anon_sym_LT_LT] = ACTIONS(141),
    [anon_sym_GT_GT] = ACTIONS(141),
    [anon_sym_LT_LT_PIPE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_PLUS_PLUS] = ACTIONS(139),
    [anon_sym_PLUS_PERCENT] = ACTIONS(141),
    [anon_sym_PLUS_PIPE] = ACTIONS(141),
    [anon_sym_DASH_PIPE] = ACTIONS(141),
    [anon_sym_SLASH] = ACTIONS(141),
    [anon_sym_PERCENT] = ACTIONS(141),
    [anon_sym_STAR_STAR] = ACTIONS(139),
    [anon_sym_STAR_PERCENT] = ACTIONS(141),
    [anon_sym_STAR_PIPE] = ACTIONS(141),
    [anon_sym_PIPE_PIPE] = ACTIONS(139),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_catch] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(141),
    [anon_sym_DOT_STAR] = ACTIONS(139),
    [anon_sym_DOT_QMARK] = ACTIONS(139),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [24] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(1248),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(139),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_EQ] = ACTIONS(141),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_STAR_EQ] = ACTIONS(139),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(139),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(139),
    [anon_sym_SLASH_EQ] = ACTIONS(139),
    [anon_sym_PERCENT_EQ] = ACTIONS(139),
    [anon_sym_PLUS_EQ] = ACTIONS(139),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(139),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(139),
    [anon_sym_DASH_EQ] = ACTIONS(139),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(139),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(139),
    [anon_sym_LT_LT_EQ] = ACTIONS(139),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(139),
    [anon_sym_GT_GT_EQ] = ACTIONS(139),
    [anon_sym_AMP_EQ] = ACTIONS(139),
    [anon_sym_CARET_EQ] = ACTIONS(139),
    [anon_sym_PIPE_EQ] = ACTIONS(139),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(139),
    [anon_sym_LBRACE] = ACTIONS(139),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_DOT_DOT] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(141),
    [anon_sym_STAR] = ACTIONS(141),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_DASH_PERCENT] = ACTIONS(141),
    [anon_sym_AMP] = ACTIONS(141),
    [anon_sym_or] = ACTIONS(141),
    [anon_sym_and] = ACTIONS(141),
    [anon_sym_EQ_EQ] = ACTIONS(139),
    [anon_sym_BANG_EQ] = ACTIONS(139),
    [anon_sym_GT] = ACTIONS(141),
    [anon_sym_GT_EQ] = ACTIONS(139),
    [anon_sym_LT_EQ] = ACTIONS(139),
    [anon_sym_LT] = ACTIONS(141),
    [anon_sym_CARET] = ACTIONS(141),
    [anon_sym_orelse] = ACTIONS(141),
    [anon_sym_LT_LT] = ACTIONS(141),
    [anon_sym_GT_GT] = ACTIONS(141),
    [anon_sym_LT_LT_PIPE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_PLUS_PLUS] = ACTIONS(139),
    [anon_sym_PLUS_PERCENT] = ACTIONS(141),
    [anon_sym_PLUS_PIPE] = ACTIONS(141),
    [anon_sym_DASH_PIPE] = ACTIONS(141),
    [anon_sym_SLASH] = ACTIONS(141),
    [anon_sym_PERCENT] = ACTIONS(141),
    [anon_sym_STAR_STAR] = ACTIONS(139),
    [anon_sym_STAR_PERCENT] = ACTIONS(141),
    [anon_sym_STAR_PIPE] = ACTIONS(141),
    [anon_sym_PIPE_PIPE] = ACTIONS(139),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_catch] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(141),
    [anon_sym_DOT_STAR] = ACTIONS(139),
    [anon_sym_DOT_QMARK] = ACTIONS(139),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [25] = {
    [sym__variable_declaration_expression_statement] = STATE(771),
    [sym__variable_declaration_header] = STATE(1634),
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(692),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym_statement] = STATE(777),
    [sym_comptime_statement] = STATE(773),
    [sym_nosuspend_statement] = STATE(773),
    [sym_suspend_statement] = STATE(773),
    [sym_defer_statement] = STATE(773),
    [sym_errdefer_statement] = STATE(773),
    [sym_labeled_statement] = STATE(773),
    [sym_expression_statement] = STATE(773),
    [sym_if_statement] = STATE(773),
    [sym__if_prefix] = STATE(262),
    [sym_for_statement] = STATE(774),
    [sym__for_prefix] = STATE(248),
    [sym_while_statement] = STATE(774),
    [sym__while_prefix] = STATE(202),
    [sym_payload] = STATE(78),
    [sym_expression] = STATE(1362),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(694),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1520),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_suspend] = ACTIONS(321),
    [anon_sym_defer] = ACTIONS(323),
    [anon_sym_errdefer] = ACTIONS(325),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [26] = {
    [sym__variable_declaration_expression_statement] = STATE(771),
    [sym__variable_declaration_header] = STATE(1634),
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(692),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym_statement] = STATE(777),
    [sym_comptime_statement] = STATE(773),
    [sym_nosuspend_statement] = STATE(773),
    [sym_suspend_statement] = STATE(773),
    [sym_defer_statement] = STATE(773),
    [sym_errdefer_statement] = STATE(773),
    [sym_labeled_statement] = STATE(773),
    [sym_expression_statement] = STATE(773),
    [sym_if_statement] = STATE(773),
    [sym__if_prefix] = STATE(262),
    [sym_for_statement] = STATE(774),
    [sym__for_prefix] = STATE(248),
    [sym_while_statement] = STATE(774),
    [sym__while_prefix] = STATE(202),
    [sym_payload] = STATE(77),
    [sym_expression] = STATE(1402),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(694),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1520),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_suspend] = ACTIONS(321),
    [anon_sym_defer] = ACTIONS(323),
    [anon_sym_errdefer] = ACTIONS(325),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [27] = {
    [sym__variable_declaration_expression_statement] = STATE(771),
    [sym__variable_declaration_header] = STATE(1634),
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(692),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym_statement] = STATE(777),
    [sym_comptime_statement] = STATE(773),
    [sym_nosuspend_statement] = STATE(773),
    [sym_suspend_statement] = STATE(773),
    [sym_defer_statement] = STATE(773),
    [sym_errdefer_statement] = STATE(773),
    [sym_labeled_statement] = STATE(773),
    [sym_expression_statement] = STATE(773),
    [sym_if_statement] = STATE(773),
    [sym__if_prefix] = STATE(262),
    [sym_for_statement] = STATE(774),
    [sym__for_prefix] = STATE(248),
    [sym_while_statement] = STATE(774),
    [sym__while_prefix] = STATE(202),
    [sym_payload] = STATE(76),
    [sym_expression] = STATE(1359),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(694),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1520),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_suspend] = ACTIONS(321),
    [anon_sym_defer] = ACTIONS(323),
    [anon_sym_errdefer] = ACTIONS(325),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [28] = {
    [sym__variable_declaration_expression_statement] = STATE(771),
    [sym__variable_declaration_header] = STATE(1634),
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(692),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym_statement] = STATE(777),
    [sym_comptime_statement] = STATE(773),
    [sym_nosuspend_statement] = STATE(773),
    [sym_suspend_statement] = STATE(773),
    [sym_defer_statement] = STATE(773),
    [sym_errdefer_statement] = STATE(773),
    [sym_labeled_statement] = STATE(773),
    [sym_expression_statement] = STATE(773),
    [sym_if_statement] = STATE(773),
    [sym__if_prefix] = STATE(262),
    [sym_for_statement] = STATE(774),
    [sym__for_prefix] = STATE(248),
    [sym_while_statement] = STATE(774),
    [sym__while_prefix] = STATE(202),
    [sym_payload] = STATE(78),
    [sym_expression] = STATE(1356),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(694),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1520),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_suspend] = ACTIONS(321),
    [anon_sym_defer] = ACTIONS(323),
    [anon_sym_errdefer] = ACTIONS(325),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [29] = {
    [sym_test_declaration] = STATE(36),
    [sym_comptime_declaration] = STATE(36),
    [sym_container_field] = STATE(1639),
    [sym_variable_declaration] = STATE(36),
    [sym__variable_declaration_header] = STATE(1756),
    [sym_function_declaration] = STATE(36),
    [sym__function_prototype] = STATE(977),
    [sym_using_namespace_declaration] = STATE(36),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(992),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1555),
    [sym_if_type_expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1014),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1015),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym__container_members_repeat1] = STATE(36),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [ts_builtin_sym_end] = ACTIONS(329),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_usingnamespace] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_RBRACE] = ACTIONS(329),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [30] = {
    [sym__variable_declaration_expression_statement] = STATE(771),
    [sym__variable_declaration_header] = STATE(1634),
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(692),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym_statement] = STATE(777),
    [sym_comptime_statement] = STATE(773),
    [sym_nosuspend_statement] = STATE(773),
    [sym_suspend_statement] = STATE(773),
    [sym_defer_statement] = STATE(773),
    [sym_errdefer_statement] = STATE(773),
    [sym_labeled_statement] = STATE(773),
    [sym_expression_statement] = STATE(773),
    [sym_if_statement] = STATE(773),
    [sym__if_prefix] = STATE(262),
    [sym_for_statement] = STATE(774),
    [sym__for_prefix] = STATE(248),
    [sym_while_statement] = STATE(774),
    [sym__while_prefix] = STATE(202),
    [sym_payload] = STATE(75),
    [sym_expression] = STATE(1364),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(694),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1520),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_suspend] = ACTIONS(321),
    [anon_sym_defer] = ACTIONS(323),
    [anon_sym_errdefer] = ACTIONS(325),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [31] = {
    [sym__variable_declaration_expression_statement] = STATE(771),
    [sym__variable_declaration_header] = STATE(1634),
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(692),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym_statement] = STATE(32),
    [sym_comptime_statement] = STATE(773),
    [sym_nosuspend_statement] = STATE(773),
    [sym_suspend_statement] = STATE(773),
    [sym_defer_statement] = STATE(773),
    [sym_errdefer_statement] = STATE(773),
    [sym_labeled_statement] = STATE(773),
    [sym_expression_statement] = STATE(773),
    [sym_if_statement] = STATE(773),
    [sym__if_prefix] = STATE(262),
    [sym_for_statement] = STATE(774),
    [sym__for_prefix] = STATE(248),
    [sym_while_statement] = STATE(774),
    [sym__while_prefix] = STATE(202),
    [sym_expression] = STATE(1361),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(694),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1520),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_block_repeat1] = STATE(32),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_RBRACE] = ACTIONS(331),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_suspend] = ACTIONS(321),
    [anon_sym_defer] = ACTIONS(323),
    [anon_sym_errdefer] = ACTIONS(325),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [32] = {
    [sym__variable_declaration_expression_statement] = STATE(771),
    [sym__variable_declaration_header] = STATE(1634),
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(692),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym_statement] = STATE(35),
    [sym_comptime_statement] = STATE(773),
    [sym_nosuspend_statement] = STATE(773),
    [sym_suspend_statement] = STATE(773),
    [sym_defer_statement] = STATE(773),
    [sym_errdefer_statement] = STATE(773),
    [sym_labeled_statement] = STATE(773),
    [sym_expression_statement] = STATE(773),
    [sym_if_statement] = STATE(773),
    [sym__if_prefix] = STATE(262),
    [sym_for_statement] = STATE(774),
    [sym__for_prefix] = STATE(248),
    [sym_while_statement] = STATE(774),
    [sym__while_prefix] = STATE(202),
    [sym_expression] = STATE(1361),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(694),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1520),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_block_repeat1] = STATE(35),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_RBRACE] = ACTIONS(333),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_suspend] = ACTIONS(321),
    [anon_sym_defer] = ACTIONS(323),
    [anon_sym_errdefer] = ACTIONS(325),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [33] = {
    [sym__variable_declaration_expression_statement] = STATE(771),
    [sym__variable_declaration_header] = STATE(1634),
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(692),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym_statement] = STATE(34),
    [sym_comptime_statement] = STATE(773),
    [sym_nosuspend_statement] = STATE(773),
    [sym_suspend_statement] = STATE(773),
    [sym_defer_statement] = STATE(773),
    [sym_errdefer_statement] = STATE(773),
    [sym_labeled_statement] = STATE(773),
    [sym_expression_statement] = STATE(773),
    [sym_if_statement] = STATE(773),
    [sym__if_prefix] = STATE(262),
    [sym_for_statement] = STATE(774),
    [sym__for_prefix] = STATE(248),
    [sym_while_statement] = STATE(774),
    [sym__while_prefix] = STATE(202),
    [sym_expression] = STATE(1361),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(694),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1520),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_block_repeat1] = STATE(34),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_RBRACE] = ACTIONS(335),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_suspend] = ACTIONS(321),
    [anon_sym_defer] = ACTIONS(323),
    [anon_sym_errdefer] = ACTIONS(325),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [34] = {
    [sym__variable_declaration_expression_statement] = STATE(771),
    [sym__variable_declaration_header] = STATE(1634),
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(692),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym_statement] = STATE(35),
    [sym_comptime_statement] = STATE(773),
    [sym_nosuspend_statement] = STATE(773),
    [sym_suspend_statement] = STATE(773),
    [sym_defer_statement] = STATE(773),
    [sym_errdefer_statement] = STATE(773),
    [sym_labeled_statement] = STATE(773),
    [sym_expression_statement] = STATE(773),
    [sym_if_statement] = STATE(773),
    [sym__if_prefix] = STATE(262),
    [sym_for_statement] = STATE(774),
    [sym__for_prefix] = STATE(248),
    [sym_while_statement] = STATE(774),
    [sym__while_prefix] = STATE(202),
    [sym_expression] = STATE(1361),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(694),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1520),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_block_repeat1] = STATE(35),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_RBRACE] = ACTIONS(337),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_suspend] = ACTIONS(321),
    [anon_sym_defer] = ACTIONS(323),
    [anon_sym_errdefer] = ACTIONS(325),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [35] = {
    [sym__variable_declaration_expression_statement] = STATE(771),
    [sym__variable_declaration_header] = STATE(1634),
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(692),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym_statement] = STATE(35),
    [sym_comptime_statement] = STATE(773),
    [sym_nosuspend_statement] = STATE(773),
    [sym_suspend_statement] = STATE(773),
    [sym_defer_statement] = STATE(773),
    [sym_errdefer_statement] = STATE(773),
    [sym_labeled_statement] = STATE(773),
    [sym_expression_statement] = STATE(773),
    [sym_if_statement] = STATE(773),
    [sym__if_prefix] = STATE(262),
    [sym_for_statement] = STATE(774),
    [sym__for_prefix] = STATE(248),
    [sym_while_statement] = STATE(774),
    [sym__while_prefix] = STATE(202),
    [sym_expression] = STATE(1361),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(694),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1520),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_block_repeat1] = STATE(35),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(339),
    [anon_sym_comptime] = ACTIONS(342),
    [anon_sym_extern] = ACTIONS(345),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_var] = ACTIONS(348),
    [anon_sym_inline] = ACTIONS(351),
    [anon_sym_fn] = ACTIONS(354),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_RBRACE] = ACTIONS(366),
    [anon_sym_packed] = ACTIONS(345),
    [anon_sym_struct] = ACTIONS(368),
    [anon_sym_opaque] = ACTIONS(371),
    [anon_sym_enum] = ACTIONS(374),
    [anon_sym_union] = ACTIONS(377),
    [anon_sym_error] = ACTIONS(380),
    [anon_sym_nosuspend] = ACTIONS(383),
    [anon_sym_suspend] = ACTIONS(386),
    [anon_sym_defer] = ACTIONS(389),
    [anon_sym_errdefer] = ACTIONS(392),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_for] = ACTIONS(398),
    [anon_sym_while] = ACTIONS(401),
    [anon_sym_STAR] = ACTIONS(404),
    [anon_sym_asm] = ACTIONS(407),
    [anon_sym_LBRACK] = ACTIONS(410),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_DASH] = ACTIONS(413),
    [anon_sym_DASH_PERCENT] = ACTIONS(357),
    [anon_sym_AMP] = ACTIONS(357),
    [anon_sym_async] = ACTIONS(416),
    [anon_sym_await] = ACTIONS(419),
    [anon_sym_continue] = ACTIONS(422),
    [anon_sym_resume] = ACTIONS(425),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_try] = ACTIONS(434),
    [anon_sym_switch] = ACTIONS(437),
    [anon_sym_anyframe] = ACTIONS(440),
    [anon_sym_unreachable] = ACTIONS(443),
    [anon_sym_undefined] = ACTIONS(446),
    [anon_sym_null] = ACTIONS(446),
    [anon_sym_QMARK] = ACTIONS(449),
    [anon_sym_DOT] = ACTIONS(452),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [aux_sym_multiline_string_token1] = ACTIONS(458),
    [anon_sym_SQUOTE] = ACTIONS(461),
    [sym_integer] = ACTIONS(443),
    [sym_float] = ACTIONS(464),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [anon_sym_bool] = ACTIONS(470),
    [anon_sym_f16] = ACTIONS(470),
    [anon_sym_f32] = ACTIONS(470),
    [anon_sym_f64] = ACTIONS(470),
    [anon_sym_f128] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_type] = ACTIONS(470),
    [anon_sym_anyerror] = ACTIONS(470),
    [anon_sym_anyopaque] = ACTIONS(470),
    [anon_sym_anytype] = ACTIONS(470),
    [anon_sym_noreturn] = ACTIONS(470),
    [anon_sym_isize] = ACTIONS(470),
    [anon_sym_usize] = ACTIONS(470),
    [anon_sym_comptime_int] = ACTIONS(470),
    [anon_sym_comptime_float] = ACTIONS(470),
    [anon_sym_c_short] = ACTIONS(470),
    [anon_sym_c_ushort] = ACTIONS(470),
    [anon_sym_c_int] = ACTIONS(470),
    [anon_sym_c_uint] = ACTIONS(470),
    [anon_sym_c_long] = ACTIONS(470),
    [anon_sym_c_ulong] = ACTIONS(470),
    [anon_sym_c_longlong] = ACTIONS(470),
    [anon_sym_c_ulonglong] = ACTIONS(470),
    [anon_sym_c_longdouble] = ACTIONS(470),
    [aux_sym_builtin_type_token1] = ACTIONS(470),
    [sym_builtin_identifier] = ACTIONS(473),
    [anon_sym_AT] = ACTIONS(476),
    [sym_comment] = ACTIONS(3),
  },
  [36] = {
    [sym_test_declaration] = STATE(36),
    [sym_comptime_declaration] = STATE(36),
    [sym_container_field] = STATE(1766),
    [sym_variable_declaration] = STATE(36),
    [sym__variable_declaration_header] = STATE(1756),
    [sym_function_declaration] = STATE(36),
    [sym__function_prototype] = STATE(977),
    [sym_using_namespace_declaration] = STATE(36),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(992),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1555),
    [sym_if_type_expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1014),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1015),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym__container_members_repeat1] = STATE(36),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [ts_builtin_sym_end] = ACTIONS(479),
    [sym__identifier] = ACTIONS(481),
    [anon_sym_pub] = ACTIONS(484),
    [anon_sym_test] = ACTIONS(487),
    [anon_sym_comptime] = ACTIONS(490),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_extern] = ACTIONS(496),
    [anon_sym_threadlocal] = ACTIONS(499),
    [anon_sym_const] = ACTIONS(502),
    [anon_sym_var] = ACTIONS(502),
    [anon_sym_inline] = ACTIONS(505),
    [anon_sym_noinline] = ACTIONS(508),
    [anon_sym_fn] = ACTIONS(511),
    [anon_sym_BANG] = ACTIONS(514),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_usingnamespace] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(523),
    [anon_sym_RBRACE] = ACTIONS(479),
    [anon_sym_packed] = ACTIONS(526),
    [anon_sym_struct] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(532),
    [anon_sym_enum] = ACTIONS(535),
    [anon_sym_union] = ACTIONS(538),
    [anon_sym_error] = ACTIONS(541),
    [anon_sym_nosuspend] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_for] = ACTIONS(550),
    [anon_sym_while] = ACTIONS(553),
    [anon_sym_STAR] = ACTIONS(556),
    [anon_sym_asm] = ACTIONS(559),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_TILDE] = ACTIONS(514),
    [anon_sym_DASH] = ACTIONS(565),
    [anon_sym_DASH_PERCENT] = ACTIONS(514),
    [anon_sym_AMP] = ACTIONS(514),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_await] = ACTIONS(571),
    [anon_sym_continue] = ACTIONS(574),
    [anon_sym_resume] = ACTIONS(577),
    [anon_sym_return] = ACTIONS(580),
    [anon_sym_break] = ACTIONS(583),
    [anon_sym_try] = ACTIONS(586),
    [anon_sym_switch] = ACTIONS(589),
    [anon_sym_anyframe] = ACTIONS(592),
    [anon_sym_unreachable] = ACTIONS(595),
    [anon_sym_undefined] = ACTIONS(598),
    [anon_sym_null] = ACTIONS(598),
    [anon_sym_QMARK] = ACTIONS(601),
    [anon_sym_DOT] = ACTIONS(604),
    [anon_sym_DQUOTE] = ACTIONS(607),
    [aux_sym_multiline_string_token1] = ACTIONS(610),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [sym_integer] = ACTIONS(595),
    [sym_float] = ACTIONS(616),
    [anon_sym_true] = ACTIONS(619),
    [anon_sym_false] = ACTIONS(619),
    [anon_sym_bool] = ACTIONS(622),
    [anon_sym_f16] = ACTIONS(622),
    [anon_sym_f32] = ACTIONS(622),
    [anon_sym_f64] = ACTIONS(622),
    [anon_sym_f128] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(622),
    [anon_sym_type] = ACTIONS(622),
    [anon_sym_anyerror] = ACTIONS(622),
    [anon_sym_anyopaque] = ACTIONS(622),
    [anon_sym_anytype] = ACTIONS(622),
    [anon_sym_noreturn] = ACTIONS(622),
    [anon_sym_isize] = ACTIONS(622),
    [anon_sym_usize] = ACTIONS(622),
    [anon_sym_comptime_int] = ACTIONS(622),
    [anon_sym_comptime_float] = ACTIONS(622),
    [anon_sym_c_short] = ACTIONS(622),
    [anon_sym_c_ushort] = ACTIONS(622),
    [anon_sym_c_int] = ACTIONS(622),
    [anon_sym_c_uint] = ACTIONS(622),
    [anon_sym_c_long] = ACTIONS(622),
    [anon_sym_c_ulong] = ACTIONS(622),
    [anon_sym_c_longlong] = ACTIONS(622),
    [anon_sym_c_ulonglong] = ACTIONS(622),
    [anon_sym_c_longdouble] = ACTIONS(622),
    [aux_sym_builtin_type_token1] = ACTIONS(622),
    [sym_builtin_identifier] = ACTIONS(625),
    [anon_sym_AT] = ACTIONS(628),
    [sym_comment] = ACTIONS(3),
  },
  [37] = {
    [sym__variable_declaration_expression_statement] = STATE(771),
    [sym__variable_declaration_header] = STATE(1634),
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(692),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym_statement] = STATE(777),
    [sym_comptime_statement] = STATE(773),
    [sym_nosuspend_statement] = STATE(773),
    [sym_suspend_statement] = STATE(773),
    [sym_defer_statement] = STATE(773),
    [sym_errdefer_statement] = STATE(773),
    [sym_labeled_statement] = STATE(773),
    [sym_expression_statement] = STATE(773),
    [sym_if_statement] = STATE(773),
    [sym__if_prefix] = STATE(262),
    [sym_for_statement] = STATE(774),
    [sym__for_prefix] = STATE(248),
    [sym_while_statement] = STATE(774),
    [sym__while_prefix] = STATE(202),
    [sym_payload] = STATE(78),
    [sym_expression] = STATE(1361),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(694),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1520),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_suspend] = ACTIONS(321),
    [anon_sym_defer] = ACTIONS(323),
    [anon_sym_errdefer] = ACTIONS(325),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [38] = {
    [sym__variable_declaration_expression_statement] = STATE(771),
    [sym__variable_declaration_header] = STATE(1634),
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(692),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym_statement] = STATE(777),
    [sym_comptime_statement] = STATE(773),
    [sym_nosuspend_statement] = STATE(773),
    [sym_suspend_statement] = STATE(773),
    [sym_defer_statement] = STATE(773),
    [sym_errdefer_statement] = STATE(773),
    [sym_labeled_statement] = STATE(773),
    [sym_expression_statement] = STATE(773),
    [sym_if_statement] = STATE(773),
    [sym__if_prefix] = STATE(262),
    [sym_for_statement] = STATE(774),
    [sym__for_prefix] = STATE(248),
    [sym_while_statement] = STATE(774),
    [sym__while_prefix] = STATE(202),
    [sym_payload] = STATE(79),
    [sym_expression] = STATE(1384),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(694),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1520),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_suspend] = ACTIONS(321),
    [anon_sym_defer] = ACTIONS(323),
    [anon_sym_errdefer] = ACTIONS(325),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [39] = {
    [sym__variable_declaration_expression_statement] = STATE(771),
    [sym__variable_declaration_header] = STATE(1634),
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(692),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym_statement] = STATE(40),
    [sym_comptime_statement] = STATE(773),
    [sym_nosuspend_statement] = STATE(773),
    [sym_suspend_statement] = STATE(773),
    [sym_defer_statement] = STATE(773),
    [sym_errdefer_statement] = STATE(773),
    [sym_labeled_statement] = STATE(773),
    [sym_expression_statement] = STATE(773),
    [sym_if_statement] = STATE(773),
    [sym__if_prefix] = STATE(262),
    [sym_for_statement] = STATE(774),
    [sym__for_prefix] = STATE(248),
    [sym_while_statement] = STATE(774),
    [sym__while_prefix] = STATE(202),
    [sym_expression] = STATE(1361),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(694),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1520),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_block_repeat1] = STATE(40),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_suspend] = ACTIONS(321),
    [anon_sym_defer] = ACTIONS(323),
    [anon_sym_errdefer] = ACTIONS(325),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [40] = {
    [sym__variable_declaration_expression_statement] = STATE(771),
    [sym__variable_declaration_header] = STATE(1634),
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(692),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym_statement] = STATE(35),
    [sym_comptime_statement] = STATE(773),
    [sym_nosuspend_statement] = STATE(773),
    [sym_suspend_statement] = STATE(773),
    [sym_defer_statement] = STATE(773),
    [sym_errdefer_statement] = STATE(773),
    [sym_labeled_statement] = STATE(773),
    [sym_expression_statement] = STATE(773),
    [sym_if_statement] = STATE(773),
    [sym__if_prefix] = STATE(262),
    [sym_for_statement] = STATE(774),
    [sym__for_prefix] = STATE(248),
    [sym_while_statement] = STATE(774),
    [sym__while_prefix] = STATE(202),
    [sym_expression] = STATE(1361),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(694),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1520),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_block_repeat1] = STATE(35),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_RBRACE] = ACTIONS(633),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_suspend] = ACTIONS(321),
    [anon_sym_defer] = ACTIONS(323),
    [anon_sym_errdefer] = ACTIONS(325),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [41] = {
    [sym__variable_declaration_expression_statement] = STATE(771),
    [sym__variable_declaration_header] = STATE(1634),
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(692),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym_statement] = STATE(777),
    [sym_comptime_statement] = STATE(773),
    [sym_nosuspend_statement] = STATE(773),
    [sym_suspend_statement] = STATE(773),
    [sym_defer_statement] = STATE(773),
    [sym_errdefer_statement] = STATE(773),
    [sym_labeled_statement] = STATE(773),
    [sym_expression_statement] = STATE(773),
    [sym_if_statement] = STATE(773),
    [sym__if_prefix] = STATE(262),
    [sym_for_statement] = STATE(774),
    [sym__for_prefix] = STATE(248),
    [sym_while_statement] = STATE(774),
    [sym__while_prefix] = STATE(202),
    [sym_payload] = STATE(78),
    [sym_expression] = STATE(1385),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(694),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1520),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_suspend] = ACTIONS(321),
    [anon_sym_defer] = ACTIONS(323),
    [anon_sym_errdefer] = ACTIONS(325),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [42] = {
    [sym__variable_declaration_expression_statement] = STATE(771),
    [sym__variable_declaration_header] = STATE(1634),
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(692),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym_statement] = STATE(777),
    [sym_comptime_statement] = STATE(773),
    [sym_nosuspend_statement] = STATE(773),
    [sym_suspend_statement] = STATE(773),
    [sym_defer_statement] = STATE(773),
    [sym_errdefer_statement] = STATE(773),
    [sym_labeled_statement] = STATE(773),
    [sym_expression_statement] = STATE(773),
    [sym_if_statement] = STATE(773),
    [sym__if_prefix] = STATE(262),
    [sym_for_statement] = STATE(774),
    [sym__for_prefix] = STATE(248),
    [sym_while_statement] = STATE(774),
    [sym__while_prefix] = STATE(202),
    [sym_payload] = STATE(80),
    [sym_expression] = STATE(1388),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(694),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1520),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_suspend] = ACTIONS(321),
    [anon_sym_defer] = ACTIONS(323),
    [anon_sym_errdefer] = ACTIONS(325),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [43] = {
    [sym__container_members] = STATE(1815),
    [sym_test_declaration] = STATE(29),
    [sym_comptime_declaration] = STATE(29),
    [sym_container_field] = STATE(1618),
    [sym_variable_declaration] = STATE(29),
    [sym__variable_declaration_header] = STATE(1756),
    [sym_function_declaration] = STATE(29),
    [sym__function_prototype] = STATE(977),
    [sym_using_namespace_declaration] = STATE(29),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(992),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1555),
    [sym_if_type_expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1014),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1015),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym__container_members_repeat1] = STATE(29),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_usingnamespace] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [44] = {
    [sym__container_members] = STATE(1796),
    [sym_test_declaration] = STATE(29),
    [sym_comptime_declaration] = STATE(29),
    [sym_container_field] = STATE(1618),
    [sym_variable_declaration] = STATE(29),
    [sym__variable_declaration_header] = STATE(1756),
    [sym_function_declaration] = STATE(29),
    [sym__function_prototype] = STATE(977),
    [sym_using_namespace_declaration] = STATE(29),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(992),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1555),
    [sym_if_type_expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1014),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1015),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym__container_members_repeat1] = STATE(29),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_usingnamespace] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [45] = {
    [sym__container_members] = STATE(1789),
    [sym_test_declaration] = STATE(29),
    [sym_comptime_declaration] = STATE(29),
    [sym_container_field] = STATE(1618),
    [sym_variable_declaration] = STATE(29),
    [sym__variable_declaration_header] = STATE(1756),
    [sym_function_declaration] = STATE(29),
    [sym__function_prototype] = STATE(977),
    [sym_using_namespace_declaration] = STATE(29),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(992),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1555),
    [sym_if_type_expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1014),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1015),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym__container_members_repeat1] = STATE(29),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_usingnamespace] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [46] = {
    [sym__container_members] = STATE(1773),
    [sym_test_declaration] = STATE(29),
    [sym_comptime_declaration] = STATE(29),
    [sym_container_field] = STATE(1618),
    [sym_variable_declaration] = STATE(29),
    [sym__variable_declaration_header] = STATE(1756),
    [sym_function_declaration] = STATE(29),
    [sym__function_prototype] = STATE(977),
    [sym_using_namespace_declaration] = STATE(29),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(992),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1555),
    [sym_if_type_expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1014),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1015),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym__container_members_repeat1] = STATE(29),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_usingnamespace] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [47] = {
    [sym__container_members] = STATE(1783),
    [sym_test_declaration] = STATE(29),
    [sym_comptime_declaration] = STATE(29),
    [sym_container_field] = STATE(1618),
    [sym_variable_declaration] = STATE(29),
    [sym__variable_declaration_header] = STATE(1756),
    [sym_function_declaration] = STATE(29),
    [sym__function_prototype] = STATE(977),
    [sym_using_namespace_declaration] = STATE(29),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(992),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1555),
    [sym_if_type_expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1014),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1015),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym__container_members_repeat1] = STATE(29),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_usingnamespace] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [48] = {
    [sym__container_members] = STATE(1797),
    [sym_test_declaration] = STATE(29),
    [sym_comptime_declaration] = STATE(29),
    [sym_container_field] = STATE(1618),
    [sym_variable_declaration] = STATE(29),
    [sym__variable_declaration_header] = STATE(1756),
    [sym_function_declaration] = STATE(29),
    [sym__function_prototype] = STATE(977),
    [sym_using_namespace_declaration] = STATE(29),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(992),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1555),
    [sym_if_type_expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1014),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1015),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym__container_members_repeat1] = STATE(29),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_usingnamespace] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [49] = {
    [sym__container_members] = STATE(1842),
    [sym_test_declaration] = STATE(29),
    [sym_comptime_declaration] = STATE(29),
    [sym_container_field] = STATE(1618),
    [sym_variable_declaration] = STATE(29),
    [sym__variable_declaration_header] = STATE(1756),
    [sym_function_declaration] = STATE(29),
    [sym__function_prototype] = STATE(977),
    [sym_using_namespace_declaration] = STATE(29),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(992),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1555),
    [sym_if_type_expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1014),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1015),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym__container_members_repeat1] = STATE(29),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_usingnamespace] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [50] = {
    [sym__container_members] = STATE(1769),
    [sym_test_declaration] = STATE(29),
    [sym_comptime_declaration] = STATE(29),
    [sym_container_field] = STATE(1618),
    [sym_variable_declaration] = STATE(29),
    [sym__variable_declaration_header] = STATE(1756),
    [sym_function_declaration] = STATE(29),
    [sym__function_prototype] = STATE(977),
    [sym_using_namespace_declaration] = STATE(29),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(992),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1555),
    [sym_if_type_expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1014),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1015),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym__container_members_repeat1] = STATE(29),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_usingnamespace] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [51] = {
    [sym__container_members] = STATE(1837),
    [sym_test_declaration] = STATE(29),
    [sym_comptime_declaration] = STATE(29),
    [sym_container_field] = STATE(1618),
    [sym_variable_declaration] = STATE(29),
    [sym__variable_declaration_header] = STATE(1756),
    [sym_function_declaration] = STATE(29),
    [sym__function_prototype] = STATE(977),
    [sym_using_namespace_declaration] = STATE(29),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(992),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1555),
    [sym_if_type_expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1014),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1015),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym__container_members_repeat1] = STATE(29),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_usingnamespace] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [52] = {
    [sym__container_members] = STATE(1809),
    [sym_test_declaration] = STATE(29),
    [sym_comptime_declaration] = STATE(29),
    [sym_container_field] = STATE(1618),
    [sym_variable_declaration] = STATE(29),
    [sym__variable_declaration_header] = STATE(1756),
    [sym_function_declaration] = STATE(29),
    [sym__function_prototype] = STATE(977),
    [sym_using_namespace_declaration] = STATE(29),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(992),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1555),
    [sym_if_type_expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1014),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1015),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym__container_members_repeat1] = STATE(29),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_usingnamespace] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [53] = {
    [sym__container_members] = STATE(1762),
    [sym_test_declaration] = STATE(29),
    [sym_comptime_declaration] = STATE(29),
    [sym_container_field] = STATE(1618),
    [sym_variable_declaration] = STATE(29),
    [sym__variable_declaration_header] = STATE(1756),
    [sym_function_declaration] = STATE(29),
    [sym__function_prototype] = STATE(977),
    [sym_using_namespace_declaration] = STATE(29),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(992),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1555),
    [sym_if_type_expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1014),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1015),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym__container_members_repeat1] = STATE(29),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_usingnamespace] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [54] = {
    [sym__container_members] = STATE(1829),
    [sym_test_declaration] = STATE(29),
    [sym_comptime_declaration] = STATE(29),
    [sym_container_field] = STATE(1618),
    [sym_variable_declaration] = STATE(29),
    [sym__variable_declaration_header] = STATE(1756),
    [sym_function_declaration] = STATE(29),
    [sym__function_prototype] = STATE(977),
    [sym_using_namespace_declaration] = STATE(29),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(992),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1555),
    [sym_if_type_expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1014),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1015),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym__container_members_repeat1] = STATE(29),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_usingnamespace] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [55] = {
    [sym__container_members] = STATE(1771),
    [sym_test_declaration] = STATE(29),
    [sym_comptime_declaration] = STATE(29),
    [sym_container_field] = STATE(1618),
    [sym_variable_declaration] = STATE(29),
    [sym__variable_declaration_header] = STATE(1756),
    [sym_function_declaration] = STATE(29),
    [sym__function_prototype] = STATE(977),
    [sym_using_namespace_declaration] = STATE(29),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(992),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1555),
    [sym_if_type_expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1014),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1015),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym__container_members_repeat1] = STATE(29),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_usingnamespace] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [56] = {
    [sym__container_members] = STATE(1794),
    [sym_test_declaration] = STATE(29),
    [sym_comptime_declaration] = STATE(29),
    [sym_container_field] = STATE(1618),
    [sym_variable_declaration] = STATE(29),
    [sym__variable_declaration_header] = STATE(1756),
    [sym_function_declaration] = STATE(29),
    [sym__function_prototype] = STATE(977),
    [sym_using_namespace_declaration] = STATE(29),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(992),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1555),
    [sym_if_type_expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1014),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1015),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym__container_members_repeat1] = STATE(29),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_usingnamespace] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [57] = {
    [sym__container_members] = STATE(1835),
    [sym_test_declaration] = STATE(29),
    [sym_comptime_declaration] = STATE(29),
    [sym_container_field] = STATE(1618),
    [sym_variable_declaration] = STATE(29),
    [sym__variable_declaration_header] = STATE(1756),
    [sym_function_declaration] = STATE(29),
    [sym__function_prototype] = STATE(977),
    [sym_using_namespace_declaration] = STATE(29),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(992),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1555),
    [sym_if_type_expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1014),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1015),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym__container_members_repeat1] = STATE(29),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_usingnamespace] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [58] = {
    [sym__container_members] = STATE(1831),
    [sym_test_declaration] = STATE(29),
    [sym_comptime_declaration] = STATE(29),
    [sym_container_field] = STATE(1618),
    [sym_variable_declaration] = STATE(29),
    [sym__variable_declaration_header] = STATE(1756),
    [sym_function_declaration] = STATE(29),
    [sym__function_prototype] = STATE(977),
    [sym_using_namespace_declaration] = STATE(29),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(992),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1555),
    [sym_if_type_expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1014),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1015),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym__container_members_repeat1] = STATE(29),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_usingnamespace] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [59] = {
    [sym__container_members] = STATE(1836),
    [sym_test_declaration] = STATE(29),
    [sym_comptime_declaration] = STATE(29),
    [sym_container_field] = STATE(1618),
    [sym_variable_declaration] = STATE(29),
    [sym__variable_declaration_header] = STATE(1756),
    [sym_function_declaration] = STATE(29),
    [sym__function_prototype] = STATE(977),
    [sym_using_namespace_declaration] = STATE(29),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(992),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1555),
    [sym_if_type_expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1014),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1015),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym__container_members_repeat1] = STATE(29),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_usingnamespace] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [60] = {
    [sym__container_members] = STATE(1839),
    [sym_test_declaration] = STATE(29),
    [sym_comptime_declaration] = STATE(29),
    [sym_container_field] = STATE(1618),
    [sym_variable_declaration] = STATE(29),
    [sym__variable_declaration_header] = STATE(1756),
    [sym_function_declaration] = STATE(29),
    [sym__function_prototype] = STATE(977),
    [sym_using_namespace_declaration] = STATE(29),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(992),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1555),
    [sym_if_type_expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1014),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1015),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym__container_members_repeat1] = STATE(29),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_usingnamespace] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [61] = {
    [sym__container_members] = STATE(1847),
    [sym_test_declaration] = STATE(29),
    [sym_comptime_declaration] = STATE(29),
    [sym_container_field] = STATE(1618),
    [sym_variable_declaration] = STATE(29),
    [sym__variable_declaration_header] = STATE(1756),
    [sym_function_declaration] = STATE(29),
    [sym__function_prototype] = STATE(977),
    [sym_using_namespace_declaration] = STATE(29),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(992),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1555),
    [sym_if_type_expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1014),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1015),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym__container_members_repeat1] = STATE(29),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_usingnamespace] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [62] = {
    [sym__container_members] = STATE(1791),
    [sym_test_declaration] = STATE(29),
    [sym_comptime_declaration] = STATE(29),
    [sym_container_field] = STATE(1618),
    [sym_variable_declaration] = STATE(29),
    [sym__variable_declaration_header] = STATE(1756),
    [sym_function_declaration] = STATE(29),
    [sym__function_prototype] = STATE(977),
    [sym_using_namespace_declaration] = STATE(29),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(992),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1555),
    [sym_if_type_expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1014),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1015),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym__container_members_repeat1] = STATE(29),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_usingnamespace] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [63] = {
    [sym__container_members] = STATE(1798),
    [sym_test_declaration] = STATE(29),
    [sym_comptime_declaration] = STATE(29),
    [sym_container_field] = STATE(1618),
    [sym_variable_declaration] = STATE(29),
    [sym__variable_declaration_header] = STATE(1756),
    [sym_function_declaration] = STATE(29),
    [sym__function_prototype] = STATE(977),
    [sym_using_namespace_declaration] = STATE(29),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(992),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1555),
    [sym_if_type_expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1014),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1015),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym__container_members_repeat1] = STATE(29),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_usingnamespace] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [64] = {
    [sym__container_members] = STATE(1810),
    [sym_test_declaration] = STATE(29),
    [sym_comptime_declaration] = STATE(29),
    [sym_container_field] = STATE(1618),
    [sym_variable_declaration] = STATE(29),
    [sym__variable_declaration_header] = STATE(1756),
    [sym_function_declaration] = STATE(29),
    [sym__function_prototype] = STATE(977),
    [sym_using_namespace_declaration] = STATE(29),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(992),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1555),
    [sym_if_type_expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1014),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1015),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym__container_members_repeat1] = STATE(29),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_usingnamespace] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [65] = {
    [sym__container_members] = STATE(1812),
    [sym_test_declaration] = STATE(29),
    [sym_comptime_declaration] = STATE(29),
    [sym_container_field] = STATE(1618),
    [sym_variable_declaration] = STATE(29),
    [sym__variable_declaration_header] = STATE(1756),
    [sym_function_declaration] = STATE(29),
    [sym__function_prototype] = STATE(977),
    [sym_using_namespace_declaration] = STATE(29),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(992),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1555),
    [sym_if_type_expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1014),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1015),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym__container_members_repeat1] = STATE(29),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_usingnamespace] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [66] = {
    [sym__container_members] = STATE(1805),
    [sym_test_declaration] = STATE(29),
    [sym_comptime_declaration] = STATE(29),
    [sym_container_field] = STATE(1618),
    [sym_variable_declaration] = STATE(29),
    [sym__variable_declaration_header] = STATE(1756),
    [sym_function_declaration] = STATE(29),
    [sym__function_prototype] = STATE(977),
    [sym_using_namespace_declaration] = STATE(29),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(992),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1555),
    [sym_if_type_expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1014),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1015),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym__container_members_repeat1] = STATE(29),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_usingnamespace] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [67] = {
    [sym__container_members] = STATE(1772),
    [sym_test_declaration] = STATE(29),
    [sym_comptime_declaration] = STATE(29),
    [sym_container_field] = STATE(1618),
    [sym_variable_declaration] = STATE(29),
    [sym__variable_declaration_header] = STATE(1756),
    [sym_function_declaration] = STATE(29),
    [sym__function_prototype] = STATE(977),
    [sym_using_namespace_declaration] = STATE(29),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(992),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1555),
    [sym_if_type_expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1014),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1015),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym__container_members_repeat1] = STATE(29),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_usingnamespace] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [68] = {
    [sym__container_members] = STATE(1759),
    [sym_test_declaration] = STATE(29),
    [sym_comptime_declaration] = STATE(29),
    [sym_container_field] = STATE(1618),
    [sym_variable_declaration] = STATE(29),
    [sym__variable_declaration_header] = STATE(1756),
    [sym_function_declaration] = STATE(29),
    [sym__function_prototype] = STATE(977),
    [sym_using_namespace_declaration] = STATE(29),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(992),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1555),
    [sym_if_type_expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1014),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1015),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym__container_members_repeat1] = STATE(29),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_usingnamespace] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [69] = {
    [sym__container_members] = STATE(1777),
    [sym_test_declaration] = STATE(29),
    [sym_comptime_declaration] = STATE(29),
    [sym_container_field] = STATE(1618),
    [sym_variable_declaration] = STATE(29),
    [sym__variable_declaration_header] = STATE(1756),
    [sym_function_declaration] = STATE(29),
    [sym__function_prototype] = STATE(977),
    [sym_using_namespace_declaration] = STATE(29),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(992),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1555),
    [sym_if_type_expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1014),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1015),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym__container_members_repeat1] = STATE(29),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_usingnamespace] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [70] = {
    [sym__container_members] = STATE(1808),
    [sym_test_declaration] = STATE(29),
    [sym_comptime_declaration] = STATE(29),
    [sym_container_field] = STATE(1618),
    [sym_variable_declaration] = STATE(29),
    [sym__variable_declaration_header] = STATE(1756),
    [sym_function_declaration] = STATE(29),
    [sym__function_prototype] = STATE(977),
    [sym_using_namespace_declaration] = STATE(29),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(992),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1555),
    [sym_if_type_expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1014),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1015),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym__container_members_repeat1] = STATE(29),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_usingnamespace] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [71] = {
    [sym__container_members] = STATE(1851),
    [sym_test_declaration] = STATE(29),
    [sym_comptime_declaration] = STATE(29),
    [sym_container_field] = STATE(1618),
    [sym_variable_declaration] = STATE(29),
    [sym__variable_declaration_header] = STATE(1756),
    [sym_function_declaration] = STATE(29),
    [sym__function_prototype] = STATE(977),
    [sym_using_namespace_declaration] = STATE(29),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(992),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1555),
    [sym_if_type_expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1014),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1015),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym__container_members_repeat1] = STATE(29),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_usingnamespace] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [72] = {
    [sym__container_members] = STATE(1799),
    [sym_test_declaration] = STATE(29),
    [sym_comptime_declaration] = STATE(29),
    [sym_container_field] = STATE(1618),
    [sym_variable_declaration] = STATE(29),
    [sym__variable_declaration_header] = STATE(1756),
    [sym_function_declaration] = STATE(29),
    [sym__function_prototype] = STATE(977),
    [sym_using_namespace_declaration] = STATE(29),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(992),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1555),
    [sym_if_type_expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1014),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1015),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym__container_members_repeat1] = STATE(29),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_usingnamespace] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [73] = {
    [sym__container_members] = STATE(1800),
    [sym_test_declaration] = STATE(29),
    [sym_comptime_declaration] = STATE(29),
    [sym_container_field] = STATE(1618),
    [sym_variable_declaration] = STATE(29),
    [sym__variable_declaration_header] = STATE(1756),
    [sym_function_declaration] = STATE(29),
    [sym__function_prototype] = STATE(977),
    [sym_using_namespace_declaration] = STATE(29),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(992),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1555),
    [sym_if_type_expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1014),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1015),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym__container_members_repeat1] = STATE(29),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_usingnamespace] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [74] = {
    [sym__container_members] = STATE(1780),
    [sym_test_declaration] = STATE(29),
    [sym_comptime_declaration] = STATE(29),
    [sym_container_field] = STATE(1618),
    [sym_variable_declaration] = STATE(29),
    [sym__variable_declaration_header] = STATE(1756),
    [sym_function_declaration] = STATE(29),
    [sym__function_prototype] = STATE(977),
    [sym_using_namespace_declaration] = STATE(29),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(992),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1555),
    [sym_if_type_expression] = STATE(1555),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1014),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1015),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym__container_members_repeat1] = STATE(29),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_usingnamespace] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [75] = {
    [sym__variable_declaration_expression_statement] = STATE(771),
    [sym__variable_declaration_header] = STATE(1634),
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(692),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym_statement] = STATE(782),
    [sym_comptime_statement] = STATE(773),
    [sym_nosuspend_statement] = STATE(773),
    [sym_suspend_statement] = STATE(773),
    [sym_defer_statement] = STATE(773),
    [sym_errdefer_statement] = STATE(773),
    [sym_labeled_statement] = STATE(773),
    [sym_expression_statement] = STATE(773),
    [sym_if_statement] = STATE(773),
    [sym__if_prefix] = STATE(262),
    [sym_for_statement] = STATE(774),
    [sym__for_prefix] = STATE(248),
    [sym_while_statement] = STATE(774),
    [sym__while_prefix] = STATE(202),
    [sym_expression] = STATE(1360),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(694),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1520),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_suspend] = ACTIONS(321),
    [anon_sym_defer] = ACTIONS(323),
    [anon_sym_errdefer] = ACTIONS(325),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [76] = {
    [sym__variable_declaration_expression_statement] = STATE(771),
    [sym__variable_declaration_header] = STATE(1634),
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(692),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym_statement] = STATE(782),
    [sym_comptime_statement] = STATE(773),
    [sym_nosuspend_statement] = STATE(773),
    [sym_suspend_statement] = STATE(773),
    [sym_defer_statement] = STATE(773),
    [sym_errdefer_statement] = STATE(773),
    [sym_labeled_statement] = STATE(773),
    [sym_expression_statement] = STATE(773),
    [sym_if_statement] = STATE(773),
    [sym__if_prefix] = STATE(262),
    [sym_for_statement] = STATE(774),
    [sym__for_prefix] = STATE(248),
    [sym_while_statement] = STATE(774),
    [sym__while_prefix] = STATE(202),
    [sym_expression] = STATE(1408),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(694),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1520),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_suspend] = ACTIONS(321),
    [anon_sym_defer] = ACTIONS(323),
    [anon_sym_errdefer] = ACTIONS(325),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [77] = {
    [sym__variable_declaration_expression_statement] = STATE(771),
    [sym__variable_declaration_header] = STATE(1634),
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(692),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym_statement] = STATE(782),
    [sym_comptime_statement] = STATE(773),
    [sym_nosuspend_statement] = STATE(773),
    [sym_suspend_statement] = STATE(773),
    [sym_defer_statement] = STATE(773),
    [sym_errdefer_statement] = STATE(773),
    [sym_labeled_statement] = STATE(773),
    [sym_expression_statement] = STATE(773),
    [sym_if_statement] = STATE(773),
    [sym__if_prefix] = STATE(262),
    [sym_for_statement] = STATE(774),
    [sym__for_prefix] = STATE(248),
    [sym_while_statement] = STATE(774),
    [sym__while_prefix] = STATE(202),
    [sym_expression] = STATE(1373),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(694),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1520),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_suspend] = ACTIONS(321),
    [anon_sym_defer] = ACTIONS(323),
    [anon_sym_errdefer] = ACTIONS(325),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [78] = {
    [sym__variable_declaration_expression_statement] = STATE(771),
    [sym__variable_declaration_header] = STATE(1634),
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(692),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym_statement] = STATE(782),
    [sym_comptime_statement] = STATE(773),
    [sym_nosuspend_statement] = STATE(773),
    [sym_suspend_statement] = STATE(773),
    [sym_defer_statement] = STATE(773),
    [sym_errdefer_statement] = STATE(773),
    [sym_labeled_statement] = STATE(773),
    [sym_expression_statement] = STATE(773),
    [sym_if_statement] = STATE(773),
    [sym__if_prefix] = STATE(262),
    [sym_for_statement] = STATE(774),
    [sym__for_prefix] = STATE(248),
    [sym_while_statement] = STATE(774),
    [sym__while_prefix] = STATE(202),
    [sym_expression] = STATE(1361),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(694),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1520),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_suspend] = ACTIONS(321),
    [anon_sym_defer] = ACTIONS(323),
    [anon_sym_errdefer] = ACTIONS(325),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [79] = {
    [sym__variable_declaration_expression_statement] = STATE(771),
    [sym__variable_declaration_header] = STATE(1634),
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(692),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym_statement] = STATE(782),
    [sym_comptime_statement] = STATE(773),
    [sym_nosuspend_statement] = STATE(773),
    [sym_suspend_statement] = STATE(773),
    [sym_defer_statement] = STATE(773),
    [sym_errdefer_statement] = STATE(773),
    [sym_labeled_statement] = STATE(773),
    [sym_expression_statement] = STATE(773),
    [sym_if_statement] = STATE(773),
    [sym__if_prefix] = STATE(262),
    [sym_for_statement] = STATE(774),
    [sym__for_prefix] = STATE(248),
    [sym_while_statement] = STATE(774),
    [sym__while_prefix] = STATE(202),
    [sym_expression] = STATE(1390),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(694),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1520),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_suspend] = ACTIONS(321),
    [anon_sym_defer] = ACTIONS(323),
    [anon_sym_errdefer] = ACTIONS(325),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [80] = {
    [sym__variable_declaration_expression_statement] = STATE(771),
    [sym__variable_declaration_header] = STATE(1634),
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(692),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym_statement] = STATE(782),
    [sym_comptime_statement] = STATE(773),
    [sym_nosuspend_statement] = STATE(773),
    [sym_suspend_statement] = STATE(773),
    [sym_defer_statement] = STATE(773),
    [sym_errdefer_statement] = STATE(773),
    [sym_labeled_statement] = STATE(773),
    [sym_expression_statement] = STATE(773),
    [sym_if_statement] = STATE(773),
    [sym__if_prefix] = STATE(262),
    [sym_for_statement] = STATE(774),
    [sym__for_prefix] = STATE(248),
    [sym_while_statement] = STATE(774),
    [sym__while_prefix] = STATE(202),
    [sym_expression] = STATE(1393),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(694),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1520),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_suspend] = ACTIONS(321),
    [anon_sym_defer] = ACTIONS(323),
    [anon_sym_errdefer] = ACTIONS(325),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [81] = {
    [ts_builtin_sym_end] = ACTIONS(635),
    [sym__identifier] = ACTIONS(637),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_pub] = ACTIONS(637),
    [anon_sym_test] = ACTIONS(637),
    [anon_sym_comptime] = ACTIONS(637),
    [anon_sym_COLON] = ACTIONS(635),
    [anon_sym_EQ] = ACTIONS(637),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_extern] = ACTIONS(637),
    [anon_sym_threadlocal] = ACTIONS(637),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_STAR_EQ] = ACTIONS(635),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(635),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(635),
    [anon_sym_SLASH_EQ] = ACTIONS(635),
    [anon_sym_PERCENT_EQ] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(635),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(635),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(635),
    [anon_sym_DASH_EQ] = ACTIONS(635),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(635),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(635),
    [anon_sym_LT_LT_EQ] = ACTIONS(635),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(635),
    [anon_sym_GT_GT_EQ] = ACTIONS(635),
    [anon_sym_AMP_EQ] = ACTIONS(635),
    [anon_sym_CARET_EQ] = ACTIONS(635),
    [anon_sym_PIPE_EQ] = ACTIONS(635),
    [anon_sym_const] = ACTIONS(637),
    [anon_sym_var] = ACTIONS(637),
    [anon_sym_inline] = ACTIONS(637),
    [anon_sym_noinline] = ACTIONS(637),
    [anon_sym_fn] = ACTIONS(637),
    [anon_sym_BANG] = ACTIONS(637),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(635),
    [anon_sym_usingnamespace] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(635),
    [anon_sym_packed] = ACTIONS(637),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_opaque] = ACTIONS(637),
    [anon_sym_enum] = ACTIONS(637),
    [anon_sym_union] = ACTIONS(637),
    [anon_sym_error] = ACTIONS(637),
    [anon_sym_nosuspend] = ACTIONS(637),
    [anon_sym_suspend] = ACTIONS(637),
    [anon_sym_defer] = ACTIONS(637),
    [anon_sym_errdefer] = ACTIONS(637),
    [anon_sym_if] = ACTIONS(637),
    [anon_sym_else] = ACTIONS(637),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_DOT_DOT] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(637),
    [anon_sym_PIPE] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_align] = ACTIONS(637),
    [anon_sym_addrspace] = ACTIONS(637),
    [anon_sym_linksection] = ACTIONS(637),
    [anon_sym_asm] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(635),
    [anon_sym_TILDE] = ACTIONS(635),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_DASH_PERCENT] = ACTIONS(637),
    [anon_sym_AMP] = ACTIONS(637),
    [anon_sym_or] = ACTIONS(637),
    [anon_sym_and] = ACTIONS(637),
    [anon_sym_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(635),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_orelse] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(637),
    [anon_sym_GT_GT] = ACTIONS(637),
    [anon_sym_LT_LT_PIPE] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_PLUS_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PIPE] = ACTIONS(637),
    [anon_sym_DASH_PIPE] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_STAR_STAR] = ACTIONS(635),
    [anon_sym_STAR_PERCENT] = ACTIONS(637),
    [anon_sym_STAR_PIPE] = ACTIONS(637),
    [anon_sym_PIPE_PIPE] = ACTIONS(635),
    [anon_sym_async] = ACTIONS(637),
    [anon_sym_await] = ACTIONS(637),
    [anon_sym_continue] = ACTIONS(637),
    [anon_sym_resume] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(637),
    [anon_sym_break] = ACTIONS(637),
    [anon_sym_try] = ACTIONS(637),
    [anon_sym_catch] = ACTIONS(637),
    [anon_sym_switch] = ACTIONS(637),
    [anon_sym_EQ_GT] = ACTIONS(635),
    [anon_sym_anyframe] = ACTIONS(637),
    [anon_sym_unreachable] = ACTIONS(637),
    [anon_sym_undefined] = ACTIONS(637),
    [anon_sym_null] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(635),
    [anon_sym_DOT] = ACTIONS(637),
    [anon_sym_DOT_STAR] = ACTIONS(635),
    [anon_sym_DOT_QMARK] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [aux_sym_multiline_string_token1] = ACTIONS(635),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [sym_integer] = ACTIONS(637),
    [sym_float] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_bool] = ACTIONS(637),
    [anon_sym_f16] = ACTIONS(637),
    [anon_sym_f32] = ACTIONS(637),
    [anon_sym_f64] = ACTIONS(637),
    [anon_sym_f128] = ACTIONS(637),
    [anon_sym_void] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_anyerror] = ACTIONS(637),
    [anon_sym_anyopaque] = ACTIONS(637),
    [anon_sym_anytype] = ACTIONS(637),
    [anon_sym_noreturn] = ACTIONS(637),
    [anon_sym_isize] = ACTIONS(637),
    [anon_sym_usize] = ACTIONS(637),
    [anon_sym_comptime_int] = ACTIONS(637),
    [anon_sym_comptime_float] = ACTIONS(637),
    [anon_sym_c_short] = ACTIONS(637),
    [anon_sym_c_ushort] = ACTIONS(637),
    [anon_sym_c_int] = ACTIONS(637),
    [anon_sym_c_uint] = ACTIONS(637),
    [anon_sym_c_long] = ACTIONS(637),
    [anon_sym_c_ulong] = ACTIONS(637),
    [anon_sym_c_longlong] = ACTIONS(637),
    [anon_sym_c_ulonglong] = ACTIONS(637),
    [anon_sym_c_longdouble] = ACTIONS(637),
    [aux_sym_builtin_type_token1] = ACTIONS(637),
    [sym_builtin_identifier] = ACTIONS(635),
    [anon_sym_AT] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [82] = {
    [ts_builtin_sym_end] = ACTIONS(639),
    [sym__identifier] = ACTIONS(641),
    [anon_sym_COMMA] = ACTIONS(639),
    [anon_sym_pub] = ACTIONS(641),
    [anon_sym_test] = ACTIONS(641),
    [anon_sym_comptime] = ACTIONS(641),
    [anon_sym_COLON] = ACTIONS(639),
    [anon_sym_EQ] = ACTIONS(641),
    [anon_sym_export] = ACTIONS(641),
    [anon_sym_extern] = ACTIONS(641),
    [anon_sym_threadlocal] = ACTIONS(641),
    [anon_sym_SEMI] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_const] = ACTIONS(641),
    [anon_sym_var] = ACTIONS(641),
    [anon_sym_inline] = ACTIONS(641),
    [anon_sym_noinline] = ACTIONS(641),
    [anon_sym_fn] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_LPAREN] = ACTIONS(639),
    [anon_sym_RPAREN] = ACTIONS(639),
    [anon_sym_usingnamespace] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(639),
    [anon_sym_RBRACE] = ACTIONS(639),
    [anon_sym_packed] = ACTIONS(641),
    [anon_sym_struct] = ACTIONS(641),
    [anon_sym_opaque] = ACTIONS(641),
    [anon_sym_enum] = ACTIONS(641),
    [anon_sym_union] = ACTIONS(641),
    [anon_sym_error] = ACTIONS(641),
    [anon_sym_nosuspend] = ACTIONS(641),
    [anon_sym_suspend] = ACTIONS(641),
    [anon_sym_defer] = ACTIONS(641),
    [anon_sym_errdefer] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(641),
    [anon_sym_else] = ACTIONS(641),
    [anon_sym_for] = ACTIONS(641),
    [anon_sym_DOT_DOT] = ACTIONS(639),
    [anon_sym_while] = ACTIONS(641),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_STAR] = ACTIONS(641),
    [anon_sym_align] = ACTIONS(641),
    [anon_sym_addrspace] = ACTIONS(641),
    [anon_sym_linksection] = ACTIONS(641),
    [anon_sym_asm] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_RBRACK] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_DASH_PERCENT] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(641),
    [anon_sym_or] = ACTIONS(641),
    [anon_sym_and] = ACTIONS(641),
    [anon_sym_EQ_EQ] = ACTIONS(639),
    [anon_sym_BANG_EQ] = ACTIONS(639),
    [anon_sym_GT] = ACTIONS(641),
    [anon_sym_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_EQ] = ACTIONS(639),
    [anon_sym_LT] = ACTIONS(641),
    [anon_sym_CARET] = ACTIONS(641),
    [anon_sym_orelse] = ACTIONS(641),
    [anon_sym_LT_LT] = ACTIONS(641),
    [anon_sym_GT_GT] = ACTIONS(641),
    [anon_sym_LT_LT_PIPE] = ACTIONS(641),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(639),
    [anon_sym_PLUS_PERCENT] = ACTIONS(641),
    [anon_sym_PLUS_PIPE] = ACTIONS(641),
    [anon_sym_DASH_PIPE] = ACTIONS(641),
    [anon_sym_SLASH] = ACTIONS(641),
    [anon_sym_PERCENT] = ACTIONS(641),
    [anon_sym_STAR_STAR] = ACTIONS(639),
    [anon_sym_STAR_PERCENT] = ACTIONS(641),
    [anon_sym_STAR_PIPE] = ACTIONS(641),
    [anon_sym_PIPE_PIPE] = ACTIONS(639),
    [anon_sym_async] = ACTIONS(641),
    [anon_sym_await] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [anon_sym_resume] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(641),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_try] = ACTIONS(641),
    [anon_sym_catch] = ACTIONS(641),
    [anon_sym_switch] = ACTIONS(641),
    [anon_sym_EQ_GT] = ACTIONS(639),
    [anon_sym_anyframe] = ACTIONS(641),
    [anon_sym_unreachable] = ACTIONS(641),
    [anon_sym_undefined] = ACTIONS(641),
    [anon_sym_null] = ACTIONS(641),
    [anon_sym_QMARK] = ACTIONS(639),
    [anon_sym_DOT] = ACTIONS(641),
    [anon_sym_DOT_STAR] = ACTIONS(639),
    [anon_sym_DOT_QMARK] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_multiline_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_integer] = ACTIONS(641),
    [sym_float] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_bool] = ACTIONS(641),
    [anon_sym_f16] = ACTIONS(641),
    [anon_sym_f32] = ACTIONS(641),
    [anon_sym_f64] = ACTIONS(641),
    [anon_sym_f128] = ACTIONS(641),
    [anon_sym_void] = ACTIONS(641),
    [anon_sym_type] = ACTIONS(641),
    [anon_sym_anyerror] = ACTIONS(641),
    [anon_sym_anyopaque] = ACTIONS(641),
    [anon_sym_anytype] = ACTIONS(641),
    [anon_sym_noreturn] = ACTIONS(641),
    [anon_sym_isize] = ACTIONS(641),
    [anon_sym_usize] = ACTIONS(641),
    [anon_sym_comptime_int] = ACTIONS(641),
    [anon_sym_comptime_float] = ACTIONS(641),
    [anon_sym_c_short] = ACTIONS(641),
    [anon_sym_c_ushort] = ACTIONS(641),
    [anon_sym_c_int] = ACTIONS(641),
    [anon_sym_c_uint] = ACTIONS(641),
    [anon_sym_c_long] = ACTIONS(641),
    [anon_sym_c_ulong] = ACTIONS(641),
    [anon_sym_c_longlong] = ACTIONS(641),
    [anon_sym_c_ulonglong] = ACTIONS(641),
    [anon_sym_c_longdouble] = ACTIONS(641),
    [aux_sym_builtin_type_token1] = ACTIONS(641),
    [sym_builtin_identifier] = ACTIONS(639),
    [anon_sym_AT] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
  },
  [83] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(379),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_byte_alignment] = STATE(112),
    [sym_address_space] = STATE(150),
    [sym_link_section] = STATE(178),
    [sym_calling_convention] = STATE(238),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1224),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_comptime_type_expression] = STATE(1103),
    [sym_if_type_expression] = STATE(1103),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(643),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_align] = ACTIONS(649),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_linksection] = ACTIONS(653),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [84] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_address_space] = STATE(119),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1039),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_pointer_type_repeat1] = STATE(119),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_COLON] = ACTIONS(659),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_align] = ACTIONS(665),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(661),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_allowzero] = ACTIONS(661),
    [anon_sym_c] = ACTIONS(669),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [85] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(642),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_byte_alignment] = STATE(108),
    [sym_address_space] = STATE(158),
    [sym_link_section] = STATE(181),
    [sym_calling_convention] = STATE(292),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1357),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(880),
    [sym_if_type_expression] = STATE(880),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(671),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_align] = ACTIONS(649),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_linksection] = ACTIONS(653),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [86] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(472),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_byte_alignment] = STATE(97),
    [sym_address_space] = STATE(143),
    [sym_link_section] = STATE(166),
    [sym_calling_convention] = STATE(224),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(927),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(812),
    [sym_if_type_expression] = STATE(812),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(675),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_align] = ACTIONS(649),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_linksection] = ACTIONS(653),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [87] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(642),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_byte_alignment] = STATE(100),
    [sym_address_space] = STATE(156),
    [sym_link_section] = STATE(177),
    [sym_calling_convention] = STATE(279),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1405),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(812),
    [sym_if_type_expression] = STATE(812),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(671),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_align] = ACTIONS(649),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_linksection] = ACTIONS(653),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [88] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(472),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_byte_alignment] = STATE(107),
    [sym_address_space] = STATE(155),
    [sym_link_section] = STATE(175),
    [sym_calling_convention] = STATE(272),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(940),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(880),
    [sym_if_type_expression] = STATE(880),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(675),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_align] = ACTIONS(649),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_linksection] = ACTIONS(653),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [89] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_byte_alignment] = STATE(99),
    [sym_address_space] = STATE(154),
    [sym_link_section] = STATE(173),
    [sym_calling_convention] = STATE(271),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1106),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(812),
    [sym_if_type_expression] = STATE(812),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(683),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_align] = ACTIONS(649),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_linksection] = ACTIONS(653),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [90] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_address_space] = STATE(119),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1039),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_pointer_type_repeat1] = STATE(119),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_COLON] = ACTIONS(687),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_align] = ACTIONS(665),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(661),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(689),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_allowzero] = ACTIONS(661),
    [anon_sym_c] = ACTIONS(691),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [91] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_byte_alignment] = STATE(102),
    [sym_address_space] = STATE(141),
    [sym_link_section] = STATE(174),
    [sym_calling_convention] = STATE(328),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1131),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(880),
    [sym_if_type_expression] = STATE(880),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(683),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_align] = ACTIONS(649),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_linksection] = ACTIONS(653),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [92] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(379),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_byte_alignment] = STATE(109),
    [sym_address_space] = STATE(147),
    [sym_link_section] = STATE(163),
    [sym_calling_convention] = STATE(225),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1222),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_comptime_type_expression] = STATE(1049),
    [sym_if_type_expression] = STATE(1049),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(643),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_align] = ACTIONS(649),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_linksection] = ACTIONS(653),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [93] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_address_space] = STATE(119),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1039),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_pointer_type_repeat1] = STATE(119),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_COLON] = ACTIONS(697),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_align] = ACTIONS(665),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(661),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(699),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_allowzero] = ACTIONS(661),
    [anon_sym_c] = ACTIONS(701),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [94] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_byte_alignment] = STATE(104),
    [sym_address_space] = STATE(104),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1034),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_slice_type_repeat1] = STATE(104),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(703),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_align] = ACTIONS(649),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(703),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_allowzero] = ACTIONS(703),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [95] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_byte_alignment] = STATE(98),
    [sym_address_space] = STATE(98),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(954),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_slice_type_repeat1] = STATE(98),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(705),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_align] = ACTIONS(649),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(705),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_allowzero] = ACTIONS(705),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [96] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_byte_alignment] = STATE(755),
    [sym_address_space] = STATE(755),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(888),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_slice_type_repeat1] = STATE(755),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(707),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_align] = ACTIONS(649),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_allowzero] = ACTIONS(707),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [97] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(472),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_address_space] = STATE(153),
    [sym_link_section] = STATE(172),
    [sym_calling_convention] = STATE(267),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(936),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(836),
    [sym_if_type_expression] = STATE(836),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(675),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_linksection] = ACTIONS(653),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [98] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_byte_alignment] = STATE(755),
    [sym_address_space] = STATE(755),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(904),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_slice_type_repeat1] = STATE(755),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(707),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_align] = ACTIONS(649),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_allowzero] = ACTIONS(707),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [99] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_address_space] = STATE(161),
    [sym_link_section] = STATE(176),
    [sym_calling_convention] = STATE(304),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1118),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(836),
    [sym_if_type_expression] = STATE(836),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(683),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_linksection] = ACTIONS(653),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [100] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(642),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_address_space] = STATE(157),
    [sym_link_section] = STATE(179),
    [sym_calling_convention] = STATE(287),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1354),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(836),
    [sym_if_type_expression] = STATE(836),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(671),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_linksection] = ACTIONS(653),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [101] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_byte_alignment] = STATE(755),
    [sym_address_space] = STATE(755),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1166),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_slice_type_repeat1] = STATE(755),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(707),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_align] = ACTIONS(649),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_allowzero] = ACTIONS(707),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [102] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_address_space] = STATE(144),
    [sym_link_section] = STATE(195),
    [sym_calling_convention] = STATE(203),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1153),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(853),
    [sym_if_type_expression] = STATE(853),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(683),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(715),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_linksection] = ACTIONS(653),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [103] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_byte_alignment] = STATE(755),
    [sym_address_space] = STATE(755),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1204),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_slice_type_repeat1] = STATE(755),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_const] = ACTIONS(707),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_align] = ACTIONS(649),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_allowzero] = ACTIONS(707),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [104] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_byte_alignment] = STATE(755),
    [sym_address_space] = STATE(755),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1053),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_slice_type_repeat1] = STATE(755),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(707),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_align] = ACTIONS(649),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_allowzero] = ACTIONS(707),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [105] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_byte_alignment] = STATE(96),
    [sym_address_space] = STATE(96),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(941),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_slice_type_repeat1] = STATE(96),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_align] = ACTIONS(649),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(717),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_allowzero] = ACTIONS(717),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [106] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_byte_alignment] = STATE(111),
    [sym_address_space] = STATE(111),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1111),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_slice_type_repeat1] = STATE(111),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_const] = ACTIONS(719),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_align] = ACTIONS(649),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(719),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_allowzero] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [107] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(472),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_address_space] = STATE(139),
    [sym_link_section] = STATE(164),
    [sym_calling_convention] = STATE(341),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(931),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(853),
    [sym_if_type_expression] = STATE(853),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(675),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_linksection] = ACTIONS(653),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [108] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(642),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_address_space] = STATE(138),
    [sym_link_section] = STATE(184),
    [sym_calling_convention] = STATE(299),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1368),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(853),
    [sym_if_type_expression] = STATE(853),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(671),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_linksection] = ACTIONS(653),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [109] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(379),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_address_space] = STATE(149),
    [sym_link_section] = STATE(192),
    [sym_calling_convention] = STATE(235),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1223),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_comptime_type_expression] = STATE(1096),
    [sym_if_type_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(643),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_linksection] = ACTIONS(653),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [110] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_byte_alignment] = STATE(101),
    [sym_address_space] = STATE(101),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1077),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_slice_type_repeat1] = STATE(101),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(727),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_align] = ACTIONS(649),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(727),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_allowzero] = ACTIONS(727),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [111] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_byte_alignment] = STATE(755),
    [sym_address_space] = STATE(755),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1150),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_slice_type_repeat1] = STATE(755),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_const] = ACTIONS(707),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_align] = ACTIONS(649),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_allowzero] = ACTIONS(707),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [112] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(379),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_address_space] = STATE(152),
    [sym_link_section] = STATE(167),
    [sym_calling_convention] = STATE(249),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1227),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_comptime_type_expression] = STATE(1028),
    [sym_if_type_expression] = STATE(1028),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(643),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(729),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_linksection] = ACTIONS(653),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [113] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_byte_alignment] = STATE(103),
    [sym_address_space] = STATE(103),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1169),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_slice_type_repeat1] = STATE(103),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_const] = ACTIONS(731),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_align] = ACTIONS(649),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(731),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_allowzero] = ACTIONS(731),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [114] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_address_space] = STATE(128),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1095),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_pointer_type_repeat1] = STATE(128),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_const] = ACTIONS(733),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_align] = ACTIONS(665),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(733),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_allowzero] = ACTIONS(733),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [115] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_address_space] = STATE(118),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(926),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_pointer_type_repeat1] = STATE(118),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(735),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_align] = ACTIONS(665),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(735),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_allowzero] = ACTIONS(735),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [116] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_address_space] = STATE(757),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(926),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_pointer_type_repeat1] = STATE(757),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(737),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_align] = ACTIONS(665),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_allowzero] = ACTIONS(737),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [117] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_address_space] = STATE(122),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_pointer_type_repeat1] = STATE(122),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(739),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_align] = ACTIONS(665),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_allowzero] = ACTIONS(739),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [118] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_address_space] = STATE(757),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(889),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_pointer_type_repeat1] = STATE(757),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(737),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_align] = ACTIONS(665),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_allowzero] = ACTIONS(737),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [119] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_address_space] = STATE(757),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1066),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_pointer_type_repeat1] = STATE(757),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(737),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_align] = ACTIONS(665),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_allowzero] = ACTIONS(737),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [120] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_address_space] = STATE(123),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1154),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_pointer_type_repeat1] = STATE(123),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_align] = ACTIONS(665),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_allowzero] = ACTIONS(741),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [121] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_address_space] = STATE(136),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(901),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_pointer_type_repeat1] = STATE(136),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(743),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_align] = ACTIONS(665),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_allowzero] = ACTIONS(743),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [122] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_address_space] = STATE(757),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(938),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_pointer_type_repeat1] = STATE(757),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(737),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_align] = ACTIONS(665),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_allowzero] = ACTIONS(737),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [123] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_address_space] = STATE(757),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1035),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_pointer_type_repeat1] = STATE(757),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(737),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_align] = ACTIONS(665),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_allowzero] = ACTIONS(737),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [124] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_address_space] = STATE(126),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1035),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_pointer_type_repeat1] = STATE(126),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(745),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_align] = ACTIONS(665),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_allowzero] = ACTIONS(745),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [125] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_address_space] = STATE(127),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1054),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_pointer_type_repeat1] = STATE(127),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(747),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_align] = ACTIONS(665),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_allowzero] = ACTIONS(747),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [126] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_address_space] = STATE(757),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1054),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_pointer_type_repeat1] = STATE(757),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(737),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_align] = ACTIONS(665),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_allowzero] = ACTIONS(737),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [127] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_address_space] = STATE(757),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1070),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_pointer_type_repeat1] = STATE(757),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(737),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_align] = ACTIONS(665),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_allowzero] = ACTIONS(737),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [128] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_address_space] = STATE(757),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1109),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_pointer_type_repeat1] = STATE(757),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_const] = ACTIONS(737),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_align] = ACTIONS(665),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_allowzero] = ACTIONS(737),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [129] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_address_space] = STATE(130),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1133),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_pointer_type_repeat1] = STATE(130),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_const] = ACTIONS(749),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_align] = ACTIONS(665),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(749),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_allowzero] = ACTIONS(749),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [130] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_address_space] = STATE(757),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1188),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_pointer_type_repeat1] = STATE(757),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_const] = ACTIONS(737),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_align] = ACTIONS(665),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_allowzero] = ACTIONS(737),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [131] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_address_space] = STATE(133),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1188),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_pointer_type_repeat1] = STATE(133),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_const] = ACTIONS(751),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_align] = ACTIONS(665),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(751),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_allowzero] = ACTIONS(751),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [132] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_address_space] = STATE(134),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1207),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_pointer_type_repeat1] = STATE(134),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_const] = ACTIONS(753),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_align] = ACTIONS(665),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(753),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_allowzero] = ACTIONS(753),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [133] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_address_space] = STATE(757),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1207),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_pointer_type_repeat1] = STATE(757),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_const] = ACTIONS(737),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_align] = ACTIONS(665),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_allowzero] = ACTIONS(737),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [134] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_address_space] = STATE(757),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1215),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_pointer_type_repeat1] = STATE(757),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_const] = ACTIONS(737),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_align] = ACTIONS(665),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_allowzero] = ACTIONS(737),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [135] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_address_space] = STATE(119),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1039),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_pointer_type_repeat1] = STATE(119),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_align] = ACTIONS(665),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(661),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_allowzero] = ACTIONS(661),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [136] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_address_space] = STATE(757),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(942),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_pointer_type_repeat1] = STATE(757),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(737),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_align] = ACTIONS(665),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_allowzero] = ACTIONS(737),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [137] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_address_space] = STATE(116),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(942),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_pointer_type_repeat1] = STATE(116),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(755),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_align] = ACTIONS(665),
    [anon_sym_addrspace] = ACTIONS(651),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_volatile] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_allowzero] = ACTIONS(755),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [138] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(642),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_link_section] = STATE(186),
    [sym_calling_convention] = STATE(305),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1376),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(838),
    [sym_if_type_expression] = STATE(838),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(671),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_linksection] = ACTIONS(653),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [139] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(472),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_link_section] = STATE(191),
    [sym_calling_convention] = STATE(251),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(934),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(838),
    [sym_if_type_expression] = STATE(838),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(675),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_linksection] = ACTIONS(653),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [140] = {
    [sym__function_prototype] = STATE(863),
    [sym_parameter] = STATE(1674),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(628),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1365),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1703),
    [sym_if_type_expression] = STATE(1703),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1249),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1254),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(761),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(763),
    [anon_sym_noalias] = ACTIONS(765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(137),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [141] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_link_section] = STATE(195),
    [sym_calling_convention] = STATE(203),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1153),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(853),
    [sym_if_type_expression] = STATE(853),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(683),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(715),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_linksection] = ACTIONS(653),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [142] = {
    [ts_builtin_sym_end] = ACTIONS(769),
    [sym__identifier] = ACTIONS(771),
    [anon_sym_COMMA] = ACTIONS(769),
    [anon_sym_comptime] = ACTIONS(771),
    [anon_sym_COLON] = ACTIONS(769),
    [anon_sym_EQ] = ACTIONS(771),
    [anon_sym_extern] = ACTIONS(771),
    [anon_sym_SEMI] = ACTIONS(769),
    [anon_sym_STAR_EQ] = ACTIONS(769),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(769),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(769),
    [anon_sym_SLASH_EQ] = ACTIONS(769),
    [anon_sym_PERCENT_EQ] = ACTIONS(769),
    [anon_sym_PLUS_EQ] = ACTIONS(769),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(769),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(769),
    [anon_sym_DASH_EQ] = ACTIONS(769),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(769),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(769),
    [anon_sym_LT_LT_EQ] = ACTIONS(769),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(769),
    [anon_sym_GT_GT_EQ] = ACTIONS(769),
    [anon_sym_AMP_EQ] = ACTIONS(769),
    [anon_sym_CARET_EQ] = ACTIONS(769),
    [anon_sym_PIPE_EQ] = ACTIONS(769),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_var] = ACTIONS(771),
    [anon_sym_inline] = ACTIONS(771),
    [anon_sym_fn] = ACTIONS(771),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LPAREN] = ACTIONS(769),
    [anon_sym_RPAREN] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_RBRACE] = ACTIONS(769),
    [anon_sym_packed] = ACTIONS(771),
    [anon_sym_struct] = ACTIONS(771),
    [anon_sym_opaque] = ACTIONS(771),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_union] = ACTIONS(771),
    [anon_sym_error] = ACTIONS(771),
    [anon_sym_nosuspend] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(771),
    [anon_sym_defer] = ACTIONS(771),
    [anon_sym_errdefer] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_else] = ACTIONS(771),
    [anon_sym_for] = ACTIONS(771),
    [anon_sym_DOT_DOT] = ACTIONS(769),
    [anon_sym_while] = ACTIONS(771),
    [anon_sym_PIPE] = ACTIONS(771),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_align] = ACTIONS(771),
    [anon_sym_addrspace] = ACTIONS(771),
    [anon_sym_linksection] = ACTIONS(771),
    [anon_sym_asm] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_RBRACK] = ACTIONS(769),
    [anon_sym_TILDE] = ACTIONS(769),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_DASH_PERCENT] = ACTIONS(771),
    [anon_sym_AMP] = ACTIONS(771),
    [anon_sym_or] = ACTIONS(771),
    [anon_sym_and] = ACTIONS(771),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(771),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_LT] = ACTIONS(771),
    [anon_sym_CARET] = ACTIONS(771),
    [anon_sym_orelse] = ACTIONS(771),
    [anon_sym_LT_LT] = ACTIONS(771),
    [anon_sym_GT_GT] = ACTIONS(771),
    [anon_sym_LT_LT_PIPE] = ACTIONS(771),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_PLUS_PLUS] = ACTIONS(769),
    [anon_sym_PLUS_PERCENT] = ACTIONS(771),
    [anon_sym_PLUS_PIPE] = ACTIONS(771),
    [anon_sym_DASH_PIPE] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(771),
    [anon_sym_PERCENT] = ACTIONS(771),
    [anon_sym_STAR_STAR] = ACTIONS(769),
    [anon_sym_STAR_PERCENT] = ACTIONS(771),
    [anon_sym_STAR_PIPE] = ACTIONS(771),
    [anon_sym_PIPE_PIPE] = ACTIONS(769),
    [anon_sym_async] = ACTIONS(771),
    [anon_sym_await] = ACTIONS(771),
    [anon_sym_continue] = ACTIONS(771),
    [anon_sym_resume] = ACTIONS(771),
    [anon_sym_return] = ACTIONS(771),
    [anon_sym_break] = ACTIONS(771),
    [anon_sym_try] = ACTIONS(771),
    [anon_sym_catch] = ACTIONS(771),
    [anon_sym_switch] = ACTIONS(771),
    [anon_sym_EQ_GT] = ACTIONS(769),
    [anon_sym_anyframe] = ACTIONS(771),
    [anon_sym_unreachable] = ACTIONS(771),
    [anon_sym_undefined] = ACTIONS(771),
    [anon_sym_null] = ACTIONS(771),
    [anon_sym_QMARK] = ACTIONS(769),
    [anon_sym_DOT] = ACTIONS(771),
    [anon_sym_DOT_STAR] = ACTIONS(769),
    [anon_sym_DOT_QMARK] = ACTIONS(769),
    [anon_sym_DQUOTE] = ACTIONS(769),
    [aux_sym_multiline_string_token1] = ACTIONS(769),
    [anon_sym_SQUOTE] = ACTIONS(769),
    [sym_integer] = ACTIONS(771),
    [sym_float] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_bool] = ACTIONS(771),
    [anon_sym_f16] = ACTIONS(771),
    [anon_sym_f32] = ACTIONS(771),
    [anon_sym_f64] = ACTIONS(771),
    [anon_sym_f128] = ACTIONS(771),
    [anon_sym_void] = ACTIONS(771),
    [anon_sym_type] = ACTIONS(771),
    [anon_sym_anyerror] = ACTIONS(771),
    [anon_sym_anyopaque] = ACTIONS(771),
    [anon_sym_anytype] = ACTIONS(771),
    [anon_sym_noreturn] = ACTIONS(771),
    [anon_sym_isize] = ACTIONS(771),
    [anon_sym_usize] = ACTIONS(771),
    [anon_sym_comptime_int] = ACTIONS(771),
    [anon_sym_comptime_float] = ACTIONS(771),
    [anon_sym_c_short] = ACTIONS(771),
    [anon_sym_c_ushort] = ACTIONS(771),
    [anon_sym_c_int] = ACTIONS(771),
    [anon_sym_c_uint] = ACTIONS(771),
    [anon_sym_c_long] = ACTIONS(771),
    [anon_sym_c_ulong] = ACTIONS(771),
    [anon_sym_c_longlong] = ACTIONS(771),
    [anon_sym_c_ulonglong] = ACTIONS(771),
    [anon_sym_c_longdouble] = ACTIONS(771),
    [aux_sym_builtin_type_token1] = ACTIONS(771),
    [sym_builtin_identifier] = ACTIONS(769),
    [anon_sym_AT] = ACTIONS(771),
    [sym_comment] = ACTIONS(3),
  },
  [143] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(472),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_link_section] = STATE(172),
    [sym_calling_convention] = STATE(267),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(936),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(836),
    [sym_if_type_expression] = STATE(836),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(675),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_linksection] = ACTIONS(653),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [144] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_link_section] = STATE(169),
    [sym_calling_convention] = STATE(210),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1201),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(838),
    [sym_if_type_expression] = STATE(838),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(683),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_linksection] = ACTIONS(653),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [145] = {
    [ts_builtin_sym_end] = ACTIONS(775),
    [sym__identifier] = ACTIONS(777),
    [anon_sym_COMMA] = ACTIONS(775),
    [anon_sym_comptime] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(777),
    [anon_sym_extern] = ACTIONS(777),
    [anon_sym_SEMI] = ACTIONS(775),
    [anon_sym_STAR_EQ] = ACTIONS(775),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(775),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(775),
    [anon_sym_SLASH_EQ] = ACTIONS(775),
    [anon_sym_PERCENT_EQ] = ACTIONS(775),
    [anon_sym_PLUS_EQ] = ACTIONS(775),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(775),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(775),
    [anon_sym_DASH_EQ] = ACTIONS(775),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(775),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(775),
    [anon_sym_LT_LT_EQ] = ACTIONS(775),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(775),
    [anon_sym_GT_GT_EQ] = ACTIONS(775),
    [anon_sym_AMP_EQ] = ACTIONS(775),
    [anon_sym_CARET_EQ] = ACTIONS(775),
    [anon_sym_PIPE_EQ] = ACTIONS(775),
    [anon_sym_const] = ACTIONS(777),
    [anon_sym_var] = ACTIONS(777),
    [anon_sym_inline] = ACTIONS(777),
    [anon_sym_fn] = ACTIONS(777),
    [anon_sym_BANG] = ACTIONS(777),
    [anon_sym_LPAREN] = ACTIONS(775),
    [anon_sym_RPAREN] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(775),
    [anon_sym_RBRACE] = ACTIONS(775),
    [anon_sym_packed] = ACTIONS(777),
    [anon_sym_struct] = ACTIONS(777),
    [anon_sym_opaque] = ACTIONS(777),
    [anon_sym_enum] = ACTIONS(777),
    [anon_sym_union] = ACTIONS(777),
    [anon_sym_error] = ACTIONS(777),
    [anon_sym_nosuspend] = ACTIONS(777),
    [anon_sym_suspend] = ACTIONS(777),
    [anon_sym_defer] = ACTIONS(777),
    [anon_sym_errdefer] = ACTIONS(777),
    [anon_sym_if] = ACTIONS(777),
    [anon_sym_else] = ACTIONS(777),
    [anon_sym_for] = ACTIONS(777),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(777),
    [anon_sym_PIPE] = ACTIONS(777),
    [anon_sym_STAR] = ACTIONS(777),
    [anon_sym_align] = ACTIONS(777),
    [anon_sym_addrspace] = ACTIONS(777),
    [anon_sym_linksection] = ACTIONS(777),
    [anon_sym_asm] = ACTIONS(777),
    [anon_sym_LBRACK] = ACTIONS(775),
    [anon_sym_RBRACK] = ACTIONS(775),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_DASH_PERCENT] = ACTIONS(777),
    [anon_sym_AMP] = ACTIONS(777),
    [anon_sym_or] = ACTIONS(777),
    [anon_sym_and] = ACTIONS(777),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(777),
    [anon_sym_GT_EQ] = ACTIONS(775),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_LT] = ACTIONS(777),
    [anon_sym_CARET] = ACTIONS(777),
    [anon_sym_orelse] = ACTIONS(777),
    [anon_sym_LT_LT] = ACTIONS(777),
    [anon_sym_GT_GT] = ACTIONS(777),
    [anon_sym_LT_LT_PIPE] = ACTIONS(777),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(775),
    [anon_sym_PLUS_PERCENT] = ACTIONS(777),
    [anon_sym_PLUS_PIPE] = ACTIONS(777),
    [anon_sym_DASH_PIPE] = ACTIONS(777),
    [anon_sym_SLASH] = ACTIONS(777),
    [anon_sym_PERCENT] = ACTIONS(777),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_STAR_PERCENT] = ACTIONS(777),
    [anon_sym_STAR_PIPE] = ACTIONS(777),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_async] = ACTIONS(777),
    [anon_sym_await] = ACTIONS(777),
    [anon_sym_continue] = ACTIONS(777),
    [anon_sym_resume] = ACTIONS(777),
    [anon_sym_return] = ACTIONS(777),
    [anon_sym_break] = ACTIONS(777),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_catch] = ACTIONS(777),
    [anon_sym_switch] = ACTIONS(777),
    [anon_sym_EQ_GT] = ACTIONS(775),
    [anon_sym_anyframe] = ACTIONS(777),
    [anon_sym_unreachable] = ACTIONS(777),
    [anon_sym_undefined] = ACTIONS(777),
    [anon_sym_null] = ACTIONS(777),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_DOT] = ACTIONS(777),
    [anon_sym_DOT_STAR] = ACTIONS(775),
    [anon_sym_DOT_QMARK] = ACTIONS(775),
    [anon_sym_DQUOTE] = ACTIONS(775),
    [aux_sym_multiline_string_token1] = ACTIONS(775),
    [anon_sym_SQUOTE] = ACTIONS(775),
    [sym_integer] = ACTIONS(777),
    [sym_float] = ACTIONS(775),
    [anon_sym_true] = ACTIONS(777),
    [anon_sym_false] = ACTIONS(777),
    [anon_sym_bool] = ACTIONS(777),
    [anon_sym_f16] = ACTIONS(777),
    [anon_sym_f32] = ACTIONS(777),
    [anon_sym_f64] = ACTIONS(777),
    [anon_sym_f128] = ACTIONS(777),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_type] = ACTIONS(777),
    [anon_sym_anyerror] = ACTIONS(777),
    [anon_sym_anyopaque] = ACTIONS(777),
    [anon_sym_anytype] = ACTIONS(777),
    [anon_sym_noreturn] = ACTIONS(777),
    [anon_sym_isize] = ACTIONS(777),
    [anon_sym_usize] = ACTIONS(777),
    [anon_sym_comptime_int] = ACTIONS(777),
    [anon_sym_comptime_float] = ACTIONS(777),
    [anon_sym_c_short] = ACTIONS(777),
    [anon_sym_c_ushort] = ACTIONS(777),
    [anon_sym_c_int] = ACTIONS(777),
    [anon_sym_c_uint] = ACTIONS(777),
    [anon_sym_c_long] = ACTIONS(777),
    [anon_sym_c_ulong] = ACTIONS(777),
    [anon_sym_c_longlong] = ACTIONS(777),
    [anon_sym_c_ulonglong] = ACTIONS(777),
    [anon_sym_c_longdouble] = ACTIONS(777),
    [aux_sym_builtin_type_token1] = ACTIONS(777),
    [sym_builtin_identifier] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [sym_comment] = ACTIONS(3),
  },
  [146] = {
    [ts_builtin_sym_end] = ACTIONS(779),
    [sym__identifier] = ACTIONS(781),
    [anon_sym_COMMA] = ACTIONS(779),
    [anon_sym_comptime] = ACTIONS(781),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_EQ] = ACTIONS(781),
    [anon_sym_extern] = ACTIONS(781),
    [anon_sym_SEMI] = ACTIONS(779),
    [anon_sym_STAR_EQ] = ACTIONS(779),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(779),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(779),
    [anon_sym_SLASH_EQ] = ACTIONS(779),
    [anon_sym_PERCENT_EQ] = ACTIONS(779),
    [anon_sym_PLUS_EQ] = ACTIONS(779),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(779),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(779),
    [anon_sym_DASH_EQ] = ACTIONS(779),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(779),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(779),
    [anon_sym_LT_LT_EQ] = ACTIONS(779),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(779),
    [anon_sym_GT_GT_EQ] = ACTIONS(779),
    [anon_sym_AMP_EQ] = ACTIONS(779),
    [anon_sym_CARET_EQ] = ACTIONS(779),
    [anon_sym_PIPE_EQ] = ACTIONS(779),
    [anon_sym_const] = ACTIONS(781),
    [anon_sym_var] = ACTIONS(781),
    [anon_sym_inline] = ACTIONS(781),
    [anon_sym_fn] = ACTIONS(781),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_RPAREN] = ACTIONS(779),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_RBRACE] = ACTIONS(779),
    [anon_sym_packed] = ACTIONS(781),
    [anon_sym_struct] = ACTIONS(781),
    [anon_sym_opaque] = ACTIONS(781),
    [anon_sym_enum] = ACTIONS(781),
    [anon_sym_union] = ACTIONS(781),
    [anon_sym_error] = ACTIONS(781),
    [anon_sym_nosuspend] = ACTIONS(781),
    [anon_sym_suspend] = ACTIONS(781),
    [anon_sym_defer] = ACTIONS(781),
    [anon_sym_errdefer] = ACTIONS(781),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_else] = ACTIONS(781),
    [anon_sym_for] = ACTIONS(781),
    [anon_sym_DOT_DOT] = ACTIONS(779),
    [anon_sym_while] = ACTIONS(781),
    [anon_sym_PIPE] = ACTIONS(781),
    [anon_sym_STAR] = ACTIONS(781),
    [anon_sym_align] = ACTIONS(781),
    [anon_sym_addrspace] = ACTIONS(781),
    [anon_sym_linksection] = ACTIONS(781),
    [anon_sym_asm] = ACTIONS(781),
    [anon_sym_LBRACK] = ACTIONS(779),
    [anon_sym_RBRACK] = ACTIONS(779),
    [anon_sym_TILDE] = ACTIONS(779),
    [anon_sym_DASH] = ACTIONS(781),
    [anon_sym_DASH_PERCENT] = ACTIONS(781),
    [anon_sym_AMP] = ACTIONS(781),
    [anon_sym_or] = ACTIONS(781),
    [anon_sym_and] = ACTIONS(781),
    [anon_sym_EQ_EQ] = ACTIONS(779),
    [anon_sym_BANG_EQ] = ACTIONS(779),
    [anon_sym_GT] = ACTIONS(781),
    [anon_sym_GT_EQ] = ACTIONS(779),
    [anon_sym_LT_EQ] = ACTIONS(779),
    [anon_sym_LT] = ACTIONS(781),
    [anon_sym_CARET] = ACTIONS(781),
    [anon_sym_orelse] = ACTIONS(781),
    [anon_sym_LT_LT] = ACTIONS(781),
    [anon_sym_GT_GT] = ACTIONS(781),
    [anon_sym_LT_LT_PIPE] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(781),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_PLUS_PERCENT] = ACTIONS(781),
    [anon_sym_PLUS_PIPE] = ACTIONS(781),
    [anon_sym_DASH_PIPE] = ACTIONS(781),
    [anon_sym_SLASH] = ACTIONS(781),
    [anon_sym_PERCENT] = ACTIONS(781),
    [anon_sym_STAR_STAR] = ACTIONS(779),
    [anon_sym_STAR_PERCENT] = ACTIONS(781),
    [anon_sym_STAR_PIPE] = ACTIONS(781),
    [anon_sym_PIPE_PIPE] = ACTIONS(779),
    [anon_sym_async] = ACTIONS(781),
    [anon_sym_await] = ACTIONS(781),
    [anon_sym_continue] = ACTIONS(781),
    [anon_sym_resume] = ACTIONS(781),
    [anon_sym_return] = ACTIONS(781),
    [anon_sym_break] = ACTIONS(781),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_catch] = ACTIONS(781),
    [anon_sym_switch] = ACTIONS(781),
    [anon_sym_EQ_GT] = ACTIONS(779),
    [anon_sym_anyframe] = ACTIONS(781),
    [anon_sym_unreachable] = ACTIONS(781),
    [anon_sym_undefined] = ACTIONS(781),
    [anon_sym_null] = ACTIONS(781),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_DOT] = ACTIONS(781),
    [anon_sym_DOT_STAR] = ACTIONS(779),
    [anon_sym_DOT_QMARK] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(779),
    [aux_sym_multiline_string_token1] = ACTIONS(779),
    [anon_sym_SQUOTE] = ACTIONS(779),
    [sym_integer] = ACTIONS(781),
    [sym_float] = ACTIONS(779),
    [anon_sym_true] = ACTIONS(781),
    [anon_sym_false] = ACTIONS(781),
    [anon_sym_bool] = ACTIONS(781),
    [anon_sym_f16] = ACTIONS(781),
    [anon_sym_f32] = ACTIONS(781),
    [anon_sym_f64] = ACTIONS(781),
    [anon_sym_f128] = ACTIONS(781),
    [anon_sym_void] = ACTIONS(781),
    [anon_sym_type] = ACTIONS(781),
    [anon_sym_anyerror] = ACTIONS(781),
    [anon_sym_anyopaque] = ACTIONS(781),
    [anon_sym_anytype] = ACTIONS(781),
    [anon_sym_noreturn] = ACTIONS(781),
    [anon_sym_isize] = ACTIONS(781),
    [anon_sym_usize] = ACTIONS(781),
    [anon_sym_comptime_int] = ACTIONS(781),
    [anon_sym_comptime_float] = ACTIONS(781),
    [anon_sym_c_short] = ACTIONS(781),
    [anon_sym_c_ushort] = ACTIONS(781),
    [anon_sym_c_int] = ACTIONS(781),
    [anon_sym_c_uint] = ACTIONS(781),
    [anon_sym_c_long] = ACTIONS(781),
    [anon_sym_c_ulong] = ACTIONS(781),
    [anon_sym_c_longlong] = ACTIONS(781),
    [anon_sym_c_ulonglong] = ACTIONS(781),
    [anon_sym_c_longdouble] = ACTIONS(781),
    [aux_sym_builtin_type_token1] = ACTIONS(781),
    [sym_builtin_identifier] = ACTIONS(779),
    [anon_sym_AT] = ACTIONS(781),
    [sym_comment] = ACTIONS(3),
  },
  [147] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(379),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_link_section] = STATE(192),
    [sym_calling_convention] = STATE(235),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1223),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_comptime_type_expression] = STATE(1096),
    [sym_if_type_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(643),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_linksection] = ACTIONS(653),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [148] = {
    [sym__function_prototype] = STATE(863),
    [sym_parameter] = STATE(1746),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(628),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1365),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1703),
    [sym_if_type_expression] = STATE(1703),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1249),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1254),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(761),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(783),
    [anon_sym_noalias] = ACTIONS(765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(137),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [149] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(379),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_link_section] = STATE(165),
    [sym_calling_convention] = STATE(245),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1226),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_comptime_type_expression] = STATE(1027),
    [sym_if_type_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(643),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(785),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_linksection] = ACTIONS(653),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [150] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(379),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_link_section] = STATE(167),
    [sym_calling_convention] = STATE(249),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1227),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_comptime_type_expression] = STATE(1028),
    [sym_if_type_expression] = STATE(1028),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(643),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(729),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_linksection] = ACTIONS(653),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [151] = {
    [ts_builtin_sym_end] = ACTIONS(787),
    [sym__identifier] = ACTIONS(789),
    [anon_sym_COMMA] = ACTIONS(787),
    [anon_sym_comptime] = ACTIONS(789),
    [anon_sym_COLON] = ACTIONS(787),
    [anon_sym_EQ] = ACTIONS(789),
    [anon_sym_extern] = ACTIONS(789),
    [anon_sym_SEMI] = ACTIONS(787),
    [anon_sym_STAR_EQ] = ACTIONS(787),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(787),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(787),
    [anon_sym_SLASH_EQ] = ACTIONS(787),
    [anon_sym_PERCENT_EQ] = ACTIONS(787),
    [anon_sym_PLUS_EQ] = ACTIONS(787),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(787),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(787),
    [anon_sym_DASH_EQ] = ACTIONS(787),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(787),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(787),
    [anon_sym_LT_LT_EQ] = ACTIONS(787),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(787),
    [anon_sym_GT_GT_EQ] = ACTIONS(787),
    [anon_sym_AMP_EQ] = ACTIONS(787),
    [anon_sym_CARET_EQ] = ACTIONS(787),
    [anon_sym_PIPE_EQ] = ACTIONS(787),
    [anon_sym_const] = ACTIONS(789),
    [anon_sym_var] = ACTIONS(789),
    [anon_sym_inline] = ACTIONS(789),
    [anon_sym_fn] = ACTIONS(789),
    [anon_sym_BANG] = ACTIONS(789),
    [anon_sym_LPAREN] = ACTIONS(787),
    [anon_sym_RPAREN] = ACTIONS(787),
    [anon_sym_LBRACE] = ACTIONS(787),
    [anon_sym_RBRACE] = ACTIONS(787),
    [anon_sym_packed] = ACTIONS(789),
    [anon_sym_struct] = ACTIONS(789),
    [anon_sym_opaque] = ACTIONS(789),
    [anon_sym_enum] = ACTIONS(789),
    [anon_sym_union] = ACTIONS(789),
    [anon_sym_error] = ACTIONS(789),
    [anon_sym_nosuspend] = ACTIONS(789),
    [anon_sym_suspend] = ACTIONS(789),
    [anon_sym_defer] = ACTIONS(789),
    [anon_sym_errdefer] = ACTIONS(789),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_else] = ACTIONS(789),
    [anon_sym_for] = ACTIONS(789),
    [anon_sym_DOT_DOT] = ACTIONS(787),
    [anon_sym_while] = ACTIONS(789),
    [anon_sym_PIPE] = ACTIONS(789),
    [anon_sym_STAR] = ACTIONS(789),
    [anon_sym_align] = ACTIONS(789),
    [anon_sym_addrspace] = ACTIONS(789),
    [anon_sym_linksection] = ACTIONS(789),
    [anon_sym_asm] = ACTIONS(789),
    [anon_sym_LBRACK] = ACTIONS(787),
    [anon_sym_RBRACK] = ACTIONS(787),
    [anon_sym_TILDE] = ACTIONS(787),
    [anon_sym_DASH] = ACTIONS(789),
    [anon_sym_DASH_PERCENT] = ACTIONS(789),
    [anon_sym_AMP] = ACTIONS(789),
    [anon_sym_or] = ACTIONS(789),
    [anon_sym_and] = ACTIONS(789),
    [anon_sym_EQ_EQ] = ACTIONS(787),
    [anon_sym_BANG_EQ] = ACTIONS(787),
    [anon_sym_GT] = ACTIONS(789),
    [anon_sym_GT_EQ] = ACTIONS(787),
    [anon_sym_LT_EQ] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(789),
    [anon_sym_CARET] = ACTIONS(789),
    [anon_sym_orelse] = ACTIONS(789),
    [anon_sym_LT_LT] = ACTIONS(789),
    [anon_sym_GT_GT] = ACTIONS(789),
    [anon_sym_LT_LT_PIPE] = ACTIONS(789),
    [anon_sym_PLUS] = ACTIONS(789),
    [anon_sym_PLUS_PLUS] = ACTIONS(787),
    [anon_sym_PLUS_PERCENT] = ACTIONS(789),
    [anon_sym_PLUS_PIPE] = ACTIONS(789),
    [anon_sym_DASH_PIPE] = ACTIONS(789),
    [anon_sym_SLASH] = ACTIONS(789),
    [anon_sym_PERCENT] = ACTIONS(789),
    [anon_sym_STAR_STAR] = ACTIONS(787),
    [anon_sym_STAR_PERCENT] = ACTIONS(789),
    [anon_sym_STAR_PIPE] = ACTIONS(789),
    [anon_sym_PIPE_PIPE] = ACTIONS(787),
    [anon_sym_async] = ACTIONS(789),
    [anon_sym_await] = ACTIONS(789),
    [anon_sym_continue] = ACTIONS(789),
    [anon_sym_resume] = ACTIONS(789),
    [anon_sym_return] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(789),
    [anon_sym_try] = ACTIONS(789),
    [anon_sym_catch] = ACTIONS(789),
    [anon_sym_switch] = ACTIONS(789),
    [anon_sym_EQ_GT] = ACTIONS(787),
    [anon_sym_anyframe] = ACTIONS(789),
    [anon_sym_unreachable] = ACTIONS(789),
    [anon_sym_undefined] = ACTIONS(789),
    [anon_sym_null] = ACTIONS(789),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_DOT] = ACTIONS(789),
    [anon_sym_DOT_STAR] = ACTIONS(787),
    [anon_sym_DOT_QMARK] = ACTIONS(787),
    [anon_sym_DQUOTE] = ACTIONS(787),
    [aux_sym_multiline_string_token1] = ACTIONS(787),
    [anon_sym_SQUOTE] = ACTIONS(787),
    [sym_integer] = ACTIONS(789),
    [sym_float] = ACTIONS(787),
    [anon_sym_true] = ACTIONS(789),
    [anon_sym_false] = ACTIONS(789),
    [anon_sym_bool] = ACTIONS(789),
    [anon_sym_f16] = ACTIONS(789),
    [anon_sym_f32] = ACTIONS(789),
    [anon_sym_f64] = ACTIONS(789),
    [anon_sym_f128] = ACTIONS(789),
    [anon_sym_void] = ACTIONS(789),
    [anon_sym_type] = ACTIONS(789),
    [anon_sym_anyerror] = ACTIONS(789),
    [anon_sym_anyopaque] = ACTIONS(789),
    [anon_sym_anytype] = ACTIONS(789),
    [anon_sym_noreturn] = ACTIONS(789),
    [anon_sym_isize] = ACTIONS(789),
    [anon_sym_usize] = ACTIONS(789),
    [anon_sym_comptime_int] = ACTIONS(789),
    [anon_sym_comptime_float] = ACTIONS(789),
    [anon_sym_c_short] = ACTIONS(789),
    [anon_sym_c_ushort] = ACTIONS(789),
    [anon_sym_c_int] = ACTIONS(789),
    [anon_sym_c_uint] = ACTIONS(789),
    [anon_sym_c_long] = ACTIONS(789),
    [anon_sym_c_ulong] = ACTIONS(789),
    [anon_sym_c_longlong] = ACTIONS(789),
    [anon_sym_c_ulonglong] = ACTIONS(789),
    [anon_sym_c_longdouble] = ACTIONS(789),
    [aux_sym_builtin_type_token1] = ACTIONS(789),
    [sym_builtin_identifier] = ACTIONS(787),
    [anon_sym_AT] = ACTIONS(789),
    [sym_comment] = ACTIONS(3),
  },
  [152] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(379),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_link_section] = STATE(170),
    [sym_calling_convention] = STATE(258),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1230),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_comptime_type_expression] = STATE(1047),
    [sym_if_type_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(643),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(791),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_linksection] = ACTIONS(653),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [153] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(472),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_link_section] = STATE(193),
    [sym_calling_convention] = STATE(337),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(930),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(852),
    [sym_if_type_expression] = STATE(852),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(675),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_linksection] = ACTIONS(653),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [154] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_link_section] = STATE(176),
    [sym_calling_convention] = STATE(304),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1118),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(836),
    [sym_if_type_expression] = STATE(836),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(683),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_linksection] = ACTIONS(653),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [155] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(472),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_link_section] = STATE(164),
    [sym_calling_convention] = STATE(341),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(931),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(853),
    [sym_if_type_expression] = STATE(853),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(675),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_linksection] = ACTIONS(653),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [156] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(642),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_link_section] = STATE(179),
    [sym_calling_convention] = STATE(287),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1354),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(836),
    [sym_if_type_expression] = STATE(836),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(671),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_linksection] = ACTIONS(653),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [157] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(642),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_link_section] = STATE(182),
    [sym_calling_convention] = STATE(296),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1366),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(852),
    [sym_if_type_expression] = STATE(852),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(671),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(795),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_linksection] = ACTIONS(653),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [158] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(642),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_link_section] = STATE(184),
    [sym_calling_convention] = STATE(299),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1368),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(853),
    [sym_if_type_expression] = STATE(853),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(671),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_linksection] = ACTIONS(653),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [159] = {
    [sym__variable_declaration_expression_statement] = STATE(783),
    [sym__variable_declaration_header] = STATE(1634),
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(695),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__block_expr_statement] = STATE(784),
    [sym_expression_statement] = STATE(784),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1396),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1546),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [160] = {
    [sym__function_prototype] = STATE(863),
    [sym_parameter] = STATE(1746),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(628),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1365),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1703),
    [sym_if_type_expression] = STATE(1703),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1249),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1254),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(761),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(797),
    [anon_sym_noalias] = ACTIONS(765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(137),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [161] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_link_section] = STATE(171),
    [sym_calling_convention] = STATE(200),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1152),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(852),
    [sym_if_type_expression] = STATE(852),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(683),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_linksection] = ACTIONS(653),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [162] = {
    [sym__function_prototype] = STATE(863),
    [sym_parameter] = STATE(1746),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(628),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1365),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1703),
    [sym_if_type_expression] = STATE(1703),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1249),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1254),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(761),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_noalias] = ACTIONS(765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(137),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [163] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(379),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_calling_convention] = STATE(235),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1223),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_comptime_type_expression] = STATE(1096),
    [sym_if_type_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(643),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [164] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(472),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_calling_convention] = STATE(251),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(934),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(838),
    [sym_if_type_expression] = STATE(838),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(675),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [165] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(379),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_calling_convention] = STATE(255),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1229),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_comptime_type_expression] = STATE(1045),
    [sym_if_type_expression] = STATE(1045),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(643),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [166] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(472),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_calling_convention] = STATE(267),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(936),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(836),
    [sym_if_type_expression] = STATE(836),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(675),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [167] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(379),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_calling_convention] = STATE(258),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1230),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_comptime_type_expression] = STATE(1047),
    [sym_if_type_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(643),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(791),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [168] = {
    [ts_builtin_sym_end] = ACTIONS(803),
    [sym__identifier] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(803),
    [anon_sym_comptime] = ACTIONS(805),
    [anon_sym_COLON] = ACTIONS(803),
    [anon_sym_EQ] = ACTIONS(805),
    [anon_sym_extern] = ACTIONS(805),
    [anon_sym_threadlocal] = ACTIONS(805),
    [anon_sym_SEMI] = ACTIONS(803),
    [anon_sym_STAR_EQ] = ACTIONS(803),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(803),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(803),
    [anon_sym_SLASH_EQ] = ACTIONS(803),
    [anon_sym_PERCENT_EQ] = ACTIONS(803),
    [anon_sym_PLUS_EQ] = ACTIONS(803),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(803),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(803),
    [anon_sym_DASH_EQ] = ACTIONS(803),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(803),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(803),
    [anon_sym_LT_LT_EQ] = ACTIONS(803),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(803),
    [anon_sym_GT_GT_EQ] = ACTIONS(803),
    [anon_sym_AMP_EQ] = ACTIONS(803),
    [anon_sym_CARET_EQ] = ACTIONS(803),
    [anon_sym_PIPE_EQ] = ACTIONS(803),
    [anon_sym_const] = ACTIONS(805),
    [anon_sym_var] = ACTIONS(805),
    [anon_sym_inline] = ACTIONS(805),
    [anon_sym_fn] = ACTIONS(805),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_RPAREN] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(803),
    [anon_sym_RBRACE] = ACTIONS(803),
    [anon_sym_packed] = ACTIONS(805),
    [anon_sym_struct] = ACTIONS(805),
    [anon_sym_opaque] = ACTIONS(805),
    [anon_sym_enum] = ACTIONS(805),
    [anon_sym_union] = ACTIONS(805),
    [anon_sym_error] = ACTIONS(805),
    [anon_sym_nosuspend] = ACTIONS(805),
    [anon_sym_if] = ACTIONS(805),
    [anon_sym_else] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(805),
    [anon_sym_DOT_DOT] = ACTIONS(803),
    [anon_sym_while] = ACTIONS(805),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(805),
    [anon_sym_align] = ACTIONS(805),
    [anon_sym_addrspace] = ACTIONS(805),
    [anon_sym_linksection] = ACTIONS(805),
    [anon_sym_asm] = ACTIONS(805),
    [anon_sym_LBRACK] = ACTIONS(803),
    [anon_sym_RBRACK] = ACTIONS(803),
    [anon_sym_TILDE] = ACTIONS(803),
    [anon_sym_DASH] = ACTIONS(805),
    [anon_sym_DASH_PERCENT] = ACTIONS(805),
    [anon_sym_AMP] = ACTIONS(805),
    [anon_sym_or] = ACTIONS(805),
    [anon_sym_and] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(803),
    [anon_sym_BANG_EQ] = ACTIONS(803),
    [anon_sym_GT] = ACTIONS(805),
    [anon_sym_GT_EQ] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(803),
    [anon_sym_LT] = ACTIONS(805),
    [anon_sym_CARET] = ACTIONS(805),
    [anon_sym_orelse] = ACTIONS(805),
    [anon_sym_LT_LT] = ACTIONS(805),
    [anon_sym_GT_GT] = ACTIONS(805),
    [anon_sym_LT_LT_PIPE] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(805),
    [anon_sym_PLUS_PLUS] = ACTIONS(803),
    [anon_sym_PLUS_PERCENT] = ACTIONS(805),
    [anon_sym_PLUS_PIPE] = ACTIONS(805),
    [anon_sym_DASH_PIPE] = ACTIONS(805),
    [anon_sym_SLASH] = ACTIONS(805),
    [anon_sym_PERCENT] = ACTIONS(805),
    [anon_sym_STAR_STAR] = ACTIONS(803),
    [anon_sym_STAR_PERCENT] = ACTIONS(805),
    [anon_sym_STAR_PIPE] = ACTIONS(805),
    [anon_sym_PIPE_PIPE] = ACTIONS(803),
    [anon_sym_async] = ACTIONS(805),
    [anon_sym_await] = ACTIONS(805),
    [anon_sym_continue] = ACTIONS(805),
    [anon_sym_resume] = ACTIONS(805),
    [anon_sym_return] = ACTIONS(805),
    [anon_sym_break] = ACTIONS(805),
    [anon_sym_try] = ACTIONS(805),
    [anon_sym_catch] = ACTIONS(805),
    [anon_sym_switch] = ACTIONS(805),
    [anon_sym_EQ_GT] = ACTIONS(803),
    [anon_sym_anyframe] = ACTIONS(805),
    [anon_sym_unreachable] = ACTIONS(805),
    [anon_sym_undefined] = ACTIONS(805),
    [anon_sym_null] = ACTIONS(805),
    [anon_sym_QMARK] = ACTIONS(803),
    [anon_sym_DOT] = ACTIONS(805),
    [anon_sym_DOT_STAR] = ACTIONS(803),
    [anon_sym_DOT_QMARK] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [aux_sym_multiline_string_token1] = ACTIONS(803),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [sym_integer] = ACTIONS(805),
    [sym_float] = ACTIONS(803),
    [anon_sym_true] = ACTIONS(805),
    [anon_sym_false] = ACTIONS(805),
    [anon_sym_bool] = ACTIONS(805),
    [anon_sym_f16] = ACTIONS(805),
    [anon_sym_f32] = ACTIONS(805),
    [anon_sym_f64] = ACTIONS(805),
    [anon_sym_f128] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(805),
    [anon_sym_type] = ACTIONS(805),
    [anon_sym_anyerror] = ACTIONS(805),
    [anon_sym_anyopaque] = ACTIONS(805),
    [anon_sym_anytype] = ACTIONS(805),
    [anon_sym_noreturn] = ACTIONS(805),
    [anon_sym_isize] = ACTIONS(805),
    [anon_sym_usize] = ACTIONS(805),
    [anon_sym_comptime_int] = ACTIONS(805),
    [anon_sym_comptime_float] = ACTIONS(805),
    [anon_sym_c_short] = ACTIONS(805),
    [anon_sym_c_ushort] = ACTIONS(805),
    [anon_sym_c_int] = ACTIONS(805),
    [anon_sym_c_uint] = ACTIONS(805),
    [anon_sym_c_long] = ACTIONS(805),
    [anon_sym_c_ulong] = ACTIONS(805),
    [anon_sym_c_longlong] = ACTIONS(805),
    [anon_sym_c_ulonglong] = ACTIONS(805),
    [anon_sym_c_longdouble] = ACTIONS(805),
    [aux_sym_builtin_type_token1] = ACTIONS(805),
    [sym_builtin_identifier] = ACTIONS(803),
    [anon_sym_AT] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
  },
  [169] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_calling_convention] = STATE(214),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1213),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(847),
    [sym_if_type_expression] = STATE(847),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(683),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [170] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(379),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_calling_convention] = STATE(198),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1242),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_comptime_type_expression] = STATE(1064),
    [sym_if_type_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(643),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(809),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [171] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_calling_convention] = STATE(207),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1200),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(814),
    [sym_if_type_expression] = STATE(814),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(683),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [172] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(472),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_calling_convention] = STATE(337),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(930),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(852),
    [sym_if_type_expression] = STATE(852),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(675),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [173] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_calling_convention] = STATE(304),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1118),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(836),
    [sym_if_type_expression] = STATE(836),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(683),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [174] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_calling_convention] = STATE(203),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1153),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(853),
    [sym_if_type_expression] = STATE(853),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(683),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(715),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [175] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(472),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_calling_convention] = STATE(341),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(931),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(853),
    [sym_if_type_expression] = STATE(853),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(675),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [176] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_calling_convention] = STATE(200),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1152),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(852),
    [sym_if_type_expression] = STATE(852),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(683),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [177] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(642),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_calling_convention] = STATE(287),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1354),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(836),
    [sym_if_type_expression] = STATE(836),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(671),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [178] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(379),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_calling_convention] = STATE(249),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1227),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_comptime_type_expression] = STATE(1028),
    [sym_if_type_expression] = STATE(1028),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(643),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(729),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [179] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(642),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_calling_convention] = STATE(296),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1366),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(852),
    [sym_if_type_expression] = STATE(852),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(671),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(795),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [180] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1323),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_switch_case] = STATE(1699),
    [sym__switch_case_exp] = STATE(1757),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(813),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_RBRACE] = ACTIONS(815),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_else] = ACTIONS(817),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [181] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(642),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_calling_convention] = STATE(299),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1368),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(853),
    [sym_if_type_expression] = STATE(853),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(671),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [182] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(642),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_calling_convention] = STATE(302),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1374),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(814),
    [sym_if_type_expression] = STATE(814),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(671),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [183] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(695),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__block_expr_statement] = STATE(762),
    [sym_expression_statement] = STATE(762),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_payload] = STATE(250),
    [sym_expression] = STATE(1461),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1546),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [184] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(642),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_calling_convention] = STATE(305),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1376),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(838),
    [sym_if_type_expression] = STATE(838),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(671),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [185] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1323),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_switch_case] = STATE(1638),
    [sym__switch_case_exp] = STATE(1757),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(813),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_RBRACE] = ACTIONS(821),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_else] = ACTIONS(817),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [186] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(642),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_calling_convention] = STATE(308),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1381),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(847),
    [sym_if_type_expression] = STATE(847),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(671),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(823),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [187] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1323),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_switch_case] = STATE(1699),
    [sym__switch_case_exp] = STATE(1757),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(813),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_RBRACE] = ACTIONS(825),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_else] = ACTIONS(817),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [188] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1323),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_switch_case] = STATE(1699),
    [sym__switch_case_exp] = STATE(1757),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(813),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_RBRACE] = ACTIONS(827),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_else] = ACTIONS(817),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [189] = {
    [ts_builtin_sym_end] = ACTIONS(829),
    [sym__identifier] = ACTIONS(831),
    [anon_sym_COMMA] = ACTIONS(829),
    [anon_sym_comptime] = ACTIONS(831),
    [anon_sym_COLON] = ACTIONS(829),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_extern] = ACTIONS(831),
    [anon_sym_threadlocal] = ACTIONS(831),
    [anon_sym_SEMI] = ACTIONS(829),
    [anon_sym_STAR_EQ] = ACTIONS(829),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(829),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(829),
    [anon_sym_SLASH_EQ] = ACTIONS(829),
    [anon_sym_PERCENT_EQ] = ACTIONS(829),
    [anon_sym_PLUS_EQ] = ACTIONS(829),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(829),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(829),
    [anon_sym_DASH_EQ] = ACTIONS(829),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(829),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(829),
    [anon_sym_LT_LT_EQ] = ACTIONS(829),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(829),
    [anon_sym_GT_GT_EQ] = ACTIONS(829),
    [anon_sym_AMP_EQ] = ACTIONS(829),
    [anon_sym_CARET_EQ] = ACTIONS(829),
    [anon_sym_PIPE_EQ] = ACTIONS(829),
    [anon_sym_const] = ACTIONS(831),
    [anon_sym_var] = ACTIONS(831),
    [anon_sym_inline] = ACTIONS(831),
    [anon_sym_fn] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(831),
    [anon_sym_LPAREN] = ACTIONS(829),
    [anon_sym_RPAREN] = ACTIONS(829),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_RBRACE] = ACTIONS(829),
    [anon_sym_packed] = ACTIONS(831),
    [anon_sym_struct] = ACTIONS(831),
    [anon_sym_opaque] = ACTIONS(831),
    [anon_sym_enum] = ACTIONS(831),
    [anon_sym_union] = ACTIONS(831),
    [anon_sym_error] = ACTIONS(831),
    [anon_sym_nosuspend] = ACTIONS(831),
    [anon_sym_if] = ACTIONS(831),
    [anon_sym_else] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(831),
    [anon_sym_DOT_DOT] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(831),
    [anon_sym_PIPE] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_align] = ACTIONS(831),
    [anon_sym_addrspace] = ACTIONS(831),
    [anon_sym_linksection] = ACTIONS(831),
    [anon_sym_asm] = ACTIONS(831),
    [anon_sym_LBRACK] = ACTIONS(829),
    [anon_sym_RBRACK] = ACTIONS(829),
    [anon_sym_TILDE] = ACTIONS(829),
    [anon_sym_DASH] = ACTIONS(831),
    [anon_sym_DASH_PERCENT] = ACTIONS(831),
    [anon_sym_AMP] = ACTIONS(831),
    [anon_sym_or] = ACTIONS(831),
    [anon_sym_and] = ACTIONS(831),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(831),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_LT] = ACTIONS(831),
    [anon_sym_CARET] = ACTIONS(831),
    [anon_sym_orelse] = ACTIONS(831),
    [anon_sym_LT_LT] = ACTIONS(831),
    [anon_sym_GT_GT] = ACTIONS(831),
    [anon_sym_LT_LT_PIPE] = ACTIONS(831),
    [anon_sym_PLUS] = ACTIONS(831),
    [anon_sym_PLUS_PLUS] = ACTIONS(829),
    [anon_sym_PLUS_PERCENT] = ACTIONS(831),
    [anon_sym_PLUS_PIPE] = ACTIONS(831),
    [anon_sym_DASH_PIPE] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(831),
    [anon_sym_PERCENT] = ACTIONS(831),
    [anon_sym_STAR_STAR] = ACTIONS(829),
    [anon_sym_STAR_PERCENT] = ACTIONS(831),
    [anon_sym_STAR_PIPE] = ACTIONS(831),
    [anon_sym_PIPE_PIPE] = ACTIONS(829),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_await] = ACTIONS(831),
    [anon_sym_continue] = ACTIONS(831),
    [anon_sym_resume] = ACTIONS(831),
    [anon_sym_return] = ACTIONS(831),
    [anon_sym_break] = ACTIONS(831),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_catch] = ACTIONS(831),
    [anon_sym_switch] = ACTIONS(831),
    [anon_sym_EQ_GT] = ACTIONS(829),
    [anon_sym_anyframe] = ACTIONS(831),
    [anon_sym_unreachable] = ACTIONS(831),
    [anon_sym_undefined] = ACTIONS(831),
    [anon_sym_null] = ACTIONS(831),
    [anon_sym_QMARK] = ACTIONS(829),
    [anon_sym_DOT] = ACTIONS(831),
    [anon_sym_DOT_STAR] = ACTIONS(829),
    [anon_sym_DOT_QMARK] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(829),
    [aux_sym_multiline_string_token1] = ACTIONS(829),
    [anon_sym_SQUOTE] = ACTIONS(829),
    [sym_integer] = ACTIONS(831),
    [sym_float] = ACTIONS(829),
    [anon_sym_true] = ACTIONS(831),
    [anon_sym_false] = ACTIONS(831),
    [anon_sym_bool] = ACTIONS(831),
    [anon_sym_f16] = ACTIONS(831),
    [anon_sym_f32] = ACTIONS(831),
    [anon_sym_f64] = ACTIONS(831),
    [anon_sym_f128] = ACTIONS(831),
    [anon_sym_void] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_anyerror] = ACTIONS(831),
    [anon_sym_anyopaque] = ACTIONS(831),
    [anon_sym_anytype] = ACTIONS(831),
    [anon_sym_noreturn] = ACTIONS(831),
    [anon_sym_isize] = ACTIONS(831),
    [anon_sym_usize] = ACTIONS(831),
    [anon_sym_comptime_int] = ACTIONS(831),
    [anon_sym_comptime_float] = ACTIONS(831),
    [anon_sym_c_short] = ACTIONS(831),
    [anon_sym_c_ushort] = ACTIONS(831),
    [anon_sym_c_int] = ACTIONS(831),
    [anon_sym_c_uint] = ACTIONS(831),
    [anon_sym_c_long] = ACTIONS(831),
    [anon_sym_c_ulong] = ACTIONS(831),
    [anon_sym_c_longlong] = ACTIONS(831),
    [anon_sym_c_ulonglong] = ACTIONS(831),
    [anon_sym_c_longdouble] = ACTIONS(831),
    [aux_sym_builtin_type_token1] = ACTIONS(831),
    [sym_builtin_identifier] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
  },
  [190] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1323),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_switch_case] = STATE(1699),
    [sym__switch_case_exp] = STATE(1757),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(813),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_RBRACE] = ACTIONS(833),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_else] = ACTIONS(817),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [191] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(472),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_calling_convention] = STATE(336),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(929),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(847),
    [sym_if_type_expression] = STATE(847),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(675),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(835),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [192] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(379),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_calling_convention] = STATE(245),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1226),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_comptime_type_expression] = STATE(1027),
    [sym_if_type_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(643),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(785),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [193] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(472),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_calling_convention] = STATE(233),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(932),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(814),
    [sym_if_type_expression] = STATE(814),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(675),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(837),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [194] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1323),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_switch_case] = STATE(1657),
    [sym__switch_case_exp] = STATE(1757),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(813),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_RBRACE] = ACTIONS(839),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_else] = ACTIONS(817),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [195] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_calling_convention] = STATE(210),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1201),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(838),
    [sym_if_type_expression] = STATE(838),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(683),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_callconv] = ACTIONS(655),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [196] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1323),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_switch_case] = STATE(1699),
    [sym__switch_case_exp] = STATE(1757),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(813),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_else] = ACTIONS(817),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [197] = {
    [sym__variable_declaration_header] = STATE(1719),
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1472),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [198] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(379),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1244),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_comptime_type_expression] = STATE(1076),
    [sym_if_type_expression] = STATE(1076),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(643),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(841),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [199] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1038),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1200),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(814),
    [sym_if_type_expression] = STATE(814),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(683),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [200] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1200),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(814),
    [sym_if_type_expression] = STATE(814),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(683),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [201] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1038),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1201),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(838),
    [sym_if_type_expression] = STATE(838),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(683),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [202] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(691),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym_block_expression] = STATE(756),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym__conditional_body] = STATE(767),
    [sym_expression] = STATE(1281),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1539),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [203] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1201),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(838),
    [sym_if_type_expression] = STATE(838),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(683),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [204] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_payload] = STATE(459),
    [sym_expression] = STATE(1424),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [205] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_payload] = STATE(674),
    [sym_expression] = STATE(1329),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [206] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1038),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1211),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(881),
    [sym_if_type_expression] = STATE(881),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(683),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [207] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1211),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(881),
    [sym_if_type_expression] = STATE(881),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(683),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(843),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [208] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1038),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1213),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(847),
    [sym_if_type_expression] = STATE(847),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(683),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [209] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(472),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(937),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(915),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(873),
    [sym_if_type_expression] = STATE(873),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(675),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [210] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1213),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(847),
    [sym_if_type_expression] = STATE(847),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(683),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [211] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(974),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1557),
    [sym_if_type_expression] = STATE(1557),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(845),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [212] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1038),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1216),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(858),
    [sym_if_type_expression] = STATE(858),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(683),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [213] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1038),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1217),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(861),
    [sym_if_type_expression] = STATE(861),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(683),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [214] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1217),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(861),
    [sym_if_type_expression] = STATE(861),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(683),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [215] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1038),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1219),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(873),
    [sym_if_type_expression] = STATE(873),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(683),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [216] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(379),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1100),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_comptime_type_expression] = STATE(1101),
    [sym_if_type_expression] = STATE(1101),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(643),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [217] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_payload] = STATE(534),
    [sym_expression] = STATE(1000),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [218] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_payload] = STATE(536),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(963),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [219] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_payload] = STATE(538),
    [sym_expression] = STATE(970),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [220] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_payload] = STATE(416),
    [sym_expression] = STATE(1348),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [221] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(379),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1495),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1223),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_comptime_type_expression] = STATE(1096),
    [sym_if_type_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(643),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [222] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_payload] = STATE(582),
    [sym_expression] = STATE(965),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [223] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(472),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(937),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(925),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(881),
    [sym_if_type_expression] = STATE(881),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(675),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [224] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(472),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(936),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(836),
    [sym_if_type_expression] = STATE(836),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(675),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(709),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [225] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(379),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1223),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_comptime_type_expression] = STATE(1096),
    [sym_if_type_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(643),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [226] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_payload] = STATE(482),
    [sym_expression] = STATE(1386),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [227] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(628),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1377),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1726),
    [sym_if_type_expression] = STATE(1726),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(849),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [228] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_payload] = STATE(433),
    [sym_expression] = STATE(1259),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [229] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_payload] = STATE(434),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1025),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [230] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_payload] = STATE(435),
    [sym_expression] = STATE(1261),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [231] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_payload] = STATE(437),
    [sym_expression] = STATE(1266),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [232] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(379),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1495),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1226),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_comptime_type_expression] = STATE(1027),
    [sym_if_type_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(643),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [233] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(472),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(925),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(881),
    [sym_if_type_expression] = STATE(881),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(675),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(851),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [234] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(472),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(937),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(929),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(847),
    [sym_if_type_expression] = STATE(847),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(675),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [235] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(379),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1226),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_comptime_type_expression] = STATE(1027),
    [sym_if_type_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(643),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(785),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [236] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(379),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1495),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1227),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_comptime_type_expression] = STATE(1028),
    [sym_if_type_expression] = STATE(1028),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(643),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [237] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(628),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1413),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1734),
    [sym_if_type_expression] = STATE(1734),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(849),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [238] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(379),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1227),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_comptime_type_expression] = STATE(1028),
    [sym_if_type_expression] = STATE(1028),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(643),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(729),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [239] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(472),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(937),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(930),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(852),
    [sym_if_type_expression] = STATE(852),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(675),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [240] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1425),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(853),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(855),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(857),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [241] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(691),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym_block_expression] = STATE(756),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym__conditional_body] = STATE(764),
    [sym_expression] = STATE(1285),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1539),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [242] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_payload] = STATE(451),
    [sym_expression] = STATE(1275),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [243] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(379),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1495),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1229),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_comptime_type_expression] = STATE(1045),
    [sym_if_type_expression] = STATE(1045),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(643),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [244] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1042),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(815),
    [sym_if_type_expression] = STATE(815),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(683),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [245] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(379),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1229),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_comptime_type_expression] = STATE(1045),
    [sym_if_type_expression] = STATE(1045),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(643),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [246] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(379),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1495),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1230),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_comptime_type_expression] = STATE(1047),
    [sym_if_type_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(643),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [247] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(691),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym_block_expression] = STATE(756),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym__conditional_body] = STATE(772),
    [sym_expression] = STATE(1289),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1539),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [248] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(691),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym_block_expression] = STATE(756),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym__conditional_body] = STATE(766),
    [sym_expression] = STATE(1280),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1539),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [249] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(379),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1230),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_comptime_type_expression] = STATE(1047),
    [sym_if_type_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(643),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(791),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [250] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(695),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__block_expr_statement] = STATE(759),
    [sym_expression_statement] = STATE(759),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1461),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1546),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [251] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(472),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(929),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(847),
    [sym_if_type_expression] = STATE(847),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(675),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(835),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [252] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(691),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym_block_expression] = STATE(756),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym__conditional_body] = STATE(766),
    [sym_expression] = STATE(1285),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1539),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [253] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_payload] = STATE(457),
    [sym_expression] = STATE(1283),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [254] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(379),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1495),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1238),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_comptime_type_expression] = STATE(1062),
    [sym_if_type_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(643),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [255] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(379),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1238),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_comptime_type_expression] = STATE(1062),
    [sym_if_type_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(643),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [256] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(379),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1495),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1242),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_comptime_type_expression] = STATE(1064),
    [sym_if_type_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(643),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [257] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_payload] = STATE(549),
    [sym_expression] = STATE(1310),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [258] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(379),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1242),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_comptime_type_expression] = STATE(1064),
    [sym_if_type_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(643),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(809),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [259] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1038),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1118),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(836),
    [sym_if_type_expression] = STATE(836),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(683),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [260] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(379),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1495),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1243),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_comptime_type_expression] = STATE(1075),
    [sym_if_type_expression] = STATE(1075),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(643),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [261] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(379),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1495),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1244),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_comptime_type_expression] = STATE(1076),
    [sym_if_type_expression] = STATE(1076),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(643),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [262] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(691),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym_block_expression] = STATE(756),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym__conditional_body] = STATE(765),
    [sym_expression] = STATE(1274),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1539),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [263] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(379),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1495),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1245),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_comptime_type_expression] = STATE(1079),
    [sym_if_type_expression] = STATE(1079),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(643),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [264] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(691),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym_block_expression] = STATE(756),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym__conditional_body] = STATE(767),
    [sym_expression] = STATE(1293),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1539),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [265] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(958),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1513),
    [sym_if_type_expression] = STATE(1513),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(845),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [266] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1415),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(861),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(863),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(865),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [267] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(472),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(930),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(852),
    [sym_if_type_expression] = STATE(852),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(675),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [268] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(472),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(937),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(931),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(853),
    [sym_if_type_expression] = STATE(853),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(675),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [269] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(472),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(884),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(815),
    [sym_if_type_expression] = STATE(815),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(675),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [270] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(628),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(986),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1401),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1707),
    [sym_if_type_expression] = STATE(1707),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1255),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1250),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(849),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [271] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1118),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(836),
    [sym_if_type_expression] = STATE(836),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(683),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [272] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(472),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(931),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(853),
    [sym_if_type_expression] = STATE(853),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(675),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [273] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1378),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_field_initializer] = STATE(1627),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_RBRACE] = ACTIONS(867),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(869),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [274] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_payload] = STATE(504),
    [sym_expression] = STATE(902),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [275] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(642),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(937),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1354),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(836),
    [sym_if_type_expression] = STATE(836),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(671),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [276] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(695),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__block_expr_statement] = STATE(770),
    [sym_expression_statement] = STATE(770),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1423),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1546),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [277] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(628),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1404),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1707),
    [sym_if_type_expression] = STATE(1707),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1255),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1250),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(849),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [278] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(472),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(937),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(936),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(836),
    [sym_if_type_expression] = STATE(836),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(675),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [279] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(642),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1354),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(836),
    [sym_if_type_expression] = STATE(836),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(671),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [280] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(695),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__block_expr_statement] = STATE(785),
    [sym_expression_statement] = STATE(785),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1461),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1546),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [281] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_payload] = STATE(518),
    [sym_expression] = STATE(907),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [282] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_payload] = STATE(519),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(885),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [283] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_payload] = STATE(520),
    [sym_expression] = STATE(909),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [284] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(973),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1554),
    [sym_if_type_expression] = STATE(1554),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(845),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [285] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(642),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(937),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1366),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(852),
    [sym_if_type_expression] = STATE(852),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(671),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [286] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_payload] = STATE(620),
    [sym_expression] = STATE(1313),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [287] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(642),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1366),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(852),
    [sym_if_type_expression] = STATE(852),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(671),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(795),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [288] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(642),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(937),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1368),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(853),
    [sym_if_type_expression] = STATE(853),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(671),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [289] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1367),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_field_initializer] = STATE(1621),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_RBRACE] = ACTIONS(871),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(869),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [290] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_payload] = STATE(621),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1225),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [291] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_payload] = STATE(625),
    [sym_expression] = STATE(1315),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [292] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(642),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1368),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(853),
    [sym_if_type_expression] = STATE(853),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(671),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [293] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_payload] = STATE(537),
    [sym_expression] = STATE(918),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [294] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(642),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(937),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1374),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(814),
    [sym_if_type_expression] = STATE(814),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(671),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [295] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_payload] = STATE(630),
    [sym_expression] = STATE(1322),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [296] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(642),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1374),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(814),
    [sym_if_type_expression] = STATE(814),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(671),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [297] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(642),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(937),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1376),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(838),
    [sym_if_type_expression] = STATE(838),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(671),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [298] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1038),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1152),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(852),
    [sym_if_type_expression] = STATE(852),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(683),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [299] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(642),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1376),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(838),
    [sym_if_type_expression] = STATE(838),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(671),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [300] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_payload] = STATE(543),
    [sym_expression] = STATE(922),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [301] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(642),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(937),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1380),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(881),
    [sym_if_type_expression] = STATE(881),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(671),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [302] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(642),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1380),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(881),
    [sym_if_type_expression] = STATE(881),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(671),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(873),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [303] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(642),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(937),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1381),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(847),
    [sym_if_type_expression] = STATE(847),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(671),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [304] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1152),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(852),
    [sym_if_type_expression] = STATE(852),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(683),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [305] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(642),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1381),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(847),
    [sym_if_type_expression] = STATE(847),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(671),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(823),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [306] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(642),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(937),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1387),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(858),
    [sym_if_type_expression] = STATE(858),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(671),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [307] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(642),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(937),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1389),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(861),
    [sym_if_type_expression] = STATE(861),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(671),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [308] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(642),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1389),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(861),
    [sym_if_type_expression] = STATE(861),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(671),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [309] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1038),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1153),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(853),
    [sym_if_type_expression] = STATE(853),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(683),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [310] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(642),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(937),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1391),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(873),
    [sym_if_type_expression] = STATE(873),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(671),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [311] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(691),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym_block_expression] = STATE(756),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym__conditional_body] = STATE(764),
    [sym_expression] = STATE(1332),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1539),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [312] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(691),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym_block_expression] = STATE(756),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym__conditional_body] = STATE(772),
    [sym_expression] = STATE(1333),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1539),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [313] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_payload] = STATE(572),
    [sym_expression] = STATE(1130),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [314] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_payload] = STATE(577),
    [sym_expression] = STATE(1134),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [315] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_payload] = STATE(578),
    [sym_expression] = STATE(1136),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [316] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_payload] = STATE(580),
    [sym_expression] = STATE(1141),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [317] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_payload] = STATE(583),
    [sym_expression] = STATE(1144),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [318] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_payload] = STATE(584),
    [sym_expression] = STATE(1247),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [319] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_payload] = STATE(605),
    [sym_expression] = STATE(1167),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [320] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_payload] = STATE(610),
    [sym_expression] = STATE(1170),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [321] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_payload] = STATE(611),
    [sym_expression] = STATE(1172),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [322] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_payload] = STATE(613),
    [sym_expression] = STATE(1178),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [323] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_payload] = STATE(616),
    [sym_expression] = STATE(1181),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [324] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_payload] = STATE(617),
    [sym_expression] = STATE(1185),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [325] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(689),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(986),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(989),
    [sym_primary_type_expression] = STATE(1005),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1559),
    [sym_if_type_expression] = STATE(1559),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1018),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1016),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(845),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [326] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1421),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(877),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(879),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(881),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [327] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(472),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(937),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(939),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(858),
    [sym_if_type_expression] = STATE(858),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(675),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [328] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1153),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(853),
    [sym_if_type_expression] = STATE(853),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(683),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(715),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [329] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_payload] = STATE(633),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1251),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [330] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_payload] = STATE(389),
    [sym_expression] = STATE(1004),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [331] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_payload] = STATE(644),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1251),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [332] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(628),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1394),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1735),
    [sym_if_type_expression] = STATE(1735),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(849),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [333] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(628),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1383),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1716),
    [sym_if_type_expression] = STATE(1716),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(849),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [334] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(472),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(937),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(955),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(861),
    [sym_if_type_expression] = STATE(861),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(675),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [335] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(472),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(937),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(932),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(814),
    [sym_if_type_expression] = STATE(814),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(675),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [336] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(472),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(955),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(861),
    [sym_if_type_expression] = STATE(861),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(675),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [337] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(472),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(932),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(814),
    [sym_if_type_expression] = STATE(814),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(675),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(837),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [338] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(472),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(937),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(934),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(838),
    [sym_if_type_expression] = STATE(838),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(675),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [339] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_payload] = STATE(431),
    [sym_expression] = STATE(990),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [340] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_payload] = STATE(663),
    [sym_expression] = STATE(1326),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [341] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(472),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(934),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(838),
    [sym_if_type_expression] = STATE(838),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(675),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [342] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(695),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__block_expr_statement] = STATE(761),
    [sym_expression_statement] = STATE(761),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1461),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1546),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [343] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_payload] = STATE(412),
    [sym_expression] = STATE(978),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [344] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(983),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1551),
    [sym_if_type_expression] = STATE(1551),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(845),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [345] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(377),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(975),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_comptime_type_expression] = STATE(1548),
    [sym_if_type_expression] = STATE(1548),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(845),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [346] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_payload] = STATE(523),
    [sym_expression] = STATE(914),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [347] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1420),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [348] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1372),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(887),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [349] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1403),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(889),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [350] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1353),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(891),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [351] = {
    [ts_builtin_sym_end] = ACTIONS(893),
    [sym__identifier] = ACTIONS(895),
    [anon_sym_COMMA] = ACTIONS(893),
    [anon_sym_comptime] = ACTIONS(895),
    [anon_sym_COLON] = ACTIONS(893),
    [anon_sym_EQ] = ACTIONS(895),
    [anon_sym_extern] = ACTIONS(895),
    [anon_sym_SEMI] = ACTIONS(893),
    [anon_sym_STAR_EQ] = ACTIONS(893),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(893),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(893),
    [anon_sym_SLASH_EQ] = ACTIONS(893),
    [anon_sym_PERCENT_EQ] = ACTIONS(893),
    [anon_sym_PLUS_EQ] = ACTIONS(893),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(893),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(893),
    [anon_sym_DASH_EQ] = ACTIONS(893),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(893),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(893),
    [anon_sym_LT_LT_EQ] = ACTIONS(893),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(893),
    [anon_sym_GT_GT_EQ] = ACTIONS(893),
    [anon_sym_AMP_EQ] = ACTIONS(893),
    [anon_sym_CARET_EQ] = ACTIONS(893),
    [anon_sym_PIPE_EQ] = ACTIONS(893),
    [anon_sym_inline] = ACTIONS(895),
    [anon_sym_fn] = ACTIONS(895),
    [anon_sym_BANG] = ACTIONS(895),
    [anon_sym_LPAREN] = ACTIONS(893),
    [anon_sym_RPAREN] = ACTIONS(893),
    [anon_sym_LBRACE] = ACTIONS(893),
    [anon_sym_RBRACE] = ACTIONS(893),
    [anon_sym_packed] = ACTIONS(895),
    [anon_sym_struct] = ACTIONS(895),
    [anon_sym_opaque] = ACTIONS(895),
    [anon_sym_enum] = ACTIONS(895),
    [anon_sym_union] = ACTIONS(895),
    [anon_sym_error] = ACTIONS(895),
    [anon_sym_nosuspend] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_else] = ACTIONS(895),
    [anon_sym_for] = ACTIONS(895),
    [anon_sym_DOT_DOT] = ACTIONS(893),
    [anon_sym_while] = ACTIONS(895),
    [anon_sym_PIPE] = ACTIONS(895),
    [anon_sym_STAR] = ACTIONS(895),
    [anon_sym_align] = ACTIONS(895),
    [anon_sym_addrspace] = ACTIONS(895),
    [anon_sym_linksection] = ACTIONS(895),
    [anon_sym_asm] = ACTIONS(895),
    [anon_sym_LBRACK] = ACTIONS(893),
    [anon_sym_RBRACK] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(895),
    [anon_sym_DASH_PERCENT] = ACTIONS(895),
    [anon_sym_AMP] = ACTIONS(895),
    [anon_sym_or] = ACTIONS(895),
    [anon_sym_and] = ACTIONS(895),
    [anon_sym_EQ_EQ] = ACTIONS(893),
    [anon_sym_BANG_EQ] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_GT_EQ] = ACTIONS(893),
    [anon_sym_LT_EQ] = ACTIONS(893),
    [anon_sym_LT] = ACTIONS(895),
    [anon_sym_CARET] = ACTIONS(895),
    [anon_sym_orelse] = ACTIONS(895),
    [anon_sym_LT_LT] = ACTIONS(895),
    [anon_sym_GT_GT] = ACTIONS(895),
    [anon_sym_LT_LT_PIPE] = ACTIONS(895),
    [anon_sym_PLUS] = ACTIONS(895),
    [anon_sym_PLUS_PLUS] = ACTIONS(893),
    [anon_sym_PLUS_PERCENT] = ACTIONS(895),
    [anon_sym_PLUS_PIPE] = ACTIONS(895),
    [anon_sym_DASH_PIPE] = ACTIONS(895),
    [anon_sym_SLASH] = ACTIONS(895),
    [anon_sym_PERCENT] = ACTIONS(895),
    [anon_sym_STAR_STAR] = ACTIONS(893),
    [anon_sym_STAR_PERCENT] = ACTIONS(895),
    [anon_sym_STAR_PIPE] = ACTIONS(895),
    [anon_sym_PIPE_PIPE] = ACTIONS(893),
    [anon_sym_async] = ACTIONS(895),
    [anon_sym_await] = ACTIONS(895),
    [anon_sym_continue] = ACTIONS(895),
    [anon_sym_resume] = ACTIONS(895),
    [anon_sym_return] = ACTIONS(895),
    [anon_sym_break] = ACTIONS(895),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_catch] = ACTIONS(895),
    [anon_sym_switch] = ACTIONS(895),
    [anon_sym_EQ_GT] = ACTIONS(893),
    [anon_sym_anyframe] = ACTIONS(895),
    [anon_sym_unreachable] = ACTIONS(895),
    [anon_sym_undefined] = ACTIONS(895),
    [anon_sym_null] = ACTIONS(895),
    [anon_sym_QMARK] = ACTIONS(893),
    [anon_sym_DOT] = ACTIONS(895),
    [anon_sym_DOT_STAR] = ACTIONS(893),
    [anon_sym_DOT_QMARK] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(893),
    [aux_sym_multiline_string_token1] = ACTIONS(893),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [sym_integer] = ACTIONS(895),
    [sym_float] = ACTIONS(893),
    [anon_sym_true] = ACTIONS(895),
    [anon_sym_false] = ACTIONS(895),
    [anon_sym_bool] = ACTIONS(895),
    [anon_sym_f16] = ACTIONS(895),
    [anon_sym_f32] = ACTIONS(895),
    [anon_sym_f64] = ACTIONS(895),
    [anon_sym_f128] = ACTIONS(895),
    [anon_sym_void] = ACTIONS(895),
    [anon_sym_type] = ACTIONS(895),
    [anon_sym_anyerror] = ACTIONS(895),
    [anon_sym_anyopaque] = ACTIONS(895),
    [anon_sym_anytype] = ACTIONS(895),
    [anon_sym_noreturn] = ACTIONS(895),
    [anon_sym_isize] = ACTIONS(895),
    [anon_sym_usize] = ACTIONS(895),
    [anon_sym_comptime_int] = ACTIONS(895),
    [anon_sym_comptime_float] = ACTIONS(895),
    [anon_sym_c_short] = ACTIONS(895),
    [anon_sym_c_ushort] = ACTIONS(895),
    [anon_sym_c_int] = ACTIONS(895),
    [anon_sym_c_uint] = ACTIONS(895),
    [anon_sym_c_long] = ACTIONS(895),
    [anon_sym_c_ulong] = ACTIONS(895),
    [anon_sym_c_longlong] = ACTIONS(895),
    [anon_sym_c_ulonglong] = ACTIONS(895),
    [anon_sym_c_longdouble] = ACTIONS(895),
    [aux_sym_builtin_type_token1] = ACTIONS(895),
    [sym_builtin_identifier] = ACTIONS(893),
    [anon_sym_AT] = ACTIONS(895),
    [sym_comment] = ACTIONS(3),
  },
  [352] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1369),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_EQ_GT] = ACTIONS(897),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [353] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1420),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(899),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [354] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1403),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_RBRACE] = ACTIONS(901),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [355] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1409),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(903),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [356] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1403),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(905),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [357] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1403),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [358] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(443),
    [sym__while_prefix] = STATE(444),
    [sym_expression] = STATE(1291),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_else] = ACTIONS(909),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [359] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1403),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(911),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [360] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1369),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_EQ_GT] = ACTIONS(913),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [361] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1369),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_EQ_GT] = ACTIONS(915),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [362] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1403),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_RBRACE] = ACTIONS(917),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [363] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1369),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_EQ_GT] = ACTIONS(919),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [364] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1403),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [365] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1403),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_RBRACE] = ACTIONS(923),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [366] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1403),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(925),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [367] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1403),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [368] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1420),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [369] = {
    [ts_builtin_sym_end] = ACTIONS(931),
    [sym__identifier] = ACTIONS(933),
    [anon_sym_COMMA] = ACTIONS(931),
    [anon_sym_comptime] = ACTIONS(933),
    [anon_sym_COLON] = ACTIONS(931),
    [anon_sym_EQ] = ACTIONS(933),
    [anon_sym_extern] = ACTIONS(933),
    [anon_sym_SEMI] = ACTIONS(931),
    [anon_sym_STAR_EQ] = ACTIONS(931),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(931),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(931),
    [anon_sym_SLASH_EQ] = ACTIONS(931),
    [anon_sym_PERCENT_EQ] = ACTIONS(931),
    [anon_sym_PLUS_EQ] = ACTIONS(931),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(931),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(931),
    [anon_sym_DASH_EQ] = ACTIONS(931),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(931),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(931),
    [anon_sym_LT_LT_EQ] = ACTIONS(931),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(931),
    [anon_sym_GT_GT_EQ] = ACTIONS(931),
    [anon_sym_AMP_EQ] = ACTIONS(931),
    [anon_sym_CARET_EQ] = ACTIONS(931),
    [anon_sym_PIPE_EQ] = ACTIONS(931),
    [anon_sym_inline] = ACTIONS(933),
    [anon_sym_fn] = ACTIONS(933),
    [anon_sym_BANG] = ACTIONS(933),
    [anon_sym_LPAREN] = ACTIONS(931),
    [anon_sym_RPAREN] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_RBRACE] = ACTIONS(931),
    [anon_sym_packed] = ACTIONS(933),
    [anon_sym_struct] = ACTIONS(933),
    [anon_sym_opaque] = ACTIONS(933),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_union] = ACTIONS(933),
    [anon_sym_error] = ACTIONS(933),
    [anon_sym_nosuspend] = ACTIONS(933),
    [anon_sym_if] = ACTIONS(933),
    [anon_sym_else] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_DOT_DOT] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_PIPE] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(933),
    [anon_sym_align] = ACTIONS(933),
    [anon_sym_addrspace] = ACTIONS(933),
    [anon_sym_linksection] = ACTIONS(933),
    [anon_sym_asm] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(931),
    [anon_sym_RBRACK] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(931),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_DASH_PERCENT] = ACTIONS(933),
    [anon_sym_AMP] = ACTIONS(933),
    [anon_sym_or] = ACTIONS(933),
    [anon_sym_and] = ACTIONS(933),
    [anon_sym_EQ_EQ] = ACTIONS(931),
    [anon_sym_BANG_EQ] = ACTIONS(931),
    [anon_sym_GT] = ACTIONS(933),
    [anon_sym_GT_EQ] = ACTIONS(931),
    [anon_sym_LT_EQ] = ACTIONS(931),
    [anon_sym_LT] = ACTIONS(933),
    [anon_sym_CARET] = ACTIONS(933),
    [anon_sym_orelse] = ACTIONS(933),
    [anon_sym_LT_LT] = ACTIONS(933),
    [anon_sym_GT_GT] = ACTIONS(933),
    [anon_sym_LT_LT_PIPE] = ACTIONS(933),
    [anon_sym_PLUS] = ACTIONS(933),
    [anon_sym_PLUS_PLUS] = ACTIONS(931),
    [anon_sym_PLUS_PERCENT] = ACTIONS(933),
    [anon_sym_PLUS_PIPE] = ACTIONS(933),
    [anon_sym_DASH_PIPE] = ACTIONS(933),
    [anon_sym_SLASH] = ACTIONS(933),
    [anon_sym_PERCENT] = ACTIONS(933),
    [anon_sym_STAR_STAR] = ACTIONS(931),
    [anon_sym_STAR_PERCENT] = ACTIONS(933),
    [anon_sym_STAR_PIPE] = ACTIONS(933),
    [anon_sym_PIPE_PIPE] = ACTIONS(931),
    [anon_sym_async] = ACTIONS(933),
    [anon_sym_await] = ACTIONS(933),
    [anon_sym_continue] = ACTIONS(933),
    [anon_sym_resume] = ACTIONS(933),
    [anon_sym_return] = ACTIONS(933),
    [anon_sym_break] = ACTIONS(933),
    [anon_sym_try] = ACTIONS(933),
    [anon_sym_catch] = ACTIONS(933),
    [anon_sym_switch] = ACTIONS(933),
    [anon_sym_EQ_GT] = ACTIONS(931),
    [anon_sym_anyframe] = ACTIONS(933),
    [anon_sym_unreachable] = ACTIONS(933),
    [anon_sym_undefined] = ACTIONS(933),
    [anon_sym_null] = ACTIONS(933),
    [anon_sym_QMARK] = ACTIONS(931),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_DOT_STAR] = ACTIONS(931),
    [anon_sym_DOT_QMARK] = ACTIONS(931),
    [anon_sym_DQUOTE] = ACTIONS(931),
    [aux_sym_multiline_string_token1] = ACTIONS(931),
    [anon_sym_SQUOTE] = ACTIONS(931),
    [sym_integer] = ACTIONS(933),
    [sym_float] = ACTIONS(931),
    [anon_sym_true] = ACTIONS(933),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_bool] = ACTIONS(933),
    [anon_sym_f16] = ACTIONS(933),
    [anon_sym_f32] = ACTIONS(933),
    [anon_sym_f64] = ACTIONS(933),
    [anon_sym_f128] = ACTIONS(933),
    [anon_sym_void] = ACTIONS(933),
    [anon_sym_type] = ACTIONS(933),
    [anon_sym_anyerror] = ACTIONS(933),
    [anon_sym_anyopaque] = ACTIONS(933),
    [anon_sym_anytype] = ACTIONS(933),
    [anon_sym_noreturn] = ACTIONS(933),
    [anon_sym_isize] = ACTIONS(933),
    [anon_sym_usize] = ACTIONS(933),
    [anon_sym_comptime_int] = ACTIONS(933),
    [anon_sym_comptime_float] = ACTIONS(933),
    [anon_sym_c_short] = ACTIONS(933),
    [anon_sym_c_ushort] = ACTIONS(933),
    [anon_sym_c_int] = ACTIONS(933),
    [anon_sym_c_uint] = ACTIONS(933),
    [anon_sym_c_long] = ACTIONS(933),
    [anon_sym_c_ulong] = ACTIONS(933),
    [anon_sym_c_longlong] = ACTIONS(933),
    [anon_sym_c_ulonglong] = ACTIONS(933),
    [anon_sym_c_longdouble] = ACTIONS(933),
    [aux_sym_builtin_type_token1] = ACTIONS(933),
    [sym_builtin_identifier] = ACTIONS(931),
    [anon_sym_AT] = ACTIONS(933),
    [sym_comment] = ACTIONS(3),
  },
  [370] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1375),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(935),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [371] = {
    [ts_builtin_sym_end] = ACTIONS(937),
    [sym__identifier] = ACTIONS(939),
    [anon_sym_COMMA] = ACTIONS(937),
    [anon_sym_comptime] = ACTIONS(939),
    [anon_sym_COLON] = ACTIONS(937),
    [anon_sym_EQ] = ACTIONS(939),
    [anon_sym_extern] = ACTIONS(939),
    [anon_sym_SEMI] = ACTIONS(937),
    [anon_sym_STAR_EQ] = ACTIONS(937),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(937),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(937),
    [anon_sym_SLASH_EQ] = ACTIONS(937),
    [anon_sym_PERCENT_EQ] = ACTIONS(937),
    [anon_sym_PLUS_EQ] = ACTIONS(937),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(937),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(937),
    [anon_sym_DASH_EQ] = ACTIONS(937),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(937),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(937),
    [anon_sym_LT_LT_EQ] = ACTIONS(937),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(937),
    [anon_sym_GT_GT_EQ] = ACTIONS(937),
    [anon_sym_AMP_EQ] = ACTIONS(937),
    [anon_sym_CARET_EQ] = ACTIONS(937),
    [anon_sym_PIPE_EQ] = ACTIONS(937),
    [anon_sym_inline] = ACTIONS(939),
    [anon_sym_fn] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(939),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_RPAREN] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(937),
    [anon_sym_RBRACE] = ACTIONS(937),
    [anon_sym_packed] = ACTIONS(939),
    [anon_sym_struct] = ACTIONS(939),
    [anon_sym_opaque] = ACTIONS(939),
    [anon_sym_enum] = ACTIONS(939),
    [anon_sym_union] = ACTIONS(939),
    [anon_sym_error] = ACTIONS(939),
    [anon_sym_nosuspend] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_else] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(939),
    [anon_sym_STAR] = ACTIONS(939),
    [anon_sym_align] = ACTIONS(939),
    [anon_sym_addrspace] = ACTIONS(939),
    [anon_sym_linksection] = ACTIONS(939),
    [anon_sym_asm] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_RBRACK] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(939),
    [anon_sym_DASH_PERCENT] = ACTIONS(939),
    [anon_sym_AMP] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(937),
    [anon_sym_BANG_EQ] = ACTIONS(937),
    [anon_sym_GT] = ACTIONS(939),
    [anon_sym_GT_EQ] = ACTIONS(937),
    [anon_sym_LT_EQ] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_orelse] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_LT_LT_PIPE] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_PLUS_PLUS] = ACTIONS(937),
    [anon_sym_PLUS_PERCENT] = ACTIONS(939),
    [anon_sym_PLUS_PIPE] = ACTIONS(939),
    [anon_sym_DASH_PIPE] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(937),
    [anon_sym_STAR_PERCENT] = ACTIONS(939),
    [anon_sym_STAR_PIPE] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(937),
    [anon_sym_async] = ACTIONS(939),
    [anon_sym_await] = ACTIONS(939),
    [anon_sym_continue] = ACTIONS(939),
    [anon_sym_resume] = ACTIONS(939),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_break] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(939),
    [anon_sym_catch] = ACTIONS(939),
    [anon_sym_switch] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(937),
    [anon_sym_anyframe] = ACTIONS(939),
    [anon_sym_unreachable] = ACTIONS(939),
    [anon_sym_undefined] = ACTIONS(939),
    [anon_sym_null] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(937),
    [anon_sym_DOT] = ACTIONS(939),
    [anon_sym_DOT_STAR] = ACTIONS(937),
    [anon_sym_DOT_QMARK] = ACTIONS(937),
    [anon_sym_DQUOTE] = ACTIONS(937),
    [aux_sym_multiline_string_token1] = ACTIONS(937),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_integer] = ACTIONS(939),
    [sym_float] = ACTIONS(937),
    [anon_sym_true] = ACTIONS(939),
    [anon_sym_false] = ACTIONS(939),
    [anon_sym_bool] = ACTIONS(939),
    [anon_sym_f16] = ACTIONS(939),
    [anon_sym_f32] = ACTIONS(939),
    [anon_sym_f64] = ACTIONS(939),
    [anon_sym_f128] = ACTIONS(939),
    [anon_sym_void] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_anyerror] = ACTIONS(939),
    [anon_sym_anyopaque] = ACTIONS(939),
    [anon_sym_anytype] = ACTIONS(939),
    [anon_sym_noreturn] = ACTIONS(939),
    [anon_sym_isize] = ACTIONS(939),
    [anon_sym_usize] = ACTIONS(939),
    [anon_sym_comptime_int] = ACTIONS(939),
    [anon_sym_comptime_float] = ACTIONS(939),
    [anon_sym_c_short] = ACTIONS(939),
    [anon_sym_c_ushort] = ACTIONS(939),
    [anon_sym_c_int] = ACTIONS(939),
    [anon_sym_c_uint] = ACTIONS(939),
    [anon_sym_c_long] = ACTIONS(939),
    [anon_sym_c_ulong] = ACTIONS(939),
    [anon_sym_c_longlong] = ACTIONS(939),
    [anon_sym_c_ulonglong] = ACTIONS(939),
    [anon_sym_c_longdouble] = ACTIONS(939),
    [aux_sym_builtin_type_token1] = ACTIONS(939),
    [sym_builtin_identifier] = ACTIONS(937),
    [anon_sym_AT] = ACTIONS(939),
    [sym_comment] = ACTIONS(3),
  },
  [372] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1369),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_EQ_GT] = ACTIONS(941),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [373] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1351),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(943),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [374] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1403),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_RBRACE] = ACTIONS(945),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [375] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1403),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(947),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [376] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(986),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1252),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [377] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(991),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(957),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [378] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1474),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [379] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1458),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1147),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [380] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1278),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [381] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1279),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [382] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1490),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1246),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [383] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1335),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [384] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1336),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [385] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(972),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [386] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1337),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [387] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1277),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [388] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(906),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [389] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(980),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [390] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1395),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [391] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1112),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [392] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1340),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [393] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1398),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [394] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1341),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [395] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1116),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [396] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1342),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [397] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1343),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [398] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1344),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [399] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1345),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [400] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1346),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [401] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1450),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [402] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1117),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [403] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1338),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [404] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1399),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [405] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1400),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [406] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(962),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [407] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(905),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [408] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1416),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [409] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(969),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [410] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(967),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [411] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1151),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [412] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(981),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [413] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1489),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [414] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1260),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [415] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1363),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [416] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1262),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [417] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1263),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [418] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1264),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [419] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1265),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [420] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(985),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [421] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(987),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [422] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1440),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [423] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1442),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [424] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1446),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [425] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1420),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [426] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1435),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [427] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1370),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [428] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1466),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [429] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(964),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [430] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1403),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [431] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(966),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [432] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(976),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [433] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1272),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [434] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1026),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [435] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1273),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [436] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(984),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [437] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1276),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [438] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(994),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [439] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(999),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [440] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1449),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [441] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1455),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [442] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1459),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [443] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1319),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [444] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1320),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [445] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(996),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [446] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1371),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [447] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(921),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [448] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1492),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1209),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1541),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [449] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1282),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [450] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1397),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [451] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1284),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [452] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1006),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [453] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(997),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [454] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(982),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [455] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1379),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [456] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1467),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [457] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1286),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [458] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1464),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [459] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1417),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [460] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1382),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [461] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1038),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [462] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1430),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [463] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1294),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [464] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1350),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [465] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1414),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [466] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1296),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [467] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1256),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [468] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1297),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [469] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1369),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [470] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1462),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [471] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1300),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [472] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(991),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(928),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [473] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(952),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [474] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(953),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [475] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(986),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(956),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [476] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(890),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [477] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(891),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [478] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(943),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [479] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(951),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [480] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1439),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [481] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1419),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [482] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1392),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [483] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(986),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(989),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [484] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [485] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(894),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [486] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1267),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [487] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(895),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [488] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(905),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [489] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(896),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [490] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(897),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [491] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(898),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [492] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(899),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [493] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(900),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [494] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1441),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [495] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(903),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [496] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1486),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [497] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1270),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [498] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1451),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1221),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [499] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1303),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [500] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1349),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [501] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1493),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1088),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [502] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(908),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [503] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1287),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [504] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(910),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [505] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(911),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [506] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(912),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [507] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(913),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [508] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1288),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [509] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1447),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [510] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1292),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [511] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1302),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [512] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1470),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [513] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1468),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [514] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(959),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [515] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1083),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [516] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1295),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [517] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1471),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(949),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [518] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(916),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [519] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(887),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [520] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(917),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [521] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1301),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [522] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1091),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [523] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(919),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [524] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1305),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [525] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1306),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [526] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1307),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [527] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1308),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [528] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1309),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [529] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(951),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [530] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1094),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [531] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1311),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [532] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1432),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [533] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1443),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [534] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(993),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [535] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(920),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [536] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1002),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [537] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(923),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [538] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1003),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [539] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(995),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [540] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1465),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [541] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1436),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [542] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1176),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [543] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(924),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [544] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1406),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [545] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(998),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [546] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1314),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [547] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1469),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [548] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1235),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [549] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1316),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [550] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1317),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [551] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1024),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [552] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1198),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [553] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1199),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [554] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1119),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [555] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1120),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [556] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1205),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [557] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1206),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [558] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1318),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [559] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1122),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [560] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1123),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [561] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1091),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [562] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1124),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [563] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1125),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [564] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1126),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [565] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1127),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [566] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1128),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [567] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1321),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [568] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1132),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [569] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1477),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [570] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1135),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [571] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1411),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [572] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1137),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [573] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1138),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [574] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1139),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [575] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1140),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [576] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1412),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [577] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1142),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [578] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1143),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [579] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1456),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [580] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1145),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [581] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1146),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [582] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(960),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [583] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1148),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [584] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1149),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [585] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1240),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [586] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1241),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [587] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1155),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [588] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1156),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [589] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1231),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [590] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1239),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [591] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1010),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [592] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1159),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [593] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1160),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [594] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1116),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [595] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1161),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [596] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1162),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [597] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1163),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [598] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1164),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [599] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1165),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [600] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1437),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [601] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1168),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [602] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(988),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [603] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1171),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [604] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1355),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [605] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1173),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [606] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1174),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [607] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1175),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [608] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1177),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [609] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1445),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [610] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1179),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [611] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1180),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [612] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(986),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [613] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1182),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [614] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1183),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [615] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(991),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [616] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1186),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [617] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1187),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [618] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(937),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [619] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(944),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [620] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1324),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [621] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1228),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [622] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(945),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [623] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(946),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [624] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(947),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [625] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1325),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [626] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(937),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [627] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(479),
    [sym__for_prefix] = STATE(473),
    [sym__while_prefix] = STATE(474),
    [sym_expression] = STATE(950),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1544),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(109),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_DASH_PERCENT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_await] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [628] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(991),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1334),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [629] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(986),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1252),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [630] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1327),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [631] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1448),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [632] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(886),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [633] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1253),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [634] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1038),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [635] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1191),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [636] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1192),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [637] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1193),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [638] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1194),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [639] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(968),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [640] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1429),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [641] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(557),
    [sym__for_prefix] = STATE(552),
    [sym__while_prefix] = STATE(553),
    [sym_expression] = STATE(1197),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1538),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_DASH_PERCENT] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [642] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(991),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1347),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [643] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1418),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [644] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1253),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [645] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1043),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [646] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1304),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [647] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1257),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [648] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(387),
    [sym__for_prefix] = STATE(380),
    [sym__while_prefix] = STATE(381),
    [sym_expression] = STATE(1258),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1020),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1540),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(235),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(237),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(241),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_DASH_PERCENT] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(245),
    [anon_sym_await] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [649] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1043),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [650] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1232),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [651] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1233),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [652] = {
    [sym__function_prototype] = STATE(1158),
    [sym_block] = STATE(1220),
    [sym_struct_declaration] = STATE(1208),
    [sym_opaque_declaration] = STATE(1208),
    [sym_enum_declaration] = STATE(1208),
    [sym_union_declaration] = STATE(1208),
    [sym_error_set_declaration] = STATE(1029),
    [sym__if_prefix] = STATE(590),
    [sym__for_prefix] = STATE(585),
    [sym__while_prefix] = STATE(586),
    [sym_expression] = STATE(1234),
    [sym_asm_expression] = STATE(1220),
    [sym_if_expression] = STATE(1220),
    [sym_for_expression] = STATE(1220),
    [sym_while_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1220),
    [sym_unary_expression] = STATE(1220),
    [sym_binary_expression] = STATE(1220),
    [sym_comptime_expression] = STATE(1220),
    [sym_async_expression] = STATE(1220),
    [sym_await_expression] = STATE(1220),
    [sym_nosuspend_expression] = STATE(1220),
    [sym_continue_expression] = STATE(1220),
    [sym_resume_expression] = STATE(1220),
    [sym_return_expression] = STATE(1220),
    [sym_break_expression] = STATE(1220),
    [sym_try_expression] = STATE(1220),
    [sym_catch_expression] = STATE(1220),
    [sym_switch_expression] = STATE(1208),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1013),
    [sym_nullable_type] = STATE(1208),
    [sym_anyframe_type] = STATE(1208),
    [sym_slice_type] = STATE(1208),
    [sym_pointer_type] = STATE(1208),
    [sym_array_type] = STATE(1208),
    [sym_error_union_type] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_index_expression] = STATE(1208),
    [sym_dereference_expression] = STATE(1208),
    [sym_null_coercion_expression] = STATE(1208),
    [sym_range_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_anonymous_struct_initializer] = STATE(1029),
    [sym_struct_initializer] = STATE(1029),
    [sym_labeled_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_block_label] = STATE(1542),
    [sym_builtin_function] = STATE(1208),
    [sym_string] = STATE(1208),
    [sym_multiline_string] = STATE(1208),
    [sym_character] = STATE(1208),
    [sym_boolean] = STATE(1208),
    [sym_builtin_type] = STATE(1022),
    [sym_error_type] = STATE(1208),
    [sym_identifier] = STATE(1012),
    [sym__reserved_identifier] = STATE(700),
    [aux_sym_multiline_string_repeat1] = STATE(1001),
    [sym__identifier] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(161),
    [anon_sym_inline] = ACTIONS(163),
    [anon_sym_fn] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_packed] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(173),
    [anon_sym_opaque] = ACTIONS(175),
    [anon_sym_enum] = ACTIONS(177),
    [anon_sym_union] = ACTIONS(179),
    [anon_sym_error] = ACTIONS(181),
    [anon_sym_nosuspend] = ACTIONS(183),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_asm] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_DASH_PERCENT] = ACTIONS(191),
    [anon_sym_AMP] = ACTIONS(191),
    [anon_sym_async] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_continue] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(201),
    [anon_sym_break] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_anyframe] = ACTIONS(209),
    [anon_sym_unreachable] = ACTIONS(211),
    [anon_sym_undefined] = ACTIONS(213),
    [anon_sym_null] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [aux_sym_multiline_string_token1] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [sym_integer] = ACTIONS(211),
    [sym_float] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [anon_sym_bool] = ACTIONS(229),
    [anon_sym_f16] = ACTIONS(229),
    [anon_sym_f32] = ACTIONS(229),
    [anon_sym_f64] = ACTIONS(229),
    [anon_sym_f128] = ACTIONS(229),
    [anon_sym_void] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_anyerror] = ACTIONS(229),
    [anon_sym_anyopaque] = ACTIONS(229),
    [anon_sym_anytype] = ACTIONS(229),
    [anon_sym_noreturn] = ACTIONS(229),
    [anon_sym_isize] = ACTIONS(229),
    [anon_sym_usize] = ACTIONS(229),
    [anon_sym_comptime_int] = ACTIONS(229),
    [anon_sym_comptime_float] = ACTIONS(229),
    [anon_sym_c_short] = ACTIONS(229),
    [anon_sym_c_ushort] = ACTIONS(229),
    [anon_sym_c_int] = ACTIONS(229),
    [anon_sym_c_uint] = ACTIONS(229),
    [anon_sym_c_long] = ACTIONS(229),
    [anon_sym_c_ulong] = ACTIONS(229),
    [anon_sym_c_longlong] = ACTIONS(229),
    [anon_sym_c_ulonglong] = ACTIONS(229),
    [anon_sym_c_longdouble] = ACTIONS(229),
    [aux_sym_builtin_type_token1] = ACTIONS(229),
    [sym_builtin_identifier] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [653] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1457),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [654] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1009),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [655] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1463),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [656] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1475),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [657] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1410),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [658] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1476),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [659] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1422),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [660] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1494),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1055),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [661] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1328),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [662] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1460),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [663] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1330),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [664] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1358),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [665] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1438),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [666] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1444),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [667] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1431),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [668] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1433),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [669] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1426),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [670] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1473),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [671] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1352),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [672] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1491),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(933),
    [sym_primary_type_expression] = STATE(810),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [673] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1434),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [674] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(511),
    [sym__for_prefix] = STATE(499),
    [sym__while_prefix] = STATE(500),
    [sym_expression] = STATE(1331),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(1033),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1537),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(1061),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(1087),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(257),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(259),
    [anon_sym_fn] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(663),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_await] = ACTIONS(275),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(283),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(285),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(287),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [675] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1427),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [676] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1452),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [677] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1453),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [678] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1454),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [679] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1478),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [680] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1479),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [681] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1428),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [682] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1480),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(953),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [683] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1481),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [684] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1482),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [685] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(955),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [686] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1487),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [687] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1488),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [688] = {
    [sym__function_prototype] = STATE(863),
    [sym_block] = STATE(843),
    [sym_struct_declaration] = STATE(859),
    [sym_opaque_declaration] = STATE(859),
    [sym_enum_declaration] = STATE(859),
    [sym_union_declaration] = STATE(859),
    [sym_error_set_declaration] = STATE(866),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(445),
    [sym__while_prefix] = STATE(453),
    [sym_expression] = STATE(1407),
    [sym_asm_expression] = STATE(843),
    [sym_if_expression] = STATE(843),
    [sym_for_expression] = STATE(843),
    [sym_while_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_comptime_expression] = STATE(843),
    [sym_async_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_nosuspend_expression] = STATE(843),
    [sym_continue_expression] = STATE(843),
    [sym_resume_expression] = STATE(843),
    [sym_return_expression] = STATE(843),
    [sym_break_expression] = STATE(843),
    [sym_try_expression] = STATE(843),
    [sym_catch_expression] = STATE(843),
    [sym_switch_expression] = STATE(859),
    [sym_type_expression] = STATE(883),
    [sym_primary_type_expression] = STATE(809),
    [sym_nullable_type] = STATE(859),
    [sym_anyframe_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(859),
    [sym_error_union_type] = STATE(859),
    [sym_field_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_dereference_expression] = STATE(859),
    [sym_null_coercion_expression] = STATE(859),
    [sym_range_expression] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_anonymous_struct_initializer] = STATE(866),
    [sym_struct_initializer] = STATE(866),
    [sym_labeled_type_expression] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym_block_label] = STATE(1536),
    [sym_builtin_function] = STATE(859),
    [sym_string] = STATE(859),
    [sym_multiline_string] = STATE(859),
    [sym_character] = STATE(859),
    [sym_boolean] = STATE(859),
    [sym_builtin_type] = STATE(813),
    [sym_error_type] = STATE(859),
    [sym_identifier] = STATE(831),
    [sym__reserved_identifier] = STATE(371),
    [aux_sym_multiline_string_repeat1] = STATE(806),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(151),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym_inline] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_packed] = ACTIONS(37),
    [anon_sym_struct] = ACTIONS(39),
    [anon_sym_opaque] = ACTIONS(41),
    [anon_sym_enum] = ACTIONS(43),
    [anon_sym_union] = ACTIONS(45),
    [anon_sym_error] = ACTIONS(47),
    [anon_sym_nosuspend] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_asm] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_DASH_PERCENT] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_continue] = ACTIONS(69),
    [anon_sym_resume] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_anyframe] = ACTIONS(81),
    [anon_sym_unreachable] = ACTIONS(83),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [aux_sym_multiline_string_token1] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(97),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_bool] = ACTIONS(101),
    [anon_sym_f16] = ACTIONS(101),
    [anon_sym_f32] = ACTIONS(101),
    [anon_sym_f64] = ACTIONS(101),
    [anon_sym_f128] = ACTIONS(101),
    [anon_sym_void] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(101),
    [anon_sym_anyerror] = ACTIONS(101),
    [anon_sym_anyopaque] = ACTIONS(101),
    [anon_sym_anytype] = ACTIONS(101),
    [anon_sym_noreturn] = ACTIONS(101),
    [anon_sym_isize] = ACTIONS(101),
    [anon_sym_usize] = ACTIONS(101),
    [anon_sym_comptime_int] = ACTIONS(101),
    [anon_sym_comptime_float] = ACTIONS(101),
    [anon_sym_c_short] = ACTIONS(101),
    [anon_sym_c_ushort] = ACTIONS(101),
    [anon_sym_c_int] = ACTIONS(101),
    [anon_sym_c_uint] = ACTIONS(101),
    [anon_sym_c_long] = ACTIONS(101),
    [anon_sym_c_ulong] = ACTIONS(101),
    [anon_sym_c_longlong] = ACTIONS(101),
    [anon_sym_c_ulonglong] = ACTIONS(101),
    [anon_sym_c_longdouble] = ACTIONS(101),
    [aux_sym_builtin_type_token1] = ACTIONS(101),
    [sym_builtin_identifier] = ACTIONS(103),
    [anon_sym_AT] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [689] = {
    [ts_builtin_sym_end] = ACTIONS(957),
    [sym__identifier] = ACTIONS(959),
    [anon_sym_pub] = ACTIONS(959),
    [anon_sym_test] = ACTIONS(959),
    [anon_sym_comptime] = ACTIONS(959),
    [anon_sym_EQ] = ACTIONS(961),
    [anon_sym_export] = ACTIONS(959),
    [anon_sym_extern] = ACTIONS(959),
    [anon_sym_threadlocal] = ACTIONS(959),
    [anon_sym_STAR_EQ] = ACTIONS(963),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(963),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(963),
    [anon_sym_SLASH_EQ] = ACTIONS(963),
    [anon_sym_PERCENT_EQ] = ACTIONS(963),
    [anon_sym_PLUS_EQ] = ACTIONS(963),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(963),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(963),
    [anon_sym_DASH_EQ] = ACTIONS(963),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(963),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(963),
    [anon_sym_LT_LT_EQ] = ACTIONS(963),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(963),
    [anon_sym_GT_GT_EQ] = ACTIONS(963),
    [anon_sym_AMP_EQ] = ACTIONS(963),
    [anon_sym_CARET_EQ] = ACTIONS(963),
    [anon_sym_PIPE_EQ] = ACTIONS(963),
    [anon_sym_const] = ACTIONS(959),
    [anon_sym_var] = ACTIONS(959),
    [anon_sym_inline] = ACTIONS(959),
    [anon_sym_noinline] = ACTIONS(959),
    [anon_sym_fn] = ACTIONS(959),
    [anon_sym_BANG] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(957),
    [anon_sym_usingnamespace] = ACTIONS(959),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_RBRACE] = ACTIONS(957),
    [anon_sym_packed] = ACTIONS(959),
    [anon_sym_struct] = ACTIONS(959),
    [anon_sym_opaque] = ACTIONS(959),
    [anon_sym_enum] = ACTIONS(959),
    [anon_sym_union] = ACTIONS(959),
    [anon_sym_error] = ACTIONS(959),
    [anon_sym_nosuspend] = ACTIONS(959),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(963),
    [anon_sym_while] = ACTIONS(959),
    [anon_sym_PIPE] = ACTIONS(961),
    [anon_sym_STAR] = ACTIONS(959),
    [anon_sym_asm] = ACTIONS(959),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_TILDE] = ACTIONS(957),
    [anon_sym_DASH] = ACTIONS(959),
    [anon_sym_DASH_PERCENT] = ACTIONS(959),
    [anon_sym_AMP] = ACTIONS(959),
    [anon_sym_or] = ACTIONS(961),
    [anon_sym_and] = ACTIONS(961),
    [anon_sym_EQ_EQ] = ACTIONS(963),
    [anon_sym_BANG_EQ] = ACTIONS(963),
    [anon_sym_GT] = ACTIONS(961),
    [anon_sym_GT_EQ] = ACTIONS(963),
    [anon_sym_LT_EQ] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(961),
    [anon_sym_CARET] = ACTIONS(961),
    [anon_sym_orelse] = ACTIONS(961),
    [anon_sym_LT_LT] = ACTIONS(961),
    [anon_sym_GT_GT] = ACTIONS(961),
    [anon_sym_LT_LT_PIPE] = ACTIONS(961),
    [anon_sym_PLUS] = ACTIONS(961),
    [anon_sym_PLUS_PLUS] = ACTIONS(963),
    [anon_sym_PLUS_PERCENT] = ACTIONS(961),
    [anon_sym_PLUS_PIPE] = ACTIONS(961),
    [anon_sym_DASH_PIPE] = ACTIONS(961),
    [anon_sym_SLASH] = ACTIONS(961),
    [anon_sym_PERCENT] = ACTIONS(961),
    [anon_sym_STAR_STAR] = ACTIONS(963),
    [anon_sym_STAR_PERCENT] = ACTIONS(961),
    [anon_sym_STAR_PIPE] = ACTIONS(961),
    [anon_sym_PIPE_PIPE] = ACTIONS(963),
    [anon_sym_async] = ACTIONS(959),
    [anon_sym_await] = ACTIONS(959),
    [anon_sym_continue] = ACTIONS(959),
    [anon_sym_resume] = ACTIONS(959),
    [anon_sym_return] = ACTIONS(959),
    [anon_sym_break] = ACTIONS(959),
    [anon_sym_try] = ACTIONS(959),
    [anon_sym_catch] = ACTIONS(961),
    [anon_sym_switch] = ACTIONS(959),
    [anon_sym_anyframe] = ACTIONS(959),
    [anon_sym_unreachable] = ACTIONS(959),
    [anon_sym_undefined] = ACTIONS(959),
    [anon_sym_null] = ACTIONS(959),
    [anon_sym_QMARK] = ACTIONS(957),
    [anon_sym_DOT] = ACTIONS(959),
    [anon_sym_DOT_STAR] = ACTIONS(963),
    [anon_sym_DOT_QMARK] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(957),
    [aux_sym_multiline_string_token1] = ACTIONS(957),
    [anon_sym_SQUOTE] = ACTIONS(957),
    [sym_integer] = ACTIONS(959),
    [sym_float] = ACTIONS(957),
    [anon_sym_true] = ACTIONS(959),
    [anon_sym_false] = ACTIONS(959),
    [anon_sym_bool] = ACTIONS(959),
    [anon_sym_f16] = ACTIONS(959),
    [anon_sym_f32] = ACTIONS(959),
    [anon_sym_f64] = ACTIONS(959),
    [anon_sym_f128] = ACTIONS(959),
    [anon_sym_void] = ACTIONS(959),
    [anon_sym_type] = ACTIONS(959),
    [anon_sym_anyerror] = ACTIONS(959),
    [anon_sym_anyopaque] = ACTIONS(959),
    [anon_sym_anytype] = ACTIONS(959),
    [anon_sym_noreturn] = ACTIONS(959),
    [anon_sym_isize] = ACTIONS(959),
    [anon_sym_usize] = ACTIONS(959),
    [anon_sym_comptime_int] = ACTIONS(959),
    [anon_sym_comptime_float] = ACTIONS(959),
    [anon_sym_c_short] = ACTIONS(959),
    [anon_sym_c_ushort] = ACTIONS(959),
    [anon_sym_c_int] = ACTIONS(959),
    [anon_sym_c_uint] = ACTIONS(959),
    [anon_sym_c_long] = ACTIONS(959),
    [anon_sym_c_ulong] = ACTIONS(959),
    [anon_sym_c_longlong] = ACTIONS(959),
    [anon_sym_c_ulonglong] = ACTIONS(959),
    [anon_sym_c_longdouble] = ACTIONS(959),
    [aux_sym_builtin_type_token1] = ACTIONS(959),
    [sym_builtin_identifier] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(959),
    [sym_comment] = ACTIONS(3),
  },
  [690] = {
    [sym__identifier] = ACTIONS(965),
    [anon_sym_COMMA] = ACTIONS(967),
    [anon_sym_comptime] = ACTIONS(965),
    [anon_sym_EQ] = ACTIONS(969),
    [anon_sym_extern] = ACTIONS(965),
    [anon_sym_SEMI] = ACTIONS(967),
    [anon_sym_STAR_EQ] = ACTIONS(967),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(967),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(967),
    [anon_sym_SLASH_EQ] = ACTIONS(967),
    [anon_sym_PERCENT_EQ] = ACTIONS(967),
    [anon_sym_PLUS_EQ] = ACTIONS(967),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(967),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(967),
    [anon_sym_DASH_EQ] = ACTIONS(967),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(967),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(967),
    [anon_sym_LT_LT_EQ] = ACTIONS(967),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(967),
    [anon_sym_GT_GT_EQ] = ACTIONS(967),
    [anon_sym_AMP_EQ] = ACTIONS(967),
    [anon_sym_CARET_EQ] = ACTIONS(967),
    [anon_sym_PIPE_EQ] = ACTIONS(967),
    [anon_sym_const] = ACTIONS(965),
    [anon_sym_var] = ACTIONS(965),
    [anon_sym_inline] = ACTIONS(965),
    [anon_sym_fn] = ACTIONS(965),
    [anon_sym_BANG] = ACTIONS(965),
    [anon_sym_LPAREN] = ACTIONS(971),
    [anon_sym_LBRACE] = ACTIONS(971),
    [anon_sym_RBRACE] = ACTIONS(971),
    [anon_sym_packed] = ACTIONS(965),
    [anon_sym_struct] = ACTIONS(965),
    [anon_sym_opaque] = ACTIONS(965),
    [anon_sym_enum] = ACTIONS(965),
    [anon_sym_union] = ACTIONS(965),
    [anon_sym_error] = ACTIONS(965),
    [anon_sym_nosuspend] = ACTIONS(965),
    [anon_sym_suspend] = ACTIONS(965),
    [anon_sym_defer] = ACTIONS(965),
    [anon_sym_errdefer] = ACTIONS(965),
    [anon_sym_if] = ACTIONS(965),
    [anon_sym_else] = ACTIONS(965),
    [anon_sym_for] = ACTIONS(965),
    [anon_sym_DOT_DOT] = ACTIONS(967),
    [anon_sym_while] = ACTIONS(965),
    [anon_sym_PIPE] = ACTIONS(969),
    [anon_sym_STAR] = ACTIONS(965),
    [anon_sym_asm] = ACTIONS(965),
    [anon_sym_LBRACK] = ACTIONS(971),
    [anon_sym_TILDE] = ACTIONS(971),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_DASH_PERCENT] = ACTIONS(965),
    [anon_sym_AMP] = ACTIONS(965),
    [anon_sym_or] = ACTIONS(969),
    [anon_sym_and] = ACTIONS(969),
    [anon_sym_EQ_EQ] = ACTIONS(967),
    [anon_sym_BANG_EQ] = ACTIONS(967),
    [anon_sym_GT] = ACTIONS(969),
    [anon_sym_GT_EQ] = ACTIONS(967),
    [anon_sym_LT_EQ] = ACTIONS(967),
    [anon_sym_LT] = ACTIONS(969),
    [anon_sym_CARET] = ACTIONS(969),
    [anon_sym_orelse] = ACTIONS(969),
    [anon_sym_LT_LT] = ACTIONS(969),
    [anon_sym_GT_GT] = ACTIONS(969),
    [anon_sym_LT_LT_PIPE] = ACTIONS(969),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_PLUS_PLUS] = ACTIONS(967),
    [anon_sym_PLUS_PERCENT] = ACTIONS(969),
    [anon_sym_PLUS_PIPE] = ACTIONS(969),
    [anon_sym_DASH_PIPE] = ACTIONS(969),
    [anon_sym_SLASH] = ACTIONS(969),
    [anon_sym_PERCENT] = ACTIONS(969),
    [anon_sym_STAR_STAR] = ACTIONS(967),
    [anon_sym_STAR_PERCENT] = ACTIONS(969),
    [anon_sym_STAR_PIPE] = ACTIONS(969),
    [anon_sym_PIPE_PIPE] = ACTIONS(967),
    [anon_sym_async] = ACTIONS(965),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_continue] = ACTIONS(965),
    [anon_sym_resume] = ACTIONS(965),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_break] = ACTIONS(965),
    [anon_sym_try] = ACTIONS(965),
    [anon_sym_catch] = ACTIONS(969),
    [anon_sym_switch] = ACTIONS(965),
    [anon_sym_anyframe] = ACTIONS(965),
    [anon_sym_unreachable] = ACTIONS(965),
    [anon_sym_undefined] = ACTIONS(965),
    [anon_sym_null] = ACTIONS(965),
    [anon_sym_QMARK] = ACTIONS(971),
    [anon_sym_DOT] = ACTIONS(965),
    [anon_sym_DOT_STAR] = ACTIONS(967),
    [anon_sym_DOT_QMARK] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [aux_sym_multiline_string_token1] = ACTIONS(971),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [sym_integer] = ACTIONS(965),
    [sym_float] = ACTIONS(971),
    [anon_sym_true] = ACTIONS(965),
    [anon_sym_false] = ACTIONS(965),
    [anon_sym_bool] = ACTIONS(965),
    [anon_sym_f16] = ACTIONS(965),
    [anon_sym_f32] = ACTIONS(965),
    [anon_sym_f64] = ACTIONS(965),
    [anon_sym_f128] = ACTIONS(965),
    [anon_sym_void] = ACTIONS(965),
    [anon_sym_type] = ACTIONS(965),
    [anon_sym_anyerror] = ACTIONS(965),
    [anon_sym_anyopaque] = ACTIONS(965),
    [anon_sym_anytype] = ACTIONS(965),
    [anon_sym_noreturn] = ACTIONS(965),
    [anon_sym_isize] = ACTIONS(965),
    [anon_sym_usize] = ACTIONS(965),
    [anon_sym_comptime_int] = ACTIONS(965),
    [anon_sym_comptime_float] = ACTIONS(965),
    [anon_sym_c_short] = ACTIONS(965),
    [anon_sym_c_ushort] = ACTIONS(965),
    [anon_sym_c_int] = ACTIONS(965),
    [anon_sym_c_uint] = ACTIONS(965),
    [anon_sym_c_long] = ACTIONS(965),
    [anon_sym_c_ulong] = ACTIONS(965),
    [anon_sym_c_longlong] = ACTIONS(965),
    [anon_sym_c_ulonglong] = ACTIONS(965),
    [anon_sym_c_longdouble] = ACTIONS(965),
    [aux_sym_builtin_type_token1] = ACTIONS(965),
    [sym_builtin_identifier] = ACTIONS(971),
    [anon_sym_AT] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
  },
  [691] = {
    [sym__identifier] = ACTIONS(973),
    [anon_sym_COMMA] = ACTIONS(963),
    [anon_sym_comptime] = ACTIONS(973),
    [anon_sym_EQ] = ACTIONS(961),
    [anon_sym_extern] = ACTIONS(973),
    [anon_sym_SEMI] = ACTIONS(963),
    [anon_sym_STAR_EQ] = ACTIONS(963),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(963),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(963),
    [anon_sym_SLASH_EQ] = ACTIONS(963),
    [anon_sym_PERCENT_EQ] = ACTIONS(963),
    [anon_sym_PLUS_EQ] = ACTIONS(963),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(963),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(963),
    [anon_sym_DASH_EQ] = ACTIONS(963),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(963),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(963),
    [anon_sym_LT_LT_EQ] = ACTIONS(963),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(963),
    [anon_sym_GT_GT_EQ] = ACTIONS(963),
    [anon_sym_AMP_EQ] = ACTIONS(963),
    [anon_sym_CARET_EQ] = ACTIONS(963),
    [anon_sym_PIPE_EQ] = ACTIONS(963),
    [anon_sym_const] = ACTIONS(973),
    [anon_sym_var] = ACTIONS(973),
    [anon_sym_inline] = ACTIONS(973),
    [anon_sym_fn] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_LPAREN] = ACTIONS(975),
    [anon_sym_LBRACE] = ACTIONS(975),
    [anon_sym_RBRACE] = ACTIONS(975),
    [anon_sym_packed] = ACTIONS(973),
    [anon_sym_struct] = ACTIONS(973),
    [anon_sym_opaque] = ACTIONS(973),
    [anon_sym_enum] = ACTIONS(973),
    [anon_sym_union] = ACTIONS(973),
    [anon_sym_error] = ACTIONS(973),
    [anon_sym_nosuspend] = ACTIONS(973),
    [anon_sym_suspend] = ACTIONS(973),
    [anon_sym_defer] = ACTIONS(973),
    [anon_sym_errdefer] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(973),
    [anon_sym_else] = ACTIONS(973),
    [anon_sym_for] = ACTIONS(973),
    [anon_sym_DOT_DOT] = ACTIONS(963),
    [anon_sym_while] = ACTIONS(973),
    [anon_sym_PIPE] = ACTIONS(961),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_asm] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(975),
    [anon_sym_TILDE] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_DASH_PERCENT] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(973),
    [anon_sym_or] = ACTIONS(961),
    [anon_sym_and] = ACTIONS(961),
    [anon_sym_EQ_EQ] = ACTIONS(963),
    [anon_sym_BANG_EQ] = ACTIONS(963),
    [anon_sym_GT] = ACTIONS(961),
    [anon_sym_GT_EQ] = ACTIONS(963),
    [anon_sym_LT_EQ] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(961),
    [anon_sym_CARET] = ACTIONS(961),
    [anon_sym_orelse] = ACTIONS(961),
    [anon_sym_LT_LT] = ACTIONS(961),
    [anon_sym_GT_GT] = ACTIONS(961),
    [anon_sym_LT_LT_PIPE] = ACTIONS(961),
    [anon_sym_PLUS] = ACTIONS(961),
    [anon_sym_PLUS_PLUS] = ACTIONS(963),
    [anon_sym_PLUS_PERCENT] = ACTIONS(961),
    [anon_sym_PLUS_PIPE] = ACTIONS(961),
    [anon_sym_DASH_PIPE] = ACTIONS(961),
    [anon_sym_SLASH] = ACTIONS(961),
    [anon_sym_PERCENT] = ACTIONS(961),
    [anon_sym_STAR_STAR] = ACTIONS(963),
    [anon_sym_STAR_PERCENT] = ACTIONS(961),
    [anon_sym_STAR_PIPE] = ACTIONS(961),
    [anon_sym_PIPE_PIPE] = ACTIONS(963),
    [anon_sym_async] = ACTIONS(973),
    [anon_sym_await] = ACTIONS(973),
    [anon_sym_continue] = ACTIONS(973),
    [anon_sym_resume] = ACTIONS(973),
    [anon_sym_return] = ACTIONS(973),
    [anon_sym_break] = ACTIONS(973),
    [anon_sym_try] = ACTIONS(973),
    [anon_sym_catch] = ACTIONS(961),
    [anon_sym_switch] = ACTIONS(973),
    [anon_sym_anyframe] = ACTIONS(973),
    [anon_sym_unreachable] = ACTIONS(973),
    [anon_sym_undefined] = ACTIONS(973),
    [anon_sym_null] = ACTIONS(973),
    [anon_sym_QMARK] = ACTIONS(975),
    [anon_sym_DOT] = ACTIONS(973),
    [anon_sym_DOT_STAR] = ACTIONS(963),
    [anon_sym_DOT_QMARK] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(975),
    [aux_sym_multiline_string_token1] = ACTIONS(975),
    [anon_sym_SQUOTE] = ACTIONS(975),
    [sym_integer] = ACTIONS(973),
    [sym_float] = ACTIONS(975),
    [anon_sym_true] = ACTIONS(973),
    [anon_sym_false] = ACTIONS(973),
    [anon_sym_bool] = ACTIONS(973),
    [anon_sym_f16] = ACTIONS(973),
    [anon_sym_f32] = ACTIONS(973),
    [anon_sym_f64] = ACTIONS(973),
    [anon_sym_f128] = ACTIONS(973),
    [anon_sym_void] = ACTIONS(973),
    [anon_sym_type] = ACTIONS(973),
    [anon_sym_anyerror] = ACTIONS(973),
    [anon_sym_anyopaque] = ACTIONS(973),
    [anon_sym_anytype] = ACTIONS(973),
    [anon_sym_noreturn] = ACTIONS(973),
    [anon_sym_isize] = ACTIONS(973),
    [anon_sym_usize] = ACTIONS(973),
    [anon_sym_comptime_int] = ACTIONS(973),
    [anon_sym_comptime_float] = ACTIONS(973),
    [anon_sym_c_short] = ACTIONS(973),
    [anon_sym_c_ushort] = ACTIONS(973),
    [anon_sym_c_int] = ACTIONS(973),
    [anon_sym_c_uint] = ACTIONS(973),
    [anon_sym_c_long] = ACTIONS(973),
    [anon_sym_c_ulong] = ACTIONS(973),
    [anon_sym_c_longlong] = ACTIONS(973),
    [anon_sym_c_ulonglong] = ACTIONS(973),
    [anon_sym_c_longdouble] = ACTIONS(973),
    [aux_sym_builtin_type_token1] = ACTIONS(973),
    [sym_builtin_identifier] = ACTIONS(975),
    [anon_sym_AT] = ACTIONS(973),
    [sym_comment] = ACTIONS(3),
  },
  [692] = {
    [sym__identifier] = ACTIONS(977),
    [anon_sym_COMMA] = ACTIONS(963),
    [anon_sym_comptime] = ACTIONS(977),
    [anon_sym_EQ] = ACTIONS(961),
    [anon_sym_extern] = ACTIONS(977),
    [anon_sym_SEMI] = ACTIONS(963),
    [anon_sym_STAR_EQ] = ACTIONS(963),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(963),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(963),
    [anon_sym_SLASH_EQ] = ACTIONS(963),
    [anon_sym_PERCENT_EQ] = ACTIONS(963),
    [anon_sym_PLUS_EQ] = ACTIONS(963),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(963),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(963),
    [anon_sym_DASH_EQ] = ACTIONS(963),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(963),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(963),
    [anon_sym_LT_LT_EQ] = ACTIONS(963),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(963),
    [anon_sym_GT_GT_EQ] = ACTIONS(963),
    [anon_sym_AMP_EQ] = ACTIONS(963),
    [anon_sym_CARET_EQ] = ACTIONS(963),
    [anon_sym_PIPE_EQ] = ACTIONS(963),
    [anon_sym_const] = ACTIONS(977),
    [anon_sym_var] = ACTIONS(977),
    [anon_sym_inline] = ACTIONS(977),
    [anon_sym_fn] = ACTIONS(977),
    [anon_sym_BANG] = ACTIONS(977),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_RBRACE] = ACTIONS(979),
    [anon_sym_packed] = ACTIONS(977),
    [anon_sym_struct] = ACTIONS(977),
    [anon_sym_opaque] = ACTIONS(977),
    [anon_sym_enum] = ACTIONS(977),
    [anon_sym_union] = ACTIONS(977),
    [anon_sym_error] = ACTIONS(977),
    [anon_sym_nosuspend] = ACTIONS(977),
    [anon_sym_suspend] = ACTIONS(977),
    [anon_sym_defer] = ACTIONS(977),
    [anon_sym_errdefer] = ACTIONS(977),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_for] = ACTIONS(977),
    [anon_sym_DOT_DOT] = ACTIONS(963),
    [anon_sym_while] = ACTIONS(977),
    [anon_sym_PIPE] = ACTIONS(961),
    [anon_sym_STAR] = ACTIONS(977),
    [anon_sym_asm] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(977),
    [anon_sym_DASH_PERCENT] = ACTIONS(977),
    [anon_sym_AMP] = ACTIONS(977),
    [anon_sym_or] = ACTIONS(961),
    [anon_sym_and] = ACTIONS(961),
    [anon_sym_EQ_EQ] = ACTIONS(963),
    [anon_sym_BANG_EQ] = ACTIONS(963),
    [anon_sym_GT] = ACTIONS(961),
    [anon_sym_GT_EQ] = ACTIONS(963),
    [anon_sym_LT_EQ] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(961),
    [anon_sym_CARET] = ACTIONS(961),
    [anon_sym_orelse] = ACTIONS(961),
    [anon_sym_LT_LT] = ACTIONS(961),
    [anon_sym_GT_GT] = ACTIONS(961),
    [anon_sym_LT_LT_PIPE] = ACTIONS(961),
    [anon_sym_PLUS] = ACTIONS(961),
    [anon_sym_PLUS_PLUS] = ACTIONS(963),
    [anon_sym_PLUS_PERCENT] = ACTIONS(961),
    [anon_sym_PLUS_PIPE] = ACTIONS(961),
    [anon_sym_DASH_PIPE] = ACTIONS(961),
    [anon_sym_SLASH] = ACTIONS(961),
    [anon_sym_PERCENT] = ACTIONS(961),
    [anon_sym_STAR_STAR] = ACTIONS(963),
    [anon_sym_STAR_PERCENT] = ACTIONS(961),
    [anon_sym_STAR_PIPE] = ACTIONS(961),
    [anon_sym_PIPE_PIPE] = ACTIONS(963),
    [anon_sym_async] = ACTIONS(977),
    [anon_sym_await] = ACTIONS(977),
    [anon_sym_continue] = ACTIONS(977),
    [anon_sym_resume] = ACTIONS(977),
    [anon_sym_return] = ACTIONS(977),
    [anon_sym_break] = ACTIONS(977),
    [anon_sym_try] = ACTIONS(977),
    [anon_sym_catch] = ACTIONS(961),
    [anon_sym_switch] = ACTIONS(977),
    [anon_sym_anyframe] = ACTIONS(977),
    [anon_sym_unreachable] = ACTIONS(977),
    [anon_sym_undefined] = ACTIONS(977),
    [anon_sym_null] = ACTIONS(977),
    [anon_sym_QMARK] = ACTIONS(979),
    [anon_sym_DOT] = ACTIONS(977),
    [anon_sym_DOT_STAR] = ACTIONS(963),
    [anon_sym_DOT_QMARK] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(979),
    [aux_sym_multiline_string_token1] = ACTIONS(979),
    [anon_sym_SQUOTE] = ACTIONS(979),
    [sym_integer] = ACTIONS(977),
    [sym_float] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(977),
    [anon_sym_bool] = ACTIONS(977),
    [anon_sym_f16] = ACTIONS(977),
    [anon_sym_f32] = ACTIONS(977),
    [anon_sym_f64] = ACTIONS(977),
    [anon_sym_f128] = ACTIONS(977),
    [anon_sym_void] = ACTIONS(977),
    [anon_sym_type] = ACTIONS(977),
    [anon_sym_anyerror] = ACTIONS(977),
    [anon_sym_anyopaque] = ACTIONS(977),
    [anon_sym_anytype] = ACTIONS(977),
    [anon_sym_noreturn] = ACTIONS(977),
    [anon_sym_isize] = ACTIONS(977),
    [anon_sym_usize] = ACTIONS(977),
    [anon_sym_comptime_int] = ACTIONS(977),
    [anon_sym_comptime_float] = ACTIONS(977),
    [anon_sym_c_short] = ACTIONS(977),
    [anon_sym_c_ushort] = ACTIONS(977),
    [anon_sym_c_int] = ACTIONS(977),
    [anon_sym_c_uint] = ACTIONS(977),
    [anon_sym_c_long] = ACTIONS(977),
    [anon_sym_c_ulong] = ACTIONS(977),
    [anon_sym_c_longlong] = ACTIONS(977),
    [anon_sym_c_ulonglong] = ACTIONS(977),
    [anon_sym_c_longdouble] = ACTIONS(977),
    [aux_sym_builtin_type_token1] = ACTIONS(977),
    [sym_builtin_identifier] = ACTIONS(979),
    [anon_sym_AT] = ACTIONS(977),
    [sym_comment] = ACTIONS(3),
  },
  [693] = {
    [sym__identifier] = ACTIONS(981),
    [anon_sym_COMMA] = ACTIONS(967),
    [anon_sym_comptime] = ACTIONS(981),
    [anon_sym_EQ] = ACTIONS(969),
    [anon_sym_extern] = ACTIONS(981),
    [anon_sym_SEMI] = ACTIONS(967),
    [anon_sym_STAR_EQ] = ACTIONS(967),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(967),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(967),
    [anon_sym_SLASH_EQ] = ACTIONS(967),
    [anon_sym_PERCENT_EQ] = ACTIONS(967),
    [anon_sym_PLUS_EQ] = ACTIONS(967),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(967),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(967),
    [anon_sym_DASH_EQ] = ACTIONS(967),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(967),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(967),
    [anon_sym_LT_LT_EQ] = ACTIONS(967),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(967),
    [anon_sym_GT_GT_EQ] = ACTIONS(967),
    [anon_sym_AMP_EQ] = ACTIONS(967),
    [anon_sym_CARET_EQ] = ACTIONS(967),
    [anon_sym_PIPE_EQ] = ACTIONS(967),
    [anon_sym_const] = ACTIONS(981),
    [anon_sym_var] = ACTIONS(981),
    [anon_sym_inline] = ACTIONS(981),
    [anon_sym_fn] = ACTIONS(981),
    [anon_sym_BANG] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_RBRACE] = ACTIONS(983),
    [anon_sym_packed] = ACTIONS(981),
    [anon_sym_struct] = ACTIONS(981),
    [anon_sym_opaque] = ACTIONS(981),
    [anon_sym_enum] = ACTIONS(981),
    [anon_sym_union] = ACTIONS(981),
    [anon_sym_error] = ACTIONS(981),
    [anon_sym_nosuspend] = ACTIONS(981),
    [anon_sym_suspend] = ACTIONS(981),
    [anon_sym_defer] = ACTIONS(981),
    [anon_sym_errdefer] = ACTIONS(981),
    [anon_sym_if] = ACTIONS(981),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_DOT_DOT] = ACTIONS(967),
    [anon_sym_while] = ACTIONS(981),
    [anon_sym_PIPE] = ACTIONS(969),
    [anon_sym_STAR] = ACTIONS(981),
    [anon_sym_asm] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_TILDE] = ACTIONS(983),
    [anon_sym_DASH] = ACTIONS(981),
    [anon_sym_DASH_PERCENT] = ACTIONS(981),
    [anon_sym_AMP] = ACTIONS(981),
    [anon_sym_or] = ACTIONS(969),
    [anon_sym_and] = ACTIONS(969),
    [anon_sym_EQ_EQ] = ACTIONS(967),
    [anon_sym_BANG_EQ] = ACTIONS(967),
    [anon_sym_GT] = ACTIONS(969),
    [anon_sym_GT_EQ] = ACTIONS(967),
    [anon_sym_LT_EQ] = ACTIONS(967),
    [anon_sym_LT] = ACTIONS(969),
    [anon_sym_CARET] = ACTIONS(969),
    [anon_sym_orelse] = ACTIONS(969),
    [anon_sym_LT_LT] = ACTIONS(969),
    [anon_sym_GT_GT] = ACTIONS(969),
    [anon_sym_LT_LT_PIPE] = ACTIONS(969),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_PLUS_PLUS] = ACTIONS(967),
    [anon_sym_PLUS_PERCENT] = ACTIONS(969),
    [anon_sym_PLUS_PIPE] = ACTIONS(969),
    [anon_sym_DASH_PIPE] = ACTIONS(969),
    [anon_sym_SLASH] = ACTIONS(969),
    [anon_sym_PERCENT] = ACTIONS(969),
    [anon_sym_STAR_STAR] = ACTIONS(967),
    [anon_sym_STAR_PERCENT] = ACTIONS(969),
    [anon_sym_STAR_PIPE] = ACTIONS(969),
    [anon_sym_PIPE_PIPE] = ACTIONS(967),
    [anon_sym_async] = ACTIONS(981),
    [anon_sym_await] = ACTIONS(981),
    [anon_sym_continue] = ACTIONS(981),
    [anon_sym_resume] = ACTIONS(981),
    [anon_sym_return] = ACTIONS(981),
    [anon_sym_break] = ACTIONS(981),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_catch] = ACTIONS(969),
    [anon_sym_switch] = ACTIONS(981),
    [anon_sym_anyframe] = ACTIONS(981),
    [anon_sym_unreachable] = ACTIONS(981),
    [anon_sym_undefined] = ACTIONS(981),
    [anon_sym_null] = ACTIONS(981),
    [anon_sym_QMARK] = ACTIONS(983),
    [anon_sym_DOT] = ACTIONS(981),
    [anon_sym_DOT_STAR] = ACTIONS(967),
    [anon_sym_DOT_QMARK] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(983),
    [aux_sym_multiline_string_token1] = ACTIONS(983),
    [anon_sym_SQUOTE] = ACTIONS(983),
    [sym_integer] = ACTIONS(981),
    [sym_float] = ACTIONS(983),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_bool] = ACTIONS(981),
    [anon_sym_f16] = ACTIONS(981),
    [anon_sym_f32] = ACTIONS(981),
    [anon_sym_f64] = ACTIONS(981),
    [anon_sym_f128] = ACTIONS(981),
    [anon_sym_void] = ACTIONS(981),
    [anon_sym_type] = ACTIONS(981),
    [anon_sym_anyerror] = ACTIONS(981),
    [anon_sym_anyopaque] = ACTIONS(981),
    [anon_sym_anytype] = ACTIONS(981),
    [anon_sym_noreturn] = ACTIONS(981),
    [anon_sym_isize] = ACTIONS(981),
    [anon_sym_usize] = ACTIONS(981),
    [anon_sym_comptime_int] = ACTIONS(981),
    [anon_sym_comptime_float] = ACTIONS(981),
    [anon_sym_c_short] = ACTIONS(981),
    [anon_sym_c_ushort] = ACTIONS(981),
    [anon_sym_c_int] = ACTIONS(981),
    [anon_sym_c_uint] = ACTIONS(981),
    [anon_sym_c_long] = ACTIONS(981),
    [anon_sym_c_ulong] = ACTIONS(981),
    [anon_sym_c_longlong] = ACTIONS(981),
    [anon_sym_c_ulonglong] = ACTIONS(981),
    [anon_sym_c_longdouble] = ACTIONS(981),
    [aux_sym_builtin_type_token1] = ACTIONS(981),
    [sym_builtin_identifier] = ACTIONS(983),
    [anon_sym_AT] = ACTIONS(981),
    [sym_comment] = ACTIONS(3),
  },
  [694] = {
    [sym__identifier] = ACTIONS(985),
    [anon_sym_COMMA] = ACTIONS(987),
    [anon_sym_comptime] = ACTIONS(985),
    [anon_sym_EQ] = ACTIONS(989),
    [anon_sym_extern] = ACTIONS(985),
    [anon_sym_SEMI] = ACTIONS(987),
    [anon_sym_STAR_EQ] = ACTIONS(987),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(987),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(987),
    [anon_sym_SLASH_EQ] = ACTIONS(987),
    [anon_sym_PERCENT_EQ] = ACTIONS(987),
    [anon_sym_PLUS_EQ] = ACTIONS(987),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(987),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(987),
    [anon_sym_DASH_EQ] = ACTIONS(987),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(987),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(987),
    [anon_sym_LT_LT_EQ] = ACTIONS(987),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(987),
    [anon_sym_GT_GT_EQ] = ACTIONS(987),
    [anon_sym_AMP_EQ] = ACTIONS(987),
    [anon_sym_CARET_EQ] = ACTIONS(987),
    [anon_sym_PIPE_EQ] = ACTIONS(987),
    [anon_sym_const] = ACTIONS(985),
    [anon_sym_var] = ACTIONS(985),
    [anon_sym_inline] = ACTIONS(985),
    [anon_sym_fn] = ACTIONS(985),
    [anon_sym_BANG] = ACTIONS(985),
    [anon_sym_LPAREN] = ACTIONS(991),
    [anon_sym_LBRACE] = ACTIONS(991),
    [anon_sym_RBRACE] = ACTIONS(991),
    [anon_sym_packed] = ACTIONS(985),
    [anon_sym_struct] = ACTIONS(985),
    [anon_sym_opaque] = ACTIONS(985),
    [anon_sym_enum] = ACTIONS(985),
    [anon_sym_union] = ACTIONS(985),
    [anon_sym_error] = ACTIONS(985),
    [anon_sym_nosuspend] = ACTIONS(985),
    [anon_sym_suspend] = ACTIONS(985),
    [anon_sym_defer] = ACTIONS(985),
    [anon_sym_errdefer] = ACTIONS(985),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_for] = ACTIONS(985),
    [anon_sym_DOT_DOT] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(985),
    [anon_sym_PIPE] = ACTIONS(989),
    [anon_sym_STAR] = ACTIONS(985),
    [anon_sym_asm] = ACTIONS(985),
    [anon_sym_LBRACK] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(985),
    [anon_sym_DASH_PERCENT] = ACTIONS(985),
    [anon_sym_AMP] = ACTIONS(985),
    [anon_sym_or] = ACTIONS(989),
    [anon_sym_and] = ACTIONS(989),
    [anon_sym_EQ_EQ] = ACTIONS(987),
    [anon_sym_BANG_EQ] = ACTIONS(987),
    [anon_sym_GT] = ACTIONS(989),
    [anon_sym_GT_EQ] = ACTIONS(987),
    [anon_sym_LT_EQ] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(989),
    [anon_sym_CARET] = ACTIONS(989),
    [anon_sym_orelse] = ACTIONS(989),
    [anon_sym_LT_LT] = ACTIONS(989),
    [anon_sym_GT_GT] = ACTIONS(989),
    [anon_sym_LT_LT_PIPE] = ACTIONS(989),
    [anon_sym_PLUS] = ACTIONS(989),
    [anon_sym_PLUS_PLUS] = ACTIONS(987),
    [anon_sym_PLUS_PERCENT] = ACTIONS(989),
    [anon_sym_PLUS_PIPE] = ACTIONS(989),
    [anon_sym_DASH_PIPE] = ACTIONS(989),
    [anon_sym_SLASH] = ACTIONS(989),
    [anon_sym_PERCENT] = ACTIONS(989),
    [anon_sym_STAR_STAR] = ACTIONS(987),
    [anon_sym_STAR_PERCENT] = ACTIONS(989),
    [anon_sym_STAR_PIPE] = ACTIONS(989),
    [anon_sym_PIPE_PIPE] = ACTIONS(987),
    [anon_sym_async] = ACTIONS(985),
    [anon_sym_await] = ACTIONS(985),
    [anon_sym_continue] = ACTIONS(985),
    [anon_sym_resume] = ACTIONS(985),
    [anon_sym_return] = ACTIONS(985),
    [anon_sym_break] = ACTIONS(985),
    [anon_sym_try] = ACTIONS(985),
    [anon_sym_catch] = ACTIONS(989),
    [anon_sym_switch] = ACTIONS(985),
    [anon_sym_anyframe] = ACTIONS(985),
    [anon_sym_unreachable] = ACTIONS(985),
    [anon_sym_undefined] = ACTIONS(985),
    [anon_sym_null] = ACTIONS(985),
    [anon_sym_QMARK] = ACTIONS(991),
    [anon_sym_DOT] = ACTIONS(985),
    [anon_sym_DOT_STAR] = ACTIONS(987),
    [anon_sym_DOT_QMARK] = ACTIONS(987),
    [anon_sym_DQUOTE] = ACTIONS(991),
    [aux_sym_multiline_string_token1] = ACTIONS(991),
    [anon_sym_SQUOTE] = ACTIONS(991),
    [sym_integer] = ACTIONS(985),
    [sym_float] = ACTIONS(991),
    [anon_sym_true] = ACTIONS(985),
    [anon_sym_false] = ACTIONS(985),
    [anon_sym_bool] = ACTIONS(985),
    [anon_sym_f16] = ACTIONS(985),
    [anon_sym_f32] = ACTIONS(985),
    [anon_sym_f64] = ACTIONS(985),
    [anon_sym_f128] = ACTIONS(985),
    [anon_sym_void] = ACTIONS(985),
    [anon_sym_type] = ACTIONS(985),
    [anon_sym_anyerror] = ACTIONS(985),
    [anon_sym_anyopaque] = ACTIONS(985),
    [anon_sym_anytype] = ACTIONS(985),
    [anon_sym_noreturn] = ACTIONS(985),
    [anon_sym_isize] = ACTIONS(985),
    [anon_sym_usize] = ACTIONS(985),
    [anon_sym_comptime_int] = ACTIONS(985),
    [anon_sym_comptime_float] = ACTIONS(985),
    [anon_sym_c_short] = ACTIONS(985),
    [anon_sym_c_ushort] = ACTIONS(985),
    [anon_sym_c_int] = ACTIONS(985),
    [anon_sym_c_uint] = ACTIONS(985),
    [anon_sym_c_long] = ACTIONS(985),
    [anon_sym_c_ulong] = ACTIONS(985),
    [anon_sym_c_longlong] = ACTIONS(985),
    [anon_sym_c_ulonglong] = ACTIONS(985),
    [anon_sym_c_longdouble] = ACTIONS(985),
    [aux_sym_builtin_type_token1] = ACTIONS(985),
    [sym_builtin_identifier] = ACTIONS(991),
    [anon_sym_AT] = ACTIONS(985),
    [sym_comment] = ACTIONS(3),
  },
  [695] = {
    [sym__identifier] = ACTIONS(993),
    [anon_sym_COMMA] = ACTIONS(963),
    [anon_sym_comptime] = ACTIONS(993),
    [anon_sym_EQ] = ACTIONS(961),
    [anon_sym_extern] = ACTIONS(993),
    [anon_sym_SEMI] = ACTIONS(963),
    [anon_sym_STAR_EQ] = ACTIONS(963),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(963),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(963),
    [anon_sym_SLASH_EQ] = ACTIONS(963),
    [anon_sym_PERCENT_EQ] = ACTIONS(963),
    [anon_sym_PLUS_EQ] = ACTIONS(963),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(963),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(963),
    [anon_sym_DASH_EQ] = ACTIONS(963),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(963),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(963),
    [anon_sym_LT_LT_EQ] = ACTIONS(963),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(963),
    [anon_sym_GT_GT_EQ] = ACTIONS(963),
    [anon_sym_AMP_EQ] = ACTIONS(963),
    [anon_sym_CARET_EQ] = ACTIONS(963),
    [anon_sym_PIPE_EQ] = ACTIONS(963),
    [anon_sym_const] = ACTIONS(993),
    [anon_sym_var] = ACTIONS(993),
    [anon_sym_inline] = ACTIONS(993),
    [anon_sym_fn] = ACTIONS(993),
    [anon_sym_BANG] = ACTIONS(993),
    [anon_sym_LPAREN] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(995),
    [anon_sym_RBRACE] = ACTIONS(995),
    [anon_sym_packed] = ACTIONS(993),
    [anon_sym_struct] = ACTIONS(993),
    [anon_sym_opaque] = ACTIONS(993),
    [anon_sym_enum] = ACTIONS(993),
    [anon_sym_union] = ACTIONS(993),
    [anon_sym_error] = ACTIONS(993),
    [anon_sym_nosuspend] = ACTIONS(993),
    [anon_sym_suspend] = ACTIONS(993),
    [anon_sym_defer] = ACTIONS(993),
    [anon_sym_errdefer] = ACTIONS(993),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_for] = ACTIONS(993),
    [anon_sym_DOT_DOT] = ACTIONS(963),
    [anon_sym_while] = ACTIONS(993),
    [anon_sym_PIPE] = ACTIONS(961),
    [anon_sym_STAR] = ACTIONS(993),
    [anon_sym_asm] = ACTIONS(993),
    [anon_sym_LBRACK] = ACTIONS(995),
    [anon_sym_TILDE] = ACTIONS(995),
    [anon_sym_DASH] = ACTIONS(993),
    [anon_sym_DASH_PERCENT] = ACTIONS(993),
    [anon_sym_AMP] = ACTIONS(993),
    [anon_sym_or] = ACTIONS(961),
    [anon_sym_and] = ACTIONS(961),
    [anon_sym_EQ_EQ] = ACTIONS(963),
    [anon_sym_BANG_EQ] = ACTIONS(963),
    [anon_sym_GT] = ACTIONS(961),
    [anon_sym_GT_EQ] = ACTIONS(963),
    [anon_sym_LT_EQ] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(961),
    [anon_sym_CARET] = ACTIONS(961),
    [anon_sym_orelse] = ACTIONS(961),
    [anon_sym_LT_LT] = ACTIONS(961),
    [anon_sym_GT_GT] = ACTIONS(961),
    [anon_sym_LT_LT_PIPE] = ACTIONS(961),
    [anon_sym_PLUS] = ACTIONS(961),
    [anon_sym_PLUS_PLUS] = ACTIONS(963),
    [anon_sym_PLUS_PERCENT] = ACTIONS(961),
    [anon_sym_PLUS_PIPE] = ACTIONS(961),
    [anon_sym_DASH_PIPE] = ACTIONS(961),
    [anon_sym_SLASH] = ACTIONS(961),
    [anon_sym_PERCENT] = ACTIONS(961),
    [anon_sym_STAR_STAR] = ACTIONS(963),
    [anon_sym_STAR_PERCENT] = ACTIONS(961),
    [anon_sym_STAR_PIPE] = ACTIONS(961),
    [anon_sym_PIPE_PIPE] = ACTIONS(963),
    [anon_sym_async] = ACTIONS(993),
    [anon_sym_await] = ACTIONS(993),
    [anon_sym_continue] = ACTIONS(993),
    [anon_sym_resume] = ACTIONS(993),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_break] = ACTIONS(993),
    [anon_sym_try] = ACTIONS(993),
    [anon_sym_catch] = ACTIONS(961),
    [anon_sym_switch] = ACTIONS(993),
    [anon_sym_anyframe] = ACTIONS(993),
    [anon_sym_unreachable] = ACTIONS(993),
    [anon_sym_undefined] = ACTIONS(993),
    [anon_sym_null] = ACTIONS(993),
    [anon_sym_QMARK] = ACTIONS(995),
    [anon_sym_DOT] = ACTIONS(993),
    [anon_sym_DOT_STAR] = ACTIONS(963),
    [anon_sym_DOT_QMARK] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [aux_sym_multiline_string_token1] = ACTIONS(995),
    [anon_sym_SQUOTE] = ACTIONS(995),
    [sym_integer] = ACTIONS(993),
    [sym_float] = ACTIONS(995),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [anon_sym_bool] = ACTIONS(993),
    [anon_sym_f16] = ACTIONS(993),
    [anon_sym_f32] = ACTIONS(993),
    [anon_sym_f64] = ACTIONS(993),
    [anon_sym_f128] = ACTIONS(993),
    [anon_sym_void] = ACTIONS(993),
    [anon_sym_type] = ACTIONS(993),
    [anon_sym_anyerror] = ACTIONS(993),
    [anon_sym_anyopaque] = ACTIONS(993),
    [anon_sym_anytype] = ACTIONS(993),
    [anon_sym_noreturn] = ACTIONS(993),
    [anon_sym_isize] = ACTIONS(993),
    [anon_sym_usize] = ACTIONS(993),
    [anon_sym_comptime_int] = ACTIONS(993),
    [anon_sym_comptime_float] = ACTIONS(993),
    [anon_sym_c_short] = ACTIONS(993),
    [anon_sym_c_ushort] = ACTIONS(993),
    [anon_sym_c_int] = ACTIONS(993),
    [anon_sym_c_uint] = ACTIONS(993),
    [anon_sym_c_long] = ACTIONS(993),
    [anon_sym_c_ulong] = ACTIONS(993),
    [anon_sym_c_longlong] = ACTIONS(993),
    [anon_sym_c_ulonglong] = ACTIONS(993),
    [anon_sym_c_longdouble] = ACTIONS(993),
    [aux_sym_builtin_type_token1] = ACTIONS(993),
    [sym_builtin_identifier] = ACTIONS(995),
    [anon_sym_AT] = ACTIONS(993),
    [sym_comment] = ACTIONS(3),
  },
  [696] = {
    [sym__identifier] = ACTIONS(997),
    [anon_sym_COMMA] = ACTIONS(967),
    [anon_sym_comptime] = ACTIONS(997),
    [anon_sym_EQ] = ACTIONS(969),
    [anon_sym_extern] = ACTIONS(997),
    [anon_sym_SEMI] = ACTIONS(967),
    [anon_sym_STAR_EQ] = ACTIONS(967),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(967),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(967),
    [anon_sym_SLASH_EQ] = ACTIONS(967),
    [anon_sym_PERCENT_EQ] = ACTIONS(967),
    [anon_sym_PLUS_EQ] = ACTIONS(967),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(967),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(967),
    [anon_sym_DASH_EQ] = ACTIONS(967),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(967),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(967),
    [anon_sym_LT_LT_EQ] = ACTIONS(967),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(967),
    [anon_sym_GT_GT_EQ] = ACTIONS(967),
    [anon_sym_AMP_EQ] = ACTIONS(967),
    [anon_sym_CARET_EQ] = ACTIONS(967),
    [anon_sym_PIPE_EQ] = ACTIONS(967),
    [anon_sym_const] = ACTIONS(997),
    [anon_sym_var] = ACTIONS(997),
    [anon_sym_inline] = ACTIONS(997),
    [anon_sym_fn] = ACTIONS(997),
    [anon_sym_BANG] = ACTIONS(997),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(999),
    [anon_sym_RBRACE] = ACTIONS(999),
    [anon_sym_packed] = ACTIONS(997),
    [anon_sym_struct] = ACTIONS(997),
    [anon_sym_opaque] = ACTIONS(997),
    [anon_sym_enum] = ACTIONS(997),
    [anon_sym_union] = ACTIONS(997),
    [anon_sym_error] = ACTIONS(997),
    [anon_sym_nosuspend] = ACTIONS(997),
    [anon_sym_suspend] = ACTIONS(997),
    [anon_sym_defer] = ACTIONS(997),
    [anon_sym_errdefer] = ACTIONS(997),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_for] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(967),
    [anon_sym_while] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(969),
    [anon_sym_STAR] = ACTIONS(997),
    [anon_sym_asm] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_TILDE] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(997),
    [anon_sym_DASH_PERCENT] = ACTIONS(997),
    [anon_sym_AMP] = ACTIONS(997),
    [anon_sym_or] = ACTIONS(969),
    [anon_sym_and] = ACTIONS(969),
    [anon_sym_EQ_EQ] = ACTIONS(967),
    [anon_sym_BANG_EQ] = ACTIONS(967),
    [anon_sym_GT] = ACTIONS(969),
    [anon_sym_GT_EQ] = ACTIONS(967),
    [anon_sym_LT_EQ] = ACTIONS(967),
    [anon_sym_LT] = ACTIONS(969),
    [anon_sym_CARET] = ACTIONS(969),
    [anon_sym_orelse] = ACTIONS(969),
    [anon_sym_LT_LT] = ACTIONS(969),
    [anon_sym_GT_GT] = ACTIONS(969),
    [anon_sym_LT_LT_PIPE] = ACTIONS(969),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_PLUS_PLUS] = ACTIONS(967),
    [anon_sym_PLUS_PERCENT] = ACTIONS(969),
    [anon_sym_PLUS_PIPE] = ACTIONS(969),
    [anon_sym_DASH_PIPE] = ACTIONS(969),
    [anon_sym_SLASH] = ACTIONS(969),
    [anon_sym_PERCENT] = ACTIONS(969),
    [anon_sym_STAR_STAR] = ACTIONS(967),
    [anon_sym_STAR_PERCENT] = ACTIONS(969),
    [anon_sym_STAR_PIPE] = ACTIONS(969),
    [anon_sym_PIPE_PIPE] = ACTIONS(967),
    [anon_sym_async] = ACTIONS(997),
    [anon_sym_await] = ACTIONS(997),
    [anon_sym_continue] = ACTIONS(997),
    [anon_sym_resume] = ACTIONS(997),
    [anon_sym_return] = ACTIONS(997),
    [anon_sym_break] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_catch] = ACTIONS(969),
    [anon_sym_switch] = ACTIONS(997),
    [anon_sym_anyframe] = ACTIONS(997),
    [anon_sym_unreachable] = ACTIONS(997),
    [anon_sym_undefined] = ACTIONS(997),
    [anon_sym_null] = ACTIONS(997),
    [anon_sym_QMARK] = ACTIONS(999),
    [anon_sym_DOT] = ACTIONS(997),
    [anon_sym_DOT_STAR] = ACTIONS(967),
    [anon_sym_DOT_QMARK] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [aux_sym_multiline_string_token1] = ACTIONS(999),
    [anon_sym_SQUOTE] = ACTIONS(999),
    [sym_integer] = ACTIONS(997),
    [sym_float] = ACTIONS(999),
    [anon_sym_true] = ACTIONS(997),
    [anon_sym_false] = ACTIONS(997),
    [anon_sym_bool] = ACTIONS(997),
    [anon_sym_f16] = ACTIONS(997),
    [anon_sym_f32] = ACTIONS(997),
    [anon_sym_f64] = ACTIONS(997),
    [anon_sym_f128] = ACTIONS(997),
    [anon_sym_void] = ACTIONS(997),
    [anon_sym_type] = ACTIONS(997),
    [anon_sym_anyerror] = ACTIONS(997),
    [anon_sym_anyopaque] = ACTIONS(997),
    [anon_sym_anytype] = ACTIONS(997),
    [anon_sym_noreturn] = ACTIONS(997),
    [anon_sym_isize] = ACTIONS(997),
    [anon_sym_usize] = ACTIONS(997),
    [anon_sym_comptime_int] = ACTIONS(997),
    [anon_sym_comptime_float] = ACTIONS(997),
    [anon_sym_c_short] = ACTIONS(997),
    [anon_sym_c_ushort] = ACTIONS(997),
    [anon_sym_c_int] = ACTIONS(997),
    [anon_sym_c_uint] = ACTIONS(997),
    [anon_sym_c_long] = ACTIONS(997),
    [anon_sym_c_ulong] = ACTIONS(997),
    [anon_sym_c_longlong] = ACTIONS(997),
    [anon_sym_c_ulonglong] = ACTIONS(997),
    [anon_sym_c_longdouble] = ACTIONS(997),
    [aux_sym_builtin_type_token1] = ACTIONS(997),
    [sym_builtin_identifier] = ACTIONS(999),
    [anon_sym_AT] = ACTIONS(997),
    [sym_comment] = ACTIONS(3),
  },
  [697] = {
    [sym__identifier] = ACTIONS(831),
    [anon_sym_COMMA] = ACTIONS(829),
    [anon_sym_comptime] = ACTIONS(831),
    [anon_sym_COLON] = ACTIONS(829),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_extern] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(829),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(829),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(829),
    [anon_sym_SLASH_EQ] = ACTIONS(829),
    [anon_sym_PERCENT_EQ] = ACTIONS(829),
    [anon_sym_PLUS_EQ] = ACTIONS(829),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(829),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(829),
    [anon_sym_DASH_EQ] = ACTIONS(829),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(829),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(829),
    [anon_sym_LT_LT_EQ] = ACTIONS(829),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(829),
    [anon_sym_GT_GT_EQ] = ACTIONS(829),
    [anon_sym_AMP_EQ] = ACTIONS(829),
    [anon_sym_CARET_EQ] = ACTIONS(829),
    [anon_sym_PIPE_EQ] = ACTIONS(829),
    [anon_sym_inline] = ACTIONS(831),
    [anon_sym_fn] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(831),
    [anon_sym_LPAREN] = ACTIONS(829),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(829),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_packed] = ACTIONS(831),
    [anon_sym_struct] = ACTIONS(831),
    [anon_sym_opaque] = ACTIONS(831),
    [anon_sym_enum] = ACTIONS(831),
    [anon_sym_union] = ACTIONS(831),
    [anon_sym_error] = ACTIONS(831),
    [anon_sym_nosuspend] = ACTIONS(831),
    [anon_sym_if] = ACTIONS(831),
    [anon_sym_else] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(831),
    [anon_sym_DOT_DOT] = ACTIONS(831),
    [anon_sym_while] = ACTIONS(831),
    [anon_sym_PIPE] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_asm] = ACTIONS(831),
    [anon_sym_LBRACK] = ACTIONS(829),
    [anon_sym_TILDE] = ACTIONS(829),
    [anon_sym_DASH] = ACTIONS(831),
    [anon_sym_DASH_PERCENT] = ACTIONS(831),
    [anon_sym_AMP] = ACTIONS(831),
    [anon_sym_or] = ACTIONS(831),
    [anon_sym_and] = ACTIONS(831),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(831),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_LT] = ACTIONS(831),
    [anon_sym_CARET] = ACTIONS(831),
    [anon_sym_orelse] = ACTIONS(831),
    [anon_sym_LT_LT] = ACTIONS(831),
    [anon_sym_GT_GT] = ACTIONS(831),
    [anon_sym_LT_LT_PIPE] = ACTIONS(831),
    [anon_sym_PLUS] = ACTIONS(831),
    [anon_sym_PLUS_PLUS] = ACTIONS(829),
    [anon_sym_PLUS_PERCENT] = ACTIONS(831),
    [anon_sym_PLUS_PIPE] = ACTIONS(831),
    [anon_sym_DASH_PIPE] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(831),
    [anon_sym_PERCENT] = ACTIONS(831),
    [anon_sym_STAR_STAR] = ACTIONS(829),
    [anon_sym_STAR_PERCENT] = ACTIONS(831),
    [anon_sym_STAR_PIPE] = ACTIONS(831),
    [anon_sym_PIPE_PIPE] = ACTIONS(829),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_await] = ACTIONS(831),
    [anon_sym_continue] = ACTIONS(831),
    [anon_sym_resume] = ACTIONS(831),
    [anon_sym_return] = ACTIONS(831),
    [anon_sym_break] = ACTIONS(831),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_catch] = ACTIONS(831),
    [anon_sym_switch] = ACTIONS(831),
    [anon_sym_EQ_GT] = ACTIONS(829),
    [anon_sym_anyframe] = ACTIONS(831),
    [anon_sym_unreachable] = ACTIONS(831),
    [anon_sym_undefined] = ACTIONS(831),
    [anon_sym_null] = ACTIONS(831),
    [anon_sym_QMARK] = ACTIONS(829),
    [anon_sym_DOT] = ACTIONS(831),
    [anon_sym_DOT_STAR] = ACTIONS(829),
    [anon_sym_DOT_QMARK] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(829),
    [aux_sym_multiline_string_token1] = ACTIONS(829),
    [anon_sym_SQUOTE] = ACTIONS(829),
    [sym_integer] = ACTIONS(831),
    [sym_float] = ACTIONS(829),
    [anon_sym_true] = ACTIONS(831),
    [anon_sym_false] = ACTIONS(831),
    [anon_sym_bool] = ACTIONS(831),
    [anon_sym_f16] = ACTIONS(831),
    [anon_sym_f32] = ACTIONS(831),
    [anon_sym_f64] = ACTIONS(831),
    [anon_sym_f128] = ACTIONS(831),
    [anon_sym_void] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_anyerror] = ACTIONS(831),
    [anon_sym_anyopaque] = ACTIONS(831),
    [anon_sym_anytype] = ACTIONS(831),
    [anon_sym_noreturn] = ACTIONS(831),
    [anon_sym_isize] = ACTIONS(831),
    [anon_sym_usize] = ACTIONS(831),
    [anon_sym_comptime_int] = ACTIONS(831),
    [anon_sym_comptime_float] = ACTIONS(831),
    [anon_sym_c_short] = ACTIONS(831),
    [anon_sym_c_ushort] = ACTIONS(831),
    [anon_sym_c_int] = ACTIONS(831),
    [anon_sym_c_uint] = ACTIONS(831),
    [anon_sym_c_long] = ACTIONS(831),
    [anon_sym_c_ulong] = ACTIONS(831),
    [anon_sym_c_longlong] = ACTIONS(831),
    [anon_sym_c_ulonglong] = ACTIONS(831),
    [anon_sym_c_longdouble] = ACTIONS(831),
    [aux_sym_builtin_type_token1] = ACTIONS(831),
    [sym_builtin_identifier] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
  },
  [698] = {
    [sym__identifier] = ACTIONS(895),
    [anon_sym_COMMA] = ACTIONS(893),
    [anon_sym_comptime] = ACTIONS(895),
    [anon_sym_COLON] = ACTIONS(893),
    [anon_sym_EQ] = ACTIONS(895),
    [anon_sym_extern] = ACTIONS(895),
    [anon_sym_STAR_EQ] = ACTIONS(893),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(893),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(893),
    [anon_sym_SLASH_EQ] = ACTIONS(893),
    [anon_sym_PERCENT_EQ] = ACTIONS(893),
    [anon_sym_PLUS_EQ] = ACTIONS(893),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(893),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(893),
    [anon_sym_DASH_EQ] = ACTIONS(893),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(893),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(893),
    [anon_sym_LT_LT_EQ] = ACTIONS(893),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(893),
    [anon_sym_GT_GT_EQ] = ACTIONS(893),
    [anon_sym_AMP_EQ] = ACTIONS(893),
    [anon_sym_CARET_EQ] = ACTIONS(893),
    [anon_sym_PIPE_EQ] = ACTIONS(893),
    [anon_sym_inline] = ACTIONS(895),
    [anon_sym_fn] = ACTIONS(895),
    [anon_sym_BANG] = ACTIONS(895),
    [anon_sym_LPAREN] = ACTIONS(893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(893),
    [anon_sym_LBRACE] = ACTIONS(893),
    [anon_sym_packed] = ACTIONS(895),
    [anon_sym_struct] = ACTIONS(895),
    [anon_sym_opaque] = ACTIONS(895),
    [anon_sym_enum] = ACTIONS(895),
    [anon_sym_union] = ACTIONS(895),
    [anon_sym_error] = ACTIONS(895),
    [anon_sym_nosuspend] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_else] = ACTIONS(895),
    [anon_sym_for] = ACTIONS(895),
    [anon_sym_DOT_DOT] = ACTIONS(895),
    [anon_sym_while] = ACTIONS(895),
    [anon_sym_PIPE] = ACTIONS(895),
    [anon_sym_STAR] = ACTIONS(895),
    [anon_sym_asm] = ACTIONS(895),
    [anon_sym_LBRACK] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(895),
    [anon_sym_DASH_PERCENT] = ACTIONS(895),
    [anon_sym_AMP] = ACTIONS(895),
    [anon_sym_or] = ACTIONS(895),
    [anon_sym_and] = ACTIONS(895),
    [anon_sym_EQ_EQ] = ACTIONS(893),
    [anon_sym_BANG_EQ] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_GT_EQ] = ACTIONS(893),
    [anon_sym_LT_EQ] = ACTIONS(893),
    [anon_sym_LT] = ACTIONS(895),
    [anon_sym_CARET] = ACTIONS(895),
    [anon_sym_orelse] = ACTIONS(895),
    [anon_sym_LT_LT] = ACTIONS(895),
    [anon_sym_GT_GT] = ACTIONS(895),
    [anon_sym_LT_LT_PIPE] = ACTIONS(895),
    [anon_sym_PLUS] = ACTIONS(895),
    [anon_sym_PLUS_PLUS] = ACTIONS(893),
    [anon_sym_PLUS_PERCENT] = ACTIONS(895),
    [anon_sym_PLUS_PIPE] = ACTIONS(895),
    [anon_sym_DASH_PIPE] = ACTIONS(895),
    [anon_sym_SLASH] = ACTIONS(895),
    [anon_sym_PERCENT] = ACTIONS(895),
    [anon_sym_STAR_STAR] = ACTIONS(893),
    [anon_sym_STAR_PERCENT] = ACTIONS(895),
    [anon_sym_STAR_PIPE] = ACTIONS(895),
    [anon_sym_PIPE_PIPE] = ACTIONS(893),
    [anon_sym_async] = ACTIONS(895),
    [anon_sym_await] = ACTIONS(895),
    [anon_sym_continue] = ACTIONS(895),
    [anon_sym_resume] = ACTIONS(895),
    [anon_sym_return] = ACTIONS(895),
    [anon_sym_break] = ACTIONS(895),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_catch] = ACTIONS(895),
    [anon_sym_switch] = ACTIONS(895),
    [anon_sym_EQ_GT] = ACTIONS(893),
    [anon_sym_anyframe] = ACTIONS(895),
    [anon_sym_unreachable] = ACTIONS(895),
    [anon_sym_undefined] = ACTIONS(895),
    [anon_sym_null] = ACTIONS(895),
    [anon_sym_QMARK] = ACTIONS(893),
    [anon_sym_DOT] = ACTIONS(895),
    [anon_sym_DOT_STAR] = ACTIONS(893),
    [anon_sym_DOT_QMARK] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(893),
    [aux_sym_multiline_string_token1] = ACTIONS(893),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [sym_integer] = ACTIONS(895),
    [sym_float] = ACTIONS(893),
    [anon_sym_true] = ACTIONS(895),
    [anon_sym_false] = ACTIONS(895),
    [anon_sym_bool] = ACTIONS(895),
    [anon_sym_f16] = ACTIONS(895),
    [anon_sym_f32] = ACTIONS(895),
    [anon_sym_f64] = ACTIONS(895),
    [anon_sym_f128] = ACTIONS(895),
    [anon_sym_void] = ACTIONS(895),
    [anon_sym_type] = ACTIONS(895),
    [anon_sym_anyerror] = ACTIONS(895),
    [anon_sym_anyopaque] = ACTIONS(895),
    [anon_sym_anytype] = ACTIONS(895),
    [anon_sym_noreturn] = ACTIONS(895),
    [anon_sym_isize] = ACTIONS(895),
    [anon_sym_usize] = ACTIONS(895),
    [anon_sym_comptime_int] = ACTIONS(895),
    [anon_sym_comptime_float] = ACTIONS(895),
    [anon_sym_c_short] = ACTIONS(895),
    [anon_sym_c_ushort] = ACTIONS(895),
    [anon_sym_c_int] = ACTIONS(895),
    [anon_sym_c_uint] = ACTIONS(895),
    [anon_sym_c_long] = ACTIONS(895),
    [anon_sym_c_ulong] = ACTIONS(895),
    [anon_sym_c_longlong] = ACTIONS(895),
    [anon_sym_c_ulonglong] = ACTIONS(895),
    [anon_sym_c_longdouble] = ACTIONS(895),
    [aux_sym_builtin_type_token1] = ACTIONS(895),
    [sym_builtin_identifier] = ACTIONS(893),
    [anon_sym_AT] = ACTIONS(895),
    [sym_comment] = ACTIONS(3),
  },
  [699] = {
    [sym__identifier] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(803),
    [anon_sym_comptime] = ACTIONS(805),
    [anon_sym_COLON] = ACTIONS(803),
    [anon_sym_EQ] = ACTIONS(805),
    [anon_sym_extern] = ACTIONS(805),
    [anon_sym_STAR_EQ] = ACTIONS(803),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(803),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(803),
    [anon_sym_SLASH_EQ] = ACTIONS(803),
    [anon_sym_PERCENT_EQ] = ACTIONS(803),
    [anon_sym_PLUS_EQ] = ACTIONS(803),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(803),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(803),
    [anon_sym_DASH_EQ] = ACTIONS(803),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(803),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(803),
    [anon_sym_LT_LT_EQ] = ACTIONS(803),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(803),
    [anon_sym_GT_GT_EQ] = ACTIONS(803),
    [anon_sym_AMP_EQ] = ACTIONS(803),
    [anon_sym_CARET_EQ] = ACTIONS(803),
    [anon_sym_PIPE_EQ] = ACTIONS(803),
    [anon_sym_inline] = ACTIONS(805),
    [anon_sym_fn] = ACTIONS(805),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(803),
    [anon_sym_packed] = ACTIONS(805),
    [anon_sym_struct] = ACTIONS(805),
    [anon_sym_opaque] = ACTIONS(805),
    [anon_sym_enum] = ACTIONS(805),
    [anon_sym_union] = ACTIONS(805),
    [anon_sym_error] = ACTIONS(805),
    [anon_sym_nosuspend] = ACTIONS(805),
    [anon_sym_if] = ACTIONS(805),
    [anon_sym_else] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(805),
    [anon_sym_DOT_DOT] = ACTIONS(805),
    [anon_sym_while] = ACTIONS(805),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(805),
    [anon_sym_asm] = ACTIONS(805),
    [anon_sym_LBRACK] = ACTIONS(803),
    [anon_sym_TILDE] = ACTIONS(803),
    [anon_sym_DASH] = ACTIONS(805),
    [anon_sym_DASH_PERCENT] = ACTIONS(805),
    [anon_sym_AMP] = ACTIONS(805),
    [anon_sym_or] = ACTIONS(805),
    [anon_sym_and] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(803),
    [anon_sym_BANG_EQ] = ACTIONS(803),
    [anon_sym_GT] = ACTIONS(805),
    [anon_sym_GT_EQ] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(803),
    [anon_sym_LT] = ACTIONS(805),
    [anon_sym_CARET] = ACTIONS(805),
    [anon_sym_orelse] = ACTIONS(805),
    [anon_sym_LT_LT] = ACTIONS(805),
    [anon_sym_GT_GT] = ACTIONS(805),
    [anon_sym_LT_LT_PIPE] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(805),
    [anon_sym_PLUS_PLUS] = ACTIONS(803),
    [anon_sym_PLUS_PERCENT] = ACTIONS(805),
    [anon_sym_PLUS_PIPE] = ACTIONS(805),
    [anon_sym_DASH_PIPE] = ACTIONS(805),
    [anon_sym_SLASH] = ACTIONS(805),
    [anon_sym_PERCENT] = ACTIONS(805),
    [anon_sym_STAR_STAR] = ACTIONS(803),
    [anon_sym_STAR_PERCENT] = ACTIONS(805),
    [anon_sym_STAR_PIPE] = ACTIONS(805),
    [anon_sym_PIPE_PIPE] = ACTIONS(803),
    [anon_sym_async] = ACTIONS(805),
    [anon_sym_await] = ACTIONS(805),
    [anon_sym_continue] = ACTIONS(805),
    [anon_sym_resume] = ACTIONS(805),
    [anon_sym_return] = ACTIONS(805),
    [anon_sym_break] = ACTIONS(805),
    [anon_sym_try] = ACTIONS(805),
    [anon_sym_catch] = ACTIONS(805),
    [anon_sym_switch] = ACTIONS(805),
    [anon_sym_EQ_GT] = ACTIONS(803),
    [anon_sym_anyframe] = ACTIONS(805),
    [anon_sym_unreachable] = ACTIONS(805),
    [anon_sym_undefined] = ACTIONS(805),
    [anon_sym_null] = ACTIONS(805),
    [anon_sym_QMARK] = ACTIONS(803),
    [anon_sym_DOT] = ACTIONS(805),
    [anon_sym_DOT_STAR] = ACTIONS(803),
    [anon_sym_DOT_QMARK] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [aux_sym_multiline_string_token1] = ACTIONS(803),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [sym_integer] = ACTIONS(805),
    [sym_float] = ACTIONS(803),
    [anon_sym_true] = ACTIONS(805),
    [anon_sym_false] = ACTIONS(805),
    [anon_sym_bool] = ACTIONS(805),
    [anon_sym_f16] = ACTIONS(805),
    [anon_sym_f32] = ACTIONS(805),
    [anon_sym_f64] = ACTIONS(805),
    [anon_sym_f128] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(805),
    [anon_sym_type] = ACTIONS(805),
    [anon_sym_anyerror] = ACTIONS(805),
    [anon_sym_anyopaque] = ACTIONS(805),
    [anon_sym_anytype] = ACTIONS(805),
    [anon_sym_noreturn] = ACTIONS(805),
    [anon_sym_isize] = ACTIONS(805),
    [anon_sym_usize] = ACTIONS(805),
    [anon_sym_comptime_int] = ACTIONS(805),
    [anon_sym_comptime_float] = ACTIONS(805),
    [anon_sym_c_short] = ACTIONS(805),
    [anon_sym_c_ushort] = ACTIONS(805),
    [anon_sym_c_int] = ACTIONS(805),
    [anon_sym_c_uint] = ACTIONS(805),
    [anon_sym_c_long] = ACTIONS(805),
    [anon_sym_c_ulong] = ACTIONS(805),
    [anon_sym_c_longlong] = ACTIONS(805),
    [anon_sym_c_ulonglong] = ACTIONS(805),
    [anon_sym_c_longdouble] = ACTIONS(805),
    [aux_sym_builtin_type_token1] = ACTIONS(805),
    [sym_builtin_identifier] = ACTIONS(803),
    [anon_sym_AT] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
  },
  [700] = {
    [sym__identifier] = ACTIONS(939),
    [anon_sym_COMMA] = ACTIONS(937),
    [anon_sym_comptime] = ACTIONS(939),
    [anon_sym_COLON] = ACTIONS(937),
    [anon_sym_EQ] = ACTIONS(939),
    [anon_sym_extern] = ACTIONS(939),
    [anon_sym_STAR_EQ] = ACTIONS(937),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(937),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(937),
    [anon_sym_SLASH_EQ] = ACTIONS(937),
    [anon_sym_PERCENT_EQ] = ACTIONS(937),
    [anon_sym_PLUS_EQ] = ACTIONS(937),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(937),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(937),
    [anon_sym_DASH_EQ] = ACTIONS(937),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(937),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(937),
    [anon_sym_LT_LT_EQ] = ACTIONS(937),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(937),
    [anon_sym_GT_GT_EQ] = ACTIONS(937),
    [anon_sym_AMP_EQ] = ACTIONS(937),
    [anon_sym_CARET_EQ] = ACTIONS(937),
    [anon_sym_PIPE_EQ] = ACTIONS(937),
    [anon_sym_inline] = ACTIONS(939),
    [anon_sym_fn] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(939),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(937),
    [anon_sym_packed] = ACTIONS(939),
    [anon_sym_struct] = ACTIONS(939),
    [anon_sym_opaque] = ACTIONS(939),
    [anon_sym_enum] = ACTIONS(939),
    [anon_sym_union] = ACTIONS(939),
    [anon_sym_error] = ACTIONS(939),
    [anon_sym_nosuspend] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_else] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(939),
    [anon_sym_DOT_DOT] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(939),
    [anon_sym_STAR] = ACTIONS(939),
    [anon_sym_asm] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(939),
    [anon_sym_DASH_PERCENT] = ACTIONS(939),
    [anon_sym_AMP] = ACTIONS(939),
    [anon_sym_or] = ACTIONS(939),
    [anon_sym_and] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(937),
    [anon_sym_BANG_EQ] = ACTIONS(937),
    [anon_sym_GT] = ACTIONS(939),
    [anon_sym_GT_EQ] = ACTIONS(937),
    [anon_sym_LT_EQ] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_orelse] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_LT_LT_PIPE] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_PLUS_PLUS] = ACTIONS(937),
    [anon_sym_PLUS_PERCENT] = ACTIONS(939),
    [anon_sym_PLUS_PIPE] = ACTIONS(939),
    [anon_sym_DASH_PIPE] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(937),
    [anon_sym_STAR_PERCENT] = ACTIONS(939),
    [anon_sym_STAR_PIPE] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(937),
    [anon_sym_async] = ACTIONS(939),
    [anon_sym_await] = ACTIONS(939),
    [anon_sym_continue] = ACTIONS(939),
    [anon_sym_resume] = ACTIONS(939),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_break] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(939),
    [anon_sym_catch] = ACTIONS(939),
    [anon_sym_switch] = ACTIONS(939),
    [anon_sym_EQ_GT] = ACTIONS(937),
    [anon_sym_anyframe] = ACTIONS(939),
    [anon_sym_unreachable] = ACTIONS(939),
    [anon_sym_undefined] = ACTIONS(939),
    [anon_sym_null] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(937),
    [anon_sym_DOT] = ACTIONS(939),
    [anon_sym_DOT_STAR] = ACTIONS(937),
    [anon_sym_DOT_QMARK] = ACTIONS(937),
    [anon_sym_DQUOTE] = ACTIONS(937),
    [aux_sym_multiline_string_token1] = ACTIONS(937),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_integer] = ACTIONS(939),
    [sym_float] = ACTIONS(937),
    [anon_sym_true] = ACTIONS(939),
    [anon_sym_false] = ACTIONS(939),
    [anon_sym_bool] = ACTIONS(939),
    [anon_sym_f16] = ACTIONS(939),
    [anon_sym_f32] = ACTIONS(939),
    [anon_sym_f64] = ACTIONS(939),
    [anon_sym_f128] = ACTIONS(939),
    [anon_sym_void] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_anyerror] = ACTIONS(939),
    [anon_sym_anyopaque] = ACTIONS(939),
    [anon_sym_anytype] = ACTIONS(939),
    [anon_sym_noreturn] = ACTIONS(939),
    [anon_sym_isize] = ACTIONS(939),
    [anon_sym_usize] = ACTIONS(939),
    [anon_sym_comptime_int] = ACTIONS(939),
    [anon_sym_comptime_float] = ACTIONS(939),
    [anon_sym_c_short] = ACTIONS(939),
    [anon_sym_c_ushort] = ACTIONS(939),
    [anon_sym_c_int] = ACTIONS(939),
    [anon_sym_c_uint] = ACTIONS(939),
    [anon_sym_c_long] = ACTIONS(939),
    [anon_sym_c_ulong] = ACTIONS(939),
    [anon_sym_c_longlong] = ACTIONS(939),
    [anon_sym_c_ulonglong] = ACTIONS(939),
    [anon_sym_c_longdouble] = ACTIONS(939),
    [aux_sym_builtin_type_token1] = ACTIONS(939),
    [sym_builtin_identifier] = ACTIONS(937),
    [anon_sym_AT] = ACTIONS(939),
    [sym_comment] = ACTIONS(3),
  },
  [701] = {
    [sym__identifier] = ACTIONS(933),
    [anon_sym_COMMA] = ACTIONS(931),
    [anon_sym_comptime] = ACTIONS(933),
    [anon_sym_EQ] = ACTIONS(933),
    [anon_sym_extern] = ACTIONS(933),
    [anon_sym_STAR_EQ] = ACTIONS(931),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(931),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(931),
    [anon_sym_SLASH_EQ] = ACTIONS(931),
    [anon_sym_PERCENT_EQ] = ACTIONS(931),
    [anon_sym_PLUS_EQ] = ACTIONS(931),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(931),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(931),
    [anon_sym_DASH_EQ] = ACTIONS(931),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(931),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(931),
    [anon_sym_LT_LT_EQ] = ACTIONS(931),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(931),
    [anon_sym_GT_GT_EQ] = ACTIONS(931),
    [anon_sym_AMP_EQ] = ACTIONS(931),
    [anon_sym_CARET_EQ] = ACTIONS(931),
    [anon_sym_PIPE_EQ] = ACTIONS(931),
    [anon_sym_inline] = ACTIONS(933),
    [anon_sym_fn] = ACTIONS(933),
    [anon_sym_BANG] = ACTIONS(933),
    [anon_sym_LPAREN] = ACTIONS(931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_packed] = ACTIONS(933),
    [anon_sym_struct] = ACTIONS(933),
    [anon_sym_opaque] = ACTIONS(933),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_union] = ACTIONS(933),
    [anon_sym_error] = ACTIONS(933),
    [anon_sym_nosuspend] = ACTIONS(933),
    [anon_sym_if] = ACTIONS(933),
    [anon_sym_else] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_DOT_DOT] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_PIPE] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(933),
    [anon_sym_asm] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(931),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_DASH_PERCENT] = ACTIONS(933),
    [anon_sym_AMP] = ACTIONS(933),
    [anon_sym_or] = ACTIONS(933),
    [anon_sym_and] = ACTIONS(933),
    [anon_sym_EQ_EQ] = ACTIONS(931),
    [anon_sym_BANG_EQ] = ACTIONS(931),
    [anon_sym_GT] = ACTIONS(933),
    [anon_sym_GT_EQ] = ACTIONS(931),
    [anon_sym_LT_EQ] = ACTIONS(931),
    [anon_sym_LT] = ACTIONS(933),
    [anon_sym_CARET] = ACTIONS(933),
    [anon_sym_orelse] = ACTIONS(933),
    [anon_sym_LT_LT] = ACTIONS(933),
    [anon_sym_GT_GT] = ACTIONS(933),
    [anon_sym_LT_LT_PIPE] = ACTIONS(933),
    [anon_sym_PLUS] = ACTIONS(933),
    [anon_sym_PLUS_PLUS] = ACTIONS(931),
    [anon_sym_PLUS_PERCENT] = ACTIONS(933),
    [anon_sym_PLUS_PIPE] = ACTIONS(933),
    [anon_sym_DASH_PIPE] = ACTIONS(933),
    [anon_sym_SLASH] = ACTIONS(933),
    [anon_sym_PERCENT] = ACTIONS(933),
    [anon_sym_STAR_STAR] = ACTIONS(931),
    [anon_sym_STAR_PERCENT] = ACTIONS(933),
    [anon_sym_STAR_PIPE] = ACTIONS(933),
    [anon_sym_PIPE_PIPE] = ACTIONS(931),
    [anon_sym_async] = ACTIONS(933),
    [anon_sym_await] = ACTIONS(933),
    [anon_sym_continue] = ACTIONS(933),
    [anon_sym_resume] = ACTIONS(933),
    [anon_sym_return] = ACTIONS(933),
    [anon_sym_break] = ACTIONS(933),
    [anon_sym_try] = ACTIONS(933),
    [anon_sym_catch] = ACTIONS(933),
    [anon_sym_switch] = ACTIONS(933),
    [anon_sym_EQ_GT] = ACTIONS(931),
    [anon_sym_anyframe] = ACTIONS(933),
    [anon_sym_unreachable] = ACTIONS(933),
    [anon_sym_undefined] = ACTIONS(933),
    [anon_sym_null] = ACTIONS(933),
    [anon_sym_QMARK] = ACTIONS(931),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_DOT_STAR] = ACTIONS(931),
    [anon_sym_DOT_QMARK] = ACTIONS(931),
    [anon_sym_DQUOTE] = ACTIONS(931),
    [aux_sym_multiline_string_token1] = ACTIONS(931),
    [anon_sym_SQUOTE] = ACTIONS(931),
    [sym_integer] = ACTIONS(933),
    [sym_float] = ACTIONS(931),
    [anon_sym_true] = ACTIONS(933),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_bool] = ACTIONS(933),
    [anon_sym_f16] = ACTIONS(933),
    [anon_sym_f32] = ACTIONS(933),
    [anon_sym_f64] = ACTIONS(933),
    [anon_sym_f128] = ACTIONS(933),
    [anon_sym_void] = ACTIONS(933),
    [anon_sym_type] = ACTIONS(933),
    [anon_sym_anyerror] = ACTIONS(933),
    [anon_sym_anyopaque] = ACTIONS(933),
    [anon_sym_anytype] = ACTIONS(933),
    [anon_sym_noreturn] = ACTIONS(933),
    [anon_sym_isize] = ACTIONS(933),
    [anon_sym_usize] = ACTIONS(933),
    [anon_sym_comptime_int] = ACTIONS(933),
    [anon_sym_comptime_float] = ACTIONS(933),
    [anon_sym_c_short] = ACTIONS(933),
    [anon_sym_c_ushort] = ACTIONS(933),
    [anon_sym_c_int] = ACTIONS(933),
    [anon_sym_c_uint] = ACTIONS(933),
    [anon_sym_c_long] = ACTIONS(933),
    [anon_sym_c_ulong] = ACTIONS(933),
    [anon_sym_c_longlong] = ACTIONS(933),
    [anon_sym_c_ulonglong] = ACTIONS(933),
    [anon_sym_c_longdouble] = ACTIONS(933),
    [aux_sym_builtin_type_token1] = ACTIONS(933),
    [sym_builtin_identifier] = ACTIONS(931),
    [anon_sym_AT] = ACTIONS(933),
    [sym_comment] = ACTIONS(3),
  },
  [702] = {
    [ts_builtin_sym_end] = ACTIONS(1001),
    [sym__identifier] = ACTIONS(1003),
    [anon_sym_COMMA] = ACTIONS(1001),
    [anon_sym_comptime] = ACTIONS(1003),
    [anon_sym_EQ] = ACTIONS(1001),
    [anon_sym_extern] = ACTIONS(1003),
    [anon_sym_SEMI] = ACTIONS(1001),
    [anon_sym_const] = ACTIONS(1003),
    [anon_sym_inline] = ACTIONS(1003),
    [anon_sym_fn] = ACTIONS(1003),
    [anon_sym_BANG] = ACTIONS(1001),
    [anon_sym_LPAREN] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1001),
    [anon_sym_RBRACE] = ACTIONS(1001),
    [anon_sym_packed] = ACTIONS(1003),
    [anon_sym_struct] = ACTIONS(1003),
    [anon_sym_opaque] = ACTIONS(1003),
    [anon_sym_enum] = ACTIONS(1003),
    [anon_sym_union] = ACTIONS(1003),
    [anon_sym_error] = ACTIONS(1003),
    [anon_sym_nosuspend] = ACTIONS(1003),
    [anon_sym_if] = ACTIONS(1003),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(1003),
    [anon_sym_STAR] = ACTIONS(1001),
    [anon_sym_align] = ACTIONS(1003),
    [anon_sym_addrspace] = ACTIONS(1003),
    [anon_sym_linksection] = ACTIONS(1003),
    [anon_sym_callconv] = ACTIONS(1003),
    [anon_sym_asm] = ACTIONS(1003),
    [anon_sym_volatile] = ACTIONS(1003),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_TILDE] = ACTIONS(1001),
    [anon_sym_DASH] = ACTIONS(1003),
    [anon_sym_DASH_PERCENT] = ACTIONS(1001),
    [anon_sym_AMP] = ACTIONS(1001),
    [anon_sym_async] = ACTIONS(1003),
    [anon_sym_await] = ACTIONS(1003),
    [anon_sym_continue] = ACTIONS(1003),
    [anon_sym_resume] = ACTIONS(1003),
    [anon_sym_return] = ACTIONS(1003),
    [anon_sym_break] = ACTIONS(1003),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_switch] = ACTIONS(1003),
    [anon_sym_anyframe] = ACTIONS(1003),
    [anon_sym_unreachable] = ACTIONS(1003),
    [anon_sym_undefined] = ACTIONS(1003),
    [anon_sym_null] = ACTIONS(1003),
    [anon_sym_QMARK] = ACTIONS(1001),
    [anon_sym_allowzero] = ACTIONS(1003),
    [anon_sym_DOT] = ACTIONS(1001),
    [anon_sym_DQUOTE] = ACTIONS(1001),
    [aux_sym_multiline_string_token1] = ACTIONS(1001),
    [anon_sym_SQUOTE] = ACTIONS(1001),
    [sym_integer] = ACTIONS(1003),
    [sym_float] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_bool] = ACTIONS(1003),
    [anon_sym_f16] = ACTIONS(1003),
    [anon_sym_f32] = ACTIONS(1003),
    [anon_sym_f64] = ACTIONS(1003),
    [anon_sym_f128] = ACTIONS(1003),
    [anon_sym_void] = ACTIONS(1003),
    [anon_sym_type] = ACTIONS(1003),
    [anon_sym_anyerror] = ACTIONS(1003),
    [anon_sym_anyopaque] = ACTIONS(1003),
    [anon_sym_anytype] = ACTIONS(1003),
    [anon_sym_noreturn] = ACTIONS(1003),
    [anon_sym_isize] = ACTIONS(1003),
    [anon_sym_usize] = ACTIONS(1003),
    [anon_sym_comptime_int] = ACTIONS(1003),
    [anon_sym_comptime_float] = ACTIONS(1003),
    [anon_sym_c_short] = ACTIONS(1003),
    [anon_sym_c_ushort] = ACTIONS(1003),
    [anon_sym_c_int] = ACTIONS(1003),
    [anon_sym_c_uint] = ACTIONS(1003),
    [anon_sym_c_long] = ACTIONS(1003),
    [anon_sym_c_ulong] = ACTIONS(1003),
    [anon_sym_c_longlong] = ACTIONS(1003),
    [anon_sym_c_ulonglong] = ACTIONS(1003),
    [anon_sym_c_longdouble] = ACTIONS(1003),
    [aux_sym_builtin_type_token1] = ACTIONS(1003),
    [sym_builtin_identifier] = ACTIONS(1001),
    [anon_sym_AT] = ACTIONS(1003),
    [sym_comment] = ACTIONS(3),
  },
  [703] = {
    [ts_builtin_sym_end] = ACTIONS(1005),
    [sym__identifier] = ACTIONS(1007),
    [anon_sym_pub] = ACTIONS(1007),
    [anon_sym_test] = ACTIONS(1007),
    [anon_sym_comptime] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(1007),
    [anon_sym_extern] = ACTIONS(1007),
    [anon_sym_threadlocal] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1007),
    [anon_sym_var] = ACTIONS(1007),
    [anon_sym_inline] = ACTIONS(1007),
    [anon_sym_noinline] = ACTIONS(1007),
    [anon_sym_fn] = ACTIONS(1007),
    [anon_sym_BANG] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1005),
    [anon_sym_usingnamespace] = ACTIONS(1007),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_RBRACE] = ACTIONS(1005),
    [anon_sym_packed] = ACTIONS(1007),
    [anon_sym_struct] = ACTIONS(1007),
    [anon_sym_opaque] = ACTIONS(1007),
    [anon_sym_enum] = ACTIONS(1007),
    [anon_sym_union] = ACTIONS(1007),
    [anon_sym_error] = ACTIONS(1007),
    [anon_sym_nosuspend] = ACTIONS(1007),
    [anon_sym_if] = ACTIONS(1007),
    [anon_sym_for] = ACTIONS(1007),
    [anon_sym_while] = ACTIONS(1007),
    [anon_sym_STAR] = ACTIONS(1005),
    [anon_sym_asm] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1005),
    [anon_sym_TILDE] = ACTIONS(1005),
    [anon_sym_DASH] = ACTIONS(1007),
    [anon_sym_DASH_PERCENT] = ACTIONS(1005),
    [anon_sym_AMP] = ACTIONS(1005),
    [anon_sym_async] = ACTIONS(1007),
    [anon_sym_await] = ACTIONS(1007),
    [anon_sym_continue] = ACTIONS(1007),
    [anon_sym_resume] = ACTIONS(1007),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_break] = ACTIONS(1007),
    [anon_sym_try] = ACTIONS(1007),
    [anon_sym_switch] = ACTIONS(1007),
    [anon_sym_anyframe] = ACTIONS(1007),
    [anon_sym_unreachable] = ACTIONS(1007),
    [anon_sym_undefined] = ACTIONS(1007),
    [anon_sym_null] = ACTIONS(1007),
    [anon_sym_QMARK] = ACTIONS(1005),
    [anon_sym_DOT] = ACTIONS(1005),
    [anon_sym_DQUOTE] = ACTIONS(1005),
    [aux_sym_multiline_string_token1] = ACTIONS(1005),
    [anon_sym_SQUOTE] = ACTIONS(1005),
    [sym_integer] = ACTIONS(1007),
    [sym_float] = ACTIONS(1005),
    [anon_sym_true] = ACTIONS(1007),
    [anon_sym_false] = ACTIONS(1007),
    [anon_sym_bool] = ACTIONS(1007),
    [anon_sym_f16] = ACTIONS(1007),
    [anon_sym_f32] = ACTIONS(1007),
    [anon_sym_f64] = ACTIONS(1007),
    [anon_sym_f128] = ACTIONS(1007),
    [anon_sym_void] = ACTIONS(1007),
    [anon_sym_type] = ACTIONS(1007),
    [anon_sym_anyerror] = ACTIONS(1007),
    [anon_sym_anyopaque] = ACTIONS(1007),
    [anon_sym_anytype] = ACTIONS(1007),
    [anon_sym_noreturn] = ACTIONS(1007),
    [anon_sym_isize] = ACTIONS(1007),
    [anon_sym_usize] = ACTIONS(1007),
    [anon_sym_comptime_int] = ACTIONS(1007),
    [anon_sym_comptime_float] = ACTIONS(1007),
    [anon_sym_c_short] = ACTIONS(1007),
    [anon_sym_c_ushort] = ACTIONS(1007),
    [anon_sym_c_int] = ACTIONS(1007),
    [anon_sym_c_uint] = ACTIONS(1007),
    [anon_sym_c_long] = ACTIONS(1007),
    [anon_sym_c_ulong] = ACTIONS(1007),
    [anon_sym_c_longlong] = ACTIONS(1007),
    [anon_sym_c_ulonglong] = ACTIONS(1007),
    [anon_sym_c_longdouble] = ACTIONS(1007),
    [aux_sym_builtin_type_token1] = ACTIONS(1007),
    [sym_builtin_identifier] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(1007),
    [sym_comment] = ACTIONS(3),
  },
  [704] = {
    [ts_builtin_sym_end] = ACTIONS(1009),
    [sym__identifier] = ACTIONS(1011),
    [anon_sym_pub] = ACTIONS(1011),
    [anon_sym_test] = ACTIONS(1011),
    [anon_sym_comptime] = ACTIONS(1011),
    [anon_sym_export] = ACTIONS(1011),
    [anon_sym_extern] = ACTIONS(1011),
    [anon_sym_threadlocal] = ACTIONS(1011),
    [anon_sym_const] = ACTIONS(1011),
    [anon_sym_var] = ACTIONS(1011),
    [anon_sym_inline] = ACTIONS(1011),
    [anon_sym_noinline] = ACTIONS(1011),
    [anon_sym_fn] = ACTIONS(1011),
    [anon_sym_BANG] = ACTIONS(1009),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_usingnamespace] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1009),
    [anon_sym_RBRACE] = ACTIONS(1009),
    [anon_sym_packed] = ACTIONS(1011),
    [anon_sym_struct] = ACTIONS(1011),
    [anon_sym_opaque] = ACTIONS(1011),
    [anon_sym_enum] = ACTIONS(1011),
    [anon_sym_union] = ACTIONS(1011),
    [anon_sym_error] = ACTIONS(1011),
    [anon_sym_nosuspend] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1011),
    [anon_sym_for] = ACTIONS(1011),
    [anon_sym_while] = ACTIONS(1011),
    [anon_sym_STAR] = ACTIONS(1009),
    [anon_sym_asm] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_TILDE] = ACTIONS(1009),
    [anon_sym_DASH] = ACTIONS(1011),
    [anon_sym_DASH_PERCENT] = ACTIONS(1009),
    [anon_sym_AMP] = ACTIONS(1009),
    [anon_sym_async] = ACTIONS(1011),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_continue] = ACTIONS(1011),
    [anon_sym_resume] = ACTIONS(1011),
    [anon_sym_return] = ACTIONS(1011),
    [anon_sym_break] = ACTIONS(1011),
    [anon_sym_try] = ACTIONS(1011),
    [anon_sym_switch] = ACTIONS(1011),
    [anon_sym_anyframe] = ACTIONS(1011),
    [anon_sym_unreachable] = ACTIONS(1011),
    [anon_sym_undefined] = ACTIONS(1011),
    [anon_sym_null] = ACTIONS(1011),
    [anon_sym_QMARK] = ACTIONS(1009),
    [anon_sym_DOT] = ACTIONS(1009),
    [anon_sym_DQUOTE] = ACTIONS(1009),
    [aux_sym_multiline_string_token1] = ACTIONS(1009),
    [anon_sym_SQUOTE] = ACTIONS(1009),
    [sym_integer] = ACTIONS(1011),
    [sym_float] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_bool] = ACTIONS(1011),
    [anon_sym_f16] = ACTIONS(1011),
    [anon_sym_f32] = ACTIONS(1011),
    [anon_sym_f64] = ACTIONS(1011),
    [anon_sym_f128] = ACTIONS(1011),
    [anon_sym_void] = ACTIONS(1011),
    [anon_sym_type] = ACTIONS(1011),
    [anon_sym_anyerror] = ACTIONS(1011),
    [anon_sym_anyopaque] = ACTIONS(1011),
    [anon_sym_anytype] = ACTIONS(1011),
    [anon_sym_noreturn] = ACTIONS(1011),
    [anon_sym_isize] = ACTIONS(1011),
    [anon_sym_usize] = ACTIONS(1011),
    [anon_sym_comptime_int] = ACTIONS(1011),
    [anon_sym_comptime_float] = ACTIONS(1011),
    [anon_sym_c_short] = ACTIONS(1011),
    [anon_sym_c_ushort] = ACTIONS(1011),
    [anon_sym_c_int] = ACTIONS(1011),
    [anon_sym_c_uint] = ACTIONS(1011),
    [anon_sym_c_long] = ACTIONS(1011),
    [anon_sym_c_ulong] = ACTIONS(1011),
    [anon_sym_c_longlong] = ACTIONS(1011),
    [anon_sym_c_ulonglong] = ACTIONS(1011),
    [anon_sym_c_longdouble] = ACTIONS(1011),
    [aux_sym_builtin_type_token1] = ACTIONS(1011),
    [sym_builtin_identifier] = ACTIONS(1009),
    [anon_sym_AT] = ACTIONS(1011),
    [sym_comment] = ACTIONS(3),
  },
  [705] = {
    [ts_builtin_sym_end] = ACTIONS(1013),
    [sym__identifier] = ACTIONS(1015),
    [anon_sym_pub] = ACTIONS(1015),
    [anon_sym_test] = ACTIONS(1015),
    [anon_sym_comptime] = ACTIONS(1015),
    [anon_sym_export] = ACTIONS(1015),
    [anon_sym_extern] = ACTIONS(1015),
    [anon_sym_threadlocal] = ACTIONS(1015),
    [anon_sym_const] = ACTIONS(1015),
    [anon_sym_var] = ACTIONS(1015),
    [anon_sym_inline] = ACTIONS(1015),
    [anon_sym_noinline] = ACTIONS(1015),
    [anon_sym_fn] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(1013),
    [anon_sym_usingnamespace] = ACTIONS(1015),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_RBRACE] = ACTIONS(1013),
    [anon_sym_packed] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1015),
    [anon_sym_opaque] = ACTIONS(1015),
    [anon_sym_enum] = ACTIONS(1015),
    [anon_sym_union] = ACTIONS(1015),
    [anon_sym_error] = ACTIONS(1015),
    [anon_sym_nosuspend] = ACTIONS(1015),
    [anon_sym_if] = ACTIONS(1015),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(1013),
    [anon_sym_asm] = ACTIONS(1015),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_TILDE] = ACTIONS(1013),
    [anon_sym_DASH] = ACTIONS(1015),
    [anon_sym_DASH_PERCENT] = ACTIONS(1013),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_async] = ACTIONS(1015),
    [anon_sym_await] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1015),
    [anon_sym_resume] = ACTIONS(1015),
    [anon_sym_return] = ACTIONS(1015),
    [anon_sym_break] = ACTIONS(1015),
    [anon_sym_try] = ACTIONS(1015),
    [anon_sym_switch] = ACTIONS(1015),
    [anon_sym_anyframe] = ACTIONS(1015),
    [anon_sym_unreachable] = ACTIONS(1015),
    [anon_sym_undefined] = ACTIONS(1015),
    [anon_sym_null] = ACTIONS(1015),
    [anon_sym_QMARK] = ACTIONS(1013),
    [anon_sym_DOT] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1013),
    [aux_sym_multiline_string_token1] = ACTIONS(1013),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [sym_integer] = ACTIONS(1015),
    [sym_float] = ACTIONS(1013),
    [anon_sym_true] = ACTIONS(1015),
    [anon_sym_false] = ACTIONS(1015),
    [anon_sym_bool] = ACTIONS(1015),
    [anon_sym_f16] = ACTIONS(1015),
    [anon_sym_f32] = ACTIONS(1015),
    [anon_sym_f64] = ACTIONS(1015),
    [anon_sym_f128] = ACTIONS(1015),
    [anon_sym_void] = ACTIONS(1015),
    [anon_sym_type] = ACTIONS(1015),
    [anon_sym_anyerror] = ACTIONS(1015),
    [anon_sym_anyopaque] = ACTIONS(1015),
    [anon_sym_anytype] = ACTIONS(1015),
    [anon_sym_noreturn] = ACTIONS(1015),
    [anon_sym_isize] = ACTIONS(1015),
    [anon_sym_usize] = ACTIONS(1015),
    [anon_sym_comptime_int] = ACTIONS(1015),
    [anon_sym_comptime_float] = ACTIONS(1015),
    [anon_sym_c_short] = ACTIONS(1015),
    [anon_sym_c_ushort] = ACTIONS(1015),
    [anon_sym_c_int] = ACTIONS(1015),
    [anon_sym_c_uint] = ACTIONS(1015),
    [anon_sym_c_long] = ACTIONS(1015),
    [anon_sym_c_ulong] = ACTIONS(1015),
    [anon_sym_c_longlong] = ACTIONS(1015),
    [anon_sym_c_ulonglong] = ACTIONS(1015),
    [anon_sym_c_longdouble] = ACTIONS(1015),
    [aux_sym_builtin_type_token1] = ACTIONS(1015),
    [sym_builtin_identifier] = ACTIONS(1013),
    [anon_sym_AT] = ACTIONS(1015),
    [sym_comment] = ACTIONS(3),
  },
  [706] = {
    [ts_builtin_sym_end] = ACTIONS(1017),
    [sym__identifier] = ACTIONS(1019),
    [anon_sym_pub] = ACTIONS(1019),
    [anon_sym_test] = ACTIONS(1019),
    [anon_sym_comptime] = ACTIONS(1019),
    [anon_sym_export] = ACTIONS(1019),
    [anon_sym_extern] = ACTIONS(1019),
    [anon_sym_threadlocal] = ACTIONS(1019),
    [anon_sym_const] = ACTIONS(1019),
    [anon_sym_var] = ACTIONS(1019),
    [anon_sym_inline] = ACTIONS(1019),
    [anon_sym_noinline] = ACTIONS(1019),
    [anon_sym_fn] = ACTIONS(1019),
    [anon_sym_BANG] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(1017),
    [anon_sym_usingnamespace] = ACTIONS(1019),
    [anon_sym_LBRACE] = ACTIONS(1017),
    [anon_sym_RBRACE] = ACTIONS(1017),
    [anon_sym_packed] = ACTIONS(1019),
    [anon_sym_struct] = ACTIONS(1019),
    [anon_sym_opaque] = ACTIONS(1019),
    [anon_sym_enum] = ACTIONS(1019),
    [anon_sym_union] = ACTIONS(1019),
    [anon_sym_error] = ACTIONS(1019),
    [anon_sym_nosuspend] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_for] = ACTIONS(1019),
    [anon_sym_while] = ACTIONS(1019),
    [anon_sym_STAR] = ACTIONS(1017),
    [anon_sym_asm] = ACTIONS(1019),
    [anon_sym_LBRACK] = ACTIONS(1017),
    [anon_sym_TILDE] = ACTIONS(1017),
    [anon_sym_DASH] = ACTIONS(1019),
    [anon_sym_DASH_PERCENT] = ACTIONS(1017),
    [anon_sym_AMP] = ACTIONS(1017),
    [anon_sym_async] = ACTIONS(1019),
    [anon_sym_await] = ACTIONS(1019),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_resume] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1019),
    [anon_sym_try] = ACTIONS(1019),
    [anon_sym_switch] = ACTIONS(1019),
    [anon_sym_anyframe] = ACTIONS(1019),
    [anon_sym_unreachable] = ACTIONS(1019),
    [anon_sym_undefined] = ACTIONS(1019),
    [anon_sym_null] = ACTIONS(1019),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [aux_sym_multiline_string_token1] = ACTIONS(1017),
    [anon_sym_SQUOTE] = ACTIONS(1017),
    [sym_integer] = ACTIONS(1019),
    [sym_float] = ACTIONS(1017),
    [anon_sym_true] = ACTIONS(1019),
    [anon_sym_false] = ACTIONS(1019),
    [anon_sym_bool] = ACTIONS(1019),
    [anon_sym_f16] = ACTIONS(1019),
    [anon_sym_f32] = ACTIONS(1019),
    [anon_sym_f64] = ACTIONS(1019),
    [anon_sym_f128] = ACTIONS(1019),
    [anon_sym_void] = ACTIONS(1019),
    [anon_sym_type] = ACTIONS(1019),
    [anon_sym_anyerror] = ACTIONS(1019),
    [anon_sym_anyopaque] = ACTIONS(1019),
    [anon_sym_anytype] = ACTIONS(1019),
    [anon_sym_noreturn] = ACTIONS(1019),
    [anon_sym_isize] = ACTIONS(1019),
    [anon_sym_usize] = ACTIONS(1019),
    [anon_sym_comptime_int] = ACTIONS(1019),
    [anon_sym_comptime_float] = ACTIONS(1019),
    [anon_sym_c_short] = ACTIONS(1019),
    [anon_sym_c_ushort] = ACTIONS(1019),
    [anon_sym_c_int] = ACTIONS(1019),
    [anon_sym_c_uint] = ACTIONS(1019),
    [anon_sym_c_long] = ACTIONS(1019),
    [anon_sym_c_ulong] = ACTIONS(1019),
    [anon_sym_c_longlong] = ACTIONS(1019),
    [anon_sym_c_ulonglong] = ACTIONS(1019),
    [anon_sym_c_longdouble] = ACTIONS(1019),
    [aux_sym_builtin_type_token1] = ACTIONS(1019),
    [sym_builtin_identifier] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
  },
  [707] = {
    [ts_builtin_sym_end] = ACTIONS(1009),
    [sym__identifier] = ACTIONS(1011),
    [anon_sym_pub] = ACTIONS(1011),
    [anon_sym_test] = ACTIONS(1011),
    [anon_sym_comptime] = ACTIONS(1011),
    [anon_sym_export] = ACTIONS(1011),
    [anon_sym_extern] = ACTIONS(1011),
    [anon_sym_threadlocal] = ACTIONS(1011),
    [anon_sym_const] = ACTIONS(1011),
    [anon_sym_var] = ACTIONS(1011),
    [anon_sym_inline] = ACTIONS(1011),
    [anon_sym_noinline] = ACTIONS(1011),
    [anon_sym_fn] = ACTIONS(1011),
    [anon_sym_BANG] = ACTIONS(1009),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_usingnamespace] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1009),
    [anon_sym_RBRACE] = ACTIONS(1009),
    [anon_sym_packed] = ACTIONS(1011),
    [anon_sym_struct] = ACTIONS(1011),
    [anon_sym_opaque] = ACTIONS(1011),
    [anon_sym_enum] = ACTIONS(1011),
    [anon_sym_union] = ACTIONS(1011),
    [anon_sym_error] = ACTIONS(1011),
    [anon_sym_nosuspend] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1011),
    [anon_sym_for] = ACTIONS(1011),
    [anon_sym_while] = ACTIONS(1011),
    [anon_sym_STAR] = ACTIONS(1009),
    [anon_sym_asm] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_TILDE] = ACTIONS(1009),
    [anon_sym_DASH] = ACTIONS(1011),
    [anon_sym_DASH_PERCENT] = ACTIONS(1009),
    [anon_sym_AMP] = ACTIONS(1009),
    [anon_sym_async] = ACTIONS(1011),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_continue] = ACTIONS(1011),
    [anon_sym_resume] = ACTIONS(1011),
    [anon_sym_return] = ACTIONS(1011),
    [anon_sym_break] = ACTIONS(1011),
    [anon_sym_try] = ACTIONS(1011),
    [anon_sym_switch] = ACTIONS(1011),
    [anon_sym_anyframe] = ACTIONS(1011),
    [anon_sym_unreachable] = ACTIONS(1011),
    [anon_sym_undefined] = ACTIONS(1011),
    [anon_sym_null] = ACTIONS(1011),
    [anon_sym_QMARK] = ACTIONS(1009),
    [anon_sym_DOT] = ACTIONS(1009),
    [anon_sym_DQUOTE] = ACTIONS(1009),
    [aux_sym_multiline_string_token1] = ACTIONS(1009),
    [anon_sym_SQUOTE] = ACTIONS(1009),
    [sym_integer] = ACTIONS(1011),
    [sym_float] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_bool] = ACTIONS(1011),
    [anon_sym_f16] = ACTIONS(1011),
    [anon_sym_f32] = ACTIONS(1011),
    [anon_sym_f64] = ACTIONS(1011),
    [anon_sym_f128] = ACTIONS(1011),
    [anon_sym_void] = ACTIONS(1011),
    [anon_sym_type] = ACTIONS(1011),
    [anon_sym_anyerror] = ACTIONS(1011),
    [anon_sym_anyopaque] = ACTIONS(1011),
    [anon_sym_anytype] = ACTIONS(1011),
    [anon_sym_noreturn] = ACTIONS(1011),
    [anon_sym_isize] = ACTIONS(1011),
    [anon_sym_usize] = ACTIONS(1011),
    [anon_sym_comptime_int] = ACTIONS(1011),
    [anon_sym_comptime_float] = ACTIONS(1011),
    [anon_sym_c_short] = ACTIONS(1011),
    [anon_sym_c_ushort] = ACTIONS(1011),
    [anon_sym_c_int] = ACTIONS(1011),
    [anon_sym_c_uint] = ACTIONS(1011),
    [anon_sym_c_long] = ACTIONS(1011),
    [anon_sym_c_ulong] = ACTIONS(1011),
    [anon_sym_c_longlong] = ACTIONS(1011),
    [anon_sym_c_ulonglong] = ACTIONS(1011),
    [anon_sym_c_longdouble] = ACTIONS(1011),
    [aux_sym_builtin_type_token1] = ACTIONS(1011),
    [sym_builtin_identifier] = ACTIONS(1009),
    [anon_sym_AT] = ACTIONS(1011),
    [sym_comment] = ACTIONS(3),
  },
  [708] = {
    [ts_builtin_sym_end] = ACTIONS(1013),
    [sym__identifier] = ACTIONS(1015),
    [anon_sym_pub] = ACTIONS(1015),
    [anon_sym_test] = ACTIONS(1015),
    [anon_sym_comptime] = ACTIONS(1015),
    [anon_sym_export] = ACTIONS(1015),
    [anon_sym_extern] = ACTIONS(1015),
    [anon_sym_threadlocal] = ACTIONS(1015),
    [anon_sym_const] = ACTIONS(1015),
    [anon_sym_var] = ACTIONS(1015),
    [anon_sym_inline] = ACTIONS(1015),
    [anon_sym_noinline] = ACTIONS(1015),
    [anon_sym_fn] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(1013),
    [anon_sym_usingnamespace] = ACTIONS(1015),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_RBRACE] = ACTIONS(1013),
    [anon_sym_packed] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1015),
    [anon_sym_opaque] = ACTIONS(1015),
    [anon_sym_enum] = ACTIONS(1015),
    [anon_sym_union] = ACTIONS(1015),
    [anon_sym_error] = ACTIONS(1015),
    [anon_sym_nosuspend] = ACTIONS(1015),
    [anon_sym_if] = ACTIONS(1015),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(1013),
    [anon_sym_asm] = ACTIONS(1015),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_TILDE] = ACTIONS(1013),
    [anon_sym_DASH] = ACTIONS(1015),
    [anon_sym_DASH_PERCENT] = ACTIONS(1013),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_async] = ACTIONS(1015),
    [anon_sym_await] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1015),
    [anon_sym_resume] = ACTIONS(1015),
    [anon_sym_return] = ACTIONS(1015),
    [anon_sym_break] = ACTIONS(1015),
    [anon_sym_try] = ACTIONS(1015),
    [anon_sym_switch] = ACTIONS(1015),
    [anon_sym_anyframe] = ACTIONS(1015),
    [anon_sym_unreachable] = ACTIONS(1015),
    [anon_sym_undefined] = ACTIONS(1015),
    [anon_sym_null] = ACTIONS(1015),
    [anon_sym_QMARK] = ACTIONS(1013),
    [anon_sym_DOT] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1013),
    [aux_sym_multiline_string_token1] = ACTIONS(1013),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [sym_integer] = ACTIONS(1015),
    [sym_float] = ACTIONS(1013),
    [anon_sym_true] = ACTIONS(1015),
    [anon_sym_false] = ACTIONS(1015),
    [anon_sym_bool] = ACTIONS(1015),
    [anon_sym_f16] = ACTIONS(1015),
    [anon_sym_f32] = ACTIONS(1015),
    [anon_sym_f64] = ACTIONS(1015),
    [anon_sym_f128] = ACTIONS(1015),
    [anon_sym_void] = ACTIONS(1015),
    [anon_sym_type] = ACTIONS(1015),
    [anon_sym_anyerror] = ACTIONS(1015),
    [anon_sym_anyopaque] = ACTIONS(1015),
    [anon_sym_anytype] = ACTIONS(1015),
    [anon_sym_noreturn] = ACTIONS(1015),
    [anon_sym_isize] = ACTIONS(1015),
    [anon_sym_usize] = ACTIONS(1015),
    [anon_sym_comptime_int] = ACTIONS(1015),
    [anon_sym_comptime_float] = ACTIONS(1015),
    [anon_sym_c_short] = ACTIONS(1015),
    [anon_sym_c_ushort] = ACTIONS(1015),
    [anon_sym_c_int] = ACTIONS(1015),
    [anon_sym_c_uint] = ACTIONS(1015),
    [anon_sym_c_long] = ACTIONS(1015),
    [anon_sym_c_ulong] = ACTIONS(1015),
    [anon_sym_c_longlong] = ACTIONS(1015),
    [anon_sym_c_ulonglong] = ACTIONS(1015),
    [anon_sym_c_longdouble] = ACTIONS(1015),
    [aux_sym_builtin_type_token1] = ACTIONS(1015),
    [sym_builtin_identifier] = ACTIONS(1013),
    [anon_sym_AT] = ACTIONS(1015),
    [sym_comment] = ACTIONS(3),
  },
  [709] = {
    [ts_builtin_sym_end] = ACTIONS(1017),
    [sym__identifier] = ACTIONS(1019),
    [anon_sym_pub] = ACTIONS(1019),
    [anon_sym_test] = ACTIONS(1019),
    [anon_sym_comptime] = ACTIONS(1019),
    [anon_sym_export] = ACTIONS(1019),
    [anon_sym_extern] = ACTIONS(1019),
    [anon_sym_threadlocal] = ACTIONS(1019),
    [anon_sym_const] = ACTIONS(1019),
    [anon_sym_var] = ACTIONS(1019),
    [anon_sym_inline] = ACTIONS(1019),
    [anon_sym_noinline] = ACTIONS(1019),
    [anon_sym_fn] = ACTIONS(1019),
    [anon_sym_BANG] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(1017),
    [anon_sym_usingnamespace] = ACTIONS(1019),
    [anon_sym_LBRACE] = ACTIONS(1017),
    [anon_sym_RBRACE] = ACTIONS(1017),
    [anon_sym_packed] = ACTIONS(1019),
    [anon_sym_struct] = ACTIONS(1019),
    [anon_sym_opaque] = ACTIONS(1019),
    [anon_sym_enum] = ACTIONS(1019),
    [anon_sym_union] = ACTIONS(1019),
    [anon_sym_error] = ACTIONS(1019),
    [anon_sym_nosuspend] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_for] = ACTIONS(1019),
    [anon_sym_while] = ACTIONS(1019),
    [anon_sym_STAR] = ACTIONS(1017),
    [anon_sym_asm] = ACTIONS(1019),
    [anon_sym_LBRACK] = ACTIONS(1017),
    [anon_sym_TILDE] = ACTIONS(1017),
    [anon_sym_DASH] = ACTIONS(1019),
    [anon_sym_DASH_PERCENT] = ACTIONS(1017),
    [anon_sym_AMP] = ACTIONS(1017),
    [anon_sym_async] = ACTIONS(1019),
    [anon_sym_await] = ACTIONS(1019),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_resume] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1019),
    [anon_sym_try] = ACTIONS(1019),
    [anon_sym_switch] = ACTIONS(1019),
    [anon_sym_anyframe] = ACTIONS(1019),
    [anon_sym_unreachable] = ACTIONS(1019),
    [anon_sym_undefined] = ACTIONS(1019),
    [anon_sym_null] = ACTIONS(1019),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [aux_sym_multiline_string_token1] = ACTIONS(1017),
    [anon_sym_SQUOTE] = ACTIONS(1017),
    [sym_integer] = ACTIONS(1019),
    [sym_float] = ACTIONS(1017),
    [anon_sym_true] = ACTIONS(1019),
    [anon_sym_false] = ACTIONS(1019),
    [anon_sym_bool] = ACTIONS(1019),
    [anon_sym_f16] = ACTIONS(1019),
    [anon_sym_f32] = ACTIONS(1019),
    [anon_sym_f64] = ACTIONS(1019),
    [anon_sym_f128] = ACTIONS(1019),
    [anon_sym_void] = ACTIONS(1019),
    [anon_sym_type] = ACTIONS(1019),
    [anon_sym_anyerror] = ACTIONS(1019),
    [anon_sym_anyopaque] = ACTIONS(1019),
    [anon_sym_anytype] = ACTIONS(1019),
    [anon_sym_noreturn] = ACTIONS(1019),
    [anon_sym_isize] = ACTIONS(1019),
    [anon_sym_usize] = ACTIONS(1019),
    [anon_sym_comptime_int] = ACTIONS(1019),
    [anon_sym_comptime_float] = ACTIONS(1019),
    [anon_sym_c_short] = ACTIONS(1019),
    [anon_sym_c_ushort] = ACTIONS(1019),
    [anon_sym_c_int] = ACTIONS(1019),
    [anon_sym_c_uint] = ACTIONS(1019),
    [anon_sym_c_long] = ACTIONS(1019),
    [anon_sym_c_ulong] = ACTIONS(1019),
    [anon_sym_c_longlong] = ACTIONS(1019),
    [anon_sym_c_ulonglong] = ACTIONS(1019),
    [anon_sym_c_longdouble] = ACTIONS(1019),
    [aux_sym_builtin_type_token1] = ACTIONS(1019),
    [sym_builtin_identifier] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
  },
  [710] = {
    [ts_builtin_sym_end] = ACTIONS(1009),
    [sym__identifier] = ACTIONS(1011),
    [anon_sym_pub] = ACTIONS(1011),
    [anon_sym_test] = ACTIONS(1011),
    [anon_sym_comptime] = ACTIONS(1011),
    [anon_sym_export] = ACTIONS(1011),
    [anon_sym_extern] = ACTIONS(1011),
    [anon_sym_threadlocal] = ACTIONS(1011),
    [anon_sym_const] = ACTIONS(1011),
    [anon_sym_var] = ACTIONS(1011),
    [anon_sym_inline] = ACTIONS(1011),
    [anon_sym_noinline] = ACTIONS(1011),
    [anon_sym_fn] = ACTIONS(1011),
    [anon_sym_BANG] = ACTIONS(1009),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_usingnamespace] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1009),
    [anon_sym_RBRACE] = ACTIONS(1009),
    [anon_sym_packed] = ACTIONS(1011),
    [anon_sym_struct] = ACTIONS(1011),
    [anon_sym_opaque] = ACTIONS(1011),
    [anon_sym_enum] = ACTIONS(1011),
    [anon_sym_union] = ACTIONS(1011),
    [anon_sym_error] = ACTIONS(1011),
    [anon_sym_nosuspend] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1011),
    [anon_sym_for] = ACTIONS(1011),
    [anon_sym_while] = ACTIONS(1011),
    [anon_sym_STAR] = ACTIONS(1009),
    [anon_sym_asm] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_TILDE] = ACTIONS(1009),
    [anon_sym_DASH] = ACTIONS(1011),
    [anon_sym_DASH_PERCENT] = ACTIONS(1009),
    [anon_sym_AMP] = ACTIONS(1009),
    [anon_sym_async] = ACTIONS(1011),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_continue] = ACTIONS(1011),
    [anon_sym_resume] = ACTIONS(1011),
    [anon_sym_return] = ACTIONS(1011),
    [anon_sym_break] = ACTIONS(1011),
    [anon_sym_try] = ACTIONS(1011),
    [anon_sym_switch] = ACTIONS(1011),
    [anon_sym_anyframe] = ACTIONS(1011),
    [anon_sym_unreachable] = ACTIONS(1011),
    [anon_sym_undefined] = ACTIONS(1011),
    [anon_sym_null] = ACTIONS(1011),
    [anon_sym_QMARK] = ACTIONS(1009),
    [anon_sym_DOT] = ACTIONS(1009),
    [anon_sym_DQUOTE] = ACTIONS(1009),
    [aux_sym_multiline_string_token1] = ACTIONS(1009),
    [anon_sym_SQUOTE] = ACTIONS(1009),
    [sym_integer] = ACTIONS(1011),
    [sym_float] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_bool] = ACTIONS(1011),
    [anon_sym_f16] = ACTIONS(1011),
    [anon_sym_f32] = ACTIONS(1011),
    [anon_sym_f64] = ACTIONS(1011),
    [anon_sym_f128] = ACTIONS(1011),
    [anon_sym_void] = ACTIONS(1011),
    [anon_sym_type] = ACTIONS(1011),
    [anon_sym_anyerror] = ACTIONS(1011),
    [anon_sym_anyopaque] = ACTIONS(1011),
    [anon_sym_anytype] = ACTIONS(1011),
    [anon_sym_noreturn] = ACTIONS(1011),
    [anon_sym_isize] = ACTIONS(1011),
    [anon_sym_usize] = ACTIONS(1011),
    [anon_sym_comptime_int] = ACTIONS(1011),
    [anon_sym_comptime_float] = ACTIONS(1011),
    [anon_sym_c_short] = ACTIONS(1011),
    [anon_sym_c_ushort] = ACTIONS(1011),
    [anon_sym_c_int] = ACTIONS(1011),
    [anon_sym_c_uint] = ACTIONS(1011),
    [anon_sym_c_long] = ACTIONS(1011),
    [anon_sym_c_ulong] = ACTIONS(1011),
    [anon_sym_c_longlong] = ACTIONS(1011),
    [anon_sym_c_ulonglong] = ACTIONS(1011),
    [anon_sym_c_longdouble] = ACTIONS(1011),
    [aux_sym_builtin_type_token1] = ACTIONS(1011),
    [sym_builtin_identifier] = ACTIONS(1009),
    [anon_sym_AT] = ACTIONS(1011),
    [sym_comment] = ACTIONS(3),
  },
  [711] = {
    [ts_builtin_sym_end] = ACTIONS(1021),
    [sym__identifier] = ACTIONS(1023),
    [anon_sym_pub] = ACTIONS(1023),
    [anon_sym_test] = ACTIONS(1023),
    [anon_sym_comptime] = ACTIONS(1023),
    [anon_sym_export] = ACTIONS(1023),
    [anon_sym_extern] = ACTIONS(1023),
    [anon_sym_threadlocal] = ACTIONS(1023),
    [anon_sym_const] = ACTIONS(1023),
    [anon_sym_var] = ACTIONS(1023),
    [anon_sym_inline] = ACTIONS(1023),
    [anon_sym_noinline] = ACTIONS(1023),
    [anon_sym_fn] = ACTIONS(1023),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(1021),
    [anon_sym_usingnamespace] = ACTIONS(1023),
    [anon_sym_LBRACE] = ACTIONS(1021),
    [anon_sym_RBRACE] = ACTIONS(1021),
    [anon_sym_packed] = ACTIONS(1023),
    [anon_sym_struct] = ACTIONS(1023),
    [anon_sym_opaque] = ACTIONS(1023),
    [anon_sym_enum] = ACTIONS(1023),
    [anon_sym_union] = ACTIONS(1023),
    [anon_sym_error] = ACTIONS(1023),
    [anon_sym_nosuspend] = ACTIONS(1023),
    [anon_sym_if] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1023),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_STAR] = ACTIONS(1021),
    [anon_sym_asm] = ACTIONS(1023),
    [anon_sym_LBRACK] = ACTIONS(1021),
    [anon_sym_TILDE] = ACTIONS(1021),
    [anon_sym_DASH] = ACTIONS(1023),
    [anon_sym_DASH_PERCENT] = ACTIONS(1021),
    [anon_sym_AMP] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1023),
    [anon_sym_await] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [anon_sym_resume] = ACTIONS(1023),
    [anon_sym_return] = ACTIONS(1023),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_try] = ACTIONS(1023),
    [anon_sym_switch] = ACTIONS(1023),
    [anon_sym_anyframe] = ACTIONS(1023),
    [anon_sym_unreachable] = ACTIONS(1023),
    [anon_sym_undefined] = ACTIONS(1023),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_QMARK] = ACTIONS(1021),
    [anon_sym_DOT] = ACTIONS(1021),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [aux_sym_multiline_string_token1] = ACTIONS(1021),
    [anon_sym_SQUOTE] = ACTIONS(1021),
    [sym_integer] = ACTIONS(1023),
    [sym_float] = ACTIONS(1021),
    [anon_sym_true] = ACTIONS(1023),
    [anon_sym_false] = ACTIONS(1023),
    [anon_sym_bool] = ACTIONS(1023),
    [anon_sym_f16] = ACTIONS(1023),
    [anon_sym_f32] = ACTIONS(1023),
    [anon_sym_f64] = ACTIONS(1023),
    [anon_sym_f128] = ACTIONS(1023),
    [anon_sym_void] = ACTIONS(1023),
    [anon_sym_type] = ACTIONS(1023),
    [anon_sym_anyerror] = ACTIONS(1023),
    [anon_sym_anyopaque] = ACTIONS(1023),
    [anon_sym_anytype] = ACTIONS(1023),
    [anon_sym_noreturn] = ACTIONS(1023),
    [anon_sym_isize] = ACTIONS(1023),
    [anon_sym_usize] = ACTIONS(1023),
    [anon_sym_comptime_int] = ACTIONS(1023),
    [anon_sym_comptime_float] = ACTIONS(1023),
    [anon_sym_c_short] = ACTIONS(1023),
    [anon_sym_c_ushort] = ACTIONS(1023),
    [anon_sym_c_int] = ACTIONS(1023),
    [anon_sym_c_uint] = ACTIONS(1023),
    [anon_sym_c_long] = ACTIONS(1023),
    [anon_sym_c_ulong] = ACTIONS(1023),
    [anon_sym_c_longlong] = ACTIONS(1023),
    [anon_sym_c_ulonglong] = ACTIONS(1023),
    [anon_sym_c_longdouble] = ACTIONS(1023),
    [aux_sym_builtin_type_token1] = ACTIONS(1023),
    [sym_builtin_identifier] = ACTIONS(1021),
    [anon_sym_AT] = ACTIONS(1023),
    [sym_comment] = ACTIONS(3),
  },
  [712] = {
    [ts_builtin_sym_end] = ACTIONS(1021),
    [sym__identifier] = ACTIONS(1023),
    [anon_sym_pub] = ACTIONS(1023),
    [anon_sym_test] = ACTIONS(1023),
    [anon_sym_comptime] = ACTIONS(1023),
    [anon_sym_export] = ACTIONS(1023),
    [anon_sym_extern] = ACTIONS(1023),
    [anon_sym_threadlocal] = ACTIONS(1023),
    [anon_sym_const] = ACTIONS(1023),
    [anon_sym_var] = ACTIONS(1023),
    [anon_sym_inline] = ACTIONS(1023),
    [anon_sym_noinline] = ACTIONS(1023),
    [anon_sym_fn] = ACTIONS(1023),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(1021),
    [anon_sym_usingnamespace] = ACTIONS(1023),
    [anon_sym_LBRACE] = ACTIONS(1021),
    [anon_sym_RBRACE] = ACTIONS(1021),
    [anon_sym_packed] = ACTIONS(1023),
    [anon_sym_struct] = ACTIONS(1023),
    [anon_sym_opaque] = ACTIONS(1023),
    [anon_sym_enum] = ACTIONS(1023),
    [anon_sym_union] = ACTIONS(1023),
    [anon_sym_error] = ACTIONS(1023),
    [anon_sym_nosuspend] = ACTIONS(1023),
    [anon_sym_if] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1023),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_STAR] = ACTIONS(1021),
    [anon_sym_asm] = ACTIONS(1023),
    [anon_sym_LBRACK] = ACTIONS(1021),
    [anon_sym_TILDE] = ACTIONS(1021),
    [anon_sym_DASH] = ACTIONS(1023),
    [anon_sym_DASH_PERCENT] = ACTIONS(1021),
    [anon_sym_AMP] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1023),
    [anon_sym_await] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [anon_sym_resume] = ACTIONS(1023),
    [anon_sym_return] = ACTIONS(1023),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_try] = ACTIONS(1023),
    [anon_sym_switch] = ACTIONS(1023),
    [anon_sym_anyframe] = ACTIONS(1023),
    [anon_sym_unreachable] = ACTIONS(1023),
    [anon_sym_undefined] = ACTIONS(1023),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_QMARK] = ACTIONS(1021),
    [anon_sym_DOT] = ACTIONS(1021),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [aux_sym_multiline_string_token1] = ACTIONS(1021),
    [anon_sym_SQUOTE] = ACTIONS(1021),
    [sym_integer] = ACTIONS(1023),
    [sym_float] = ACTIONS(1021),
    [anon_sym_true] = ACTIONS(1023),
    [anon_sym_false] = ACTIONS(1023),
    [anon_sym_bool] = ACTIONS(1023),
    [anon_sym_f16] = ACTIONS(1023),
    [anon_sym_f32] = ACTIONS(1023),
    [anon_sym_f64] = ACTIONS(1023),
    [anon_sym_f128] = ACTIONS(1023),
    [anon_sym_void] = ACTIONS(1023),
    [anon_sym_type] = ACTIONS(1023),
    [anon_sym_anyerror] = ACTIONS(1023),
    [anon_sym_anyopaque] = ACTIONS(1023),
    [anon_sym_anytype] = ACTIONS(1023),
    [anon_sym_noreturn] = ACTIONS(1023),
    [anon_sym_isize] = ACTIONS(1023),
    [anon_sym_usize] = ACTIONS(1023),
    [anon_sym_comptime_int] = ACTIONS(1023),
    [anon_sym_comptime_float] = ACTIONS(1023),
    [anon_sym_c_short] = ACTIONS(1023),
    [anon_sym_c_ushort] = ACTIONS(1023),
    [anon_sym_c_int] = ACTIONS(1023),
    [anon_sym_c_uint] = ACTIONS(1023),
    [anon_sym_c_long] = ACTIONS(1023),
    [anon_sym_c_ulong] = ACTIONS(1023),
    [anon_sym_c_longlong] = ACTIONS(1023),
    [anon_sym_c_ulonglong] = ACTIONS(1023),
    [anon_sym_c_longdouble] = ACTIONS(1023),
    [aux_sym_builtin_type_token1] = ACTIONS(1023),
    [sym_builtin_identifier] = ACTIONS(1021),
    [anon_sym_AT] = ACTIONS(1023),
    [sym_comment] = ACTIONS(3),
  },
  [713] = {
    [ts_builtin_sym_end] = ACTIONS(1013),
    [sym__identifier] = ACTIONS(1015),
    [anon_sym_pub] = ACTIONS(1015),
    [anon_sym_test] = ACTIONS(1015),
    [anon_sym_comptime] = ACTIONS(1015),
    [anon_sym_export] = ACTIONS(1015),
    [anon_sym_extern] = ACTIONS(1015),
    [anon_sym_threadlocal] = ACTIONS(1015),
    [anon_sym_const] = ACTIONS(1015),
    [anon_sym_var] = ACTIONS(1015),
    [anon_sym_inline] = ACTIONS(1015),
    [anon_sym_noinline] = ACTIONS(1015),
    [anon_sym_fn] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(1013),
    [anon_sym_usingnamespace] = ACTIONS(1015),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_RBRACE] = ACTIONS(1013),
    [anon_sym_packed] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1015),
    [anon_sym_opaque] = ACTIONS(1015),
    [anon_sym_enum] = ACTIONS(1015),
    [anon_sym_union] = ACTIONS(1015),
    [anon_sym_error] = ACTIONS(1015),
    [anon_sym_nosuspend] = ACTIONS(1015),
    [anon_sym_if] = ACTIONS(1015),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(1013),
    [anon_sym_asm] = ACTIONS(1015),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_TILDE] = ACTIONS(1013),
    [anon_sym_DASH] = ACTIONS(1015),
    [anon_sym_DASH_PERCENT] = ACTIONS(1013),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_async] = ACTIONS(1015),
    [anon_sym_await] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1015),
    [anon_sym_resume] = ACTIONS(1015),
    [anon_sym_return] = ACTIONS(1015),
    [anon_sym_break] = ACTIONS(1015),
    [anon_sym_try] = ACTIONS(1015),
    [anon_sym_switch] = ACTIONS(1015),
    [anon_sym_anyframe] = ACTIONS(1015),
    [anon_sym_unreachable] = ACTIONS(1015),
    [anon_sym_undefined] = ACTIONS(1015),
    [anon_sym_null] = ACTIONS(1015),
    [anon_sym_QMARK] = ACTIONS(1013),
    [anon_sym_DOT] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1013),
    [aux_sym_multiline_string_token1] = ACTIONS(1013),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [sym_integer] = ACTIONS(1015),
    [sym_float] = ACTIONS(1013),
    [anon_sym_true] = ACTIONS(1015),
    [anon_sym_false] = ACTIONS(1015),
    [anon_sym_bool] = ACTIONS(1015),
    [anon_sym_f16] = ACTIONS(1015),
    [anon_sym_f32] = ACTIONS(1015),
    [anon_sym_f64] = ACTIONS(1015),
    [anon_sym_f128] = ACTIONS(1015),
    [anon_sym_void] = ACTIONS(1015),
    [anon_sym_type] = ACTIONS(1015),
    [anon_sym_anyerror] = ACTIONS(1015),
    [anon_sym_anyopaque] = ACTIONS(1015),
    [anon_sym_anytype] = ACTIONS(1015),
    [anon_sym_noreturn] = ACTIONS(1015),
    [anon_sym_isize] = ACTIONS(1015),
    [anon_sym_usize] = ACTIONS(1015),
    [anon_sym_comptime_int] = ACTIONS(1015),
    [anon_sym_comptime_float] = ACTIONS(1015),
    [anon_sym_c_short] = ACTIONS(1015),
    [anon_sym_c_ushort] = ACTIONS(1015),
    [anon_sym_c_int] = ACTIONS(1015),
    [anon_sym_c_uint] = ACTIONS(1015),
    [anon_sym_c_long] = ACTIONS(1015),
    [anon_sym_c_ulong] = ACTIONS(1015),
    [anon_sym_c_longlong] = ACTIONS(1015),
    [anon_sym_c_ulonglong] = ACTIONS(1015),
    [anon_sym_c_longdouble] = ACTIONS(1015),
    [aux_sym_builtin_type_token1] = ACTIONS(1015),
    [sym_builtin_identifier] = ACTIONS(1013),
    [anon_sym_AT] = ACTIONS(1015),
    [sym_comment] = ACTIONS(3),
  },
  [714] = {
    [ts_builtin_sym_end] = ACTIONS(1017),
    [sym__identifier] = ACTIONS(1019),
    [anon_sym_pub] = ACTIONS(1019),
    [anon_sym_test] = ACTIONS(1019),
    [anon_sym_comptime] = ACTIONS(1019),
    [anon_sym_export] = ACTIONS(1019),
    [anon_sym_extern] = ACTIONS(1019),
    [anon_sym_threadlocal] = ACTIONS(1019),
    [anon_sym_const] = ACTIONS(1019),
    [anon_sym_var] = ACTIONS(1019),
    [anon_sym_inline] = ACTIONS(1019),
    [anon_sym_noinline] = ACTIONS(1019),
    [anon_sym_fn] = ACTIONS(1019),
    [anon_sym_BANG] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(1017),
    [anon_sym_usingnamespace] = ACTIONS(1019),
    [anon_sym_LBRACE] = ACTIONS(1017),
    [anon_sym_RBRACE] = ACTIONS(1017),
    [anon_sym_packed] = ACTIONS(1019),
    [anon_sym_struct] = ACTIONS(1019),
    [anon_sym_opaque] = ACTIONS(1019),
    [anon_sym_enum] = ACTIONS(1019),
    [anon_sym_union] = ACTIONS(1019),
    [anon_sym_error] = ACTIONS(1019),
    [anon_sym_nosuspend] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_for] = ACTIONS(1019),
    [anon_sym_while] = ACTIONS(1019),
    [anon_sym_STAR] = ACTIONS(1017),
    [anon_sym_asm] = ACTIONS(1019),
    [anon_sym_LBRACK] = ACTIONS(1017),
    [anon_sym_TILDE] = ACTIONS(1017),
    [anon_sym_DASH] = ACTIONS(1019),
    [anon_sym_DASH_PERCENT] = ACTIONS(1017),
    [anon_sym_AMP] = ACTIONS(1017),
    [anon_sym_async] = ACTIONS(1019),
    [anon_sym_await] = ACTIONS(1019),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_resume] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1019),
    [anon_sym_try] = ACTIONS(1019),
    [anon_sym_switch] = ACTIONS(1019),
    [anon_sym_anyframe] = ACTIONS(1019),
    [anon_sym_unreachable] = ACTIONS(1019),
    [anon_sym_undefined] = ACTIONS(1019),
    [anon_sym_null] = ACTIONS(1019),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [aux_sym_multiline_string_token1] = ACTIONS(1017),
    [anon_sym_SQUOTE] = ACTIONS(1017),
    [sym_integer] = ACTIONS(1019),
    [sym_float] = ACTIONS(1017),
    [anon_sym_true] = ACTIONS(1019),
    [anon_sym_false] = ACTIONS(1019),
    [anon_sym_bool] = ACTIONS(1019),
    [anon_sym_f16] = ACTIONS(1019),
    [anon_sym_f32] = ACTIONS(1019),
    [anon_sym_f64] = ACTIONS(1019),
    [anon_sym_f128] = ACTIONS(1019),
    [anon_sym_void] = ACTIONS(1019),
    [anon_sym_type] = ACTIONS(1019),
    [anon_sym_anyerror] = ACTIONS(1019),
    [anon_sym_anyopaque] = ACTIONS(1019),
    [anon_sym_anytype] = ACTIONS(1019),
    [anon_sym_noreturn] = ACTIONS(1019),
    [anon_sym_isize] = ACTIONS(1019),
    [anon_sym_usize] = ACTIONS(1019),
    [anon_sym_comptime_int] = ACTIONS(1019),
    [anon_sym_comptime_float] = ACTIONS(1019),
    [anon_sym_c_short] = ACTIONS(1019),
    [anon_sym_c_ushort] = ACTIONS(1019),
    [anon_sym_c_int] = ACTIONS(1019),
    [anon_sym_c_uint] = ACTIONS(1019),
    [anon_sym_c_long] = ACTIONS(1019),
    [anon_sym_c_ulong] = ACTIONS(1019),
    [anon_sym_c_longlong] = ACTIONS(1019),
    [anon_sym_c_ulonglong] = ACTIONS(1019),
    [anon_sym_c_longdouble] = ACTIONS(1019),
    [aux_sym_builtin_type_token1] = ACTIONS(1019),
    [sym_builtin_identifier] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
  },
  [715] = {
    [ts_builtin_sym_end] = ACTIONS(1013),
    [sym__identifier] = ACTIONS(1015),
    [anon_sym_pub] = ACTIONS(1015),
    [anon_sym_test] = ACTIONS(1015),
    [anon_sym_comptime] = ACTIONS(1015),
    [anon_sym_export] = ACTIONS(1015),
    [anon_sym_extern] = ACTIONS(1015),
    [anon_sym_threadlocal] = ACTIONS(1015),
    [anon_sym_const] = ACTIONS(1015),
    [anon_sym_var] = ACTIONS(1015),
    [anon_sym_inline] = ACTIONS(1015),
    [anon_sym_noinline] = ACTIONS(1015),
    [anon_sym_fn] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(1013),
    [anon_sym_usingnamespace] = ACTIONS(1015),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_RBRACE] = ACTIONS(1013),
    [anon_sym_packed] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1015),
    [anon_sym_opaque] = ACTIONS(1015),
    [anon_sym_enum] = ACTIONS(1015),
    [anon_sym_union] = ACTIONS(1015),
    [anon_sym_error] = ACTIONS(1015),
    [anon_sym_nosuspend] = ACTIONS(1015),
    [anon_sym_if] = ACTIONS(1015),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(1013),
    [anon_sym_asm] = ACTIONS(1015),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_TILDE] = ACTIONS(1013),
    [anon_sym_DASH] = ACTIONS(1015),
    [anon_sym_DASH_PERCENT] = ACTIONS(1013),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_async] = ACTIONS(1015),
    [anon_sym_await] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1015),
    [anon_sym_resume] = ACTIONS(1015),
    [anon_sym_return] = ACTIONS(1015),
    [anon_sym_break] = ACTIONS(1015),
    [anon_sym_try] = ACTIONS(1015),
    [anon_sym_switch] = ACTIONS(1015),
    [anon_sym_anyframe] = ACTIONS(1015),
    [anon_sym_unreachable] = ACTIONS(1015),
    [anon_sym_undefined] = ACTIONS(1015),
    [anon_sym_null] = ACTIONS(1015),
    [anon_sym_QMARK] = ACTIONS(1013),
    [anon_sym_DOT] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1013),
    [aux_sym_multiline_string_token1] = ACTIONS(1013),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [sym_integer] = ACTIONS(1015),
    [sym_float] = ACTIONS(1013),
    [anon_sym_true] = ACTIONS(1015),
    [anon_sym_false] = ACTIONS(1015),
    [anon_sym_bool] = ACTIONS(1015),
    [anon_sym_f16] = ACTIONS(1015),
    [anon_sym_f32] = ACTIONS(1015),
    [anon_sym_f64] = ACTIONS(1015),
    [anon_sym_f128] = ACTIONS(1015),
    [anon_sym_void] = ACTIONS(1015),
    [anon_sym_type] = ACTIONS(1015),
    [anon_sym_anyerror] = ACTIONS(1015),
    [anon_sym_anyopaque] = ACTIONS(1015),
    [anon_sym_anytype] = ACTIONS(1015),
    [anon_sym_noreturn] = ACTIONS(1015),
    [anon_sym_isize] = ACTIONS(1015),
    [anon_sym_usize] = ACTIONS(1015),
    [anon_sym_comptime_int] = ACTIONS(1015),
    [anon_sym_comptime_float] = ACTIONS(1015),
    [anon_sym_c_short] = ACTIONS(1015),
    [anon_sym_c_ushort] = ACTIONS(1015),
    [anon_sym_c_int] = ACTIONS(1015),
    [anon_sym_c_uint] = ACTIONS(1015),
    [anon_sym_c_long] = ACTIONS(1015),
    [anon_sym_c_ulong] = ACTIONS(1015),
    [anon_sym_c_longlong] = ACTIONS(1015),
    [anon_sym_c_ulonglong] = ACTIONS(1015),
    [anon_sym_c_longdouble] = ACTIONS(1015),
    [aux_sym_builtin_type_token1] = ACTIONS(1015),
    [sym_builtin_identifier] = ACTIONS(1013),
    [anon_sym_AT] = ACTIONS(1015),
    [sym_comment] = ACTIONS(3),
  },
  [716] = {
    [ts_builtin_sym_end] = ACTIONS(1017),
    [sym__identifier] = ACTIONS(1019),
    [anon_sym_pub] = ACTIONS(1019),
    [anon_sym_test] = ACTIONS(1019),
    [anon_sym_comptime] = ACTIONS(1019),
    [anon_sym_export] = ACTIONS(1019),
    [anon_sym_extern] = ACTIONS(1019),
    [anon_sym_threadlocal] = ACTIONS(1019),
    [anon_sym_const] = ACTIONS(1019),
    [anon_sym_var] = ACTIONS(1019),
    [anon_sym_inline] = ACTIONS(1019),
    [anon_sym_noinline] = ACTIONS(1019),
    [anon_sym_fn] = ACTIONS(1019),
    [anon_sym_BANG] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(1017),
    [anon_sym_usingnamespace] = ACTIONS(1019),
    [anon_sym_LBRACE] = ACTIONS(1017),
    [anon_sym_RBRACE] = ACTIONS(1017),
    [anon_sym_packed] = ACTIONS(1019),
    [anon_sym_struct] = ACTIONS(1019),
    [anon_sym_opaque] = ACTIONS(1019),
    [anon_sym_enum] = ACTIONS(1019),
    [anon_sym_union] = ACTIONS(1019),
    [anon_sym_error] = ACTIONS(1019),
    [anon_sym_nosuspend] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_for] = ACTIONS(1019),
    [anon_sym_while] = ACTIONS(1019),
    [anon_sym_STAR] = ACTIONS(1017),
    [anon_sym_asm] = ACTIONS(1019),
    [anon_sym_LBRACK] = ACTIONS(1017),
    [anon_sym_TILDE] = ACTIONS(1017),
    [anon_sym_DASH] = ACTIONS(1019),
    [anon_sym_DASH_PERCENT] = ACTIONS(1017),
    [anon_sym_AMP] = ACTIONS(1017),
    [anon_sym_async] = ACTIONS(1019),
    [anon_sym_await] = ACTIONS(1019),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_resume] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1019),
    [anon_sym_try] = ACTIONS(1019),
    [anon_sym_switch] = ACTIONS(1019),
    [anon_sym_anyframe] = ACTIONS(1019),
    [anon_sym_unreachable] = ACTIONS(1019),
    [anon_sym_undefined] = ACTIONS(1019),
    [anon_sym_null] = ACTIONS(1019),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [aux_sym_multiline_string_token1] = ACTIONS(1017),
    [anon_sym_SQUOTE] = ACTIONS(1017),
    [sym_integer] = ACTIONS(1019),
    [sym_float] = ACTIONS(1017),
    [anon_sym_true] = ACTIONS(1019),
    [anon_sym_false] = ACTIONS(1019),
    [anon_sym_bool] = ACTIONS(1019),
    [anon_sym_f16] = ACTIONS(1019),
    [anon_sym_f32] = ACTIONS(1019),
    [anon_sym_f64] = ACTIONS(1019),
    [anon_sym_f128] = ACTIONS(1019),
    [anon_sym_void] = ACTIONS(1019),
    [anon_sym_type] = ACTIONS(1019),
    [anon_sym_anyerror] = ACTIONS(1019),
    [anon_sym_anyopaque] = ACTIONS(1019),
    [anon_sym_anytype] = ACTIONS(1019),
    [anon_sym_noreturn] = ACTIONS(1019),
    [anon_sym_isize] = ACTIONS(1019),
    [anon_sym_usize] = ACTIONS(1019),
    [anon_sym_comptime_int] = ACTIONS(1019),
    [anon_sym_comptime_float] = ACTIONS(1019),
    [anon_sym_c_short] = ACTIONS(1019),
    [anon_sym_c_ushort] = ACTIONS(1019),
    [anon_sym_c_int] = ACTIONS(1019),
    [anon_sym_c_uint] = ACTIONS(1019),
    [anon_sym_c_long] = ACTIONS(1019),
    [anon_sym_c_ulong] = ACTIONS(1019),
    [anon_sym_c_longlong] = ACTIONS(1019),
    [anon_sym_c_ulonglong] = ACTIONS(1019),
    [anon_sym_c_longdouble] = ACTIONS(1019),
    [aux_sym_builtin_type_token1] = ACTIONS(1019),
    [sym_builtin_identifier] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
  },
  [717] = {
    [ts_builtin_sym_end] = ACTIONS(1025),
    [sym__identifier] = ACTIONS(1027),
    [anon_sym_pub] = ACTIONS(1027),
    [anon_sym_test] = ACTIONS(1027),
    [anon_sym_comptime] = ACTIONS(1027),
    [anon_sym_export] = ACTIONS(1027),
    [anon_sym_extern] = ACTIONS(1027),
    [anon_sym_threadlocal] = ACTIONS(1027),
    [anon_sym_const] = ACTIONS(1027),
    [anon_sym_var] = ACTIONS(1027),
    [anon_sym_inline] = ACTIONS(1027),
    [anon_sym_noinline] = ACTIONS(1027),
    [anon_sym_fn] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_usingnamespace] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(1025),
    [anon_sym_RBRACE] = ACTIONS(1025),
    [anon_sym_packed] = ACTIONS(1027),
    [anon_sym_struct] = ACTIONS(1027),
    [anon_sym_opaque] = ACTIONS(1027),
    [anon_sym_enum] = ACTIONS(1027),
    [anon_sym_union] = ACTIONS(1027),
    [anon_sym_error] = ACTIONS(1027),
    [anon_sym_nosuspend] = ACTIONS(1027),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_for] = ACTIONS(1027),
    [anon_sym_while] = ACTIONS(1027),
    [anon_sym_STAR] = ACTIONS(1025),
    [anon_sym_asm] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1025),
    [anon_sym_TILDE] = ACTIONS(1025),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_DASH_PERCENT] = ACTIONS(1025),
    [anon_sym_AMP] = ACTIONS(1025),
    [anon_sym_async] = ACTIONS(1027),
    [anon_sym_await] = ACTIONS(1027),
    [anon_sym_continue] = ACTIONS(1027),
    [anon_sym_resume] = ACTIONS(1027),
    [anon_sym_return] = ACTIONS(1027),
    [anon_sym_break] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1027),
    [anon_sym_switch] = ACTIONS(1027),
    [anon_sym_anyframe] = ACTIONS(1027),
    [anon_sym_unreachable] = ACTIONS(1027),
    [anon_sym_undefined] = ACTIONS(1027),
    [anon_sym_null] = ACTIONS(1027),
    [anon_sym_QMARK] = ACTIONS(1025),
    [anon_sym_DOT] = ACTIONS(1025),
    [anon_sym_DQUOTE] = ACTIONS(1025),
    [aux_sym_multiline_string_token1] = ACTIONS(1025),
    [anon_sym_SQUOTE] = ACTIONS(1025),
    [sym_integer] = ACTIONS(1027),
    [sym_float] = ACTIONS(1025),
    [anon_sym_true] = ACTIONS(1027),
    [anon_sym_false] = ACTIONS(1027),
    [anon_sym_bool] = ACTIONS(1027),
    [anon_sym_f16] = ACTIONS(1027),
    [anon_sym_f32] = ACTIONS(1027),
    [anon_sym_f64] = ACTIONS(1027),
    [anon_sym_f128] = ACTIONS(1027),
    [anon_sym_void] = ACTIONS(1027),
    [anon_sym_type] = ACTIONS(1027),
    [anon_sym_anyerror] = ACTIONS(1027),
    [anon_sym_anyopaque] = ACTIONS(1027),
    [anon_sym_anytype] = ACTIONS(1027),
    [anon_sym_noreturn] = ACTIONS(1027),
    [anon_sym_isize] = ACTIONS(1027),
    [anon_sym_usize] = ACTIONS(1027),
    [anon_sym_comptime_int] = ACTIONS(1027),
    [anon_sym_comptime_float] = ACTIONS(1027),
    [anon_sym_c_short] = ACTIONS(1027),
    [anon_sym_c_ushort] = ACTIONS(1027),
    [anon_sym_c_int] = ACTIONS(1027),
    [anon_sym_c_uint] = ACTIONS(1027),
    [anon_sym_c_long] = ACTIONS(1027),
    [anon_sym_c_ulong] = ACTIONS(1027),
    [anon_sym_c_longlong] = ACTIONS(1027),
    [anon_sym_c_ulonglong] = ACTIONS(1027),
    [anon_sym_c_longdouble] = ACTIONS(1027),
    [aux_sym_builtin_type_token1] = ACTIONS(1027),
    [sym_builtin_identifier] = ACTIONS(1025),
    [anon_sym_AT] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
  },
  [718] = {
    [ts_builtin_sym_end] = ACTIONS(1029),
    [sym__identifier] = ACTIONS(1031),
    [anon_sym_pub] = ACTIONS(1031),
    [anon_sym_test] = ACTIONS(1031),
    [anon_sym_comptime] = ACTIONS(1031),
    [anon_sym_export] = ACTIONS(1031),
    [anon_sym_extern] = ACTIONS(1031),
    [anon_sym_threadlocal] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1031),
    [anon_sym_var] = ACTIONS(1031),
    [anon_sym_inline] = ACTIONS(1031),
    [anon_sym_noinline] = ACTIONS(1031),
    [anon_sym_fn] = ACTIONS(1031),
    [anon_sym_BANG] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_usingnamespace] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_RBRACE] = ACTIONS(1029),
    [anon_sym_packed] = ACTIONS(1031),
    [anon_sym_struct] = ACTIONS(1031),
    [anon_sym_opaque] = ACTIONS(1031),
    [anon_sym_enum] = ACTIONS(1031),
    [anon_sym_union] = ACTIONS(1031),
    [anon_sym_error] = ACTIONS(1031),
    [anon_sym_nosuspend] = ACTIONS(1031),
    [anon_sym_if] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_STAR] = ACTIONS(1029),
    [anon_sym_asm] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(1029),
    [anon_sym_DASH] = ACTIONS(1031),
    [anon_sym_DASH_PERCENT] = ACTIONS(1029),
    [anon_sym_AMP] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1031),
    [anon_sym_await] = ACTIONS(1031),
    [anon_sym_continue] = ACTIONS(1031),
    [anon_sym_resume] = ACTIONS(1031),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_break] = ACTIONS(1031),
    [anon_sym_try] = ACTIONS(1031),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_anyframe] = ACTIONS(1031),
    [anon_sym_unreachable] = ACTIONS(1031),
    [anon_sym_undefined] = ACTIONS(1031),
    [anon_sym_null] = ACTIONS(1031),
    [anon_sym_QMARK] = ACTIONS(1029),
    [anon_sym_DOT] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [aux_sym_multiline_string_token1] = ACTIONS(1029),
    [anon_sym_SQUOTE] = ACTIONS(1029),
    [sym_integer] = ACTIONS(1031),
    [sym_float] = ACTIONS(1029),
    [anon_sym_true] = ACTIONS(1031),
    [anon_sym_false] = ACTIONS(1031),
    [anon_sym_bool] = ACTIONS(1031),
    [anon_sym_f16] = ACTIONS(1031),
    [anon_sym_f32] = ACTIONS(1031),
    [anon_sym_f64] = ACTIONS(1031),
    [anon_sym_f128] = ACTIONS(1031),
    [anon_sym_void] = ACTIONS(1031),
    [anon_sym_type] = ACTIONS(1031),
    [anon_sym_anyerror] = ACTIONS(1031),
    [anon_sym_anyopaque] = ACTIONS(1031),
    [anon_sym_anytype] = ACTIONS(1031),
    [anon_sym_noreturn] = ACTIONS(1031),
    [anon_sym_isize] = ACTIONS(1031),
    [anon_sym_usize] = ACTIONS(1031),
    [anon_sym_comptime_int] = ACTIONS(1031),
    [anon_sym_comptime_float] = ACTIONS(1031),
    [anon_sym_c_short] = ACTIONS(1031),
    [anon_sym_c_ushort] = ACTIONS(1031),
    [anon_sym_c_int] = ACTIONS(1031),
    [anon_sym_c_uint] = ACTIONS(1031),
    [anon_sym_c_long] = ACTIONS(1031),
    [anon_sym_c_ulong] = ACTIONS(1031),
    [anon_sym_c_longlong] = ACTIONS(1031),
    [anon_sym_c_ulonglong] = ACTIONS(1031),
    [anon_sym_c_longdouble] = ACTIONS(1031),
    [aux_sym_builtin_type_token1] = ACTIONS(1031),
    [sym_builtin_identifier] = ACTIONS(1029),
    [anon_sym_AT] = ACTIONS(1031),
    [sym_comment] = ACTIONS(3),
  },
  [719] = {
    [ts_builtin_sym_end] = ACTIONS(635),
    [sym__identifier] = ACTIONS(637),
    [anon_sym_pub] = ACTIONS(637),
    [anon_sym_test] = ACTIONS(637),
    [anon_sym_comptime] = ACTIONS(637),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_extern] = ACTIONS(637),
    [anon_sym_threadlocal] = ACTIONS(637),
    [anon_sym_const] = ACTIONS(637),
    [anon_sym_var] = ACTIONS(637),
    [anon_sym_inline] = ACTIONS(637),
    [anon_sym_noinline] = ACTIONS(637),
    [anon_sym_fn] = ACTIONS(637),
    [anon_sym_BANG] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_usingnamespace] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(635),
    [anon_sym_packed] = ACTIONS(637),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_opaque] = ACTIONS(637),
    [anon_sym_enum] = ACTIONS(637),
    [anon_sym_union] = ACTIONS(637),
    [anon_sym_error] = ACTIONS(637),
    [anon_sym_nosuspend] = ACTIONS(637),
    [anon_sym_if] = ACTIONS(637),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(635),
    [anon_sym_asm] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_TILDE] = ACTIONS(635),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_DASH_PERCENT] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(635),
    [anon_sym_async] = ACTIONS(637),
    [anon_sym_await] = ACTIONS(637),
    [anon_sym_continue] = ACTIONS(637),
    [anon_sym_resume] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(637),
    [anon_sym_break] = ACTIONS(637),
    [anon_sym_try] = ACTIONS(637),
    [anon_sym_switch] = ACTIONS(637),
    [anon_sym_anyframe] = ACTIONS(637),
    [anon_sym_unreachable] = ACTIONS(637),
    [anon_sym_undefined] = ACTIONS(637),
    [anon_sym_null] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(635),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [aux_sym_multiline_string_token1] = ACTIONS(635),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [sym_integer] = ACTIONS(637),
    [sym_float] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_bool] = ACTIONS(637),
    [anon_sym_f16] = ACTIONS(637),
    [anon_sym_f32] = ACTIONS(637),
    [anon_sym_f64] = ACTIONS(637),
    [anon_sym_f128] = ACTIONS(637),
    [anon_sym_void] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_anyerror] = ACTIONS(637),
    [anon_sym_anyopaque] = ACTIONS(637),
    [anon_sym_anytype] = ACTIONS(637),
    [anon_sym_noreturn] = ACTIONS(637),
    [anon_sym_isize] = ACTIONS(637),
    [anon_sym_usize] = ACTIONS(637),
    [anon_sym_comptime_int] = ACTIONS(637),
    [anon_sym_comptime_float] = ACTIONS(637),
    [anon_sym_c_short] = ACTIONS(637),
    [anon_sym_c_ushort] = ACTIONS(637),
    [anon_sym_c_int] = ACTIONS(637),
    [anon_sym_c_uint] = ACTIONS(637),
    [anon_sym_c_long] = ACTIONS(637),
    [anon_sym_c_ulong] = ACTIONS(637),
    [anon_sym_c_longlong] = ACTIONS(637),
    [anon_sym_c_ulonglong] = ACTIONS(637),
    [anon_sym_c_longdouble] = ACTIONS(637),
    [aux_sym_builtin_type_token1] = ACTIONS(637),
    [sym_builtin_identifier] = ACTIONS(635),
    [anon_sym_AT] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [720] = {
    [ts_builtin_sym_end] = ACTIONS(639),
    [sym__identifier] = ACTIONS(641),
    [anon_sym_pub] = ACTIONS(641),
    [anon_sym_test] = ACTIONS(641),
    [anon_sym_comptime] = ACTIONS(641),
    [anon_sym_export] = ACTIONS(641),
    [anon_sym_extern] = ACTIONS(641),
    [anon_sym_threadlocal] = ACTIONS(641),
    [anon_sym_const] = ACTIONS(641),
    [anon_sym_var] = ACTIONS(641),
    [anon_sym_inline] = ACTIONS(641),
    [anon_sym_noinline] = ACTIONS(641),
    [anon_sym_fn] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(639),
    [anon_sym_usingnamespace] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(639),
    [anon_sym_RBRACE] = ACTIONS(639),
    [anon_sym_packed] = ACTIONS(641),
    [anon_sym_struct] = ACTIONS(641),
    [anon_sym_opaque] = ACTIONS(641),
    [anon_sym_enum] = ACTIONS(641),
    [anon_sym_union] = ACTIONS(641),
    [anon_sym_error] = ACTIONS(641),
    [anon_sym_nosuspend] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(641),
    [anon_sym_for] = ACTIONS(641),
    [anon_sym_while] = ACTIONS(641),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_asm] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_DASH_PERCENT] = ACTIONS(639),
    [anon_sym_AMP] = ACTIONS(639),
    [anon_sym_async] = ACTIONS(641),
    [anon_sym_await] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [anon_sym_resume] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(641),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_try] = ACTIONS(641),
    [anon_sym_switch] = ACTIONS(641),
    [anon_sym_anyframe] = ACTIONS(641),
    [anon_sym_unreachable] = ACTIONS(641),
    [anon_sym_undefined] = ACTIONS(641),
    [anon_sym_null] = ACTIONS(641),
    [anon_sym_QMARK] = ACTIONS(639),
    [anon_sym_DOT] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_multiline_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_integer] = ACTIONS(641),
    [sym_float] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_bool] = ACTIONS(641),
    [anon_sym_f16] = ACTIONS(641),
    [anon_sym_f32] = ACTIONS(641),
    [anon_sym_f64] = ACTIONS(641),
    [anon_sym_f128] = ACTIONS(641),
    [anon_sym_void] = ACTIONS(641),
    [anon_sym_type] = ACTIONS(641),
    [anon_sym_anyerror] = ACTIONS(641),
    [anon_sym_anyopaque] = ACTIONS(641),
    [anon_sym_anytype] = ACTIONS(641),
    [anon_sym_noreturn] = ACTIONS(641),
    [anon_sym_isize] = ACTIONS(641),
    [anon_sym_usize] = ACTIONS(641),
    [anon_sym_comptime_int] = ACTIONS(641),
    [anon_sym_comptime_float] = ACTIONS(641),
    [anon_sym_c_short] = ACTIONS(641),
    [anon_sym_c_ushort] = ACTIONS(641),
    [anon_sym_c_int] = ACTIONS(641),
    [anon_sym_c_uint] = ACTIONS(641),
    [anon_sym_c_long] = ACTIONS(641),
    [anon_sym_c_ulong] = ACTIONS(641),
    [anon_sym_c_longlong] = ACTIONS(641),
    [anon_sym_c_ulonglong] = ACTIONS(641),
    [anon_sym_c_longdouble] = ACTIONS(641),
    [aux_sym_builtin_type_token1] = ACTIONS(641),
    [sym_builtin_identifier] = ACTIONS(639),
    [anon_sym_AT] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
  },
  [721] = {
    [ts_builtin_sym_end] = ACTIONS(1033),
    [sym__identifier] = ACTIONS(1035),
    [anon_sym_pub] = ACTIONS(1035),
    [anon_sym_test] = ACTIONS(1035),
    [anon_sym_comptime] = ACTIONS(1035),
    [anon_sym_export] = ACTIONS(1035),
    [anon_sym_extern] = ACTIONS(1035),
    [anon_sym_threadlocal] = ACTIONS(1035),
    [anon_sym_const] = ACTIONS(1035),
    [anon_sym_var] = ACTIONS(1035),
    [anon_sym_inline] = ACTIONS(1035),
    [anon_sym_noinline] = ACTIONS(1035),
    [anon_sym_fn] = ACTIONS(1035),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(1033),
    [anon_sym_usingnamespace] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1033),
    [anon_sym_RBRACE] = ACTIONS(1033),
    [anon_sym_packed] = ACTIONS(1035),
    [anon_sym_struct] = ACTIONS(1035),
    [anon_sym_opaque] = ACTIONS(1035),
    [anon_sym_enum] = ACTIONS(1035),
    [anon_sym_union] = ACTIONS(1035),
    [anon_sym_error] = ACTIONS(1035),
    [anon_sym_nosuspend] = ACTIONS(1035),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_for] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1035),
    [anon_sym_STAR] = ACTIONS(1033),
    [anon_sym_asm] = ACTIONS(1035),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_DASH] = ACTIONS(1035),
    [anon_sym_DASH_PERCENT] = ACTIONS(1033),
    [anon_sym_AMP] = ACTIONS(1033),
    [anon_sym_async] = ACTIONS(1035),
    [anon_sym_await] = ACTIONS(1035),
    [anon_sym_continue] = ACTIONS(1035),
    [anon_sym_resume] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1035),
    [anon_sym_break] = ACTIONS(1035),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_switch] = ACTIONS(1035),
    [anon_sym_anyframe] = ACTIONS(1035),
    [anon_sym_unreachable] = ACTIONS(1035),
    [anon_sym_undefined] = ACTIONS(1035),
    [anon_sym_null] = ACTIONS(1035),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_DOT] = ACTIONS(1033),
    [anon_sym_DQUOTE] = ACTIONS(1033),
    [aux_sym_multiline_string_token1] = ACTIONS(1033),
    [anon_sym_SQUOTE] = ACTIONS(1033),
    [sym_integer] = ACTIONS(1035),
    [sym_float] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_bool] = ACTIONS(1035),
    [anon_sym_f16] = ACTIONS(1035),
    [anon_sym_f32] = ACTIONS(1035),
    [anon_sym_f64] = ACTIONS(1035),
    [anon_sym_f128] = ACTIONS(1035),
    [anon_sym_void] = ACTIONS(1035),
    [anon_sym_type] = ACTIONS(1035),
    [anon_sym_anyerror] = ACTIONS(1035),
    [anon_sym_anyopaque] = ACTIONS(1035),
    [anon_sym_anytype] = ACTIONS(1035),
    [anon_sym_noreturn] = ACTIONS(1035),
    [anon_sym_isize] = ACTIONS(1035),
    [anon_sym_usize] = ACTIONS(1035),
    [anon_sym_comptime_int] = ACTIONS(1035),
    [anon_sym_comptime_float] = ACTIONS(1035),
    [anon_sym_c_short] = ACTIONS(1035),
    [anon_sym_c_ushort] = ACTIONS(1035),
    [anon_sym_c_int] = ACTIONS(1035),
    [anon_sym_c_uint] = ACTIONS(1035),
    [anon_sym_c_long] = ACTIONS(1035),
    [anon_sym_c_ulong] = ACTIONS(1035),
    [anon_sym_c_longlong] = ACTIONS(1035),
    [anon_sym_c_ulonglong] = ACTIONS(1035),
    [anon_sym_c_longdouble] = ACTIONS(1035),
    [aux_sym_builtin_type_token1] = ACTIONS(1035),
    [sym_builtin_identifier] = ACTIONS(1033),
    [anon_sym_AT] = ACTIONS(1035),
    [sym_comment] = ACTIONS(3),
  },
  [722] = {
    [ts_builtin_sym_end] = ACTIONS(1037),
    [sym__identifier] = ACTIONS(1039),
    [anon_sym_pub] = ACTIONS(1039),
    [anon_sym_test] = ACTIONS(1039),
    [anon_sym_comptime] = ACTIONS(1039),
    [anon_sym_export] = ACTIONS(1039),
    [anon_sym_extern] = ACTIONS(1039),
    [anon_sym_threadlocal] = ACTIONS(1039),
    [anon_sym_const] = ACTIONS(1039),
    [anon_sym_var] = ACTIONS(1039),
    [anon_sym_inline] = ACTIONS(1039),
    [anon_sym_noinline] = ACTIONS(1039),
    [anon_sym_fn] = ACTIONS(1039),
    [anon_sym_BANG] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(1037),
    [anon_sym_usingnamespace] = ACTIONS(1039),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_RBRACE] = ACTIONS(1037),
    [anon_sym_packed] = ACTIONS(1039),
    [anon_sym_struct] = ACTIONS(1039),
    [anon_sym_opaque] = ACTIONS(1039),
    [anon_sym_enum] = ACTIONS(1039),
    [anon_sym_union] = ACTIONS(1039),
    [anon_sym_error] = ACTIONS(1039),
    [anon_sym_nosuspend] = ACTIONS(1039),
    [anon_sym_if] = ACTIONS(1039),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_while] = ACTIONS(1039),
    [anon_sym_STAR] = ACTIONS(1037),
    [anon_sym_asm] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_TILDE] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1039),
    [anon_sym_DASH_PERCENT] = ACTIONS(1037),
    [anon_sym_AMP] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_await] = ACTIONS(1039),
    [anon_sym_continue] = ACTIONS(1039),
    [anon_sym_resume] = ACTIONS(1039),
    [anon_sym_return] = ACTIONS(1039),
    [anon_sym_break] = ACTIONS(1039),
    [anon_sym_try] = ACTIONS(1039),
    [anon_sym_switch] = ACTIONS(1039),
    [anon_sym_anyframe] = ACTIONS(1039),
    [anon_sym_unreachable] = ACTIONS(1039),
    [anon_sym_undefined] = ACTIONS(1039),
    [anon_sym_null] = ACTIONS(1039),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_DOT] = ACTIONS(1037),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [aux_sym_multiline_string_token1] = ACTIONS(1037),
    [anon_sym_SQUOTE] = ACTIONS(1037),
    [sym_integer] = ACTIONS(1039),
    [sym_float] = ACTIONS(1037),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1039),
    [anon_sym_bool] = ACTIONS(1039),
    [anon_sym_f16] = ACTIONS(1039),
    [anon_sym_f32] = ACTIONS(1039),
    [anon_sym_f64] = ACTIONS(1039),
    [anon_sym_f128] = ACTIONS(1039),
    [anon_sym_void] = ACTIONS(1039),
    [anon_sym_type] = ACTIONS(1039),
    [anon_sym_anyerror] = ACTIONS(1039),
    [anon_sym_anyopaque] = ACTIONS(1039),
    [anon_sym_anytype] = ACTIONS(1039),
    [anon_sym_noreturn] = ACTIONS(1039),
    [anon_sym_isize] = ACTIONS(1039),
    [anon_sym_usize] = ACTIONS(1039),
    [anon_sym_comptime_int] = ACTIONS(1039),
    [anon_sym_comptime_float] = ACTIONS(1039),
    [anon_sym_c_short] = ACTIONS(1039),
    [anon_sym_c_ushort] = ACTIONS(1039),
    [anon_sym_c_int] = ACTIONS(1039),
    [anon_sym_c_uint] = ACTIONS(1039),
    [anon_sym_c_long] = ACTIONS(1039),
    [anon_sym_c_ulong] = ACTIONS(1039),
    [anon_sym_c_longlong] = ACTIONS(1039),
    [anon_sym_c_ulonglong] = ACTIONS(1039),
    [anon_sym_c_longdouble] = ACTIONS(1039),
    [aux_sym_builtin_type_token1] = ACTIONS(1039),
    [sym_builtin_identifier] = ACTIONS(1037),
    [anon_sym_AT] = ACTIONS(1039),
    [sym_comment] = ACTIONS(3),
  },
  [723] = {
    [ts_builtin_sym_end] = ACTIONS(1041),
    [sym__identifier] = ACTIONS(1043),
    [anon_sym_pub] = ACTIONS(1043),
    [anon_sym_test] = ACTIONS(1043),
    [anon_sym_comptime] = ACTIONS(1043),
    [anon_sym_export] = ACTIONS(1043),
    [anon_sym_extern] = ACTIONS(1043),
    [anon_sym_threadlocal] = ACTIONS(1043),
    [anon_sym_const] = ACTIONS(1043),
    [anon_sym_var] = ACTIONS(1043),
    [anon_sym_inline] = ACTIONS(1043),
    [anon_sym_noinline] = ACTIONS(1043),
    [anon_sym_fn] = ACTIONS(1043),
    [anon_sym_BANG] = ACTIONS(1041),
    [anon_sym_LPAREN] = ACTIONS(1041),
    [anon_sym_usingnamespace] = ACTIONS(1043),
    [anon_sym_LBRACE] = ACTIONS(1041),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [anon_sym_packed] = ACTIONS(1043),
    [anon_sym_struct] = ACTIONS(1043),
    [anon_sym_opaque] = ACTIONS(1043),
    [anon_sym_enum] = ACTIONS(1043),
    [anon_sym_union] = ACTIONS(1043),
    [anon_sym_error] = ACTIONS(1043),
    [anon_sym_nosuspend] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_for] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(1043),
    [anon_sym_STAR] = ACTIONS(1041),
    [anon_sym_asm] = ACTIONS(1043),
    [anon_sym_LBRACK] = ACTIONS(1041),
    [anon_sym_TILDE] = ACTIONS(1041),
    [anon_sym_DASH] = ACTIONS(1043),
    [anon_sym_DASH_PERCENT] = ACTIONS(1041),
    [anon_sym_AMP] = ACTIONS(1041),
    [anon_sym_async] = ACTIONS(1043),
    [anon_sym_await] = ACTIONS(1043),
    [anon_sym_continue] = ACTIONS(1043),
    [anon_sym_resume] = ACTIONS(1043),
    [anon_sym_return] = ACTIONS(1043),
    [anon_sym_break] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1043),
    [anon_sym_switch] = ACTIONS(1043),
    [anon_sym_anyframe] = ACTIONS(1043),
    [anon_sym_unreachable] = ACTIONS(1043),
    [anon_sym_undefined] = ACTIONS(1043),
    [anon_sym_null] = ACTIONS(1043),
    [anon_sym_QMARK] = ACTIONS(1041),
    [anon_sym_DOT] = ACTIONS(1041),
    [anon_sym_DQUOTE] = ACTIONS(1041),
    [aux_sym_multiline_string_token1] = ACTIONS(1041),
    [anon_sym_SQUOTE] = ACTIONS(1041),
    [sym_integer] = ACTIONS(1043),
    [sym_float] = ACTIONS(1041),
    [anon_sym_true] = ACTIONS(1043),
    [anon_sym_false] = ACTIONS(1043),
    [anon_sym_bool] = ACTIONS(1043),
    [anon_sym_f16] = ACTIONS(1043),
    [anon_sym_f32] = ACTIONS(1043),
    [anon_sym_f64] = ACTIONS(1043),
    [anon_sym_f128] = ACTIONS(1043),
    [anon_sym_void] = ACTIONS(1043),
    [anon_sym_type] = ACTIONS(1043),
    [anon_sym_anyerror] = ACTIONS(1043),
    [anon_sym_anyopaque] = ACTIONS(1043),
    [anon_sym_anytype] = ACTIONS(1043),
    [anon_sym_noreturn] = ACTIONS(1043),
    [anon_sym_isize] = ACTIONS(1043),
    [anon_sym_usize] = ACTIONS(1043),
    [anon_sym_comptime_int] = ACTIONS(1043),
    [anon_sym_comptime_float] = ACTIONS(1043),
    [anon_sym_c_short] = ACTIONS(1043),
    [anon_sym_c_ushort] = ACTIONS(1043),
    [anon_sym_c_int] = ACTIONS(1043),
    [anon_sym_c_uint] = ACTIONS(1043),
    [anon_sym_c_long] = ACTIONS(1043),
    [anon_sym_c_ulong] = ACTIONS(1043),
    [anon_sym_c_longlong] = ACTIONS(1043),
    [anon_sym_c_ulonglong] = ACTIONS(1043),
    [anon_sym_c_longdouble] = ACTIONS(1043),
    [aux_sym_builtin_type_token1] = ACTIONS(1043),
    [sym_builtin_identifier] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(1043),
    [sym_comment] = ACTIONS(3),
  },
  [724] = {
    [ts_builtin_sym_end] = ACTIONS(1045),
    [sym__identifier] = ACTIONS(1047),
    [anon_sym_pub] = ACTIONS(1047),
    [anon_sym_test] = ACTIONS(1047),
    [anon_sym_comptime] = ACTIONS(1047),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_extern] = ACTIONS(1047),
    [anon_sym_threadlocal] = ACTIONS(1047),
    [anon_sym_const] = ACTIONS(1047),
    [anon_sym_var] = ACTIONS(1047),
    [anon_sym_inline] = ACTIONS(1047),
    [anon_sym_noinline] = ACTIONS(1047),
    [anon_sym_fn] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1045),
    [anon_sym_LPAREN] = ACTIONS(1045),
    [anon_sym_usingnamespace] = ACTIONS(1047),
    [anon_sym_LBRACE] = ACTIONS(1045),
    [anon_sym_RBRACE] = ACTIONS(1045),
    [anon_sym_packed] = ACTIONS(1047),
    [anon_sym_struct] = ACTIONS(1047),
    [anon_sym_opaque] = ACTIONS(1047),
    [anon_sym_enum] = ACTIONS(1047),
    [anon_sym_union] = ACTIONS(1047),
    [anon_sym_error] = ACTIONS(1047),
    [anon_sym_nosuspend] = ACTIONS(1047),
    [anon_sym_if] = ACTIONS(1047),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1047),
    [anon_sym_STAR] = ACTIONS(1045),
    [anon_sym_asm] = ACTIONS(1047),
    [anon_sym_LBRACK] = ACTIONS(1045),
    [anon_sym_TILDE] = ACTIONS(1045),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_DASH_PERCENT] = ACTIONS(1045),
    [anon_sym_AMP] = ACTIONS(1045),
    [anon_sym_async] = ACTIONS(1047),
    [anon_sym_await] = ACTIONS(1047),
    [anon_sym_continue] = ACTIONS(1047),
    [anon_sym_resume] = ACTIONS(1047),
    [anon_sym_return] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1047),
    [anon_sym_switch] = ACTIONS(1047),
    [anon_sym_anyframe] = ACTIONS(1047),
    [anon_sym_unreachable] = ACTIONS(1047),
    [anon_sym_undefined] = ACTIONS(1047),
    [anon_sym_null] = ACTIONS(1047),
    [anon_sym_QMARK] = ACTIONS(1045),
    [anon_sym_DOT] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [aux_sym_multiline_string_token1] = ACTIONS(1045),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1047),
    [sym_float] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_bool] = ACTIONS(1047),
    [anon_sym_f16] = ACTIONS(1047),
    [anon_sym_f32] = ACTIONS(1047),
    [anon_sym_f64] = ACTIONS(1047),
    [anon_sym_f128] = ACTIONS(1047),
    [anon_sym_void] = ACTIONS(1047),
    [anon_sym_type] = ACTIONS(1047),
    [anon_sym_anyerror] = ACTIONS(1047),
    [anon_sym_anyopaque] = ACTIONS(1047),
    [anon_sym_anytype] = ACTIONS(1047),
    [anon_sym_noreturn] = ACTIONS(1047),
    [anon_sym_isize] = ACTIONS(1047),
    [anon_sym_usize] = ACTIONS(1047),
    [anon_sym_comptime_int] = ACTIONS(1047),
    [anon_sym_comptime_float] = ACTIONS(1047),
    [anon_sym_c_short] = ACTIONS(1047),
    [anon_sym_c_ushort] = ACTIONS(1047),
    [anon_sym_c_int] = ACTIONS(1047),
    [anon_sym_c_uint] = ACTIONS(1047),
    [anon_sym_c_long] = ACTIONS(1047),
    [anon_sym_c_ulong] = ACTIONS(1047),
    [anon_sym_c_longlong] = ACTIONS(1047),
    [anon_sym_c_ulonglong] = ACTIONS(1047),
    [anon_sym_c_longdouble] = ACTIONS(1047),
    [aux_sym_builtin_type_token1] = ACTIONS(1047),
    [sym_builtin_identifier] = ACTIONS(1045),
    [anon_sym_AT] = ACTIONS(1047),
    [sym_comment] = ACTIONS(3),
  },
  [725] = {
    [ts_builtin_sym_end] = ACTIONS(1037),
    [sym__identifier] = ACTIONS(1039),
    [anon_sym_pub] = ACTIONS(1039),
    [anon_sym_test] = ACTIONS(1039),
    [anon_sym_comptime] = ACTIONS(1039),
    [anon_sym_export] = ACTIONS(1039),
    [anon_sym_extern] = ACTIONS(1039),
    [anon_sym_threadlocal] = ACTIONS(1039),
    [anon_sym_const] = ACTIONS(1039),
    [anon_sym_var] = ACTIONS(1039),
    [anon_sym_inline] = ACTIONS(1039),
    [anon_sym_noinline] = ACTIONS(1039),
    [anon_sym_fn] = ACTIONS(1039),
    [anon_sym_BANG] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(1037),
    [anon_sym_usingnamespace] = ACTIONS(1039),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_RBRACE] = ACTIONS(1037),
    [anon_sym_packed] = ACTIONS(1039),
    [anon_sym_struct] = ACTIONS(1039),
    [anon_sym_opaque] = ACTIONS(1039),
    [anon_sym_enum] = ACTIONS(1039),
    [anon_sym_union] = ACTIONS(1039),
    [anon_sym_error] = ACTIONS(1039),
    [anon_sym_nosuspend] = ACTIONS(1039),
    [anon_sym_if] = ACTIONS(1039),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_while] = ACTIONS(1039),
    [anon_sym_STAR] = ACTIONS(1037),
    [anon_sym_asm] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_TILDE] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1039),
    [anon_sym_DASH_PERCENT] = ACTIONS(1037),
    [anon_sym_AMP] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_await] = ACTIONS(1039),
    [anon_sym_continue] = ACTIONS(1039),
    [anon_sym_resume] = ACTIONS(1039),
    [anon_sym_return] = ACTIONS(1039),
    [anon_sym_break] = ACTIONS(1039),
    [anon_sym_try] = ACTIONS(1039),
    [anon_sym_switch] = ACTIONS(1039),
    [anon_sym_anyframe] = ACTIONS(1039),
    [anon_sym_unreachable] = ACTIONS(1039),
    [anon_sym_undefined] = ACTIONS(1039),
    [anon_sym_null] = ACTIONS(1039),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_DOT] = ACTIONS(1037),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [aux_sym_multiline_string_token1] = ACTIONS(1037),
    [anon_sym_SQUOTE] = ACTIONS(1037),
    [sym_integer] = ACTIONS(1039),
    [sym_float] = ACTIONS(1037),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1039),
    [anon_sym_bool] = ACTIONS(1039),
    [anon_sym_f16] = ACTIONS(1039),
    [anon_sym_f32] = ACTIONS(1039),
    [anon_sym_f64] = ACTIONS(1039),
    [anon_sym_f128] = ACTIONS(1039),
    [anon_sym_void] = ACTIONS(1039),
    [anon_sym_type] = ACTIONS(1039),
    [anon_sym_anyerror] = ACTIONS(1039),
    [anon_sym_anyopaque] = ACTIONS(1039),
    [anon_sym_anytype] = ACTIONS(1039),
    [anon_sym_noreturn] = ACTIONS(1039),
    [anon_sym_isize] = ACTIONS(1039),
    [anon_sym_usize] = ACTIONS(1039),
    [anon_sym_comptime_int] = ACTIONS(1039),
    [anon_sym_comptime_float] = ACTIONS(1039),
    [anon_sym_c_short] = ACTIONS(1039),
    [anon_sym_c_ushort] = ACTIONS(1039),
    [anon_sym_c_int] = ACTIONS(1039),
    [anon_sym_c_uint] = ACTIONS(1039),
    [anon_sym_c_long] = ACTIONS(1039),
    [anon_sym_c_ulong] = ACTIONS(1039),
    [anon_sym_c_longlong] = ACTIONS(1039),
    [anon_sym_c_ulonglong] = ACTIONS(1039),
    [anon_sym_c_longdouble] = ACTIONS(1039),
    [aux_sym_builtin_type_token1] = ACTIONS(1039),
    [sym_builtin_identifier] = ACTIONS(1037),
    [anon_sym_AT] = ACTIONS(1039),
    [sym_comment] = ACTIONS(3),
  },
  [726] = {
    [ts_builtin_sym_end] = ACTIONS(1041),
    [sym__identifier] = ACTIONS(1043),
    [anon_sym_pub] = ACTIONS(1043),
    [anon_sym_test] = ACTIONS(1043),
    [anon_sym_comptime] = ACTIONS(1043),
    [anon_sym_export] = ACTIONS(1043),
    [anon_sym_extern] = ACTIONS(1043),
    [anon_sym_threadlocal] = ACTIONS(1043),
    [anon_sym_const] = ACTIONS(1043),
    [anon_sym_var] = ACTIONS(1043),
    [anon_sym_inline] = ACTIONS(1043),
    [anon_sym_noinline] = ACTIONS(1043),
    [anon_sym_fn] = ACTIONS(1043),
    [anon_sym_BANG] = ACTIONS(1041),
    [anon_sym_LPAREN] = ACTIONS(1041),
    [anon_sym_usingnamespace] = ACTIONS(1043),
    [anon_sym_LBRACE] = ACTIONS(1041),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [anon_sym_packed] = ACTIONS(1043),
    [anon_sym_struct] = ACTIONS(1043),
    [anon_sym_opaque] = ACTIONS(1043),
    [anon_sym_enum] = ACTIONS(1043),
    [anon_sym_union] = ACTIONS(1043),
    [anon_sym_error] = ACTIONS(1043),
    [anon_sym_nosuspend] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_for] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(1043),
    [anon_sym_STAR] = ACTIONS(1041),
    [anon_sym_asm] = ACTIONS(1043),
    [anon_sym_LBRACK] = ACTIONS(1041),
    [anon_sym_TILDE] = ACTIONS(1041),
    [anon_sym_DASH] = ACTIONS(1043),
    [anon_sym_DASH_PERCENT] = ACTIONS(1041),
    [anon_sym_AMP] = ACTIONS(1041),
    [anon_sym_async] = ACTIONS(1043),
    [anon_sym_await] = ACTIONS(1043),
    [anon_sym_continue] = ACTIONS(1043),
    [anon_sym_resume] = ACTIONS(1043),
    [anon_sym_return] = ACTIONS(1043),
    [anon_sym_break] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1043),
    [anon_sym_switch] = ACTIONS(1043),
    [anon_sym_anyframe] = ACTIONS(1043),
    [anon_sym_unreachable] = ACTIONS(1043),
    [anon_sym_undefined] = ACTIONS(1043),
    [anon_sym_null] = ACTIONS(1043),
    [anon_sym_QMARK] = ACTIONS(1041),
    [anon_sym_DOT] = ACTIONS(1041),
    [anon_sym_DQUOTE] = ACTIONS(1041),
    [aux_sym_multiline_string_token1] = ACTIONS(1041),
    [anon_sym_SQUOTE] = ACTIONS(1041),
    [sym_integer] = ACTIONS(1043),
    [sym_float] = ACTIONS(1041),
    [anon_sym_true] = ACTIONS(1043),
    [anon_sym_false] = ACTIONS(1043),
    [anon_sym_bool] = ACTIONS(1043),
    [anon_sym_f16] = ACTIONS(1043),
    [anon_sym_f32] = ACTIONS(1043),
    [anon_sym_f64] = ACTIONS(1043),
    [anon_sym_f128] = ACTIONS(1043),
    [anon_sym_void] = ACTIONS(1043),
    [anon_sym_type] = ACTIONS(1043),
    [anon_sym_anyerror] = ACTIONS(1043),
    [anon_sym_anyopaque] = ACTIONS(1043),
    [anon_sym_anytype] = ACTIONS(1043),
    [anon_sym_noreturn] = ACTIONS(1043),
    [anon_sym_isize] = ACTIONS(1043),
    [anon_sym_usize] = ACTIONS(1043),
    [anon_sym_comptime_int] = ACTIONS(1043),
    [anon_sym_comptime_float] = ACTIONS(1043),
    [anon_sym_c_short] = ACTIONS(1043),
    [anon_sym_c_ushort] = ACTIONS(1043),
    [anon_sym_c_int] = ACTIONS(1043),
    [anon_sym_c_uint] = ACTIONS(1043),
    [anon_sym_c_long] = ACTIONS(1043),
    [anon_sym_c_ulong] = ACTIONS(1043),
    [anon_sym_c_longlong] = ACTIONS(1043),
    [anon_sym_c_ulonglong] = ACTIONS(1043),
    [anon_sym_c_longdouble] = ACTIONS(1043),
    [aux_sym_builtin_type_token1] = ACTIONS(1043),
    [sym_builtin_identifier] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(1043),
    [sym_comment] = ACTIONS(3),
  },
  [727] = {
    [ts_builtin_sym_end] = ACTIONS(1037),
    [sym__identifier] = ACTIONS(1039),
    [anon_sym_pub] = ACTIONS(1039),
    [anon_sym_test] = ACTIONS(1039),
    [anon_sym_comptime] = ACTIONS(1039),
    [anon_sym_export] = ACTIONS(1039),
    [anon_sym_extern] = ACTIONS(1039),
    [anon_sym_threadlocal] = ACTIONS(1039),
    [anon_sym_const] = ACTIONS(1039),
    [anon_sym_var] = ACTIONS(1039),
    [anon_sym_inline] = ACTIONS(1039),
    [anon_sym_noinline] = ACTIONS(1039),
    [anon_sym_fn] = ACTIONS(1039),
    [anon_sym_BANG] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(1037),
    [anon_sym_usingnamespace] = ACTIONS(1039),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_RBRACE] = ACTIONS(1037),
    [anon_sym_packed] = ACTIONS(1039),
    [anon_sym_struct] = ACTIONS(1039),
    [anon_sym_opaque] = ACTIONS(1039),
    [anon_sym_enum] = ACTIONS(1039),
    [anon_sym_union] = ACTIONS(1039),
    [anon_sym_error] = ACTIONS(1039),
    [anon_sym_nosuspend] = ACTIONS(1039),
    [anon_sym_if] = ACTIONS(1039),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_while] = ACTIONS(1039),
    [anon_sym_STAR] = ACTIONS(1037),
    [anon_sym_asm] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_TILDE] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1039),
    [anon_sym_DASH_PERCENT] = ACTIONS(1037),
    [anon_sym_AMP] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_await] = ACTIONS(1039),
    [anon_sym_continue] = ACTIONS(1039),
    [anon_sym_resume] = ACTIONS(1039),
    [anon_sym_return] = ACTIONS(1039),
    [anon_sym_break] = ACTIONS(1039),
    [anon_sym_try] = ACTIONS(1039),
    [anon_sym_switch] = ACTIONS(1039),
    [anon_sym_anyframe] = ACTIONS(1039),
    [anon_sym_unreachable] = ACTIONS(1039),
    [anon_sym_undefined] = ACTIONS(1039),
    [anon_sym_null] = ACTIONS(1039),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_DOT] = ACTIONS(1037),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [aux_sym_multiline_string_token1] = ACTIONS(1037),
    [anon_sym_SQUOTE] = ACTIONS(1037),
    [sym_integer] = ACTIONS(1039),
    [sym_float] = ACTIONS(1037),
    [anon_sym_true] = ACTIONS(1039),
    [anon_sym_false] = ACTIONS(1039),
    [anon_sym_bool] = ACTIONS(1039),
    [anon_sym_f16] = ACTIONS(1039),
    [anon_sym_f32] = ACTIONS(1039),
    [anon_sym_f64] = ACTIONS(1039),
    [anon_sym_f128] = ACTIONS(1039),
    [anon_sym_void] = ACTIONS(1039),
    [anon_sym_type] = ACTIONS(1039),
    [anon_sym_anyerror] = ACTIONS(1039),
    [anon_sym_anyopaque] = ACTIONS(1039),
    [anon_sym_anytype] = ACTIONS(1039),
    [anon_sym_noreturn] = ACTIONS(1039),
    [anon_sym_isize] = ACTIONS(1039),
    [anon_sym_usize] = ACTIONS(1039),
    [anon_sym_comptime_int] = ACTIONS(1039),
    [anon_sym_comptime_float] = ACTIONS(1039),
    [anon_sym_c_short] = ACTIONS(1039),
    [anon_sym_c_ushort] = ACTIONS(1039),
    [anon_sym_c_int] = ACTIONS(1039),
    [anon_sym_c_uint] = ACTIONS(1039),
    [anon_sym_c_long] = ACTIONS(1039),
    [anon_sym_c_ulong] = ACTIONS(1039),
    [anon_sym_c_longlong] = ACTIONS(1039),
    [anon_sym_c_ulonglong] = ACTIONS(1039),
    [anon_sym_c_longdouble] = ACTIONS(1039),
    [aux_sym_builtin_type_token1] = ACTIONS(1039),
    [sym_builtin_identifier] = ACTIONS(1037),
    [anon_sym_AT] = ACTIONS(1039),
    [sym_comment] = ACTIONS(3),
  },
  [728] = {
    [ts_builtin_sym_end] = ACTIONS(1041),
    [sym__identifier] = ACTIONS(1043),
    [anon_sym_pub] = ACTIONS(1043),
    [anon_sym_test] = ACTIONS(1043),
    [anon_sym_comptime] = ACTIONS(1043),
    [anon_sym_export] = ACTIONS(1043),
    [anon_sym_extern] = ACTIONS(1043),
    [anon_sym_threadlocal] = ACTIONS(1043),
    [anon_sym_const] = ACTIONS(1043),
    [anon_sym_var] = ACTIONS(1043),
    [anon_sym_inline] = ACTIONS(1043),
    [anon_sym_noinline] = ACTIONS(1043),
    [anon_sym_fn] = ACTIONS(1043),
    [anon_sym_BANG] = ACTIONS(1041),
    [anon_sym_LPAREN] = ACTIONS(1041),
    [anon_sym_usingnamespace] = ACTIONS(1043),
    [anon_sym_LBRACE] = ACTIONS(1041),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [anon_sym_packed] = ACTIONS(1043),
    [anon_sym_struct] = ACTIONS(1043),
    [anon_sym_opaque] = ACTIONS(1043),
    [anon_sym_enum] = ACTIONS(1043),
    [anon_sym_union] = ACTIONS(1043),
    [anon_sym_error] = ACTIONS(1043),
    [anon_sym_nosuspend] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_for] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(1043),
    [anon_sym_STAR] = ACTIONS(1041),
    [anon_sym_asm] = ACTIONS(1043),
    [anon_sym_LBRACK] = ACTIONS(1041),
    [anon_sym_TILDE] = ACTIONS(1041),
    [anon_sym_DASH] = ACTIONS(1043),
    [anon_sym_DASH_PERCENT] = ACTIONS(1041),
    [anon_sym_AMP] = ACTIONS(1041),
    [anon_sym_async] = ACTIONS(1043),
    [anon_sym_await] = ACTIONS(1043),
    [anon_sym_continue] = ACTIONS(1043),
    [anon_sym_resume] = ACTIONS(1043),
    [anon_sym_return] = ACTIONS(1043),
    [anon_sym_break] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1043),
    [anon_sym_switch] = ACTIONS(1043),
    [anon_sym_anyframe] = ACTIONS(1043),
    [anon_sym_unreachable] = ACTIONS(1043),
    [anon_sym_undefined] = ACTIONS(1043),
    [anon_sym_null] = ACTIONS(1043),
    [anon_sym_QMARK] = ACTIONS(1041),
    [anon_sym_DOT] = ACTIONS(1041),
    [anon_sym_DQUOTE] = ACTIONS(1041),
    [aux_sym_multiline_string_token1] = ACTIONS(1041),
    [anon_sym_SQUOTE] = ACTIONS(1041),
    [sym_integer] = ACTIONS(1043),
    [sym_float] = ACTIONS(1041),
    [anon_sym_true] = ACTIONS(1043),
    [anon_sym_false] = ACTIONS(1043),
    [anon_sym_bool] = ACTIONS(1043),
    [anon_sym_f16] = ACTIONS(1043),
    [anon_sym_f32] = ACTIONS(1043),
    [anon_sym_f64] = ACTIONS(1043),
    [anon_sym_f128] = ACTIONS(1043),
    [anon_sym_void] = ACTIONS(1043),
    [anon_sym_type] = ACTIONS(1043),
    [anon_sym_anyerror] = ACTIONS(1043),
    [anon_sym_anyopaque] = ACTIONS(1043),
    [anon_sym_anytype] = ACTIONS(1043),
    [anon_sym_noreturn] = ACTIONS(1043),
    [anon_sym_isize] = ACTIONS(1043),
    [anon_sym_usize] = ACTIONS(1043),
    [anon_sym_comptime_int] = ACTIONS(1043),
    [anon_sym_comptime_float] = ACTIONS(1043),
    [anon_sym_c_short] = ACTIONS(1043),
    [anon_sym_c_ushort] = ACTIONS(1043),
    [anon_sym_c_int] = ACTIONS(1043),
    [anon_sym_c_uint] = ACTIONS(1043),
    [anon_sym_c_long] = ACTIONS(1043),
    [anon_sym_c_ulong] = ACTIONS(1043),
    [anon_sym_c_longlong] = ACTIONS(1043),
    [anon_sym_c_ulonglong] = ACTIONS(1043),
    [anon_sym_c_longdouble] = ACTIONS(1043),
    [aux_sym_builtin_type_token1] = ACTIONS(1043),
    [sym_builtin_identifier] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(1043),
    [sym_comment] = ACTIONS(3),
  },
  [729] = {
    [ts_builtin_sym_end] = ACTIONS(1045),
    [sym__identifier] = ACTIONS(1047),
    [anon_sym_pub] = ACTIONS(1047),
    [anon_sym_test] = ACTIONS(1047),
    [anon_sym_comptime] = ACTIONS(1047),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_extern] = ACTIONS(1047),
    [anon_sym_threadlocal] = ACTIONS(1047),
    [anon_sym_const] = ACTIONS(1047),
    [anon_sym_var] = ACTIONS(1047),
    [anon_sym_inline] = ACTIONS(1047),
    [anon_sym_noinline] = ACTIONS(1047),
    [anon_sym_fn] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1045),
    [anon_sym_LPAREN] = ACTIONS(1045),
    [anon_sym_usingnamespace] = ACTIONS(1047),
    [anon_sym_LBRACE] = ACTIONS(1045),
    [anon_sym_RBRACE] = ACTIONS(1045),
    [anon_sym_packed] = ACTIONS(1047),
    [anon_sym_struct] = ACTIONS(1047),
    [anon_sym_opaque] = ACTIONS(1047),
    [anon_sym_enum] = ACTIONS(1047),
    [anon_sym_union] = ACTIONS(1047),
    [anon_sym_error] = ACTIONS(1047),
    [anon_sym_nosuspend] = ACTIONS(1047),
    [anon_sym_if] = ACTIONS(1047),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1047),
    [anon_sym_STAR] = ACTIONS(1045),
    [anon_sym_asm] = ACTIONS(1047),
    [anon_sym_LBRACK] = ACTIONS(1045),
    [anon_sym_TILDE] = ACTIONS(1045),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_DASH_PERCENT] = ACTIONS(1045),
    [anon_sym_AMP] = ACTIONS(1045),
    [anon_sym_async] = ACTIONS(1047),
    [anon_sym_await] = ACTIONS(1047),
    [anon_sym_continue] = ACTIONS(1047),
    [anon_sym_resume] = ACTIONS(1047),
    [anon_sym_return] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1047),
    [anon_sym_switch] = ACTIONS(1047),
    [anon_sym_anyframe] = ACTIONS(1047),
    [anon_sym_unreachable] = ACTIONS(1047),
    [anon_sym_undefined] = ACTIONS(1047),
    [anon_sym_null] = ACTIONS(1047),
    [anon_sym_QMARK] = ACTIONS(1045),
    [anon_sym_DOT] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [aux_sym_multiline_string_token1] = ACTIONS(1045),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1047),
    [sym_float] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_bool] = ACTIONS(1047),
    [anon_sym_f16] = ACTIONS(1047),
    [anon_sym_f32] = ACTIONS(1047),
    [anon_sym_f64] = ACTIONS(1047),
    [anon_sym_f128] = ACTIONS(1047),
    [anon_sym_void] = ACTIONS(1047),
    [anon_sym_type] = ACTIONS(1047),
    [anon_sym_anyerror] = ACTIONS(1047),
    [anon_sym_anyopaque] = ACTIONS(1047),
    [anon_sym_anytype] = ACTIONS(1047),
    [anon_sym_noreturn] = ACTIONS(1047),
    [anon_sym_isize] = ACTIONS(1047),
    [anon_sym_usize] = ACTIONS(1047),
    [anon_sym_comptime_int] = ACTIONS(1047),
    [anon_sym_comptime_float] = ACTIONS(1047),
    [anon_sym_c_short] = ACTIONS(1047),
    [anon_sym_c_ushort] = ACTIONS(1047),
    [anon_sym_c_int] = ACTIONS(1047),
    [anon_sym_c_uint] = ACTIONS(1047),
    [anon_sym_c_long] = ACTIONS(1047),
    [anon_sym_c_ulong] = ACTIONS(1047),
    [anon_sym_c_longlong] = ACTIONS(1047),
    [anon_sym_c_ulonglong] = ACTIONS(1047),
    [anon_sym_c_longdouble] = ACTIONS(1047),
    [aux_sym_builtin_type_token1] = ACTIONS(1047),
    [sym_builtin_identifier] = ACTIONS(1045),
    [anon_sym_AT] = ACTIONS(1047),
    [sym_comment] = ACTIONS(3),
  },
  [730] = {
    [ts_builtin_sym_end] = ACTIONS(1049),
    [sym__identifier] = ACTIONS(1051),
    [anon_sym_pub] = ACTIONS(1051),
    [anon_sym_test] = ACTIONS(1051),
    [anon_sym_comptime] = ACTIONS(1051),
    [anon_sym_export] = ACTIONS(1051),
    [anon_sym_extern] = ACTIONS(1051),
    [anon_sym_threadlocal] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1051),
    [anon_sym_var] = ACTIONS(1051),
    [anon_sym_inline] = ACTIONS(1051),
    [anon_sym_noinline] = ACTIONS(1051),
    [anon_sym_fn] = ACTIONS(1051),
    [anon_sym_BANG] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1049),
    [anon_sym_usingnamespace] = ACTIONS(1051),
    [anon_sym_LBRACE] = ACTIONS(1049),
    [anon_sym_RBRACE] = ACTIONS(1049),
    [anon_sym_packed] = ACTIONS(1051),
    [anon_sym_struct] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1051),
    [anon_sym_enum] = ACTIONS(1051),
    [anon_sym_union] = ACTIONS(1051),
    [anon_sym_error] = ACTIONS(1051),
    [anon_sym_nosuspend] = ACTIONS(1051),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_for] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1051),
    [anon_sym_STAR] = ACTIONS(1049),
    [anon_sym_asm] = ACTIONS(1051),
    [anon_sym_LBRACK] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1051),
    [anon_sym_DASH_PERCENT] = ACTIONS(1049),
    [anon_sym_AMP] = ACTIONS(1049),
    [anon_sym_async] = ACTIONS(1051),
    [anon_sym_await] = ACTIONS(1051),
    [anon_sym_continue] = ACTIONS(1051),
    [anon_sym_resume] = ACTIONS(1051),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_break] = ACTIONS(1051),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_switch] = ACTIONS(1051),
    [anon_sym_anyframe] = ACTIONS(1051),
    [anon_sym_unreachable] = ACTIONS(1051),
    [anon_sym_undefined] = ACTIONS(1051),
    [anon_sym_null] = ACTIONS(1051),
    [anon_sym_QMARK] = ACTIONS(1049),
    [anon_sym_DOT] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1049),
    [aux_sym_multiline_string_token1] = ACTIONS(1049),
    [anon_sym_SQUOTE] = ACTIONS(1049),
    [sym_integer] = ACTIONS(1051),
    [sym_float] = ACTIONS(1049),
    [anon_sym_true] = ACTIONS(1051),
    [anon_sym_false] = ACTIONS(1051),
    [anon_sym_bool] = ACTIONS(1051),
    [anon_sym_f16] = ACTIONS(1051),
    [anon_sym_f32] = ACTIONS(1051),
    [anon_sym_f64] = ACTIONS(1051),
    [anon_sym_f128] = ACTIONS(1051),
    [anon_sym_void] = ACTIONS(1051),
    [anon_sym_type] = ACTIONS(1051),
    [anon_sym_anyerror] = ACTIONS(1051),
    [anon_sym_anyopaque] = ACTIONS(1051),
    [anon_sym_anytype] = ACTIONS(1051),
    [anon_sym_noreturn] = ACTIONS(1051),
    [anon_sym_isize] = ACTIONS(1051),
    [anon_sym_usize] = ACTIONS(1051),
    [anon_sym_comptime_int] = ACTIONS(1051),
    [anon_sym_comptime_float] = ACTIONS(1051),
    [anon_sym_c_short] = ACTIONS(1051),
    [anon_sym_c_ushort] = ACTIONS(1051),
    [anon_sym_c_int] = ACTIONS(1051),
    [anon_sym_c_uint] = ACTIONS(1051),
    [anon_sym_c_long] = ACTIONS(1051),
    [anon_sym_c_ulong] = ACTIONS(1051),
    [anon_sym_c_longlong] = ACTIONS(1051),
    [anon_sym_c_ulonglong] = ACTIONS(1051),
    [anon_sym_c_longdouble] = ACTIONS(1051),
    [aux_sym_builtin_type_token1] = ACTIONS(1051),
    [sym_builtin_identifier] = ACTIONS(1049),
    [anon_sym_AT] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
  },
  [731] = {
    [ts_builtin_sym_end] = ACTIONS(1053),
    [sym__identifier] = ACTIONS(1055),
    [anon_sym_pub] = ACTIONS(1055),
    [anon_sym_test] = ACTIONS(1055),
    [anon_sym_comptime] = ACTIONS(1055),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_extern] = ACTIONS(1055),
    [anon_sym_threadlocal] = ACTIONS(1055),
    [anon_sym_const] = ACTIONS(1055),
    [anon_sym_var] = ACTIONS(1055),
    [anon_sym_inline] = ACTIONS(1055),
    [anon_sym_noinline] = ACTIONS(1055),
    [anon_sym_fn] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(1053),
    [anon_sym_usingnamespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(1053),
    [anon_sym_RBRACE] = ACTIONS(1053),
    [anon_sym_packed] = ACTIONS(1055),
    [anon_sym_struct] = ACTIONS(1055),
    [anon_sym_opaque] = ACTIONS(1055),
    [anon_sym_enum] = ACTIONS(1055),
    [anon_sym_union] = ACTIONS(1055),
    [anon_sym_error] = ACTIONS(1055),
    [anon_sym_nosuspend] = ACTIONS(1055),
    [anon_sym_if] = ACTIONS(1055),
    [anon_sym_for] = ACTIONS(1055),
    [anon_sym_while] = ACTIONS(1055),
    [anon_sym_STAR] = ACTIONS(1053),
    [anon_sym_asm] = ACTIONS(1055),
    [anon_sym_LBRACK] = ACTIONS(1053),
    [anon_sym_TILDE] = ACTIONS(1053),
    [anon_sym_DASH] = ACTIONS(1055),
    [anon_sym_DASH_PERCENT] = ACTIONS(1053),
    [anon_sym_AMP] = ACTIONS(1053),
    [anon_sym_async] = ACTIONS(1055),
    [anon_sym_await] = ACTIONS(1055),
    [anon_sym_continue] = ACTIONS(1055),
    [anon_sym_resume] = ACTIONS(1055),
    [anon_sym_return] = ACTIONS(1055),
    [anon_sym_break] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_switch] = ACTIONS(1055),
    [anon_sym_anyframe] = ACTIONS(1055),
    [anon_sym_unreachable] = ACTIONS(1055),
    [anon_sym_undefined] = ACTIONS(1055),
    [anon_sym_null] = ACTIONS(1055),
    [anon_sym_QMARK] = ACTIONS(1053),
    [anon_sym_DOT] = ACTIONS(1053),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [aux_sym_multiline_string_token1] = ACTIONS(1053),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [sym_integer] = ACTIONS(1055),
    [sym_float] = ACTIONS(1053),
    [anon_sym_true] = ACTIONS(1055),
    [anon_sym_false] = ACTIONS(1055),
    [anon_sym_bool] = ACTIONS(1055),
    [anon_sym_f16] = ACTIONS(1055),
    [anon_sym_f32] = ACTIONS(1055),
    [anon_sym_f64] = ACTIONS(1055),
    [anon_sym_f128] = ACTIONS(1055),
    [anon_sym_void] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_anyerror] = ACTIONS(1055),
    [anon_sym_anyopaque] = ACTIONS(1055),
    [anon_sym_anytype] = ACTIONS(1055),
    [anon_sym_noreturn] = ACTIONS(1055),
    [anon_sym_isize] = ACTIONS(1055),
    [anon_sym_usize] = ACTIONS(1055),
    [anon_sym_comptime_int] = ACTIONS(1055),
    [anon_sym_comptime_float] = ACTIONS(1055),
    [anon_sym_c_short] = ACTIONS(1055),
    [anon_sym_c_ushort] = ACTIONS(1055),
    [anon_sym_c_int] = ACTIONS(1055),
    [anon_sym_c_uint] = ACTIONS(1055),
    [anon_sym_c_long] = ACTIONS(1055),
    [anon_sym_c_ulong] = ACTIONS(1055),
    [anon_sym_c_longlong] = ACTIONS(1055),
    [anon_sym_c_ulonglong] = ACTIONS(1055),
    [anon_sym_c_longdouble] = ACTIONS(1055),
    [aux_sym_builtin_type_token1] = ACTIONS(1055),
    [sym_builtin_identifier] = ACTIONS(1053),
    [anon_sym_AT] = ACTIONS(1055),
    [sym_comment] = ACTIONS(3),
  },
  [732] = {
    [ts_builtin_sym_end] = ACTIONS(479),
    [sym__identifier] = ACTIONS(1057),
    [anon_sym_pub] = ACTIONS(1057),
    [anon_sym_test] = ACTIONS(1057),
    [anon_sym_comptime] = ACTIONS(1057),
    [anon_sym_export] = ACTIONS(1057),
    [anon_sym_extern] = ACTIONS(1057),
    [anon_sym_threadlocal] = ACTIONS(1057),
    [anon_sym_const] = ACTIONS(1057),
    [anon_sym_var] = ACTIONS(1057),
    [anon_sym_inline] = ACTIONS(1057),
    [anon_sym_noinline] = ACTIONS(1057),
    [anon_sym_fn] = ACTIONS(1057),
    [anon_sym_BANG] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(479),
    [anon_sym_usingnamespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_RBRACE] = ACTIONS(479),
    [anon_sym_packed] = ACTIONS(1057),
    [anon_sym_struct] = ACTIONS(1057),
    [anon_sym_opaque] = ACTIONS(1057),
    [anon_sym_enum] = ACTIONS(1057),
    [anon_sym_union] = ACTIONS(1057),
    [anon_sym_error] = ACTIONS(1057),
    [anon_sym_nosuspend] = ACTIONS(1057),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_for] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1057),
    [anon_sym_STAR] = ACTIONS(479),
    [anon_sym_asm] = ACTIONS(1057),
    [anon_sym_LBRACK] = ACTIONS(479),
    [anon_sym_TILDE] = ACTIONS(479),
    [anon_sym_DASH] = ACTIONS(1057),
    [anon_sym_DASH_PERCENT] = ACTIONS(479),
    [anon_sym_AMP] = ACTIONS(479),
    [anon_sym_async] = ACTIONS(1057),
    [anon_sym_await] = ACTIONS(1057),
    [anon_sym_continue] = ACTIONS(1057),
    [anon_sym_resume] = ACTIONS(1057),
    [anon_sym_return] = ACTIONS(1057),
    [anon_sym_break] = ACTIONS(1057),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_switch] = ACTIONS(1057),
    [anon_sym_anyframe] = ACTIONS(1057),
    [anon_sym_unreachable] = ACTIONS(1057),
    [anon_sym_undefined] = ACTIONS(1057),
    [anon_sym_null] = ACTIONS(1057),
    [anon_sym_QMARK] = ACTIONS(479),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [aux_sym_multiline_string_token1] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(479),
    [sym_integer] = ACTIONS(1057),
    [sym_float] = ACTIONS(479),
    [anon_sym_true] = ACTIONS(1057),
    [anon_sym_false] = ACTIONS(1057),
    [anon_sym_bool] = ACTIONS(1057),
    [anon_sym_f16] = ACTIONS(1057),
    [anon_sym_f32] = ACTIONS(1057),
    [anon_sym_f64] = ACTIONS(1057),
    [anon_sym_f128] = ACTIONS(1057),
    [anon_sym_void] = ACTIONS(1057),
    [anon_sym_type] = ACTIONS(1057),
    [anon_sym_anyerror] = ACTIONS(1057),
    [anon_sym_anyopaque] = ACTIONS(1057),
    [anon_sym_anytype] = ACTIONS(1057),
    [anon_sym_noreturn] = ACTIONS(1057),
    [anon_sym_isize] = ACTIONS(1057),
    [anon_sym_usize] = ACTIONS(1057),
    [anon_sym_comptime_int] = ACTIONS(1057),
    [anon_sym_comptime_float] = ACTIONS(1057),
    [anon_sym_c_short] = ACTIONS(1057),
    [anon_sym_c_ushort] = ACTIONS(1057),
    [anon_sym_c_int] = ACTIONS(1057),
    [anon_sym_c_uint] = ACTIONS(1057),
    [anon_sym_c_long] = ACTIONS(1057),
    [anon_sym_c_ulong] = ACTIONS(1057),
    [anon_sym_c_longlong] = ACTIONS(1057),
    [anon_sym_c_ulonglong] = ACTIONS(1057),
    [anon_sym_c_longdouble] = ACTIONS(1057),
    [aux_sym_builtin_type_token1] = ACTIONS(1057),
    [sym_builtin_identifier] = ACTIONS(479),
    [anon_sym_AT] = ACTIONS(1057),
    [sym_comment] = ACTIONS(3),
  },
  [733] = {
    [ts_builtin_sym_end] = ACTIONS(1059),
    [sym__identifier] = ACTIONS(1061),
    [anon_sym_pub] = ACTIONS(1061),
    [anon_sym_test] = ACTIONS(1061),
    [anon_sym_comptime] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_extern] = ACTIONS(1061),
    [anon_sym_threadlocal] = ACTIONS(1061),
    [anon_sym_const] = ACTIONS(1061),
    [anon_sym_var] = ACTIONS(1061),
    [anon_sym_inline] = ACTIONS(1061),
    [anon_sym_noinline] = ACTIONS(1061),
    [anon_sym_fn] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(1059),
    [anon_sym_usingnamespace] = ACTIONS(1061),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1059),
    [anon_sym_packed] = ACTIONS(1061),
    [anon_sym_struct] = ACTIONS(1061),
    [anon_sym_opaque] = ACTIONS(1061),
    [anon_sym_enum] = ACTIONS(1061),
    [anon_sym_union] = ACTIONS(1061),
    [anon_sym_error] = ACTIONS(1061),
    [anon_sym_nosuspend] = ACTIONS(1061),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_for] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(1061),
    [anon_sym_STAR] = ACTIONS(1059),
    [anon_sym_asm] = ACTIONS(1061),
    [anon_sym_LBRACK] = ACTIONS(1059),
    [anon_sym_TILDE] = ACTIONS(1059),
    [anon_sym_DASH] = ACTIONS(1061),
    [anon_sym_DASH_PERCENT] = ACTIONS(1059),
    [anon_sym_AMP] = ACTIONS(1059),
    [anon_sym_async] = ACTIONS(1061),
    [anon_sym_await] = ACTIONS(1061),
    [anon_sym_continue] = ACTIONS(1061),
    [anon_sym_resume] = ACTIONS(1061),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_break] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1061),
    [anon_sym_switch] = ACTIONS(1061),
    [anon_sym_anyframe] = ACTIONS(1061),
    [anon_sym_unreachable] = ACTIONS(1061),
    [anon_sym_undefined] = ACTIONS(1061),
    [anon_sym_null] = ACTIONS(1061),
    [anon_sym_QMARK] = ACTIONS(1059),
    [anon_sym_DOT] = ACTIONS(1059),
    [anon_sym_DQUOTE] = ACTIONS(1059),
    [aux_sym_multiline_string_token1] = ACTIONS(1059),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym_integer] = ACTIONS(1061),
    [sym_float] = ACTIONS(1059),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [anon_sym_bool] = ACTIONS(1061),
    [anon_sym_f16] = ACTIONS(1061),
    [anon_sym_f32] = ACTIONS(1061),
    [anon_sym_f64] = ACTIONS(1061),
    [anon_sym_f128] = ACTIONS(1061),
    [anon_sym_void] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_anyerror] = ACTIONS(1061),
    [anon_sym_anyopaque] = ACTIONS(1061),
    [anon_sym_anytype] = ACTIONS(1061),
    [anon_sym_noreturn] = ACTIONS(1061),
    [anon_sym_isize] = ACTIONS(1061),
    [anon_sym_usize] = ACTIONS(1061),
    [anon_sym_comptime_int] = ACTIONS(1061),
    [anon_sym_comptime_float] = ACTIONS(1061),
    [anon_sym_c_short] = ACTIONS(1061),
    [anon_sym_c_ushort] = ACTIONS(1061),
    [anon_sym_c_int] = ACTIONS(1061),
    [anon_sym_c_uint] = ACTIONS(1061),
    [anon_sym_c_long] = ACTIONS(1061),
    [anon_sym_c_ulong] = ACTIONS(1061),
    [anon_sym_c_longlong] = ACTIONS(1061),
    [anon_sym_c_ulonglong] = ACTIONS(1061),
    [anon_sym_c_longdouble] = ACTIONS(1061),
    [aux_sym_builtin_type_token1] = ACTIONS(1061),
    [sym_builtin_identifier] = ACTIONS(1059),
    [anon_sym_AT] = ACTIONS(1061),
    [sym_comment] = ACTIONS(3),
  },
  [734] = {
    [ts_builtin_sym_end] = ACTIONS(1063),
    [sym__identifier] = ACTIONS(1065),
    [anon_sym_pub] = ACTIONS(1065),
    [anon_sym_test] = ACTIONS(1065),
    [anon_sym_comptime] = ACTIONS(1065),
    [anon_sym_export] = ACTIONS(1065),
    [anon_sym_extern] = ACTIONS(1065),
    [anon_sym_threadlocal] = ACTIONS(1065),
    [anon_sym_const] = ACTIONS(1065),
    [anon_sym_var] = ACTIONS(1065),
    [anon_sym_inline] = ACTIONS(1065),
    [anon_sym_noinline] = ACTIONS(1065),
    [anon_sym_fn] = ACTIONS(1065),
    [anon_sym_BANG] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_usingnamespace] = ACTIONS(1065),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_RBRACE] = ACTIONS(1063),
    [anon_sym_packed] = ACTIONS(1065),
    [anon_sym_struct] = ACTIONS(1065),
    [anon_sym_opaque] = ACTIONS(1065),
    [anon_sym_enum] = ACTIONS(1065),
    [anon_sym_union] = ACTIONS(1065),
    [anon_sym_error] = ACTIONS(1065),
    [anon_sym_nosuspend] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1065),
    [anon_sym_for] = ACTIONS(1065),
    [anon_sym_while] = ACTIONS(1065),
    [anon_sym_STAR] = ACTIONS(1063),
    [anon_sym_asm] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_TILDE] = ACTIONS(1063),
    [anon_sym_DASH] = ACTIONS(1065),
    [anon_sym_DASH_PERCENT] = ACTIONS(1063),
    [anon_sym_AMP] = ACTIONS(1063),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_await] = ACTIONS(1065),
    [anon_sym_continue] = ACTIONS(1065),
    [anon_sym_resume] = ACTIONS(1065),
    [anon_sym_return] = ACTIONS(1065),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_switch] = ACTIONS(1065),
    [anon_sym_anyframe] = ACTIONS(1065),
    [anon_sym_unreachable] = ACTIONS(1065),
    [anon_sym_undefined] = ACTIONS(1065),
    [anon_sym_null] = ACTIONS(1065),
    [anon_sym_QMARK] = ACTIONS(1063),
    [anon_sym_DOT] = ACTIONS(1063),
    [anon_sym_DQUOTE] = ACTIONS(1063),
    [aux_sym_multiline_string_token1] = ACTIONS(1063),
    [anon_sym_SQUOTE] = ACTIONS(1063),
    [sym_integer] = ACTIONS(1065),
    [sym_float] = ACTIONS(1063),
    [anon_sym_true] = ACTIONS(1065),
    [anon_sym_false] = ACTIONS(1065),
    [anon_sym_bool] = ACTIONS(1065),
    [anon_sym_f16] = ACTIONS(1065),
    [anon_sym_f32] = ACTIONS(1065),
    [anon_sym_f64] = ACTIONS(1065),
    [anon_sym_f128] = ACTIONS(1065),
    [anon_sym_void] = ACTIONS(1065),
    [anon_sym_type] = ACTIONS(1065),
    [anon_sym_anyerror] = ACTIONS(1065),
    [anon_sym_anyopaque] = ACTIONS(1065),
    [anon_sym_anytype] = ACTIONS(1065),
    [anon_sym_noreturn] = ACTIONS(1065),
    [anon_sym_isize] = ACTIONS(1065),
    [anon_sym_usize] = ACTIONS(1065),
    [anon_sym_comptime_int] = ACTIONS(1065),
    [anon_sym_comptime_float] = ACTIONS(1065),
    [anon_sym_c_short] = ACTIONS(1065),
    [anon_sym_c_ushort] = ACTIONS(1065),
    [anon_sym_c_int] = ACTIONS(1065),
    [anon_sym_c_uint] = ACTIONS(1065),
    [anon_sym_c_long] = ACTIONS(1065),
    [anon_sym_c_ulong] = ACTIONS(1065),
    [anon_sym_c_longlong] = ACTIONS(1065),
    [anon_sym_c_ulonglong] = ACTIONS(1065),
    [anon_sym_c_longdouble] = ACTIONS(1065),
    [aux_sym_builtin_type_token1] = ACTIONS(1065),
    [sym_builtin_identifier] = ACTIONS(1063),
    [anon_sym_AT] = ACTIONS(1065),
    [sym_comment] = ACTIONS(3),
  },
  [735] = {
    [ts_builtin_sym_end] = ACTIONS(1067),
    [sym__identifier] = ACTIONS(1069),
    [anon_sym_pub] = ACTIONS(1069),
    [anon_sym_test] = ACTIONS(1069),
    [anon_sym_comptime] = ACTIONS(1069),
    [anon_sym_export] = ACTIONS(1069),
    [anon_sym_extern] = ACTIONS(1069),
    [anon_sym_threadlocal] = ACTIONS(1069),
    [anon_sym_const] = ACTIONS(1069),
    [anon_sym_var] = ACTIONS(1069),
    [anon_sym_inline] = ACTIONS(1069),
    [anon_sym_noinline] = ACTIONS(1069),
    [anon_sym_fn] = ACTIONS(1069),
    [anon_sym_BANG] = ACTIONS(1067),
    [anon_sym_LPAREN] = ACTIONS(1067),
    [anon_sym_usingnamespace] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_RBRACE] = ACTIONS(1067),
    [anon_sym_packed] = ACTIONS(1069),
    [anon_sym_struct] = ACTIONS(1069),
    [anon_sym_opaque] = ACTIONS(1069),
    [anon_sym_enum] = ACTIONS(1069),
    [anon_sym_union] = ACTIONS(1069),
    [anon_sym_error] = ACTIONS(1069),
    [anon_sym_nosuspend] = ACTIONS(1069),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_for] = ACTIONS(1069),
    [anon_sym_while] = ACTIONS(1069),
    [anon_sym_STAR] = ACTIONS(1067),
    [anon_sym_asm] = ACTIONS(1069),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_DASH] = ACTIONS(1069),
    [anon_sym_DASH_PERCENT] = ACTIONS(1067),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_async] = ACTIONS(1069),
    [anon_sym_await] = ACTIONS(1069),
    [anon_sym_continue] = ACTIONS(1069),
    [anon_sym_resume] = ACTIONS(1069),
    [anon_sym_return] = ACTIONS(1069),
    [anon_sym_break] = ACTIONS(1069),
    [anon_sym_try] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1069),
    [anon_sym_anyframe] = ACTIONS(1069),
    [anon_sym_unreachable] = ACTIONS(1069),
    [anon_sym_undefined] = ACTIONS(1069),
    [anon_sym_null] = ACTIONS(1069),
    [anon_sym_QMARK] = ACTIONS(1067),
    [anon_sym_DOT] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [aux_sym_multiline_string_token1] = ACTIONS(1067),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [sym_integer] = ACTIONS(1069),
    [sym_float] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_bool] = ACTIONS(1069),
    [anon_sym_f16] = ACTIONS(1069),
    [anon_sym_f32] = ACTIONS(1069),
    [anon_sym_f64] = ACTIONS(1069),
    [anon_sym_f128] = ACTIONS(1069),
    [anon_sym_void] = ACTIONS(1069),
    [anon_sym_type] = ACTIONS(1069),
    [anon_sym_anyerror] = ACTIONS(1069),
    [anon_sym_anyopaque] = ACTIONS(1069),
    [anon_sym_anytype] = ACTIONS(1069),
    [anon_sym_noreturn] = ACTIONS(1069),
    [anon_sym_isize] = ACTIONS(1069),
    [anon_sym_usize] = ACTIONS(1069),
    [anon_sym_comptime_int] = ACTIONS(1069),
    [anon_sym_comptime_float] = ACTIONS(1069),
    [anon_sym_c_short] = ACTIONS(1069),
    [anon_sym_c_ushort] = ACTIONS(1069),
    [anon_sym_c_int] = ACTIONS(1069),
    [anon_sym_c_uint] = ACTIONS(1069),
    [anon_sym_c_long] = ACTIONS(1069),
    [anon_sym_c_ulong] = ACTIONS(1069),
    [anon_sym_c_longlong] = ACTIONS(1069),
    [anon_sym_c_ulonglong] = ACTIONS(1069),
    [anon_sym_c_longdouble] = ACTIONS(1069),
    [aux_sym_builtin_type_token1] = ACTIONS(1069),
    [sym_builtin_identifier] = ACTIONS(1067),
    [anon_sym_AT] = ACTIONS(1069),
    [sym_comment] = ACTIONS(3),
  },
  [736] = {
    [ts_builtin_sym_end] = ACTIONS(1071),
    [sym__identifier] = ACTIONS(1073),
    [anon_sym_pub] = ACTIONS(1073),
    [anon_sym_test] = ACTIONS(1073),
    [anon_sym_comptime] = ACTIONS(1073),
    [anon_sym_export] = ACTIONS(1073),
    [anon_sym_extern] = ACTIONS(1073),
    [anon_sym_threadlocal] = ACTIONS(1073),
    [anon_sym_const] = ACTIONS(1073),
    [anon_sym_var] = ACTIONS(1073),
    [anon_sym_inline] = ACTIONS(1073),
    [anon_sym_noinline] = ACTIONS(1073),
    [anon_sym_fn] = ACTIONS(1073),
    [anon_sym_BANG] = ACTIONS(1071),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_usingnamespace] = ACTIONS(1073),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(1071),
    [anon_sym_packed] = ACTIONS(1073),
    [anon_sym_struct] = ACTIONS(1073),
    [anon_sym_opaque] = ACTIONS(1073),
    [anon_sym_enum] = ACTIONS(1073),
    [anon_sym_union] = ACTIONS(1073),
    [anon_sym_error] = ACTIONS(1073),
    [anon_sym_nosuspend] = ACTIONS(1073),
    [anon_sym_if] = ACTIONS(1073),
    [anon_sym_for] = ACTIONS(1073),
    [anon_sym_while] = ACTIONS(1073),
    [anon_sym_STAR] = ACTIONS(1071),
    [anon_sym_asm] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1071),
    [anon_sym_TILDE] = ACTIONS(1071),
    [anon_sym_DASH] = ACTIONS(1073),
    [anon_sym_DASH_PERCENT] = ACTIONS(1071),
    [anon_sym_AMP] = ACTIONS(1071),
    [anon_sym_async] = ACTIONS(1073),
    [anon_sym_await] = ACTIONS(1073),
    [anon_sym_continue] = ACTIONS(1073),
    [anon_sym_resume] = ACTIONS(1073),
    [anon_sym_return] = ACTIONS(1073),
    [anon_sym_break] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(1073),
    [anon_sym_switch] = ACTIONS(1073),
    [anon_sym_anyframe] = ACTIONS(1073),
    [anon_sym_unreachable] = ACTIONS(1073),
    [anon_sym_undefined] = ACTIONS(1073),
    [anon_sym_null] = ACTIONS(1073),
    [anon_sym_QMARK] = ACTIONS(1071),
    [anon_sym_DOT] = ACTIONS(1071),
    [anon_sym_DQUOTE] = ACTIONS(1071),
    [aux_sym_multiline_string_token1] = ACTIONS(1071),
    [anon_sym_SQUOTE] = ACTIONS(1071),
    [sym_integer] = ACTIONS(1073),
    [sym_float] = ACTIONS(1071),
    [anon_sym_true] = ACTIONS(1073),
    [anon_sym_false] = ACTIONS(1073),
    [anon_sym_bool] = ACTIONS(1073),
    [anon_sym_f16] = ACTIONS(1073),
    [anon_sym_f32] = ACTIONS(1073),
    [anon_sym_f64] = ACTIONS(1073),
    [anon_sym_f128] = ACTIONS(1073),
    [anon_sym_void] = ACTIONS(1073),
    [anon_sym_type] = ACTIONS(1073),
    [anon_sym_anyerror] = ACTIONS(1073),
    [anon_sym_anyopaque] = ACTIONS(1073),
    [anon_sym_anytype] = ACTIONS(1073),
    [anon_sym_noreturn] = ACTIONS(1073),
    [anon_sym_isize] = ACTIONS(1073),
    [anon_sym_usize] = ACTIONS(1073),
    [anon_sym_comptime_int] = ACTIONS(1073),
    [anon_sym_comptime_float] = ACTIONS(1073),
    [anon_sym_c_short] = ACTIONS(1073),
    [anon_sym_c_ushort] = ACTIONS(1073),
    [anon_sym_c_int] = ACTIONS(1073),
    [anon_sym_c_uint] = ACTIONS(1073),
    [anon_sym_c_long] = ACTIONS(1073),
    [anon_sym_c_ulong] = ACTIONS(1073),
    [anon_sym_c_longlong] = ACTIONS(1073),
    [anon_sym_c_ulonglong] = ACTIONS(1073),
    [anon_sym_c_longdouble] = ACTIONS(1073),
    [aux_sym_builtin_type_token1] = ACTIONS(1073),
    [sym_builtin_identifier] = ACTIONS(1071),
    [anon_sym_AT] = ACTIONS(1073),
    [sym_comment] = ACTIONS(3),
  },
  [737] = {
    [ts_builtin_sym_end] = ACTIONS(1071),
    [sym__identifier] = ACTIONS(1073),
    [anon_sym_pub] = ACTIONS(1073),
    [anon_sym_test] = ACTIONS(1073),
    [anon_sym_comptime] = ACTIONS(1073),
    [anon_sym_export] = ACTIONS(1073),
    [anon_sym_extern] = ACTIONS(1073),
    [anon_sym_threadlocal] = ACTIONS(1073),
    [anon_sym_const] = ACTIONS(1073),
    [anon_sym_var] = ACTIONS(1073),
    [anon_sym_inline] = ACTIONS(1073),
    [anon_sym_noinline] = ACTIONS(1073),
    [anon_sym_fn] = ACTIONS(1073),
    [anon_sym_BANG] = ACTIONS(1071),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_usingnamespace] = ACTIONS(1073),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(1071),
    [anon_sym_packed] = ACTIONS(1073),
    [anon_sym_struct] = ACTIONS(1073),
    [anon_sym_opaque] = ACTIONS(1073),
    [anon_sym_enum] = ACTIONS(1073),
    [anon_sym_union] = ACTIONS(1073),
    [anon_sym_error] = ACTIONS(1073),
    [anon_sym_nosuspend] = ACTIONS(1073),
    [anon_sym_if] = ACTIONS(1073),
    [anon_sym_for] = ACTIONS(1073),
    [anon_sym_while] = ACTIONS(1073),
    [anon_sym_STAR] = ACTIONS(1071),
    [anon_sym_asm] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1071),
    [anon_sym_TILDE] = ACTIONS(1071),
    [anon_sym_DASH] = ACTIONS(1073),
    [anon_sym_DASH_PERCENT] = ACTIONS(1071),
    [anon_sym_AMP] = ACTIONS(1071),
    [anon_sym_async] = ACTIONS(1073),
    [anon_sym_await] = ACTIONS(1073),
    [anon_sym_continue] = ACTIONS(1073),
    [anon_sym_resume] = ACTIONS(1073),
    [anon_sym_return] = ACTIONS(1073),
    [anon_sym_break] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(1073),
    [anon_sym_switch] = ACTIONS(1073),
    [anon_sym_anyframe] = ACTIONS(1073),
    [anon_sym_unreachable] = ACTIONS(1073),
    [anon_sym_undefined] = ACTIONS(1073),
    [anon_sym_null] = ACTIONS(1073),
    [anon_sym_QMARK] = ACTIONS(1071),
    [anon_sym_DOT] = ACTIONS(1071),
    [anon_sym_DQUOTE] = ACTIONS(1071),
    [aux_sym_multiline_string_token1] = ACTIONS(1071),
    [anon_sym_SQUOTE] = ACTIONS(1071),
    [sym_integer] = ACTIONS(1073),
    [sym_float] = ACTIONS(1071),
    [anon_sym_true] = ACTIONS(1073),
    [anon_sym_false] = ACTIONS(1073),
    [anon_sym_bool] = ACTIONS(1073),
    [anon_sym_f16] = ACTIONS(1073),
    [anon_sym_f32] = ACTIONS(1073),
    [anon_sym_f64] = ACTIONS(1073),
    [anon_sym_f128] = ACTIONS(1073),
    [anon_sym_void] = ACTIONS(1073),
    [anon_sym_type] = ACTIONS(1073),
    [anon_sym_anyerror] = ACTIONS(1073),
    [anon_sym_anyopaque] = ACTIONS(1073),
    [anon_sym_anytype] = ACTIONS(1073),
    [anon_sym_noreturn] = ACTIONS(1073),
    [anon_sym_isize] = ACTIONS(1073),
    [anon_sym_usize] = ACTIONS(1073),
    [anon_sym_comptime_int] = ACTIONS(1073),
    [anon_sym_comptime_float] = ACTIONS(1073),
    [anon_sym_c_short] = ACTIONS(1073),
    [anon_sym_c_ushort] = ACTIONS(1073),
    [anon_sym_c_int] = ACTIONS(1073),
    [anon_sym_c_uint] = ACTIONS(1073),
    [anon_sym_c_long] = ACTIONS(1073),
    [anon_sym_c_ulong] = ACTIONS(1073),
    [anon_sym_c_longlong] = ACTIONS(1073),
    [anon_sym_c_ulonglong] = ACTIONS(1073),
    [anon_sym_c_longdouble] = ACTIONS(1073),
    [aux_sym_builtin_type_token1] = ACTIONS(1073),
    [sym_builtin_identifier] = ACTIONS(1071),
    [anon_sym_AT] = ACTIONS(1073),
    [sym_comment] = ACTIONS(3),
  },
  [738] = {
    [ts_builtin_sym_end] = ACTIONS(1075),
    [sym__identifier] = ACTIONS(1077),
    [anon_sym_pub] = ACTIONS(1077),
    [anon_sym_test] = ACTIONS(1077),
    [anon_sym_comptime] = ACTIONS(1077),
    [anon_sym_export] = ACTIONS(1077),
    [anon_sym_extern] = ACTIONS(1077),
    [anon_sym_threadlocal] = ACTIONS(1077),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_var] = ACTIONS(1077),
    [anon_sym_inline] = ACTIONS(1077),
    [anon_sym_noinline] = ACTIONS(1077),
    [anon_sym_fn] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_usingnamespace] = ACTIONS(1077),
    [anon_sym_LBRACE] = ACTIONS(1075),
    [anon_sym_RBRACE] = ACTIONS(1075),
    [anon_sym_packed] = ACTIONS(1077),
    [anon_sym_struct] = ACTIONS(1077),
    [anon_sym_opaque] = ACTIONS(1077),
    [anon_sym_enum] = ACTIONS(1077),
    [anon_sym_union] = ACTIONS(1077),
    [anon_sym_error] = ACTIONS(1077),
    [anon_sym_nosuspend] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1077),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1077),
    [anon_sym_STAR] = ACTIONS(1075),
    [anon_sym_asm] = ACTIONS(1077),
    [anon_sym_LBRACK] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_DASH_PERCENT] = ACTIONS(1075),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_async] = ACTIONS(1077),
    [anon_sym_await] = ACTIONS(1077),
    [anon_sym_continue] = ACTIONS(1077),
    [anon_sym_resume] = ACTIONS(1077),
    [anon_sym_return] = ACTIONS(1077),
    [anon_sym_break] = ACTIONS(1077),
    [anon_sym_try] = ACTIONS(1077),
    [anon_sym_switch] = ACTIONS(1077),
    [anon_sym_anyframe] = ACTIONS(1077),
    [anon_sym_unreachable] = ACTIONS(1077),
    [anon_sym_undefined] = ACTIONS(1077),
    [anon_sym_null] = ACTIONS(1077),
    [anon_sym_QMARK] = ACTIONS(1075),
    [anon_sym_DOT] = ACTIONS(1075),
    [anon_sym_DQUOTE] = ACTIONS(1075),
    [aux_sym_multiline_string_token1] = ACTIONS(1075),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [sym_integer] = ACTIONS(1077),
    [sym_float] = ACTIONS(1075),
    [anon_sym_true] = ACTIONS(1077),
    [anon_sym_false] = ACTIONS(1077),
    [anon_sym_bool] = ACTIONS(1077),
    [anon_sym_f16] = ACTIONS(1077),
    [anon_sym_f32] = ACTIONS(1077),
    [anon_sym_f64] = ACTIONS(1077),
    [anon_sym_f128] = ACTIONS(1077),
    [anon_sym_void] = ACTIONS(1077),
    [anon_sym_type] = ACTIONS(1077),
    [anon_sym_anyerror] = ACTIONS(1077),
    [anon_sym_anyopaque] = ACTIONS(1077),
    [anon_sym_anytype] = ACTIONS(1077),
    [anon_sym_noreturn] = ACTIONS(1077),
    [anon_sym_isize] = ACTIONS(1077),
    [anon_sym_usize] = ACTIONS(1077),
    [anon_sym_comptime_int] = ACTIONS(1077),
    [anon_sym_comptime_float] = ACTIONS(1077),
    [anon_sym_c_short] = ACTIONS(1077),
    [anon_sym_c_ushort] = ACTIONS(1077),
    [anon_sym_c_int] = ACTIONS(1077),
    [anon_sym_c_uint] = ACTIONS(1077),
    [anon_sym_c_long] = ACTIONS(1077),
    [anon_sym_c_ulong] = ACTIONS(1077),
    [anon_sym_c_longlong] = ACTIONS(1077),
    [anon_sym_c_ulonglong] = ACTIONS(1077),
    [anon_sym_c_longdouble] = ACTIONS(1077),
    [aux_sym_builtin_type_token1] = ACTIONS(1077),
    [sym_builtin_identifier] = ACTIONS(1075),
    [anon_sym_AT] = ACTIONS(1077),
    [sym_comment] = ACTIONS(3),
  },
  [739] = {
    [ts_builtin_sym_end] = ACTIONS(1079),
    [sym__identifier] = ACTIONS(1081),
    [anon_sym_pub] = ACTIONS(1081),
    [anon_sym_test] = ACTIONS(1081),
    [anon_sym_comptime] = ACTIONS(1081),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_extern] = ACTIONS(1081),
    [anon_sym_threadlocal] = ACTIONS(1081),
    [anon_sym_const] = ACTIONS(1081),
    [anon_sym_var] = ACTIONS(1081),
    [anon_sym_inline] = ACTIONS(1081),
    [anon_sym_noinline] = ACTIONS(1081),
    [anon_sym_fn] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1079),
    [anon_sym_usingnamespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_RBRACE] = ACTIONS(1079),
    [anon_sym_packed] = ACTIONS(1081),
    [anon_sym_struct] = ACTIONS(1081),
    [anon_sym_opaque] = ACTIONS(1081),
    [anon_sym_enum] = ACTIONS(1081),
    [anon_sym_union] = ACTIONS(1081),
    [anon_sym_error] = ACTIONS(1081),
    [anon_sym_nosuspend] = ACTIONS(1081),
    [anon_sym_if] = ACTIONS(1081),
    [anon_sym_for] = ACTIONS(1081),
    [anon_sym_while] = ACTIONS(1081),
    [anon_sym_STAR] = ACTIONS(1079),
    [anon_sym_asm] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1079),
    [anon_sym_TILDE] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1081),
    [anon_sym_DASH_PERCENT] = ACTIONS(1079),
    [anon_sym_AMP] = ACTIONS(1079),
    [anon_sym_async] = ACTIONS(1081),
    [anon_sym_await] = ACTIONS(1081),
    [anon_sym_continue] = ACTIONS(1081),
    [anon_sym_resume] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1081),
    [anon_sym_break] = ACTIONS(1081),
    [anon_sym_try] = ACTIONS(1081),
    [anon_sym_switch] = ACTIONS(1081),
    [anon_sym_anyframe] = ACTIONS(1081),
    [anon_sym_unreachable] = ACTIONS(1081),
    [anon_sym_undefined] = ACTIONS(1081),
    [anon_sym_null] = ACTIONS(1081),
    [anon_sym_QMARK] = ACTIONS(1079),
    [anon_sym_DOT] = ACTIONS(1079),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [aux_sym_multiline_string_token1] = ACTIONS(1079),
    [anon_sym_SQUOTE] = ACTIONS(1079),
    [sym_integer] = ACTIONS(1081),
    [sym_float] = ACTIONS(1079),
    [anon_sym_true] = ACTIONS(1081),
    [anon_sym_false] = ACTIONS(1081),
    [anon_sym_bool] = ACTIONS(1081),
    [anon_sym_f16] = ACTIONS(1081),
    [anon_sym_f32] = ACTIONS(1081),
    [anon_sym_f64] = ACTIONS(1081),
    [anon_sym_f128] = ACTIONS(1081),
    [anon_sym_void] = ACTIONS(1081),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_anyerror] = ACTIONS(1081),
    [anon_sym_anyopaque] = ACTIONS(1081),
    [anon_sym_anytype] = ACTIONS(1081),
    [anon_sym_noreturn] = ACTIONS(1081),
    [anon_sym_isize] = ACTIONS(1081),
    [anon_sym_usize] = ACTIONS(1081),
    [anon_sym_comptime_int] = ACTIONS(1081),
    [anon_sym_comptime_float] = ACTIONS(1081),
    [anon_sym_c_short] = ACTIONS(1081),
    [anon_sym_c_ushort] = ACTIONS(1081),
    [anon_sym_c_int] = ACTIONS(1081),
    [anon_sym_c_uint] = ACTIONS(1081),
    [anon_sym_c_long] = ACTIONS(1081),
    [anon_sym_c_ulong] = ACTIONS(1081),
    [anon_sym_c_longlong] = ACTIONS(1081),
    [anon_sym_c_ulonglong] = ACTIONS(1081),
    [anon_sym_c_longdouble] = ACTIONS(1081),
    [aux_sym_builtin_type_token1] = ACTIONS(1081),
    [sym_builtin_identifier] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1081),
    [sym_comment] = ACTIONS(3),
  },
  [740] = {
    [ts_builtin_sym_end] = ACTIONS(1083),
    [sym__identifier] = ACTIONS(1085),
    [anon_sym_pub] = ACTIONS(1085),
    [anon_sym_test] = ACTIONS(1085),
    [anon_sym_comptime] = ACTIONS(1085),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_extern] = ACTIONS(1085),
    [anon_sym_threadlocal] = ACTIONS(1085),
    [anon_sym_const] = ACTIONS(1085),
    [anon_sym_var] = ACTIONS(1085),
    [anon_sym_inline] = ACTIONS(1085),
    [anon_sym_noinline] = ACTIONS(1085),
    [anon_sym_fn] = ACTIONS(1085),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_usingnamespace] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1083),
    [anon_sym_RBRACE] = ACTIONS(1083),
    [anon_sym_packed] = ACTIONS(1085),
    [anon_sym_struct] = ACTIONS(1085),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_enum] = ACTIONS(1085),
    [anon_sym_union] = ACTIONS(1085),
    [anon_sym_error] = ACTIONS(1085),
    [anon_sym_nosuspend] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_for] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(1085),
    [anon_sym_STAR] = ACTIONS(1083),
    [anon_sym_asm] = ACTIONS(1085),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_DASH_PERCENT] = ACTIONS(1083),
    [anon_sym_AMP] = ACTIONS(1083),
    [anon_sym_async] = ACTIONS(1085),
    [anon_sym_await] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [anon_sym_resume] = ACTIONS(1085),
    [anon_sym_return] = ACTIONS(1085),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_switch] = ACTIONS(1085),
    [anon_sym_anyframe] = ACTIONS(1085),
    [anon_sym_unreachable] = ACTIONS(1085),
    [anon_sym_undefined] = ACTIONS(1085),
    [anon_sym_null] = ACTIONS(1085),
    [anon_sym_QMARK] = ACTIONS(1083),
    [anon_sym_DOT] = ACTIONS(1083),
    [anon_sym_DQUOTE] = ACTIONS(1083),
    [aux_sym_multiline_string_token1] = ACTIONS(1083),
    [anon_sym_SQUOTE] = ACTIONS(1083),
    [sym_integer] = ACTIONS(1085),
    [sym_float] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_bool] = ACTIONS(1085),
    [anon_sym_f16] = ACTIONS(1085),
    [anon_sym_f32] = ACTIONS(1085),
    [anon_sym_f64] = ACTIONS(1085),
    [anon_sym_f128] = ACTIONS(1085),
    [anon_sym_void] = ACTIONS(1085),
    [anon_sym_type] = ACTIONS(1085),
    [anon_sym_anyerror] = ACTIONS(1085),
    [anon_sym_anyopaque] = ACTIONS(1085),
    [anon_sym_anytype] = ACTIONS(1085),
    [anon_sym_noreturn] = ACTIONS(1085),
    [anon_sym_isize] = ACTIONS(1085),
    [anon_sym_usize] = ACTIONS(1085),
    [anon_sym_comptime_int] = ACTIONS(1085),
    [anon_sym_comptime_float] = ACTIONS(1085),
    [anon_sym_c_short] = ACTIONS(1085),
    [anon_sym_c_ushort] = ACTIONS(1085),
    [anon_sym_c_int] = ACTIONS(1085),
    [anon_sym_c_uint] = ACTIONS(1085),
    [anon_sym_c_long] = ACTIONS(1085),
    [anon_sym_c_ulong] = ACTIONS(1085),
    [anon_sym_c_longlong] = ACTIONS(1085),
    [anon_sym_c_ulonglong] = ACTIONS(1085),
    [anon_sym_c_longdouble] = ACTIONS(1085),
    [aux_sym_builtin_type_token1] = ACTIONS(1085),
    [sym_builtin_identifier] = ACTIONS(1083),
    [anon_sym_AT] = ACTIONS(1085),
    [sym_comment] = ACTIONS(3),
  },
  [741] = {
    [ts_builtin_sym_end] = ACTIONS(1083),
    [sym__identifier] = ACTIONS(1085),
    [anon_sym_pub] = ACTIONS(1085),
    [anon_sym_test] = ACTIONS(1085),
    [anon_sym_comptime] = ACTIONS(1085),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_extern] = ACTIONS(1085),
    [anon_sym_threadlocal] = ACTIONS(1085),
    [anon_sym_const] = ACTIONS(1085),
    [anon_sym_var] = ACTIONS(1085),
    [anon_sym_inline] = ACTIONS(1085),
    [anon_sym_noinline] = ACTIONS(1085),
    [anon_sym_fn] = ACTIONS(1085),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_usingnamespace] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1083),
    [anon_sym_RBRACE] = ACTIONS(1083),
    [anon_sym_packed] = ACTIONS(1085),
    [anon_sym_struct] = ACTIONS(1085),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_enum] = ACTIONS(1085),
    [anon_sym_union] = ACTIONS(1085),
    [anon_sym_error] = ACTIONS(1085),
    [anon_sym_nosuspend] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_for] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(1085),
    [anon_sym_STAR] = ACTIONS(1083),
    [anon_sym_asm] = ACTIONS(1085),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_DASH_PERCENT] = ACTIONS(1083),
    [anon_sym_AMP] = ACTIONS(1083),
    [anon_sym_async] = ACTIONS(1085),
    [anon_sym_await] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [anon_sym_resume] = ACTIONS(1085),
    [anon_sym_return] = ACTIONS(1085),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_switch] = ACTIONS(1085),
    [anon_sym_anyframe] = ACTIONS(1085),
    [anon_sym_unreachable] = ACTIONS(1085),
    [anon_sym_undefined] = ACTIONS(1085),
    [anon_sym_null] = ACTIONS(1085),
    [anon_sym_QMARK] = ACTIONS(1083),
    [anon_sym_DOT] = ACTIONS(1083),
    [anon_sym_DQUOTE] = ACTIONS(1083),
    [aux_sym_multiline_string_token1] = ACTIONS(1083),
    [anon_sym_SQUOTE] = ACTIONS(1083),
    [sym_integer] = ACTIONS(1085),
    [sym_float] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_bool] = ACTIONS(1085),
    [anon_sym_f16] = ACTIONS(1085),
    [anon_sym_f32] = ACTIONS(1085),
    [anon_sym_f64] = ACTIONS(1085),
    [anon_sym_f128] = ACTIONS(1085),
    [anon_sym_void] = ACTIONS(1085),
    [anon_sym_type] = ACTIONS(1085),
    [anon_sym_anyerror] = ACTIONS(1085),
    [anon_sym_anyopaque] = ACTIONS(1085),
    [anon_sym_anytype] = ACTIONS(1085),
    [anon_sym_noreturn] = ACTIONS(1085),
    [anon_sym_isize] = ACTIONS(1085),
    [anon_sym_usize] = ACTIONS(1085),
    [anon_sym_comptime_int] = ACTIONS(1085),
    [anon_sym_comptime_float] = ACTIONS(1085),
    [anon_sym_c_short] = ACTIONS(1085),
    [anon_sym_c_ushort] = ACTIONS(1085),
    [anon_sym_c_int] = ACTIONS(1085),
    [anon_sym_c_uint] = ACTIONS(1085),
    [anon_sym_c_long] = ACTIONS(1085),
    [anon_sym_c_ulong] = ACTIONS(1085),
    [anon_sym_c_longlong] = ACTIONS(1085),
    [anon_sym_c_ulonglong] = ACTIONS(1085),
    [anon_sym_c_longdouble] = ACTIONS(1085),
    [aux_sym_builtin_type_token1] = ACTIONS(1085),
    [sym_builtin_identifier] = ACTIONS(1083),
    [anon_sym_AT] = ACTIONS(1085),
    [sym_comment] = ACTIONS(3),
  },
  [742] = {
    [ts_builtin_sym_end] = ACTIONS(1083),
    [sym__identifier] = ACTIONS(1085),
    [anon_sym_pub] = ACTIONS(1085),
    [anon_sym_test] = ACTIONS(1085),
    [anon_sym_comptime] = ACTIONS(1085),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_extern] = ACTIONS(1085),
    [anon_sym_threadlocal] = ACTIONS(1085),
    [anon_sym_const] = ACTIONS(1085),
    [anon_sym_var] = ACTIONS(1085),
    [anon_sym_inline] = ACTIONS(1085),
    [anon_sym_noinline] = ACTIONS(1085),
    [anon_sym_fn] = ACTIONS(1085),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_usingnamespace] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1083),
    [anon_sym_RBRACE] = ACTIONS(1083),
    [anon_sym_packed] = ACTIONS(1085),
    [anon_sym_struct] = ACTIONS(1085),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_enum] = ACTIONS(1085),
    [anon_sym_union] = ACTIONS(1085),
    [anon_sym_error] = ACTIONS(1085),
    [anon_sym_nosuspend] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_for] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(1085),
    [anon_sym_STAR] = ACTIONS(1083),
    [anon_sym_asm] = ACTIONS(1085),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_DASH_PERCENT] = ACTIONS(1083),
    [anon_sym_AMP] = ACTIONS(1083),
    [anon_sym_async] = ACTIONS(1085),
    [anon_sym_await] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [anon_sym_resume] = ACTIONS(1085),
    [anon_sym_return] = ACTIONS(1085),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_switch] = ACTIONS(1085),
    [anon_sym_anyframe] = ACTIONS(1085),
    [anon_sym_unreachable] = ACTIONS(1085),
    [anon_sym_undefined] = ACTIONS(1085),
    [anon_sym_null] = ACTIONS(1085),
    [anon_sym_QMARK] = ACTIONS(1083),
    [anon_sym_DOT] = ACTIONS(1083),
    [anon_sym_DQUOTE] = ACTIONS(1083),
    [aux_sym_multiline_string_token1] = ACTIONS(1083),
    [anon_sym_SQUOTE] = ACTIONS(1083),
    [sym_integer] = ACTIONS(1085),
    [sym_float] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_bool] = ACTIONS(1085),
    [anon_sym_f16] = ACTIONS(1085),
    [anon_sym_f32] = ACTIONS(1085),
    [anon_sym_f64] = ACTIONS(1085),
    [anon_sym_f128] = ACTIONS(1085),
    [anon_sym_void] = ACTIONS(1085),
    [anon_sym_type] = ACTIONS(1085),
    [anon_sym_anyerror] = ACTIONS(1085),
    [anon_sym_anyopaque] = ACTIONS(1085),
    [anon_sym_anytype] = ACTIONS(1085),
    [anon_sym_noreturn] = ACTIONS(1085),
    [anon_sym_isize] = ACTIONS(1085),
    [anon_sym_usize] = ACTIONS(1085),
    [anon_sym_comptime_int] = ACTIONS(1085),
    [anon_sym_comptime_float] = ACTIONS(1085),
    [anon_sym_c_short] = ACTIONS(1085),
    [anon_sym_c_ushort] = ACTIONS(1085),
    [anon_sym_c_int] = ACTIONS(1085),
    [anon_sym_c_uint] = ACTIONS(1085),
    [anon_sym_c_long] = ACTIONS(1085),
    [anon_sym_c_ulong] = ACTIONS(1085),
    [anon_sym_c_longlong] = ACTIONS(1085),
    [anon_sym_c_ulonglong] = ACTIONS(1085),
    [anon_sym_c_longdouble] = ACTIONS(1085),
    [aux_sym_builtin_type_token1] = ACTIONS(1085),
    [sym_builtin_identifier] = ACTIONS(1083),
    [anon_sym_AT] = ACTIONS(1085),
    [sym_comment] = ACTIONS(3),
  },
  [743] = {
    [ts_builtin_sym_end] = ACTIONS(1083),
    [sym__identifier] = ACTIONS(1085),
    [anon_sym_pub] = ACTIONS(1085),
    [anon_sym_test] = ACTIONS(1085),
    [anon_sym_comptime] = ACTIONS(1085),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_extern] = ACTIONS(1085),
    [anon_sym_threadlocal] = ACTIONS(1085),
    [anon_sym_const] = ACTIONS(1085),
    [anon_sym_var] = ACTIONS(1085),
    [anon_sym_inline] = ACTIONS(1085),
    [anon_sym_noinline] = ACTIONS(1085),
    [anon_sym_fn] = ACTIONS(1085),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_usingnamespace] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1083),
    [anon_sym_RBRACE] = ACTIONS(1083),
    [anon_sym_packed] = ACTIONS(1085),
    [anon_sym_struct] = ACTIONS(1085),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_enum] = ACTIONS(1085),
    [anon_sym_union] = ACTIONS(1085),
    [anon_sym_error] = ACTIONS(1085),
    [anon_sym_nosuspend] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_for] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(1085),
    [anon_sym_STAR] = ACTIONS(1083),
    [anon_sym_asm] = ACTIONS(1085),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_DASH_PERCENT] = ACTIONS(1083),
    [anon_sym_AMP] = ACTIONS(1083),
    [anon_sym_async] = ACTIONS(1085),
    [anon_sym_await] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [anon_sym_resume] = ACTIONS(1085),
    [anon_sym_return] = ACTIONS(1085),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_switch] = ACTIONS(1085),
    [anon_sym_anyframe] = ACTIONS(1085),
    [anon_sym_unreachable] = ACTIONS(1085),
    [anon_sym_undefined] = ACTIONS(1085),
    [anon_sym_null] = ACTIONS(1085),
    [anon_sym_QMARK] = ACTIONS(1083),
    [anon_sym_DOT] = ACTIONS(1083),
    [anon_sym_DQUOTE] = ACTIONS(1083),
    [aux_sym_multiline_string_token1] = ACTIONS(1083),
    [anon_sym_SQUOTE] = ACTIONS(1083),
    [sym_integer] = ACTIONS(1085),
    [sym_float] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_bool] = ACTIONS(1085),
    [anon_sym_f16] = ACTIONS(1085),
    [anon_sym_f32] = ACTIONS(1085),
    [anon_sym_f64] = ACTIONS(1085),
    [anon_sym_f128] = ACTIONS(1085),
    [anon_sym_void] = ACTIONS(1085),
    [anon_sym_type] = ACTIONS(1085),
    [anon_sym_anyerror] = ACTIONS(1085),
    [anon_sym_anyopaque] = ACTIONS(1085),
    [anon_sym_anytype] = ACTIONS(1085),
    [anon_sym_noreturn] = ACTIONS(1085),
    [anon_sym_isize] = ACTIONS(1085),
    [anon_sym_usize] = ACTIONS(1085),
    [anon_sym_comptime_int] = ACTIONS(1085),
    [anon_sym_comptime_float] = ACTIONS(1085),
    [anon_sym_c_short] = ACTIONS(1085),
    [anon_sym_c_ushort] = ACTIONS(1085),
    [anon_sym_c_int] = ACTIONS(1085),
    [anon_sym_c_uint] = ACTIONS(1085),
    [anon_sym_c_long] = ACTIONS(1085),
    [anon_sym_c_ulong] = ACTIONS(1085),
    [anon_sym_c_longlong] = ACTIONS(1085),
    [anon_sym_c_ulonglong] = ACTIONS(1085),
    [anon_sym_c_longdouble] = ACTIONS(1085),
    [aux_sym_builtin_type_token1] = ACTIONS(1085),
    [sym_builtin_identifier] = ACTIONS(1083),
    [anon_sym_AT] = ACTIONS(1085),
    [sym_comment] = ACTIONS(3),
  },
  [744] = {
    [ts_builtin_sym_end] = ACTIONS(1087),
    [sym__identifier] = ACTIONS(1089),
    [anon_sym_pub] = ACTIONS(1089),
    [anon_sym_test] = ACTIONS(1089),
    [anon_sym_comptime] = ACTIONS(1089),
    [anon_sym_export] = ACTIONS(1089),
    [anon_sym_extern] = ACTIONS(1089),
    [anon_sym_threadlocal] = ACTIONS(1089),
    [anon_sym_const] = ACTIONS(1089),
    [anon_sym_var] = ACTIONS(1089),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_noinline] = ACTIONS(1089),
    [anon_sym_fn] = ACTIONS(1089),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(1087),
    [anon_sym_usingnamespace] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_RBRACE] = ACTIONS(1087),
    [anon_sym_packed] = ACTIONS(1089),
    [anon_sym_struct] = ACTIONS(1089),
    [anon_sym_opaque] = ACTIONS(1089),
    [anon_sym_enum] = ACTIONS(1089),
    [anon_sym_union] = ACTIONS(1089),
    [anon_sym_error] = ACTIONS(1089),
    [anon_sym_nosuspend] = ACTIONS(1089),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_for] = ACTIONS(1089),
    [anon_sym_while] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1087),
    [anon_sym_asm] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1087),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_DASH] = ACTIONS(1089),
    [anon_sym_DASH_PERCENT] = ACTIONS(1087),
    [anon_sym_AMP] = ACTIONS(1087),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_continue] = ACTIONS(1089),
    [anon_sym_resume] = ACTIONS(1089),
    [anon_sym_return] = ACTIONS(1089),
    [anon_sym_break] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1089),
    [anon_sym_switch] = ACTIONS(1089),
    [anon_sym_anyframe] = ACTIONS(1089),
    [anon_sym_unreachable] = ACTIONS(1089),
    [anon_sym_undefined] = ACTIONS(1089),
    [anon_sym_null] = ACTIONS(1089),
    [anon_sym_QMARK] = ACTIONS(1087),
    [anon_sym_DOT] = ACTIONS(1087),
    [anon_sym_DQUOTE] = ACTIONS(1087),
    [aux_sym_multiline_string_token1] = ACTIONS(1087),
    [anon_sym_SQUOTE] = ACTIONS(1087),
    [sym_integer] = ACTIONS(1089),
    [sym_float] = ACTIONS(1087),
    [anon_sym_true] = ACTIONS(1089),
    [anon_sym_false] = ACTIONS(1089),
    [anon_sym_bool] = ACTIONS(1089),
    [anon_sym_f16] = ACTIONS(1089),
    [anon_sym_f32] = ACTIONS(1089),
    [anon_sym_f64] = ACTIONS(1089),
    [anon_sym_f128] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1089),
    [anon_sym_type] = ACTIONS(1089),
    [anon_sym_anyerror] = ACTIONS(1089),
    [anon_sym_anyopaque] = ACTIONS(1089),
    [anon_sym_anytype] = ACTIONS(1089),
    [anon_sym_noreturn] = ACTIONS(1089),
    [anon_sym_isize] = ACTIONS(1089),
    [anon_sym_usize] = ACTIONS(1089),
    [anon_sym_comptime_int] = ACTIONS(1089),
    [anon_sym_comptime_float] = ACTIONS(1089),
    [anon_sym_c_short] = ACTIONS(1089),
    [anon_sym_c_ushort] = ACTIONS(1089),
    [anon_sym_c_int] = ACTIONS(1089),
    [anon_sym_c_uint] = ACTIONS(1089),
    [anon_sym_c_long] = ACTIONS(1089),
    [anon_sym_c_ulong] = ACTIONS(1089),
    [anon_sym_c_longlong] = ACTIONS(1089),
    [anon_sym_c_ulonglong] = ACTIONS(1089),
    [anon_sym_c_longdouble] = ACTIONS(1089),
    [aux_sym_builtin_type_token1] = ACTIONS(1089),
    [sym_builtin_identifier] = ACTIONS(1087),
    [anon_sym_AT] = ACTIONS(1089),
    [sym_comment] = ACTIONS(3),
  },
  [745] = {
    [ts_builtin_sym_end] = ACTIONS(1017),
    [sym__identifier] = ACTIONS(1019),
    [anon_sym_pub] = ACTIONS(1019),
    [anon_sym_test] = ACTIONS(1019),
    [anon_sym_comptime] = ACTIONS(1019),
    [anon_sym_export] = ACTIONS(1019),
    [anon_sym_extern] = ACTIONS(1019),
    [anon_sym_threadlocal] = ACTIONS(1019),
    [anon_sym_const] = ACTIONS(1019),
    [anon_sym_var] = ACTIONS(1019),
    [anon_sym_inline] = ACTIONS(1019),
    [anon_sym_noinline] = ACTIONS(1019),
    [anon_sym_fn] = ACTIONS(1019),
    [anon_sym_BANG] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(1017),
    [anon_sym_usingnamespace] = ACTIONS(1019),
    [anon_sym_LBRACE] = ACTIONS(1017),
    [anon_sym_RBRACE] = ACTIONS(1017),
    [anon_sym_packed] = ACTIONS(1019),
    [anon_sym_struct] = ACTIONS(1019),
    [anon_sym_opaque] = ACTIONS(1019),
    [anon_sym_enum] = ACTIONS(1019),
    [anon_sym_union] = ACTIONS(1019),
    [anon_sym_error] = ACTIONS(1019),
    [anon_sym_nosuspend] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_for] = ACTIONS(1019),
    [anon_sym_while] = ACTIONS(1019),
    [anon_sym_STAR] = ACTIONS(1017),
    [anon_sym_asm] = ACTIONS(1019),
    [anon_sym_LBRACK] = ACTIONS(1017),
    [anon_sym_TILDE] = ACTIONS(1017),
    [anon_sym_DASH] = ACTIONS(1019),
    [anon_sym_DASH_PERCENT] = ACTIONS(1017),
    [anon_sym_AMP] = ACTIONS(1017),
    [anon_sym_async] = ACTIONS(1019),
    [anon_sym_await] = ACTIONS(1019),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_resume] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1019),
    [anon_sym_try] = ACTIONS(1019),
    [anon_sym_switch] = ACTIONS(1019),
    [anon_sym_anyframe] = ACTIONS(1019),
    [anon_sym_unreachable] = ACTIONS(1019),
    [anon_sym_undefined] = ACTIONS(1019),
    [anon_sym_null] = ACTIONS(1019),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [aux_sym_multiline_string_token1] = ACTIONS(1017),
    [anon_sym_SQUOTE] = ACTIONS(1017),
    [sym_integer] = ACTIONS(1019),
    [sym_float] = ACTIONS(1017),
    [anon_sym_true] = ACTIONS(1019),
    [anon_sym_false] = ACTIONS(1019),
    [anon_sym_bool] = ACTIONS(1019),
    [anon_sym_f16] = ACTIONS(1019),
    [anon_sym_f32] = ACTIONS(1019),
    [anon_sym_f64] = ACTIONS(1019),
    [anon_sym_f128] = ACTIONS(1019),
    [anon_sym_void] = ACTIONS(1019),
    [anon_sym_type] = ACTIONS(1019),
    [anon_sym_anyerror] = ACTIONS(1019),
    [anon_sym_anyopaque] = ACTIONS(1019),
    [anon_sym_anytype] = ACTIONS(1019),
    [anon_sym_noreturn] = ACTIONS(1019),
    [anon_sym_isize] = ACTIONS(1019),
    [anon_sym_usize] = ACTIONS(1019),
    [anon_sym_comptime_int] = ACTIONS(1019),
    [anon_sym_comptime_float] = ACTIONS(1019),
    [anon_sym_c_short] = ACTIONS(1019),
    [anon_sym_c_ushort] = ACTIONS(1019),
    [anon_sym_c_int] = ACTIONS(1019),
    [anon_sym_c_uint] = ACTIONS(1019),
    [anon_sym_c_long] = ACTIONS(1019),
    [anon_sym_c_ulong] = ACTIONS(1019),
    [anon_sym_c_longlong] = ACTIONS(1019),
    [anon_sym_c_ulonglong] = ACTIONS(1019),
    [anon_sym_c_longdouble] = ACTIONS(1019),
    [aux_sym_builtin_type_token1] = ACTIONS(1019),
    [sym_builtin_identifier] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
  },
  [746] = {
    [sym__identifier] = ACTIONS(1091),
    [anon_sym_COMMA] = ACTIONS(1093),
    [anon_sym_comptime] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1093),
    [anon_sym_extern] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1093),
    [anon_sym_const] = ACTIONS(1091),
    [anon_sym_inline] = ACTIONS(1091),
    [anon_sym_fn] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1093),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [anon_sym_LBRACE] = ACTIONS(1093),
    [anon_sym_packed] = ACTIONS(1091),
    [anon_sym_struct] = ACTIONS(1091),
    [anon_sym_opaque] = ACTIONS(1091),
    [anon_sym_enum] = ACTIONS(1091),
    [anon_sym_union] = ACTIONS(1091),
    [anon_sym_error] = ACTIONS(1091),
    [anon_sym_nosuspend] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1093),
    [anon_sym_align] = ACTIONS(1091),
    [anon_sym_addrspace] = ACTIONS(1091),
    [anon_sym_linksection] = ACTIONS(1091),
    [anon_sym_callconv] = ACTIONS(1091),
    [anon_sym_asm] = ACTIONS(1091),
    [anon_sym_volatile] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(1093),
    [anon_sym_TILDE] = ACTIONS(1093),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_DASH_PERCENT] = ACTIONS(1093),
    [anon_sym_AMP] = ACTIONS(1093),
    [anon_sym_async] = ACTIONS(1091),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_continue] = ACTIONS(1091),
    [anon_sym_resume] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_switch] = ACTIONS(1091),
    [anon_sym_anyframe] = ACTIONS(1091),
    [anon_sym_unreachable] = ACTIONS(1091),
    [anon_sym_undefined] = ACTIONS(1091),
    [anon_sym_null] = ACTIONS(1091),
    [anon_sym_QMARK] = ACTIONS(1093),
    [anon_sym_allowzero] = ACTIONS(1091),
    [anon_sym_DOT] = ACTIONS(1093),
    [anon_sym_DQUOTE] = ACTIONS(1093),
    [aux_sym_multiline_string_token1] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1093),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1093),
    [anon_sym_true] = ACTIONS(1091),
    [anon_sym_false] = ACTIONS(1091),
    [anon_sym_bool] = ACTIONS(1091),
    [anon_sym_f16] = ACTIONS(1091),
    [anon_sym_f32] = ACTIONS(1091),
    [anon_sym_f64] = ACTIONS(1091),
    [anon_sym_f128] = ACTIONS(1091),
    [anon_sym_void] = ACTIONS(1091),
    [anon_sym_type] = ACTIONS(1091),
    [anon_sym_anyerror] = ACTIONS(1091),
    [anon_sym_anyopaque] = ACTIONS(1091),
    [anon_sym_anytype] = ACTIONS(1091),
    [anon_sym_noreturn] = ACTIONS(1091),
    [anon_sym_isize] = ACTIONS(1091),
    [anon_sym_usize] = ACTIONS(1091),
    [anon_sym_comptime_int] = ACTIONS(1091),
    [anon_sym_comptime_float] = ACTIONS(1091),
    [anon_sym_c_short] = ACTIONS(1091),
    [anon_sym_c_ushort] = ACTIONS(1091),
    [anon_sym_c_int] = ACTIONS(1091),
    [anon_sym_c_uint] = ACTIONS(1091),
    [anon_sym_c_long] = ACTIONS(1091),
    [anon_sym_c_ulong] = ACTIONS(1091),
    [anon_sym_c_longlong] = ACTIONS(1091),
    [anon_sym_c_ulonglong] = ACTIONS(1091),
    [anon_sym_c_longdouble] = ACTIONS(1091),
    [aux_sym_builtin_type_token1] = ACTIONS(1091),
    [sym_builtin_identifier] = ACTIONS(1093),
    [anon_sym_AT] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
  },
  [747] = {
    [ts_builtin_sym_end] = ACTIONS(1095),
    [sym__identifier] = ACTIONS(1097),
    [anon_sym_pub] = ACTIONS(1097),
    [anon_sym_test] = ACTIONS(1097),
    [anon_sym_comptime] = ACTIONS(1097),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_extern] = ACTIONS(1097),
    [anon_sym_threadlocal] = ACTIONS(1097),
    [anon_sym_const] = ACTIONS(1097),
    [anon_sym_var] = ACTIONS(1097),
    [anon_sym_inline] = ACTIONS(1097),
    [anon_sym_noinline] = ACTIONS(1097),
    [anon_sym_fn] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(1095),
    [anon_sym_LPAREN] = ACTIONS(1095),
    [anon_sym_usingnamespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1095),
    [anon_sym_RBRACE] = ACTIONS(1095),
    [anon_sym_packed] = ACTIONS(1097),
    [anon_sym_struct] = ACTIONS(1097),
    [anon_sym_opaque] = ACTIONS(1097),
    [anon_sym_enum] = ACTIONS(1097),
    [anon_sym_union] = ACTIONS(1097),
    [anon_sym_error] = ACTIONS(1097),
    [anon_sym_nosuspend] = ACTIONS(1097),
    [anon_sym_if] = ACTIONS(1097),
    [anon_sym_for] = ACTIONS(1097),
    [anon_sym_while] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1095),
    [anon_sym_asm] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(1095),
    [anon_sym_TILDE] = ACTIONS(1095),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_DASH_PERCENT] = ACTIONS(1095),
    [anon_sym_AMP] = ACTIONS(1095),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_await] = ACTIONS(1097),
    [anon_sym_continue] = ACTIONS(1097),
    [anon_sym_resume] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(1097),
    [anon_sym_break] = ACTIONS(1097),
    [anon_sym_try] = ACTIONS(1097),
    [anon_sym_switch] = ACTIONS(1097),
    [anon_sym_anyframe] = ACTIONS(1097),
    [anon_sym_unreachable] = ACTIONS(1097),
    [anon_sym_undefined] = ACTIONS(1097),
    [anon_sym_null] = ACTIONS(1097),
    [anon_sym_QMARK] = ACTIONS(1095),
    [anon_sym_DOT] = ACTIONS(1095),
    [anon_sym_DQUOTE] = ACTIONS(1095),
    [aux_sym_multiline_string_token1] = ACTIONS(1095),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym_integer] = ACTIONS(1097),
    [sym_float] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_bool] = ACTIONS(1097),
    [anon_sym_f16] = ACTIONS(1097),
    [anon_sym_f32] = ACTIONS(1097),
    [anon_sym_f64] = ACTIONS(1097),
    [anon_sym_f128] = ACTIONS(1097),
    [anon_sym_void] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_anyerror] = ACTIONS(1097),
    [anon_sym_anyopaque] = ACTIONS(1097),
    [anon_sym_anytype] = ACTIONS(1097),
    [anon_sym_noreturn] = ACTIONS(1097),
    [anon_sym_isize] = ACTIONS(1097),
    [anon_sym_usize] = ACTIONS(1097),
    [anon_sym_comptime_int] = ACTIONS(1097),
    [anon_sym_comptime_float] = ACTIONS(1097),
    [anon_sym_c_short] = ACTIONS(1097),
    [anon_sym_c_ushort] = ACTIONS(1097),
    [anon_sym_c_int] = ACTIONS(1097),
    [anon_sym_c_uint] = ACTIONS(1097),
    [anon_sym_c_long] = ACTIONS(1097),
    [anon_sym_c_ulong] = ACTIONS(1097),
    [anon_sym_c_longlong] = ACTIONS(1097),
    [anon_sym_c_ulonglong] = ACTIONS(1097),
    [anon_sym_c_longdouble] = ACTIONS(1097),
    [aux_sym_builtin_type_token1] = ACTIONS(1097),
    [sym_builtin_identifier] = ACTIONS(1095),
    [anon_sym_AT] = ACTIONS(1097),
    [sym_comment] = ACTIONS(3),
  },
  [748] = {
    [ts_builtin_sym_end] = ACTIONS(1099),
    [sym__identifier] = ACTIONS(1101),
    [anon_sym_pub] = ACTIONS(1101),
    [anon_sym_test] = ACTIONS(1101),
    [anon_sym_comptime] = ACTIONS(1101),
    [anon_sym_export] = ACTIONS(1101),
    [anon_sym_extern] = ACTIONS(1101),
    [anon_sym_threadlocal] = ACTIONS(1101),
    [anon_sym_const] = ACTIONS(1101),
    [anon_sym_var] = ACTIONS(1101),
    [anon_sym_inline] = ACTIONS(1101),
    [anon_sym_noinline] = ACTIONS(1101),
    [anon_sym_fn] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1099),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_usingnamespace] = ACTIONS(1101),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_RBRACE] = ACTIONS(1099),
    [anon_sym_packed] = ACTIONS(1101),
    [anon_sym_struct] = ACTIONS(1101),
    [anon_sym_opaque] = ACTIONS(1101),
    [anon_sym_enum] = ACTIONS(1101),
    [anon_sym_union] = ACTIONS(1101),
    [anon_sym_error] = ACTIONS(1101),
    [anon_sym_nosuspend] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1101),
    [anon_sym_for] = ACTIONS(1101),
    [anon_sym_while] = ACTIONS(1101),
    [anon_sym_STAR] = ACTIONS(1099),
    [anon_sym_asm] = ACTIONS(1101),
    [anon_sym_LBRACK] = ACTIONS(1099),
    [anon_sym_TILDE] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1101),
    [anon_sym_DASH_PERCENT] = ACTIONS(1099),
    [anon_sym_AMP] = ACTIONS(1099),
    [anon_sym_async] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1101),
    [anon_sym_continue] = ACTIONS(1101),
    [anon_sym_resume] = ACTIONS(1101),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_break] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_switch] = ACTIONS(1101),
    [anon_sym_anyframe] = ACTIONS(1101),
    [anon_sym_unreachable] = ACTIONS(1101),
    [anon_sym_undefined] = ACTIONS(1101),
    [anon_sym_null] = ACTIONS(1101),
    [anon_sym_QMARK] = ACTIONS(1099),
    [anon_sym_DOT] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1099),
    [aux_sym_multiline_string_token1] = ACTIONS(1099),
    [anon_sym_SQUOTE] = ACTIONS(1099),
    [sym_integer] = ACTIONS(1101),
    [sym_float] = ACTIONS(1099),
    [anon_sym_true] = ACTIONS(1101),
    [anon_sym_false] = ACTIONS(1101),
    [anon_sym_bool] = ACTIONS(1101),
    [anon_sym_f16] = ACTIONS(1101),
    [anon_sym_f32] = ACTIONS(1101),
    [anon_sym_f64] = ACTIONS(1101),
    [anon_sym_f128] = ACTIONS(1101),
    [anon_sym_void] = ACTIONS(1101),
    [anon_sym_type] = ACTIONS(1101),
    [anon_sym_anyerror] = ACTIONS(1101),
    [anon_sym_anyopaque] = ACTIONS(1101),
    [anon_sym_anytype] = ACTIONS(1101),
    [anon_sym_noreturn] = ACTIONS(1101),
    [anon_sym_isize] = ACTIONS(1101),
    [anon_sym_usize] = ACTIONS(1101),
    [anon_sym_comptime_int] = ACTIONS(1101),
    [anon_sym_comptime_float] = ACTIONS(1101),
    [anon_sym_c_short] = ACTIONS(1101),
    [anon_sym_c_ushort] = ACTIONS(1101),
    [anon_sym_c_int] = ACTIONS(1101),
    [anon_sym_c_uint] = ACTIONS(1101),
    [anon_sym_c_long] = ACTIONS(1101),
    [anon_sym_c_ulong] = ACTIONS(1101),
    [anon_sym_c_longlong] = ACTIONS(1101),
    [anon_sym_c_ulonglong] = ACTIONS(1101),
    [anon_sym_c_longdouble] = ACTIONS(1101),
    [aux_sym_builtin_type_token1] = ACTIONS(1101),
    [sym_builtin_identifier] = ACTIONS(1099),
    [anon_sym_AT] = ACTIONS(1101),
    [sym_comment] = ACTIONS(3),
  },
  [749] = {
    [ts_builtin_sym_end] = ACTIONS(1099),
    [sym__identifier] = ACTIONS(1101),
    [anon_sym_pub] = ACTIONS(1101),
    [anon_sym_test] = ACTIONS(1101),
    [anon_sym_comptime] = ACTIONS(1101),
    [anon_sym_export] = ACTIONS(1101),
    [anon_sym_extern] = ACTIONS(1101),
    [anon_sym_threadlocal] = ACTIONS(1101),
    [anon_sym_const] = ACTIONS(1101),
    [anon_sym_var] = ACTIONS(1101),
    [anon_sym_inline] = ACTIONS(1101),
    [anon_sym_noinline] = ACTIONS(1101),
    [anon_sym_fn] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1099),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_usingnamespace] = ACTIONS(1101),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_RBRACE] = ACTIONS(1099),
    [anon_sym_packed] = ACTIONS(1101),
    [anon_sym_struct] = ACTIONS(1101),
    [anon_sym_opaque] = ACTIONS(1101),
    [anon_sym_enum] = ACTIONS(1101),
    [anon_sym_union] = ACTIONS(1101),
    [anon_sym_error] = ACTIONS(1101),
    [anon_sym_nosuspend] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1101),
    [anon_sym_for] = ACTIONS(1101),
    [anon_sym_while] = ACTIONS(1101),
    [anon_sym_STAR] = ACTIONS(1099),
    [anon_sym_asm] = ACTIONS(1101),
    [anon_sym_LBRACK] = ACTIONS(1099),
    [anon_sym_TILDE] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1101),
    [anon_sym_DASH_PERCENT] = ACTIONS(1099),
    [anon_sym_AMP] = ACTIONS(1099),
    [anon_sym_async] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1101),
    [anon_sym_continue] = ACTIONS(1101),
    [anon_sym_resume] = ACTIONS(1101),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_break] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_switch] = ACTIONS(1101),
    [anon_sym_anyframe] = ACTIONS(1101),
    [anon_sym_unreachable] = ACTIONS(1101),
    [anon_sym_undefined] = ACTIONS(1101),
    [anon_sym_null] = ACTIONS(1101),
    [anon_sym_QMARK] = ACTIONS(1099),
    [anon_sym_DOT] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1099),
    [aux_sym_multiline_string_token1] = ACTIONS(1099),
    [anon_sym_SQUOTE] = ACTIONS(1099),
    [sym_integer] = ACTIONS(1101),
    [sym_float] = ACTIONS(1099),
    [anon_sym_true] = ACTIONS(1101),
    [anon_sym_false] = ACTIONS(1101),
    [anon_sym_bool] = ACTIONS(1101),
    [anon_sym_f16] = ACTIONS(1101),
    [anon_sym_f32] = ACTIONS(1101),
    [anon_sym_f64] = ACTIONS(1101),
    [anon_sym_f128] = ACTIONS(1101),
    [anon_sym_void] = ACTIONS(1101),
    [anon_sym_type] = ACTIONS(1101),
    [anon_sym_anyerror] = ACTIONS(1101),
    [anon_sym_anyopaque] = ACTIONS(1101),
    [anon_sym_anytype] = ACTIONS(1101),
    [anon_sym_noreturn] = ACTIONS(1101),
    [anon_sym_isize] = ACTIONS(1101),
    [anon_sym_usize] = ACTIONS(1101),
    [anon_sym_comptime_int] = ACTIONS(1101),
    [anon_sym_comptime_float] = ACTIONS(1101),
    [anon_sym_c_short] = ACTIONS(1101),
    [anon_sym_c_ushort] = ACTIONS(1101),
    [anon_sym_c_int] = ACTIONS(1101),
    [anon_sym_c_uint] = ACTIONS(1101),
    [anon_sym_c_long] = ACTIONS(1101),
    [anon_sym_c_ulong] = ACTIONS(1101),
    [anon_sym_c_longlong] = ACTIONS(1101),
    [anon_sym_c_ulonglong] = ACTIONS(1101),
    [anon_sym_c_longdouble] = ACTIONS(1101),
    [aux_sym_builtin_type_token1] = ACTIONS(1101),
    [sym_builtin_identifier] = ACTIONS(1099),
    [anon_sym_AT] = ACTIONS(1101),
    [sym_comment] = ACTIONS(3),
  },
  [750] = {
    [ts_builtin_sym_end] = ACTIONS(1009),
    [sym__identifier] = ACTIONS(1011),
    [anon_sym_pub] = ACTIONS(1011),
    [anon_sym_test] = ACTIONS(1011),
    [anon_sym_comptime] = ACTIONS(1011),
    [anon_sym_export] = ACTIONS(1011),
    [anon_sym_extern] = ACTIONS(1011),
    [anon_sym_threadlocal] = ACTIONS(1011),
    [anon_sym_const] = ACTIONS(1011),
    [anon_sym_var] = ACTIONS(1011),
    [anon_sym_inline] = ACTIONS(1011),
    [anon_sym_noinline] = ACTIONS(1011),
    [anon_sym_fn] = ACTIONS(1011),
    [anon_sym_BANG] = ACTIONS(1009),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_usingnamespace] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1009),
    [anon_sym_RBRACE] = ACTIONS(1009),
    [anon_sym_packed] = ACTIONS(1011),
    [anon_sym_struct] = ACTIONS(1011),
    [anon_sym_opaque] = ACTIONS(1011),
    [anon_sym_enum] = ACTIONS(1011),
    [anon_sym_union] = ACTIONS(1011),
    [anon_sym_error] = ACTIONS(1011),
    [anon_sym_nosuspend] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1011),
    [anon_sym_for] = ACTIONS(1011),
    [anon_sym_while] = ACTIONS(1011),
    [anon_sym_STAR] = ACTIONS(1009),
    [anon_sym_asm] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_TILDE] = ACTIONS(1009),
    [anon_sym_DASH] = ACTIONS(1011),
    [anon_sym_DASH_PERCENT] = ACTIONS(1009),
    [anon_sym_AMP] = ACTIONS(1009),
    [anon_sym_async] = ACTIONS(1011),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_continue] = ACTIONS(1011),
    [anon_sym_resume] = ACTIONS(1011),
    [anon_sym_return] = ACTIONS(1011),
    [anon_sym_break] = ACTIONS(1011),
    [anon_sym_try] = ACTIONS(1011),
    [anon_sym_switch] = ACTIONS(1011),
    [anon_sym_anyframe] = ACTIONS(1011),
    [anon_sym_unreachable] = ACTIONS(1011),
    [anon_sym_undefined] = ACTIONS(1011),
    [anon_sym_null] = ACTIONS(1011),
    [anon_sym_QMARK] = ACTIONS(1009),
    [anon_sym_DOT] = ACTIONS(1009),
    [anon_sym_DQUOTE] = ACTIONS(1009),
    [aux_sym_multiline_string_token1] = ACTIONS(1009),
    [anon_sym_SQUOTE] = ACTIONS(1009),
    [sym_integer] = ACTIONS(1011),
    [sym_float] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_bool] = ACTIONS(1011),
    [anon_sym_f16] = ACTIONS(1011),
    [anon_sym_f32] = ACTIONS(1011),
    [anon_sym_f64] = ACTIONS(1011),
    [anon_sym_f128] = ACTIONS(1011),
    [anon_sym_void] = ACTIONS(1011),
    [anon_sym_type] = ACTIONS(1011),
    [anon_sym_anyerror] = ACTIONS(1011),
    [anon_sym_anyopaque] = ACTIONS(1011),
    [anon_sym_anytype] = ACTIONS(1011),
    [anon_sym_noreturn] = ACTIONS(1011),
    [anon_sym_isize] = ACTIONS(1011),
    [anon_sym_usize] = ACTIONS(1011),
    [anon_sym_comptime_int] = ACTIONS(1011),
    [anon_sym_comptime_float] = ACTIONS(1011),
    [anon_sym_c_short] = ACTIONS(1011),
    [anon_sym_c_ushort] = ACTIONS(1011),
    [anon_sym_c_int] = ACTIONS(1011),
    [anon_sym_c_uint] = ACTIONS(1011),
    [anon_sym_c_long] = ACTIONS(1011),
    [anon_sym_c_ulong] = ACTIONS(1011),
    [anon_sym_c_longlong] = ACTIONS(1011),
    [anon_sym_c_ulonglong] = ACTIONS(1011),
    [anon_sym_c_longdouble] = ACTIONS(1011),
    [aux_sym_builtin_type_token1] = ACTIONS(1011),
    [sym_builtin_identifier] = ACTIONS(1009),
    [anon_sym_AT] = ACTIONS(1011),
    [sym_comment] = ACTIONS(3),
  },
  [751] = {
    [ts_builtin_sym_end] = ACTIONS(1103),
    [sym__identifier] = ACTIONS(1105),
    [anon_sym_pub] = ACTIONS(1105),
    [anon_sym_test] = ACTIONS(1105),
    [anon_sym_comptime] = ACTIONS(1105),
    [anon_sym_export] = ACTIONS(1105),
    [anon_sym_extern] = ACTIONS(1105),
    [anon_sym_threadlocal] = ACTIONS(1105),
    [anon_sym_const] = ACTIONS(1105),
    [anon_sym_var] = ACTIONS(1105),
    [anon_sym_inline] = ACTIONS(1105),
    [anon_sym_noinline] = ACTIONS(1105),
    [anon_sym_fn] = ACTIONS(1105),
    [anon_sym_BANG] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_usingnamespace] = ACTIONS(1105),
    [anon_sym_LBRACE] = ACTIONS(1103),
    [anon_sym_RBRACE] = ACTIONS(1103),
    [anon_sym_packed] = ACTIONS(1105),
    [anon_sym_struct] = ACTIONS(1105),
    [anon_sym_opaque] = ACTIONS(1105),
    [anon_sym_enum] = ACTIONS(1105),
    [anon_sym_union] = ACTIONS(1105),
    [anon_sym_error] = ACTIONS(1105),
    [anon_sym_nosuspend] = ACTIONS(1105),
    [anon_sym_if] = ACTIONS(1105),
    [anon_sym_for] = ACTIONS(1105),
    [anon_sym_while] = ACTIONS(1105),
    [anon_sym_STAR] = ACTIONS(1103),
    [anon_sym_asm] = ACTIONS(1105),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1105),
    [anon_sym_DASH_PERCENT] = ACTIONS(1103),
    [anon_sym_AMP] = ACTIONS(1103),
    [anon_sym_async] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1105),
    [anon_sym_continue] = ACTIONS(1105),
    [anon_sym_resume] = ACTIONS(1105),
    [anon_sym_return] = ACTIONS(1105),
    [anon_sym_break] = ACTIONS(1105),
    [anon_sym_try] = ACTIONS(1105),
    [anon_sym_switch] = ACTIONS(1105),
    [anon_sym_anyframe] = ACTIONS(1105),
    [anon_sym_unreachable] = ACTIONS(1105),
    [anon_sym_undefined] = ACTIONS(1105),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_QMARK] = ACTIONS(1103),
    [anon_sym_DOT] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1103),
    [aux_sym_multiline_string_token1] = ACTIONS(1103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [sym_integer] = ACTIONS(1105),
    [sym_float] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [anon_sym_bool] = ACTIONS(1105),
    [anon_sym_f16] = ACTIONS(1105),
    [anon_sym_f32] = ACTIONS(1105),
    [anon_sym_f64] = ACTIONS(1105),
    [anon_sym_f128] = ACTIONS(1105),
    [anon_sym_void] = ACTIONS(1105),
    [anon_sym_type] = ACTIONS(1105),
    [anon_sym_anyerror] = ACTIONS(1105),
    [anon_sym_anyopaque] = ACTIONS(1105),
    [anon_sym_anytype] = ACTIONS(1105),
    [anon_sym_noreturn] = ACTIONS(1105),
    [anon_sym_isize] = ACTIONS(1105),
    [anon_sym_usize] = ACTIONS(1105),
    [anon_sym_comptime_int] = ACTIONS(1105),
    [anon_sym_comptime_float] = ACTIONS(1105),
    [anon_sym_c_short] = ACTIONS(1105),
    [anon_sym_c_ushort] = ACTIONS(1105),
    [anon_sym_c_int] = ACTIONS(1105),
    [anon_sym_c_uint] = ACTIONS(1105),
    [anon_sym_c_long] = ACTIONS(1105),
    [anon_sym_c_ulong] = ACTIONS(1105),
    [anon_sym_c_longlong] = ACTIONS(1105),
    [anon_sym_c_ulonglong] = ACTIONS(1105),
    [anon_sym_c_longdouble] = ACTIONS(1105),
    [aux_sym_builtin_type_token1] = ACTIONS(1105),
    [sym_builtin_identifier] = ACTIONS(1103),
    [anon_sym_AT] = ACTIONS(1105),
    [sym_comment] = ACTIONS(3),
  },
  [752] = {
    [ts_builtin_sym_end] = ACTIONS(1099),
    [sym__identifier] = ACTIONS(1101),
    [anon_sym_pub] = ACTIONS(1101),
    [anon_sym_test] = ACTIONS(1101),
    [anon_sym_comptime] = ACTIONS(1101),
    [anon_sym_export] = ACTIONS(1101),
    [anon_sym_extern] = ACTIONS(1101),
    [anon_sym_threadlocal] = ACTIONS(1101),
    [anon_sym_const] = ACTIONS(1101),
    [anon_sym_var] = ACTIONS(1101),
    [anon_sym_inline] = ACTIONS(1101),
    [anon_sym_noinline] = ACTIONS(1101),
    [anon_sym_fn] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1099),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_usingnamespace] = ACTIONS(1101),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_RBRACE] = ACTIONS(1099),
    [anon_sym_packed] = ACTIONS(1101),
    [anon_sym_struct] = ACTIONS(1101),
    [anon_sym_opaque] = ACTIONS(1101),
    [anon_sym_enum] = ACTIONS(1101),
    [anon_sym_union] = ACTIONS(1101),
    [anon_sym_error] = ACTIONS(1101),
    [anon_sym_nosuspend] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1101),
    [anon_sym_for] = ACTIONS(1101),
    [anon_sym_while] = ACTIONS(1101),
    [anon_sym_STAR] = ACTIONS(1099),
    [anon_sym_asm] = ACTIONS(1101),
    [anon_sym_LBRACK] = ACTIONS(1099),
    [anon_sym_TILDE] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1101),
    [anon_sym_DASH_PERCENT] = ACTIONS(1099),
    [anon_sym_AMP] = ACTIONS(1099),
    [anon_sym_async] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1101),
    [anon_sym_continue] = ACTIONS(1101),
    [anon_sym_resume] = ACTIONS(1101),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_break] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_switch] = ACTIONS(1101),
    [anon_sym_anyframe] = ACTIONS(1101),
    [anon_sym_unreachable] = ACTIONS(1101),
    [anon_sym_undefined] = ACTIONS(1101),
    [anon_sym_null] = ACTIONS(1101),
    [anon_sym_QMARK] = ACTIONS(1099),
    [anon_sym_DOT] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1099),
    [aux_sym_multiline_string_token1] = ACTIONS(1099),
    [anon_sym_SQUOTE] = ACTIONS(1099),
    [sym_integer] = ACTIONS(1101),
    [sym_float] = ACTIONS(1099),
    [anon_sym_true] = ACTIONS(1101),
    [anon_sym_false] = ACTIONS(1101),
    [anon_sym_bool] = ACTIONS(1101),
    [anon_sym_f16] = ACTIONS(1101),
    [anon_sym_f32] = ACTIONS(1101),
    [anon_sym_f64] = ACTIONS(1101),
    [anon_sym_f128] = ACTIONS(1101),
    [anon_sym_void] = ACTIONS(1101),
    [anon_sym_type] = ACTIONS(1101),
    [anon_sym_anyerror] = ACTIONS(1101),
    [anon_sym_anyopaque] = ACTIONS(1101),
    [anon_sym_anytype] = ACTIONS(1101),
    [anon_sym_noreturn] = ACTIONS(1101),
    [anon_sym_isize] = ACTIONS(1101),
    [anon_sym_usize] = ACTIONS(1101),
    [anon_sym_comptime_int] = ACTIONS(1101),
    [anon_sym_comptime_float] = ACTIONS(1101),
    [anon_sym_c_short] = ACTIONS(1101),
    [anon_sym_c_ushort] = ACTIONS(1101),
    [anon_sym_c_int] = ACTIONS(1101),
    [anon_sym_c_uint] = ACTIONS(1101),
    [anon_sym_c_long] = ACTIONS(1101),
    [anon_sym_c_ulong] = ACTIONS(1101),
    [anon_sym_c_longlong] = ACTIONS(1101),
    [anon_sym_c_ulonglong] = ACTIONS(1101),
    [anon_sym_c_longdouble] = ACTIONS(1101),
    [aux_sym_builtin_type_token1] = ACTIONS(1101),
    [sym_builtin_identifier] = ACTIONS(1099),
    [anon_sym_AT] = ACTIONS(1101),
    [sym_comment] = ACTIONS(3),
  },
  [753] = {
    [ts_builtin_sym_end] = ACTIONS(1013),
    [sym__identifier] = ACTIONS(1015),
    [anon_sym_pub] = ACTIONS(1015),
    [anon_sym_test] = ACTIONS(1015),
    [anon_sym_comptime] = ACTIONS(1015),
    [anon_sym_export] = ACTIONS(1015),
    [anon_sym_extern] = ACTIONS(1015),
    [anon_sym_threadlocal] = ACTIONS(1015),
    [anon_sym_const] = ACTIONS(1015),
    [anon_sym_var] = ACTIONS(1015),
    [anon_sym_inline] = ACTIONS(1015),
    [anon_sym_noinline] = ACTIONS(1015),
    [anon_sym_fn] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(1013),
    [anon_sym_usingnamespace] = ACTIONS(1015),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_RBRACE] = ACTIONS(1013),
    [anon_sym_packed] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1015),
    [anon_sym_opaque] = ACTIONS(1015),
    [anon_sym_enum] = ACTIONS(1015),
    [anon_sym_union] = ACTIONS(1015),
    [anon_sym_error] = ACTIONS(1015),
    [anon_sym_nosuspend] = ACTIONS(1015),
    [anon_sym_if] = ACTIONS(1015),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1015),
    [anon_sym_STAR] = ACTIONS(1013),
    [anon_sym_asm] = ACTIONS(1015),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_TILDE] = ACTIONS(1013),
    [anon_sym_DASH] = ACTIONS(1015),
    [anon_sym_DASH_PERCENT] = ACTIONS(1013),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_async] = ACTIONS(1015),
    [anon_sym_await] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1015),
    [anon_sym_resume] = ACTIONS(1015),
    [anon_sym_return] = ACTIONS(1015),
    [anon_sym_break] = ACTIONS(1015),
    [anon_sym_try] = ACTIONS(1015),
    [anon_sym_switch] = ACTIONS(1015),
    [anon_sym_anyframe] = ACTIONS(1015),
    [anon_sym_unreachable] = ACTIONS(1015),
    [anon_sym_undefined] = ACTIONS(1015),
    [anon_sym_null] = ACTIONS(1015),
    [anon_sym_QMARK] = ACTIONS(1013),
    [anon_sym_DOT] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1013),
    [aux_sym_multiline_string_token1] = ACTIONS(1013),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [sym_integer] = ACTIONS(1015),
    [sym_float] = ACTIONS(1013),
    [anon_sym_true] = ACTIONS(1015),
    [anon_sym_false] = ACTIONS(1015),
    [anon_sym_bool] = ACTIONS(1015),
    [anon_sym_f16] = ACTIONS(1015),
    [anon_sym_f32] = ACTIONS(1015),
    [anon_sym_f64] = ACTIONS(1015),
    [anon_sym_f128] = ACTIONS(1015),
    [anon_sym_void] = ACTIONS(1015),
    [anon_sym_type] = ACTIONS(1015),
    [anon_sym_anyerror] = ACTIONS(1015),
    [anon_sym_anyopaque] = ACTIONS(1015),
    [anon_sym_anytype] = ACTIONS(1015),
    [anon_sym_noreturn] = ACTIONS(1015),
    [anon_sym_isize] = ACTIONS(1015),
    [anon_sym_usize] = ACTIONS(1015),
    [anon_sym_comptime_int] = ACTIONS(1015),
    [anon_sym_comptime_float] = ACTIONS(1015),
    [anon_sym_c_short] = ACTIONS(1015),
    [anon_sym_c_ushort] = ACTIONS(1015),
    [anon_sym_c_int] = ACTIONS(1015),
    [anon_sym_c_uint] = ACTIONS(1015),
    [anon_sym_c_long] = ACTIONS(1015),
    [anon_sym_c_ulong] = ACTIONS(1015),
    [anon_sym_c_longlong] = ACTIONS(1015),
    [anon_sym_c_ulonglong] = ACTIONS(1015),
    [anon_sym_c_longdouble] = ACTIONS(1015),
    [aux_sym_builtin_type_token1] = ACTIONS(1015),
    [sym_builtin_identifier] = ACTIONS(1013),
    [anon_sym_AT] = ACTIONS(1015),
    [sym_comment] = ACTIONS(3),
  },
  [754] = {
    [ts_builtin_sym_end] = ACTIONS(1045),
    [sym__identifier] = ACTIONS(1047),
    [anon_sym_pub] = ACTIONS(1047),
    [anon_sym_test] = ACTIONS(1047),
    [anon_sym_comptime] = ACTIONS(1047),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_extern] = ACTIONS(1047),
    [anon_sym_threadlocal] = ACTIONS(1047),
    [anon_sym_const] = ACTIONS(1047),
    [anon_sym_var] = ACTIONS(1047),
    [anon_sym_inline] = ACTIONS(1047),
    [anon_sym_noinline] = ACTIONS(1047),
    [anon_sym_fn] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1045),
    [anon_sym_LPAREN] = ACTIONS(1045),
    [anon_sym_usingnamespace] = ACTIONS(1047),
    [anon_sym_LBRACE] = ACTIONS(1045),
    [anon_sym_RBRACE] = ACTIONS(1045),
    [anon_sym_packed] = ACTIONS(1047),
    [anon_sym_struct] = ACTIONS(1047),
    [anon_sym_opaque] = ACTIONS(1047),
    [anon_sym_enum] = ACTIONS(1047),
    [anon_sym_union] = ACTIONS(1047),
    [anon_sym_error] = ACTIONS(1047),
    [anon_sym_nosuspend] = ACTIONS(1047),
    [anon_sym_if] = ACTIONS(1047),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1047),
    [anon_sym_STAR] = ACTIONS(1045),
    [anon_sym_asm] = ACTIONS(1047),
    [anon_sym_LBRACK] = ACTIONS(1045),
    [anon_sym_TILDE] = ACTIONS(1045),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_DASH_PERCENT] = ACTIONS(1045),
    [anon_sym_AMP] = ACTIONS(1045),
    [anon_sym_async] = ACTIONS(1047),
    [anon_sym_await] = ACTIONS(1047),
    [anon_sym_continue] = ACTIONS(1047),
    [anon_sym_resume] = ACTIONS(1047),
    [anon_sym_return] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1047),
    [anon_sym_switch] = ACTIONS(1047),
    [anon_sym_anyframe] = ACTIONS(1047),
    [anon_sym_unreachable] = ACTIONS(1047),
    [anon_sym_undefined] = ACTIONS(1047),
    [anon_sym_null] = ACTIONS(1047),
    [anon_sym_QMARK] = ACTIONS(1045),
    [anon_sym_DOT] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [aux_sym_multiline_string_token1] = ACTIONS(1045),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1047),
    [sym_float] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_bool] = ACTIONS(1047),
    [anon_sym_f16] = ACTIONS(1047),
    [anon_sym_f32] = ACTIONS(1047),
    [anon_sym_f64] = ACTIONS(1047),
    [anon_sym_f128] = ACTIONS(1047),
    [anon_sym_void] = ACTIONS(1047),
    [anon_sym_type] = ACTIONS(1047),
    [anon_sym_anyerror] = ACTIONS(1047),
    [anon_sym_anyopaque] = ACTIONS(1047),
    [anon_sym_anytype] = ACTIONS(1047),
    [anon_sym_noreturn] = ACTIONS(1047),
    [anon_sym_isize] = ACTIONS(1047),
    [anon_sym_usize] = ACTIONS(1047),
    [anon_sym_comptime_int] = ACTIONS(1047),
    [anon_sym_comptime_float] = ACTIONS(1047),
    [anon_sym_c_short] = ACTIONS(1047),
    [anon_sym_c_ushort] = ACTIONS(1047),
    [anon_sym_c_int] = ACTIONS(1047),
    [anon_sym_c_uint] = ACTIONS(1047),
    [anon_sym_c_long] = ACTIONS(1047),
    [anon_sym_c_ulong] = ACTIONS(1047),
    [anon_sym_c_longlong] = ACTIONS(1047),
    [anon_sym_c_ulonglong] = ACTIONS(1047),
    [anon_sym_c_longdouble] = ACTIONS(1047),
    [aux_sym_builtin_type_token1] = ACTIONS(1047),
    [sym_builtin_identifier] = ACTIONS(1045),
    [anon_sym_AT] = ACTIONS(1047),
    [sym_comment] = ACTIONS(3),
  },
  [755] = {
    [sym_byte_alignment] = STATE(755),
    [sym_address_space] = STATE(755),
    [aux_sym_slice_type_repeat1] = STATE(755),
    [sym__identifier] = ACTIONS(1107),
    [anon_sym_comptime] = ACTIONS(1107),
    [anon_sym_extern] = ACTIONS(1107),
    [anon_sym_const] = ACTIONS(1109),
    [anon_sym_inline] = ACTIONS(1107),
    [anon_sym_fn] = ACTIONS(1107),
    [anon_sym_BANG] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_packed] = ACTIONS(1107),
    [anon_sym_struct] = ACTIONS(1107),
    [anon_sym_opaque] = ACTIONS(1107),
    [anon_sym_enum] = ACTIONS(1107),
    [anon_sym_union] = ACTIONS(1107),
    [anon_sym_error] = ACTIONS(1107),
    [anon_sym_nosuspend] = ACTIONS(1107),
    [anon_sym_if] = ACTIONS(1107),
    [anon_sym_for] = ACTIONS(1107),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_align] = ACTIONS(1114),
    [anon_sym_addrspace] = ACTIONS(1117),
    [anon_sym_asm] = ACTIONS(1107),
    [anon_sym_volatile] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_DASH_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1112),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_await] = ACTIONS(1107),
    [anon_sym_continue] = ACTIONS(1107),
    [anon_sym_resume] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1107),
    [anon_sym_break] = ACTIONS(1107),
    [anon_sym_try] = ACTIONS(1107),
    [anon_sym_switch] = ACTIONS(1107),
    [anon_sym_anyframe] = ACTIONS(1107),
    [anon_sym_unreachable] = ACTIONS(1107),
    [anon_sym_undefined] = ACTIONS(1107),
    [anon_sym_null] = ACTIONS(1107),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_allowzero] = ACTIONS(1109),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [aux_sym_multiline_string_token1] = ACTIONS(1112),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym_integer] = ACTIONS(1107),
    [sym_float] = ACTIONS(1112),
    [anon_sym_true] = ACTIONS(1107),
    [anon_sym_false] = ACTIONS(1107),
    [anon_sym_bool] = ACTIONS(1107),
    [anon_sym_f16] = ACTIONS(1107),
    [anon_sym_f32] = ACTIONS(1107),
    [anon_sym_f64] = ACTIONS(1107),
    [anon_sym_f128] = ACTIONS(1107),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_type] = ACTIONS(1107),
    [anon_sym_anyerror] = ACTIONS(1107),
    [anon_sym_anyopaque] = ACTIONS(1107),
    [anon_sym_anytype] = ACTIONS(1107),
    [anon_sym_noreturn] = ACTIONS(1107),
    [anon_sym_isize] = ACTIONS(1107),
    [anon_sym_usize] = ACTIONS(1107),
    [anon_sym_comptime_int] = ACTIONS(1107),
    [anon_sym_comptime_float] = ACTIONS(1107),
    [anon_sym_c_short] = ACTIONS(1107),
    [anon_sym_c_ushort] = ACTIONS(1107),
    [anon_sym_c_int] = ACTIONS(1107),
    [anon_sym_c_uint] = ACTIONS(1107),
    [anon_sym_c_long] = ACTIONS(1107),
    [anon_sym_c_ulong] = ACTIONS(1107),
    [anon_sym_c_longlong] = ACTIONS(1107),
    [anon_sym_c_ulonglong] = ACTIONS(1107),
    [anon_sym_c_longdouble] = ACTIONS(1107),
    [aux_sym_builtin_type_token1] = ACTIONS(1107),
    [sym_builtin_identifier] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1107),
    [sym_comment] = ACTIONS(3),
  },
  [756] = {
    [sym_else_clause] = STATE(760),
    [sym__identifier] = ACTIONS(1120),
    [anon_sym_comptime] = ACTIONS(1120),
    [anon_sym_extern] = ACTIONS(1120),
    [anon_sym_const] = ACTIONS(1120),
    [anon_sym_var] = ACTIONS(1120),
    [anon_sym_inline] = ACTIONS(1120),
    [anon_sym_fn] = ACTIONS(1120),
    [anon_sym_BANG] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1122),
    [anon_sym_LBRACE] = ACTIONS(1122),
    [anon_sym_RBRACE] = ACTIONS(1122),
    [anon_sym_packed] = ACTIONS(1120),
    [anon_sym_struct] = ACTIONS(1120),
    [anon_sym_opaque] = ACTIONS(1120),
    [anon_sym_enum] = ACTIONS(1120),
    [anon_sym_union] = ACTIONS(1120),
    [anon_sym_error] = ACTIONS(1120),
    [anon_sym_nosuspend] = ACTIONS(1120),
    [anon_sym_suspend] = ACTIONS(1120),
    [anon_sym_defer] = ACTIONS(1120),
    [anon_sym_errdefer] = ACTIONS(1120),
    [anon_sym_if] = ACTIONS(1120),
    [anon_sym_else] = ACTIONS(1124),
    [anon_sym_for] = ACTIONS(1120),
    [anon_sym_while] = ACTIONS(1120),
    [anon_sym_STAR] = ACTIONS(1122),
    [anon_sym_asm] = ACTIONS(1120),
    [anon_sym_LBRACK] = ACTIONS(1122),
    [anon_sym_TILDE] = ACTIONS(1122),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_DASH_PERCENT] = ACTIONS(1122),
    [anon_sym_AMP] = ACTIONS(1122),
    [anon_sym_async] = ACTIONS(1120),
    [anon_sym_await] = ACTIONS(1120),
    [anon_sym_continue] = ACTIONS(1120),
    [anon_sym_resume] = ACTIONS(1120),
    [anon_sym_return] = ACTIONS(1120),
    [anon_sym_break] = ACTIONS(1120),
    [anon_sym_try] = ACTIONS(1120),
    [anon_sym_switch] = ACTIONS(1120),
    [anon_sym_anyframe] = ACTIONS(1120),
    [anon_sym_unreachable] = ACTIONS(1120),
    [anon_sym_undefined] = ACTIONS(1120),
    [anon_sym_null] = ACTIONS(1120),
    [anon_sym_QMARK] = ACTIONS(1122),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DQUOTE] = ACTIONS(1122),
    [aux_sym_multiline_string_token1] = ACTIONS(1122),
    [anon_sym_SQUOTE] = ACTIONS(1122),
    [sym_integer] = ACTIONS(1120),
    [sym_float] = ACTIONS(1122),
    [anon_sym_true] = ACTIONS(1120),
    [anon_sym_false] = ACTIONS(1120),
    [anon_sym_bool] = ACTIONS(1120),
    [anon_sym_f16] = ACTIONS(1120),
    [anon_sym_f32] = ACTIONS(1120),
    [anon_sym_f64] = ACTIONS(1120),
    [anon_sym_f128] = ACTIONS(1120),
    [anon_sym_void] = ACTIONS(1120),
    [anon_sym_type] = ACTIONS(1120),
    [anon_sym_anyerror] = ACTIONS(1120),
    [anon_sym_anyopaque] = ACTIONS(1120),
    [anon_sym_anytype] = ACTIONS(1120),
    [anon_sym_noreturn] = ACTIONS(1120),
    [anon_sym_isize] = ACTIONS(1120),
    [anon_sym_usize] = ACTIONS(1120),
    [anon_sym_comptime_int] = ACTIONS(1120),
    [anon_sym_comptime_float] = ACTIONS(1120),
    [anon_sym_c_short] = ACTIONS(1120),
    [anon_sym_c_ushort] = ACTIONS(1120),
    [anon_sym_c_int] = ACTIONS(1120),
    [anon_sym_c_uint] = ACTIONS(1120),
    [anon_sym_c_long] = ACTIONS(1120),
    [anon_sym_c_ulong] = ACTIONS(1120),
    [anon_sym_c_longlong] = ACTIONS(1120),
    [anon_sym_c_ulonglong] = ACTIONS(1120),
    [anon_sym_c_longdouble] = ACTIONS(1120),
    [aux_sym_builtin_type_token1] = ACTIONS(1120),
    [sym_builtin_identifier] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(1120),
    [sym_comment] = ACTIONS(3),
  },
  [757] = {
    [sym_address_space] = STATE(757),
    [aux_sym_pointer_type_repeat1] = STATE(757),
    [sym__identifier] = ACTIONS(1126),
    [anon_sym_comptime] = ACTIONS(1126),
    [anon_sym_extern] = ACTIONS(1126),
    [anon_sym_const] = ACTIONS(1128),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_fn] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_packed] = ACTIONS(1126),
    [anon_sym_struct] = ACTIONS(1126),
    [anon_sym_opaque] = ACTIONS(1126),
    [anon_sym_enum] = ACTIONS(1126),
    [anon_sym_union] = ACTIONS(1126),
    [anon_sym_error] = ACTIONS(1126),
    [anon_sym_nosuspend] = ACTIONS(1126),
    [anon_sym_if] = ACTIONS(1126),
    [anon_sym_for] = ACTIONS(1126),
    [anon_sym_while] = ACTIONS(1126),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_align] = ACTIONS(1133),
    [anon_sym_addrspace] = ACTIONS(1136),
    [anon_sym_asm] = ACTIONS(1126),
    [anon_sym_volatile] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(1131),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1126),
    [anon_sym_DASH_PERCENT] = ACTIONS(1131),
    [anon_sym_AMP] = ACTIONS(1131),
    [anon_sym_async] = ACTIONS(1126),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_continue] = ACTIONS(1126),
    [anon_sym_resume] = ACTIONS(1126),
    [anon_sym_return] = ACTIONS(1126),
    [anon_sym_break] = ACTIONS(1126),
    [anon_sym_try] = ACTIONS(1126),
    [anon_sym_switch] = ACTIONS(1126),
    [anon_sym_anyframe] = ACTIONS(1126),
    [anon_sym_unreachable] = ACTIONS(1126),
    [anon_sym_undefined] = ACTIONS(1126),
    [anon_sym_null] = ACTIONS(1126),
    [anon_sym_QMARK] = ACTIONS(1131),
    [anon_sym_allowzero] = ACTIONS(1128),
    [anon_sym_DOT] = ACTIONS(1131),
    [anon_sym_DQUOTE] = ACTIONS(1131),
    [aux_sym_multiline_string_token1] = ACTIONS(1131),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym_integer] = ACTIONS(1126),
    [sym_float] = ACTIONS(1131),
    [anon_sym_true] = ACTIONS(1126),
    [anon_sym_false] = ACTIONS(1126),
    [anon_sym_bool] = ACTIONS(1126),
    [anon_sym_f16] = ACTIONS(1126),
    [anon_sym_f32] = ACTIONS(1126),
    [anon_sym_f64] = ACTIONS(1126),
    [anon_sym_f128] = ACTIONS(1126),
    [anon_sym_void] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_anyerror] = ACTIONS(1126),
    [anon_sym_anyopaque] = ACTIONS(1126),
    [anon_sym_anytype] = ACTIONS(1126),
    [anon_sym_noreturn] = ACTIONS(1126),
    [anon_sym_isize] = ACTIONS(1126),
    [anon_sym_usize] = ACTIONS(1126),
    [anon_sym_comptime_int] = ACTIONS(1126),
    [anon_sym_comptime_float] = ACTIONS(1126),
    [anon_sym_c_short] = ACTIONS(1126),
    [anon_sym_c_ushort] = ACTIONS(1126),
    [anon_sym_c_int] = ACTIONS(1126),
    [anon_sym_c_uint] = ACTIONS(1126),
    [anon_sym_c_long] = ACTIONS(1126),
    [anon_sym_c_ulong] = ACTIONS(1126),
    [anon_sym_c_longlong] = ACTIONS(1126),
    [anon_sym_c_ulonglong] = ACTIONS(1126),
    [anon_sym_c_longdouble] = ACTIONS(1126),
    [aux_sym_builtin_type_token1] = ACTIONS(1126),
    [sym_builtin_identifier] = ACTIONS(1131),
    [anon_sym_AT] = ACTIONS(1126),
    [sym_comment] = ACTIONS(3),
  },
  [758] = {
    [sym__identifier] = ACTIONS(1139),
    [anon_sym_comptime] = ACTIONS(1139),
    [anon_sym_COLON] = ACTIONS(1141),
    [anon_sym_extern] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1139),
    [anon_sym_var] = ACTIONS(1139),
    [anon_sym_inline] = ACTIONS(1139),
    [anon_sym_fn] = ACTIONS(1139),
    [anon_sym_BANG] = ACTIONS(1141),
    [anon_sym_LPAREN] = ACTIONS(1141),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_packed] = ACTIONS(1139),
    [anon_sym_struct] = ACTIONS(1139),
    [anon_sym_opaque] = ACTIONS(1139),
    [anon_sym_enum] = ACTIONS(1139),
    [anon_sym_union] = ACTIONS(1139),
    [anon_sym_error] = ACTIONS(1139),
    [anon_sym_nosuspend] = ACTIONS(1139),
    [anon_sym_suspend] = ACTIONS(1139),
    [anon_sym_defer] = ACTIONS(1139),
    [anon_sym_errdefer] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(1139),
    [anon_sym_for] = ACTIONS(1139),
    [anon_sym_while] = ACTIONS(1139),
    [anon_sym_STAR] = ACTIONS(1141),
    [anon_sym_asm] = ACTIONS(1139),
    [anon_sym_LBRACK] = ACTIONS(1141),
    [anon_sym_TILDE] = ACTIONS(1141),
    [anon_sym_DASH] = ACTIONS(1139),
    [anon_sym_DASH_PERCENT] = ACTIONS(1141),
    [anon_sym_AMP] = ACTIONS(1141),
    [anon_sym_async] = ACTIONS(1139),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_continue] = ACTIONS(1139),
    [anon_sym_resume] = ACTIONS(1139),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_break] = ACTIONS(1139),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_switch] = ACTIONS(1139),
    [anon_sym_anyframe] = ACTIONS(1139),
    [anon_sym_unreachable] = ACTIONS(1139),
    [anon_sym_undefined] = ACTIONS(1139),
    [anon_sym_null] = ACTIONS(1139),
    [anon_sym_QMARK] = ACTIONS(1141),
    [anon_sym_DOT] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1141),
    [aux_sym_multiline_string_token1] = ACTIONS(1141),
    [anon_sym_SQUOTE] = ACTIONS(1141),
    [sym_integer] = ACTIONS(1139),
    [sym_float] = ACTIONS(1141),
    [anon_sym_true] = ACTIONS(1139),
    [anon_sym_false] = ACTIONS(1139),
    [anon_sym_bool] = ACTIONS(1139),
    [anon_sym_f16] = ACTIONS(1139),
    [anon_sym_f32] = ACTIONS(1139),
    [anon_sym_f64] = ACTIONS(1139),
    [anon_sym_f128] = ACTIONS(1139),
    [anon_sym_void] = ACTIONS(1139),
    [anon_sym_type] = ACTIONS(1139),
    [anon_sym_anyerror] = ACTIONS(1139),
    [anon_sym_anyopaque] = ACTIONS(1139),
    [anon_sym_anytype] = ACTIONS(1139),
    [anon_sym_noreturn] = ACTIONS(1139),
    [anon_sym_isize] = ACTIONS(1139),
    [anon_sym_usize] = ACTIONS(1139),
    [anon_sym_comptime_int] = ACTIONS(1139),
    [anon_sym_comptime_float] = ACTIONS(1139),
    [anon_sym_c_short] = ACTIONS(1139),
    [anon_sym_c_ushort] = ACTIONS(1139),
    [anon_sym_c_int] = ACTIONS(1139),
    [anon_sym_c_uint] = ACTIONS(1139),
    [anon_sym_c_long] = ACTIONS(1139),
    [anon_sym_c_ulong] = ACTIONS(1139),
    [anon_sym_c_longlong] = ACTIONS(1139),
    [anon_sym_c_ulonglong] = ACTIONS(1139),
    [anon_sym_c_longdouble] = ACTIONS(1139),
    [aux_sym_builtin_type_token1] = ACTIONS(1139),
    [sym_builtin_identifier] = ACTIONS(1141),
    [anon_sym_AT] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
  },
  [759] = {
    [sym__identifier] = ACTIONS(1143),
    [anon_sym_comptime] = ACTIONS(1143),
    [anon_sym_extern] = ACTIONS(1143),
    [anon_sym_const] = ACTIONS(1143),
    [anon_sym_var] = ACTIONS(1143),
    [anon_sym_inline] = ACTIONS(1143),
    [anon_sym_fn] = ACTIONS(1143),
    [anon_sym_BANG] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(1145),
    [anon_sym_LBRACE] = ACTIONS(1145),
    [anon_sym_RBRACE] = ACTIONS(1145),
    [anon_sym_packed] = ACTIONS(1143),
    [anon_sym_struct] = ACTIONS(1143),
    [anon_sym_opaque] = ACTIONS(1143),
    [anon_sym_enum] = ACTIONS(1143),
    [anon_sym_union] = ACTIONS(1143),
    [anon_sym_error] = ACTIONS(1143),
    [anon_sym_nosuspend] = ACTIONS(1143),
    [anon_sym_suspend] = ACTIONS(1143),
    [anon_sym_defer] = ACTIONS(1143),
    [anon_sym_errdefer] = ACTIONS(1143),
    [anon_sym_if] = ACTIONS(1143),
    [anon_sym_for] = ACTIONS(1143),
    [anon_sym_while] = ACTIONS(1143),
    [anon_sym_STAR] = ACTIONS(1145),
    [anon_sym_asm] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(1145),
    [anon_sym_TILDE] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1143),
    [anon_sym_DASH_PERCENT] = ACTIONS(1145),
    [anon_sym_AMP] = ACTIONS(1145),
    [anon_sym_async] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(1143),
    [anon_sym_continue] = ACTIONS(1143),
    [anon_sym_resume] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1143),
    [anon_sym_break] = ACTIONS(1143),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_switch] = ACTIONS(1143),
    [anon_sym_anyframe] = ACTIONS(1143),
    [anon_sym_unreachable] = ACTIONS(1143),
    [anon_sym_undefined] = ACTIONS(1143),
    [anon_sym_null] = ACTIONS(1143),
    [anon_sym_QMARK] = ACTIONS(1145),
    [anon_sym_DOT] = ACTIONS(1145),
    [anon_sym_DQUOTE] = ACTIONS(1145),
    [aux_sym_multiline_string_token1] = ACTIONS(1145),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [sym_integer] = ACTIONS(1143),
    [sym_float] = ACTIONS(1145),
    [anon_sym_true] = ACTIONS(1143),
    [anon_sym_false] = ACTIONS(1143),
    [anon_sym_bool] = ACTIONS(1143),
    [anon_sym_f16] = ACTIONS(1143),
    [anon_sym_f32] = ACTIONS(1143),
    [anon_sym_f64] = ACTIONS(1143),
    [anon_sym_f128] = ACTIONS(1143),
    [anon_sym_void] = ACTIONS(1143),
    [anon_sym_type] = ACTIONS(1143),
    [anon_sym_anyerror] = ACTIONS(1143),
    [anon_sym_anyopaque] = ACTIONS(1143),
    [anon_sym_anytype] = ACTIONS(1143),
    [anon_sym_noreturn] = ACTIONS(1143),
    [anon_sym_isize] = ACTIONS(1143),
    [anon_sym_usize] = ACTIONS(1143),
    [anon_sym_comptime_int] = ACTIONS(1143),
    [anon_sym_comptime_float] = ACTIONS(1143),
    [anon_sym_c_short] = ACTIONS(1143),
    [anon_sym_c_ushort] = ACTIONS(1143),
    [anon_sym_c_int] = ACTIONS(1143),
    [anon_sym_c_uint] = ACTIONS(1143),
    [anon_sym_c_long] = ACTIONS(1143),
    [anon_sym_c_ulong] = ACTIONS(1143),
    [anon_sym_c_longlong] = ACTIONS(1143),
    [anon_sym_c_ulonglong] = ACTIONS(1143),
    [anon_sym_c_longdouble] = ACTIONS(1143),
    [aux_sym_builtin_type_token1] = ACTIONS(1143),
    [sym_builtin_identifier] = ACTIONS(1145),
    [anon_sym_AT] = ACTIONS(1143),
    [sym_comment] = ACTIONS(3),
  },
  [760] = {
    [sym__identifier] = ACTIONS(1147),
    [anon_sym_comptime] = ACTIONS(1147),
    [anon_sym_extern] = ACTIONS(1147),
    [anon_sym_const] = ACTIONS(1147),
    [anon_sym_var] = ACTIONS(1147),
    [anon_sym_inline] = ACTIONS(1147),
    [anon_sym_fn] = ACTIONS(1147),
    [anon_sym_BANG] = ACTIONS(1149),
    [anon_sym_LPAREN] = ACTIONS(1149),
    [anon_sym_LBRACE] = ACTIONS(1149),
    [anon_sym_RBRACE] = ACTIONS(1149),
    [anon_sym_packed] = ACTIONS(1147),
    [anon_sym_struct] = ACTIONS(1147),
    [anon_sym_opaque] = ACTIONS(1147),
    [anon_sym_enum] = ACTIONS(1147),
    [anon_sym_union] = ACTIONS(1147),
    [anon_sym_error] = ACTIONS(1147),
    [anon_sym_nosuspend] = ACTIONS(1147),
    [anon_sym_suspend] = ACTIONS(1147),
    [anon_sym_defer] = ACTIONS(1147),
    [anon_sym_errdefer] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_for] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(1147),
    [anon_sym_STAR] = ACTIONS(1149),
    [anon_sym_asm] = ACTIONS(1147),
    [anon_sym_LBRACK] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_DASH_PERCENT] = ACTIONS(1149),
    [anon_sym_AMP] = ACTIONS(1149),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_await] = ACTIONS(1147),
    [anon_sym_continue] = ACTIONS(1147),
    [anon_sym_resume] = ACTIONS(1147),
    [anon_sym_return] = ACTIONS(1147),
    [anon_sym_break] = ACTIONS(1147),
    [anon_sym_try] = ACTIONS(1147),
    [anon_sym_switch] = ACTIONS(1147),
    [anon_sym_anyframe] = ACTIONS(1147),
    [anon_sym_unreachable] = ACTIONS(1147),
    [anon_sym_undefined] = ACTIONS(1147),
    [anon_sym_null] = ACTIONS(1147),
    [anon_sym_QMARK] = ACTIONS(1149),
    [anon_sym_DOT] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(1149),
    [aux_sym_multiline_string_token1] = ACTIONS(1149),
    [anon_sym_SQUOTE] = ACTIONS(1149),
    [sym_integer] = ACTIONS(1147),
    [sym_float] = ACTIONS(1149),
    [anon_sym_true] = ACTIONS(1147),
    [anon_sym_false] = ACTIONS(1147),
    [anon_sym_bool] = ACTIONS(1147),
    [anon_sym_f16] = ACTIONS(1147),
    [anon_sym_f32] = ACTIONS(1147),
    [anon_sym_f64] = ACTIONS(1147),
    [anon_sym_f128] = ACTIONS(1147),
    [anon_sym_void] = ACTIONS(1147),
    [anon_sym_type] = ACTIONS(1147),
    [anon_sym_anyerror] = ACTIONS(1147),
    [anon_sym_anyopaque] = ACTIONS(1147),
    [anon_sym_anytype] = ACTIONS(1147),
    [anon_sym_noreturn] = ACTIONS(1147),
    [anon_sym_isize] = ACTIONS(1147),
    [anon_sym_usize] = ACTIONS(1147),
    [anon_sym_comptime_int] = ACTIONS(1147),
    [anon_sym_comptime_float] = ACTIONS(1147),
    [anon_sym_c_short] = ACTIONS(1147),
    [anon_sym_c_ushort] = ACTIONS(1147),
    [anon_sym_c_int] = ACTIONS(1147),
    [anon_sym_c_uint] = ACTIONS(1147),
    [anon_sym_c_long] = ACTIONS(1147),
    [anon_sym_c_ulong] = ACTIONS(1147),
    [anon_sym_c_longlong] = ACTIONS(1147),
    [anon_sym_c_ulonglong] = ACTIONS(1147),
    [anon_sym_c_longdouble] = ACTIONS(1147),
    [aux_sym_builtin_type_token1] = ACTIONS(1147),
    [sym_builtin_identifier] = ACTIONS(1149),
    [anon_sym_AT] = ACTIONS(1147),
    [sym_comment] = ACTIONS(3),
  },
  [761] = {
    [sym__identifier] = ACTIONS(1151),
    [anon_sym_comptime] = ACTIONS(1151),
    [anon_sym_extern] = ACTIONS(1151),
    [anon_sym_const] = ACTIONS(1151),
    [anon_sym_var] = ACTIONS(1151),
    [anon_sym_inline] = ACTIONS(1151),
    [anon_sym_fn] = ACTIONS(1151),
    [anon_sym_BANG] = ACTIONS(1153),
    [anon_sym_LPAREN] = ACTIONS(1153),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_RBRACE] = ACTIONS(1153),
    [anon_sym_packed] = ACTIONS(1151),
    [anon_sym_struct] = ACTIONS(1151),
    [anon_sym_opaque] = ACTIONS(1151),
    [anon_sym_enum] = ACTIONS(1151),
    [anon_sym_union] = ACTIONS(1151),
    [anon_sym_error] = ACTIONS(1151),
    [anon_sym_nosuspend] = ACTIONS(1151),
    [anon_sym_suspend] = ACTIONS(1151),
    [anon_sym_defer] = ACTIONS(1151),
    [anon_sym_errdefer] = ACTIONS(1151),
    [anon_sym_if] = ACTIONS(1151),
    [anon_sym_for] = ACTIONS(1151),
    [anon_sym_while] = ACTIONS(1151),
    [anon_sym_STAR] = ACTIONS(1153),
    [anon_sym_asm] = ACTIONS(1151),
    [anon_sym_LBRACK] = ACTIONS(1153),
    [anon_sym_TILDE] = ACTIONS(1153),
    [anon_sym_DASH] = ACTIONS(1151),
    [anon_sym_DASH_PERCENT] = ACTIONS(1153),
    [anon_sym_AMP] = ACTIONS(1153),
    [anon_sym_async] = ACTIONS(1151),
    [anon_sym_await] = ACTIONS(1151),
    [anon_sym_continue] = ACTIONS(1151),
    [anon_sym_resume] = ACTIONS(1151),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_break] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1151),
    [anon_sym_switch] = ACTIONS(1151),
    [anon_sym_anyframe] = ACTIONS(1151),
    [anon_sym_unreachable] = ACTIONS(1151),
    [anon_sym_undefined] = ACTIONS(1151),
    [anon_sym_null] = ACTIONS(1151),
    [anon_sym_QMARK] = ACTIONS(1153),
    [anon_sym_DOT] = ACTIONS(1153),
    [anon_sym_DQUOTE] = ACTIONS(1153),
    [aux_sym_multiline_string_token1] = ACTIONS(1153),
    [anon_sym_SQUOTE] = ACTIONS(1153),
    [sym_integer] = ACTIONS(1151),
    [sym_float] = ACTIONS(1153),
    [anon_sym_true] = ACTIONS(1151),
    [anon_sym_false] = ACTIONS(1151),
    [anon_sym_bool] = ACTIONS(1151),
    [anon_sym_f16] = ACTIONS(1151),
    [anon_sym_f32] = ACTIONS(1151),
    [anon_sym_f64] = ACTIONS(1151),
    [anon_sym_f128] = ACTIONS(1151),
    [anon_sym_void] = ACTIONS(1151),
    [anon_sym_type] = ACTIONS(1151),
    [anon_sym_anyerror] = ACTIONS(1151),
    [anon_sym_anyopaque] = ACTIONS(1151),
    [anon_sym_anytype] = ACTIONS(1151),
    [anon_sym_noreturn] = ACTIONS(1151),
    [anon_sym_isize] = ACTIONS(1151),
    [anon_sym_usize] = ACTIONS(1151),
    [anon_sym_comptime_int] = ACTIONS(1151),
    [anon_sym_comptime_float] = ACTIONS(1151),
    [anon_sym_c_short] = ACTIONS(1151),
    [anon_sym_c_ushort] = ACTIONS(1151),
    [anon_sym_c_int] = ACTIONS(1151),
    [anon_sym_c_uint] = ACTIONS(1151),
    [anon_sym_c_long] = ACTIONS(1151),
    [anon_sym_c_ulong] = ACTIONS(1151),
    [anon_sym_c_longlong] = ACTIONS(1151),
    [anon_sym_c_ulonglong] = ACTIONS(1151),
    [anon_sym_c_longdouble] = ACTIONS(1151),
    [aux_sym_builtin_type_token1] = ACTIONS(1151),
    [sym_builtin_identifier] = ACTIONS(1153),
    [anon_sym_AT] = ACTIONS(1151),
    [sym_comment] = ACTIONS(3),
  },
  [762] = {
    [sym__identifier] = ACTIONS(1155),
    [anon_sym_comptime] = ACTIONS(1155),
    [anon_sym_extern] = ACTIONS(1155),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_var] = ACTIONS(1155),
    [anon_sym_inline] = ACTIONS(1155),
    [anon_sym_fn] = ACTIONS(1155),
    [anon_sym_BANG] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1157),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_RBRACE] = ACTIONS(1157),
    [anon_sym_packed] = ACTIONS(1155),
    [anon_sym_struct] = ACTIONS(1155),
    [anon_sym_opaque] = ACTIONS(1155),
    [anon_sym_enum] = ACTIONS(1155),
    [anon_sym_union] = ACTIONS(1155),
    [anon_sym_error] = ACTIONS(1155),
    [anon_sym_nosuspend] = ACTIONS(1155),
    [anon_sym_suspend] = ACTIONS(1155),
    [anon_sym_defer] = ACTIONS(1155),
    [anon_sym_errdefer] = ACTIONS(1155),
    [anon_sym_if] = ACTIONS(1155),
    [anon_sym_for] = ACTIONS(1155),
    [anon_sym_while] = ACTIONS(1155),
    [anon_sym_STAR] = ACTIONS(1157),
    [anon_sym_asm] = ACTIONS(1155),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_TILDE] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_DASH_PERCENT] = ACTIONS(1157),
    [anon_sym_AMP] = ACTIONS(1157),
    [anon_sym_async] = ACTIONS(1155),
    [anon_sym_await] = ACTIONS(1155),
    [anon_sym_continue] = ACTIONS(1155),
    [anon_sym_resume] = ACTIONS(1155),
    [anon_sym_return] = ACTIONS(1155),
    [anon_sym_break] = ACTIONS(1155),
    [anon_sym_try] = ACTIONS(1155),
    [anon_sym_switch] = ACTIONS(1155),
    [anon_sym_anyframe] = ACTIONS(1155),
    [anon_sym_unreachable] = ACTIONS(1155),
    [anon_sym_undefined] = ACTIONS(1155),
    [anon_sym_null] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(1157),
    [anon_sym_DOT] = ACTIONS(1157),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [aux_sym_multiline_string_token1] = ACTIONS(1157),
    [anon_sym_SQUOTE] = ACTIONS(1157),
    [sym_integer] = ACTIONS(1155),
    [sym_float] = ACTIONS(1157),
    [anon_sym_true] = ACTIONS(1155),
    [anon_sym_false] = ACTIONS(1155),
    [anon_sym_bool] = ACTIONS(1155),
    [anon_sym_f16] = ACTIONS(1155),
    [anon_sym_f32] = ACTIONS(1155),
    [anon_sym_f64] = ACTIONS(1155),
    [anon_sym_f128] = ACTIONS(1155),
    [anon_sym_void] = ACTIONS(1155),
    [anon_sym_type] = ACTIONS(1155),
    [anon_sym_anyerror] = ACTIONS(1155),
    [anon_sym_anyopaque] = ACTIONS(1155),
    [anon_sym_anytype] = ACTIONS(1155),
    [anon_sym_noreturn] = ACTIONS(1155),
    [anon_sym_isize] = ACTIONS(1155),
    [anon_sym_usize] = ACTIONS(1155),
    [anon_sym_comptime_int] = ACTIONS(1155),
    [anon_sym_comptime_float] = ACTIONS(1155),
    [anon_sym_c_short] = ACTIONS(1155),
    [anon_sym_c_ushort] = ACTIONS(1155),
    [anon_sym_c_int] = ACTIONS(1155),
    [anon_sym_c_uint] = ACTIONS(1155),
    [anon_sym_c_long] = ACTIONS(1155),
    [anon_sym_c_ulong] = ACTIONS(1155),
    [anon_sym_c_longlong] = ACTIONS(1155),
    [anon_sym_c_ulonglong] = ACTIONS(1155),
    [anon_sym_c_longdouble] = ACTIONS(1155),
    [aux_sym_builtin_type_token1] = ACTIONS(1155),
    [sym_builtin_identifier] = ACTIONS(1157),
    [anon_sym_AT] = ACTIONS(1155),
    [sym_comment] = ACTIONS(3),
  },
  [763] = {
    [sym__identifier] = ACTIONS(1159),
    [anon_sym_comptime] = ACTIONS(1159),
    [anon_sym_extern] = ACTIONS(1159),
    [anon_sym_const] = ACTIONS(1159),
    [anon_sym_var] = ACTIONS(1159),
    [anon_sym_inline] = ACTIONS(1159),
    [anon_sym_fn] = ACTIONS(1159),
    [anon_sym_BANG] = ACTIONS(1161),
    [anon_sym_LPAREN] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1161),
    [anon_sym_RBRACE] = ACTIONS(1161),
    [anon_sym_packed] = ACTIONS(1159),
    [anon_sym_struct] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1159),
    [anon_sym_enum] = ACTIONS(1159),
    [anon_sym_union] = ACTIONS(1159),
    [anon_sym_error] = ACTIONS(1159),
    [anon_sym_nosuspend] = ACTIONS(1159),
    [anon_sym_suspend] = ACTIONS(1159),
    [anon_sym_defer] = ACTIONS(1159),
    [anon_sym_errdefer] = ACTIONS(1159),
    [anon_sym_if] = ACTIONS(1159),
    [anon_sym_for] = ACTIONS(1159),
    [anon_sym_while] = ACTIONS(1159),
    [anon_sym_STAR] = ACTIONS(1161),
    [anon_sym_asm] = ACTIONS(1159),
    [anon_sym_LBRACK] = ACTIONS(1161),
    [anon_sym_TILDE] = ACTIONS(1161),
    [anon_sym_DASH] = ACTIONS(1159),
    [anon_sym_DASH_PERCENT] = ACTIONS(1161),
    [anon_sym_AMP] = ACTIONS(1161),
    [anon_sym_async] = ACTIONS(1159),
    [anon_sym_await] = ACTIONS(1159),
    [anon_sym_continue] = ACTIONS(1159),
    [anon_sym_resume] = ACTIONS(1159),
    [anon_sym_return] = ACTIONS(1159),
    [anon_sym_break] = ACTIONS(1159),
    [anon_sym_try] = ACTIONS(1159),
    [anon_sym_switch] = ACTIONS(1159),
    [anon_sym_anyframe] = ACTIONS(1159),
    [anon_sym_unreachable] = ACTIONS(1159),
    [anon_sym_undefined] = ACTIONS(1159),
    [anon_sym_null] = ACTIONS(1159),
    [anon_sym_QMARK] = ACTIONS(1161),
    [anon_sym_DOT] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [aux_sym_multiline_string_token1] = ACTIONS(1161),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [sym_integer] = ACTIONS(1159),
    [sym_float] = ACTIONS(1161),
    [anon_sym_true] = ACTIONS(1159),
    [anon_sym_false] = ACTIONS(1159),
    [anon_sym_bool] = ACTIONS(1159),
    [anon_sym_f16] = ACTIONS(1159),
    [anon_sym_f32] = ACTIONS(1159),
    [anon_sym_f64] = ACTIONS(1159),
    [anon_sym_f128] = ACTIONS(1159),
    [anon_sym_void] = ACTIONS(1159),
    [anon_sym_type] = ACTIONS(1159),
    [anon_sym_anyerror] = ACTIONS(1159),
    [anon_sym_anyopaque] = ACTIONS(1159),
    [anon_sym_anytype] = ACTIONS(1159),
    [anon_sym_noreturn] = ACTIONS(1159),
    [anon_sym_isize] = ACTIONS(1159),
    [anon_sym_usize] = ACTIONS(1159),
    [anon_sym_comptime_int] = ACTIONS(1159),
    [anon_sym_comptime_float] = ACTIONS(1159),
    [anon_sym_c_short] = ACTIONS(1159),
    [anon_sym_c_ushort] = ACTIONS(1159),
    [anon_sym_c_int] = ACTIONS(1159),
    [anon_sym_c_uint] = ACTIONS(1159),
    [anon_sym_c_long] = ACTIONS(1159),
    [anon_sym_c_ulong] = ACTIONS(1159),
    [anon_sym_c_longlong] = ACTIONS(1159),
    [anon_sym_c_ulonglong] = ACTIONS(1159),
    [anon_sym_c_longdouble] = ACTIONS(1159),
    [aux_sym_builtin_type_token1] = ACTIONS(1159),
    [sym_builtin_identifier] = ACTIONS(1161),
    [anon_sym_AT] = ACTIONS(1159),
    [sym_comment] = ACTIONS(3),
  },
  [764] = {
    [sym__identifier] = ACTIONS(1163),
    [anon_sym_comptime] = ACTIONS(1163),
    [anon_sym_extern] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1163),
    [anon_sym_var] = ACTIONS(1163),
    [anon_sym_inline] = ACTIONS(1163),
    [anon_sym_fn] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1165),
    [anon_sym_LPAREN] = ACTIONS(1165),
    [anon_sym_LBRACE] = ACTIONS(1165),
    [anon_sym_RBRACE] = ACTIONS(1165),
    [anon_sym_packed] = ACTIONS(1163),
    [anon_sym_struct] = ACTIONS(1163),
    [anon_sym_opaque] = ACTIONS(1163),
    [anon_sym_enum] = ACTIONS(1163),
    [anon_sym_union] = ACTIONS(1163),
    [anon_sym_error] = ACTIONS(1163),
    [anon_sym_nosuspend] = ACTIONS(1163),
    [anon_sym_suspend] = ACTIONS(1163),
    [anon_sym_defer] = ACTIONS(1163),
    [anon_sym_errdefer] = ACTIONS(1163),
    [anon_sym_if] = ACTIONS(1163),
    [anon_sym_for] = ACTIONS(1163),
    [anon_sym_while] = ACTIONS(1163),
    [anon_sym_STAR] = ACTIONS(1165),
    [anon_sym_asm] = ACTIONS(1163),
    [anon_sym_LBRACK] = ACTIONS(1165),
    [anon_sym_TILDE] = ACTIONS(1165),
    [anon_sym_DASH] = ACTIONS(1163),
    [anon_sym_DASH_PERCENT] = ACTIONS(1165),
    [anon_sym_AMP] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1163),
    [anon_sym_await] = ACTIONS(1163),
    [anon_sym_continue] = ACTIONS(1163),
    [anon_sym_resume] = ACTIONS(1163),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_break] = ACTIONS(1163),
    [anon_sym_try] = ACTIONS(1163),
    [anon_sym_switch] = ACTIONS(1163),
    [anon_sym_anyframe] = ACTIONS(1163),
    [anon_sym_unreachable] = ACTIONS(1163),
    [anon_sym_undefined] = ACTIONS(1163),
    [anon_sym_null] = ACTIONS(1163),
    [anon_sym_QMARK] = ACTIONS(1165),
    [anon_sym_DOT] = ACTIONS(1165),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [aux_sym_multiline_string_token1] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [sym_integer] = ACTIONS(1163),
    [sym_float] = ACTIONS(1165),
    [anon_sym_true] = ACTIONS(1163),
    [anon_sym_false] = ACTIONS(1163),
    [anon_sym_bool] = ACTIONS(1163),
    [anon_sym_f16] = ACTIONS(1163),
    [anon_sym_f32] = ACTIONS(1163),
    [anon_sym_f64] = ACTIONS(1163),
    [anon_sym_f128] = ACTIONS(1163),
    [anon_sym_void] = ACTIONS(1163),
    [anon_sym_type] = ACTIONS(1163),
    [anon_sym_anyerror] = ACTIONS(1163),
    [anon_sym_anyopaque] = ACTIONS(1163),
    [anon_sym_anytype] = ACTIONS(1163),
    [anon_sym_noreturn] = ACTIONS(1163),
    [anon_sym_isize] = ACTIONS(1163),
    [anon_sym_usize] = ACTIONS(1163),
    [anon_sym_comptime_int] = ACTIONS(1163),
    [anon_sym_comptime_float] = ACTIONS(1163),
    [anon_sym_c_short] = ACTIONS(1163),
    [anon_sym_c_ushort] = ACTIONS(1163),
    [anon_sym_c_int] = ACTIONS(1163),
    [anon_sym_c_uint] = ACTIONS(1163),
    [anon_sym_c_long] = ACTIONS(1163),
    [anon_sym_c_ulong] = ACTIONS(1163),
    [anon_sym_c_longlong] = ACTIONS(1163),
    [anon_sym_c_ulonglong] = ACTIONS(1163),
    [anon_sym_c_longdouble] = ACTIONS(1163),
    [aux_sym_builtin_type_token1] = ACTIONS(1163),
    [sym_builtin_identifier] = ACTIONS(1165),
    [anon_sym_AT] = ACTIONS(1163),
    [sym_comment] = ACTIONS(3),
  },
  [765] = {
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_comptime] = ACTIONS(1167),
    [anon_sym_extern] = ACTIONS(1167),
    [anon_sym_const] = ACTIONS(1167),
    [anon_sym_var] = ACTIONS(1167),
    [anon_sym_inline] = ACTIONS(1167),
    [anon_sym_fn] = ACTIONS(1167),
    [anon_sym_BANG] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1169),
    [anon_sym_LBRACE] = ACTIONS(1169),
    [anon_sym_RBRACE] = ACTIONS(1169),
    [anon_sym_packed] = ACTIONS(1167),
    [anon_sym_struct] = ACTIONS(1167),
    [anon_sym_opaque] = ACTIONS(1167),
    [anon_sym_enum] = ACTIONS(1167),
    [anon_sym_union] = ACTIONS(1167),
    [anon_sym_error] = ACTIONS(1167),
    [anon_sym_nosuspend] = ACTIONS(1167),
    [anon_sym_suspend] = ACTIONS(1167),
    [anon_sym_defer] = ACTIONS(1167),
    [anon_sym_errdefer] = ACTIONS(1167),
    [anon_sym_if] = ACTIONS(1167),
    [anon_sym_for] = ACTIONS(1167),
    [anon_sym_while] = ACTIONS(1167),
    [anon_sym_STAR] = ACTIONS(1169),
    [anon_sym_asm] = ACTIONS(1167),
    [anon_sym_LBRACK] = ACTIONS(1169),
    [anon_sym_TILDE] = ACTIONS(1169),
    [anon_sym_DASH] = ACTIONS(1167),
    [anon_sym_DASH_PERCENT] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1169),
    [anon_sym_async] = ACTIONS(1167),
    [anon_sym_await] = ACTIONS(1167),
    [anon_sym_continue] = ACTIONS(1167),
    [anon_sym_resume] = ACTIONS(1167),
    [anon_sym_return] = ACTIONS(1167),
    [anon_sym_break] = ACTIONS(1167),
    [anon_sym_try] = ACTIONS(1167),
    [anon_sym_switch] = ACTIONS(1167),
    [anon_sym_anyframe] = ACTIONS(1167),
    [anon_sym_unreachable] = ACTIONS(1167),
    [anon_sym_undefined] = ACTIONS(1167),
    [anon_sym_null] = ACTIONS(1167),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [aux_sym_multiline_string_token1] = ACTIONS(1169),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [sym_integer] = ACTIONS(1167),
    [sym_float] = ACTIONS(1169),
    [anon_sym_true] = ACTIONS(1167),
    [anon_sym_false] = ACTIONS(1167),
    [anon_sym_bool] = ACTIONS(1167),
    [anon_sym_f16] = ACTIONS(1167),
    [anon_sym_f32] = ACTIONS(1167),
    [anon_sym_f64] = ACTIONS(1167),
    [anon_sym_f128] = ACTIONS(1167),
    [anon_sym_void] = ACTIONS(1167),
    [anon_sym_type] = ACTIONS(1167),
    [anon_sym_anyerror] = ACTIONS(1167),
    [anon_sym_anyopaque] = ACTIONS(1167),
    [anon_sym_anytype] = ACTIONS(1167),
    [anon_sym_noreturn] = ACTIONS(1167),
    [anon_sym_isize] = ACTIONS(1167),
    [anon_sym_usize] = ACTIONS(1167),
    [anon_sym_comptime_int] = ACTIONS(1167),
    [anon_sym_comptime_float] = ACTIONS(1167),
    [anon_sym_c_short] = ACTIONS(1167),
    [anon_sym_c_ushort] = ACTIONS(1167),
    [anon_sym_c_int] = ACTIONS(1167),
    [anon_sym_c_uint] = ACTIONS(1167),
    [anon_sym_c_long] = ACTIONS(1167),
    [anon_sym_c_ulong] = ACTIONS(1167),
    [anon_sym_c_longlong] = ACTIONS(1167),
    [anon_sym_c_ulonglong] = ACTIONS(1167),
    [anon_sym_c_longdouble] = ACTIONS(1167),
    [aux_sym_builtin_type_token1] = ACTIONS(1167),
    [sym_builtin_identifier] = ACTIONS(1169),
    [anon_sym_AT] = ACTIONS(1167),
    [sym_comment] = ACTIONS(3),
  },
  [766] = {
    [sym__identifier] = ACTIONS(1171),
    [anon_sym_comptime] = ACTIONS(1171),
    [anon_sym_extern] = ACTIONS(1171),
    [anon_sym_const] = ACTIONS(1171),
    [anon_sym_var] = ACTIONS(1171),
    [anon_sym_inline] = ACTIONS(1171),
    [anon_sym_fn] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_LBRACE] = ACTIONS(1173),
    [anon_sym_RBRACE] = ACTIONS(1173),
    [anon_sym_packed] = ACTIONS(1171),
    [anon_sym_struct] = ACTIONS(1171),
    [anon_sym_opaque] = ACTIONS(1171),
    [anon_sym_enum] = ACTIONS(1171),
    [anon_sym_union] = ACTIONS(1171),
    [anon_sym_error] = ACTIONS(1171),
    [anon_sym_nosuspend] = ACTIONS(1171),
    [anon_sym_suspend] = ACTIONS(1171),
    [anon_sym_defer] = ACTIONS(1171),
    [anon_sym_errdefer] = ACTIONS(1171),
    [anon_sym_if] = ACTIONS(1171),
    [anon_sym_for] = ACTIONS(1171),
    [anon_sym_while] = ACTIONS(1171),
    [anon_sym_STAR] = ACTIONS(1173),
    [anon_sym_asm] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_TILDE] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1171),
    [anon_sym_DASH_PERCENT] = ACTIONS(1173),
    [anon_sym_AMP] = ACTIONS(1173),
    [anon_sym_async] = ACTIONS(1171),
    [anon_sym_await] = ACTIONS(1171),
    [anon_sym_continue] = ACTIONS(1171),
    [anon_sym_resume] = ACTIONS(1171),
    [anon_sym_return] = ACTIONS(1171),
    [anon_sym_break] = ACTIONS(1171),
    [anon_sym_try] = ACTIONS(1171),
    [anon_sym_switch] = ACTIONS(1171),
    [anon_sym_anyframe] = ACTIONS(1171),
    [anon_sym_unreachable] = ACTIONS(1171),
    [anon_sym_undefined] = ACTIONS(1171),
    [anon_sym_null] = ACTIONS(1171),
    [anon_sym_QMARK] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(1173),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [aux_sym_multiline_string_token1] = ACTIONS(1173),
    [anon_sym_SQUOTE] = ACTIONS(1173),
    [sym_integer] = ACTIONS(1171),
    [sym_float] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1171),
    [anon_sym_false] = ACTIONS(1171),
    [anon_sym_bool] = ACTIONS(1171),
    [anon_sym_f16] = ACTIONS(1171),
    [anon_sym_f32] = ACTIONS(1171),
    [anon_sym_f64] = ACTIONS(1171),
    [anon_sym_f128] = ACTIONS(1171),
    [anon_sym_void] = ACTIONS(1171),
    [anon_sym_type] = ACTIONS(1171),
    [anon_sym_anyerror] = ACTIONS(1171),
    [anon_sym_anyopaque] = ACTIONS(1171),
    [anon_sym_anytype] = ACTIONS(1171),
    [anon_sym_noreturn] = ACTIONS(1171),
    [anon_sym_isize] = ACTIONS(1171),
    [anon_sym_usize] = ACTIONS(1171),
    [anon_sym_comptime_int] = ACTIONS(1171),
    [anon_sym_comptime_float] = ACTIONS(1171),
    [anon_sym_c_short] = ACTIONS(1171),
    [anon_sym_c_ushort] = ACTIONS(1171),
    [anon_sym_c_int] = ACTIONS(1171),
    [anon_sym_c_uint] = ACTIONS(1171),
    [anon_sym_c_long] = ACTIONS(1171),
    [anon_sym_c_ulong] = ACTIONS(1171),
    [anon_sym_c_longlong] = ACTIONS(1171),
    [anon_sym_c_ulonglong] = ACTIONS(1171),
    [anon_sym_c_longdouble] = ACTIONS(1171),
    [aux_sym_builtin_type_token1] = ACTIONS(1171),
    [sym_builtin_identifier] = ACTIONS(1173),
    [anon_sym_AT] = ACTIONS(1171),
    [sym_comment] = ACTIONS(3),
  },
  [767] = {
    [sym__identifier] = ACTIONS(1175),
    [anon_sym_comptime] = ACTIONS(1175),
    [anon_sym_extern] = ACTIONS(1175),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_var] = ACTIONS(1175),
    [anon_sym_inline] = ACTIONS(1175),
    [anon_sym_fn] = ACTIONS(1175),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1177),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_RBRACE] = ACTIONS(1177),
    [anon_sym_packed] = ACTIONS(1175),
    [anon_sym_struct] = ACTIONS(1175),
    [anon_sym_opaque] = ACTIONS(1175),
    [anon_sym_enum] = ACTIONS(1175),
    [anon_sym_union] = ACTIONS(1175),
    [anon_sym_error] = ACTIONS(1175),
    [anon_sym_nosuspend] = ACTIONS(1175),
    [anon_sym_suspend] = ACTIONS(1175),
    [anon_sym_defer] = ACTIONS(1175),
    [anon_sym_errdefer] = ACTIONS(1175),
    [anon_sym_if] = ACTIONS(1175),
    [anon_sym_for] = ACTIONS(1175),
    [anon_sym_while] = ACTIONS(1175),
    [anon_sym_STAR] = ACTIONS(1177),
    [anon_sym_asm] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_DASH] = ACTIONS(1175),
    [anon_sym_DASH_PERCENT] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1177),
    [anon_sym_async] = ACTIONS(1175),
    [anon_sym_await] = ACTIONS(1175),
    [anon_sym_continue] = ACTIONS(1175),
    [anon_sym_resume] = ACTIONS(1175),
    [anon_sym_return] = ACTIONS(1175),
    [anon_sym_break] = ACTIONS(1175),
    [anon_sym_try] = ACTIONS(1175),
    [anon_sym_switch] = ACTIONS(1175),
    [anon_sym_anyframe] = ACTIONS(1175),
    [anon_sym_unreachable] = ACTIONS(1175),
    [anon_sym_undefined] = ACTIONS(1175),
    [anon_sym_null] = ACTIONS(1175),
    [anon_sym_QMARK] = ACTIONS(1177),
    [anon_sym_DOT] = ACTIONS(1177),
    [anon_sym_DQUOTE] = ACTIONS(1177),
    [aux_sym_multiline_string_token1] = ACTIONS(1177),
    [anon_sym_SQUOTE] = ACTIONS(1177),
    [sym_integer] = ACTIONS(1175),
    [sym_float] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_bool] = ACTIONS(1175),
    [anon_sym_f16] = ACTIONS(1175),
    [anon_sym_f32] = ACTIONS(1175),
    [anon_sym_f64] = ACTIONS(1175),
    [anon_sym_f128] = ACTIONS(1175),
    [anon_sym_void] = ACTIONS(1175),
    [anon_sym_type] = ACTIONS(1175),
    [anon_sym_anyerror] = ACTIONS(1175),
    [anon_sym_anyopaque] = ACTIONS(1175),
    [anon_sym_anytype] = ACTIONS(1175),
    [anon_sym_noreturn] = ACTIONS(1175),
    [anon_sym_isize] = ACTIONS(1175),
    [anon_sym_usize] = ACTIONS(1175),
    [anon_sym_comptime_int] = ACTIONS(1175),
    [anon_sym_comptime_float] = ACTIONS(1175),
    [anon_sym_c_short] = ACTIONS(1175),
    [anon_sym_c_ushort] = ACTIONS(1175),
    [anon_sym_c_int] = ACTIONS(1175),
    [anon_sym_c_uint] = ACTIONS(1175),
    [anon_sym_c_long] = ACTIONS(1175),
    [anon_sym_c_ulong] = ACTIONS(1175),
    [anon_sym_c_longlong] = ACTIONS(1175),
    [anon_sym_c_ulonglong] = ACTIONS(1175),
    [anon_sym_c_longdouble] = ACTIONS(1175),
    [aux_sym_builtin_type_token1] = ACTIONS(1175),
    [sym_builtin_identifier] = ACTIONS(1177),
    [anon_sym_AT] = ACTIONS(1175),
    [sym_comment] = ACTIONS(3),
  },
  [768] = {
    [sym__identifier] = ACTIONS(1179),
    [anon_sym_comptime] = ACTIONS(1179),
    [anon_sym_extern] = ACTIONS(1179),
    [anon_sym_const] = ACTIONS(1179),
    [anon_sym_var] = ACTIONS(1179),
    [anon_sym_inline] = ACTIONS(1179),
    [anon_sym_fn] = ACTIONS(1179),
    [anon_sym_BANG] = ACTIONS(1181),
    [anon_sym_LPAREN] = ACTIONS(1181),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_RBRACE] = ACTIONS(1181),
    [anon_sym_packed] = ACTIONS(1179),
    [anon_sym_struct] = ACTIONS(1179),
    [anon_sym_opaque] = ACTIONS(1179),
    [anon_sym_enum] = ACTIONS(1179),
    [anon_sym_union] = ACTIONS(1179),
    [anon_sym_error] = ACTIONS(1179),
    [anon_sym_nosuspend] = ACTIONS(1179),
    [anon_sym_suspend] = ACTIONS(1179),
    [anon_sym_defer] = ACTIONS(1179),
    [anon_sym_errdefer] = ACTIONS(1179),
    [anon_sym_if] = ACTIONS(1179),
    [anon_sym_for] = ACTIONS(1179),
    [anon_sym_while] = ACTIONS(1179),
    [anon_sym_STAR] = ACTIONS(1181),
    [anon_sym_asm] = ACTIONS(1179),
    [anon_sym_LBRACK] = ACTIONS(1181),
    [anon_sym_TILDE] = ACTIONS(1181),
    [anon_sym_DASH] = ACTIONS(1179),
    [anon_sym_DASH_PERCENT] = ACTIONS(1181),
    [anon_sym_AMP] = ACTIONS(1181),
    [anon_sym_async] = ACTIONS(1179),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_continue] = ACTIONS(1179),
    [anon_sym_resume] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_break] = ACTIONS(1179),
    [anon_sym_try] = ACTIONS(1179),
    [anon_sym_switch] = ACTIONS(1179),
    [anon_sym_anyframe] = ACTIONS(1179),
    [anon_sym_unreachable] = ACTIONS(1179),
    [anon_sym_undefined] = ACTIONS(1179),
    [anon_sym_null] = ACTIONS(1179),
    [anon_sym_QMARK] = ACTIONS(1181),
    [anon_sym_DOT] = ACTIONS(1181),
    [anon_sym_DQUOTE] = ACTIONS(1181),
    [aux_sym_multiline_string_token1] = ACTIONS(1181),
    [anon_sym_SQUOTE] = ACTIONS(1181),
    [sym_integer] = ACTIONS(1179),
    [sym_float] = ACTIONS(1181),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_bool] = ACTIONS(1179),
    [anon_sym_f16] = ACTIONS(1179),
    [anon_sym_f32] = ACTIONS(1179),
    [anon_sym_f64] = ACTIONS(1179),
    [anon_sym_f128] = ACTIONS(1179),
    [anon_sym_void] = ACTIONS(1179),
    [anon_sym_type] = ACTIONS(1179),
    [anon_sym_anyerror] = ACTIONS(1179),
    [anon_sym_anyopaque] = ACTIONS(1179),
    [anon_sym_anytype] = ACTIONS(1179),
    [anon_sym_noreturn] = ACTIONS(1179),
    [anon_sym_isize] = ACTIONS(1179),
    [anon_sym_usize] = ACTIONS(1179),
    [anon_sym_comptime_int] = ACTIONS(1179),
    [anon_sym_comptime_float] = ACTIONS(1179),
    [anon_sym_c_short] = ACTIONS(1179),
    [anon_sym_c_ushort] = ACTIONS(1179),
    [anon_sym_c_int] = ACTIONS(1179),
    [anon_sym_c_uint] = ACTIONS(1179),
    [anon_sym_c_long] = ACTIONS(1179),
    [anon_sym_c_ulong] = ACTIONS(1179),
    [anon_sym_c_longlong] = ACTIONS(1179),
    [anon_sym_c_ulonglong] = ACTIONS(1179),
    [anon_sym_c_longdouble] = ACTIONS(1179),
    [aux_sym_builtin_type_token1] = ACTIONS(1179),
    [sym_builtin_identifier] = ACTIONS(1181),
    [anon_sym_AT] = ACTIONS(1179),
    [sym_comment] = ACTIONS(3),
  },
  [769] = {
    [sym__identifier] = ACTIONS(997),
    [anon_sym_comptime] = ACTIONS(997),
    [anon_sym_extern] = ACTIONS(997),
    [anon_sym_const] = ACTIONS(997),
    [anon_sym_var] = ACTIONS(997),
    [anon_sym_inline] = ACTIONS(997),
    [anon_sym_fn] = ACTIONS(997),
    [anon_sym_BANG] = ACTIONS(999),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(999),
    [anon_sym_RBRACE] = ACTIONS(999),
    [anon_sym_packed] = ACTIONS(997),
    [anon_sym_struct] = ACTIONS(997),
    [anon_sym_opaque] = ACTIONS(997),
    [anon_sym_enum] = ACTIONS(997),
    [anon_sym_union] = ACTIONS(997),
    [anon_sym_error] = ACTIONS(997),
    [anon_sym_nosuspend] = ACTIONS(997),
    [anon_sym_suspend] = ACTIONS(997),
    [anon_sym_defer] = ACTIONS(997),
    [anon_sym_errdefer] = ACTIONS(997),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_for] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(997),
    [anon_sym_STAR] = ACTIONS(999),
    [anon_sym_asm] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_TILDE] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(997),
    [anon_sym_DASH_PERCENT] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(999),
    [anon_sym_async] = ACTIONS(997),
    [anon_sym_await] = ACTIONS(997),
    [anon_sym_continue] = ACTIONS(997),
    [anon_sym_resume] = ACTIONS(997),
    [anon_sym_return] = ACTIONS(997),
    [anon_sym_break] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_switch] = ACTIONS(997),
    [anon_sym_anyframe] = ACTIONS(997),
    [anon_sym_unreachable] = ACTIONS(997),
    [anon_sym_undefined] = ACTIONS(997),
    [anon_sym_null] = ACTIONS(997),
    [anon_sym_QMARK] = ACTIONS(999),
    [anon_sym_DOT] = ACTIONS(999),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [aux_sym_multiline_string_token1] = ACTIONS(999),
    [anon_sym_SQUOTE] = ACTIONS(999),
    [sym_integer] = ACTIONS(997),
    [sym_float] = ACTIONS(999),
    [anon_sym_true] = ACTIONS(997),
    [anon_sym_false] = ACTIONS(997),
    [anon_sym_bool] = ACTIONS(997),
    [anon_sym_f16] = ACTIONS(997),
    [anon_sym_f32] = ACTIONS(997),
    [anon_sym_f64] = ACTIONS(997),
    [anon_sym_f128] = ACTIONS(997),
    [anon_sym_void] = ACTIONS(997),
    [anon_sym_type] = ACTIONS(997),
    [anon_sym_anyerror] = ACTIONS(997),
    [anon_sym_anyopaque] = ACTIONS(997),
    [anon_sym_anytype] = ACTIONS(997),
    [anon_sym_noreturn] = ACTIONS(997),
    [anon_sym_isize] = ACTIONS(997),
    [anon_sym_usize] = ACTIONS(997),
    [anon_sym_comptime_int] = ACTIONS(997),
    [anon_sym_comptime_float] = ACTIONS(997),
    [anon_sym_c_short] = ACTIONS(997),
    [anon_sym_c_ushort] = ACTIONS(997),
    [anon_sym_c_int] = ACTIONS(997),
    [anon_sym_c_uint] = ACTIONS(997),
    [anon_sym_c_long] = ACTIONS(997),
    [anon_sym_c_ulong] = ACTIONS(997),
    [anon_sym_c_longlong] = ACTIONS(997),
    [anon_sym_c_ulonglong] = ACTIONS(997),
    [anon_sym_c_longdouble] = ACTIONS(997),
    [aux_sym_builtin_type_token1] = ACTIONS(997),
    [sym_builtin_identifier] = ACTIONS(999),
    [anon_sym_AT] = ACTIONS(997),
    [sym_comment] = ACTIONS(3),
  },
  [770] = {
    [sym__identifier] = ACTIONS(1183),
    [anon_sym_comptime] = ACTIONS(1183),
    [anon_sym_extern] = ACTIONS(1183),
    [anon_sym_const] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(1183),
    [anon_sym_inline] = ACTIONS(1183),
    [anon_sym_fn] = ACTIONS(1183),
    [anon_sym_BANG] = ACTIONS(1185),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_RBRACE] = ACTIONS(1185),
    [anon_sym_packed] = ACTIONS(1183),
    [anon_sym_struct] = ACTIONS(1183),
    [anon_sym_opaque] = ACTIONS(1183),
    [anon_sym_enum] = ACTIONS(1183),
    [anon_sym_union] = ACTIONS(1183),
    [anon_sym_error] = ACTIONS(1183),
    [anon_sym_nosuspend] = ACTIONS(1183),
    [anon_sym_suspend] = ACTIONS(1183),
    [anon_sym_defer] = ACTIONS(1183),
    [anon_sym_errdefer] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1183),
    [anon_sym_for] = ACTIONS(1183),
    [anon_sym_while] = ACTIONS(1183),
    [anon_sym_STAR] = ACTIONS(1185),
    [anon_sym_asm] = ACTIONS(1183),
    [anon_sym_LBRACK] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(1185),
    [anon_sym_DASH] = ACTIONS(1183),
    [anon_sym_DASH_PERCENT] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(1185),
    [anon_sym_async] = ACTIONS(1183),
    [anon_sym_await] = ACTIONS(1183),
    [anon_sym_continue] = ACTIONS(1183),
    [anon_sym_resume] = ACTIONS(1183),
    [anon_sym_return] = ACTIONS(1183),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_try] = ACTIONS(1183),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_anyframe] = ACTIONS(1183),
    [anon_sym_unreachable] = ACTIONS(1183),
    [anon_sym_undefined] = ACTIONS(1183),
    [anon_sym_null] = ACTIONS(1183),
    [anon_sym_QMARK] = ACTIONS(1185),
    [anon_sym_DOT] = ACTIONS(1185),
    [anon_sym_DQUOTE] = ACTIONS(1185),
    [aux_sym_multiline_string_token1] = ACTIONS(1185),
    [anon_sym_SQUOTE] = ACTIONS(1185),
    [sym_integer] = ACTIONS(1183),
    [sym_float] = ACTIONS(1185),
    [anon_sym_true] = ACTIONS(1183),
    [anon_sym_false] = ACTIONS(1183),
    [anon_sym_bool] = ACTIONS(1183),
    [anon_sym_f16] = ACTIONS(1183),
    [anon_sym_f32] = ACTIONS(1183),
    [anon_sym_f64] = ACTIONS(1183),
    [anon_sym_f128] = ACTIONS(1183),
    [anon_sym_void] = ACTIONS(1183),
    [anon_sym_type] = ACTIONS(1183),
    [anon_sym_anyerror] = ACTIONS(1183),
    [anon_sym_anyopaque] = ACTIONS(1183),
    [anon_sym_anytype] = ACTIONS(1183),
    [anon_sym_noreturn] = ACTIONS(1183),
    [anon_sym_isize] = ACTIONS(1183),
    [anon_sym_usize] = ACTIONS(1183),
    [anon_sym_comptime_int] = ACTIONS(1183),
    [anon_sym_comptime_float] = ACTIONS(1183),
    [anon_sym_c_short] = ACTIONS(1183),
    [anon_sym_c_ushort] = ACTIONS(1183),
    [anon_sym_c_int] = ACTIONS(1183),
    [anon_sym_c_uint] = ACTIONS(1183),
    [anon_sym_c_long] = ACTIONS(1183),
    [anon_sym_c_ulong] = ACTIONS(1183),
    [anon_sym_c_longlong] = ACTIONS(1183),
    [anon_sym_c_ulonglong] = ACTIONS(1183),
    [anon_sym_c_longdouble] = ACTIONS(1183),
    [aux_sym_builtin_type_token1] = ACTIONS(1183),
    [sym_builtin_identifier] = ACTIONS(1185),
    [anon_sym_AT] = ACTIONS(1183),
    [sym_comment] = ACTIONS(3),
  },
  [771] = {
    [sym__identifier] = ACTIONS(1187),
    [anon_sym_comptime] = ACTIONS(1187),
    [anon_sym_extern] = ACTIONS(1187),
    [anon_sym_const] = ACTIONS(1187),
    [anon_sym_var] = ACTIONS(1187),
    [anon_sym_inline] = ACTIONS(1187),
    [anon_sym_fn] = ACTIONS(1187),
    [anon_sym_BANG] = ACTIONS(1189),
    [anon_sym_LPAREN] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_RBRACE] = ACTIONS(1189),
    [anon_sym_packed] = ACTIONS(1187),
    [anon_sym_struct] = ACTIONS(1187),
    [anon_sym_opaque] = ACTIONS(1187),
    [anon_sym_enum] = ACTIONS(1187),
    [anon_sym_union] = ACTIONS(1187),
    [anon_sym_error] = ACTIONS(1187),
    [anon_sym_nosuspend] = ACTIONS(1187),
    [anon_sym_suspend] = ACTIONS(1187),
    [anon_sym_defer] = ACTIONS(1187),
    [anon_sym_errdefer] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1187),
    [anon_sym_for] = ACTIONS(1187),
    [anon_sym_while] = ACTIONS(1187),
    [anon_sym_STAR] = ACTIONS(1189),
    [anon_sym_asm] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_TILDE] = ACTIONS(1189),
    [anon_sym_DASH] = ACTIONS(1187),
    [anon_sym_DASH_PERCENT] = ACTIONS(1189),
    [anon_sym_AMP] = ACTIONS(1189),
    [anon_sym_async] = ACTIONS(1187),
    [anon_sym_await] = ACTIONS(1187),
    [anon_sym_continue] = ACTIONS(1187),
    [anon_sym_resume] = ACTIONS(1187),
    [anon_sym_return] = ACTIONS(1187),
    [anon_sym_break] = ACTIONS(1187),
    [anon_sym_try] = ACTIONS(1187),
    [anon_sym_switch] = ACTIONS(1187),
    [anon_sym_anyframe] = ACTIONS(1187),
    [anon_sym_unreachable] = ACTIONS(1187),
    [anon_sym_undefined] = ACTIONS(1187),
    [anon_sym_null] = ACTIONS(1187),
    [anon_sym_QMARK] = ACTIONS(1189),
    [anon_sym_DOT] = ACTIONS(1189),
    [anon_sym_DQUOTE] = ACTIONS(1189),
    [aux_sym_multiline_string_token1] = ACTIONS(1189),
    [anon_sym_SQUOTE] = ACTIONS(1189),
    [sym_integer] = ACTIONS(1187),
    [sym_float] = ACTIONS(1189),
    [anon_sym_true] = ACTIONS(1187),
    [anon_sym_false] = ACTIONS(1187),
    [anon_sym_bool] = ACTIONS(1187),
    [anon_sym_f16] = ACTIONS(1187),
    [anon_sym_f32] = ACTIONS(1187),
    [anon_sym_f64] = ACTIONS(1187),
    [anon_sym_f128] = ACTIONS(1187),
    [anon_sym_void] = ACTIONS(1187),
    [anon_sym_type] = ACTIONS(1187),
    [anon_sym_anyerror] = ACTIONS(1187),
    [anon_sym_anyopaque] = ACTIONS(1187),
    [anon_sym_anytype] = ACTIONS(1187),
    [anon_sym_noreturn] = ACTIONS(1187),
    [anon_sym_isize] = ACTIONS(1187),
    [anon_sym_usize] = ACTIONS(1187),
    [anon_sym_comptime_int] = ACTIONS(1187),
    [anon_sym_comptime_float] = ACTIONS(1187),
    [anon_sym_c_short] = ACTIONS(1187),
    [anon_sym_c_ushort] = ACTIONS(1187),
    [anon_sym_c_int] = ACTIONS(1187),
    [anon_sym_c_uint] = ACTIONS(1187),
    [anon_sym_c_long] = ACTIONS(1187),
    [anon_sym_c_ulong] = ACTIONS(1187),
    [anon_sym_c_longlong] = ACTIONS(1187),
    [anon_sym_c_ulonglong] = ACTIONS(1187),
    [anon_sym_c_longdouble] = ACTIONS(1187),
    [aux_sym_builtin_type_token1] = ACTIONS(1187),
    [sym_builtin_identifier] = ACTIONS(1189),
    [anon_sym_AT] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
  },
  [772] = {
    [sym__identifier] = ACTIONS(1191),
    [anon_sym_comptime] = ACTIONS(1191),
    [anon_sym_extern] = ACTIONS(1191),
    [anon_sym_const] = ACTIONS(1191),
    [anon_sym_var] = ACTIONS(1191),
    [anon_sym_inline] = ACTIONS(1191),
    [anon_sym_fn] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_RBRACE] = ACTIONS(1193),
    [anon_sym_packed] = ACTIONS(1191),
    [anon_sym_struct] = ACTIONS(1191),
    [anon_sym_opaque] = ACTIONS(1191),
    [anon_sym_enum] = ACTIONS(1191),
    [anon_sym_union] = ACTIONS(1191),
    [anon_sym_error] = ACTIONS(1191),
    [anon_sym_nosuspend] = ACTIONS(1191),
    [anon_sym_suspend] = ACTIONS(1191),
    [anon_sym_defer] = ACTIONS(1191),
    [anon_sym_errdefer] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_for] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1191),
    [anon_sym_STAR] = ACTIONS(1193),
    [anon_sym_asm] = ACTIONS(1191),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_TILDE] = ACTIONS(1193),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_DASH_PERCENT] = ACTIONS(1193),
    [anon_sym_AMP] = ACTIONS(1193),
    [anon_sym_async] = ACTIONS(1191),
    [anon_sym_await] = ACTIONS(1191),
    [anon_sym_continue] = ACTIONS(1191),
    [anon_sym_resume] = ACTIONS(1191),
    [anon_sym_return] = ACTIONS(1191),
    [anon_sym_break] = ACTIONS(1191),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_switch] = ACTIONS(1191),
    [anon_sym_anyframe] = ACTIONS(1191),
    [anon_sym_unreachable] = ACTIONS(1191),
    [anon_sym_undefined] = ACTIONS(1191),
    [anon_sym_null] = ACTIONS(1191),
    [anon_sym_QMARK] = ACTIONS(1193),
    [anon_sym_DOT] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(1193),
    [aux_sym_multiline_string_token1] = ACTIONS(1193),
    [anon_sym_SQUOTE] = ACTIONS(1193),
    [sym_integer] = ACTIONS(1191),
    [sym_float] = ACTIONS(1193),
    [anon_sym_true] = ACTIONS(1191),
    [anon_sym_false] = ACTIONS(1191),
    [anon_sym_bool] = ACTIONS(1191),
    [anon_sym_f16] = ACTIONS(1191),
    [anon_sym_f32] = ACTIONS(1191),
    [anon_sym_f64] = ACTIONS(1191),
    [anon_sym_f128] = ACTIONS(1191),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_anyerror] = ACTIONS(1191),
    [anon_sym_anyopaque] = ACTIONS(1191),
    [anon_sym_anytype] = ACTIONS(1191),
    [anon_sym_noreturn] = ACTIONS(1191),
    [anon_sym_isize] = ACTIONS(1191),
    [anon_sym_usize] = ACTIONS(1191),
    [anon_sym_comptime_int] = ACTIONS(1191),
    [anon_sym_comptime_float] = ACTIONS(1191),
    [anon_sym_c_short] = ACTIONS(1191),
    [anon_sym_c_ushort] = ACTIONS(1191),
    [anon_sym_c_int] = ACTIONS(1191),
    [anon_sym_c_uint] = ACTIONS(1191),
    [anon_sym_c_long] = ACTIONS(1191),
    [anon_sym_c_ulong] = ACTIONS(1191),
    [anon_sym_c_longlong] = ACTIONS(1191),
    [anon_sym_c_ulonglong] = ACTIONS(1191),
    [anon_sym_c_longdouble] = ACTIONS(1191),
    [aux_sym_builtin_type_token1] = ACTIONS(1191),
    [sym_builtin_identifier] = ACTIONS(1193),
    [anon_sym_AT] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
  },
  [773] = {
    [sym__identifier] = ACTIONS(985),
    [anon_sym_comptime] = ACTIONS(985),
    [anon_sym_extern] = ACTIONS(985),
    [anon_sym_const] = ACTIONS(985),
    [anon_sym_var] = ACTIONS(985),
    [anon_sym_inline] = ACTIONS(985),
    [anon_sym_fn] = ACTIONS(985),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(991),
    [anon_sym_LBRACE] = ACTIONS(991),
    [anon_sym_RBRACE] = ACTIONS(991),
    [anon_sym_packed] = ACTIONS(985),
    [anon_sym_struct] = ACTIONS(985),
    [anon_sym_opaque] = ACTIONS(985),
    [anon_sym_enum] = ACTIONS(985),
    [anon_sym_union] = ACTIONS(985),
    [anon_sym_error] = ACTIONS(985),
    [anon_sym_nosuspend] = ACTIONS(985),
    [anon_sym_suspend] = ACTIONS(985),
    [anon_sym_defer] = ACTIONS(985),
    [anon_sym_errdefer] = ACTIONS(985),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_for] = ACTIONS(985),
    [anon_sym_while] = ACTIONS(985),
    [anon_sym_STAR] = ACTIONS(991),
    [anon_sym_asm] = ACTIONS(985),
    [anon_sym_LBRACK] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(985),
    [anon_sym_DASH_PERCENT] = ACTIONS(991),
    [anon_sym_AMP] = ACTIONS(991),
    [anon_sym_async] = ACTIONS(985),
    [anon_sym_await] = ACTIONS(985),
    [anon_sym_continue] = ACTIONS(985),
    [anon_sym_resume] = ACTIONS(985),
    [anon_sym_return] = ACTIONS(985),
    [anon_sym_break] = ACTIONS(985),
    [anon_sym_try] = ACTIONS(985),
    [anon_sym_switch] = ACTIONS(985),
    [anon_sym_anyframe] = ACTIONS(985),
    [anon_sym_unreachable] = ACTIONS(985),
    [anon_sym_undefined] = ACTIONS(985),
    [anon_sym_null] = ACTIONS(985),
    [anon_sym_QMARK] = ACTIONS(991),
    [anon_sym_DOT] = ACTIONS(991),
    [anon_sym_DQUOTE] = ACTIONS(991),
    [aux_sym_multiline_string_token1] = ACTIONS(991),
    [anon_sym_SQUOTE] = ACTIONS(991),
    [sym_integer] = ACTIONS(985),
    [sym_float] = ACTIONS(991),
    [anon_sym_true] = ACTIONS(985),
    [anon_sym_false] = ACTIONS(985),
    [anon_sym_bool] = ACTIONS(985),
    [anon_sym_f16] = ACTIONS(985),
    [anon_sym_f32] = ACTIONS(985),
    [anon_sym_f64] = ACTIONS(985),
    [anon_sym_f128] = ACTIONS(985),
    [anon_sym_void] = ACTIONS(985),
    [anon_sym_type] = ACTIONS(985),
    [anon_sym_anyerror] = ACTIONS(985),
    [anon_sym_anyopaque] = ACTIONS(985),
    [anon_sym_anytype] = ACTIONS(985),
    [anon_sym_noreturn] = ACTIONS(985),
    [anon_sym_isize] = ACTIONS(985),
    [anon_sym_usize] = ACTIONS(985),
    [anon_sym_comptime_int] = ACTIONS(985),
    [anon_sym_comptime_float] = ACTIONS(985),
    [anon_sym_c_short] = ACTIONS(985),
    [anon_sym_c_ushort] = ACTIONS(985),
    [anon_sym_c_int] = ACTIONS(985),
    [anon_sym_c_uint] = ACTIONS(985),
    [anon_sym_c_long] = ACTIONS(985),
    [anon_sym_c_ulong] = ACTIONS(985),
    [anon_sym_c_longlong] = ACTIONS(985),
    [anon_sym_c_ulonglong] = ACTIONS(985),
    [anon_sym_c_longdouble] = ACTIONS(985),
    [aux_sym_builtin_type_token1] = ACTIONS(985),
    [sym_builtin_identifier] = ACTIONS(991),
    [anon_sym_AT] = ACTIONS(985),
    [sym_comment] = ACTIONS(3),
  },
  [774] = {
    [sym__identifier] = ACTIONS(977),
    [anon_sym_comptime] = ACTIONS(977),
    [anon_sym_extern] = ACTIONS(977),
    [anon_sym_const] = ACTIONS(977),
    [anon_sym_var] = ACTIONS(977),
    [anon_sym_inline] = ACTIONS(977),
    [anon_sym_fn] = ACTIONS(977),
    [anon_sym_BANG] = ACTIONS(979),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_RBRACE] = ACTIONS(979),
    [anon_sym_packed] = ACTIONS(977),
    [anon_sym_struct] = ACTIONS(977),
    [anon_sym_opaque] = ACTIONS(977),
    [anon_sym_enum] = ACTIONS(977),
    [anon_sym_union] = ACTIONS(977),
    [anon_sym_error] = ACTIONS(977),
    [anon_sym_nosuspend] = ACTIONS(977),
    [anon_sym_suspend] = ACTIONS(977),
    [anon_sym_defer] = ACTIONS(977),
    [anon_sym_errdefer] = ACTIONS(977),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_for] = ACTIONS(977),
    [anon_sym_while] = ACTIONS(977),
    [anon_sym_STAR] = ACTIONS(979),
    [anon_sym_asm] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(977),
    [anon_sym_DASH_PERCENT] = ACTIONS(979),
    [anon_sym_AMP] = ACTIONS(979),
    [anon_sym_async] = ACTIONS(977),
    [anon_sym_await] = ACTIONS(977),
    [anon_sym_continue] = ACTIONS(977),
    [anon_sym_resume] = ACTIONS(977),
    [anon_sym_return] = ACTIONS(977),
    [anon_sym_break] = ACTIONS(977),
    [anon_sym_try] = ACTIONS(977),
    [anon_sym_switch] = ACTIONS(977),
    [anon_sym_anyframe] = ACTIONS(977),
    [anon_sym_unreachable] = ACTIONS(977),
    [anon_sym_undefined] = ACTIONS(977),
    [anon_sym_null] = ACTIONS(977),
    [anon_sym_QMARK] = ACTIONS(979),
    [anon_sym_DOT] = ACTIONS(979),
    [anon_sym_DQUOTE] = ACTIONS(979),
    [aux_sym_multiline_string_token1] = ACTIONS(979),
    [anon_sym_SQUOTE] = ACTIONS(979),
    [sym_integer] = ACTIONS(977),
    [sym_float] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(977),
    [anon_sym_bool] = ACTIONS(977),
    [anon_sym_f16] = ACTIONS(977),
    [anon_sym_f32] = ACTIONS(977),
    [anon_sym_f64] = ACTIONS(977),
    [anon_sym_f128] = ACTIONS(977),
    [anon_sym_void] = ACTIONS(977),
    [anon_sym_type] = ACTIONS(977),
    [anon_sym_anyerror] = ACTIONS(977),
    [anon_sym_anyopaque] = ACTIONS(977),
    [anon_sym_anytype] = ACTIONS(977),
    [anon_sym_noreturn] = ACTIONS(977),
    [anon_sym_isize] = ACTIONS(977),
    [anon_sym_usize] = ACTIONS(977),
    [anon_sym_comptime_int] = ACTIONS(977),
    [anon_sym_comptime_float] = ACTIONS(977),
    [anon_sym_c_short] = ACTIONS(977),
    [anon_sym_c_ushort] = ACTIONS(977),
    [anon_sym_c_int] = ACTIONS(977),
    [anon_sym_c_uint] = ACTIONS(977),
    [anon_sym_c_long] = ACTIONS(977),
    [anon_sym_c_ulong] = ACTIONS(977),
    [anon_sym_c_longlong] = ACTIONS(977),
    [anon_sym_c_ulonglong] = ACTIONS(977),
    [anon_sym_c_longdouble] = ACTIONS(977),
    [aux_sym_builtin_type_token1] = ACTIONS(977),
    [sym_builtin_identifier] = ACTIONS(979),
    [anon_sym_AT] = ACTIONS(977),
    [sym_comment] = ACTIONS(3),
  },
  [775] = {
    [sym__identifier] = ACTIONS(1195),
    [anon_sym_comptime] = ACTIONS(1195),
    [anon_sym_COLON] = ACTIONS(1197),
    [anon_sym_extern] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1195),
    [anon_sym_var] = ACTIONS(1195),
    [anon_sym_inline] = ACTIONS(1195),
    [anon_sym_fn] = ACTIONS(1195),
    [anon_sym_BANG] = ACTIONS(1197),
    [anon_sym_LPAREN] = ACTIONS(1197),
    [anon_sym_LBRACE] = ACTIONS(1197),
    [anon_sym_packed] = ACTIONS(1195),
    [anon_sym_struct] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1195),
    [anon_sym_enum] = ACTIONS(1195),
    [anon_sym_union] = ACTIONS(1195),
    [anon_sym_error] = ACTIONS(1195),
    [anon_sym_nosuspend] = ACTIONS(1195),
    [anon_sym_suspend] = ACTIONS(1195),
    [anon_sym_defer] = ACTIONS(1195),
    [anon_sym_errdefer] = ACTIONS(1195),
    [anon_sym_if] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1195),
    [anon_sym_while] = ACTIONS(1195),
    [anon_sym_STAR] = ACTIONS(1197),
    [anon_sym_asm] = ACTIONS(1195),
    [anon_sym_LBRACK] = ACTIONS(1197),
    [anon_sym_TILDE] = ACTIONS(1197),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_DASH_PERCENT] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(1197),
    [anon_sym_async] = ACTIONS(1195),
    [anon_sym_await] = ACTIONS(1195),
    [anon_sym_continue] = ACTIONS(1195),
    [anon_sym_resume] = ACTIONS(1195),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_break] = ACTIONS(1195),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_switch] = ACTIONS(1195),
    [anon_sym_anyframe] = ACTIONS(1195),
    [anon_sym_unreachable] = ACTIONS(1195),
    [anon_sym_undefined] = ACTIONS(1195),
    [anon_sym_null] = ACTIONS(1195),
    [anon_sym_QMARK] = ACTIONS(1197),
    [anon_sym_DOT] = ACTIONS(1197),
    [anon_sym_DQUOTE] = ACTIONS(1197),
    [aux_sym_multiline_string_token1] = ACTIONS(1197),
    [anon_sym_SQUOTE] = ACTIONS(1197),
    [sym_integer] = ACTIONS(1195),
    [sym_float] = ACTIONS(1197),
    [anon_sym_true] = ACTIONS(1195),
    [anon_sym_false] = ACTIONS(1195),
    [anon_sym_bool] = ACTIONS(1195),
    [anon_sym_f16] = ACTIONS(1195),
    [anon_sym_f32] = ACTIONS(1195),
    [anon_sym_f64] = ACTIONS(1195),
    [anon_sym_f128] = ACTIONS(1195),
    [anon_sym_void] = ACTIONS(1195),
    [anon_sym_type] = ACTIONS(1195),
    [anon_sym_anyerror] = ACTIONS(1195),
    [anon_sym_anyopaque] = ACTIONS(1195),
    [anon_sym_anytype] = ACTIONS(1195),
    [anon_sym_noreturn] = ACTIONS(1195),
    [anon_sym_isize] = ACTIONS(1195),
    [anon_sym_usize] = ACTIONS(1195),
    [anon_sym_comptime_int] = ACTIONS(1195),
    [anon_sym_comptime_float] = ACTIONS(1195),
    [anon_sym_c_short] = ACTIONS(1195),
    [anon_sym_c_ushort] = ACTIONS(1195),
    [anon_sym_c_int] = ACTIONS(1195),
    [anon_sym_c_uint] = ACTIONS(1195),
    [anon_sym_c_long] = ACTIONS(1195),
    [anon_sym_c_ulong] = ACTIONS(1195),
    [anon_sym_c_longlong] = ACTIONS(1195),
    [anon_sym_c_ulonglong] = ACTIONS(1195),
    [anon_sym_c_longdouble] = ACTIONS(1195),
    [aux_sym_builtin_type_token1] = ACTIONS(1195),
    [sym_builtin_identifier] = ACTIONS(1197),
    [anon_sym_AT] = ACTIONS(1195),
    [sym_comment] = ACTIONS(3),
  },
  [776] = {
    [sym__identifier] = ACTIONS(1199),
    [anon_sym_comptime] = ACTIONS(1199),
    [anon_sym_extern] = ACTIONS(1199),
    [anon_sym_const] = ACTIONS(1199),
    [anon_sym_var] = ACTIONS(1199),
    [anon_sym_inline] = ACTIONS(1199),
    [anon_sym_fn] = ACTIONS(1199),
    [anon_sym_BANG] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_LBRACE] = ACTIONS(1201),
    [anon_sym_RBRACE] = ACTIONS(1201),
    [anon_sym_packed] = ACTIONS(1199),
    [anon_sym_struct] = ACTIONS(1199),
    [anon_sym_opaque] = ACTIONS(1199),
    [anon_sym_enum] = ACTIONS(1199),
    [anon_sym_union] = ACTIONS(1199),
    [anon_sym_error] = ACTIONS(1199),
    [anon_sym_nosuspend] = ACTIONS(1199),
    [anon_sym_suspend] = ACTIONS(1199),
    [anon_sym_defer] = ACTIONS(1199),
    [anon_sym_errdefer] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_for] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(1199),
    [anon_sym_STAR] = ACTIONS(1201),
    [anon_sym_asm] = ACTIONS(1199),
    [anon_sym_LBRACK] = ACTIONS(1201),
    [anon_sym_TILDE] = ACTIONS(1201),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_DASH_PERCENT] = ACTIONS(1201),
    [anon_sym_AMP] = ACTIONS(1201),
    [anon_sym_async] = ACTIONS(1199),
    [anon_sym_await] = ACTIONS(1199),
    [anon_sym_continue] = ACTIONS(1199),
    [anon_sym_resume] = ACTIONS(1199),
    [anon_sym_return] = ACTIONS(1199),
    [anon_sym_break] = ACTIONS(1199),
    [anon_sym_try] = ACTIONS(1199),
    [anon_sym_switch] = ACTIONS(1199),
    [anon_sym_anyframe] = ACTIONS(1199),
    [anon_sym_unreachable] = ACTIONS(1199),
    [anon_sym_undefined] = ACTIONS(1199),
    [anon_sym_null] = ACTIONS(1199),
    [anon_sym_QMARK] = ACTIONS(1201),
    [anon_sym_DOT] = ACTIONS(1201),
    [anon_sym_DQUOTE] = ACTIONS(1201),
    [aux_sym_multiline_string_token1] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1201),
    [sym_integer] = ACTIONS(1199),
    [sym_float] = ACTIONS(1201),
    [anon_sym_true] = ACTIONS(1199),
    [anon_sym_false] = ACTIONS(1199),
    [anon_sym_bool] = ACTIONS(1199),
    [anon_sym_f16] = ACTIONS(1199),
    [anon_sym_f32] = ACTIONS(1199),
    [anon_sym_f64] = ACTIONS(1199),
    [anon_sym_f128] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1199),
    [anon_sym_type] = ACTIONS(1199),
    [anon_sym_anyerror] = ACTIONS(1199),
    [anon_sym_anyopaque] = ACTIONS(1199),
    [anon_sym_anytype] = ACTIONS(1199),
    [anon_sym_noreturn] = ACTIONS(1199),
    [anon_sym_isize] = ACTIONS(1199),
    [anon_sym_usize] = ACTIONS(1199),
    [anon_sym_comptime_int] = ACTIONS(1199),
    [anon_sym_comptime_float] = ACTIONS(1199),
    [anon_sym_c_short] = ACTIONS(1199),
    [anon_sym_c_ushort] = ACTIONS(1199),
    [anon_sym_c_int] = ACTIONS(1199),
    [anon_sym_c_uint] = ACTIONS(1199),
    [anon_sym_c_long] = ACTIONS(1199),
    [anon_sym_c_ulong] = ACTIONS(1199),
    [anon_sym_c_longlong] = ACTIONS(1199),
    [anon_sym_c_ulonglong] = ACTIONS(1199),
    [anon_sym_c_longdouble] = ACTIONS(1199),
    [aux_sym_builtin_type_token1] = ACTIONS(1199),
    [sym_builtin_identifier] = ACTIONS(1201),
    [anon_sym_AT] = ACTIONS(1199),
    [sym_comment] = ACTIONS(3),
  },
  [777] = {
    [sym__identifier] = ACTIONS(1203),
    [anon_sym_comptime] = ACTIONS(1203),
    [anon_sym_extern] = ACTIONS(1203),
    [anon_sym_const] = ACTIONS(1203),
    [anon_sym_var] = ACTIONS(1203),
    [anon_sym_inline] = ACTIONS(1203),
    [anon_sym_fn] = ACTIONS(1203),
    [anon_sym_BANG] = ACTIONS(1205),
    [anon_sym_LPAREN] = ACTIONS(1205),
    [anon_sym_LBRACE] = ACTIONS(1205),
    [anon_sym_RBRACE] = ACTIONS(1205),
    [anon_sym_packed] = ACTIONS(1203),
    [anon_sym_struct] = ACTIONS(1203),
    [anon_sym_opaque] = ACTIONS(1203),
    [anon_sym_enum] = ACTIONS(1203),
    [anon_sym_union] = ACTIONS(1203),
    [anon_sym_error] = ACTIONS(1203),
    [anon_sym_nosuspend] = ACTIONS(1203),
    [anon_sym_suspend] = ACTIONS(1203),
    [anon_sym_defer] = ACTIONS(1203),
    [anon_sym_errdefer] = ACTIONS(1203),
    [anon_sym_if] = ACTIONS(1203),
    [anon_sym_for] = ACTIONS(1203),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_asm] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(1205),
    [anon_sym_TILDE] = ACTIONS(1205),
    [anon_sym_DASH] = ACTIONS(1203),
    [anon_sym_DASH_PERCENT] = ACTIONS(1205),
    [anon_sym_AMP] = ACTIONS(1205),
    [anon_sym_async] = ACTIONS(1203),
    [anon_sym_await] = ACTIONS(1203),
    [anon_sym_continue] = ACTIONS(1203),
    [anon_sym_resume] = ACTIONS(1203),
    [anon_sym_return] = ACTIONS(1203),
    [anon_sym_break] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1203),
    [anon_sym_switch] = ACTIONS(1203),
    [anon_sym_anyframe] = ACTIONS(1203),
    [anon_sym_unreachable] = ACTIONS(1203),
    [anon_sym_undefined] = ACTIONS(1203),
    [anon_sym_null] = ACTIONS(1203),
    [anon_sym_QMARK] = ACTIONS(1205),
    [anon_sym_DOT] = ACTIONS(1205),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [aux_sym_multiline_string_token1] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1205),
    [sym_integer] = ACTIONS(1203),
    [sym_float] = ACTIONS(1205),
    [anon_sym_true] = ACTIONS(1203),
    [anon_sym_false] = ACTIONS(1203),
    [anon_sym_bool] = ACTIONS(1203),
    [anon_sym_f16] = ACTIONS(1203),
    [anon_sym_f32] = ACTIONS(1203),
    [anon_sym_f64] = ACTIONS(1203),
    [anon_sym_f128] = ACTIONS(1203),
    [anon_sym_void] = ACTIONS(1203),
    [anon_sym_type] = ACTIONS(1203),
    [anon_sym_anyerror] = ACTIONS(1203),
    [anon_sym_anyopaque] = ACTIONS(1203),
    [anon_sym_anytype] = ACTIONS(1203),
    [anon_sym_noreturn] = ACTIONS(1203),
    [anon_sym_isize] = ACTIONS(1203),
    [anon_sym_usize] = ACTIONS(1203),
    [anon_sym_comptime_int] = ACTIONS(1203),
    [anon_sym_comptime_float] = ACTIONS(1203),
    [anon_sym_c_short] = ACTIONS(1203),
    [anon_sym_c_ushort] = ACTIONS(1203),
    [anon_sym_c_int] = ACTIONS(1203),
    [anon_sym_c_uint] = ACTIONS(1203),
    [anon_sym_c_long] = ACTIONS(1203),
    [anon_sym_c_ulong] = ACTIONS(1203),
    [anon_sym_c_longlong] = ACTIONS(1203),
    [anon_sym_c_ulonglong] = ACTIONS(1203),
    [anon_sym_c_longdouble] = ACTIONS(1203),
    [aux_sym_builtin_type_token1] = ACTIONS(1203),
    [sym_builtin_identifier] = ACTIONS(1205),
    [anon_sym_AT] = ACTIONS(1203),
    [sym_comment] = ACTIONS(3),
  },
  [778] = {
    [sym__identifier] = ACTIONS(1207),
    [anon_sym_comptime] = ACTIONS(1207),
    [anon_sym_extern] = ACTIONS(1207),
    [anon_sym_const] = ACTIONS(1207),
    [anon_sym_var] = ACTIONS(1207),
    [anon_sym_inline] = ACTIONS(1207),
    [anon_sym_fn] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1209),
    [anon_sym_LPAREN] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_RBRACE] = ACTIONS(1209),
    [anon_sym_packed] = ACTIONS(1207),
    [anon_sym_struct] = ACTIONS(1207),
    [anon_sym_opaque] = ACTIONS(1207),
    [anon_sym_enum] = ACTIONS(1207),
    [anon_sym_union] = ACTIONS(1207),
    [anon_sym_error] = ACTIONS(1207),
    [anon_sym_nosuspend] = ACTIONS(1207),
    [anon_sym_suspend] = ACTIONS(1207),
    [anon_sym_defer] = ACTIONS(1207),
    [anon_sym_errdefer] = ACTIONS(1207),
    [anon_sym_if] = ACTIONS(1207),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_while] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(1209),
    [anon_sym_asm] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(1209),
    [anon_sym_TILDE] = ACTIONS(1209),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_DASH_PERCENT] = ACTIONS(1209),
    [anon_sym_AMP] = ACTIONS(1209),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_await] = ACTIONS(1207),
    [anon_sym_continue] = ACTIONS(1207),
    [anon_sym_resume] = ACTIONS(1207),
    [anon_sym_return] = ACTIONS(1207),
    [anon_sym_break] = ACTIONS(1207),
    [anon_sym_try] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1207),
    [anon_sym_anyframe] = ACTIONS(1207),
    [anon_sym_unreachable] = ACTIONS(1207),
    [anon_sym_undefined] = ACTIONS(1207),
    [anon_sym_null] = ACTIONS(1207),
    [anon_sym_QMARK] = ACTIONS(1209),
    [anon_sym_DOT] = ACTIONS(1209),
    [anon_sym_DQUOTE] = ACTIONS(1209),
    [aux_sym_multiline_string_token1] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1209),
    [sym_integer] = ACTIONS(1207),
    [sym_float] = ACTIONS(1209),
    [anon_sym_true] = ACTIONS(1207),
    [anon_sym_false] = ACTIONS(1207),
    [anon_sym_bool] = ACTIONS(1207),
    [anon_sym_f16] = ACTIONS(1207),
    [anon_sym_f32] = ACTIONS(1207),
    [anon_sym_f64] = ACTIONS(1207),
    [anon_sym_f128] = ACTIONS(1207),
    [anon_sym_void] = ACTIONS(1207),
    [anon_sym_type] = ACTIONS(1207),
    [anon_sym_anyerror] = ACTIONS(1207),
    [anon_sym_anyopaque] = ACTIONS(1207),
    [anon_sym_anytype] = ACTIONS(1207),
    [anon_sym_noreturn] = ACTIONS(1207),
    [anon_sym_isize] = ACTIONS(1207),
    [anon_sym_usize] = ACTIONS(1207),
    [anon_sym_comptime_int] = ACTIONS(1207),
    [anon_sym_comptime_float] = ACTIONS(1207),
    [anon_sym_c_short] = ACTIONS(1207),
    [anon_sym_c_ushort] = ACTIONS(1207),
    [anon_sym_c_int] = ACTIONS(1207),
    [anon_sym_c_uint] = ACTIONS(1207),
    [anon_sym_c_long] = ACTIONS(1207),
    [anon_sym_c_ulong] = ACTIONS(1207),
    [anon_sym_c_longlong] = ACTIONS(1207),
    [anon_sym_c_ulonglong] = ACTIONS(1207),
    [anon_sym_c_longdouble] = ACTIONS(1207),
    [aux_sym_builtin_type_token1] = ACTIONS(1207),
    [sym_builtin_identifier] = ACTIONS(1209),
    [anon_sym_AT] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
  },
  [779] = {
    [sym__identifier] = ACTIONS(1211),
    [anon_sym_comptime] = ACTIONS(1211),
    [anon_sym_extern] = ACTIONS(1211),
    [anon_sym_const] = ACTIONS(1211),
    [anon_sym_var] = ACTIONS(1211),
    [anon_sym_inline] = ACTIONS(1211),
    [anon_sym_fn] = ACTIONS(1211),
    [anon_sym_BANG] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1213),
    [anon_sym_LBRACE] = ACTIONS(1213),
    [anon_sym_RBRACE] = ACTIONS(1213),
    [anon_sym_packed] = ACTIONS(1211),
    [anon_sym_struct] = ACTIONS(1211),
    [anon_sym_opaque] = ACTIONS(1211),
    [anon_sym_enum] = ACTIONS(1211),
    [anon_sym_union] = ACTIONS(1211),
    [anon_sym_error] = ACTIONS(1211),
    [anon_sym_nosuspend] = ACTIONS(1211),
    [anon_sym_suspend] = ACTIONS(1211),
    [anon_sym_defer] = ACTIONS(1211),
    [anon_sym_errdefer] = ACTIONS(1211),
    [anon_sym_if] = ACTIONS(1211),
    [anon_sym_for] = ACTIONS(1211),
    [anon_sym_while] = ACTIONS(1211),
    [anon_sym_STAR] = ACTIONS(1213),
    [anon_sym_asm] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1213),
    [anon_sym_TILDE] = ACTIONS(1213),
    [anon_sym_DASH] = ACTIONS(1211),
    [anon_sym_DASH_PERCENT] = ACTIONS(1213),
    [anon_sym_AMP] = ACTIONS(1213),
    [anon_sym_async] = ACTIONS(1211),
    [anon_sym_await] = ACTIONS(1211),
    [anon_sym_continue] = ACTIONS(1211),
    [anon_sym_resume] = ACTIONS(1211),
    [anon_sym_return] = ACTIONS(1211),
    [anon_sym_break] = ACTIONS(1211),
    [anon_sym_try] = ACTIONS(1211),
    [anon_sym_switch] = ACTIONS(1211),
    [anon_sym_anyframe] = ACTIONS(1211),
    [anon_sym_unreachable] = ACTIONS(1211),
    [anon_sym_undefined] = ACTIONS(1211),
    [anon_sym_null] = ACTIONS(1211),
    [anon_sym_QMARK] = ACTIONS(1213),
    [anon_sym_DOT] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [aux_sym_multiline_string_token1] = ACTIONS(1213),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [sym_integer] = ACTIONS(1211),
    [sym_float] = ACTIONS(1213),
    [anon_sym_true] = ACTIONS(1211),
    [anon_sym_false] = ACTIONS(1211),
    [anon_sym_bool] = ACTIONS(1211),
    [anon_sym_f16] = ACTIONS(1211),
    [anon_sym_f32] = ACTIONS(1211),
    [anon_sym_f64] = ACTIONS(1211),
    [anon_sym_f128] = ACTIONS(1211),
    [anon_sym_void] = ACTIONS(1211),
    [anon_sym_type] = ACTIONS(1211),
    [anon_sym_anyerror] = ACTIONS(1211),
    [anon_sym_anyopaque] = ACTIONS(1211),
    [anon_sym_anytype] = ACTIONS(1211),
    [anon_sym_noreturn] = ACTIONS(1211),
    [anon_sym_isize] = ACTIONS(1211),
    [anon_sym_usize] = ACTIONS(1211),
    [anon_sym_comptime_int] = ACTIONS(1211),
    [anon_sym_comptime_float] = ACTIONS(1211),
    [anon_sym_c_short] = ACTIONS(1211),
    [anon_sym_c_ushort] = ACTIONS(1211),
    [anon_sym_c_int] = ACTIONS(1211),
    [anon_sym_c_uint] = ACTIONS(1211),
    [anon_sym_c_long] = ACTIONS(1211),
    [anon_sym_c_ulong] = ACTIONS(1211),
    [anon_sym_c_longlong] = ACTIONS(1211),
    [anon_sym_c_ulonglong] = ACTIONS(1211),
    [anon_sym_c_longdouble] = ACTIONS(1211),
    [aux_sym_builtin_type_token1] = ACTIONS(1211),
    [sym_builtin_identifier] = ACTIONS(1213),
    [anon_sym_AT] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
  },
  [780] = {
    [sym__identifier] = ACTIONS(1215),
    [anon_sym_comptime] = ACTIONS(1215),
    [anon_sym_COLON] = ACTIONS(1217),
    [anon_sym_extern] = ACTIONS(1215),
    [anon_sym_const] = ACTIONS(1215),
    [anon_sym_var] = ACTIONS(1215),
    [anon_sym_inline] = ACTIONS(1215),
    [anon_sym_fn] = ACTIONS(1215),
    [anon_sym_BANG] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(1217),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_packed] = ACTIONS(1215),
    [anon_sym_struct] = ACTIONS(1215),
    [anon_sym_opaque] = ACTIONS(1215),
    [anon_sym_enum] = ACTIONS(1215),
    [anon_sym_union] = ACTIONS(1215),
    [anon_sym_error] = ACTIONS(1215),
    [anon_sym_nosuspend] = ACTIONS(1215),
    [anon_sym_suspend] = ACTIONS(1215),
    [anon_sym_defer] = ACTIONS(1215),
    [anon_sym_errdefer] = ACTIONS(1215),
    [anon_sym_if] = ACTIONS(1215),
    [anon_sym_for] = ACTIONS(1215),
    [anon_sym_while] = ACTIONS(1215),
    [anon_sym_STAR] = ACTIONS(1217),
    [anon_sym_asm] = ACTIONS(1215),
    [anon_sym_LBRACK] = ACTIONS(1217),
    [anon_sym_TILDE] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1215),
    [anon_sym_DASH_PERCENT] = ACTIONS(1217),
    [anon_sym_AMP] = ACTIONS(1217),
    [anon_sym_async] = ACTIONS(1215),
    [anon_sym_await] = ACTIONS(1215),
    [anon_sym_continue] = ACTIONS(1215),
    [anon_sym_resume] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1215),
    [anon_sym_break] = ACTIONS(1215),
    [anon_sym_try] = ACTIONS(1215),
    [anon_sym_switch] = ACTIONS(1215),
    [anon_sym_anyframe] = ACTIONS(1215),
    [anon_sym_unreachable] = ACTIONS(1215),
    [anon_sym_undefined] = ACTIONS(1215),
    [anon_sym_null] = ACTIONS(1215),
    [anon_sym_QMARK] = ACTIONS(1217),
    [anon_sym_DOT] = ACTIONS(1217),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [aux_sym_multiline_string_token1] = ACTIONS(1217),
    [anon_sym_SQUOTE] = ACTIONS(1217),
    [sym_integer] = ACTIONS(1215),
    [sym_float] = ACTIONS(1217),
    [anon_sym_true] = ACTIONS(1215),
    [anon_sym_false] = ACTIONS(1215),
    [anon_sym_bool] = ACTIONS(1215),
    [anon_sym_f16] = ACTIONS(1215),
    [anon_sym_f32] = ACTIONS(1215),
    [anon_sym_f64] = ACTIONS(1215),
    [anon_sym_f128] = ACTIONS(1215),
    [anon_sym_void] = ACTIONS(1215),
    [anon_sym_type] = ACTIONS(1215),
    [anon_sym_anyerror] = ACTIONS(1215),
    [anon_sym_anyopaque] = ACTIONS(1215),
    [anon_sym_anytype] = ACTIONS(1215),
    [anon_sym_noreturn] = ACTIONS(1215),
    [anon_sym_isize] = ACTIONS(1215),
    [anon_sym_usize] = ACTIONS(1215),
    [anon_sym_comptime_int] = ACTIONS(1215),
    [anon_sym_comptime_float] = ACTIONS(1215),
    [anon_sym_c_short] = ACTIONS(1215),
    [anon_sym_c_ushort] = ACTIONS(1215),
    [anon_sym_c_int] = ACTIONS(1215),
    [anon_sym_c_uint] = ACTIONS(1215),
    [anon_sym_c_long] = ACTIONS(1215),
    [anon_sym_c_ulong] = ACTIONS(1215),
    [anon_sym_c_longlong] = ACTIONS(1215),
    [anon_sym_c_ulonglong] = ACTIONS(1215),
    [anon_sym_c_longdouble] = ACTIONS(1215),
    [aux_sym_builtin_type_token1] = ACTIONS(1215),
    [sym_builtin_identifier] = ACTIONS(1217),
    [anon_sym_AT] = ACTIONS(1215),
    [sym_comment] = ACTIONS(3),
  },
  [781] = {
    [sym__identifier] = ACTIONS(1219),
    [anon_sym_comptime] = ACTIONS(1219),
    [anon_sym_COLON] = ACTIONS(1221),
    [anon_sym_extern] = ACTIONS(1219),
    [anon_sym_const] = ACTIONS(1219),
    [anon_sym_var] = ACTIONS(1219),
    [anon_sym_inline] = ACTIONS(1219),
    [anon_sym_fn] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(1221),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_LBRACE] = ACTIONS(1221),
    [anon_sym_packed] = ACTIONS(1219),
    [anon_sym_struct] = ACTIONS(1219),
    [anon_sym_opaque] = ACTIONS(1219),
    [anon_sym_enum] = ACTIONS(1219),
    [anon_sym_union] = ACTIONS(1219),
    [anon_sym_error] = ACTIONS(1219),
    [anon_sym_nosuspend] = ACTIONS(1219),
    [anon_sym_suspend] = ACTIONS(1219),
    [anon_sym_defer] = ACTIONS(1219),
    [anon_sym_errdefer] = ACTIONS(1219),
    [anon_sym_if] = ACTIONS(1219),
    [anon_sym_for] = ACTIONS(1219),
    [anon_sym_while] = ACTIONS(1219),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_asm] = ACTIONS(1219),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_TILDE] = ACTIONS(1221),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_DASH_PERCENT] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_async] = ACTIONS(1219),
    [anon_sym_await] = ACTIONS(1219),
    [anon_sym_continue] = ACTIONS(1219),
    [anon_sym_resume] = ACTIONS(1219),
    [anon_sym_return] = ACTIONS(1219),
    [anon_sym_break] = ACTIONS(1219),
    [anon_sym_try] = ACTIONS(1219),
    [anon_sym_switch] = ACTIONS(1219),
    [anon_sym_anyframe] = ACTIONS(1219),
    [anon_sym_unreachable] = ACTIONS(1219),
    [anon_sym_undefined] = ACTIONS(1219),
    [anon_sym_null] = ACTIONS(1219),
    [anon_sym_QMARK] = ACTIONS(1221),
    [anon_sym_DOT] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1221),
    [aux_sym_multiline_string_token1] = ACTIONS(1221),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [sym_integer] = ACTIONS(1219),
    [sym_float] = ACTIONS(1221),
    [anon_sym_true] = ACTIONS(1219),
    [anon_sym_false] = ACTIONS(1219),
    [anon_sym_bool] = ACTIONS(1219),
    [anon_sym_f16] = ACTIONS(1219),
    [anon_sym_f32] = ACTIONS(1219),
    [anon_sym_f64] = ACTIONS(1219),
    [anon_sym_f128] = ACTIONS(1219),
    [anon_sym_void] = ACTIONS(1219),
    [anon_sym_type] = ACTIONS(1219),
    [anon_sym_anyerror] = ACTIONS(1219),
    [anon_sym_anyopaque] = ACTIONS(1219),
    [anon_sym_anytype] = ACTIONS(1219),
    [anon_sym_noreturn] = ACTIONS(1219),
    [anon_sym_isize] = ACTIONS(1219),
    [anon_sym_usize] = ACTIONS(1219),
    [anon_sym_comptime_int] = ACTIONS(1219),
    [anon_sym_comptime_float] = ACTIONS(1219),
    [anon_sym_c_short] = ACTIONS(1219),
    [anon_sym_c_ushort] = ACTIONS(1219),
    [anon_sym_c_int] = ACTIONS(1219),
    [anon_sym_c_uint] = ACTIONS(1219),
    [anon_sym_c_long] = ACTIONS(1219),
    [anon_sym_c_ulong] = ACTIONS(1219),
    [anon_sym_c_longlong] = ACTIONS(1219),
    [anon_sym_c_ulonglong] = ACTIONS(1219),
    [anon_sym_c_longdouble] = ACTIONS(1219),
    [aux_sym_builtin_type_token1] = ACTIONS(1219),
    [sym_builtin_identifier] = ACTIONS(1221),
    [anon_sym_AT] = ACTIONS(1219),
    [sym_comment] = ACTIONS(3),
  },
  [782] = {
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_comptime] = ACTIONS(1223),
    [anon_sym_extern] = ACTIONS(1223),
    [anon_sym_const] = ACTIONS(1223),
    [anon_sym_var] = ACTIONS(1223),
    [anon_sym_inline] = ACTIONS(1223),
    [anon_sym_fn] = ACTIONS(1223),
    [anon_sym_BANG] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1225),
    [anon_sym_LBRACE] = ACTIONS(1225),
    [anon_sym_RBRACE] = ACTIONS(1225),
    [anon_sym_packed] = ACTIONS(1223),
    [anon_sym_struct] = ACTIONS(1223),
    [anon_sym_opaque] = ACTIONS(1223),
    [anon_sym_enum] = ACTIONS(1223),
    [anon_sym_union] = ACTIONS(1223),
    [anon_sym_error] = ACTIONS(1223),
    [anon_sym_nosuspend] = ACTIONS(1223),
    [anon_sym_suspend] = ACTIONS(1223),
    [anon_sym_defer] = ACTIONS(1223),
    [anon_sym_errdefer] = ACTIONS(1223),
    [anon_sym_if] = ACTIONS(1223),
    [anon_sym_for] = ACTIONS(1223),
    [anon_sym_while] = ACTIONS(1223),
    [anon_sym_STAR] = ACTIONS(1225),
    [anon_sym_asm] = ACTIONS(1223),
    [anon_sym_LBRACK] = ACTIONS(1225),
    [anon_sym_TILDE] = ACTIONS(1225),
    [anon_sym_DASH] = ACTIONS(1223),
    [anon_sym_DASH_PERCENT] = ACTIONS(1225),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_async] = ACTIONS(1223),
    [anon_sym_await] = ACTIONS(1223),
    [anon_sym_continue] = ACTIONS(1223),
    [anon_sym_resume] = ACTIONS(1223),
    [anon_sym_return] = ACTIONS(1223),
    [anon_sym_break] = ACTIONS(1223),
    [anon_sym_try] = ACTIONS(1223),
    [anon_sym_switch] = ACTIONS(1223),
    [anon_sym_anyframe] = ACTIONS(1223),
    [anon_sym_unreachable] = ACTIONS(1223),
    [anon_sym_undefined] = ACTIONS(1223),
    [anon_sym_null] = ACTIONS(1223),
    [anon_sym_QMARK] = ACTIONS(1225),
    [anon_sym_DOT] = ACTIONS(1225),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [aux_sym_multiline_string_token1] = ACTIONS(1225),
    [anon_sym_SQUOTE] = ACTIONS(1225),
    [sym_integer] = ACTIONS(1223),
    [sym_float] = ACTIONS(1225),
    [anon_sym_true] = ACTIONS(1223),
    [anon_sym_false] = ACTIONS(1223),
    [anon_sym_bool] = ACTIONS(1223),
    [anon_sym_f16] = ACTIONS(1223),
    [anon_sym_f32] = ACTIONS(1223),
    [anon_sym_f64] = ACTIONS(1223),
    [anon_sym_f128] = ACTIONS(1223),
    [anon_sym_void] = ACTIONS(1223),
    [anon_sym_type] = ACTIONS(1223),
    [anon_sym_anyerror] = ACTIONS(1223),
    [anon_sym_anyopaque] = ACTIONS(1223),
    [anon_sym_anytype] = ACTIONS(1223),
    [anon_sym_noreturn] = ACTIONS(1223),
    [anon_sym_isize] = ACTIONS(1223),
    [anon_sym_usize] = ACTIONS(1223),
    [anon_sym_comptime_int] = ACTIONS(1223),
    [anon_sym_comptime_float] = ACTIONS(1223),
    [anon_sym_c_short] = ACTIONS(1223),
    [anon_sym_c_ushort] = ACTIONS(1223),
    [anon_sym_c_int] = ACTIONS(1223),
    [anon_sym_c_uint] = ACTIONS(1223),
    [anon_sym_c_long] = ACTIONS(1223),
    [anon_sym_c_ulong] = ACTIONS(1223),
    [anon_sym_c_longlong] = ACTIONS(1223),
    [anon_sym_c_ulonglong] = ACTIONS(1223),
    [anon_sym_c_longdouble] = ACTIONS(1223),
    [aux_sym_builtin_type_token1] = ACTIONS(1223),
    [sym_builtin_identifier] = ACTIONS(1225),
    [anon_sym_AT] = ACTIONS(1223),
    [sym_comment] = ACTIONS(3),
  },
  [783] = {
    [sym__identifier] = ACTIONS(1227),
    [anon_sym_comptime] = ACTIONS(1227),
    [anon_sym_extern] = ACTIONS(1227),
    [anon_sym_const] = ACTIONS(1227),
    [anon_sym_var] = ACTIONS(1227),
    [anon_sym_inline] = ACTIONS(1227),
    [anon_sym_fn] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(1229),
    [anon_sym_RBRACE] = ACTIONS(1229),
    [anon_sym_packed] = ACTIONS(1227),
    [anon_sym_struct] = ACTIONS(1227),
    [anon_sym_opaque] = ACTIONS(1227),
    [anon_sym_enum] = ACTIONS(1227),
    [anon_sym_union] = ACTIONS(1227),
    [anon_sym_error] = ACTIONS(1227),
    [anon_sym_nosuspend] = ACTIONS(1227),
    [anon_sym_suspend] = ACTIONS(1227),
    [anon_sym_defer] = ACTIONS(1227),
    [anon_sym_errdefer] = ACTIONS(1227),
    [anon_sym_if] = ACTIONS(1227),
    [anon_sym_for] = ACTIONS(1227),
    [anon_sym_while] = ACTIONS(1227),
    [anon_sym_STAR] = ACTIONS(1229),
    [anon_sym_asm] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(1229),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_DASH_PERCENT] = ACTIONS(1229),
    [anon_sym_AMP] = ACTIONS(1229),
    [anon_sym_async] = ACTIONS(1227),
    [anon_sym_await] = ACTIONS(1227),
    [anon_sym_continue] = ACTIONS(1227),
    [anon_sym_resume] = ACTIONS(1227),
    [anon_sym_return] = ACTIONS(1227),
    [anon_sym_break] = ACTIONS(1227),
    [anon_sym_try] = ACTIONS(1227),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_anyframe] = ACTIONS(1227),
    [anon_sym_unreachable] = ACTIONS(1227),
    [anon_sym_undefined] = ACTIONS(1227),
    [anon_sym_null] = ACTIONS(1227),
    [anon_sym_QMARK] = ACTIONS(1229),
    [anon_sym_DOT] = ACTIONS(1229),
    [anon_sym_DQUOTE] = ACTIONS(1229),
    [aux_sym_multiline_string_token1] = ACTIONS(1229),
    [anon_sym_SQUOTE] = ACTIONS(1229),
    [sym_integer] = ACTIONS(1227),
    [sym_float] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1227),
    [anon_sym_false] = ACTIONS(1227),
    [anon_sym_bool] = ACTIONS(1227),
    [anon_sym_f16] = ACTIONS(1227),
    [anon_sym_f32] = ACTIONS(1227),
    [anon_sym_f64] = ACTIONS(1227),
    [anon_sym_f128] = ACTIONS(1227),
    [anon_sym_void] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_anyerror] = ACTIONS(1227),
    [anon_sym_anyopaque] = ACTIONS(1227),
    [anon_sym_anytype] = ACTIONS(1227),
    [anon_sym_noreturn] = ACTIONS(1227),
    [anon_sym_isize] = ACTIONS(1227),
    [anon_sym_usize] = ACTIONS(1227),
    [anon_sym_comptime_int] = ACTIONS(1227),
    [anon_sym_comptime_float] = ACTIONS(1227),
    [anon_sym_c_short] = ACTIONS(1227),
    [anon_sym_c_ushort] = ACTIONS(1227),
    [anon_sym_c_int] = ACTIONS(1227),
    [anon_sym_c_uint] = ACTIONS(1227),
    [anon_sym_c_long] = ACTIONS(1227),
    [anon_sym_c_ulong] = ACTIONS(1227),
    [anon_sym_c_longlong] = ACTIONS(1227),
    [anon_sym_c_ulonglong] = ACTIONS(1227),
    [anon_sym_c_longdouble] = ACTIONS(1227),
    [aux_sym_builtin_type_token1] = ACTIONS(1227),
    [sym_builtin_identifier] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(1227),
    [sym_comment] = ACTIONS(3),
  },
  [784] = {
    [sym__identifier] = ACTIONS(1231),
    [anon_sym_comptime] = ACTIONS(1231),
    [anon_sym_extern] = ACTIONS(1231),
    [anon_sym_const] = ACTIONS(1231),
    [anon_sym_var] = ACTIONS(1231),
    [anon_sym_inline] = ACTIONS(1231),
    [anon_sym_fn] = ACTIONS(1231),
    [anon_sym_BANG] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_RBRACE] = ACTIONS(1233),
    [anon_sym_packed] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1231),
    [anon_sym_enum] = ACTIONS(1231),
    [anon_sym_union] = ACTIONS(1231),
    [anon_sym_error] = ACTIONS(1231),
    [anon_sym_nosuspend] = ACTIONS(1231),
    [anon_sym_suspend] = ACTIONS(1231),
    [anon_sym_defer] = ACTIONS(1231),
    [anon_sym_errdefer] = ACTIONS(1231),
    [anon_sym_if] = ACTIONS(1231),
    [anon_sym_for] = ACTIONS(1231),
    [anon_sym_while] = ACTIONS(1231),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_asm] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_TILDE] = ACTIONS(1233),
    [anon_sym_DASH] = ACTIONS(1231),
    [anon_sym_DASH_PERCENT] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1231),
    [anon_sym_await] = ACTIONS(1231),
    [anon_sym_continue] = ACTIONS(1231),
    [anon_sym_resume] = ACTIONS(1231),
    [anon_sym_return] = ACTIONS(1231),
    [anon_sym_break] = ACTIONS(1231),
    [anon_sym_try] = ACTIONS(1231),
    [anon_sym_switch] = ACTIONS(1231),
    [anon_sym_anyframe] = ACTIONS(1231),
    [anon_sym_unreachable] = ACTIONS(1231),
    [anon_sym_undefined] = ACTIONS(1231),
    [anon_sym_null] = ACTIONS(1231),
    [anon_sym_QMARK] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1233),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [aux_sym_multiline_string_token1] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1233),
    [sym_integer] = ACTIONS(1231),
    [sym_float] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_bool] = ACTIONS(1231),
    [anon_sym_f16] = ACTIONS(1231),
    [anon_sym_f32] = ACTIONS(1231),
    [anon_sym_f64] = ACTIONS(1231),
    [anon_sym_f128] = ACTIONS(1231),
    [anon_sym_void] = ACTIONS(1231),
    [anon_sym_type] = ACTIONS(1231),
    [anon_sym_anyerror] = ACTIONS(1231),
    [anon_sym_anyopaque] = ACTIONS(1231),
    [anon_sym_anytype] = ACTIONS(1231),
    [anon_sym_noreturn] = ACTIONS(1231),
    [anon_sym_isize] = ACTIONS(1231),
    [anon_sym_usize] = ACTIONS(1231),
    [anon_sym_comptime_int] = ACTIONS(1231),
    [anon_sym_comptime_float] = ACTIONS(1231),
    [anon_sym_c_short] = ACTIONS(1231),
    [anon_sym_c_ushort] = ACTIONS(1231),
    [anon_sym_c_int] = ACTIONS(1231),
    [anon_sym_c_uint] = ACTIONS(1231),
    [anon_sym_c_long] = ACTIONS(1231),
    [anon_sym_c_ulong] = ACTIONS(1231),
    [anon_sym_c_longlong] = ACTIONS(1231),
    [anon_sym_c_ulonglong] = ACTIONS(1231),
    [anon_sym_c_longdouble] = ACTIONS(1231),
    [aux_sym_builtin_type_token1] = ACTIONS(1231),
    [sym_builtin_identifier] = ACTIONS(1233),
    [anon_sym_AT] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
  },
  [785] = {
    [sym__identifier] = ACTIONS(1235),
    [anon_sym_comptime] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(1235),
    [anon_sym_const] = ACTIONS(1235),
    [anon_sym_var] = ACTIONS(1235),
    [anon_sym_inline] = ACTIONS(1235),
    [anon_sym_fn] = ACTIONS(1235),
    [anon_sym_BANG] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_RBRACE] = ACTIONS(1237),
    [anon_sym_packed] = ACTIONS(1235),
    [anon_sym_struct] = ACTIONS(1235),
    [anon_sym_opaque] = ACTIONS(1235),
    [anon_sym_enum] = ACTIONS(1235),
    [anon_sym_union] = ACTIONS(1235),
    [anon_sym_error] = ACTIONS(1235),
    [anon_sym_nosuspend] = ACTIONS(1235),
    [anon_sym_suspend] = ACTIONS(1235),
    [anon_sym_defer] = ACTIONS(1235),
    [anon_sym_errdefer] = ACTIONS(1235),
    [anon_sym_if] = ACTIONS(1235),
    [anon_sym_for] = ACTIONS(1235),
    [anon_sym_while] = ACTIONS(1235),
    [anon_sym_STAR] = ACTIONS(1237),
    [anon_sym_asm] = ACTIONS(1235),
    [anon_sym_LBRACK] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(1237),
    [anon_sym_DASH] = ACTIONS(1235),
    [anon_sym_DASH_PERCENT] = ACTIONS(1237),
    [anon_sym_AMP] = ACTIONS(1237),
    [anon_sym_async] = ACTIONS(1235),
    [anon_sym_await] = ACTIONS(1235),
    [anon_sym_continue] = ACTIONS(1235),
    [anon_sym_resume] = ACTIONS(1235),
    [anon_sym_return] = ACTIONS(1235),
    [anon_sym_break] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(1235),
    [anon_sym_switch] = ACTIONS(1235),
    [anon_sym_anyframe] = ACTIONS(1235),
    [anon_sym_unreachable] = ACTIONS(1235),
    [anon_sym_undefined] = ACTIONS(1235),
    [anon_sym_null] = ACTIONS(1235),
    [anon_sym_QMARK] = ACTIONS(1237),
    [anon_sym_DOT] = ACTIONS(1237),
    [anon_sym_DQUOTE] = ACTIONS(1237),
    [aux_sym_multiline_string_token1] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1237),
    [sym_integer] = ACTIONS(1235),
    [sym_float] = ACTIONS(1237),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_bool] = ACTIONS(1235),
    [anon_sym_f16] = ACTIONS(1235),
    [anon_sym_f32] = ACTIONS(1235),
    [anon_sym_f64] = ACTIONS(1235),
    [anon_sym_f128] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1235),
    [anon_sym_type] = ACTIONS(1235),
    [anon_sym_anyerror] = ACTIONS(1235),
    [anon_sym_anyopaque] = ACTIONS(1235),
    [anon_sym_anytype] = ACTIONS(1235),
    [anon_sym_noreturn] = ACTIONS(1235),
    [anon_sym_isize] = ACTIONS(1235),
    [anon_sym_usize] = ACTIONS(1235),
    [anon_sym_comptime_int] = ACTIONS(1235),
    [anon_sym_comptime_float] = ACTIONS(1235),
    [anon_sym_c_short] = ACTIONS(1235),
    [anon_sym_c_ushort] = ACTIONS(1235),
    [anon_sym_c_int] = ACTIONS(1235),
    [anon_sym_c_uint] = ACTIONS(1235),
    [anon_sym_c_long] = ACTIONS(1235),
    [anon_sym_c_ulong] = ACTIONS(1235),
    [anon_sym_c_longlong] = ACTIONS(1235),
    [anon_sym_c_ulonglong] = ACTIONS(1235),
    [anon_sym_c_longdouble] = ACTIONS(1235),
    [aux_sym_builtin_type_token1] = ACTIONS(1235),
    [sym_builtin_identifier] = ACTIONS(1237),
    [anon_sym_AT] = ACTIONS(1235),
    [sym_comment] = ACTIONS(3),
  },
  [786] = {
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_comptime] = ACTIONS(1239),
    [anon_sym_extern] = ACTIONS(1239),
    [anon_sym_const] = ACTIONS(1239),
    [anon_sym_inline] = ACTIONS(1239),
    [anon_sym_fn] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(1241),
    [anon_sym_packed] = ACTIONS(1239),
    [anon_sym_struct] = ACTIONS(1239),
    [anon_sym_opaque] = ACTIONS(1239),
    [anon_sym_enum] = ACTIONS(1239),
    [anon_sym_union] = ACTIONS(1239),
    [anon_sym_error] = ACTIONS(1239),
    [anon_sym_nosuspend] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1239),
    [anon_sym_for] = ACTIONS(1239),
    [anon_sym_while] = ACTIONS(1239),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_align] = ACTIONS(1239),
    [anon_sym_addrspace] = ACTIONS(1239),
    [anon_sym_asm] = ACTIONS(1239),
    [anon_sym_volatile] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(1241),
    [anon_sym_TILDE] = ACTIONS(1241),
    [anon_sym_DASH] = ACTIONS(1239),
    [anon_sym_DASH_PERCENT] = ACTIONS(1241),
    [anon_sym_AMP] = ACTIONS(1241),
    [anon_sym_async] = ACTIONS(1239),
    [anon_sym_await] = ACTIONS(1239),
    [anon_sym_continue] = ACTIONS(1239),
    [anon_sym_resume] = ACTIONS(1239),
    [anon_sym_return] = ACTIONS(1239),
    [anon_sym_break] = ACTIONS(1239),
    [anon_sym_try] = ACTIONS(1239),
    [anon_sym_switch] = ACTIONS(1239),
    [anon_sym_anyframe] = ACTIONS(1239),
    [anon_sym_unreachable] = ACTIONS(1239),
    [anon_sym_undefined] = ACTIONS(1239),
    [anon_sym_null] = ACTIONS(1239),
    [anon_sym_QMARK] = ACTIONS(1241),
    [anon_sym_allowzero] = ACTIONS(1239),
    [anon_sym_DOT] = ACTIONS(1241),
    [anon_sym_DQUOTE] = ACTIONS(1241),
    [aux_sym_multiline_string_token1] = ACTIONS(1241),
    [anon_sym_SQUOTE] = ACTIONS(1241),
    [sym_integer] = ACTIONS(1239),
    [sym_float] = ACTIONS(1241),
    [anon_sym_true] = ACTIONS(1239),
    [anon_sym_false] = ACTIONS(1239),
    [anon_sym_bool] = ACTIONS(1239),
    [anon_sym_f16] = ACTIONS(1239),
    [anon_sym_f32] = ACTIONS(1239),
    [anon_sym_f64] = ACTIONS(1239),
    [anon_sym_f128] = ACTIONS(1239),
    [anon_sym_void] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_anyerror] = ACTIONS(1239),
    [anon_sym_anyopaque] = ACTIONS(1239),
    [anon_sym_anytype] = ACTIONS(1239),
    [anon_sym_noreturn] = ACTIONS(1239),
    [anon_sym_isize] = ACTIONS(1239),
    [anon_sym_usize] = ACTIONS(1239),
    [anon_sym_comptime_int] = ACTIONS(1239),
    [anon_sym_comptime_float] = ACTIONS(1239),
    [anon_sym_c_short] = ACTIONS(1239),
    [anon_sym_c_ushort] = ACTIONS(1239),
    [anon_sym_c_int] = ACTIONS(1239),
    [anon_sym_c_uint] = ACTIONS(1239),
    [anon_sym_c_long] = ACTIONS(1239),
    [anon_sym_c_ulong] = ACTIONS(1239),
    [anon_sym_c_longlong] = ACTIONS(1239),
    [anon_sym_c_ulonglong] = ACTIONS(1239),
    [anon_sym_c_longdouble] = ACTIONS(1239),
    [aux_sym_builtin_type_token1] = ACTIONS(1239),
    [sym_builtin_identifier] = ACTIONS(1241),
    [anon_sym_AT] = ACTIONS(1239),
    [sym_comment] = ACTIONS(3),
  },
  [787] = {
    [sym__identifier] = ACTIONS(1243),
    [anon_sym_comptime] = ACTIONS(1243),
    [anon_sym_extern] = ACTIONS(1243),
    [anon_sym_const] = ACTIONS(1243),
    [anon_sym_inline] = ACTIONS(1243),
    [anon_sym_fn] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_packed] = ACTIONS(1243),
    [anon_sym_struct] = ACTIONS(1243),
    [anon_sym_opaque] = ACTIONS(1243),
    [anon_sym_enum] = ACTIONS(1243),
    [anon_sym_union] = ACTIONS(1243),
    [anon_sym_error] = ACTIONS(1243),
    [anon_sym_nosuspend] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_for] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(1243),
    [anon_sym_STAR] = ACTIONS(1245),
    [anon_sym_align] = ACTIONS(1243),
    [anon_sym_addrspace] = ACTIONS(1243),
    [anon_sym_asm] = ACTIONS(1243),
    [anon_sym_volatile] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_DASH] = ACTIONS(1243),
    [anon_sym_DASH_PERCENT] = ACTIONS(1245),
    [anon_sym_AMP] = ACTIONS(1245),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_await] = ACTIONS(1243),
    [anon_sym_continue] = ACTIONS(1243),
    [anon_sym_resume] = ACTIONS(1243),
    [anon_sym_return] = ACTIONS(1243),
    [anon_sym_break] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1243),
    [anon_sym_switch] = ACTIONS(1243),
    [anon_sym_anyframe] = ACTIONS(1243),
    [anon_sym_unreachable] = ACTIONS(1243),
    [anon_sym_undefined] = ACTIONS(1243),
    [anon_sym_null] = ACTIONS(1243),
    [anon_sym_QMARK] = ACTIONS(1245),
    [anon_sym_allowzero] = ACTIONS(1243),
    [anon_sym_DOT] = ACTIONS(1245),
    [anon_sym_DQUOTE] = ACTIONS(1245),
    [aux_sym_multiline_string_token1] = ACTIONS(1245),
    [anon_sym_SQUOTE] = ACTIONS(1245),
    [sym_integer] = ACTIONS(1243),
    [sym_float] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1243),
    [anon_sym_false] = ACTIONS(1243),
    [anon_sym_bool] = ACTIONS(1243),
    [anon_sym_f16] = ACTIONS(1243),
    [anon_sym_f32] = ACTIONS(1243),
    [anon_sym_f64] = ACTIONS(1243),
    [anon_sym_f128] = ACTIONS(1243),
    [anon_sym_void] = ACTIONS(1243),
    [anon_sym_type] = ACTIONS(1243),
    [anon_sym_anyerror] = ACTIONS(1243),
    [anon_sym_anyopaque] = ACTIONS(1243),
    [anon_sym_anytype] = ACTIONS(1243),
    [anon_sym_noreturn] = ACTIONS(1243),
    [anon_sym_isize] = ACTIONS(1243),
    [anon_sym_usize] = ACTIONS(1243),
    [anon_sym_comptime_int] = ACTIONS(1243),
    [anon_sym_comptime_float] = ACTIONS(1243),
    [anon_sym_c_short] = ACTIONS(1243),
    [anon_sym_c_ushort] = ACTIONS(1243),
    [anon_sym_c_int] = ACTIONS(1243),
    [anon_sym_c_uint] = ACTIONS(1243),
    [anon_sym_c_long] = ACTIONS(1243),
    [anon_sym_c_ulong] = ACTIONS(1243),
    [anon_sym_c_longlong] = ACTIONS(1243),
    [anon_sym_c_ulonglong] = ACTIONS(1243),
    [anon_sym_c_longdouble] = ACTIONS(1243),
    [aux_sym_builtin_type_token1] = ACTIONS(1243),
    [sym_builtin_identifier] = ACTIONS(1245),
    [anon_sym_AT] = ACTIONS(1243),
    [sym_comment] = ACTIONS(3),
  },
  [788] = {
    [sym__identifier] = ACTIONS(1247),
    [anon_sym_comptime] = ACTIONS(1247),
    [anon_sym_extern] = ACTIONS(1247),
    [anon_sym_inline] = ACTIONS(1247),
    [anon_sym_fn] = ACTIONS(1247),
    [anon_sym_BANG] = ACTIONS(1249),
    [anon_sym_LPAREN] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_packed] = ACTIONS(1247),
    [anon_sym_struct] = ACTIONS(1247),
    [anon_sym_opaque] = ACTIONS(1247),
    [anon_sym_enum] = ACTIONS(1247),
    [anon_sym_union] = ACTIONS(1247),
    [anon_sym_error] = ACTIONS(1247),
    [anon_sym_nosuspend] = ACTIONS(1247),
    [anon_sym_if] = ACTIONS(1247),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(1249),
    [anon_sym_align] = ACTIONS(1247),
    [anon_sym_addrspace] = ACTIONS(1247),
    [anon_sym_linksection] = ACTIONS(1247),
    [anon_sym_callconv] = ACTIONS(1247),
    [anon_sym_asm] = ACTIONS(1247),
    [anon_sym_LBRACK] = ACTIONS(1249),
    [anon_sym_TILDE] = ACTIONS(1249),
    [anon_sym_DASH] = ACTIONS(1247),
    [anon_sym_DASH_PERCENT] = ACTIONS(1249),
    [anon_sym_AMP] = ACTIONS(1249),
    [anon_sym_async] = ACTIONS(1247),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_continue] = ACTIONS(1247),
    [anon_sym_resume] = ACTIONS(1247),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_break] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_switch] = ACTIONS(1247),
    [anon_sym_anyframe] = ACTIONS(1247),
    [anon_sym_unreachable] = ACTIONS(1247),
    [anon_sym_undefined] = ACTIONS(1247),
    [anon_sym_null] = ACTIONS(1247),
    [anon_sym_QMARK] = ACTIONS(1249),
    [anon_sym_DOT] = ACTIONS(1249),
    [anon_sym_DQUOTE] = ACTIONS(1249),
    [aux_sym_multiline_string_token1] = ACTIONS(1249),
    [anon_sym_SQUOTE] = ACTIONS(1249),
    [sym_integer] = ACTIONS(1247),
    [sym_float] = ACTIONS(1249),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_bool] = ACTIONS(1247),
    [anon_sym_f16] = ACTIONS(1247),
    [anon_sym_f32] = ACTIONS(1247),
    [anon_sym_f64] = ACTIONS(1247),
    [anon_sym_f128] = ACTIONS(1247),
    [anon_sym_void] = ACTIONS(1247),
    [anon_sym_type] = ACTIONS(1247),
    [anon_sym_anyerror] = ACTIONS(1247),
    [anon_sym_anyopaque] = ACTIONS(1247),
    [anon_sym_anytype] = ACTIONS(1247),
    [anon_sym_noreturn] = ACTIONS(1247),
    [anon_sym_isize] = ACTIONS(1247),
    [anon_sym_usize] = ACTIONS(1247),
    [anon_sym_comptime_int] = ACTIONS(1247),
    [anon_sym_comptime_float] = ACTIONS(1247),
    [anon_sym_c_short] = ACTIONS(1247),
    [anon_sym_c_ushort] = ACTIONS(1247),
    [anon_sym_c_int] = ACTIONS(1247),
    [anon_sym_c_uint] = ACTIONS(1247),
    [anon_sym_c_long] = ACTIONS(1247),
    [anon_sym_c_ulong] = ACTIONS(1247),
    [anon_sym_c_longlong] = ACTIONS(1247),
    [anon_sym_c_ulonglong] = ACTIONS(1247),
    [anon_sym_c_longdouble] = ACTIONS(1247),
    [aux_sym_builtin_type_token1] = ACTIONS(1247),
    [sym_builtin_identifier] = ACTIONS(1249),
    [anon_sym_AT] = ACTIONS(1247),
    [sym_comment] = ACTIONS(3),
  },
  [789] = {
    [sym__identifier] = ACTIONS(1251),
    [anon_sym_comptime] = ACTIONS(1251),
    [anon_sym_extern] = ACTIONS(1251),
    [anon_sym_inline] = ACTIONS(1251),
    [anon_sym_fn] = ACTIONS(1251),
    [anon_sym_BANG] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1253),
    [anon_sym_LBRACE] = ACTIONS(1253),
    [anon_sym_packed] = ACTIONS(1251),
    [anon_sym_struct] = ACTIONS(1251),
    [anon_sym_opaque] = ACTIONS(1251),
    [anon_sym_enum] = ACTIONS(1251),
    [anon_sym_union] = ACTIONS(1251),
    [anon_sym_error] = ACTIONS(1251),
    [anon_sym_nosuspend] = ACTIONS(1251),
    [anon_sym_if] = ACTIONS(1251),
    [anon_sym_for] = ACTIONS(1251),
    [anon_sym_while] = ACTIONS(1251),
    [anon_sym_STAR] = ACTIONS(1253),
    [anon_sym_align] = ACTIONS(1251),
    [anon_sym_addrspace] = ACTIONS(1251),
    [anon_sym_linksection] = ACTIONS(1251),
    [anon_sym_callconv] = ACTIONS(1251),
    [anon_sym_asm] = ACTIONS(1251),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_TILDE] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1251),
    [anon_sym_DASH_PERCENT] = ACTIONS(1253),
    [anon_sym_AMP] = ACTIONS(1253),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_await] = ACTIONS(1251),
    [anon_sym_continue] = ACTIONS(1251),
    [anon_sym_resume] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1251),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_switch] = ACTIONS(1251),
    [anon_sym_anyframe] = ACTIONS(1251),
    [anon_sym_unreachable] = ACTIONS(1251),
    [anon_sym_undefined] = ACTIONS(1251),
    [anon_sym_null] = ACTIONS(1251),
    [anon_sym_QMARK] = ACTIONS(1253),
    [anon_sym_DOT] = ACTIONS(1253),
    [anon_sym_DQUOTE] = ACTIONS(1253),
    [aux_sym_multiline_string_token1] = ACTIONS(1253),
    [anon_sym_SQUOTE] = ACTIONS(1253),
    [sym_integer] = ACTIONS(1251),
    [sym_float] = ACTIONS(1253),
    [anon_sym_true] = ACTIONS(1251),
    [anon_sym_false] = ACTIONS(1251),
    [anon_sym_bool] = ACTIONS(1251),
    [anon_sym_f16] = ACTIONS(1251),
    [anon_sym_f32] = ACTIONS(1251),
    [anon_sym_f64] = ACTIONS(1251),
    [anon_sym_f128] = ACTIONS(1251),
    [anon_sym_void] = ACTIONS(1251),
    [anon_sym_type] = ACTIONS(1251),
    [anon_sym_anyerror] = ACTIONS(1251),
    [anon_sym_anyopaque] = ACTIONS(1251),
    [anon_sym_anytype] = ACTIONS(1251),
    [anon_sym_noreturn] = ACTIONS(1251),
    [anon_sym_isize] = ACTIONS(1251),
    [anon_sym_usize] = ACTIONS(1251),
    [anon_sym_comptime_int] = ACTIONS(1251),
    [anon_sym_comptime_float] = ACTIONS(1251),
    [anon_sym_c_short] = ACTIONS(1251),
    [anon_sym_c_ushort] = ACTIONS(1251),
    [anon_sym_c_int] = ACTIONS(1251),
    [anon_sym_c_uint] = ACTIONS(1251),
    [anon_sym_c_long] = ACTIONS(1251),
    [anon_sym_c_ulong] = ACTIONS(1251),
    [anon_sym_c_longlong] = ACTIONS(1251),
    [anon_sym_c_ulonglong] = ACTIONS(1251),
    [anon_sym_c_longdouble] = ACTIONS(1251),
    [aux_sym_builtin_type_token1] = ACTIONS(1251),
    [sym_builtin_identifier] = ACTIONS(1253),
    [anon_sym_AT] = ACTIONS(1251),
    [sym_comment] = ACTIONS(3),
  },
  [790] = {
    [sym__identifier] = ACTIONS(1255),
    [anon_sym_comptime] = ACTIONS(1255),
    [anon_sym_extern] = ACTIONS(1255),
    [anon_sym_inline] = ACTIONS(1255),
    [anon_sym_fn] = ACTIONS(1255),
    [anon_sym_BANG] = ACTIONS(1257),
    [anon_sym_LPAREN] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(1257),
    [anon_sym_packed] = ACTIONS(1255),
    [anon_sym_struct] = ACTIONS(1255),
    [anon_sym_opaque] = ACTIONS(1255),
    [anon_sym_enum] = ACTIONS(1255),
    [anon_sym_union] = ACTIONS(1255),
    [anon_sym_error] = ACTIONS(1255),
    [anon_sym_nosuspend] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1255),
    [anon_sym_for] = ACTIONS(1255),
    [anon_sym_while] = ACTIONS(1255),
    [anon_sym_STAR] = ACTIONS(1257),
    [anon_sym_align] = ACTIONS(1255),
    [anon_sym_addrspace] = ACTIONS(1255),
    [anon_sym_linksection] = ACTIONS(1255),
    [anon_sym_callconv] = ACTIONS(1255),
    [anon_sym_asm] = ACTIONS(1255),
    [anon_sym_LBRACK] = ACTIONS(1257),
    [anon_sym_TILDE] = ACTIONS(1257),
    [anon_sym_DASH] = ACTIONS(1255),
    [anon_sym_DASH_PERCENT] = ACTIONS(1257),
    [anon_sym_AMP] = ACTIONS(1257),
    [anon_sym_async] = ACTIONS(1255),
    [anon_sym_await] = ACTIONS(1255),
    [anon_sym_continue] = ACTIONS(1255),
    [anon_sym_resume] = ACTIONS(1255),
    [anon_sym_return] = ACTIONS(1255),
    [anon_sym_break] = ACTIONS(1255),
    [anon_sym_try] = ACTIONS(1255),
    [anon_sym_switch] = ACTIONS(1255),
    [anon_sym_anyframe] = ACTIONS(1255),
    [anon_sym_unreachable] = ACTIONS(1255),
    [anon_sym_undefined] = ACTIONS(1255),
    [anon_sym_null] = ACTIONS(1255),
    [anon_sym_QMARK] = ACTIONS(1257),
    [anon_sym_DOT] = ACTIONS(1257),
    [anon_sym_DQUOTE] = ACTIONS(1257),
    [aux_sym_multiline_string_token1] = ACTIONS(1257),
    [anon_sym_SQUOTE] = ACTIONS(1257),
    [sym_integer] = ACTIONS(1255),
    [sym_float] = ACTIONS(1257),
    [anon_sym_true] = ACTIONS(1255),
    [anon_sym_false] = ACTIONS(1255),
    [anon_sym_bool] = ACTIONS(1255),
    [anon_sym_f16] = ACTIONS(1255),
    [anon_sym_f32] = ACTIONS(1255),
    [anon_sym_f64] = ACTIONS(1255),
    [anon_sym_f128] = ACTIONS(1255),
    [anon_sym_void] = ACTIONS(1255),
    [anon_sym_type] = ACTIONS(1255),
    [anon_sym_anyerror] = ACTIONS(1255),
    [anon_sym_anyopaque] = ACTIONS(1255),
    [anon_sym_anytype] = ACTIONS(1255),
    [anon_sym_noreturn] = ACTIONS(1255),
    [anon_sym_isize] = ACTIONS(1255),
    [anon_sym_usize] = ACTIONS(1255),
    [anon_sym_comptime_int] = ACTIONS(1255),
    [anon_sym_comptime_float] = ACTIONS(1255),
    [anon_sym_c_short] = ACTIONS(1255),
    [anon_sym_c_ushort] = ACTIONS(1255),
    [anon_sym_c_int] = ACTIONS(1255),
    [anon_sym_c_uint] = ACTIONS(1255),
    [anon_sym_c_long] = ACTIONS(1255),
    [anon_sym_c_ulong] = ACTIONS(1255),
    [anon_sym_c_longlong] = ACTIONS(1255),
    [anon_sym_c_ulonglong] = ACTIONS(1255),
    [anon_sym_c_longdouble] = ACTIONS(1255),
    [aux_sym_builtin_type_token1] = ACTIONS(1255),
    [sym_builtin_identifier] = ACTIONS(1257),
    [anon_sym_AT] = ACTIONS(1255),
    [sym_comment] = ACTIONS(3),
  },
  [791] = {
    [sym__identifier] = ACTIONS(1259),
    [anon_sym_comptime] = ACTIONS(1259),
    [anon_sym_extern] = ACTIONS(1259),
    [anon_sym_inline] = ACTIONS(1259),
    [anon_sym_fn] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_LBRACE] = ACTIONS(1261),
    [anon_sym_packed] = ACTIONS(1259),
    [anon_sym_struct] = ACTIONS(1259),
    [anon_sym_opaque] = ACTIONS(1259),
    [anon_sym_enum] = ACTIONS(1259),
    [anon_sym_union] = ACTIONS(1259),
    [anon_sym_error] = ACTIONS(1259),
    [anon_sym_nosuspend] = ACTIONS(1259),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_STAR] = ACTIONS(1261),
    [anon_sym_align] = ACTIONS(1259),
    [anon_sym_addrspace] = ACTIONS(1259),
    [anon_sym_linksection] = ACTIONS(1259),
    [anon_sym_callconv] = ACTIONS(1259),
    [anon_sym_asm] = ACTIONS(1259),
    [anon_sym_LBRACK] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1259),
    [anon_sym_DASH_PERCENT] = ACTIONS(1261),
    [anon_sym_AMP] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1259),
    [anon_sym_await] = ACTIONS(1259),
    [anon_sym_continue] = ACTIONS(1259),
    [anon_sym_resume] = ACTIONS(1259),
    [anon_sym_return] = ACTIONS(1259),
    [anon_sym_break] = ACTIONS(1259),
    [anon_sym_try] = ACTIONS(1259),
    [anon_sym_switch] = ACTIONS(1259),
    [anon_sym_anyframe] = ACTIONS(1259),
    [anon_sym_unreachable] = ACTIONS(1259),
    [anon_sym_undefined] = ACTIONS(1259),
    [anon_sym_null] = ACTIONS(1259),
    [anon_sym_QMARK] = ACTIONS(1261),
    [anon_sym_DOT] = ACTIONS(1261),
    [anon_sym_DQUOTE] = ACTIONS(1261),
    [aux_sym_multiline_string_token1] = ACTIONS(1261),
    [anon_sym_SQUOTE] = ACTIONS(1261),
    [sym_integer] = ACTIONS(1259),
    [sym_float] = ACTIONS(1261),
    [anon_sym_true] = ACTIONS(1259),
    [anon_sym_false] = ACTIONS(1259),
    [anon_sym_bool] = ACTIONS(1259),
    [anon_sym_f16] = ACTIONS(1259),
    [anon_sym_f32] = ACTIONS(1259),
    [anon_sym_f64] = ACTIONS(1259),
    [anon_sym_f128] = ACTIONS(1259),
    [anon_sym_void] = ACTIONS(1259),
    [anon_sym_type] = ACTIONS(1259),
    [anon_sym_anyerror] = ACTIONS(1259),
    [anon_sym_anyopaque] = ACTIONS(1259),
    [anon_sym_anytype] = ACTIONS(1259),
    [anon_sym_noreturn] = ACTIONS(1259),
    [anon_sym_isize] = ACTIONS(1259),
    [anon_sym_usize] = ACTIONS(1259),
    [anon_sym_comptime_int] = ACTIONS(1259),
    [anon_sym_comptime_float] = ACTIONS(1259),
    [anon_sym_c_short] = ACTIONS(1259),
    [anon_sym_c_ushort] = ACTIONS(1259),
    [anon_sym_c_int] = ACTIONS(1259),
    [anon_sym_c_uint] = ACTIONS(1259),
    [anon_sym_c_long] = ACTIONS(1259),
    [anon_sym_c_ulong] = ACTIONS(1259),
    [anon_sym_c_longlong] = ACTIONS(1259),
    [anon_sym_c_ulonglong] = ACTIONS(1259),
    [anon_sym_c_longdouble] = ACTIONS(1259),
    [aux_sym_builtin_type_token1] = ACTIONS(1259),
    [sym_builtin_identifier] = ACTIONS(1261),
    [anon_sym_AT] = ACTIONS(1259),
    [sym_comment] = ACTIONS(3),
  },
  [792] = {
    [sym__identifier] = ACTIONS(1263),
    [anon_sym_COMMA] = ACTIONS(1265),
    [anon_sym_comptime] = ACTIONS(1263),
    [anon_sym_EQ] = ACTIONS(1265),
    [anon_sym_extern] = ACTIONS(1263),
    [anon_sym_SEMI] = ACTIONS(1265),
    [anon_sym_inline] = ACTIONS(1263),
    [anon_sym_fn] = ACTIONS(1263),
    [anon_sym_BANG] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1265),
    [anon_sym_LBRACE] = ACTIONS(1265),
    [anon_sym_packed] = ACTIONS(1263),
    [anon_sym_struct] = ACTIONS(1263),
    [anon_sym_opaque] = ACTIONS(1263),
    [anon_sym_enum] = ACTIONS(1263),
    [anon_sym_union] = ACTIONS(1263),
    [anon_sym_error] = ACTIONS(1263),
    [anon_sym_nosuspend] = ACTIONS(1263),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_while] = ACTIONS(1263),
    [anon_sym_STAR] = ACTIONS(1265),
    [anon_sym_callconv] = ACTIONS(1263),
    [anon_sym_asm] = ACTIONS(1263),
    [anon_sym_LBRACK] = ACTIONS(1265),
    [anon_sym_TILDE] = ACTIONS(1265),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_DASH_PERCENT] = ACTIONS(1265),
    [anon_sym_AMP] = ACTIONS(1265),
    [anon_sym_async] = ACTIONS(1263),
    [anon_sym_await] = ACTIONS(1263),
    [anon_sym_continue] = ACTIONS(1263),
    [anon_sym_resume] = ACTIONS(1263),
    [anon_sym_return] = ACTIONS(1263),
    [anon_sym_break] = ACTIONS(1263),
    [anon_sym_try] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(1263),
    [anon_sym_anyframe] = ACTIONS(1263),
    [anon_sym_unreachable] = ACTIONS(1263),
    [anon_sym_undefined] = ACTIONS(1263),
    [anon_sym_null] = ACTIONS(1263),
    [anon_sym_QMARK] = ACTIONS(1265),
    [anon_sym_DOT] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [aux_sym_multiline_string_token1] = ACTIONS(1265),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [sym_integer] = ACTIONS(1263),
    [sym_float] = ACTIONS(1265),
    [anon_sym_true] = ACTIONS(1263),
    [anon_sym_false] = ACTIONS(1263),
    [anon_sym_bool] = ACTIONS(1263),
    [anon_sym_f16] = ACTIONS(1263),
    [anon_sym_f32] = ACTIONS(1263),
    [anon_sym_f64] = ACTIONS(1263),
    [anon_sym_f128] = ACTIONS(1263),
    [anon_sym_void] = ACTIONS(1263),
    [anon_sym_type] = ACTIONS(1263),
    [anon_sym_anyerror] = ACTIONS(1263),
    [anon_sym_anyopaque] = ACTIONS(1263),
    [anon_sym_anytype] = ACTIONS(1263),
    [anon_sym_noreturn] = ACTIONS(1263),
    [anon_sym_isize] = ACTIONS(1263),
    [anon_sym_usize] = ACTIONS(1263),
    [anon_sym_comptime_int] = ACTIONS(1263),
    [anon_sym_comptime_float] = ACTIONS(1263),
    [anon_sym_c_short] = ACTIONS(1263),
    [anon_sym_c_ushort] = ACTIONS(1263),
    [anon_sym_c_int] = ACTIONS(1263),
    [anon_sym_c_uint] = ACTIONS(1263),
    [anon_sym_c_long] = ACTIONS(1263),
    [anon_sym_c_ulong] = ACTIONS(1263),
    [anon_sym_c_longlong] = ACTIONS(1263),
    [anon_sym_c_ulonglong] = ACTIONS(1263),
    [anon_sym_c_longdouble] = ACTIONS(1263),
    [aux_sym_builtin_type_token1] = ACTIONS(1263),
    [sym_builtin_identifier] = ACTIONS(1265),
    [anon_sym_AT] = ACTIONS(1263),
    [sym_comment] = ACTIONS(3),
  },
  [793] = {
    [sym_payload] = STATE(795),
    [sym__identifier] = ACTIONS(1267),
    [anon_sym_comptime] = ACTIONS(1267),
    [anon_sym_COLON] = ACTIONS(1269),
    [anon_sym_extern] = ACTIONS(1267),
    [anon_sym_inline] = ACTIONS(1267),
    [anon_sym_fn] = ACTIONS(1267),
    [anon_sym_BANG] = ACTIONS(1271),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1271),
    [anon_sym_packed] = ACTIONS(1267),
    [anon_sym_struct] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1267),
    [anon_sym_enum] = ACTIONS(1267),
    [anon_sym_union] = ACTIONS(1267),
    [anon_sym_error] = ACTIONS(1267),
    [anon_sym_nosuspend] = ACTIONS(1267),
    [anon_sym_if] = ACTIONS(1267),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_while] = ACTIONS(1267),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(1271),
    [anon_sym_asm] = ACTIONS(1267),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_TILDE] = ACTIONS(1271),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_DASH_PERCENT] = ACTIONS(1271),
    [anon_sym_AMP] = ACTIONS(1271),
    [anon_sym_async] = ACTIONS(1267),
    [anon_sym_await] = ACTIONS(1267),
    [anon_sym_continue] = ACTIONS(1267),
    [anon_sym_resume] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(1267),
    [anon_sym_break] = ACTIONS(1267),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_switch] = ACTIONS(1267),
    [anon_sym_anyframe] = ACTIONS(1267),
    [anon_sym_unreachable] = ACTIONS(1267),
    [anon_sym_undefined] = ACTIONS(1267),
    [anon_sym_null] = ACTIONS(1267),
    [anon_sym_QMARK] = ACTIONS(1271),
    [anon_sym_DOT] = ACTIONS(1271),
    [anon_sym_DQUOTE] = ACTIONS(1271),
    [aux_sym_multiline_string_token1] = ACTIONS(1271),
    [anon_sym_SQUOTE] = ACTIONS(1271),
    [sym_integer] = ACTIONS(1267),
    [sym_float] = ACTIONS(1271),
    [anon_sym_true] = ACTIONS(1267),
    [anon_sym_false] = ACTIONS(1267),
    [anon_sym_bool] = ACTIONS(1267),
    [anon_sym_f16] = ACTIONS(1267),
    [anon_sym_f32] = ACTIONS(1267),
    [anon_sym_f64] = ACTIONS(1267),
    [anon_sym_f128] = ACTIONS(1267),
    [anon_sym_void] = ACTIONS(1267),
    [anon_sym_type] = ACTIONS(1267),
    [anon_sym_anyerror] = ACTIONS(1267),
    [anon_sym_anyopaque] = ACTIONS(1267),
    [anon_sym_anytype] = ACTIONS(1267),
    [anon_sym_noreturn] = ACTIONS(1267),
    [anon_sym_isize] = ACTIONS(1267),
    [anon_sym_usize] = ACTIONS(1267),
    [anon_sym_comptime_int] = ACTIONS(1267),
    [anon_sym_comptime_float] = ACTIONS(1267),
    [anon_sym_c_short] = ACTIONS(1267),
    [anon_sym_c_ushort] = ACTIONS(1267),
    [anon_sym_c_int] = ACTIONS(1267),
    [anon_sym_c_uint] = ACTIONS(1267),
    [anon_sym_c_long] = ACTIONS(1267),
    [anon_sym_c_ulong] = ACTIONS(1267),
    [anon_sym_c_longlong] = ACTIONS(1267),
    [anon_sym_c_ulonglong] = ACTIONS(1267),
    [anon_sym_c_longdouble] = ACTIONS(1267),
    [aux_sym_builtin_type_token1] = ACTIONS(1267),
    [sym_builtin_identifier] = ACTIONS(1271),
    [anon_sym_AT] = ACTIONS(1267),
    [sym_comment] = ACTIONS(3),
  },
  [794] = {
    [sym_payload] = STATE(796),
    [sym__identifier] = ACTIONS(1273),
    [anon_sym_comptime] = ACTIONS(1273),
    [anon_sym_extern] = ACTIONS(1273),
    [anon_sym_inline] = ACTIONS(1273),
    [anon_sym_fn] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(1275),
    [anon_sym_LBRACE] = ACTIONS(1275),
    [anon_sym_packed] = ACTIONS(1273),
    [anon_sym_struct] = ACTIONS(1273),
    [anon_sym_opaque] = ACTIONS(1273),
    [anon_sym_enum] = ACTIONS(1273),
    [anon_sym_union] = ACTIONS(1273),
    [anon_sym_error] = ACTIONS(1273),
    [anon_sym_nosuspend] = ACTIONS(1273),
    [anon_sym_if] = ACTIONS(1273),
    [anon_sym_for] = ACTIONS(1273),
    [anon_sym_while] = ACTIONS(1273),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(1275),
    [anon_sym_asm] = ACTIONS(1273),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_TILDE] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1273),
    [anon_sym_DASH_PERCENT] = ACTIONS(1275),
    [anon_sym_AMP] = ACTIONS(1275),
    [anon_sym_async] = ACTIONS(1273),
    [anon_sym_await] = ACTIONS(1273),
    [anon_sym_continue] = ACTIONS(1273),
    [anon_sym_resume] = ACTIONS(1273),
    [anon_sym_return] = ACTIONS(1273),
    [anon_sym_break] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(1273),
    [anon_sym_switch] = ACTIONS(1273),
    [anon_sym_anyframe] = ACTIONS(1273),
    [anon_sym_unreachable] = ACTIONS(1273),
    [anon_sym_undefined] = ACTIONS(1273),
    [anon_sym_null] = ACTIONS(1273),
    [anon_sym_QMARK] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(1275),
    [anon_sym_DQUOTE] = ACTIONS(1275),
    [aux_sym_multiline_string_token1] = ACTIONS(1275),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym_integer] = ACTIONS(1273),
    [sym_float] = ACTIONS(1275),
    [anon_sym_true] = ACTIONS(1273),
    [anon_sym_false] = ACTIONS(1273),
    [anon_sym_bool] = ACTIONS(1273),
    [anon_sym_f16] = ACTIONS(1273),
    [anon_sym_f32] = ACTIONS(1273),
    [anon_sym_f64] = ACTIONS(1273),
    [anon_sym_f128] = ACTIONS(1273),
    [anon_sym_void] = ACTIONS(1273),
    [anon_sym_type] = ACTIONS(1273),
    [anon_sym_anyerror] = ACTIONS(1273),
    [anon_sym_anyopaque] = ACTIONS(1273),
    [anon_sym_anytype] = ACTIONS(1273),
    [anon_sym_noreturn] = ACTIONS(1273),
    [anon_sym_isize] = ACTIONS(1273),
    [anon_sym_usize] = ACTIONS(1273),
    [anon_sym_comptime_int] = ACTIONS(1273),
    [anon_sym_comptime_float] = ACTIONS(1273),
    [anon_sym_c_short] = ACTIONS(1273),
    [anon_sym_c_ushort] = ACTIONS(1273),
    [anon_sym_c_int] = ACTIONS(1273),
    [anon_sym_c_uint] = ACTIONS(1273),
    [anon_sym_c_long] = ACTIONS(1273),
    [anon_sym_c_ulong] = ACTIONS(1273),
    [anon_sym_c_longlong] = ACTIONS(1273),
    [anon_sym_c_ulonglong] = ACTIONS(1273),
    [anon_sym_c_longdouble] = ACTIONS(1273),
    [aux_sym_builtin_type_token1] = ACTIONS(1273),
    [sym_builtin_identifier] = ACTIONS(1275),
    [anon_sym_AT] = ACTIONS(1273),
    [sym_comment] = ACTIONS(3),
  },
  [795] = {
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_comptime] = ACTIONS(1277),
    [anon_sym_COLON] = ACTIONS(1279),
    [anon_sym_extern] = ACTIONS(1277),
    [anon_sym_inline] = ACTIONS(1277),
    [anon_sym_fn] = ACTIONS(1277),
    [anon_sym_BANG] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_packed] = ACTIONS(1277),
    [anon_sym_struct] = ACTIONS(1277),
    [anon_sym_opaque] = ACTIONS(1277),
    [anon_sym_enum] = ACTIONS(1277),
    [anon_sym_union] = ACTIONS(1277),
    [anon_sym_error] = ACTIONS(1277),
    [anon_sym_nosuspend] = ACTIONS(1277),
    [anon_sym_if] = ACTIONS(1277),
    [anon_sym_for] = ACTIONS(1277),
    [anon_sym_while] = ACTIONS(1277),
    [anon_sym_STAR] = ACTIONS(1281),
    [anon_sym_asm] = ACTIONS(1277),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(1281),
    [anon_sym_DASH] = ACTIONS(1277),
    [anon_sym_DASH_PERCENT] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(1281),
    [anon_sym_async] = ACTIONS(1277),
    [anon_sym_await] = ACTIONS(1277),
    [anon_sym_continue] = ACTIONS(1277),
    [anon_sym_resume] = ACTIONS(1277),
    [anon_sym_return] = ACTIONS(1277),
    [anon_sym_break] = ACTIONS(1277),
    [anon_sym_try] = ACTIONS(1277),
    [anon_sym_switch] = ACTIONS(1277),
    [anon_sym_anyframe] = ACTIONS(1277),
    [anon_sym_unreachable] = ACTIONS(1277),
    [anon_sym_undefined] = ACTIONS(1277),
    [anon_sym_null] = ACTIONS(1277),
    [anon_sym_QMARK] = ACTIONS(1281),
    [anon_sym_DOT] = ACTIONS(1281),
    [anon_sym_DQUOTE] = ACTIONS(1281),
    [aux_sym_multiline_string_token1] = ACTIONS(1281),
    [anon_sym_SQUOTE] = ACTIONS(1281),
    [sym_integer] = ACTIONS(1277),
    [sym_float] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1277),
    [anon_sym_false] = ACTIONS(1277),
    [anon_sym_bool] = ACTIONS(1277),
    [anon_sym_f16] = ACTIONS(1277),
    [anon_sym_f32] = ACTIONS(1277),
    [anon_sym_f64] = ACTIONS(1277),
    [anon_sym_f128] = ACTIONS(1277),
    [anon_sym_void] = ACTIONS(1277),
    [anon_sym_type] = ACTIONS(1277),
    [anon_sym_anyerror] = ACTIONS(1277),
    [anon_sym_anyopaque] = ACTIONS(1277),
    [anon_sym_anytype] = ACTIONS(1277),
    [anon_sym_noreturn] = ACTIONS(1277),
    [anon_sym_isize] = ACTIONS(1277),
    [anon_sym_usize] = ACTIONS(1277),
    [anon_sym_comptime_int] = ACTIONS(1277),
    [anon_sym_comptime_float] = ACTIONS(1277),
    [anon_sym_c_short] = ACTIONS(1277),
    [anon_sym_c_ushort] = ACTIONS(1277),
    [anon_sym_c_int] = ACTIONS(1277),
    [anon_sym_c_uint] = ACTIONS(1277),
    [anon_sym_c_long] = ACTIONS(1277),
    [anon_sym_c_ulong] = ACTIONS(1277),
    [anon_sym_c_longlong] = ACTIONS(1277),
    [anon_sym_c_ulonglong] = ACTIONS(1277),
    [anon_sym_c_longdouble] = ACTIONS(1277),
    [aux_sym_builtin_type_token1] = ACTIONS(1277),
    [sym_builtin_identifier] = ACTIONS(1281),
    [anon_sym_AT] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
  },
  [796] = {
    [sym__identifier] = ACTIONS(1283),
    [anon_sym_comptime] = ACTIONS(1283),
    [anon_sym_extern] = ACTIONS(1283),
    [anon_sym_inline] = ACTIONS(1283),
    [anon_sym_fn] = ACTIONS(1283),
    [anon_sym_BANG] = ACTIONS(1285),
    [anon_sym_LPAREN] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_packed] = ACTIONS(1283),
    [anon_sym_struct] = ACTIONS(1283),
    [anon_sym_opaque] = ACTIONS(1283),
    [anon_sym_enum] = ACTIONS(1283),
    [anon_sym_union] = ACTIONS(1283),
    [anon_sym_error] = ACTIONS(1283),
    [anon_sym_nosuspend] = ACTIONS(1283),
    [anon_sym_if] = ACTIONS(1283),
    [anon_sym_for] = ACTIONS(1283),
    [anon_sym_while] = ACTIONS(1283),
    [anon_sym_STAR] = ACTIONS(1285),
    [anon_sym_asm] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_TILDE] = ACTIONS(1285),
    [anon_sym_DASH] = ACTIONS(1283),
    [anon_sym_DASH_PERCENT] = ACTIONS(1285),
    [anon_sym_AMP] = ACTIONS(1285),
    [anon_sym_async] = ACTIONS(1283),
    [anon_sym_await] = ACTIONS(1283),
    [anon_sym_continue] = ACTIONS(1283),
    [anon_sym_resume] = ACTIONS(1283),
    [anon_sym_return] = ACTIONS(1283),
    [anon_sym_break] = ACTIONS(1283),
    [anon_sym_try] = ACTIONS(1283),
    [anon_sym_switch] = ACTIONS(1283),
    [anon_sym_anyframe] = ACTIONS(1283),
    [anon_sym_unreachable] = ACTIONS(1283),
    [anon_sym_undefined] = ACTIONS(1283),
    [anon_sym_null] = ACTIONS(1283),
    [anon_sym_QMARK] = ACTIONS(1285),
    [anon_sym_DOT] = ACTIONS(1285),
    [anon_sym_DQUOTE] = ACTIONS(1285),
    [aux_sym_multiline_string_token1] = ACTIONS(1285),
    [anon_sym_SQUOTE] = ACTIONS(1285),
    [sym_integer] = ACTIONS(1283),
    [sym_float] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_bool] = ACTIONS(1283),
    [anon_sym_f16] = ACTIONS(1283),
    [anon_sym_f32] = ACTIONS(1283),
    [anon_sym_f64] = ACTIONS(1283),
    [anon_sym_f128] = ACTIONS(1283),
    [anon_sym_void] = ACTIONS(1283),
    [anon_sym_type] = ACTIONS(1283),
    [anon_sym_anyerror] = ACTIONS(1283),
    [anon_sym_anyopaque] = ACTIONS(1283),
    [anon_sym_anytype] = ACTIONS(1283),
    [anon_sym_noreturn] = ACTIONS(1283),
    [anon_sym_isize] = ACTIONS(1283),
    [anon_sym_usize] = ACTIONS(1283),
    [anon_sym_comptime_int] = ACTIONS(1283),
    [anon_sym_comptime_float] = ACTIONS(1283),
    [anon_sym_c_short] = ACTIONS(1283),
    [anon_sym_c_ushort] = ACTIONS(1283),
    [anon_sym_c_int] = ACTIONS(1283),
    [anon_sym_c_uint] = ACTIONS(1283),
    [anon_sym_c_long] = ACTIONS(1283),
    [anon_sym_c_ulong] = ACTIONS(1283),
    [anon_sym_c_longlong] = ACTIONS(1283),
    [anon_sym_c_ulonglong] = ACTIONS(1283),
    [anon_sym_c_longdouble] = ACTIONS(1283),
    [aux_sym_builtin_type_token1] = ACTIONS(1283),
    [sym_builtin_identifier] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(1283),
    [sym_comment] = ACTIONS(3),
  },
  [797] = {
    [sym__identifier] = ACTIONS(1287),
    [anon_sym_comptime] = ACTIONS(1287),
    [anon_sym_extern] = ACTIONS(1287),
    [anon_sym_inline] = ACTIONS(1287),
    [anon_sym_fn] = ACTIONS(1287),
    [anon_sym_BANG] = ACTIONS(1289),
    [anon_sym_LPAREN] = ACTIONS(1289),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_packed] = ACTIONS(1287),
    [anon_sym_struct] = ACTIONS(1287),
    [anon_sym_opaque] = ACTIONS(1287),
    [anon_sym_enum] = ACTIONS(1287),
    [anon_sym_union] = ACTIONS(1287),
    [anon_sym_error] = ACTIONS(1287),
    [anon_sym_nosuspend] = ACTIONS(1287),
    [anon_sym_if] = ACTIONS(1287),
    [anon_sym_for] = ACTIONS(1287),
    [anon_sym_while] = ACTIONS(1287),
    [anon_sym_STAR] = ACTIONS(1289),
    [anon_sym_asm] = ACTIONS(1287),
    [anon_sym_LBRACK] = ACTIONS(1289),
    [anon_sym_TILDE] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(1287),
    [anon_sym_DASH_PERCENT] = ACTIONS(1289),
    [anon_sym_AMP] = ACTIONS(1289),
    [anon_sym_async] = ACTIONS(1287),
    [anon_sym_await] = ACTIONS(1287),
    [anon_sym_continue] = ACTIONS(1287),
    [anon_sym_resume] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1287),
    [anon_sym_break] = ACTIONS(1287),
    [anon_sym_try] = ACTIONS(1287),
    [anon_sym_switch] = ACTIONS(1287),
    [anon_sym_anyframe] = ACTIONS(1287),
    [anon_sym_unreachable] = ACTIONS(1287),
    [anon_sym_undefined] = ACTIONS(1287),
    [anon_sym_null] = ACTIONS(1287),
    [anon_sym_QMARK] = ACTIONS(1289),
    [anon_sym_DOT] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [aux_sym_multiline_string_token1] = ACTIONS(1289),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [sym_integer] = ACTIONS(1287),
    [sym_float] = ACTIONS(1289),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_bool] = ACTIONS(1287),
    [anon_sym_f16] = ACTIONS(1287),
    [anon_sym_f32] = ACTIONS(1287),
    [anon_sym_f64] = ACTIONS(1287),
    [anon_sym_f128] = ACTIONS(1287),
    [anon_sym_void] = ACTIONS(1287),
    [anon_sym_type] = ACTIONS(1287),
    [anon_sym_anyerror] = ACTIONS(1287),
    [anon_sym_anyopaque] = ACTIONS(1287),
    [anon_sym_anytype] = ACTIONS(1287),
    [anon_sym_noreturn] = ACTIONS(1287),
    [anon_sym_isize] = ACTIONS(1287),
    [anon_sym_usize] = ACTIONS(1287),
    [anon_sym_comptime_int] = ACTIONS(1287),
    [anon_sym_comptime_float] = ACTIONS(1287),
    [anon_sym_c_short] = ACTIONS(1287),
    [anon_sym_c_ushort] = ACTIONS(1287),
    [anon_sym_c_int] = ACTIONS(1287),
    [anon_sym_c_uint] = ACTIONS(1287),
    [anon_sym_c_long] = ACTIONS(1287),
    [anon_sym_c_ulong] = ACTIONS(1287),
    [anon_sym_c_longlong] = ACTIONS(1287),
    [anon_sym_c_ulonglong] = ACTIONS(1287),
    [anon_sym_c_longdouble] = ACTIONS(1287),
    [aux_sym_builtin_type_token1] = ACTIONS(1287),
    [sym_builtin_identifier] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(1287),
    [sym_comment] = ACTIONS(3),
  },
  [798] = {
    [sym__identifier] = ACTIONS(1291),
    [anon_sym_comptime] = ACTIONS(1291),
    [anon_sym_extern] = ACTIONS(1291),
    [anon_sym_inline] = ACTIONS(1291),
    [anon_sym_fn] = ACTIONS(1291),
    [anon_sym_BANG] = ACTIONS(1293),
    [anon_sym_LPAREN] = ACTIONS(1293),
    [anon_sym_LBRACE] = ACTIONS(1293),
    [anon_sym_packed] = ACTIONS(1291),
    [anon_sym_struct] = ACTIONS(1291),
    [anon_sym_opaque] = ACTIONS(1291),
    [anon_sym_enum] = ACTIONS(1291),
    [anon_sym_union] = ACTIONS(1291),
    [anon_sym_error] = ACTIONS(1291),
    [anon_sym_nosuspend] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1291),
    [anon_sym_for] = ACTIONS(1291),
    [anon_sym_while] = ACTIONS(1291),
    [anon_sym_STAR] = ACTIONS(1293),
    [anon_sym_asm] = ACTIONS(1291),
    [anon_sym_LBRACK] = ACTIONS(1293),
    [anon_sym_TILDE] = ACTIONS(1293),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_DASH_PERCENT] = ACTIONS(1293),
    [anon_sym_AMP] = ACTIONS(1293),
    [anon_sym_async] = ACTIONS(1291),
    [anon_sym_await] = ACTIONS(1291),
    [anon_sym_continue] = ACTIONS(1291),
    [anon_sym_resume] = ACTIONS(1291),
    [anon_sym_return] = ACTIONS(1291),
    [anon_sym_break] = ACTIONS(1291),
    [anon_sym_try] = ACTIONS(1291),
    [anon_sym_switch] = ACTIONS(1291),
    [anon_sym_anyframe] = ACTIONS(1291),
    [anon_sym_unreachable] = ACTIONS(1291),
    [anon_sym_undefined] = ACTIONS(1291),
    [anon_sym_null] = ACTIONS(1291),
    [anon_sym_QMARK] = ACTIONS(1293),
    [anon_sym_DOT] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [aux_sym_multiline_string_token1] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1293),
    [sym_integer] = ACTIONS(1291),
    [sym_float] = ACTIONS(1293),
    [anon_sym_true] = ACTIONS(1291),
    [anon_sym_false] = ACTIONS(1291),
    [anon_sym_bool] = ACTIONS(1291),
    [anon_sym_f16] = ACTIONS(1291),
    [anon_sym_f32] = ACTIONS(1291),
    [anon_sym_f64] = ACTIONS(1291),
    [anon_sym_f128] = ACTIONS(1291),
    [anon_sym_void] = ACTIONS(1291),
    [anon_sym_type] = ACTIONS(1291),
    [anon_sym_anyerror] = ACTIONS(1291),
    [anon_sym_anyopaque] = ACTIONS(1291),
    [anon_sym_anytype] = ACTIONS(1291),
    [anon_sym_noreturn] = ACTIONS(1291),
    [anon_sym_isize] = ACTIONS(1291),
    [anon_sym_usize] = ACTIONS(1291),
    [anon_sym_comptime_int] = ACTIONS(1291),
    [anon_sym_comptime_float] = ACTIONS(1291),
    [anon_sym_c_short] = ACTIONS(1291),
    [anon_sym_c_ushort] = ACTIONS(1291),
    [anon_sym_c_int] = ACTIONS(1291),
    [anon_sym_c_uint] = ACTIONS(1291),
    [anon_sym_c_long] = ACTIONS(1291),
    [anon_sym_c_ulong] = ACTIONS(1291),
    [anon_sym_c_longlong] = ACTIONS(1291),
    [anon_sym_c_ulonglong] = ACTIONS(1291),
    [anon_sym_c_longdouble] = ACTIONS(1291),
    [aux_sym_builtin_type_token1] = ACTIONS(1291),
    [sym_builtin_identifier] = ACTIONS(1293),
    [anon_sym_AT] = ACTIONS(1291),
    [sym_comment] = ACTIONS(3),
  },
  [799] = {
    [sym__identifier] = ACTIONS(1295),
    [anon_sym_comptime] = ACTIONS(1295),
    [anon_sym_extern] = ACTIONS(1295),
    [anon_sym_inline] = ACTIONS(1295),
    [anon_sym_fn] = ACTIONS(1295),
    [anon_sym_BANG] = ACTIONS(1297),
    [anon_sym_LPAREN] = ACTIONS(1297),
    [anon_sym_LBRACE] = ACTIONS(1297),
    [anon_sym_packed] = ACTIONS(1295),
    [anon_sym_struct] = ACTIONS(1295),
    [anon_sym_opaque] = ACTIONS(1295),
    [anon_sym_enum] = ACTIONS(1295),
    [anon_sym_union] = ACTIONS(1295),
    [anon_sym_error] = ACTIONS(1295),
    [anon_sym_nosuspend] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_STAR] = ACTIONS(1297),
    [anon_sym_asm] = ACTIONS(1295),
    [anon_sym_LBRACK] = ACTIONS(1297),
    [anon_sym_TILDE] = ACTIONS(1297),
    [anon_sym_DASH] = ACTIONS(1295),
    [anon_sym_DASH_PERCENT] = ACTIONS(1297),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym_async] = ACTIONS(1295),
    [anon_sym_await] = ACTIONS(1295),
    [anon_sym_continue] = ACTIONS(1295),
    [anon_sym_resume] = ACTIONS(1295),
    [anon_sym_return] = ACTIONS(1295),
    [anon_sym_break] = ACTIONS(1295),
    [anon_sym_try] = ACTIONS(1295),
    [anon_sym_switch] = ACTIONS(1295),
    [anon_sym_anyframe] = ACTIONS(1295),
    [anon_sym_unreachable] = ACTIONS(1295),
    [anon_sym_undefined] = ACTIONS(1295),
    [anon_sym_null] = ACTIONS(1295),
    [anon_sym_QMARK] = ACTIONS(1297),
    [anon_sym_DOT] = ACTIONS(1297),
    [anon_sym_DQUOTE] = ACTIONS(1297),
    [aux_sym_multiline_string_token1] = ACTIONS(1297),
    [anon_sym_SQUOTE] = ACTIONS(1297),
    [sym_integer] = ACTIONS(1295),
    [sym_float] = ACTIONS(1297),
    [anon_sym_true] = ACTIONS(1295),
    [anon_sym_false] = ACTIONS(1295),
    [anon_sym_bool] = ACTIONS(1295),
    [anon_sym_f16] = ACTIONS(1295),
    [anon_sym_f32] = ACTIONS(1295),
    [anon_sym_f64] = ACTIONS(1295),
    [anon_sym_f128] = ACTIONS(1295),
    [anon_sym_void] = ACTIONS(1295),
    [anon_sym_type] = ACTIONS(1295),
    [anon_sym_anyerror] = ACTIONS(1295),
    [anon_sym_anyopaque] = ACTIONS(1295),
    [anon_sym_anytype] = ACTIONS(1295),
    [anon_sym_noreturn] = ACTIONS(1295),
    [anon_sym_isize] = ACTIONS(1295),
    [anon_sym_usize] = ACTIONS(1295),
    [anon_sym_comptime_int] = ACTIONS(1295),
    [anon_sym_comptime_float] = ACTIONS(1295),
    [anon_sym_c_short] = ACTIONS(1295),
    [anon_sym_c_ushort] = ACTIONS(1295),
    [anon_sym_c_int] = ACTIONS(1295),
    [anon_sym_c_uint] = ACTIONS(1295),
    [anon_sym_c_long] = ACTIONS(1295),
    [anon_sym_c_ulong] = ACTIONS(1295),
    [anon_sym_c_longlong] = ACTIONS(1295),
    [anon_sym_c_ulonglong] = ACTIONS(1295),
    [anon_sym_c_longdouble] = ACTIONS(1295),
    [aux_sym_builtin_type_token1] = ACTIONS(1295),
    [sym_builtin_identifier] = ACTIONS(1297),
    [anon_sym_AT] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
  },
  [800] = {
    [sym__identifier] = ACTIONS(1299),
    [anon_sym_comptime] = ACTIONS(1299),
    [anon_sym_extern] = ACTIONS(1299),
    [anon_sym_inline] = ACTIONS(1299),
    [anon_sym_fn] = ACTIONS(1299),
    [anon_sym_BANG] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1301),
    [anon_sym_LBRACE] = ACTIONS(1301),
    [anon_sym_packed] = ACTIONS(1299),
    [anon_sym_struct] = ACTIONS(1299),
    [anon_sym_opaque] = ACTIONS(1299),
    [anon_sym_enum] = ACTIONS(1299),
    [anon_sym_union] = ACTIONS(1299),
    [anon_sym_error] = ACTIONS(1299),
    [anon_sym_nosuspend] = ACTIONS(1299),
    [anon_sym_if] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_STAR] = ACTIONS(1301),
    [anon_sym_asm] = ACTIONS(1299),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [anon_sym_TILDE] = ACTIONS(1301),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_DASH_PERCENT] = ACTIONS(1301),
    [anon_sym_AMP] = ACTIONS(1301),
    [anon_sym_async] = ACTIONS(1299),
    [anon_sym_await] = ACTIONS(1299),
    [anon_sym_continue] = ACTIONS(1299),
    [anon_sym_resume] = ACTIONS(1299),
    [anon_sym_return] = ACTIONS(1299),
    [anon_sym_break] = ACTIONS(1299),
    [anon_sym_try] = ACTIONS(1299),
    [anon_sym_switch] = ACTIONS(1299),
    [anon_sym_anyframe] = ACTIONS(1299),
    [anon_sym_unreachable] = ACTIONS(1299),
    [anon_sym_undefined] = ACTIONS(1299),
    [anon_sym_null] = ACTIONS(1299),
    [anon_sym_QMARK] = ACTIONS(1301),
    [anon_sym_DOT] = ACTIONS(1301),
    [anon_sym_DQUOTE] = ACTIONS(1301),
    [aux_sym_multiline_string_token1] = ACTIONS(1301),
    [anon_sym_SQUOTE] = ACTIONS(1301),
    [sym_integer] = ACTIONS(1299),
    [sym_float] = ACTIONS(1301),
    [anon_sym_true] = ACTIONS(1299),
    [anon_sym_false] = ACTIONS(1299),
    [anon_sym_bool] = ACTIONS(1299),
    [anon_sym_f16] = ACTIONS(1299),
    [anon_sym_f32] = ACTIONS(1299),
    [anon_sym_f64] = ACTIONS(1299),
    [anon_sym_f128] = ACTIONS(1299),
    [anon_sym_void] = ACTIONS(1299),
    [anon_sym_type] = ACTIONS(1299),
    [anon_sym_anyerror] = ACTIONS(1299),
    [anon_sym_anyopaque] = ACTIONS(1299),
    [anon_sym_anytype] = ACTIONS(1299),
    [anon_sym_noreturn] = ACTIONS(1299),
    [anon_sym_isize] = ACTIONS(1299),
    [anon_sym_usize] = ACTIONS(1299),
    [anon_sym_comptime_int] = ACTIONS(1299),
    [anon_sym_comptime_float] = ACTIONS(1299),
    [anon_sym_c_short] = ACTIONS(1299),
    [anon_sym_c_ushort] = ACTIONS(1299),
    [anon_sym_c_int] = ACTIONS(1299),
    [anon_sym_c_uint] = ACTIONS(1299),
    [anon_sym_c_long] = ACTIONS(1299),
    [anon_sym_c_ulong] = ACTIONS(1299),
    [anon_sym_c_longlong] = ACTIONS(1299),
    [anon_sym_c_ulonglong] = ACTIONS(1299),
    [anon_sym_c_longdouble] = ACTIONS(1299),
    [aux_sym_builtin_type_token1] = ACTIONS(1299),
    [sym_builtin_identifier] = ACTIONS(1301),
    [anon_sym_AT] = ACTIONS(1299),
    [sym_comment] = ACTIONS(3),
  },
  [801] = {
    [sym__identifier] = ACTIONS(1303),
    [anon_sym_comptime] = ACTIONS(1303),
    [anon_sym_extern] = ACTIONS(1303),
    [anon_sym_inline] = ACTIONS(1303),
    [anon_sym_fn] = ACTIONS(1303),
    [anon_sym_BANG] = ACTIONS(1305),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_packed] = ACTIONS(1303),
    [anon_sym_struct] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1303),
    [anon_sym_enum] = ACTIONS(1303),
    [anon_sym_union] = ACTIONS(1303),
    [anon_sym_error] = ACTIONS(1303),
    [anon_sym_nosuspend] = ACTIONS(1303),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1305),
    [anon_sym_asm] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_TILDE] = ACTIONS(1305),
    [anon_sym_DASH] = ACTIONS(1303),
    [anon_sym_DASH_PERCENT] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(1305),
    [anon_sym_async] = ACTIONS(1303),
    [anon_sym_await] = ACTIONS(1303),
    [anon_sym_continue] = ACTIONS(1303),
    [anon_sym_resume] = ACTIONS(1303),
    [anon_sym_return] = ACTIONS(1303),
    [anon_sym_break] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_switch] = ACTIONS(1303),
    [anon_sym_anyframe] = ACTIONS(1303),
    [anon_sym_unreachable] = ACTIONS(1303),
    [anon_sym_undefined] = ACTIONS(1303),
    [anon_sym_null] = ACTIONS(1303),
    [anon_sym_QMARK] = ACTIONS(1305),
    [anon_sym_DOT] = ACTIONS(1305),
    [anon_sym_DQUOTE] = ACTIONS(1305),
    [aux_sym_multiline_string_token1] = ACTIONS(1305),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer] = ACTIONS(1303),
    [sym_float] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1303),
    [anon_sym_false] = ACTIONS(1303),
    [anon_sym_bool] = ACTIONS(1303),
    [anon_sym_f16] = ACTIONS(1303),
    [anon_sym_f32] = ACTIONS(1303),
    [anon_sym_f64] = ACTIONS(1303),
    [anon_sym_f128] = ACTIONS(1303),
    [anon_sym_void] = ACTIONS(1303),
    [anon_sym_type] = ACTIONS(1303),
    [anon_sym_anyerror] = ACTIONS(1303),
    [anon_sym_anyopaque] = ACTIONS(1303),
    [anon_sym_anytype] = ACTIONS(1303),
    [anon_sym_noreturn] = ACTIONS(1303),
    [anon_sym_isize] = ACTIONS(1303),
    [anon_sym_usize] = ACTIONS(1303),
    [anon_sym_comptime_int] = ACTIONS(1303),
    [anon_sym_comptime_float] = ACTIONS(1303),
    [anon_sym_c_short] = ACTIONS(1303),
    [anon_sym_c_ushort] = ACTIONS(1303),
    [anon_sym_c_int] = ACTIONS(1303),
    [anon_sym_c_uint] = ACTIONS(1303),
    [anon_sym_c_long] = ACTIONS(1303),
    [anon_sym_c_ulong] = ACTIONS(1303),
    [anon_sym_c_longlong] = ACTIONS(1303),
    [anon_sym_c_ulonglong] = ACTIONS(1303),
    [anon_sym_c_longdouble] = ACTIONS(1303),
    [aux_sym_builtin_type_token1] = ACTIONS(1303),
    [sym_builtin_identifier] = ACTIONS(1305),
    [anon_sym_AT] = ACTIONS(1303),
    [sym_comment] = ACTIONS(3),
  },
  [802] = {
    [sym__identifier] = ACTIONS(1307),
    [anon_sym_comptime] = ACTIONS(1307),
    [anon_sym_extern] = ACTIONS(1307),
    [anon_sym_inline] = ACTIONS(1307),
    [anon_sym_fn] = ACTIONS(1307),
    [anon_sym_BANG] = ACTIONS(1309),
    [anon_sym_LPAREN] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_packed] = ACTIONS(1307),
    [anon_sym_struct] = ACTIONS(1307),
    [anon_sym_opaque] = ACTIONS(1307),
    [anon_sym_enum] = ACTIONS(1307),
    [anon_sym_union] = ACTIONS(1307),
    [anon_sym_error] = ACTIONS(1307),
    [anon_sym_nosuspend] = ACTIONS(1307),
    [anon_sym_if] = ACTIONS(1307),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_while] = ACTIONS(1307),
    [anon_sym_STAR] = ACTIONS(1309),
    [anon_sym_asm] = ACTIONS(1307),
    [anon_sym_LBRACK] = ACTIONS(1309),
    [anon_sym_TILDE] = ACTIONS(1309),
    [anon_sym_DASH] = ACTIONS(1307),
    [anon_sym_DASH_PERCENT] = ACTIONS(1309),
    [anon_sym_AMP] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1307),
    [anon_sym_await] = ACTIONS(1307),
    [anon_sym_continue] = ACTIONS(1307),
    [anon_sym_resume] = ACTIONS(1307),
    [anon_sym_return] = ACTIONS(1307),
    [anon_sym_break] = ACTIONS(1307),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_switch] = ACTIONS(1307),
    [anon_sym_anyframe] = ACTIONS(1307),
    [anon_sym_unreachable] = ACTIONS(1307),
    [anon_sym_undefined] = ACTIONS(1307),
    [anon_sym_null] = ACTIONS(1307),
    [anon_sym_QMARK] = ACTIONS(1309),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(1309),
    [aux_sym_multiline_string_token1] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1309),
    [sym_integer] = ACTIONS(1307),
    [sym_float] = ACTIONS(1309),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_bool] = ACTIONS(1307),
    [anon_sym_f16] = ACTIONS(1307),
    [anon_sym_f32] = ACTIONS(1307),
    [anon_sym_f64] = ACTIONS(1307),
    [anon_sym_f128] = ACTIONS(1307),
    [anon_sym_void] = ACTIONS(1307),
    [anon_sym_type] = ACTIONS(1307),
    [anon_sym_anyerror] = ACTIONS(1307),
    [anon_sym_anyopaque] = ACTIONS(1307),
    [anon_sym_anytype] = ACTIONS(1307),
    [anon_sym_noreturn] = ACTIONS(1307),
    [anon_sym_isize] = ACTIONS(1307),
    [anon_sym_usize] = ACTIONS(1307),
    [anon_sym_comptime_int] = ACTIONS(1307),
    [anon_sym_comptime_float] = ACTIONS(1307),
    [anon_sym_c_short] = ACTIONS(1307),
    [anon_sym_c_ushort] = ACTIONS(1307),
    [anon_sym_c_int] = ACTIONS(1307),
    [anon_sym_c_uint] = ACTIONS(1307),
    [anon_sym_c_long] = ACTIONS(1307),
    [anon_sym_c_ulong] = ACTIONS(1307),
    [anon_sym_c_longlong] = ACTIONS(1307),
    [anon_sym_c_ulonglong] = ACTIONS(1307),
    [anon_sym_c_longdouble] = ACTIONS(1307),
    [aux_sym_builtin_type_token1] = ACTIONS(1307),
    [sym_builtin_identifier] = ACTIONS(1309),
    [anon_sym_AT] = ACTIONS(1307),
    [sym_comment] = ACTIONS(3),
  },
  [803] = {
    [sym__identifier] = ACTIONS(1311),
    [anon_sym_comptime] = ACTIONS(1311),
    [anon_sym_extern] = ACTIONS(1311),
    [anon_sym_inline] = ACTIONS(1311),
    [anon_sym_fn] = ACTIONS(1311),
    [anon_sym_BANG] = ACTIONS(1313),
    [anon_sym_LPAREN] = ACTIONS(1313),
    [anon_sym_LBRACE] = ACTIONS(1313),
    [anon_sym_packed] = ACTIONS(1311),
    [anon_sym_struct] = ACTIONS(1311),
    [anon_sym_opaque] = ACTIONS(1311),
    [anon_sym_enum] = ACTIONS(1311),
    [anon_sym_union] = ACTIONS(1311),
    [anon_sym_error] = ACTIONS(1311),
    [anon_sym_nosuspend] = ACTIONS(1311),
    [anon_sym_if] = ACTIONS(1311),
    [anon_sym_for] = ACTIONS(1311),
    [anon_sym_while] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(1313),
    [anon_sym_asm] = ACTIONS(1311),
    [anon_sym_LBRACK] = ACTIONS(1313),
    [anon_sym_TILDE] = ACTIONS(1313),
    [anon_sym_DASH] = ACTIONS(1311),
    [anon_sym_DASH_PERCENT] = ACTIONS(1313),
    [anon_sym_AMP] = ACTIONS(1313),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_await] = ACTIONS(1311),
    [anon_sym_continue] = ACTIONS(1311),
    [anon_sym_resume] = ACTIONS(1311),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_break] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1311),
    [anon_sym_switch] = ACTIONS(1311),
    [anon_sym_anyframe] = ACTIONS(1311),
    [anon_sym_unreachable] = ACTIONS(1311),
    [anon_sym_undefined] = ACTIONS(1311),
    [anon_sym_null] = ACTIONS(1311),
    [anon_sym_QMARK] = ACTIONS(1313),
    [anon_sym_DOT] = ACTIONS(1313),
    [anon_sym_DQUOTE] = ACTIONS(1313),
    [aux_sym_multiline_string_token1] = ACTIONS(1313),
    [anon_sym_SQUOTE] = ACTIONS(1313),
    [sym_integer] = ACTIONS(1311),
    [sym_float] = ACTIONS(1313),
    [anon_sym_true] = ACTIONS(1311),
    [anon_sym_false] = ACTIONS(1311),
    [anon_sym_bool] = ACTIONS(1311),
    [anon_sym_f16] = ACTIONS(1311),
    [anon_sym_f32] = ACTIONS(1311),
    [anon_sym_f64] = ACTIONS(1311),
    [anon_sym_f128] = ACTIONS(1311),
    [anon_sym_void] = ACTIONS(1311),
    [anon_sym_type] = ACTIONS(1311),
    [anon_sym_anyerror] = ACTIONS(1311),
    [anon_sym_anyopaque] = ACTIONS(1311),
    [anon_sym_anytype] = ACTIONS(1311),
    [anon_sym_noreturn] = ACTIONS(1311),
    [anon_sym_isize] = ACTIONS(1311),
    [anon_sym_usize] = ACTIONS(1311),
    [anon_sym_comptime_int] = ACTIONS(1311),
    [anon_sym_comptime_float] = ACTIONS(1311),
    [anon_sym_c_short] = ACTIONS(1311),
    [anon_sym_c_ushort] = ACTIONS(1311),
    [anon_sym_c_int] = ACTIONS(1311),
    [anon_sym_c_uint] = ACTIONS(1311),
    [anon_sym_c_long] = ACTIONS(1311),
    [anon_sym_c_ulong] = ACTIONS(1311),
    [anon_sym_c_longlong] = ACTIONS(1311),
    [anon_sym_c_ulonglong] = ACTIONS(1311),
    [anon_sym_c_longdouble] = ACTIONS(1311),
    [aux_sym_builtin_type_token1] = ACTIONS(1311),
    [sym_builtin_identifier] = ACTIONS(1313),
    [anon_sym_AT] = ACTIONS(1311),
    [sym_comment] = ACTIONS(3),
  },
  [804] = {
    [sym__identifier] = ACTIONS(1315),
    [anon_sym_comptime] = ACTIONS(1315),
    [anon_sym_extern] = ACTIONS(1315),
    [anon_sym_inline] = ACTIONS(1315),
    [anon_sym_fn] = ACTIONS(1315),
    [anon_sym_BANG] = ACTIONS(1317),
    [anon_sym_LPAREN] = ACTIONS(1317),
    [anon_sym_LBRACE] = ACTIONS(1317),
    [anon_sym_packed] = ACTIONS(1315),
    [anon_sym_struct] = ACTIONS(1315),
    [anon_sym_opaque] = ACTIONS(1315),
    [anon_sym_enum] = ACTIONS(1315),
    [anon_sym_union] = ACTIONS(1315),
    [anon_sym_error] = ACTIONS(1315),
    [anon_sym_nosuspend] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1315),
    [anon_sym_for] = ACTIONS(1315),
    [anon_sym_while] = ACTIONS(1315),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_asm] = ACTIONS(1315),
    [anon_sym_LBRACK] = ACTIONS(1317),
    [anon_sym_TILDE] = ACTIONS(1317),
    [anon_sym_DASH] = ACTIONS(1315),
    [anon_sym_DASH_PERCENT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1317),
    [anon_sym_async] = ACTIONS(1315),
    [anon_sym_await] = ACTIONS(1315),
    [anon_sym_continue] = ACTIONS(1315),
    [anon_sym_resume] = ACTIONS(1315),
    [anon_sym_return] = ACTIONS(1315),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_try] = ACTIONS(1315),
    [anon_sym_switch] = ACTIONS(1315),
    [anon_sym_anyframe] = ACTIONS(1315),
    [anon_sym_unreachable] = ACTIONS(1315),
    [anon_sym_undefined] = ACTIONS(1315),
    [anon_sym_null] = ACTIONS(1315),
    [anon_sym_QMARK] = ACTIONS(1317),
    [anon_sym_DOT] = ACTIONS(1317),
    [anon_sym_DQUOTE] = ACTIONS(1317),
    [aux_sym_multiline_string_token1] = ACTIONS(1317),
    [anon_sym_SQUOTE] = ACTIONS(1317),
    [sym_integer] = ACTIONS(1315),
    [sym_float] = ACTIONS(1317),
    [anon_sym_true] = ACTIONS(1315),
    [anon_sym_false] = ACTIONS(1315),
    [anon_sym_bool] = ACTIONS(1315),
    [anon_sym_f16] = ACTIONS(1315),
    [anon_sym_f32] = ACTIONS(1315),
    [anon_sym_f64] = ACTIONS(1315),
    [anon_sym_f128] = ACTIONS(1315),
    [anon_sym_void] = ACTIONS(1315),
    [anon_sym_type] = ACTIONS(1315),
    [anon_sym_anyerror] = ACTIONS(1315),
    [anon_sym_anyopaque] = ACTIONS(1315),
    [anon_sym_anytype] = ACTIONS(1315),
    [anon_sym_noreturn] = ACTIONS(1315),
    [anon_sym_isize] = ACTIONS(1315),
    [anon_sym_usize] = ACTIONS(1315),
    [anon_sym_comptime_int] = ACTIONS(1315),
    [anon_sym_comptime_float] = ACTIONS(1315),
    [anon_sym_c_short] = ACTIONS(1315),
    [anon_sym_c_ushort] = ACTIONS(1315),
    [anon_sym_c_int] = ACTIONS(1315),
    [anon_sym_c_uint] = ACTIONS(1315),
    [anon_sym_c_long] = ACTIONS(1315),
    [anon_sym_c_ulong] = ACTIONS(1315),
    [anon_sym_c_longlong] = ACTIONS(1315),
    [anon_sym_c_ulonglong] = ACTIONS(1315),
    [anon_sym_c_longdouble] = ACTIONS(1315),
    [aux_sym_builtin_type_token1] = ACTIONS(1315),
    [sym_builtin_identifier] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(1315),
    [sym_comment] = ACTIONS(3),
  },
  [805] = {
    [sym__identifier] = ACTIONS(1319),
    [anon_sym_comptime] = ACTIONS(1319),
    [anon_sym_extern] = ACTIONS(1319),
    [anon_sym_inline] = ACTIONS(1319),
    [anon_sym_fn] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1321),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_LBRACE] = ACTIONS(1321),
    [anon_sym_packed] = ACTIONS(1319),
    [anon_sym_struct] = ACTIONS(1319),
    [anon_sym_opaque] = ACTIONS(1319),
    [anon_sym_enum] = ACTIONS(1319),
    [anon_sym_union] = ACTIONS(1319),
    [anon_sym_error] = ACTIONS(1319),
    [anon_sym_nosuspend] = ACTIONS(1319),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_for] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1319),
    [anon_sym_STAR] = ACTIONS(1321),
    [anon_sym_asm] = ACTIONS(1319),
    [anon_sym_LBRACK] = ACTIONS(1321),
    [anon_sym_TILDE] = ACTIONS(1321),
    [anon_sym_DASH] = ACTIONS(1319),
    [anon_sym_DASH_PERCENT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(1321),
    [anon_sym_async] = ACTIONS(1319),
    [anon_sym_await] = ACTIONS(1319),
    [anon_sym_continue] = ACTIONS(1319),
    [anon_sym_resume] = ACTIONS(1319),
    [anon_sym_return] = ACTIONS(1319),
    [anon_sym_break] = ACTIONS(1319),
    [anon_sym_try] = ACTIONS(1319),
    [anon_sym_switch] = ACTIONS(1319),
    [anon_sym_anyframe] = ACTIONS(1319),
    [anon_sym_unreachable] = ACTIONS(1319),
    [anon_sym_undefined] = ACTIONS(1319),
    [anon_sym_null] = ACTIONS(1319),
    [anon_sym_QMARK] = ACTIONS(1321),
    [anon_sym_DOT] = ACTIONS(1321),
    [anon_sym_DQUOTE] = ACTIONS(1321),
    [aux_sym_multiline_string_token1] = ACTIONS(1321),
    [anon_sym_SQUOTE] = ACTIONS(1321),
    [sym_integer] = ACTIONS(1319),
    [sym_float] = ACTIONS(1321),
    [anon_sym_true] = ACTIONS(1319),
    [anon_sym_false] = ACTIONS(1319),
    [anon_sym_bool] = ACTIONS(1319),
    [anon_sym_f16] = ACTIONS(1319),
    [anon_sym_f32] = ACTIONS(1319),
    [anon_sym_f64] = ACTIONS(1319),
    [anon_sym_f128] = ACTIONS(1319),
    [anon_sym_void] = ACTIONS(1319),
    [anon_sym_type] = ACTIONS(1319),
    [anon_sym_anyerror] = ACTIONS(1319),
    [anon_sym_anyopaque] = ACTIONS(1319),
    [anon_sym_anytype] = ACTIONS(1319),
    [anon_sym_noreturn] = ACTIONS(1319),
    [anon_sym_isize] = ACTIONS(1319),
    [anon_sym_usize] = ACTIONS(1319),
    [anon_sym_comptime_int] = ACTIONS(1319),
    [anon_sym_comptime_float] = ACTIONS(1319),
    [anon_sym_c_short] = ACTIONS(1319),
    [anon_sym_c_ushort] = ACTIONS(1319),
    [anon_sym_c_int] = ACTIONS(1319),
    [anon_sym_c_uint] = ACTIONS(1319),
    [anon_sym_c_long] = ACTIONS(1319),
    [anon_sym_c_ulong] = ACTIONS(1319),
    [anon_sym_c_longlong] = ACTIONS(1319),
    [anon_sym_c_ulonglong] = ACTIONS(1319),
    [anon_sym_c_longdouble] = ACTIONS(1319),
    [aux_sym_builtin_type_token1] = ACTIONS(1319),
    [sym_builtin_identifier] = ACTIONS(1321),
    [anon_sym_AT] = ACTIONS(1319),
    [sym_comment] = ACTIONS(3),
  },
  [806] = {
    [aux_sym_multiline_string_repeat1] = STATE(807),
    [ts_builtin_sym_end] = ACTIONS(1323),
    [anon_sym_COMMA] = ACTIONS(1323),
    [anon_sym_COLON] = ACTIONS(1323),
    [anon_sym_EQ] = ACTIONS(1325),
    [anon_sym_SEMI] = ACTIONS(1323),
    [anon_sym_STAR_EQ] = ACTIONS(1323),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1323),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1323),
    [anon_sym_SLASH_EQ] = ACTIONS(1323),
    [anon_sym_PERCENT_EQ] = ACTIONS(1323),
    [anon_sym_PLUS_EQ] = ACTIONS(1323),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1323),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1323),
    [anon_sym_DASH_EQ] = ACTIONS(1323),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1323),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1323),
    [anon_sym_LT_LT_EQ] = ACTIONS(1323),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1323),
    [anon_sym_GT_GT_EQ] = ACTIONS(1323),
    [anon_sym_AMP_EQ] = ACTIONS(1323),
    [anon_sym_CARET_EQ] = ACTIONS(1323),
    [anon_sym_PIPE_EQ] = ACTIONS(1323),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(1323),
    [anon_sym_RPAREN] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1323),
    [anon_sym_RBRACE] = ACTIONS(1323),
    [anon_sym_else] = ACTIONS(1323),
    [anon_sym_DOT_DOT] = ACTIONS(1323),
    [anon_sym_PIPE] = ACTIONS(1325),
    [anon_sym_STAR] = ACTIONS(1325),
    [anon_sym_align] = ACTIONS(1323),
    [anon_sym_addrspace] = ACTIONS(1323),
    [anon_sym_linksection] = ACTIONS(1323),
    [anon_sym_LBRACK] = ACTIONS(1323),
    [anon_sym_RBRACK] = ACTIONS(1323),
    [anon_sym_DASH] = ACTIONS(1325),
    [anon_sym_DASH_PERCENT] = ACTIONS(1325),
    [anon_sym_AMP] = ACTIONS(1325),
    [anon_sym_or] = ACTIONS(1325),
    [anon_sym_and] = ACTIONS(1323),
    [anon_sym_EQ_EQ] = ACTIONS(1323),
    [anon_sym_BANG_EQ] = ACTIONS(1323),
    [anon_sym_GT] = ACTIONS(1325),
    [anon_sym_GT_EQ] = ACTIONS(1323),
    [anon_sym_LT_EQ] = ACTIONS(1323),
    [anon_sym_LT] = ACTIONS(1325),
    [anon_sym_CARET] = ACTIONS(1325),
    [anon_sym_orelse] = ACTIONS(1323),
    [anon_sym_LT_LT] = ACTIONS(1325),
    [anon_sym_GT_GT] = ACTIONS(1325),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1325),
    [anon_sym_PLUS] = ACTIONS(1325),
    [anon_sym_PLUS_PLUS] = ACTIONS(1323),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1325),
    [anon_sym_PLUS_PIPE] = ACTIONS(1325),
    [anon_sym_DASH_PIPE] = ACTIONS(1325),
    [anon_sym_SLASH] = ACTIONS(1325),
    [anon_sym_PERCENT] = ACTIONS(1325),
    [anon_sym_STAR_STAR] = ACTIONS(1323),
    [anon_sym_STAR_PERCENT] = ACTIONS(1325),
    [anon_sym_STAR_PIPE] = ACTIONS(1325),
    [anon_sym_PIPE_PIPE] = ACTIONS(1323),
    [anon_sym_catch] = ACTIONS(1323),
    [anon_sym_EQ_GT] = ACTIONS(1323),
    [anon_sym_DOT] = ACTIONS(1325),
    [anon_sym_DOT_STAR] = ACTIONS(1323),
    [anon_sym_DOT_QMARK] = ACTIONS(1323),
    [aux_sym_multiline_string_token1] = ACTIONS(1327),
    [sym_comment] = ACTIONS(3),
  },
  [807] = {
    [aux_sym_multiline_string_repeat1] = STATE(807),
    [ts_builtin_sym_end] = ACTIONS(1329),
    [anon_sym_COMMA] = ACTIONS(1329),
    [anon_sym_COLON] = ACTIONS(1329),
    [anon_sym_EQ] = ACTIONS(1331),
    [anon_sym_SEMI] = ACTIONS(1329),
    [anon_sym_STAR_EQ] = ACTIONS(1329),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1329),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1329),
    [anon_sym_SLASH_EQ] = ACTIONS(1329),
    [anon_sym_PERCENT_EQ] = ACTIONS(1329),
    [anon_sym_PLUS_EQ] = ACTIONS(1329),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1329),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1329),
    [anon_sym_DASH_EQ] = ACTIONS(1329),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1329),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1329),
    [anon_sym_LT_LT_EQ] = ACTIONS(1329),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1329),
    [anon_sym_GT_GT_EQ] = ACTIONS(1329),
    [anon_sym_AMP_EQ] = ACTIONS(1329),
    [anon_sym_CARET_EQ] = ACTIONS(1329),
    [anon_sym_PIPE_EQ] = ACTIONS(1329),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(1329),
    [anon_sym_RPAREN] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1329),
    [anon_sym_RBRACE] = ACTIONS(1329),
    [anon_sym_else] = ACTIONS(1329),
    [anon_sym_DOT_DOT] = ACTIONS(1329),
    [anon_sym_PIPE] = ACTIONS(1331),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_align] = ACTIONS(1329),
    [anon_sym_addrspace] = ACTIONS(1329),
    [anon_sym_linksection] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(1329),
    [anon_sym_RBRACK] = ACTIONS(1329),
    [anon_sym_DASH] = ACTIONS(1331),
    [anon_sym_DASH_PERCENT] = ACTIONS(1331),
    [anon_sym_AMP] = ACTIONS(1331),
    [anon_sym_or] = ACTIONS(1331),
    [anon_sym_and] = ACTIONS(1329),
    [anon_sym_EQ_EQ] = ACTIONS(1329),
    [anon_sym_BANG_EQ] = ACTIONS(1329),
    [anon_sym_GT] = ACTIONS(1331),
    [anon_sym_GT_EQ] = ACTIONS(1329),
    [anon_sym_LT_EQ] = ACTIONS(1329),
    [anon_sym_LT] = ACTIONS(1331),
    [anon_sym_CARET] = ACTIONS(1331),
    [anon_sym_orelse] = ACTIONS(1329),
    [anon_sym_LT_LT] = ACTIONS(1331),
    [anon_sym_GT_GT] = ACTIONS(1331),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1331),
    [anon_sym_PLUS] = ACTIONS(1331),
    [anon_sym_PLUS_PLUS] = ACTIONS(1329),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1331),
    [anon_sym_PLUS_PIPE] = ACTIONS(1331),
    [anon_sym_DASH_PIPE] = ACTIONS(1331),
    [anon_sym_SLASH] = ACTIONS(1331),
    [anon_sym_PERCENT] = ACTIONS(1331),
    [anon_sym_STAR_STAR] = ACTIONS(1329),
    [anon_sym_STAR_PERCENT] = ACTIONS(1331),
    [anon_sym_STAR_PIPE] = ACTIONS(1331),
    [anon_sym_PIPE_PIPE] = ACTIONS(1329),
    [anon_sym_catch] = ACTIONS(1329),
    [anon_sym_EQ_GT] = ACTIONS(1329),
    [anon_sym_DOT] = ACTIONS(1331),
    [anon_sym_DOT_STAR] = ACTIONS(1329),
    [anon_sym_DOT_QMARK] = ACTIONS(1329),
    [aux_sym_multiline_string_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(3),
  },
  [808] = {
    [sym_break_label] = STATE(871),
    [ts_builtin_sym_end] = ACTIONS(1336),
    [anon_sym_COMMA] = ACTIONS(1336),
    [anon_sym_COLON] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1336),
    [anon_sym_STAR_EQ] = ACTIONS(1336),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1336),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1336),
    [anon_sym_SLASH_EQ] = ACTIONS(1336),
    [anon_sym_PERCENT_EQ] = ACTIONS(1336),
    [anon_sym_PLUS_EQ] = ACTIONS(1336),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1336),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1336),
    [anon_sym_DASH_EQ] = ACTIONS(1336),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1336),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1336),
    [anon_sym_LT_LT_EQ] = ACTIONS(1336),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1336),
    [anon_sym_GT_GT_EQ] = ACTIONS(1336),
    [anon_sym_AMP_EQ] = ACTIONS(1336),
    [anon_sym_CARET_EQ] = ACTIONS(1336),
    [anon_sym_PIPE_EQ] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_LPAREN] = ACTIONS(1336),
    [anon_sym_RPAREN] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1336),
    [anon_sym_RBRACE] = ACTIONS(1336),
    [anon_sym_else] = ACTIONS(1336),
    [anon_sym_DOT_DOT] = ACTIONS(1336),
    [anon_sym_PIPE] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1338),
    [anon_sym_align] = ACTIONS(1336),
    [anon_sym_addrspace] = ACTIONS(1336),
    [anon_sym_linksection] = ACTIONS(1336),
    [anon_sym_LBRACK] = ACTIONS(1336),
    [anon_sym_RBRACK] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_DASH_PERCENT] = ACTIONS(1338),
    [anon_sym_AMP] = ACTIONS(1338),
    [anon_sym_or] = ACTIONS(1338),
    [anon_sym_and] = ACTIONS(1336),
    [anon_sym_EQ_EQ] = ACTIONS(1336),
    [anon_sym_BANG_EQ] = ACTIONS(1336),
    [anon_sym_GT] = ACTIONS(1338),
    [anon_sym_GT_EQ] = ACTIONS(1336),
    [anon_sym_LT_EQ] = ACTIONS(1336),
    [anon_sym_LT] = ACTIONS(1338),
    [anon_sym_CARET] = ACTIONS(1338),
    [anon_sym_orelse] = ACTIONS(1336),
    [anon_sym_LT_LT] = ACTIONS(1338),
    [anon_sym_GT_GT] = ACTIONS(1338),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1336),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1338),
    [anon_sym_PLUS_PIPE] = ACTIONS(1338),
    [anon_sym_DASH_PIPE] = ACTIONS(1338),
    [anon_sym_SLASH] = ACTIONS(1338),
    [anon_sym_PERCENT] = ACTIONS(1338),
    [anon_sym_STAR_STAR] = ACTIONS(1336),
    [anon_sym_STAR_PERCENT] = ACTIONS(1338),
    [anon_sym_STAR_PIPE] = ACTIONS(1338),
    [anon_sym_PIPE_PIPE] = ACTIONS(1336),
    [anon_sym_catch] = ACTIONS(1336),
    [anon_sym_EQ_GT] = ACTIONS(1336),
    [anon_sym_DOT] = ACTIONS(1338),
    [anon_sym_DOT_STAR] = ACTIONS(1336),
    [anon_sym_DOT_QMARK] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
  },
  [809] = {
    [sym_initializer_list] = STATE(860),
    [ts_builtin_sym_end] = ACTIONS(1340),
    [anon_sym_COMMA] = ACTIONS(1340),
    [anon_sym_COLON] = ACTIONS(1340),
    [anon_sym_EQ] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(1340),
    [anon_sym_STAR_EQ] = ACTIONS(1340),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1340),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1340),
    [anon_sym_SLASH_EQ] = ACTIONS(1340),
    [anon_sym_PERCENT_EQ] = ACTIONS(1340),
    [anon_sym_PLUS_EQ] = ACTIONS(1340),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1340),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1340),
    [anon_sym_DASH_EQ] = ACTIONS(1340),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1340),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1340),
    [anon_sym_LT_LT_EQ] = ACTIONS(1340),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1340),
    [anon_sym_GT_GT_EQ] = ACTIONS(1340),
    [anon_sym_AMP_EQ] = ACTIONS(1340),
    [anon_sym_CARET_EQ] = ACTIONS(1340),
    [anon_sym_PIPE_EQ] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(1340),
    [anon_sym_RPAREN] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_RBRACE] = ACTIONS(1340),
    [anon_sym_else] = ACTIONS(1340),
    [anon_sym_DOT_DOT] = ACTIONS(1340),
    [anon_sym_PIPE] = ACTIONS(1342),
    [anon_sym_STAR] = ACTIONS(1342),
    [anon_sym_align] = ACTIONS(1340),
    [anon_sym_addrspace] = ACTIONS(1340),
    [anon_sym_linksection] = ACTIONS(1340),
    [anon_sym_LBRACK] = ACTIONS(1340),
    [anon_sym_RBRACK] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_DASH_PERCENT] = ACTIONS(1342),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym_or] = ACTIONS(1342),
    [anon_sym_and] = ACTIONS(1340),
    [anon_sym_EQ_EQ] = ACTIONS(1340),
    [anon_sym_BANG_EQ] = ACTIONS(1340),
    [anon_sym_GT] = ACTIONS(1342),
    [anon_sym_GT_EQ] = ACTIONS(1340),
    [anon_sym_LT_EQ] = ACTIONS(1340),
    [anon_sym_LT] = ACTIONS(1342),
    [anon_sym_CARET] = ACTIONS(1342),
    [anon_sym_orelse] = ACTIONS(1340),
    [anon_sym_LT_LT] = ACTIONS(1342),
    [anon_sym_GT_GT] = ACTIONS(1342),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1342),
    [anon_sym_PLUS_PIPE] = ACTIONS(1342),
    [anon_sym_DASH_PIPE] = ACTIONS(1342),
    [anon_sym_SLASH] = ACTIONS(1342),
    [anon_sym_PERCENT] = ACTIONS(1342),
    [anon_sym_STAR_STAR] = ACTIONS(1340),
    [anon_sym_STAR_PERCENT] = ACTIONS(1342),
    [anon_sym_STAR_PIPE] = ACTIONS(1342),
    [anon_sym_PIPE_PIPE] = ACTIONS(1340),
    [anon_sym_catch] = ACTIONS(1340),
    [anon_sym_EQ_GT] = ACTIONS(1340),
    [anon_sym_DOT] = ACTIONS(1342),
    [anon_sym_DOT_STAR] = ACTIONS(1340),
    [anon_sym_DOT_QMARK] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
  },
  [810] = {
    [sym_initializer_list] = STATE(860),
    [ts_builtin_sym_end] = ACTIONS(1340),
    [anon_sym_COMMA] = ACTIONS(1340),
    [anon_sym_COLON] = ACTIONS(1340),
    [anon_sym_EQ] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(1340),
    [anon_sym_STAR_EQ] = ACTIONS(1340),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1340),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1340),
    [anon_sym_SLASH_EQ] = ACTIONS(1340),
    [anon_sym_PERCENT_EQ] = ACTIONS(1340),
    [anon_sym_PLUS_EQ] = ACTIONS(1340),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1340),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1340),
    [anon_sym_DASH_EQ] = ACTIONS(1340),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1340),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1340),
    [anon_sym_LT_LT_EQ] = ACTIONS(1340),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1340),
    [anon_sym_GT_GT_EQ] = ACTIONS(1340),
    [anon_sym_AMP_EQ] = ACTIONS(1340),
    [anon_sym_CARET_EQ] = ACTIONS(1340),
    [anon_sym_PIPE_EQ] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(1340),
    [anon_sym_RPAREN] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_RBRACE] = ACTIONS(1340),
    [anon_sym_else] = ACTIONS(1340),
    [anon_sym_DOT_DOT] = ACTIONS(1340),
    [anon_sym_PIPE] = ACTIONS(1342),
    [anon_sym_STAR] = ACTIONS(1342),
    [anon_sym_align] = ACTIONS(1340),
    [anon_sym_addrspace] = ACTIONS(1340),
    [anon_sym_linksection] = ACTIONS(1340),
    [anon_sym_LBRACK] = ACTIONS(1340),
    [anon_sym_RBRACK] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_DASH_PERCENT] = ACTIONS(1342),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym_or] = ACTIONS(1342),
    [anon_sym_and] = ACTIONS(1340),
    [anon_sym_EQ_EQ] = ACTIONS(1340),
    [anon_sym_BANG_EQ] = ACTIONS(1340),
    [anon_sym_GT] = ACTIONS(1342),
    [anon_sym_GT_EQ] = ACTIONS(1340),
    [anon_sym_LT_EQ] = ACTIONS(1340),
    [anon_sym_LT] = ACTIONS(1342),
    [anon_sym_CARET] = ACTIONS(1342),
    [anon_sym_orelse] = ACTIONS(1340),
    [anon_sym_LT_LT] = ACTIONS(1342),
    [anon_sym_GT_GT] = ACTIONS(1342),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1342),
    [anon_sym_PLUS_PIPE] = ACTIONS(1342),
    [anon_sym_DASH_PIPE] = ACTIONS(1342),
    [anon_sym_SLASH] = ACTIONS(1342),
    [anon_sym_PERCENT] = ACTIONS(1342),
    [anon_sym_STAR_STAR] = ACTIONS(1340),
    [anon_sym_STAR_PERCENT] = ACTIONS(1342),
    [anon_sym_STAR_PIPE] = ACTIONS(1342),
    [anon_sym_PIPE_PIPE] = ACTIONS(1340),
    [anon_sym_catch] = ACTIONS(1340),
    [anon_sym_EQ_GT] = ACTIONS(1340),
    [anon_sym_DOT] = ACTIONS(1342),
    [anon_sym_DOT_STAR] = ACTIONS(1340),
    [anon_sym_DOT_QMARK] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
  },
  [811] = {
    [ts_builtin_sym_end] = ACTIONS(1346),
    [anon_sym_COMMA] = ACTIONS(1346),
    [anon_sym_COLON] = ACTIONS(1346),
    [anon_sym_EQ] = ACTIONS(1348),
    [anon_sym_SEMI] = ACTIONS(1346),
    [anon_sym_STAR_EQ] = ACTIONS(1346),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1346),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1346),
    [anon_sym_SLASH_EQ] = ACTIONS(1346),
    [anon_sym_PERCENT_EQ] = ACTIONS(1346),
    [anon_sym_PLUS_EQ] = ACTIONS(1346),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1346),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1346),
    [anon_sym_DASH_EQ] = ACTIONS(1346),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1346),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1346),
    [anon_sym_LT_LT_EQ] = ACTIONS(1346),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1346),
    [anon_sym_GT_GT_EQ] = ACTIONS(1346),
    [anon_sym_AMP_EQ] = ACTIONS(1346),
    [anon_sym_CARET_EQ] = ACTIONS(1346),
    [anon_sym_PIPE_EQ] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1348),
    [anon_sym_LPAREN] = ACTIONS(1346),
    [anon_sym_RPAREN] = ACTIONS(1346),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_RBRACE] = ACTIONS(1346),
    [anon_sym_else] = ACTIONS(1346),
    [anon_sym_DOT_DOT] = ACTIONS(1346),
    [anon_sym_PIPE] = ACTIONS(1348),
    [anon_sym_STAR] = ACTIONS(1348),
    [anon_sym_align] = ACTIONS(1346),
    [anon_sym_addrspace] = ACTIONS(1346),
    [anon_sym_linksection] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(1346),
    [anon_sym_RBRACK] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_DASH_PERCENT] = ACTIONS(1348),
    [anon_sym_AMP] = ACTIONS(1348),
    [anon_sym_or] = ACTIONS(1348),
    [anon_sym_and] = ACTIONS(1346),
    [anon_sym_EQ_EQ] = ACTIONS(1346),
    [anon_sym_BANG_EQ] = ACTIONS(1346),
    [anon_sym_GT] = ACTIONS(1348),
    [anon_sym_GT_EQ] = ACTIONS(1346),
    [anon_sym_LT_EQ] = ACTIONS(1346),
    [anon_sym_LT] = ACTIONS(1348),
    [anon_sym_CARET] = ACTIONS(1348),
    [anon_sym_orelse] = ACTIONS(1346),
    [anon_sym_LT_LT] = ACTIONS(1348),
    [anon_sym_GT_GT] = ACTIONS(1348),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1348),
    [anon_sym_PLUS_PIPE] = ACTIONS(1348),
    [anon_sym_DASH_PIPE] = ACTIONS(1348),
    [anon_sym_SLASH] = ACTIONS(1348),
    [anon_sym_PERCENT] = ACTIONS(1348),
    [anon_sym_STAR_STAR] = ACTIONS(1346),
    [anon_sym_STAR_PERCENT] = ACTIONS(1348),
    [anon_sym_STAR_PIPE] = ACTIONS(1348),
    [anon_sym_PIPE_PIPE] = ACTIONS(1346),
    [anon_sym_catch] = ACTIONS(1346),
    [anon_sym_EQ_GT] = ACTIONS(1346),
    [anon_sym_DOT] = ACTIONS(1348),
    [anon_sym_DOT_STAR] = ACTIONS(1346),
    [anon_sym_DOT_QMARK] = ACTIONS(1346),
    [sym_comment] = ACTIONS(3),
  },
  [812] = {
    [ts_builtin_sym_end] = ACTIONS(1350),
    [anon_sym_COMMA] = ACTIONS(1350),
    [anon_sym_COLON] = ACTIONS(1350),
    [anon_sym_EQ] = ACTIONS(1352),
    [anon_sym_SEMI] = ACTIONS(1350),
    [anon_sym_STAR_EQ] = ACTIONS(1350),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1350),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1350),
    [anon_sym_SLASH_EQ] = ACTIONS(1350),
    [anon_sym_PERCENT_EQ] = ACTIONS(1350),
    [anon_sym_PLUS_EQ] = ACTIONS(1350),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1350),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1350),
    [anon_sym_DASH_EQ] = ACTIONS(1350),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1350),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1350),
    [anon_sym_LT_LT_EQ] = ACTIONS(1350),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1350),
    [anon_sym_GT_GT_EQ] = ACTIONS(1350),
    [anon_sym_AMP_EQ] = ACTIONS(1350),
    [anon_sym_CARET_EQ] = ACTIONS(1350),
    [anon_sym_PIPE_EQ] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_RPAREN] = ACTIONS(1350),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_RBRACE] = ACTIONS(1350),
    [anon_sym_else] = ACTIONS(1350),
    [anon_sym_DOT_DOT] = ACTIONS(1350),
    [anon_sym_PIPE] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1352),
    [anon_sym_align] = ACTIONS(1350),
    [anon_sym_addrspace] = ACTIONS(1350),
    [anon_sym_linksection] = ACTIONS(1350),
    [anon_sym_LBRACK] = ACTIONS(1350),
    [anon_sym_RBRACK] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_DASH_PERCENT] = ACTIONS(1352),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_or] = ACTIONS(1352),
    [anon_sym_and] = ACTIONS(1350),
    [anon_sym_EQ_EQ] = ACTIONS(1350),
    [anon_sym_BANG_EQ] = ACTIONS(1350),
    [anon_sym_GT] = ACTIONS(1352),
    [anon_sym_GT_EQ] = ACTIONS(1350),
    [anon_sym_LT_EQ] = ACTIONS(1350),
    [anon_sym_LT] = ACTIONS(1352),
    [anon_sym_CARET] = ACTIONS(1352),
    [anon_sym_orelse] = ACTIONS(1350),
    [anon_sym_LT_LT] = ACTIONS(1352),
    [anon_sym_GT_GT] = ACTIONS(1352),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1352),
    [anon_sym_PLUS_PIPE] = ACTIONS(1352),
    [anon_sym_DASH_PIPE] = ACTIONS(1352),
    [anon_sym_SLASH] = ACTIONS(1352),
    [anon_sym_PERCENT] = ACTIONS(1352),
    [anon_sym_STAR_STAR] = ACTIONS(1350),
    [anon_sym_STAR_PERCENT] = ACTIONS(1352),
    [anon_sym_STAR_PIPE] = ACTIONS(1352),
    [anon_sym_PIPE_PIPE] = ACTIONS(1350),
    [anon_sym_catch] = ACTIONS(1350),
    [anon_sym_EQ_GT] = ACTIONS(1350),
    [anon_sym_DOT] = ACTIONS(1352),
    [anon_sym_DOT_STAR] = ACTIONS(1350),
    [anon_sym_DOT_QMARK] = ACTIONS(1350),
    [sym_comment] = ACTIONS(3),
  },
  [813] = {
    [ts_builtin_sym_end] = ACTIONS(987),
    [anon_sym_COMMA] = ACTIONS(987),
    [anon_sym_COLON] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(989),
    [anon_sym_SEMI] = ACTIONS(987),
    [anon_sym_STAR_EQ] = ACTIONS(987),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(987),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(987),
    [anon_sym_SLASH_EQ] = ACTIONS(987),
    [anon_sym_PERCENT_EQ] = ACTIONS(987),
    [anon_sym_PLUS_EQ] = ACTIONS(987),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(987),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(987),
    [anon_sym_DASH_EQ] = ACTIONS(987),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(987),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(987),
    [anon_sym_LT_LT_EQ] = ACTIONS(987),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(987),
    [anon_sym_GT_GT_EQ] = ACTIONS(987),
    [anon_sym_AMP_EQ] = ACTIONS(987),
    [anon_sym_CARET_EQ] = ACTIONS(987),
    [anon_sym_PIPE_EQ] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(987),
    [anon_sym_RPAREN] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_RBRACE] = ACTIONS(987),
    [anon_sym_else] = ACTIONS(987),
    [anon_sym_DOT_DOT] = ACTIONS(987),
    [anon_sym_PIPE] = ACTIONS(989),
    [anon_sym_STAR] = ACTIONS(989),
    [anon_sym_align] = ACTIONS(987),
    [anon_sym_addrspace] = ACTIONS(987),
    [anon_sym_linksection] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(987),
    [anon_sym_RBRACK] = ACTIONS(987),
    [anon_sym_DASH] = ACTIONS(989),
    [anon_sym_DASH_PERCENT] = ACTIONS(989),
    [anon_sym_AMP] = ACTIONS(989),
    [anon_sym_or] = ACTIONS(989),
    [anon_sym_and] = ACTIONS(987),
    [anon_sym_EQ_EQ] = ACTIONS(987),
    [anon_sym_BANG_EQ] = ACTIONS(987),
    [anon_sym_GT] = ACTIONS(989),
    [anon_sym_GT_EQ] = ACTIONS(987),
    [anon_sym_LT_EQ] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(989),
    [anon_sym_CARET] = ACTIONS(989),
    [anon_sym_orelse] = ACTIONS(987),
    [anon_sym_LT_LT] = ACTIONS(989),
    [anon_sym_GT_GT] = ACTIONS(989),
    [anon_sym_LT_LT_PIPE] = ACTIONS(989),
    [anon_sym_PLUS] = ACTIONS(989),
    [anon_sym_PLUS_PLUS] = ACTIONS(987),
    [anon_sym_PLUS_PERCENT] = ACTIONS(989),
    [anon_sym_PLUS_PIPE] = ACTIONS(989),
    [anon_sym_DASH_PIPE] = ACTIONS(989),
    [anon_sym_SLASH] = ACTIONS(989),
    [anon_sym_PERCENT] = ACTIONS(989),
    [anon_sym_STAR_STAR] = ACTIONS(987),
    [anon_sym_STAR_PERCENT] = ACTIONS(989),
    [anon_sym_STAR_PIPE] = ACTIONS(989),
    [anon_sym_PIPE_PIPE] = ACTIONS(987),
    [anon_sym_catch] = ACTIONS(987),
    [anon_sym_EQ_GT] = ACTIONS(987),
    [anon_sym_DOT] = ACTIONS(989),
    [anon_sym_DOT_STAR] = ACTIONS(987),
    [anon_sym_DOT_QMARK] = ACTIONS(987),
    [sym_comment] = ACTIONS(3),
  },
  [814] = {
    [ts_builtin_sym_end] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1356),
    [anon_sym_COLON] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1358),
    [anon_sym_SEMI] = ACTIONS(1356),
    [anon_sym_STAR_EQ] = ACTIONS(1356),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1356),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1356),
    [anon_sym_SLASH_EQ] = ACTIONS(1356),
    [anon_sym_PERCENT_EQ] = ACTIONS(1356),
    [anon_sym_PLUS_EQ] = ACTIONS(1356),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1356),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1356),
    [anon_sym_DASH_EQ] = ACTIONS(1356),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1356),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1356),
    [anon_sym_LT_LT_EQ] = ACTIONS(1356),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1356),
    [anon_sym_GT_GT_EQ] = ACTIONS(1356),
    [anon_sym_AMP_EQ] = ACTIONS(1356),
    [anon_sym_CARET_EQ] = ACTIONS(1356),
    [anon_sym_PIPE_EQ] = ACTIONS(1356),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_LPAREN] = ACTIONS(1356),
    [anon_sym_RPAREN] = ACTIONS(1356),
    [anon_sym_LBRACE] = ACTIONS(1356),
    [anon_sym_RBRACE] = ACTIONS(1356),
    [anon_sym_else] = ACTIONS(1356),
    [anon_sym_DOT_DOT] = ACTIONS(1356),
    [anon_sym_PIPE] = ACTIONS(1358),
    [anon_sym_STAR] = ACTIONS(1358),
    [anon_sym_align] = ACTIONS(1356),
    [anon_sym_addrspace] = ACTIONS(1356),
    [anon_sym_linksection] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1356),
    [anon_sym_RBRACK] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_DASH_PERCENT] = ACTIONS(1358),
    [anon_sym_AMP] = ACTIONS(1358),
    [anon_sym_or] = ACTIONS(1358),
    [anon_sym_and] = ACTIONS(1356),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1358),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1358),
    [anon_sym_CARET] = ACTIONS(1358),
    [anon_sym_orelse] = ACTIONS(1356),
    [anon_sym_LT_LT] = ACTIONS(1358),
    [anon_sym_GT_GT] = ACTIONS(1358),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1358),
    [anon_sym_PLUS_PIPE] = ACTIONS(1358),
    [anon_sym_DASH_PIPE] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(1358),
    [anon_sym_PERCENT] = ACTIONS(1358),
    [anon_sym_STAR_STAR] = ACTIONS(1356),
    [anon_sym_STAR_PERCENT] = ACTIONS(1358),
    [anon_sym_STAR_PIPE] = ACTIONS(1358),
    [anon_sym_PIPE_PIPE] = ACTIONS(1356),
    [anon_sym_catch] = ACTIONS(1356),
    [anon_sym_EQ_GT] = ACTIONS(1356),
    [anon_sym_DOT] = ACTIONS(1358),
    [anon_sym_DOT_STAR] = ACTIONS(1356),
    [anon_sym_DOT_QMARK] = ACTIONS(1356),
    [sym_comment] = ACTIONS(3),
  },
  [815] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [anon_sym_COLON] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [anon_sym_STAR_EQ] = ACTIONS(1360),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1360),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1360),
    [anon_sym_SLASH_EQ] = ACTIONS(1360),
    [anon_sym_PERCENT_EQ] = ACTIONS(1360),
    [anon_sym_PLUS_EQ] = ACTIONS(1360),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1360),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1360),
    [anon_sym_DASH_EQ] = ACTIONS(1360),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1360),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1360),
    [anon_sym_GT_GT_EQ] = ACTIONS(1360),
    [anon_sym_AMP_EQ] = ACTIONS(1360),
    [anon_sym_CARET_EQ] = ACTIONS(1360),
    [anon_sym_PIPE_EQ] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [anon_sym_RPAREN] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_RBRACE] = ACTIONS(1360),
    [anon_sym_else] = ACTIONS(1360),
    [anon_sym_DOT_DOT] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1362),
    [anon_sym_align] = ACTIONS(1360),
    [anon_sym_addrspace] = ACTIONS(1360),
    [anon_sym_linksection] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [anon_sym_RBRACK] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_DASH_PERCENT] = ACTIONS(1362),
    [anon_sym_AMP] = ACTIONS(1362),
    [anon_sym_or] = ACTIONS(1362),
    [anon_sym_and] = ACTIONS(1360),
    [anon_sym_EQ_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_GT] = ACTIONS(1362),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_CARET] = ACTIONS(1362),
    [anon_sym_orelse] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1362),
    [anon_sym_GT_GT] = ACTIONS(1362),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1362),
    [anon_sym_PLUS_PIPE] = ACTIONS(1362),
    [anon_sym_DASH_PIPE] = ACTIONS(1362),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PERCENT] = ACTIONS(1362),
    [anon_sym_STAR_STAR] = ACTIONS(1360),
    [anon_sym_STAR_PERCENT] = ACTIONS(1362),
    [anon_sym_STAR_PIPE] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_catch] = ACTIONS(1360),
    [anon_sym_EQ_GT] = ACTIONS(1360),
    [anon_sym_DOT] = ACTIONS(1362),
    [anon_sym_DOT_STAR] = ACTIONS(1360),
    [anon_sym_DOT_QMARK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [816] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [anon_sym_COLON] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [anon_sym_STAR_EQ] = ACTIONS(1364),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1364),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1364),
    [anon_sym_SLASH_EQ] = ACTIONS(1364),
    [anon_sym_PERCENT_EQ] = ACTIONS(1364),
    [anon_sym_PLUS_EQ] = ACTIONS(1364),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1364),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1364),
    [anon_sym_DASH_EQ] = ACTIONS(1364),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1364),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1364),
    [anon_sym_GT_GT_EQ] = ACTIONS(1364),
    [anon_sym_AMP_EQ] = ACTIONS(1364),
    [anon_sym_CARET_EQ] = ACTIONS(1364),
    [anon_sym_PIPE_EQ] = ACTIONS(1364),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [anon_sym_RPAREN] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_RBRACE] = ACTIONS(1364),
    [anon_sym_else] = ACTIONS(1364),
    [anon_sym_DOT_DOT] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1366),
    [anon_sym_align] = ACTIONS(1364),
    [anon_sym_addrspace] = ACTIONS(1364),
    [anon_sym_linksection] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [anon_sym_RBRACK] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_DASH_PERCENT] = ACTIONS(1366),
    [anon_sym_AMP] = ACTIONS(1366),
    [anon_sym_or] = ACTIONS(1366),
    [anon_sym_and] = ACTIONS(1364),
    [anon_sym_EQ_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_GT] = ACTIONS(1366),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_CARET] = ACTIONS(1366),
    [anon_sym_orelse] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1366),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(1364),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1366),
    [anon_sym_PLUS_PIPE] = ACTIONS(1366),
    [anon_sym_DASH_PIPE] = ACTIONS(1366),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PERCENT] = ACTIONS(1366),
    [anon_sym_STAR_STAR] = ACTIONS(1364),
    [anon_sym_STAR_PERCENT] = ACTIONS(1366),
    [anon_sym_STAR_PIPE] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_catch] = ACTIONS(1364),
    [anon_sym_EQ_GT] = ACTIONS(1364),
    [anon_sym_DOT] = ACTIONS(1366),
    [anon_sym_DOT_STAR] = ACTIONS(1364),
    [anon_sym_DOT_QMARK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [817] = {
    [ts_builtin_sym_end] = ACTIONS(1368),
    [anon_sym_COMMA] = ACTIONS(1368),
    [anon_sym_COLON] = ACTIONS(1368),
    [anon_sym_EQ] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1368),
    [anon_sym_STAR_EQ] = ACTIONS(1368),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1368),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1368),
    [anon_sym_SLASH_EQ] = ACTIONS(1368),
    [anon_sym_PERCENT_EQ] = ACTIONS(1368),
    [anon_sym_PLUS_EQ] = ACTIONS(1368),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1368),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1368),
    [anon_sym_DASH_EQ] = ACTIONS(1368),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1368),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1368),
    [anon_sym_LT_LT_EQ] = ACTIONS(1368),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1368),
    [anon_sym_GT_GT_EQ] = ACTIONS(1368),
    [anon_sym_AMP_EQ] = ACTIONS(1368),
    [anon_sym_CARET_EQ] = ACTIONS(1368),
    [anon_sym_PIPE_EQ] = ACTIONS(1368),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1368),
    [anon_sym_RPAREN] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_RBRACE] = ACTIONS(1368),
    [anon_sym_else] = ACTIONS(1368),
    [anon_sym_DOT_DOT] = ACTIONS(1368),
    [anon_sym_PIPE] = ACTIONS(1370),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_align] = ACTIONS(1368),
    [anon_sym_addrspace] = ACTIONS(1368),
    [anon_sym_linksection] = ACTIONS(1368),
    [anon_sym_LBRACK] = ACTIONS(1368),
    [anon_sym_RBRACK] = ACTIONS(1368),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_DASH_PERCENT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_or] = ACTIONS(1370),
    [anon_sym_and] = ACTIONS(1368),
    [anon_sym_EQ_EQ] = ACTIONS(1368),
    [anon_sym_BANG_EQ] = ACTIONS(1368),
    [anon_sym_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1368),
    [anon_sym_LT_EQ] = ACTIONS(1368),
    [anon_sym_LT] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_orelse] = ACTIONS(1368),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1368),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1370),
    [anon_sym_PLUS_PIPE] = ACTIONS(1370),
    [anon_sym_DASH_PIPE] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1370),
    [anon_sym_PERCENT] = ACTIONS(1370),
    [anon_sym_STAR_STAR] = ACTIONS(1368),
    [anon_sym_STAR_PERCENT] = ACTIONS(1370),
    [anon_sym_STAR_PIPE] = ACTIONS(1370),
    [anon_sym_PIPE_PIPE] = ACTIONS(1368),
    [anon_sym_catch] = ACTIONS(1368),
    [anon_sym_EQ_GT] = ACTIONS(1368),
    [anon_sym_DOT] = ACTIONS(1370),
    [anon_sym_DOT_STAR] = ACTIONS(1368),
    [anon_sym_DOT_QMARK] = ACTIONS(1368),
    [sym_comment] = ACTIONS(3),
  },
  [818] = {
    [ts_builtin_sym_end] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1372),
    [anon_sym_COLON] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1372),
    [anon_sym_STAR_EQ] = ACTIONS(1372),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1372),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1372),
    [anon_sym_SLASH_EQ] = ACTIONS(1372),
    [anon_sym_PERCENT_EQ] = ACTIONS(1372),
    [anon_sym_PLUS_EQ] = ACTIONS(1372),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1372),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1372),
    [anon_sym_DASH_EQ] = ACTIONS(1372),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1372),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1372),
    [anon_sym_LT_LT_EQ] = ACTIONS(1372),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1372),
    [anon_sym_GT_GT_EQ] = ACTIONS(1372),
    [anon_sym_AMP_EQ] = ACTIONS(1372),
    [anon_sym_CARET_EQ] = ACTIONS(1372),
    [anon_sym_PIPE_EQ] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1372),
    [anon_sym_RPAREN] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_RBRACE] = ACTIONS(1372),
    [anon_sym_else] = ACTIONS(1372),
    [anon_sym_DOT_DOT] = ACTIONS(1372),
    [anon_sym_PIPE] = ACTIONS(1374),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_align] = ACTIONS(1372),
    [anon_sym_addrspace] = ACTIONS(1372),
    [anon_sym_linksection] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1372),
    [anon_sym_RBRACK] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_DASH_PERCENT] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_or] = ACTIONS(1374),
    [anon_sym_and] = ACTIONS(1372),
    [anon_sym_EQ_EQ] = ACTIONS(1372),
    [anon_sym_BANG_EQ] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1374),
    [anon_sym_GT_EQ] = ACTIONS(1372),
    [anon_sym_LT_EQ] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1374),
    [anon_sym_orelse] = ACTIONS(1372),
    [anon_sym_LT_LT] = ACTIONS(1374),
    [anon_sym_GT_GT] = ACTIONS(1374),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1372),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1374),
    [anon_sym_PLUS_PIPE] = ACTIONS(1374),
    [anon_sym_DASH_PIPE] = ACTIONS(1374),
    [anon_sym_SLASH] = ACTIONS(1374),
    [anon_sym_PERCENT] = ACTIONS(1374),
    [anon_sym_STAR_STAR] = ACTIONS(1372),
    [anon_sym_STAR_PERCENT] = ACTIONS(1374),
    [anon_sym_STAR_PIPE] = ACTIONS(1374),
    [anon_sym_PIPE_PIPE] = ACTIONS(1372),
    [anon_sym_catch] = ACTIONS(1372),
    [anon_sym_EQ_GT] = ACTIONS(1372),
    [anon_sym_DOT] = ACTIONS(1374),
    [anon_sym_DOT_STAR] = ACTIONS(1372),
    [anon_sym_DOT_QMARK] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
  },
  [819] = {
    [ts_builtin_sym_end] = ACTIONS(1376),
    [anon_sym_COMMA] = ACTIONS(1376),
    [anon_sym_COLON] = ACTIONS(1376),
    [anon_sym_EQ] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1376),
    [anon_sym_STAR_EQ] = ACTIONS(1376),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1376),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1376),
    [anon_sym_SLASH_EQ] = ACTIONS(1376),
    [anon_sym_PERCENT_EQ] = ACTIONS(1376),
    [anon_sym_PLUS_EQ] = ACTIONS(1376),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1376),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1376),
    [anon_sym_DASH_EQ] = ACTIONS(1376),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1376),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1376),
    [anon_sym_LT_LT_EQ] = ACTIONS(1376),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1376),
    [anon_sym_GT_GT_EQ] = ACTIONS(1376),
    [anon_sym_AMP_EQ] = ACTIONS(1376),
    [anon_sym_CARET_EQ] = ACTIONS(1376),
    [anon_sym_PIPE_EQ] = ACTIONS(1376),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1376),
    [anon_sym_RPAREN] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(1376),
    [anon_sym_RBRACE] = ACTIONS(1376),
    [anon_sym_else] = ACTIONS(1376),
    [anon_sym_DOT_DOT] = ACTIONS(1376),
    [anon_sym_PIPE] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_align] = ACTIONS(1376),
    [anon_sym_addrspace] = ACTIONS(1376),
    [anon_sym_linksection] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1376),
    [anon_sym_RBRACK] = ACTIONS(1376),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_DASH_PERCENT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_or] = ACTIONS(1378),
    [anon_sym_and] = ACTIONS(1376),
    [anon_sym_EQ_EQ] = ACTIONS(1376),
    [anon_sym_BANG_EQ] = ACTIONS(1376),
    [anon_sym_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1376),
    [anon_sym_LT_EQ] = ACTIONS(1376),
    [anon_sym_LT] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_orelse] = ACTIONS(1376),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_PLUS_PLUS] = ACTIONS(1376),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1378),
    [anon_sym_PLUS_PIPE] = ACTIONS(1378),
    [anon_sym_DASH_PIPE] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1378),
    [anon_sym_PERCENT] = ACTIONS(1378),
    [anon_sym_STAR_STAR] = ACTIONS(1376),
    [anon_sym_STAR_PERCENT] = ACTIONS(1378),
    [anon_sym_STAR_PIPE] = ACTIONS(1378),
    [anon_sym_PIPE_PIPE] = ACTIONS(1376),
    [anon_sym_catch] = ACTIONS(1376),
    [anon_sym_EQ_GT] = ACTIONS(1376),
    [anon_sym_DOT] = ACTIONS(1378),
    [anon_sym_DOT_STAR] = ACTIONS(1376),
    [anon_sym_DOT_QMARK] = ACTIONS(1376),
    [sym_comment] = ACTIONS(3),
  },
  [820] = {
    [ts_builtin_sym_end] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1380),
    [anon_sym_COLON] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1382),
    [anon_sym_SEMI] = ACTIONS(1380),
    [anon_sym_STAR_EQ] = ACTIONS(1380),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1380),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1380),
    [anon_sym_SLASH_EQ] = ACTIONS(1380),
    [anon_sym_PERCENT_EQ] = ACTIONS(1380),
    [anon_sym_PLUS_EQ] = ACTIONS(1380),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1380),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1380),
    [anon_sym_DASH_EQ] = ACTIONS(1380),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1380),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1380),
    [anon_sym_LT_LT_EQ] = ACTIONS(1380),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1380),
    [anon_sym_GT_GT_EQ] = ACTIONS(1380),
    [anon_sym_AMP_EQ] = ACTIONS(1380),
    [anon_sym_CARET_EQ] = ACTIONS(1380),
    [anon_sym_PIPE_EQ] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1382),
    [anon_sym_LPAREN] = ACTIONS(1380),
    [anon_sym_RPAREN] = ACTIONS(1380),
    [anon_sym_LBRACE] = ACTIONS(1380),
    [anon_sym_RBRACE] = ACTIONS(1380),
    [anon_sym_else] = ACTIONS(1380),
    [anon_sym_DOT_DOT] = ACTIONS(1380),
    [anon_sym_PIPE] = ACTIONS(1382),
    [anon_sym_STAR] = ACTIONS(1382),
    [anon_sym_align] = ACTIONS(1380),
    [anon_sym_addrspace] = ACTIONS(1380),
    [anon_sym_linksection] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1380),
    [anon_sym_RBRACK] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1382),
    [anon_sym_DASH_PERCENT] = ACTIONS(1382),
    [anon_sym_AMP] = ACTIONS(1382),
    [anon_sym_or] = ACTIONS(1382),
    [anon_sym_and] = ACTIONS(1380),
    [anon_sym_EQ_EQ] = ACTIONS(1380),
    [anon_sym_BANG_EQ] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1382),
    [anon_sym_GT_EQ] = ACTIONS(1380),
    [anon_sym_LT_EQ] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1382),
    [anon_sym_CARET] = ACTIONS(1382),
    [anon_sym_orelse] = ACTIONS(1380),
    [anon_sym_LT_LT] = ACTIONS(1382),
    [anon_sym_GT_GT] = ACTIONS(1382),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_PLUS_PLUS] = ACTIONS(1380),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1382),
    [anon_sym_PLUS_PIPE] = ACTIONS(1382),
    [anon_sym_DASH_PIPE] = ACTIONS(1382),
    [anon_sym_SLASH] = ACTIONS(1382),
    [anon_sym_PERCENT] = ACTIONS(1382),
    [anon_sym_STAR_STAR] = ACTIONS(1380),
    [anon_sym_STAR_PERCENT] = ACTIONS(1382),
    [anon_sym_STAR_PIPE] = ACTIONS(1382),
    [anon_sym_PIPE_PIPE] = ACTIONS(1380),
    [anon_sym_catch] = ACTIONS(1380),
    [anon_sym_EQ_GT] = ACTIONS(1380),
    [anon_sym_DOT] = ACTIONS(1382),
    [anon_sym_DOT_STAR] = ACTIONS(1380),
    [anon_sym_DOT_QMARK] = ACTIONS(1380),
    [sym_comment] = ACTIONS(3),
  },
  [821] = {
    [ts_builtin_sym_end] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1384),
    [anon_sym_COLON] = ACTIONS(1384),
    [anon_sym_EQ] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1384),
    [anon_sym_STAR_EQ] = ACTIONS(1384),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1384),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1384),
    [anon_sym_SLASH_EQ] = ACTIONS(1384),
    [anon_sym_PERCENT_EQ] = ACTIONS(1384),
    [anon_sym_PLUS_EQ] = ACTIONS(1384),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1384),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1384),
    [anon_sym_DASH_EQ] = ACTIONS(1384),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1384),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1384),
    [anon_sym_LT_LT_EQ] = ACTIONS(1384),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1384),
    [anon_sym_GT_GT_EQ] = ACTIONS(1384),
    [anon_sym_AMP_EQ] = ACTIONS(1384),
    [anon_sym_CARET_EQ] = ACTIONS(1384),
    [anon_sym_PIPE_EQ] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1386),
    [anon_sym_LPAREN] = ACTIONS(1384),
    [anon_sym_RPAREN] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_RBRACE] = ACTIONS(1384),
    [anon_sym_else] = ACTIONS(1384),
    [anon_sym_DOT_DOT] = ACTIONS(1384),
    [anon_sym_PIPE] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_align] = ACTIONS(1384),
    [anon_sym_addrspace] = ACTIONS(1384),
    [anon_sym_linksection] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [anon_sym_RBRACK] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_DASH_PERCENT] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1386),
    [anon_sym_or] = ACTIONS(1386),
    [anon_sym_and] = ACTIONS(1384),
    [anon_sym_EQ_EQ] = ACTIONS(1384),
    [anon_sym_BANG_EQ] = ACTIONS(1384),
    [anon_sym_GT] = ACTIONS(1386),
    [anon_sym_GT_EQ] = ACTIONS(1384),
    [anon_sym_LT_EQ] = ACTIONS(1384),
    [anon_sym_LT] = ACTIONS(1386),
    [anon_sym_CARET] = ACTIONS(1386),
    [anon_sym_orelse] = ACTIONS(1384),
    [anon_sym_LT_LT] = ACTIONS(1386),
    [anon_sym_GT_GT] = ACTIONS(1386),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_PLUS_PLUS] = ACTIONS(1384),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1386),
    [anon_sym_PLUS_PIPE] = ACTIONS(1386),
    [anon_sym_DASH_PIPE] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1386),
    [anon_sym_PERCENT] = ACTIONS(1386),
    [anon_sym_STAR_STAR] = ACTIONS(1384),
    [anon_sym_STAR_PERCENT] = ACTIONS(1386),
    [anon_sym_STAR_PIPE] = ACTIONS(1386),
    [anon_sym_PIPE_PIPE] = ACTIONS(1384),
    [anon_sym_catch] = ACTIONS(1384),
    [anon_sym_EQ_GT] = ACTIONS(1384),
    [anon_sym_DOT] = ACTIONS(1386),
    [anon_sym_DOT_STAR] = ACTIONS(1384),
    [anon_sym_DOT_QMARK] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
  },
  [822] = {
    [ts_builtin_sym_end] = ACTIONS(1388),
    [anon_sym_COMMA] = ACTIONS(1388),
    [anon_sym_COLON] = ACTIONS(1388),
    [anon_sym_EQ] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1388),
    [anon_sym_STAR_EQ] = ACTIONS(1388),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1388),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1388),
    [anon_sym_SLASH_EQ] = ACTIONS(1388),
    [anon_sym_PERCENT_EQ] = ACTIONS(1388),
    [anon_sym_PLUS_EQ] = ACTIONS(1388),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1388),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1388),
    [anon_sym_DASH_EQ] = ACTIONS(1388),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1388),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1388),
    [anon_sym_LT_LT_EQ] = ACTIONS(1388),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1388),
    [anon_sym_GT_GT_EQ] = ACTIONS(1388),
    [anon_sym_AMP_EQ] = ACTIONS(1388),
    [anon_sym_CARET_EQ] = ACTIONS(1388),
    [anon_sym_PIPE_EQ] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1390),
    [anon_sym_LPAREN] = ACTIONS(1388),
    [anon_sym_RPAREN] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1388),
    [anon_sym_RBRACE] = ACTIONS(1388),
    [anon_sym_else] = ACTIONS(1388),
    [anon_sym_DOT_DOT] = ACTIONS(1388),
    [anon_sym_PIPE] = ACTIONS(1390),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_align] = ACTIONS(1388),
    [anon_sym_addrspace] = ACTIONS(1388),
    [anon_sym_linksection] = ACTIONS(1388),
    [anon_sym_LBRACK] = ACTIONS(1388),
    [anon_sym_RBRACK] = ACTIONS(1388),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_DASH_PERCENT] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_or] = ACTIONS(1390),
    [anon_sym_and] = ACTIONS(1388),
    [anon_sym_EQ_EQ] = ACTIONS(1388),
    [anon_sym_BANG_EQ] = ACTIONS(1388),
    [anon_sym_GT] = ACTIONS(1390),
    [anon_sym_GT_EQ] = ACTIONS(1388),
    [anon_sym_LT_EQ] = ACTIONS(1388),
    [anon_sym_LT] = ACTIONS(1390),
    [anon_sym_CARET] = ACTIONS(1390),
    [anon_sym_orelse] = ACTIONS(1388),
    [anon_sym_LT_LT] = ACTIONS(1390),
    [anon_sym_GT_GT] = ACTIONS(1390),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_PLUS_PLUS] = ACTIONS(1388),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1390),
    [anon_sym_PLUS_PIPE] = ACTIONS(1390),
    [anon_sym_DASH_PIPE] = ACTIONS(1390),
    [anon_sym_SLASH] = ACTIONS(1390),
    [anon_sym_PERCENT] = ACTIONS(1390),
    [anon_sym_STAR_STAR] = ACTIONS(1388),
    [anon_sym_STAR_PERCENT] = ACTIONS(1390),
    [anon_sym_STAR_PIPE] = ACTIONS(1390),
    [anon_sym_PIPE_PIPE] = ACTIONS(1388),
    [anon_sym_catch] = ACTIONS(1388),
    [anon_sym_EQ_GT] = ACTIONS(1388),
    [anon_sym_DOT] = ACTIONS(1390),
    [anon_sym_DOT_STAR] = ACTIONS(1388),
    [anon_sym_DOT_QMARK] = ACTIONS(1388),
    [sym_comment] = ACTIONS(3),
  },
  [823] = {
    [ts_builtin_sym_end] = ACTIONS(1392),
    [anon_sym_COMMA] = ACTIONS(1392),
    [anon_sym_COLON] = ACTIONS(1392),
    [anon_sym_EQ] = ACTIONS(1394),
    [anon_sym_SEMI] = ACTIONS(1392),
    [anon_sym_STAR_EQ] = ACTIONS(1392),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1392),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1392),
    [anon_sym_SLASH_EQ] = ACTIONS(1392),
    [anon_sym_PERCENT_EQ] = ACTIONS(1392),
    [anon_sym_PLUS_EQ] = ACTIONS(1392),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1392),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1392),
    [anon_sym_DASH_EQ] = ACTIONS(1392),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1392),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1392),
    [anon_sym_LT_LT_EQ] = ACTIONS(1392),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1392),
    [anon_sym_GT_GT_EQ] = ACTIONS(1392),
    [anon_sym_AMP_EQ] = ACTIONS(1392),
    [anon_sym_CARET_EQ] = ACTIONS(1392),
    [anon_sym_PIPE_EQ] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(1392),
    [anon_sym_RPAREN] = ACTIONS(1392),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_RBRACE] = ACTIONS(1392),
    [anon_sym_else] = ACTIONS(1392),
    [anon_sym_DOT_DOT] = ACTIONS(1392),
    [anon_sym_PIPE] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_align] = ACTIONS(1392),
    [anon_sym_addrspace] = ACTIONS(1392),
    [anon_sym_linksection] = ACTIONS(1392),
    [anon_sym_LBRACK] = ACTIONS(1392),
    [anon_sym_RBRACK] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_DASH_PERCENT] = ACTIONS(1394),
    [anon_sym_AMP] = ACTIONS(1394),
    [anon_sym_or] = ACTIONS(1394),
    [anon_sym_and] = ACTIONS(1392),
    [anon_sym_EQ_EQ] = ACTIONS(1392),
    [anon_sym_BANG_EQ] = ACTIONS(1392),
    [anon_sym_GT] = ACTIONS(1394),
    [anon_sym_GT_EQ] = ACTIONS(1392),
    [anon_sym_LT_EQ] = ACTIONS(1392),
    [anon_sym_LT] = ACTIONS(1394),
    [anon_sym_CARET] = ACTIONS(1394),
    [anon_sym_orelse] = ACTIONS(1392),
    [anon_sym_LT_LT] = ACTIONS(1394),
    [anon_sym_GT_GT] = ACTIONS(1394),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1392),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1394),
    [anon_sym_PLUS_PIPE] = ACTIONS(1394),
    [anon_sym_DASH_PIPE] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(1394),
    [anon_sym_PERCENT] = ACTIONS(1394),
    [anon_sym_STAR_STAR] = ACTIONS(1392),
    [anon_sym_STAR_PERCENT] = ACTIONS(1394),
    [anon_sym_STAR_PIPE] = ACTIONS(1394),
    [anon_sym_PIPE_PIPE] = ACTIONS(1392),
    [anon_sym_catch] = ACTIONS(1392),
    [anon_sym_EQ_GT] = ACTIONS(1392),
    [anon_sym_DOT] = ACTIONS(1394),
    [anon_sym_DOT_STAR] = ACTIONS(1392),
    [anon_sym_DOT_QMARK] = ACTIONS(1392),
    [sym_comment] = ACTIONS(3),
  },
  [824] = {
    [ts_builtin_sym_end] = ACTIONS(1396),
    [anon_sym_COMMA] = ACTIONS(1396),
    [anon_sym_COLON] = ACTIONS(1396),
    [anon_sym_EQ] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1396),
    [anon_sym_STAR_EQ] = ACTIONS(1396),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1396),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1396),
    [anon_sym_SLASH_EQ] = ACTIONS(1396),
    [anon_sym_PERCENT_EQ] = ACTIONS(1396),
    [anon_sym_PLUS_EQ] = ACTIONS(1396),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1396),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1396),
    [anon_sym_DASH_EQ] = ACTIONS(1396),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1396),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1396),
    [anon_sym_LT_LT_EQ] = ACTIONS(1396),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1396),
    [anon_sym_GT_GT_EQ] = ACTIONS(1396),
    [anon_sym_AMP_EQ] = ACTIONS(1396),
    [anon_sym_CARET_EQ] = ACTIONS(1396),
    [anon_sym_PIPE_EQ] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [anon_sym_RPAREN] = ACTIONS(1396),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_RBRACE] = ACTIONS(1396),
    [anon_sym_else] = ACTIONS(1396),
    [anon_sym_DOT_DOT] = ACTIONS(1396),
    [anon_sym_PIPE] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_align] = ACTIONS(1396),
    [anon_sym_addrspace] = ACTIONS(1396),
    [anon_sym_linksection] = ACTIONS(1396),
    [anon_sym_LBRACK] = ACTIONS(1396),
    [anon_sym_RBRACK] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_DASH_PERCENT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_or] = ACTIONS(1398),
    [anon_sym_and] = ACTIONS(1396),
    [anon_sym_EQ_EQ] = ACTIONS(1396),
    [anon_sym_BANG_EQ] = ACTIONS(1396),
    [anon_sym_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1396),
    [anon_sym_LT_EQ] = ACTIONS(1396),
    [anon_sym_LT] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_orelse] = ACTIONS(1396),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1398),
    [anon_sym_PLUS_PIPE] = ACTIONS(1398),
    [anon_sym_DASH_PIPE] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1398),
    [anon_sym_PERCENT] = ACTIONS(1398),
    [anon_sym_STAR_STAR] = ACTIONS(1396),
    [anon_sym_STAR_PERCENT] = ACTIONS(1398),
    [anon_sym_STAR_PIPE] = ACTIONS(1398),
    [anon_sym_PIPE_PIPE] = ACTIONS(1396),
    [anon_sym_catch] = ACTIONS(1396),
    [anon_sym_EQ_GT] = ACTIONS(1396),
    [anon_sym_DOT] = ACTIONS(1398),
    [anon_sym_DOT_STAR] = ACTIONS(1396),
    [anon_sym_DOT_QMARK] = ACTIONS(1396),
    [sym_comment] = ACTIONS(3),
  },
  [825] = {
    [ts_builtin_sym_end] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1400),
    [anon_sym_COLON] = ACTIONS(1400),
    [anon_sym_EQ] = ACTIONS(1402),
    [anon_sym_SEMI] = ACTIONS(1400),
    [anon_sym_STAR_EQ] = ACTIONS(1400),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1400),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1400),
    [anon_sym_SLASH_EQ] = ACTIONS(1400),
    [anon_sym_PERCENT_EQ] = ACTIONS(1400),
    [anon_sym_PLUS_EQ] = ACTIONS(1400),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1400),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1400),
    [anon_sym_DASH_EQ] = ACTIONS(1400),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1400),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1400),
    [anon_sym_LT_LT_EQ] = ACTIONS(1400),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1400),
    [anon_sym_GT_GT_EQ] = ACTIONS(1400),
    [anon_sym_AMP_EQ] = ACTIONS(1400),
    [anon_sym_CARET_EQ] = ACTIONS(1400),
    [anon_sym_PIPE_EQ] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1402),
    [anon_sym_LPAREN] = ACTIONS(1400),
    [anon_sym_RPAREN] = ACTIONS(1400),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_RBRACE] = ACTIONS(1400),
    [anon_sym_else] = ACTIONS(1400),
    [anon_sym_DOT_DOT] = ACTIONS(1400),
    [anon_sym_PIPE] = ACTIONS(1402),
    [anon_sym_STAR] = ACTIONS(1402),
    [anon_sym_align] = ACTIONS(1400),
    [anon_sym_addrspace] = ACTIONS(1400),
    [anon_sym_linksection] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1400),
    [anon_sym_RBRACK] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_DASH_PERCENT] = ACTIONS(1402),
    [anon_sym_AMP] = ACTIONS(1402),
    [anon_sym_or] = ACTIONS(1402),
    [anon_sym_and] = ACTIONS(1400),
    [anon_sym_EQ_EQ] = ACTIONS(1400),
    [anon_sym_BANG_EQ] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1402),
    [anon_sym_GT_EQ] = ACTIONS(1400),
    [anon_sym_LT_EQ] = ACTIONS(1400),
    [anon_sym_LT] = ACTIONS(1402),
    [anon_sym_CARET] = ACTIONS(1402),
    [anon_sym_orelse] = ACTIONS(1400),
    [anon_sym_LT_LT] = ACTIONS(1402),
    [anon_sym_GT_GT] = ACTIONS(1402),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1402),
    [anon_sym_PLUS_PIPE] = ACTIONS(1402),
    [anon_sym_DASH_PIPE] = ACTIONS(1402),
    [anon_sym_SLASH] = ACTIONS(1402),
    [anon_sym_PERCENT] = ACTIONS(1402),
    [anon_sym_STAR_STAR] = ACTIONS(1400),
    [anon_sym_STAR_PERCENT] = ACTIONS(1402),
    [anon_sym_STAR_PIPE] = ACTIONS(1402),
    [anon_sym_PIPE_PIPE] = ACTIONS(1400),
    [anon_sym_catch] = ACTIONS(1400),
    [anon_sym_EQ_GT] = ACTIONS(1400),
    [anon_sym_DOT] = ACTIONS(1402),
    [anon_sym_DOT_STAR] = ACTIONS(1400),
    [anon_sym_DOT_QMARK] = ACTIONS(1400),
    [sym_comment] = ACTIONS(3),
  },
  [826] = {
    [ts_builtin_sym_end] = ACTIONS(1404),
    [anon_sym_COMMA] = ACTIONS(1404),
    [anon_sym_COLON] = ACTIONS(1404),
    [anon_sym_EQ] = ACTIONS(1406),
    [anon_sym_SEMI] = ACTIONS(1404),
    [anon_sym_STAR_EQ] = ACTIONS(1404),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1404),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1404),
    [anon_sym_SLASH_EQ] = ACTIONS(1404),
    [anon_sym_PERCENT_EQ] = ACTIONS(1404),
    [anon_sym_PLUS_EQ] = ACTIONS(1404),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1404),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1404),
    [anon_sym_DASH_EQ] = ACTIONS(1404),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1404),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1404),
    [anon_sym_LT_LT_EQ] = ACTIONS(1404),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1404),
    [anon_sym_GT_GT_EQ] = ACTIONS(1404),
    [anon_sym_AMP_EQ] = ACTIONS(1404),
    [anon_sym_CARET_EQ] = ACTIONS(1404),
    [anon_sym_PIPE_EQ] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1406),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_RPAREN] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_RBRACE] = ACTIONS(1404),
    [anon_sym_else] = ACTIONS(1404),
    [anon_sym_DOT_DOT] = ACTIONS(1404),
    [anon_sym_PIPE] = ACTIONS(1406),
    [anon_sym_STAR] = ACTIONS(1406),
    [anon_sym_align] = ACTIONS(1404),
    [anon_sym_addrspace] = ACTIONS(1404),
    [anon_sym_linksection] = ACTIONS(1404),
    [anon_sym_LBRACK] = ACTIONS(1404),
    [anon_sym_RBRACK] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_DASH_PERCENT] = ACTIONS(1406),
    [anon_sym_AMP] = ACTIONS(1406),
    [anon_sym_or] = ACTIONS(1406),
    [anon_sym_and] = ACTIONS(1404),
    [anon_sym_EQ_EQ] = ACTIONS(1404),
    [anon_sym_BANG_EQ] = ACTIONS(1404),
    [anon_sym_GT] = ACTIONS(1406),
    [anon_sym_GT_EQ] = ACTIONS(1404),
    [anon_sym_LT_EQ] = ACTIONS(1404),
    [anon_sym_LT] = ACTIONS(1406),
    [anon_sym_CARET] = ACTIONS(1406),
    [anon_sym_orelse] = ACTIONS(1404),
    [anon_sym_LT_LT] = ACTIONS(1406),
    [anon_sym_GT_GT] = ACTIONS(1406),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1406),
    [anon_sym_PLUS_PIPE] = ACTIONS(1406),
    [anon_sym_DASH_PIPE] = ACTIONS(1406),
    [anon_sym_SLASH] = ACTIONS(1406),
    [anon_sym_PERCENT] = ACTIONS(1406),
    [anon_sym_STAR_STAR] = ACTIONS(1404),
    [anon_sym_STAR_PERCENT] = ACTIONS(1406),
    [anon_sym_STAR_PIPE] = ACTIONS(1406),
    [anon_sym_PIPE_PIPE] = ACTIONS(1404),
    [anon_sym_catch] = ACTIONS(1404),
    [anon_sym_EQ_GT] = ACTIONS(1404),
    [anon_sym_DOT] = ACTIONS(1406),
    [anon_sym_DOT_STAR] = ACTIONS(1404),
    [anon_sym_DOT_QMARK] = ACTIONS(1404),
    [sym_comment] = ACTIONS(3),
  },
  [827] = {
    [ts_builtin_sym_end] = ACTIONS(1408),
    [anon_sym_COMMA] = ACTIONS(1408),
    [anon_sym_COLON] = ACTIONS(1408),
    [anon_sym_EQ] = ACTIONS(1410),
    [anon_sym_SEMI] = ACTIONS(1408),
    [anon_sym_STAR_EQ] = ACTIONS(1408),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1408),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1408),
    [anon_sym_SLASH_EQ] = ACTIONS(1408),
    [anon_sym_PERCENT_EQ] = ACTIONS(1408),
    [anon_sym_PLUS_EQ] = ACTIONS(1408),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1408),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1408),
    [anon_sym_DASH_EQ] = ACTIONS(1408),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1408),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1408),
    [anon_sym_LT_LT_EQ] = ACTIONS(1408),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1408),
    [anon_sym_GT_GT_EQ] = ACTIONS(1408),
    [anon_sym_AMP_EQ] = ACTIONS(1408),
    [anon_sym_CARET_EQ] = ACTIONS(1408),
    [anon_sym_PIPE_EQ] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1410),
    [anon_sym_LPAREN] = ACTIONS(1408),
    [anon_sym_RPAREN] = ACTIONS(1408),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_RBRACE] = ACTIONS(1408),
    [anon_sym_else] = ACTIONS(1408),
    [anon_sym_DOT_DOT] = ACTIONS(1408),
    [anon_sym_PIPE] = ACTIONS(1410),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_align] = ACTIONS(1408),
    [anon_sym_addrspace] = ACTIONS(1408),
    [anon_sym_linksection] = ACTIONS(1408),
    [anon_sym_LBRACK] = ACTIONS(1408),
    [anon_sym_RBRACK] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_DASH_PERCENT] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1410),
    [anon_sym_or] = ACTIONS(1410),
    [anon_sym_and] = ACTIONS(1408),
    [anon_sym_EQ_EQ] = ACTIONS(1408),
    [anon_sym_BANG_EQ] = ACTIONS(1408),
    [anon_sym_GT] = ACTIONS(1410),
    [anon_sym_GT_EQ] = ACTIONS(1408),
    [anon_sym_LT_EQ] = ACTIONS(1408),
    [anon_sym_LT] = ACTIONS(1410),
    [anon_sym_CARET] = ACTIONS(1410),
    [anon_sym_orelse] = ACTIONS(1408),
    [anon_sym_LT_LT] = ACTIONS(1410),
    [anon_sym_GT_GT] = ACTIONS(1410),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1410),
    [anon_sym_PLUS_PIPE] = ACTIONS(1410),
    [anon_sym_DASH_PIPE] = ACTIONS(1410),
    [anon_sym_SLASH] = ACTIONS(1410),
    [anon_sym_PERCENT] = ACTIONS(1410),
    [anon_sym_STAR_STAR] = ACTIONS(1408),
    [anon_sym_STAR_PERCENT] = ACTIONS(1410),
    [anon_sym_STAR_PIPE] = ACTIONS(1410),
    [anon_sym_PIPE_PIPE] = ACTIONS(1408),
    [anon_sym_catch] = ACTIONS(1408),
    [anon_sym_EQ_GT] = ACTIONS(1408),
    [anon_sym_DOT] = ACTIONS(1410),
    [anon_sym_DOT_STAR] = ACTIONS(1408),
    [anon_sym_DOT_QMARK] = ACTIONS(1408),
    [sym_comment] = ACTIONS(3),
  },
  [828] = {
    [ts_builtin_sym_end] = ACTIONS(1412),
    [anon_sym_COMMA] = ACTIONS(1412),
    [anon_sym_COLON] = ACTIONS(1412),
    [anon_sym_EQ] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1412),
    [anon_sym_STAR_EQ] = ACTIONS(1412),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1412),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1412),
    [anon_sym_SLASH_EQ] = ACTIONS(1412),
    [anon_sym_PERCENT_EQ] = ACTIONS(1412),
    [anon_sym_PLUS_EQ] = ACTIONS(1412),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1412),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1412),
    [anon_sym_DASH_EQ] = ACTIONS(1412),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1412),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1412),
    [anon_sym_LT_LT_EQ] = ACTIONS(1412),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1412),
    [anon_sym_GT_GT_EQ] = ACTIONS(1412),
    [anon_sym_AMP_EQ] = ACTIONS(1412),
    [anon_sym_CARET_EQ] = ACTIONS(1412),
    [anon_sym_PIPE_EQ] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1414),
    [anon_sym_LPAREN] = ACTIONS(1412),
    [anon_sym_RPAREN] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_RBRACE] = ACTIONS(1412),
    [anon_sym_else] = ACTIONS(1412),
    [anon_sym_DOT_DOT] = ACTIONS(1412),
    [anon_sym_PIPE] = ACTIONS(1414),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_align] = ACTIONS(1412),
    [anon_sym_addrspace] = ACTIONS(1412),
    [anon_sym_linksection] = ACTIONS(1412),
    [anon_sym_LBRACK] = ACTIONS(1412),
    [anon_sym_RBRACK] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_DASH_PERCENT] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_or] = ACTIONS(1414),
    [anon_sym_and] = ACTIONS(1412),
    [anon_sym_EQ_EQ] = ACTIONS(1412),
    [anon_sym_BANG_EQ] = ACTIONS(1412),
    [anon_sym_GT] = ACTIONS(1414),
    [anon_sym_GT_EQ] = ACTIONS(1412),
    [anon_sym_LT_EQ] = ACTIONS(1412),
    [anon_sym_LT] = ACTIONS(1414),
    [anon_sym_CARET] = ACTIONS(1414),
    [anon_sym_orelse] = ACTIONS(1412),
    [anon_sym_LT_LT] = ACTIONS(1414),
    [anon_sym_GT_GT] = ACTIONS(1414),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1414),
    [anon_sym_PLUS_PIPE] = ACTIONS(1414),
    [anon_sym_DASH_PIPE] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_STAR_STAR] = ACTIONS(1412),
    [anon_sym_STAR_PERCENT] = ACTIONS(1414),
    [anon_sym_STAR_PIPE] = ACTIONS(1414),
    [anon_sym_PIPE_PIPE] = ACTIONS(1412),
    [anon_sym_catch] = ACTIONS(1412),
    [anon_sym_EQ_GT] = ACTIONS(1412),
    [anon_sym_DOT] = ACTIONS(1414),
    [anon_sym_DOT_STAR] = ACTIONS(1412),
    [anon_sym_DOT_QMARK] = ACTIONS(1412),
    [sym_comment] = ACTIONS(3),
  },
  [829] = {
    [ts_builtin_sym_end] = ACTIONS(1416),
    [anon_sym_COMMA] = ACTIONS(1416),
    [anon_sym_COLON] = ACTIONS(1416),
    [anon_sym_EQ] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1416),
    [anon_sym_STAR_EQ] = ACTIONS(1416),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1416),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1416),
    [anon_sym_SLASH_EQ] = ACTIONS(1416),
    [anon_sym_PERCENT_EQ] = ACTIONS(1416),
    [anon_sym_PLUS_EQ] = ACTIONS(1416),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1416),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1416),
    [anon_sym_DASH_EQ] = ACTIONS(1416),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1416),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1416),
    [anon_sym_LT_LT_EQ] = ACTIONS(1416),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1416),
    [anon_sym_GT_GT_EQ] = ACTIONS(1416),
    [anon_sym_AMP_EQ] = ACTIONS(1416),
    [anon_sym_CARET_EQ] = ACTIONS(1416),
    [anon_sym_PIPE_EQ] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_RPAREN] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(1416),
    [anon_sym_RBRACE] = ACTIONS(1416),
    [anon_sym_else] = ACTIONS(1416),
    [anon_sym_DOT_DOT] = ACTIONS(1416),
    [anon_sym_PIPE] = ACTIONS(1418),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_align] = ACTIONS(1416),
    [anon_sym_addrspace] = ACTIONS(1416),
    [anon_sym_linksection] = ACTIONS(1416),
    [anon_sym_LBRACK] = ACTIONS(1416),
    [anon_sym_RBRACK] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_DASH_PERCENT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_or] = ACTIONS(1418),
    [anon_sym_and] = ACTIONS(1416),
    [anon_sym_EQ_EQ] = ACTIONS(1416),
    [anon_sym_BANG_EQ] = ACTIONS(1416),
    [anon_sym_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1416),
    [anon_sym_LT_EQ] = ACTIONS(1416),
    [anon_sym_LT] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_orelse] = ACTIONS(1416),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1416),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1418),
    [anon_sym_PLUS_PIPE] = ACTIONS(1418),
    [anon_sym_DASH_PIPE] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1418),
    [anon_sym_PERCENT] = ACTIONS(1418),
    [anon_sym_STAR_STAR] = ACTIONS(1416),
    [anon_sym_STAR_PERCENT] = ACTIONS(1418),
    [anon_sym_STAR_PIPE] = ACTIONS(1418),
    [anon_sym_PIPE_PIPE] = ACTIONS(1416),
    [anon_sym_catch] = ACTIONS(1416),
    [anon_sym_EQ_GT] = ACTIONS(1416),
    [anon_sym_DOT] = ACTIONS(1418),
    [anon_sym_DOT_STAR] = ACTIONS(1416),
    [anon_sym_DOT_QMARK] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
  },
  [830] = {
    [ts_builtin_sym_end] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1420),
    [anon_sym_COLON] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [anon_sym_RPAREN] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [anon_sym_else] = ACTIONS(1420),
    [anon_sym_DOT_DOT] = ACTIONS(1420),
    [anon_sym_PIPE] = ACTIONS(1422),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_align] = ACTIONS(1420),
    [anon_sym_addrspace] = ACTIONS(1420),
    [anon_sym_linksection] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_RBRACK] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_DASH_PERCENT] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_or] = ACTIONS(1422),
    [anon_sym_and] = ACTIONS(1420),
    [anon_sym_EQ_EQ] = ACTIONS(1420),
    [anon_sym_BANG_EQ] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1422),
    [anon_sym_GT_EQ] = ACTIONS(1420),
    [anon_sym_LT_EQ] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1422),
    [anon_sym_CARET] = ACTIONS(1422),
    [anon_sym_orelse] = ACTIONS(1420),
    [anon_sym_LT_LT] = ACTIONS(1422),
    [anon_sym_GT_GT] = ACTIONS(1422),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1422),
    [anon_sym_PLUS_PIPE] = ACTIONS(1422),
    [anon_sym_DASH_PIPE] = ACTIONS(1422),
    [anon_sym_SLASH] = ACTIONS(1422),
    [anon_sym_PERCENT] = ACTIONS(1422),
    [anon_sym_STAR_STAR] = ACTIONS(1420),
    [anon_sym_STAR_PERCENT] = ACTIONS(1422),
    [anon_sym_STAR_PIPE] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1420),
    [anon_sym_catch] = ACTIONS(1420),
    [anon_sym_EQ_GT] = ACTIONS(1420),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_DOT_STAR] = ACTIONS(1420),
    [anon_sym_DOT_QMARK] = ACTIONS(1420),
    [sym_comment] = ACTIONS(3),
  },
  [831] = {
    [ts_builtin_sym_end] = ACTIONS(987),
    [anon_sym_COMMA] = ACTIONS(987),
    [anon_sym_COLON] = ACTIONS(1424),
    [anon_sym_EQ] = ACTIONS(989),
    [anon_sym_SEMI] = ACTIONS(987),
    [anon_sym_STAR_EQ] = ACTIONS(987),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(987),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(987),
    [anon_sym_SLASH_EQ] = ACTIONS(987),
    [anon_sym_PERCENT_EQ] = ACTIONS(987),
    [anon_sym_PLUS_EQ] = ACTIONS(987),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(987),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(987),
    [anon_sym_DASH_EQ] = ACTIONS(987),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(987),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(987),
    [anon_sym_LT_LT_EQ] = ACTIONS(987),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(987),
    [anon_sym_GT_GT_EQ] = ACTIONS(987),
    [anon_sym_AMP_EQ] = ACTIONS(987),
    [anon_sym_CARET_EQ] = ACTIONS(987),
    [anon_sym_PIPE_EQ] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(987),
    [anon_sym_RPAREN] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_RBRACE] = ACTIONS(987),
    [anon_sym_else] = ACTIONS(987),
    [anon_sym_DOT_DOT] = ACTIONS(987),
    [anon_sym_PIPE] = ACTIONS(989),
    [anon_sym_STAR] = ACTIONS(989),
    [anon_sym_align] = ACTIONS(987),
    [anon_sym_addrspace] = ACTIONS(987),
    [anon_sym_linksection] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(987),
    [anon_sym_RBRACK] = ACTIONS(987),
    [anon_sym_DASH] = ACTIONS(989),
    [anon_sym_DASH_PERCENT] = ACTIONS(989),
    [anon_sym_AMP] = ACTIONS(989),
    [anon_sym_or] = ACTIONS(989),
    [anon_sym_and] = ACTIONS(987),
    [anon_sym_EQ_EQ] = ACTIONS(987),
    [anon_sym_BANG_EQ] = ACTIONS(987),
    [anon_sym_GT] = ACTIONS(989),
    [anon_sym_GT_EQ] = ACTIONS(987),
    [anon_sym_LT_EQ] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(989),
    [anon_sym_CARET] = ACTIONS(989),
    [anon_sym_orelse] = ACTIONS(987),
    [anon_sym_LT_LT] = ACTIONS(989),
    [anon_sym_GT_GT] = ACTIONS(989),
    [anon_sym_LT_LT_PIPE] = ACTIONS(989),
    [anon_sym_PLUS] = ACTIONS(989),
    [anon_sym_PLUS_PLUS] = ACTIONS(987),
    [anon_sym_PLUS_PERCENT] = ACTIONS(989),
    [anon_sym_PLUS_PIPE] = ACTIONS(989),
    [anon_sym_DASH_PIPE] = ACTIONS(989),
    [anon_sym_SLASH] = ACTIONS(989),
    [anon_sym_PERCENT] = ACTIONS(989),
    [anon_sym_STAR_STAR] = ACTIONS(987),
    [anon_sym_STAR_PERCENT] = ACTIONS(989),
    [anon_sym_STAR_PIPE] = ACTIONS(989),
    [anon_sym_PIPE_PIPE] = ACTIONS(987),
    [anon_sym_catch] = ACTIONS(987),
    [anon_sym_EQ_GT] = ACTIONS(987),
    [anon_sym_DOT] = ACTIONS(989),
    [anon_sym_DOT_STAR] = ACTIONS(987),
    [anon_sym_DOT_QMARK] = ACTIONS(987),
    [sym_comment] = ACTIONS(3),
  },
  [832] = {
    [ts_builtin_sym_end] = ACTIONS(1426),
    [anon_sym_COMMA] = ACTIONS(1426),
    [anon_sym_COLON] = ACTIONS(1426),
    [anon_sym_EQ] = ACTIONS(1428),
    [anon_sym_SEMI] = ACTIONS(1426),
    [anon_sym_STAR_EQ] = ACTIONS(1426),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1426),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1426),
    [anon_sym_SLASH_EQ] = ACTIONS(1426),
    [anon_sym_PERCENT_EQ] = ACTIONS(1426),
    [anon_sym_PLUS_EQ] = ACTIONS(1426),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1426),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1426),
    [anon_sym_DASH_EQ] = ACTIONS(1426),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1426),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1426),
    [anon_sym_LT_LT_EQ] = ACTIONS(1426),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1426),
    [anon_sym_GT_GT_EQ] = ACTIONS(1426),
    [anon_sym_AMP_EQ] = ACTIONS(1426),
    [anon_sym_CARET_EQ] = ACTIONS(1426),
    [anon_sym_PIPE_EQ] = ACTIONS(1426),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(1426),
    [anon_sym_RPAREN] = ACTIONS(1426),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_RBRACE] = ACTIONS(1426),
    [anon_sym_else] = ACTIONS(1426),
    [anon_sym_DOT_DOT] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_STAR] = ACTIONS(1428),
    [anon_sym_align] = ACTIONS(1426),
    [anon_sym_addrspace] = ACTIONS(1426),
    [anon_sym_linksection] = ACTIONS(1426),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_RBRACK] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_DASH_PERCENT] = ACTIONS(1428),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_or] = ACTIONS(1428),
    [anon_sym_and] = ACTIONS(1426),
    [anon_sym_EQ_EQ] = ACTIONS(1426),
    [anon_sym_BANG_EQ] = ACTIONS(1426),
    [anon_sym_GT] = ACTIONS(1428),
    [anon_sym_GT_EQ] = ACTIONS(1426),
    [anon_sym_LT_EQ] = ACTIONS(1426),
    [anon_sym_LT] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1428),
    [anon_sym_orelse] = ACTIONS(1426),
    [anon_sym_LT_LT] = ACTIONS(1428),
    [anon_sym_GT_GT] = ACTIONS(1428),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1426),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1428),
    [anon_sym_PLUS_PIPE] = ACTIONS(1428),
    [anon_sym_DASH_PIPE] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1428),
    [anon_sym_STAR_STAR] = ACTIONS(1426),
    [anon_sym_STAR_PERCENT] = ACTIONS(1428),
    [anon_sym_STAR_PIPE] = ACTIONS(1428),
    [anon_sym_PIPE_PIPE] = ACTIONS(1426),
    [anon_sym_catch] = ACTIONS(1426),
    [anon_sym_EQ_GT] = ACTIONS(1426),
    [anon_sym_DOT] = ACTIONS(1428),
    [anon_sym_DOT_STAR] = ACTIONS(1426),
    [anon_sym_DOT_QMARK] = ACTIONS(1426),
    [sym_comment] = ACTIONS(3),
  },
  [833] = {
    [ts_builtin_sym_end] = ACTIONS(1430),
    [anon_sym_COMMA] = ACTIONS(1430),
    [anon_sym_COLON] = ACTIONS(1430),
    [anon_sym_EQ] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym_STAR_EQ] = ACTIONS(1430),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1430),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1430),
    [anon_sym_SLASH_EQ] = ACTIONS(1430),
    [anon_sym_PERCENT_EQ] = ACTIONS(1430),
    [anon_sym_PLUS_EQ] = ACTIONS(1430),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1430),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1430),
    [anon_sym_DASH_EQ] = ACTIONS(1430),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1430),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1430),
    [anon_sym_LT_LT_EQ] = ACTIONS(1430),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1430),
    [anon_sym_GT_GT_EQ] = ACTIONS(1430),
    [anon_sym_AMP_EQ] = ACTIONS(1430),
    [anon_sym_CARET_EQ] = ACTIONS(1430),
    [anon_sym_PIPE_EQ] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [anon_sym_RPAREN] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [anon_sym_else] = ACTIONS(1430),
    [anon_sym_DOT_DOT] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1432),
    [anon_sym_align] = ACTIONS(1430),
    [anon_sym_addrspace] = ACTIONS(1430),
    [anon_sym_linksection] = ACTIONS(1430),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_RBRACK] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_DASH_PERCENT] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1432),
    [anon_sym_or] = ACTIONS(1432),
    [anon_sym_and] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1430),
    [anon_sym_BANG_EQ] = ACTIONS(1430),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_GT_EQ] = ACTIONS(1430),
    [anon_sym_LT_EQ] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_CARET] = ACTIONS(1432),
    [anon_sym_orelse] = ACTIONS(1430),
    [anon_sym_LT_LT] = ACTIONS(1432),
    [anon_sym_GT_GT] = ACTIONS(1432),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1432),
    [anon_sym_PLUS_PIPE] = ACTIONS(1432),
    [anon_sym_DASH_PIPE] = ACTIONS(1432),
    [anon_sym_SLASH] = ACTIONS(1432),
    [anon_sym_PERCENT] = ACTIONS(1432),
    [anon_sym_STAR_STAR] = ACTIONS(1430),
    [anon_sym_STAR_PERCENT] = ACTIONS(1432),
    [anon_sym_STAR_PIPE] = ACTIONS(1432),
    [anon_sym_PIPE_PIPE] = ACTIONS(1430),
    [anon_sym_catch] = ACTIONS(1430),
    [anon_sym_EQ_GT] = ACTIONS(1430),
    [anon_sym_DOT] = ACTIONS(1432),
    [anon_sym_DOT_STAR] = ACTIONS(1430),
    [anon_sym_DOT_QMARK] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
  },
  [834] = {
    [ts_builtin_sym_end] = ACTIONS(1434),
    [anon_sym_COMMA] = ACTIONS(1434),
    [anon_sym_COLON] = ACTIONS(1434),
    [anon_sym_EQ] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_STAR_EQ] = ACTIONS(1434),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1434),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1434),
    [anon_sym_SLASH_EQ] = ACTIONS(1434),
    [anon_sym_PERCENT_EQ] = ACTIONS(1434),
    [anon_sym_PLUS_EQ] = ACTIONS(1434),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1434),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1434),
    [anon_sym_DASH_EQ] = ACTIONS(1434),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1434),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1434),
    [anon_sym_LT_LT_EQ] = ACTIONS(1434),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1434),
    [anon_sym_GT_GT_EQ] = ACTIONS(1434),
    [anon_sym_AMP_EQ] = ACTIONS(1434),
    [anon_sym_CARET_EQ] = ACTIONS(1434),
    [anon_sym_PIPE_EQ] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [anon_sym_RPAREN] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_DOT_DOT] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1436),
    [anon_sym_align] = ACTIONS(1434),
    [anon_sym_addrspace] = ACTIONS(1434),
    [anon_sym_linksection] = ACTIONS(1434),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_RBRACK] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_DASH_PERCENT] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1436),
    [anon_sym_or] = ACTIONS(1436),
    [anon_sym_and] = ACTIONS(1434),
    [anon_sym_EQ_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1436),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_orelse] = ACTIONS(1434),
    [anon_sym_LT_LT] = ACTIONS(1436),
    [anon_sym_GT_GT] = ACTIONS(1436),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1436),
    [anon_sym_PLUS_PIPE] = ACTIONS(1436),
    [anon_sym_DASH_PIPE] = ACTIONS(1436),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_PERCENT] = ACTIONS(1436),
    [anon_sym_STAR_STAR] = ACTIONS(1434),
    [anon_sym_STAR_PERCENT] = ACTIONS(1436),
    [anon_sym_STAR_PIPE] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_catch] = ACTIONS(1434),
    [anon_sym_EQ_GT] = ACTIONS(1434),
    [anon_sym_DOT] = ACTIONS(1436),
    [anon_sym_DOT_STAR] = ACTIONS(1434),
    [anon_sym_DOT_QMARK] = ACTIONS(1434),
    [sym_comment] = ACTIONS(3),
  },
  [835] = {
    [ts_builtin_sym_end] = ACTIONS(1438),
    [anon_sym_COMMA] = ACTIONS(1438),
    [anon_sym_COLON] = ACTIONS(1438),
    [anon_sym_EQ] = ACTIONS(1440),
    [anon_sym_SEMI] = ACTIONS(1438),
    [anon_sym_STAR_EQ] = ACTIONS(1438),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1438),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1438),
    [anon_sym_SLASH_EQ] = ACTIONS(1438),
    [anon_sym_PERCENT_EQ] = ACTIONS(1438),
    [anon_sym_PLUS_EQ] = ACTIONS(1438),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1438),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1438),
    [anon_sym_DASH_EQ] = ACTIONS(1438),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1438),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1438),
    [anon_sym_LT_LT_EQ] = ACTIONS(1438),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1438),
    [anon_sym_GT_GT_EQ] = ACTIONS(1438),
    [anon_sym_AMP_EQ] = ACTIONS(1438),
    [anon_sym_CARET_EQ] = ACTIONS(1438),
    [anon_sym_PIPE_EQ] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [anon_sym_RPAREN] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_RBRACE] = ACTIONS(1438),
    [anon_sym_else] = ACTIONS(1438),
    [anon_sym_DOT_DOT] = ACTIONS(1438),
    [anon_sym_PIPE] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1440),
    [anon_sym_align] = ACTIONS(1438),
    [anon_sym_addrspace] = ACTIONS(1438),
    [anon_sym_linksection] = ACTIONS(1438),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [anon_sym_RBRACK] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_DASH_PERCENT] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1440),
    [anon_sym_or] = ACTIONS(1440),
    [anon_sym_and] = ACTIONS(1438),
    [anon_sym_EQ_EQ] = ACTIONS(1438),
    [anon_sym_BANG_EQ] = ACTIONS(1438),
    [anon_sym_GT] = ACTIONS(1440),
    [anon_sym_GT_EQ] = ACTIONS(1438),
    [anon_sym_LT_EQ] = ACTIONS(1438),
    [anon_sym_LT] = ACTIONS(1440),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_orelse] = ACTIONS(1438),
    [anon_sym_LT_LT] = ACTIONS(1440),
    [anon_sym_GT_GT] = ACTIONS(1440),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(1438),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1440),
    [anon_sym_PLUS_PIPE] = ACTIONS(1440),
    [anon_sym_DASH_PIPE] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(1440),
    [anon_sym_STAR_STAR] = ACTIONS(1438),
    [anon_sym_STAR_PERCENT] = ACTIONS(1440),
    [anon_sym_STAR_PIPE] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1438),
    [anon_sym_catch] = ACTIONS(1438),
    [anon_sym_EQ_GT] = ACTIONS(1438),
    [anon_sym_DOT] = ACTIONS(1440),
    [anon_sym_DOT_STAR] = ACTIONS(1438),
    [anon_sym_DOT_QMARK] = ACTIONS(1438),
    [sym_comment] = ACTIONS(3),
  },
  [836] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [anon_sym_COLON] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [anon_sym_STAR_EQ] = ACTIONS(1442),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1442),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1442),
    [anon_sym_SLASH_EQ] = ACTIONS(1442),
    [anon_sym_PERCENT_EQ] = ACTIONS(1442),
    [anon_sym_PLUS_EQ] = ACTIONS(1442),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1442),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1442),
    [anon_sym_DASH_EQ] = ACTIONS(1442),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1442),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1442),
    [anon_sym_GT_GT_EQ] = ACTIONS(1442),
    [anon_sym_AMP_EQ] = ACTIONS(1442),
    [anon_sym_CARET_EQ] = ACTIONS(1442),
    [anon_sym_PIPE_EQ] = ACTIONS(1442),
    [anon_sym_BANG] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [anon_sym_RPAREN] = ACTIONS(1442),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [anon_sym_RBRACE] = ACTIONS(1442),
    [anon_sym_else] = ACTIONS(1442),
    [anon_sym_DOT_DOT] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1444),
    [anon_sym_align] = ACTIONS(1442),
    [anon_sym_addrspace] = ACTIONS(1442),
    [anon_sym_linksection] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [anon_sym_RBRACK] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_DASH_PERCENT] = ACTIONS(1444),
    [anon_sym_AMP] = ACTIONS(1444),
    [anon_sym_or] = ACTIONS(1444),
    [anon_sym_and] = ACTIONS(1442),
    [anon_sym_EQ_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_GT] = ACTIONS(1444),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_CARET] = ACTIONS(1444),
    [anon_sym_orelse] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1444),
    [anon_sym_GT_GT] = ACTIONS(1444),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1444),
    [anon_sym_PLUS] = ACTIONS(1444),
    [anon_sym_PLUS_PLUS] = ACTIONS(1442),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1444),
    [anon_sym_PLUS_PIPE] = ACTIONS(1444),
    [anon_sym_DASH_PIPE] = ACTIONS(1444),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PERCENT] = ACTIONS(1444),
    [anon_sym_STAR_STAR] = ACTIONS(1442),
    [anon_sym_STAR_PERCENT] = ACTIONS(1444),
    [anon_sym_STAR_PIPE] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_catch] = ACTIONS(1442),
    [anon_sym_EQ_GT] = ACTIONS(1442),
    [anon_sym_DOT] = ACTIONS(1444),
    [anon_sym_DOT_STAR] = ACTIONS(1442),
    [anon_sym_DOT_QMARK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [837] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [anon_sym_COLON] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [anon_sym_STAR_EQ] = ACTIONS(1446),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1446),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1446),
    [anon_sym_SLASH_EQ] = ACTIONS(1446),
    [anon_sym_PERCENT_EQ] = ACTIONS(1446),
    [anon_sym_PLUS_EQ] = ACTIONS(1446),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1446),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1446),
    [anon_sym_DASH_EQ] = ACTIONS(1446),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1446),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1446),
    [anon_sym_GT_GT_EQ] = ACTIONS(1446),
    [anon_sym_AMP_EQ] = ACTIONS(1446),
    [anon_sym_CARET_EQ] = ACTIONS(1446),
    [anon_sym_PIPE_EQ] = ACTIONS(1446),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [anon_sym_RPAREN] = ACTIONS(1446),
    [anon_sym_LBRACE] = ACTIONS(1446),
    [anon_sym_RBRACE] = ACTIONS(1446),
    [anon_sym_else] = ACTIONS(1446),
    [anon_sym_DOT_DOT] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1448),
    [anon_sym_align] = ACTIONS(1446),
    [anon_sym_addrspace] = ACTIONS(1446),
    [anon_sym_linksection] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [anon_sym_RBRACK] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_DASH_PERCENT] = ACTIONS(1448),
    [anon_sym_AMP] = ACTIONS(1448),
    [anon_sym_or] = ACTIONS(1448),
    [anon_sym_and] = ACTIONS(1446),
    [anon_sym_EQ_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_GT] = ACTIONS(1448),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_CARET] = ACTIONS(1448),
    [anon_sym_orelse] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1448),
    [anon_sym_GT_GT] = ACTIONS(1448),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1448),
    [anon_sym_PLUS_PIPE] = ACTIONS(1448),
    [anon_sym_DASH_PIPE] = ACTIONS(1448),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PERCENT] = ACTIONS(1448),
    [anon_sym_STAR_STAR] = ACTIONS(1446),
    [anon_sym_STAR_PERCENT] = ACTIONS(1448),
    [anon_sym_STAR_PIPE] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_catch] = ACTIONS(1446),
    [anon_sym_EQ_GT] = ACTIONS(1446),
    [anon_sym_DOT] = ACTIONS(1448),
    [anon_sym_DOT_STAR] = ACTIONS(1446),
    [anon_sym_DOT_QMARK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
  },
  [838] = {
    [ts_builtin_sym_end] = ACTIONS(1450),
    [anon_sym_COMMA] = ACTIONS(1450),
    [anon_sym_COLON] = ACTIONS(1450),
    [anon_sym_EQ] = ACTIONS(1452),
    [anon_sym_SEMI] = ACTIONS(1450),
    [anon_sym_STAR_EQ] = ACTIONS(1450),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1450),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1450),
    [anon_sym_SLASH_EQ] = ACTIONS(1450),
    [anon_sym_PERCENT_EQ] = ACTIONS(1450),
    [anon_sym_PLUS_EQ] = ACTIONS(1450),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1450),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1450),
    [anon_sym_DASH_EQ] = ACTIONS(1450),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1450),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1450),
    [anon_sym_LT_LT_EQ] = ACTIONS(1450),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1450),
    [anon_sym_GT_GT_EQ] = ACTIONS(1450),
    [anon_sym_AMP_EQ] = ACTIONS(1450),
    [anon_sym_CARET_EQ] = ACTIONS(1450),
    [anon_sym_PIPE_EQ] = ACTIONS(1450),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [anon_sym_RPAREN] = ACTIONS(1450),
    [anon_sym_LBRACE] = ACTIONS(1450),
    [anon_sym_RBRACE] = ACTIONS(1450),
    [anon_sym_else] = ACTIONS(1450),
    [anon_sym_DOT_DOT] = ACTIONS(1450),
    [anon_sym_PIPE] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_align] = ACTIONS(1450),
    [anon_sym_addrspace] = ACTIONS(1450),
    [anon_sym_linksection] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1450),
    [anon_sym_RBRACK] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_DASH_PERCENT] = ACTIONS(1452),
    [anon_sym_AMP] = ACTIONS(1452),
    [anon_sym_or] = ACTIONS(1452),
    [anon_sym_and] = ACTIONS(1450),
    [anon_sym_EQ_EQ] = ACTIONS(1450),
    [anon_sym_BANG_EQ] = ACTIONS(1450),
    [anon_sym_GT] = ACTIONS(1452),
    [anon_sym_GT_EQ] = ACTIONS(1450),
    [anon_sym_LT_EQ] = ACTIONS(1450),
    [anon_sym_LT] = ACTIONS(1452),
    [anon_sym_CARET] = ACTIONS(1452),
    [anon_sym_orelse] = ACTIONS(1450),
    [anon_sym_LT_LT] = ACTIONS(1452),
    [anon_sym_GT_GT] = ACTIONS(1452),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_PLUS_PLUS] = ACTIONS(1450),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1452),
    [anon_sym_PLUS_PIPE] = ACTIONS(1452),
    [anon_sym_DASH_PIPE] = ACTIONS(1452),
    [anon_sym_SLASH] = ACTIONS(1452),
    [anon_sym_PERCENT] = ACTIONS(1452),
    [anon_sym_STAR_STAR] = ACTIONS(1450),
    [anon_sym_STAR_PERCENT] = ACTIONS(1452),
    [anon_sym_STAR_PIPE] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1450),
    [anon_sym_catch] = ACTIONS(1450),
    [anon_sym_EQ_GT] = ACTIONS(1450),
    [anon_sym_DOT] = ACTIONS(1452),
    [anon_sym_DOT_STAR] = ACTIONS(1450),
    [anon_sym_DOT_QMARK] = ACTIONS(1450),
    [sym_comment] = ACTIONS(3),
  },
  [839] = {
    [ts_builtin_sym_end] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1454),
    [anon_sym_COLON] = ACTIONS(1454),
    [anon_sym_EQ] = ACTIONS(1456),
    [anon_sym_SEMI] = ACTIONS(1454),
    [anon_sym_STAR_EQ] = ACTIONS(1454),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1454),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1454),
    [anon_sym_SLASH_EQ] = ACTIONS(1454),
    [anon_sym_PERCENT_EQ] = ACTIONS(1454),
    [anon_sym_PLUS_EQ] = ACTIONS(1454),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1454),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1454),
    [anon_sym_DASH_EQ] = ACTIONS(1454),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1454),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1454),
    [anon_sym_LT_LT_EQ] = ACTIONS(1454),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1454),
    [anon_sym_GT_GT_EQ] = ACTIONS(1454),
    [anon_sym_AMP_EQ] = ACTIONS(1454),
    [anon_sym_CARET_EQ] = ACTIONS(1454),
    [anon_sym_PIPE_EQ] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1456),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [anon_sym_RPAREN] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_RBRACE] = ACTIONS(1454),
    [anon_sym_else] = ACTIONS(1454),
    [anon_sym_DOT_DOT] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1456),
    [anon_sym_align] = ACTIONS(1454),
    [anon_sym_addrspace] = ACTIONS(1454),
    [anon_sym_linksection] = ACTIONS(1454),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [anon_sym_RBRACK] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_DASH_PERCENT] = ACTIONS(1456),
    [anon_sym_AMP] = ACTIONS(1456),
    [anon_sym_or] = ACTIONS(1456),
    [anon_sym_and] = ACTIONS(1454),
    [anon_sym_EQ_EQ] = ACTIONS(1454),
    [anon_sym_BANG_EQ] = ACTIONS(1454),
    [anon_sym_GT] = ACTIONS(1456),
    [anon_sym_GT_EQ] = ACTIONS(1454),
    [anon_sym_LT_EQ] = ACTIONS(1454),
    [anon_sym_LT] = ACTIONS(1456),
    [anon_sym_CARET] = ACTIONS(1456),
    [anon_sym_orelse] = ACTIONS(1454),
    [anon_sym_LT_LT] = ACTIONS(1456),
    [anon_sym_GT_GT] = ACTIONS(1456),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_PLUS_PLUS] = ACTIONS(1454),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1456),
    [anon_sym_PLUS_PIPE] = ACTIONS(1456),
    [anon_sym_DASH_PIPE] = ACTIONS(1456),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_PERCENT] = ACTIONS(1456),
    [anon_sym_STAR_STAR] = ACTIONS(1454),
    [anon_sym_STAR_PERCENT] = ACTIONS(1456),
    [anon_sym_STAR_PIPE] = ACTIONS(1456),
    [anon_sym_PIPE_PIPE] = ACTIONS(1454),
    [anon_sym_catch] = ACTIONS(1454),
    [anon_sym_EQ_GT] = ACTIONS(1454),
    [anon_sym_DOT] = ACTIONS(1456),
    [anon_sym_DOT_STAR] = ACTIONS(1454),
    [anon_sym_DOT_QMARK] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
  },
  [840] = {
    [ts_builtin_sym_end] = ACTIONS(1458),
    [anon_sym_COMMA] = ACTIONS(1458),
    [anon_sym_COLON] = ACTIONS(1458),
    [anon_sym_EQ] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1458),
    [anon_sym_STAR_EQ] = ACTIONS(1458),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1458),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1458),
    [anon_sym_SLASH_EQ] = ACTIONS(1458),
    [anon_sym_PERCENT_EQ] = ACTIONS(1458),
    [anon_sym_PLUS_EQ] = ACTIONS(1458),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1458),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1458),
    [anon_sym_DASH_EQ] = ACTIONS(1458),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1458),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1458),
    [anon_sym_LT_LT_EQ] = ACTIONS(1458),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1458),
    [anon_sym_GT_GT_EQ] = ACTIONS(1458),
    [anon_sym_AMP_EQ] = ACTIONS(1458),
    [anon_sym_CARET_EQ] = ACTIONS(1458),
    [anon_sym_PIPE_EQ] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1460),
    [anon_sym_LPAREN] = ACTIONS(1458),
    [anon_sym_RPAREN] = ACTIONS(1458),
    [anon_sym_LBRACE] = ACTIONS(1458),
    [anon_sym_RBRACE] = ACTIONS(1458),
    [anon_sym_else] = ACTIONS(1458),
    [anon_sym_DOT_DOT] = ACTIONS(1458),
    [anon_sym_PIPE] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_align] = ACTIONS(1458),
    [anon_sym_addrspace] = ACTIONS(1458),
    [anon_sym_linksection] = ACTIONS(1458),
    [anon_sym_LBRACK] = ACTIONS(1458),
    [anon_sym_RBRACK] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_DASH_PERCENT] = ACTIONS(1460),
    [anon_sym_AMP] = ACTIONS(1460),
    [anon_sym_or] = ACTIONS(1460),
    [anon_sym_and] = ACTIONS(1458),
    [anon_sym_EQ_EQ] = ACTIONS(1458),
    [anon_sym_BANG_EQ] = ACTIONS(1458),
    [anon_sym_GT] = ACTIONS(1460),
    [anon_sym_GT_EQ] = ACTIONS(1458),
    [anon_sym_LT_EQ] = ACTIONS(1458),
    [anon_sym_LT] = ACTIONS(1460),
    [anon_sym_CARET] = ACTIONS(1460),
    [anon_sym_orelse] = ACTIONS(1458),
    [anon_sym_LT_LT] = ACTIONS(1460),
    [anon_sym_GT_GT] = ACTIONS(1460),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_PLUS_PLUS] = ACTIONS(1458),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1460),
    [anon_sym_PLUS_PIPE] = ACTIONS(1460),
    [anon_sym_DASH_PIPE] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1460),
    [anon_sym_PERCENT] = ACTIONS(1460),
    [anon_sym_STAR_STAR] = ACTIONS(1458),
    [anon_sym_STAR_PERCENT] = ACTIONS(1460),
    [anon_sym_STAR_PIPE] = ACTIONS(1460),
    [anon_sym_PIPE_PIPE] = ACTIONS(1458),
    [anon_sym_catch] = ACTIONS(1458),
    [anon_sym_EQ_GT] = ACTIONS(1458),
    [anon_sym_DOT] = ACTIONS(1460),
    [anon_sym_DOT_STAR] = ACTIONS(1458),
    [anon_sym_DOT_QMARK] = ACTIONS(1458),
    [sym_comment] = ACTIONS(3),
  },
  [841] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [anon_sym_COLON] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [anon_sym_STAR_EQ] = ACTIONS(1462),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1462),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1462),
    [anon_sym_SLASH_EQ] = ACTIONS(1462),
    [anon_sym_PERCENT_EQ] = ACTIONS(1462),
    [anon_sym_PLUS_EQ] = ACTIONS(1462),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1462),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1462),
    [anon_sym_DASH_EQ] = ACTIONS(1462),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1462),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1462),
    [anon_sym_GT_GT_EQ] = ACTIONS(1462),
    [anon_sym_AMP_EQ] = ACTIONS(1462),
    [anon_sym_CARET_EQ] = ACTIONS(1462),
    [anon_sym_PIPE_EQ] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [anon_sym_RPAREN] = ACTIONS(1462),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_RBRACE] = ACTIONS(1462),
    [anon_sym_else] = ACTIONS(1462),
    [anon_sym_DOT_DOT] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1464),
    [anon_sym_align] = ACTIONS(1462),
    [anon_sym_addrspace] = ACTIONS(1462),
    [anon_sym_linksection] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [anon_sym_RBRACK] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_DASH_PERCENT] = ACTIONS(1464),
    [anon_sym_AMP] = ACTIONS(1464),
    [anon_sym_or] = ACTIONS(1464),
    [anon_sym_and] = ACTIONS(1462),
    [anon_sym_EQ_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_GT] = ACTIONS(1464),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1464),
    [anon_sym_orelse] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1464),
    [anon_sym_GT_GT] = ACTIONS(1464),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1464),
    [anon_sym_PLUS_PIPE] = ACTIONS(1464),
    [anon_sym_DASH_PIPE] = ACTIONS(1464),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PERCENT] = ACTIONS(1464),
    [anon_sym_STAR_STAR] = ACTIONS(1462),
    [anon_sym_STAR_PERCENT] = ACTIONS(1464),
    [anon_sym_STAR_PIPE] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_catch] = ACTIONS(1462),
    [anon_sym_EQ_GT] = ACTIONS(1462),
    [anon_sym_DOT] = ACTIONS(1464),
    [anon_sym_DOT_STAR] = ACTIONS(1462),
    [anon_sym_DOT_QMARK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [842] = {
    [ts_builtin_sym_end] = ACTIONS(1466),
    [anon_sym_COMMA] = ACTIONS(1466),
    [anon_sym_COLON] = ACTIONS(1466),
    [anon_sym_EQ] = ACTIONS(1468),
    [anon_sym_SEMI] = ACTIONS(1466),
    [anon_sym_STAR_EQ] = ACTIONS(1466),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1466),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1466),
    [anon_sym_SLASH_EQ] = ACTIONS(1466),
    [anon_sym_PERCENT_EQ] = ACTIONS(1466),
    [anon_sym_PLUS_EQ] = ACTIONS(1466),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1466),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1466),
    [anon_sym_DASH_EQ] = ACTIONS(1466),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1466),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1466),
    [anon_sym_LT_LT_EQ] = ACTIONS(1466),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1466),
    [anon_sym_GT_GT_EQ] = ACTIONS(1466),
    [anon_sym_AMP_EQ] = ACTIONS(1466),
    [anon_sym_CARET_EQ] = ACTIONS(1466),
    [anon_sym_PIPE_EQ] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [anon_sym_RPAREN] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1466),
    [anon_sym_RBRACE] = ACTIONS(1466),
    [anon_sym_else] = ACTIONS(1466),
    [anon_sym_DOT_DOT] = ACTIONS(1466),
    [anon_sym_PIPE] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1468),
    [anon_sym_align] = ACTIONS(1466),
    [anon_sym_addrspace] = ACTIONS(1466),
    [anon_sym_linksection] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [anon_sym_RBRACK] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_DASH_PERCENT] = ACTIONS(1468),
    [anon_sym_AMP] = ACTIONS(1468),
    [anon_sym_or] = ACTIONS(1468),
    [anon_sym_and] = ACTIONS(1466),
    [anon_sym_EQ_EQ] = ACTIONS(1466),
    [anon_sym_BANG_EQ] = ACTIONS(1466),
    [anon_sym_GT] = ACTIONS(1468),
    [anon_sym_GT_EQ] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1466),
    [anon_sym_LT] = ACTIONS(1468),
    [anon_sym_CARET] = ACTIONS(1468),
    [anon_sym_orelse] = ACTIONS(1466),
    [anon_sym_LT_LT] = ACTIONS(1468),
    [anon_sym_GT_GT] = ACTIONS(1468),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_PLUS_PLUS] = ACTIONS(1466),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1468),
    [anon_sym_PLUS_PIPE] = ACTIONS(1468),
    [anon_sym_DASH_PIPE] = ACTIONS(1468),
    [anon_sym_SLASH] = ACTIONS(1468),
    [anon_sym_PERCENT] = ACTIONS(1468),
    [anon_sym_STAR_STAR] = ACTIONS(1466),
    [anon_sym_STAR_PERCENT] = ACTIONS(1468),
    [anon_sym_STAR_PIPE] = ACTIONS(1468),
    [anon_sym_PIPE_PIPE] = ACTIONS(1466),
    [anon_sym_catch] = ACTIONS(1466),
    [anon_sym_EQ_GT] = ACTIONS(1466),
    [anon_sym_DOT] = ACTIONS(1468),
    [anon_sym_DOT_STAR] = ACTIONS(1466),
    [anon_sym_DOT_QMARK] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
  },
  [843] = {
    [ts_builtin_sym_end] = ACTIONS(963),
    [anon_sym_COMMA] = ACTIONS(963),
    [anon_sym_COLON] = ACTIONS(963),
    [anon_sym_EQ] = ACTIONS(961),
    [anon_sym_SEMI] = ACTIONS(963),
    [anon_sym_STAR_EQ] = ACTIONS(963),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(963),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(963),
    [anon_sym_SLASH_EQ] = ACTIONS(963),
    [anon_sym_PERCENT_EQ] = ACTIONS(963),
    [anon_sym_PLUS_EQ] = ACTIONS(963),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(963),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(963),
    [anon_sym_DASH_EQ] = ACTIONS(963),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(963),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(963),
    [anon_sym_LT_LT_EQ] = ACTIONS(963),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(963),
    [anon_sym_GT_GT_EQ] = ACTIONS(963),
    [anon_sym_AMP_EQ] = ACTIONS(963),
    [anon_sym_CARET_EQ] = ACTIONS(963),
    [anon_sym_PIPE_EQ] = ACTIONS(963),
    [anon_sym_BANG] = ACTIONS(961),
    [anon_sym_LPAREN] = ACTIONS(963),
    [anon_sym_RPAREN] = ACTIONS(963),
    [anon_sym_LBRACE] = ACTIONS(963),
    [anon_sym_RBRACE] = ACTIONS(963),
    [anon_sym_else] = ACTIONS(963),
    [anon_sym_DOT_DOT] = ACTIONS(963),
    [anon_sym_PIPE] = ACTIONS(961),
    [anon_sym_STAR] = ACTIONS(961),
    [anon_sym_align] = ACTIONS(963),
    [anon_sym_addrspace] = ACTIONS(963),
    [anon_sym_linksection] = ACTIONS(963),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_RBRACK] = ACTIONS(963),
    [anon_sym_DASH] = ACTIONS(961),
    [anon_sym_DASH_PERCENT] = ACTIONS(961),
    [anon_sym_AMP] = ACTIONS(961),
    [anon_sym_or] = ACTIONS(961),
    [anon_sym_and] = ACTIONS(963),
    [anon_sym_EQ_EQ] = ACTIONS(963),
    [anon_sym_BANG_EQ] = ACTIONS(963),
    [anon_sym_GT] = ACTIONS(961),
    [anon_sym_GT_EQ] = ACTIONS(963),
    [anon_sym_LT_EQ] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(961),
    [anon_sym_CARET] = ACTIONS(961),
    [anon_sym_orelse] = ACTIONS(963),
    [anon_sym_LT_LT] = ACTIONS(961),
    [anon_sym_GT_GT] = ACTIONS(961),
    [anon_sym_LT_LT_PIPE] = ACTIONS(961),
    [anon_sym_PLUS] = ACTIONS(961),
    [anon_sym_PLUS_PLUS] = ACTIONS(963),
    [anon_sym_PLUS_PERCENT] = ACTIONS(961),
    [anon_sym_PLUS_PIPE] = ACTIONS(961),
    [anon_sym_DASH_PIPE] = ACTIONS(961),
    [anon_sym_SLASH] = ACTIONS(961),
    [anon_sym_PERCENT] = ACTIONS(961),
    [anon_sym_STAR_STAR] = ACTIONS(963),
    [anon_sym_STAR_PERCENT] = ACTIONS(961),
    [anon_sym_STAR_PIPE] = ACTIONS(961),
    [anon_sym_PIPE_PIPE] = ACTIONS(963),
    [anon_sym_catch] = ACTIONS(963),
    [anon_sym_EQ_GT] = ACTIONS(963),
    [anon_sym_DOT] = ACTIONS(961),
    [anon_sym_DOT_STAR] = ACTIONS(963),
    [anon_sym_DOT_QMARK] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
  },
  [844] = {
    [ts_builtin_sym_end] = ACTIONS(1470),
    [anon_sym_COMMA] = ACTIONS(1470),
    [anon_sym_COLON] = ACTIONS(1470),
    [anon_sym_EQ] = ACTIONS(1472),
    [anon_sym_SEMI] = ACTIONS(1470),
    [anon_sym_STAR_EQ] = ACTIONS(1470),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1470),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1470),
    [anon_sym_SLASH_EQ] = ACTIONS(1470),
    [anon_sym_PERCENT_EQ] = ACTIONS(1470),
    [anon_sym_PLUS_EQ] = ACTIONS(1470),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1470),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1470),
    [anon_sym_DASH_EQ] = ACTIONS(1470),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1470),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1470),
    [anon_sym_LT_LT_EQ] = ACTIONS(1470),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1470),
    [anon_sym_GT_GT_EQ] = ACTIONS(1470),
    [anon_sym_AMP_EQ] = ACTIONS(1470),
    [anon_sym_CARET_EQ] = ACTIONS(1470),
    [anon_sym_PIPE_EQ] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1472),
    [anon_sym_LPAREN] = ACTIONS(1470),
    [anon_sym_RPAREN] = ACTIONS(1470),
    [anon_sym_LBRACE] = ACTIONS(1470),
    [anon_sym_RBRACE] = ACTIONS(1470),
    [anon_sym_else] = ACTIONS(1470),
    [anon_sym_DOT_DOT] = ACTIONS(1470),
    [anon_sym_PIPE] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1472),
    [anon_sym_align] = ACTIONS(1470),
    [anon_sym_addrspace] = ACTIONS(1470),
    [anon_sym_linksection] = ACTIONS(1470),
    [anon_sym_LBRACK] = ACTIONS(1470),
    [anon_sym_RBRACK] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_DASH_PERCENT] = ACTIONS(1472),
    [anon_sym_AMP] = ACTIONS(1472),
    [anon_sym_or] = ACTIONS(1472),
    [anon_sym_and] = ACTIONS(1470),
    [anon_sym_EQ_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_GT] = ACTIONS(1472),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_CARET] = ACTIONS(1472),
    [anon_sym_orelse] = ACTIONS(1470),
    [anon_sym_LT_LT] = ACTIONS(1472),
    [anon_sym_GT_GT] = ACTIONS(1472),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_PLUS_PLUS] = ACTIONS(1470),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1472),
    [anon_sym_PLUS_PIPE] = ACTIONS(1472),
    [anon_sym_DASH_PIPE] = ACTIONS(1472),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_PERCENT] = ACTIONS(1472),
    [anon_sym_STAR_STAR] = ACTIONS(1470),
    [anon_sym_STAR_PERCENT] = ACTIONS(1472),
    [anon_sym_STAR_PIPE] = ACTIONS(1472),
    [anon_sym_PIPE_PIPE] = ACTIONS(1470),
    [anon_sym_catch] = ACTIONS(1470),
    [anon_sym_EQ_GT] = ACTIONS(1470),
    [anon_sym_DOT] = ACTIONS(1472),
    [anon_sym_DOT_STAR] = ACTIONS(1470),
    [anon_sym_DOT_QMARK] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
  },
  [845] = {
    [ts_builtin_sym_end] = ACTIONS(1474),
    [anon_sym_COMMA] = ACTIONS(1474),
    [anon_sym_COLON] = ACTIONS(1474),
    [anon_sym_EQ] = ACTIONS(1476),
    [anon_sym_SEMI] = ACTIONS(1474),
    [anon_sym_STAR_EQ] = ACTIONS(1474),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1474),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1474),
    [anon_sym_SLASH_EQ] = ACTIONS(1474),
    [anon_sym_PERCENT_EQ] = ACTIONS(1474),
    [anon_sym_PLUS_EQ] = ACTIONS(1474),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1474),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1474),
    [anon_sym_DASH_EQ] = ACTIONS(1474),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1474),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1474),
    [anon_sym_LT_LT_EQ] = ACTIONS(1474),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1474),
    [anon_sym_GT_GT_EQ] = ACTIONS(1474),
    [anon_sym_AMP_EQ] = ACTIONS(1474),
    [anon_sym_CARET_EQ] = ACTIONS(1474),
    [anon_sym_PIPE_EQ] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1476),
    [anon_sym_LPAREN] = ACTIONS(1474),
    [anon_sym_RPAREN] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(1474),
    [anon_sym_RBRACE] = ACTIONS(1474),
    [anon_sym_else] = ACTIONS(1474),
    [anon_sym_DOT_DOT] = ACTIONS(1474),
    [anon_sym_PIPE] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1476),
    [anon_sym_align] = ACTIONS(1474),
    [anon_sym_addrspace] = ACTIONS(1474),
    [anon_sym_linksection] = ACTIONS(1474),
    [anon_sym_LBRACK] = ACTIONS(1474),
    [anon_sym_RBRACK] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_DASH_PERCENT] = ACTIONS(1476),
    [anon_sym_AMP] = ACTIONS(1476),
    [anon_sym_or] = ACTIONS(1476),
    [anon_sym_and] = ACTIONS(1474),
    [anon_sym_EQ_EQ] = ACTIONS(1474),
    [anon_sym_BANG_EQ] = ACTIONS(1474),
    [anon_sym_GT] = ACTIONS(1476),
    [anon_sym_GT_EQ] = ACTIONS(1474),
    [anon_sym_LT_EQ] = ACTIONS(1474),
    [anon_sym_LT] = ACTIONS(1476),
    [anon_sym_CARET] = ACTIONS(1476),
    [anon_sym_orelse] = ACTIONS(1474),
    [anon_sym_LT_LT] = ACTIONS(1476),
    [anon_sym_GT_GT] = ACTIONS(1476),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_PLUS_PLUS] = ACTIONS(1474),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1476),
    [anon_sym_PLUS_PIPE] = ACTIONS(1476),
    [anon_sym_DASH_PIPE] = ACTIONS(1476),
    [anon_sym_SLASH] = ACTIONS(1476),
    [anon_sym_PERCENT] = ACTIONS(1476),
    [anon_sym_STAR_STAR] = ACTIONS(1474),
    [anon_sym_STAR_PERCENT] = ACTIONS(1476),
    [anon_sym_STAR_PIPE] = ACTIONS(1476),
    [anon_sym_PIPE_PIPE] = ACTIONS(1474),
    [anon_sym_catch] = ACTIONS(1474),
    [anon_sym_EQ_GT] = ACTIONS(1474),
    [anon_sym_DOT] = ACTIONS(1476),
    [anon_sym_DOT_STAR] = ACTIONS(1474),
    [anon_sym_DOT_QMARK] = ACTIONS(1474),
    [sym_comment] = ACTIONS(3),
  },
  [846] = {
    [ts_builtin_sym_end] = ACTIONS(1478),
    [anon_sym_COMMA] = ACTIONS(1478),
    [anon_sym_COLON] = ACTIONS(1478),
    [anon_sym_EQ] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1478),
    [anon_sym_STAR_EQ] = ACTIONS(1478),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1478),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1478),
    [anon_sym_SLASH_EQ] = ACTIONS(1478),
    [anon_sym_PERCENT_EQ] = ACTIONS(1478),
    [anon_sym_PLUS_EQ] = ACTIONS(1478),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1478),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1478),
    [anon_sym_DASH_EQ] = ACTIONS(1478),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1478),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1478),
    [anon_sym_LT_LT_EQ] = ACTIONS(1478),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1478),
    [anon_sym_GT_GT_EQ] = ACTIONS(1478),
    [anon_sym_AMP_EQ] = ACTIONS(1478),
    [anon_sym_CARET_EQ] = ACTIONS(1478),
    [anon_sym_PIPE_EQ] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(1478),
    [anon_sym_RPAREN] = ACTIONS(1478),
    [anon_sym_LBRACE] = ACTIONS(1478),
    [anon_sym_RBRACE] = ACTIONS(1478),
    [anon_sym_else] = ACTIONS(1478),
    [anon_sym_DOT_DOT] = ACTIONS(1478),
    [anon_sym_PIPE] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_align] = ACTIONS(1478),
    [anon_sym_addrspace] = ACTIONS(1478),
    [anon_sym_linksection] = ACTIONS(1478),
    [anon_sym_LBRACK] = ACTIONS(1478),
    [anon_sym_RBRACK] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_DASH_PERCENT] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_or] = ACTIONS(1480),
    [anon_sym_and] = ACTIONS(1478),
    [anon_sym_EQ_EQ] = ACTIONS(1478),
    [anon_sym_BANG_EQ] = ACTIONS(1478),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1478),
    [anon_sym_LT_EQ] = ACTIONS(1478),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_CARET] = ACTIONS(1480),
    [anon_sym_orelse] = ACTIONS(1478),
    [anon_sym_LT_LT] = ACTIONS(1480),
    [anon_sym_GT_GT] = ACTIONS(1480),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_PLUS_PLUS] = ACTIONS(1478),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1480),
    [anon_sym_PLUS_PIPE] = ACTIONS(1480),
    [anon_sym_DASH_PIPE] = ACTIONS(1480),
    [anon_sym_SLASH] = ACTIONS(1480),
    [anon_sym_PERCENT] = ACTIONS(1480),
    [anon_sym_STAR_STAR] = ACTIONS(1478),
    [anon_sym_STAR_PERCENT] = ACTIONS(1480),
    [anon_sym_STAR_PIPE] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1478),
    [anon_sym_catch] = ACTIONS(1478),
    [anon_sym_EQ_GT] = ACTIONS(1478),
    [anon_sym_DOT] = ACTIONS(1480),
    [anon_sym_DOT_STAR] = ACTIONS(1478),
    [anon_sym_DOT_QMARK] = ACTIONS(1478),
    [sym_comment] = ACTIONS(3),
  },
  [847] = {
    [ts_builtin_sym_end] = ACTIONS(1482),
    [anon_sym_COMMA] = ACTIONS(1482),
    [anon_sym_COLON] = ACTIONS(1482),
    [anon_sym_EQ] = ACTIONS(1484),
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym_STAR_EQ] = ACTIONS(1482),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1482),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1482),
    [anon_sym_SLASH_EQ] = ACTIONS(1482),
    [anon_sym_PERCENT_EQ] = ACTIONS(1482),
    [anon_sym_PLUS_EQ] = ACTIONS(1482),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1482),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1482),
    [anon_sym_DASH_EQ] = ACTIONS(1482),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1482),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1482),
    [anon_sym_LT_LT_EQ] = ACTIONS(1482),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1482),
    [anon_sym_GT_GT_EQ] = ACTIONS(1482),
    [anon_sym_AMP_EQ] = ACTIONS(1482),
    [anon_sym_CARET_EQ] = ACTIONS(1482),
    [anon_sym_PIPE_EQ] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_LPAREN] = ACTIONS(1482),
    [anon_sym_RPAREN] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_RBRACE] = ACTIONS(1482),
    [anon_sym_else] = ACTIONS(1482),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_PIPE] = ACTIONS(1484),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_align] = ACTIONS(1482),
    [anon_sym_addrspace] = ACTIONS(1482),
    [anon_sym_linksection] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(1482),
    [anon_sym_RBRACK] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_DASH_PERCENT] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_or] = ACTIONS(1484),
    [anon_sym_and] = ACTIONS(1482),
    [anon_sym_EQ_EQ] = ACTIONS(1482),
    [anon_sym_BANG_EQ] = ACTIONS(1482),
    [anon_sym_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1482),
    [anon_sym_LT_EQ] = ACTIONS(1482),
    [anon_sym_LT] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1484),
    [anon_sym_orelse] = ACTIONS(1482),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_PLUS_PLUS] = ACTIONS(1482),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1484),
    [anon_sym_PLUS_PIPE] = ACTIONS(1484),
    [anon_sym_DASH_PIPE] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1484),
    [anon_sym_PERCENT] = ACTIONS(1484),
    [anon_sym_STAR_STAR] = ACTIONS(1482),
    [anon_sym_STAR_PERCENT] = ACTIONS(1484),
    [anon_sym_STAR_PIPE] = ACTIONS(1484),
    [anon_sym_PIPE_PIPE] = ACTIONS(1482),
    [anon_sym_catch] = ACTIONS(1482),
    [anon_sym_EQ_GT] = ACTIONS(1482),
    [anon_sym_DOT] = ACTIONS(1484),
    [anon_sym_DOT_STAR] = ACTIONS(1482),
    [anon_sym_DOT_QMARK] = ACTIONS(1482),
    [sym_comment] = ACTIONS(3),
  },
  [848] = {
    [ts_builtin_sym_end] = ACTIONS(1486),
    [anon_sym_COMMA] = ACTIONS(1486),
    [anon_sym_COLON] = ACTIONS(1486),
    [anon_sym_EQ] = ACTIONS(1488),
    [anon_sym_SEMI] = ACTIONS(1486),
    [anon_sym_STAR_EQ] = ACTIONS(1486),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1486),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1486),
    [anon_sym_SLASH_EQ] = ACTIONS(1486),
    [anon_sym_PERCENT_EQ] = ACTIONS(1486),
    [anon_sym_PLUS_EQ] = ACTIONS(1486),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1486),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1486),
    [anon_sym_DASH_EQ] = ACTIONS(1486),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1486),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1486),
    [anon_sym_LT_LT_EQ] = ACTIONS(1486),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1486),
    [anon_sym_GT_GT_EQ] = ACTIONS(1486),
    [anon_sym_AMP_EQ] = ACTIONS(1486),
    [anon_sym_CARET_EQ] = ACTIONS(1486),
    [anon_sym_PIPE_EQ] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1488),
    [anon_sym_LPAREN] = ACTIONS(1486),
    [anon_sym_RPAREN] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1486),
    [anon_sym_RBRACE] = ACTIONS(1486),
    [anon_sym_else] = ACTIONS(1486),
    [anon_sym_DOT_DOT] = ACTIONS(1486),
    [anon_sym_PIPE] = ACTIONS(1488),
    [anon_sym_STAR] = ACTIONS(1488),
    [anon_sym_align] = ACTIONS(1486),
    [anon_sym_addrspace] = ACTIONS(1486),
    [anon_sym_linksection] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(1486),
    [anon_sym_RBRACK] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_DASH_PERCENT] = ACTIONS(1488),
    [anon_sym_AMP] = ACTIONS(1488),
    [anon_sym_or] = ACTIONS(1488),
    [anon_sym_and] = ACTIONS(1486),
    [anon_sym_EQ_EQ] = ACTIONS(1486),
    [anon_sym_BANG_EQ] = ACTIONS(1486),
    [anon_sym_GT] = ACTIONS(1488),
    [anon_sym_GT_EQ] = ACTIONS(1486),
    [anon_sym_LT_EQ] = ACTIONS(1486),
    [anon_sym_LT] = ACTIONS(1488),
    [anon_sym_CARET] = ACTIONS(1488),
    [anon_sym_orelse] = ACTIONS(1486),
    [anon_sym_LT_LT] = ACTIONS(1488),
    [anon_sym_GT_GT] = ACTIONS(1488),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_PLUS_PLUS] = ACTIONS(1486),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1488),
    [anon_sym_PLUS_PIPE] = ACTIONS(1488),
    [anon_sym_DASH_PIPE] = ACTIONS(1488),
    [anon_sym_SLASH] = ACTIONS(1488),
    [anon_sym_PERCENT] = ACTIONS(1488),
    [anon_sym_STAR_STAR] = ACTIONS(1486),
    [anon_sym_STAR_PERCENT] = ACTIONS(1488),
    [anon_sym_STAR_PIPE] = ACTIONS(1488),
    [anon_sym_PIPE_PIPE] = ACTIONS(1486),
    [anon_sym_catch] = ACTIONS(1486),
    [anon_sym_EQ_GT] = ACTIONS(1486),
    [anon_sym_DOT] = ACTIONS(1488),
    [anon_sym_DOT_STAR] = ACTIONS(1486),
    [anon_sym_DOT_QMARK] = ACTIONS(1486),
    [sym_comment] = ACTIONS(3),
  },
  [849] = {
    [ts_builtin_sym_end] = ACTIONS(1490),
    [anon_sym_COMMA] = ACTIONS(1490),
    [anon_sym_COLON] = ACTIONS(1490),
    [anon_sym_EQ] = ACTIONS(1492),
    [anon_sym_SEMI] = ACTIONS(1490),
    [anon_sym_STAR_EQ] = ACTIONS(1490),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1490),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1490),
    [anon_sym_SLASH_EQ] = ACTIONS(1490),
    [anon_sym_PERCENT_EQ] = ACTIONS(1490),
    [anon_sym_PLUS_EQ] = ACTIONS(1490),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1490),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1490),
    [anon_sym_DASH_EQ] = ACTIONS(1490),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1490),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1490),
    [anon_sym_LT_LT_EQ] = ACTIONS(1490),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1490),
    [anon_sym_GT_GT_EQ] = ACTIONS(1490),
    [anon_sym_AMP_EQ] = ACTIONS(1490),
    [anon_sym_CARET_EQ] = ACTIONS(1490),
    [anon_sym_PIPE_EQ] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_LPAREN] = ACTIONS(1490),
    [anon_sym_RPAREN] = ACTIONS(1490),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_RBRACE] = ACTIONS(1490),
    [anon_sym_else] = ACTIONS(1490),
    [anon_sym_DOT_DOT] = ACTIONS(1490),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1492),
    [anon_sym_align] = ACTIONS(1490),
    [anon_sym_addrspace] = ACTIONS(1490),
    [anon_sym_linksection] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_RBRACK] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_DASH_PERCENT] = ACTIONS(1492),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_or] = ACTIONS(1492),
    [anon_sym_and] = ACTIONS(1490),
    [anon_sym_EQ_EQ] = ACTIONS(1490),
    [anon_sym_BANG_EQ] = ACTIONS(1490),
    [anon_sym_GT] = ACTIONS(1492),
    [anon_sym_GT_EQ] = ACTIONS(1490),
    [anon_sym_LT_EQ] = ACTIONS(1490),
    [anon_sym_LT] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1492),
    [anon_sym_orelse] = ACTIONS(1490),
    [anon_sym_LT_LT] = ACTIONS(1492),
    [anon_sym_GT_GT] = ACTIONS(1492),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1492),
    [anon_sym_PLUS_PIPE] = ACTIONS(1492),
    [anon_sym_DASH_PIPE] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1492),
    [anon_sym_PERCENT] = ACTIONS(1492),
    [anon_sym_STAR_STAR] = ACTIONS(1490),
    [anon_sym_STAR_PERCENT] = ACTIONS(1492),
    [anon_sym_STAR_PIPE] = ACTIONS(1492),
    [anon_sym_PIPE_PIPE] = ACTIONS(1490),
    [anon_sym_catch] = ACTIONS(1490),
    [anon_sym_EQ_GT] = ACTIONS(1490),
    [anon_sym_DOT] = ACTIONS(1492),
    [anon_sym_DOT_STAR] = ACTIONS(1490),
    [anon_sym_DOT_QMARK] = ACTIONS(1490),
    [sym_comment] = ACTIONS(3),
  },
  [850] = {
    [ts_builtin_sym_end] = ACTIONS(1494),
    [anon_sym_COMMA] = ACTIONS(1494),
    [anon_sym_COLON] = ACTIONS(1494),
    [anon_sym_EQ] = ACTIONS(1496),
    [anon_sym_SEMI] = ACTIONS(1494),
    [anon_sym_STAR_EQ] = ACTIONS(1494),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1494),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1494),
    [anon_sym_SLASH_EQ] = ACTIONS(1494),
    [anon_sym_PERCENT_EQ] = ACTIONS(1494),
    [anon_sym_PLUS_EQ] = ACTIONS(1494),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1494),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1494),
    [anon_sym_DASH_EQ] = ACTIONS(1494),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1494),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1494),
    [anon_sym_LT_LT_EQ] = ACTIONS(1494),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1494),
    [anon_sym_GT_GT_EQ] = ACTIONS(1494),
    [anon_sym_AMP_EQ] = ACTIONS(1494),
    [anon_sym_CARET_EQ] = ACTIONS(1494),
    [anon_sym_PIPE_EQ] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1496),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [anon_sym_RPAREN] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_RBRACE] = ACTIONS(1494),
    [anon_sym_else] = ACTIONS(1494),
    [anon_sym_DOT_DOT] = ACTIONS(1494),
    [anon_sym_PIPE] = ACTIONS(1496),
    [anon_sym_STAR] = ACTIONS(1496),
    [anon_sym_align] = ACTIONS(1494),
    [anon_sym_addrspace] = ACTIONS(1494),
    [anon_sym_linksection] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1494),
    [anon_sym_RBRACK] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_DASH_PERCENT] = ACTIONS(1496),
    [anon_sym_AMP] = ACTIONS(1496),
    [anon_sym_or] = ACTIONS(1496),
    [anon_sym_and] = ACTIONS(1494),
    [anon_sym_EQ_EQ] = ACTIONS(1494),
    [anon_sym_BANG_EQ] = ACTIONS(1494),
    [anon_sym_GT] = ACTIONS(1496),
    [anon_sym_GT_EQ] = ACTIONS(1494),
    [anon_sym_LT_EQ] = ACTIONS(1494),
    [anon_sym_LT] = ACTIONS(1496),
    [anon_sym_CARET] = ACTIONS(1496),
    [anon_sym_orelse] = ACTIONS(1494),
    [anon_sym_LT_LT] = ACTIONS(1496),
    [anon_sym_GT_GT] = ACTIONS(1496),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1494),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1496),
    [anon_sym_PLUS_PIPE] = ACTIONS(1496),
    [anon_sym_DASH_PIPE] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(1496),
    [anon_sym_PERCENT] = ACTIONS(1496),
    [anon_sym_STAR_STAR] = ACTIONS(1494),
    [anon_sym_STAR_PERCENT] = ACTIONS(1496),
    [anon_sym_STAR_PIPE] = ACTIONS(1496),
    [anon_sym_PIPE_PIPE] = ACTIONS(1494),
    [anon_sym_catch] = ACTIONS(1494),
    [anon_sym_EQ_GT] = ACTIONS(1494),
    [anon_sym_DOT] = ACTIONS(1496),
    [anon_sym_DOT_STAR] = ACTIONS(1494),
    [anon_sym_DOT_QMARK] = ACTIONS(1494),
    [sym_comment] = ACTIONS(3),
  },
  [851] = {
    [ts_builtin_sym_end] = ACTIONS(1498),
    [anon_sym_COMMA] = ACTIONS(1498),
    [anon_sym_COLON] = ACTIONS(1498),
    [anon_sym_EQ] = ACTIONS(1500),
    [anon_sym_SEMI] = ACTIONS(1498),
    [anon_sym_STAR_EQ] = ACTIONS(1498),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1498),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1498),
    [anon_sym_SLASH_EQ] = ACTIONS(1498),
    [anon_sym_PERCENT_EQ] = ACTIONS(1498),
    [anon_sym_PLUS_EQ] = ACTIONS(1498),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1498),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1498),
    [anon_sym_DASH_EQ] = ACTIONS(1498),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1498),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1498),
    [anon_sym_LT_LT_EQ] = ACTIONS(1498),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1498),
    [anon_sym_GT_GT_EQ] = ACTIONS(1498),
    [anon_sym_AMP_EQ] = ACTIONS(1498),
    [anon_sym_CARET_EQ] = ACTIONS(1498),
    [anon_sym_PIPE_EQ] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1500),
    [anon_sym_LPAREN] = ACTIONS(1498),
    [anon_sym_RPAREN] = ACTIONS(1498),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_RBRACE] = ACTIONS(1498),
    [anon_sym_else] = ACTIONS(1498),
    [anon_sym_DOT_DOT] = ACTIONS(1498),
    [anon_sym_PIPE] = ACTIONS(1500),
    [anon_sym_STAR] = ACTIONS(1500),
    [anon_sym_align] = ACTIONS(1498),
    [anon_sym_addrspace] = ACTIONS(1498),
    [anon_sym_linksection] = ACTIONS(1498),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_RBRACK] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_DASH_PERCENT] = ACTIONS(1500),
    [anon_sym_AMP] = ACTIONS(1500),
    [anon_sym_or] = ACTIONS(1500),
    [anon_sym_and] = ACTIONS(1498),
    [anon_sym_EQ_EQ] = ACTIONS(1498),
    [anon_sym_BANG_EQ] = ACTIONS(1498),
    [anon_sym_GT] = ACTIONS(1500),
    [anon_sym_GT_EQ] = ACTIONS(1498),
    [anon_sym_LT_EQ] = ACTIONS(1498),
    [anon_sym_LT] = ACTIONS(1500),
    [anon_sym_CARET] = ACTIONS(1500),
    [anon_sym_orelse] = ACTIONS(1498),
    [anon_sym_LT_LT] = ACTIONS(1500),
    [anon_sym_GT_GT] = ACTIONS(1500),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1500),
    [anon_sym_PLUS_PIPE] = ACTIONS(1500),
    [anon_sym_DASH_PIPE] = ACTIONS(1500),
    [anon_sym_SLASH] = ACTIONS(1500),
    [anon_sym_PERCENT] = ACTIONS(1500),
    [anon_sym_STAR_STAR] = ACTIONS(1498),
    [anon_sym_STAR_PERCENT] = ACTIONS(1500),
    [anon_sym_STAR_PIPE] = ACTIONS(1500),
    [anon_sym_PIPE_PIPE] = ACTIONS(1498),
    [anon_sym_catch] = ACTIONS(1498),
    [anon_sym_EQ_GT] = ACTIONS(1498),
    [anon_sym_DOT] = ACTIONS(1500),
    [anon_sym_DOT_STAR] = ACTIONS(1498),
    [anon_sym_DOT_QMARK] = ACTIONS(1498),
    [sym_comment] = ACTIONS(3),
  },
  [852] = {
    [ts_builtin_sym_end] = ACTIONS(1502),
    [anon_sym_COMMA] = ACTIONS(1502),
    [anon_sym_COLON] = ACTIONS(1502),
    [anon_sym_EQ] = ACTIONS(1504),
    [anon_sym_SEMI] = ACTIONS(1502),
    [anon_sym_STAR_EQ] = ACTIONS(1502),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1502),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1502),
    [anon_sym_SLASH_EQ] = ACTIONS(1502),
    [anon_sym_PERCENT_EQ] = ACTIONS(1502),
    [anon_sym_PLUS_EQ] = ACTIONS(1502),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1502),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1502),
    [anon_sym_DASH_EQ] = ACTIONS(1502),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1502),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1502),
    [anon_sym_LT_LT_EQ] = ACTIONS(1502),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1502),
    [anon_sym_GT_GT_EQ] = ACTIONS(1502),
    [anon_sym_AMP_EQ] = ACTIONS(1502),
    [anon_sym_CARET_EQ] = ACTIONS(1502),
    [anon_sym_PIPE_EQ] = ACTIONS(1502),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1502),
    [anon_sym_RPAREN] = ACTIONS(1502),
    [anon_sym_LBRACE] = ACTIONS(1502),
    [anon_sym_RBRACE] = ACTIONS(1502),
    [anon_sym_else] = ACTIONS(1502),
    [anon_sym_DOT_DOT] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1504),
    [anon_sym_STAR] = ACTIONS(1504),
    [anon_sym_align] = ACTIONS(1502),
    [anon_sym_addrspace] = ACTIONS(1502),
    [anon_sym_linksection] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1502),
    [anon_sym_RBRACK] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_DASH_PERCENT] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1504),
    [anon_sym_or] = ACTIONS(1504),
    [anon_sym_and] = ACTIONS(1502),
    [anon_sym_EQ_EQ] = ACTIONS(1502),
    [anon_sym_BANG_EQ] = ACTIONS(1502),
    [anon_sym_GT] = ACTIONS(1504),
    [anon_sym_GT_EQ] = ACTIONS(1502),
    [anon_sym_LT_EQ] = ACTIONS(1502),
    [anon_sym_LT] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_orelse] = ACTIONS(1502),
    [anon_sym_LT_LT] = ACTIONS(1504),
    [anon_sym_GT_GT] = ACTIONS(1504),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1504),
    [anon_sym_PLUS_PIPE] = ACTIONS(1504),
    [anon_sym_DASH_PIPE] = ACTIONS(1504),
    [anon_sym_SLASH] = ACTIONS(1504),
    [anon_sym_PERCENT] = ACTIONS(1504),
    [anon_sym_STAR_STAR] = ACTIONS(1502),
    [anon_sym_STAR_PERCENT] = ACTIONS(1504),
    [anon_sym_STAR_PIPE] = ACTIONS(1504),
    [anon_sym_PIPE_PIPE] = ACTIONS(1502),
    [anon_sym_catch] = ACTIONS(1502),
    [anon_sym_EQ_GT] = ACTIONS(1502),
    [anon_sym_DOT] = ACTIONS(1504),
    [anon_sym_DOT_STAR] = ACTIONS(1502),
    [anon_sym_DOT_QMARK] = ACTIONS(1502),
    [sym_comment] = ACTIONS(3),
  },
  [853] = {
    [ts_builtin_sym_end] = ACTIONS(1506),
    [anon_sym_COMMA] = ACTIONS(1506),
    [anon_sym_COLON] = ACTIONS(1506),
    [anon_sym_EQ] = ACTIONS(1508),
    [anon_sym_SEMI] = ACTIONS(1506),
    [anon_sym_STAR_EQ] = ACTIONS(1506),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1506),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1506),
    [anon_sym_SLASH_EQ] = ACTIONS(1506),
    [anon_sym_PERCENT_EQ] = ACTIONS(1506),
    [anon_sym_PLUS_EQ] = ACTIONS(1506),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1506),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1506),
    [anon_sym_DASH_EQ] = ACTIONS(1506),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1506),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1506),
    [anon_sym_LT_LT_EQ] = ACTIONS(1506),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1506),
    [anon_sym_GT_GT_EQ] = ACTIONS(1506),
    [anon_sym_AMP_EQ] = ACTIONS(1506),
    [anon_sym_CARET_EQ] = ACTIONS(1506),
    [anon_sym_PIPE_EQ] = ACTIONS(1506),
    [anon_sym_BANG] = ACTIONS(1508),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_RPAREN] = ACTIONS(1506),
    [anon_sym_LBRACE] = ACTIONS(1506),
    [anon_sym_RBRACE] = ACTIONS(1506),
    [anon_sym_else] = ACTIONS(1506),
    [anon_sym_DOT_DOT] = ACTIONS(1506),
    [anon_sym_PIPE] = ACTIONS(1508),
    [anon_sym_STAR] = ACTIONS(1508),
    [anon_sym_align] = ACTIONS(1506),
    [anon_sym_addrspace] = ACTIONS(1506),
    [anon_sym_linksection] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1506),
    [anon_sym_RBRACK] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1508),
    [anon_sym_DASH_PERCENT] = ACTIONS(1508),
    [anon_sym_AMP] = ACTIONS(1508),
    [anon_sym_or] = ACTIONS(1508),
    [anon_sym_and] = ACTIONS(1506),
    [anon_sym_EQ_EQ] = ACTIONS(1506),
    [anon_sym_BANG_EQ] = ACTIONS(1506),
    [anon_sym_GT] = ACTIONS(1508),
    [anon_sym_GT_EQ] = ACTIONS(1506),
    [anon_sym_LT_EQ] = ACTIONS(1506),
    [anon_sym_LT] = ACTIONS(1508),
    [anon_sym_CARET] = ACTIONS(1508),
    [anon_sym_orelse] = ACTIONS(1506),
    [anon_sym_LT_LT] = ACTIONS(1508),
    [anon_sym_GT_GT] = ACTIONS(1508),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1508),
    [anon_sym_PLUS_PIPE] = ACTIONS(1508),
    [anon_sym_DASH_PIPE] = ACTIONS(1508),
    [anon_sym_SLASH] = ACTIONS(1508),
    [anon_sym_PERCENT] = ACTIONS(1508),
    [anon_sym_STAR_STAR] = ACTIONS(1506),
    [anon_sym_STAR_PERCENT] = ACTIONS(1508),
    [anon_sym_STAR_PIPE] = ACTIONS(1508),
    [anon_sym_PIPE_PIPE] = ACTIONS(1506),
    [anon_sym_catch] = ACTIONS(1506),
    [anon_sym_EQ_GT] = ACTIONS(1506),
    [anon_sym_DOT] = ACTIONS(1508),
    [anon_sym_DOT_STAR] = ACTIONS(1506),
    [anon_sym_DOT_QMARK] = ACTIONS(1506),
    [sym_comment] = ACTIONS(3),
  },
  [854] = {
    [ts_builtin_sym_end] = ACTIONS(1510),
    [anon_sym_COMMA] = ACTIONS(1510),
    [anon_sym_COLON] = ACTIONS(1510),
    [anon_sym_EQ] = ACTIONS(1512),
    [anon_sym_SEMI] = ACTIONS(1510),
    [anon_sym_STAR_EQ] = ACTIONS(1510),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1510),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1510),
    [anon_sym_SLASH_EQ] = ACTIONS(1510),
    [anon_sym_PERCENT_EQ] = ACTIONS(1510),
    [anon_sym_PLUS_EQ] = ACTIONS(1510),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1510),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1510),
    [anon_sym_DASH_EQ] = ACTIONS(1510),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1510),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1510),
    [anon_sym_LT_LT_EQ] = ACTIONS(1510),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1510),
    [anon_sym_GT_GT_EQ] = ACTIONS(1510),
    [anon_sym_AMP_EQ] = ACTIONS(1510),
    [anon_sym_CARET_EQ] = ACTIONS(1510),
    [anon_sym_PIPE_EQ] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_RPAREN] = ACTIONS(1510),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [anon_sym_else] = ACTIONS(1510),
    [anon_sym_DOT_DOT] = ACTIONS(1510),
    [anon_sym_PIPE] = ACTIONS(1512),
    [anon_sym_STAR] = ACTIONS(1512),
    [anon_sym_align] = ACTIONS(1510),
    [anon_sym_addrspace] = ACTIONS(1510),
    [anon_sym_linksection] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1510),
    [anon_sym_RBRACK] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_DASH_PERCENT] = ACTIONS(1512),
    [anon_sym_AMP] = ACTIONS(1512),
    [anon_sym_or] = ACTIONS(1512),
    [anon_sym_and] = ACTIONS(1510),
    [anon_sym_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1510),
    [anon_sym_LT_EQ] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_CARET] = ACTIONS(1512),
    [anon_sym_orelse] = ACTIONS(1510),
    [anon_sym_LT_LT] = ACTIONS(1512),
    [anon_sym_GT_GT] = ACTIONS(1512),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_PLUS_PLUS] = ACTIONS(1510),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1512),
    [anon_sym_PLUS_PIPE] = ACTIONS(1512),
    [anon_sym_DASH_PIPE] = ACTIONS(1512),
    [anon_sym_SLASH] = ACTIONS(1512),
    [anon_sym_PERCENT] = ACTIONS(1512),
    [anon_sym_STAR_STAR] = ACTIONS(1510),
    [anon_sym_STAR_PERCENT] = ACTIONS(1512),
    [anon_sym_STAR_PIPE] = ACTIONS(1512),
    [anon_sym_PIPE_PIPE] = ACTIONS(1510),
    [anon_sym_catch] = ACTIONS(1510),
    [anon_sym_EQ_GT] = ACTIONS(1510),
    [anon_sym_DOT] = ACTIONS(1512),
    [anon_sym_DOT_STAR] = ACTIONS(1510),
    [anon_sym_DOT_QMARK] = ACTIONS(1510),
    [sym_comment] = ACTIONS(3),
  },
  [855] = {
    [ts_builtin_sym_end] = ACTIONS(1514),
    [anon_sym_COMMA] = ACTIONS(1514),
    [anon_sym_COLON] = ACTIONS(1514),
    [anon_sym_EQ] = ACTIONS(1516),
    [anon_sym_SEMI] = ACTIONS(1514),
    [anon_sym_STAR_EQ] = ACTIONS(1514),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1514),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1514),
    [anon_sym_SLASH_EQ] = ACTIONS(1514),
    [anon_sym_PERCENT_EQ] = ACTIONS(1514),
    [anon_sym_PLUS_EQ] = ACTIONS(1514),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1514),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1514),
    [anon_sym_DASH_EQ] = ACTIONS(1514),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1514),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1514),
    [anon_sym_LT_LT_EQ] = ACTIONS(1514),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1514),
    [anon_sym_GT_GT_EQ] = ACTIONS(1514),
    [anon_sym_AMP_EQ] = ACTIONS(1514),
    [anon_sym_CARET_EQ] = ACTIONS(1514),
    [anon_sym_PIPE_EQ] = ACTIONS(1514),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_LPAREN] = ACTIONS(1514),
    [anon_sym_RPAREN] = ACTIONS(1514),
    [anon_sym_LBRACE] = ACTIONS(1514),
    [anon_sym_RBRACE] = ACTIONS(1514),
    [anon_sym_else] = ACTIONS(1514),
    [anon_sym_DOT_DOT] = ACTIONS(1514),
    [anon_sym_PIPE] = ACTIONS(1516),
    [anon_sym_STAR] = ACTIONS(1516),
    [anon_sym_align] = ACTIONS(1514),
    [anon_sym_addrspace] = ACTIONS(1514),
    [anon_sym_linksection] = ACTIONS(1514),
    [anon_sym_LBRACK] = ACTIONS(1514),
    [anon_sym_RBRACK] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_DASH_PERCENT] = ACTIONS(1516),
    [anon_sym_AMP] = ACTIONS(1516),
    [anon_sym_or] = ACTIONS(1516),
    [anon_sym_and] = ACTIONS(1514),
    [anon_sym_EQ_EQ] = ACTIONS(1514),
    [anon_sym_BANG_EQ] = ACTIONS(1514),
    [anon_sym_GT] = ACTIONS(1516),
    [anon_sym_GT_EQ] = ACTIONS(1514),
    [anon_sym_LT_EQ] = ACTIONS(1514),
    [anon_sym_LT] = ACTIONS(1516),
    [anon_sym_CARET] = ACTIONS(1516),
    [anon_sym_orelse] = ACTIONS(1514),
    [anon_sym_LT_LT] = ACTIONS(1516),
    [anon_sym_GT_GT] = ACTIONS(1516),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_PLUS_PLUS] = ACTIONS(1514),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1516),
    [anon_sym_PLUS_PIPE] = ACTIONS(1516),
    [anon_sym_DASH_PIPE] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(1516),
    [anon_sym_PERCENT] = ACTIONS(1516),
    [anon_sym_STAR_STAR] = ACTIONS(1514),
    [anon_sym_STAR_PERCENT] = ACTIONS(1516),
    [anon_sym_STAR_PIPE] = ACTIONS(1516),
    [anon_sym_PIPE_PIPE] = ACTIONS(1514),
    [anon_sym_catch] = ACTIONS(1514),
    [anon_sym_EQ_GT] = ACTIONS(1514),
    [anon_sym_DOT] = ACTIONS(1516),
    [anon_sym_DOT_STAR] = ACTIONS(1514),
    [anon_sym_DOT_QMARK] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
  },
  [856] = {
    [ts_builtin_sym_end] = ACTIONS(1518),
    [anon_sym_COMMA] = ACTIONS(1518),
    [anon_sym_COLON] = ACTIONS(1518),
    [anon_sym_EQ] = ACTIONS(1520),
    [anon_sym_SEMI] = ACTIONS(1518),
    [anon_sym_STAR_EQ] = ACTIONS(1518),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1518),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1518),
    [anon_sym_SLASH_EQ] = ACTIONS(1518),
    [anon_sym_PERCENT_EQ] = ACTIONS(1518),
    [anon_sym_PLUS_EQ] = ACTIONS(1518),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1518),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1518),
    [anon_sym_DASH_EQ] = ACTIONS(1518),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1518),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1518),
    [anon_sym_LT_LT_EQ] = ACTIONS(1518),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1518),
    [anon_sym_GT_GT_EQ] = ACTIONS(1518),
    [anon_sym_AMP_EQ] = ACTIONS(1518),
    [anon_sym_CARET_EQ] = ACTIONS(1518),
    [anon_sym_PIPE_EQ] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_LPAREN] = ACTIONS(1518),
    [anon_sym_RPAREN] = ACTIONS(1518),
    [anon_sym_LBRACE] = ACTIONS(1518),
    [anon_sym_RBRACE] = ACTIONS(1518),
    [anon_sym_else] = ACTIONS(1518),
    [anon_sym_DOT_DOT] = ACTIONS(1518),
    [anon_sym_PIPE] = ACTIONS(1520),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_align] = ACTIONS(1518),
    [anon_sym_addrspace] = ACTIONS(1518),
    [anon_sym_linksection] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(1518),
    [anon_sym_RBRACK] = ACTIONS(1518),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_DASH_PERCENT] = ACTIONS(1520),
    [anon_sym_AMP] = ACTIONS(1520),
    [anon_sym_or] = ACTIONS(1520),
    [anon_sym_and] = ACTIONS(1518),
    [anon_sym_EQ_EQ] = ACTIONS(1518),
    [anon_sym_BANG_EQ] = ACTIONS(1518),
    [anon_sym_GT] = ACTIONS(1520),
    [anon_sym_GT_EQ] = ACTIONS(1518),
    [anon_sym_LT_EQ] = ACTIONS(1518),
    [anon_sym_LT] = ACTIONS(1520),
    [anon_sym_CARET] = ACTIONS(1520),
    [anon_sym_orelse] = ACTIONS(1518),
    [anon_sym_LT_LT] = ACTIONS(1520),
    [anon_sym_GT_GT] = ACTIONS(1520),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1520),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1520),
    [anon_sym_PLUS_PIPE] = ACTIONS(1520),
    [anon_sym_DASH_PIPE] = ACTIONS(1520),
    [anon_sym_SLASH] = ACTIONS(1520),
    [anon_sym_PERCENT] = ACTIONS(1520),
    [anon_sym_STAR_STAR] = ACTIONS(1518),
    [anon_sym_STAR_PERCENT] = ACTIONS(1520),
    [anon_sym_STAR_PIPE] = ACTIONS(1520),
    [anon_sym_PIPE_PIPE] = ACTIONS(1518),
    [anon_sym_catch] = ACTIONS(1518),
    [anon_sym_EQ_GT] = ACTIONS(1518),
    [anon_sym_DOT] = ACTIONS(1520),
    [anon_sym_DOT_STAR] = ACTIONS(1518),
    [anon_sym_DOT_QMARK] = ACTIONS(1518),
    [sym_comment] = ACTIONS(3),
  },
  [857] = {
    [ts_builtin_sym_end] = ACTIONS(987),
    [anon_sym_COMMA] = ACTIONS(987),
    [anon_sym_EQ] = ACTIONS(989),
    [anon_sym_SEMI] = ACTIONS(987),
    [anon_sym_STAR_EQ] = ACTIONS(987),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(987),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(987),
    [anon_sym_SLASH_EQ] = ACTIONS(987),
    [anon_sym_PERCENT_EQ] = ACTIONS(987),
    [anon_sym_PLUS_EQ] = ACTIONS(987),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(987),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(987),
    [anon_sym_DASH_EQ] = ACTIONS(987),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(987),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(987),
    [anon_sym_LT_LT_EQ] = ACTIONS(987),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(987),
    [anon_sym_GT_GT_EQ] = ACTIONS(987),
    [anon_sym_AMP_EQ] = ACTIONS(987),
    [anon_sym_CARET_EQ] = ACTIONS(987),
    [anon_sym_PIPE_EQ] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(987),
    [anon_sym_RPAREN] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_RBRACE] = ACTIONS(987),
    [anon_sym_else] = ACTIONS(987),
    [anon_sym_DOT_DOT] = ACTIONS(987),
    [anon_sym_PIPE] = ACTIONS(989),
    [anon_sym_STAR] = ACTIONS(989),
    [anon_sym_align] = ACTIONS(987),
    [anon_sym_addrspace] = ACTIONS(987),
    [anon_sym_linksection] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(987),
    [anon_sym_RBRACK] = ACTIONS(987),
    [anon_sym_DASH_GT] = ACTIONS(1522),
    [anon_sym_DASH] = ACTIONS(989),
    [anon_sym_DASH_PERCENT] = ACTIONS(989),
    [anon_sym_AMP] = ACTIONS(989),
    [anon_sym_or] = ACTIONS(989),
    [anon_sym_and] = ACTIONS(987),
    [anon_sym_EQ_EQ] = ACTIONS(987),
    [anon_sym_BANG_EQ] = ACTIONS(987),
    [anon_sym_GT] = ACTIONS(989),
    [anon_sym_GT_EQ] = ACTIONS(987),
    [anon_sym_LT_EQ] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(989),
    [anon_sym_CARET] = ACTIONS(989),
    [anon_sym_orelse] = ACTIONS(987),
    [anon_sym_LT_LT] = ACTIONS(989),
    [anon_sym_GT_GT] = ACTIONS(989),
    [anon_sym_LT_LT_PIPE] = ACTIONS(989),
    [anon_sym_PLUS] = ACTIONS(989),
    [anon_sym_PLUS_PLUS] = ACTIONS(987),
    [anon_sym_PLUS_PERCENT] = ACTIONS(989),
    [anon_sym_PLUS_PIPE] = ACTIONS(989),
    [anon_sym_DASH_PIPE] = ACTIONS(989),
    [anon_sym_SLASH] = ACTIONS(989),
    [anon_sym_PERCENT] = ACTIONS(989),
    [anon_sym_STAR_STAR] = ACTIONS(987),
    [anon_sym_STAR_PERCENT] = ACTIONS(989),
    [anon_sym_STAR_PIPE] = ACTIONS(989),
    [anon_sym_PIPE_PIPE] = ACTIONS(987),
    [anon_sym_catch] = ACTIONS(987),
    [anon_sym_EQ_GT] = ACTIONS(987),
    [anon_sym_DOT] = ACTIONS(989),
    [anon_sym_DOT_STAR] = ACTIONS(987),
    [anon_sym_DOT_QMARK] = ACTIONS(987),
    [sym_comment] = ACTIONS(3),
  },
  [858] = {
    [ts_builtin_sym_end] = ACTIONS(1524),
    [anon_sym_COMMA] = ACTIONS(1524),
    [anon_sym_COLON] = ACTIONS(1524),
    [anon_sym_EQ] = ACTIONS(1526),
    [anon_sym_SEMI] = ACTIONS(1524),
    [anon_sym_STAR_EQ] = ACTIONS(1524),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1524),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1524),
    [anon_sym_SLASH_EQ] = ACTIONS(1524),
    [anon_sym_PERCENT_EQ] = ACTIONS(1524),
    [anon_sym_PLUS_EQ] = ACTIONS(1524),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1524),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1524),
    [anon_sym_DASH_EQ] = ACTIONS(1524),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1524),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1524),
    [anon_sym_LT_LT_EQ] = ACTIONS(1524),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1524),
    [anon_sym_GT_GT_EQ] = ACTIONS(1524),
    [anon_sym_AMP_EQ] = ACTIONS(1524),
    [anon_sym_CARET_EQ] = ACTIONS(1524),
    [anon_sym_PIPE_EQ] = ACTIONS(1524),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [anon_sym_RPAREN] = ACTIONS(1524),
    [anon_sym_LBRACE] = ACTIONS(1524),
    [anon_sym_RBRACE] = ACTIONS(1524),
    [anon_sym_else] = ACTIONS(1524),
    [anon_sym_DOT_DOT] = ACTIONS(1524),
    [anon_sym_PIPE] = ACTIONS(1526),
    [anon_sym_STAR] = ACTIONS(1526),
    [anon_sym_align] = ACTIONS(1524),
    [anon_sym_addrspace] = ACTIONS(1524),
    [anon_sym_linksection] = ACTIONS(1524),
    [anon_sym_LBRACK] = ACTIONS(1524),
    [anon_sym_RBRACK] = ACTIONS(1524),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_DASH_PERCENT] = ACTIONS(1526),
    [anon_sym_AMP] = ACTIONS(1526),
    [anon_sym_or] = ACTIONS(1526),
    [anon_sym_and] = ACTIONS(1524),
    [anon_sym_EQ_EQ] = ACTIONS(1524),
    [anon_sym_BANG_EQ] = ACTIONS(1524),
    [anon_sym_GT] = ACTIONS(1526),
    [anon_sym_GT_EQ] = ACTIONS(1524),
    [anon_sym_LT_EQ] = ACTIONS(1524),
    [anon_sym_LT] = ACTIONS(1526),
    [anon_sym_CARET] = ACTIONS(1526),
    [anon_sym_orelse] = ACTIONS(1524),
    [anon_sym_LT_LT] = ACTIONS(1526),
    [anon_sym_GT_GT] = ACTIONS(1526),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1526),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1524),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1526),
    [anon_sym_PLUS_PIPE] = ACTIONS(1526),
    [anon_sym_DASH_PIPE] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1526),
    [anon_sym_PERCENT] = ACTIONS(1526),
    [anon_sym_STAR_STAR] = ACTIONS(1524),
    [anon_sym_STAR_PERCENT] = ACTIONS(1526),
    [anon_sym_STAR_PIPE] = ACTIONS(1526),
    [anon_sym_PIPE_PIPE] = ACTIONS(1524),
    [anon_sym_catch] = ACTIONS(1524),
    [anon_sym_EQ_GT] = ACTIONS(1524),
    [anon_sym_DOT] = ACTIONS(1526),
    [anon_sym_DOT_STAR] = ACTIONS(1524),
    [anon_sym_DOT_QMARK] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [859] = {
    [ts_builtin_sym_end] = ACTIONS(987),
    [anon_sym_COMMA] = ACTIONS(987),
    [anon_sym_COLON] = ACTIONS(987),
    [anon_sym_EQ] = ACTIONS(989),
    [anon_sym_SEMI] = ACTIONS(987),
    [anon_sym_STAR_EQ] = ACTIONS(987),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(987),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(987),
    [anon_sym_SLASH_EQ] = ACTIONS(987),
    [anon_sym_PERCENT_EQ] = ACTIONS(987),
    [anon_sym_PLUS_EQ] = ACTIONS(987),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(987),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(987),
    [anon_sym_DASH_EQ] = ACTIONS(987),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(987),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(987),
    [anon_sym_LT_LT_EQ] = ACTIONS(987),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(987),
    [anon_sym_GT_GT_EQ] = ACTIONS(987),
    [anon_sym_AMP_EQ] = ACTIONS(987),
    [anon_sym_CARET_EQ] = ACTIONS(987),
    [anon_sym_PIPE_EQ] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(987),
    [anon_sym_RPAREN] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_RBRACE] = ACTIONS(987),
    [anon_sym_else] = ACTIONS(987),
    [anon_sym_DOT_DOT] = ACTIONS(987),
    [anon_sym_PIPE] = ACTIONS(989),
    [anon_sym_STAR] = ACTIONS(989),
    [anon_sym_align] = ACTIONS(987),
    [anon_sym_addrspace] = ACTIONS(987),
    [anon_sym_linksection] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(987),
    [anon_sym_RBRACK] = ACTIONS(987),
    [anon_sym_DASH] = ACTIONS(989),
    [anon_sym_DASH_PERCENT] = ACTIONS(989),
    [anon_sym_AMP] = ACTIONS(989),
    [anon_sym_or] = ACTIONS(989),
    [anon_sym_and] = ACTIONS(987),
    [anon_sym_EQ_EQ] = ACTIONS(987),
    [anon_sym_BANG_EQ] = ACTIONS(987),
    [anon_sym_GT] = ACTIONS(989),
    [anon_sym_GT_EQ] = ACTIONS(987),
    [anon_sym_LT_EQ] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(989),
    [anon_sym_CARET] = ACTIONS(989),
    [anon_sym_orelse] = ACTIONS(987),
    [anon_sym_LT_LT] = ACTIONS(989),
    [anon_sym_GT_GT] = ACTIONS(989),
    [anon_sym_LT_LT_PIPE] = ACTIONS(989),
    [anon_sym_PLUS] = ACTIONS(989),
    [anon_sym_PLUS_PLUS] = ACTIONS(987),
    [anon_sym_PLUS_PERCENT] = ACTIONS(989),
    [anon_sym_PLUS_PIPE] = ACTIONS(989),
    [anon_sym_DASH_PIPE] = ACTIONS(989),
    [anon_sym_SLASH] = ACTIONS(989),
    [anon_sym_PERCENT] = ACTIONS(989),
    [anon_sym_STAR_STAR] = ACTIONS(987),
    [anon_sym_STAR_PERCENT] = ACTIONS(989),
    [anon_sym_STAR_PIPE] = ACTIONS(989),
    [anon_sym_PIPE_PIPE] = ACTIONS(987),
    [anon_sym_catch] = ACTIONS(987),
    [anon_sym_EQ_GT] = ACTIONS(987),
    [anon_sym_DOT] = ACTIONS(989),
    [anon_sym_DOT_STAR] = ACTIONS(987),
    [anon_sym_DOT_QMARK] = ACTIONS(987),
    [sym_comment] = ACTIONS(3),
  },
  [860] = {
    [ts_builtin_sym_end] = ACTIONS(1528),
    [anon_sym_COMMA] = ACTIONS(1528),
    [anon_sym_COLON] = ACTIONS(1528),
    [anon_sym_EQ] = ACTIONS(1530),
    [anon_sym_SEMI] = ACTIONS(1528),
    [anon_sym_STAR_EQ] = ACTIONS(1528),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1528),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1528),
    [anon_sym_SLASH_EQ] = ACTIONS(1528),
    [anon_sym_PERCENT_EQ] = ACTIONS(1528),
    [anon_sym_PLUS_EQ] = ACTIONS(1528),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1528),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1528),
    [anon_sym_DASH_EQ] = ACTIONS(1528),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1528),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1528),
    [anon_sym_LT_LT_EQ] = ACTIONS(1528),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1528),
    [anon_sym_GT_GT_EQ] = ACTIONS(1528),
    [anon_sym_AMP_EQ] = ACTIONS(1528),
    [anon_sym_CARET_EQ] = ACTIONS(1528),
    [anon_sym_PIPE_EQ] = ACTIONS(1528),
    [anon_sym_BANG] = ACTIONS(1530),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_RPAREN] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1528),
    [anon_sym_RBRACE] = ACTIONS(1528),
    [anon_sym_else] = ACTIONS(1528),
    [anon_sym_DOT_DOT] = ACTIONS(1528),
    [anon_sym_PIPE] = ACTIONS(1530),
    [anon_sym_STAR] = ACTIONS(1530),
    [anon_sym_align] = ACTIONS(1528),
    [anon_sym_addrspace] = ACTIONS(1528),
    [anon_sym_linksection] = ACTIONS(1528),
    [anon_sym_LBRACK] = ACTIONS(1528),
    [anon_sym_RBRACK] = ACTIONS(1528),
    [anon_sym_DASH] = ACTIONS(1530),
    [anon_sym_DASH_PERCENT] = ACTIONS(1530),
    [anon_sym_AMP] = ACTIONS(1530),
    [anon_sym_or] = ACTIONS(1530),
    [anon_sym_and] = ACTIONS(1528),
    [anon_sym_EQ_EQ] = ACTIONS(1528),
    [anon_sym_BANG_EQ] = ACTIONS(1528),
    [anon_sym_GT] = ACTIONS(1530),
    [anon_sym_GT_EQ] = ACTIONS(1528),
    [anon_sym_LT_EQ] = ACTIONS(1528),
    [anon_sym_LT] = ACTIONS(1530),
    [anon_sym_CARET] = ACTIONS(1530),
    [anon_sym_orelse] = ACTIONS(1528),
    [anon_sym_LT_LT] = ACTIONS(1530),
    [anon_sym_GT_GT] = ACTIONS(1530),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1530),
    [anon_sym_PLUS] = ACTIONS(1530),
    [anon_sym_PLUS_PLUS] = ACTIONS(1528),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1530),
    [anon_sym_PLUS_PIPE] = ACTIONS(1530),
    [anon_sym_DASH_PIPE] = ACTIONS(1530),
    [anon_sym_SLASH] = ACTIONS(1530),
    [anon_sym_PERCENT] = ACTIONS(1530),
    [anon_sym_STAR_STAR] = ACTIONS(1528),
    [anon_sym_STAR_PERCENT] = ACTIONS(1530),
    [anon_sym_STAR_PIPE] = ACTIONS(1530),
    [anon_sym_PIPE_PIPE] = ACTIONS(1528),
    [anon_sym_catch] = ACTIONS(1528),
    [anon_sym_EQ_GT] = ACTIONS(1528),
    [anon_sym_DOT] = ACTIONS(1530),
    [anon_sym_DOT_STAR] = ACTIONS(1528),
    [anon_sym_DOT_QMARK] = ACTIONS(1528),
    [sym_comment] = ACTIONS(3),
  },
  [861] = {
    [ts_builtin_sym_end] = ACTIONS(1532),
    [anon_sym_COMMA] = ACTIONS(1532),
    [anon_sym_COLON] = ACTIONS(1532),
    [anon_sym_EQ] = ACTIONS(1534),
    [anon_sym_SEMI] = ACTIONS(1532),
    [anon_sym_STAR_EQ] = ACTIONS(1532),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1532),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1532),
    [anon_sym_SLASH_EQ] = ACTIONS(1532),
    [anon_sym_PERCENT_EQ] = ACTIONS(1532),
    [anon_sym_PLUS_EQ] = ACTIONS(1532),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1532),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1532),
    [anon_sym_DASH_EQ] = ACTIONS(1532),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1532),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1532),
    [anon_sym_LT_LT_EQ] = ACTIONS(1532),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1532),
    [anon_sym_GT_GT_EQ] = ACTIONS(1532),
    [anon_sym_AMP_EQ] = ACTIONS(1532),
    [anon_sym_CARET_EQ] = ACTIONS(1532),
    [anon_sym_PIPE_EQ] = ACTIONS(1532),
    [anon_sym_BANG] = ACTIONS(1534),
    [anon_sym_LPAREN] = ACTIONS(1532),
    [anon_sym_RPAREN] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1532),
    [anon_sym_RBRACE] = ACTIONS(1532),
    [anon_sym_else] = ACTIONS(1532),
    [anon_sym_DOT_DOT] = ACTIONS(1532),
    [anon_sym_PIPE] = ACTIONS(1534),
    [anon_sym_STAR] = ACTIONS(1534),
    [anon_sym_align] = ACTIONS(1532),
    [anon_sym_addrspace] = ACTIONS(1532),
    [anon_sym_linksection] = ACTIONS(1532),
    [anon_sym_LBRACK] = ACTIONS(1532),
    [anon_sym_RBRACK] = ACTIONS(1532),
    [anon_sym_DASH] = ACTIONS(1534),
    [anon_sym_DASH_PERCENT] = ACTIONS(1534),
    [anon_sym_AMP] = ACTIONS(1534),
    [anon_sym_or] = ACTIONS(1534),
    [anon_sym_and] = ACTIONS(1532),
    [anon_sym_EQ_EQ] = ACTIONS(1532),
    [anon_sym_BANG_EQ] = ACTIONS(1532),
    [anon_sym_GT] = ACTIONS(1534),
    [anon_sym_GT_EQ] = ACTIONS(1532),
    [anon_sym_LT_EQ] = ACTIONS(1532),
    [anon_sym_LT] = ACTIONS(1534),
    [anon_sym_CARET] = ACTIONS(1534),
    [anon_sym_orelse] = ACTIONS(1532),
    [anon_sym_LT_LT] = ACTIONS(1534),
    [anon_sym_GT_GT] = ACTIONS(1534),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1534),
    [anon_sym_PLUS] = ACTIONS(1534),
    [anon_sym_PLUS_PLUS] = ACTIONS(1532),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1534),
    [anon_sym_PLUS_PIPE] = ACTIONS(1534),
    [anon_sym_DASH_PIPE] = ACTIONS(1534),
    [anon_sym_SLASH] = ACTIONS(1534),
    [anon_sym_PERCENT] = ACTIONS(1534),
    [anon_sym_STAR_STAR] = ACTIONS(1532),
    [anon_sym_STAR_PERCENT] = ACTIONS(1534),
    [anon_sym_STAR_PIPE] = ACTIONS(1534),
    [anon_sym_PIPE_PIPE] = ACTIONS(1532),
    [anon_sym_catch] = ACTIONS(1532),
    [anon_sym_EQ_GT] = ACTIONS(1532),
    [anon_sym_DOT] = ACTIONS(1534),
    [anon_sym_DOT_STAR] = ACTIONS(1532),
    [anon_sym_DOT_QMARK] = ACTIONS(1532),
    [sym_comment] = ACTIONS(3),
  },
  [862] = {
    [ts_builtin_sym_end] = ACTIONS(967),
    [anon_sym_COMMA] = ACTIONS(967),
    [anon_sym_COLON] = ACTIONS(967),
    [anon_sym_EQ] = ACTIONS(969),
    [anon_sym_SEMI] = ACTIONS(967),
    [anon_sym_STAR_EQ] = ACTIONS(967),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(967),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(967),
    [anon_sym_SLASH_EQ] = ACTIONS(967),
    [anon_sym_PERCENT_EQ] = ACTIONS(967),
    [anon_sym_PLUS_EQ] = ACTIONS(967),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(967),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(967),
    [anon_sym_DASH_EQ] = ACTIONS(967),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(967),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(967),
    [anon_sym_LT_LT_EQ] = ACTIONS(967),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(967),
    [anon_sym_GT_GT_EQ] = ACTIONS(967),
    [anon_sym_AMP_EQ] = ACTIONS(967),
    [anon_sym_CARET_EQ] = ACTIONS(967),
    [anon_sym_PIPE_EQ] = ACTIONS(967),
    [anon_sym_BANG] = ACTIONS(969),
    [anon_sym_LPAREN] = ACTIONS(967),
    [anon_sym_RPAREN] = ACTIONS(967),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_RBRACE] = ACTIONS(967),
    [anon_sym_else] = ACTIONS(967),
    [anon_sym_DOT_DOT] = ACTIONS(967),
    [anon_sym_PIPE] = ACTIONS(969),
    [anon_sym_STAR] = ACTIONS(969),
    [anon_sym_align] = ACTIONS(967),
    [anon_sym_addrspace] = ACTIONS(967),
    [anon_sym_linksection] = ACTIONS(967),
    [anon_sym_LBRACK] = ACTIONS(967),
    [anon_sym_RBRACK] = ACTIONS(967),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_DASH_PERCENT] = ACTIONS(969),
    [anon_sym_AMP] = ACTIONS(969),
    [anon_sym_or] = ACTIONS(969),
    [anon_sym_and] = ACTIONS(967),
    [anon_sym_EQ_EQ] = ACTIONS(967),
    [anon_sym_BANG_EQ] = ACTIONS(967),
    [anon_sym_GT] = ACTIONS(969),
    [anon_sym_GT_EQ] = ACTIONS(967),
    [anon_sym_LT_EQ] = ACTIONS(967),
    [anon_sym_LT] = ACTIONS(969),
    [anon_sym_CARET] = ACTIONS(969),
    [anon_sym_orelse] = ACTIONS(967),
    [anon_sym_LT_LT] = ACTIONS(969),
    [anon_sym_GT_GT] = ACTIONS(969),
    [anon_sym_LT_LT_PIPE] = ACTIONS(969),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_PLUS_PLUS] = ACTIONS(967),
    [anon_sym_PLUS_PERCENT] = ACTIONS(969),
    [anon_sym_PLUS_PIPE] = ACTIONS(969),
    [anon_sym_DASH_PIPE] = ACTIONS(969),
    [anon_sym_SLASH] = ACTIONS(969),
    [anon_sym_PERCENT] = ACTIONS(969),
    [anon_sym_STAR_STAR] = ACTIONS(967),
    [anon_sym_STAR_PERCENT] = ACTIONS(969),
    [anon_sym_STAR_PIPE] = ACTIONS(969),
    [anon_sym_PIPE_PIPE] = ACTIONS(967),
    [anon_sym_catch] = ACTIONS(967),
    [anon_sym_EQ_GT] = ACTIONS(967),
    [anon_sym_DOT] = ACTIONS(969),
    [anon_sym_DOT_STAR] = ACTIONS(967),
    [anon_sym_DOT_QMARK] = ACTIONS(967),
    [sym_comment] = ACTIONS(3),
  },
  [863] = {
    [ts_builtin_sym_end] = ACTIONS(1536),
    [anon_sym_COMMA] = ACTIONS(1536),
    [anon_sym_COLON] = ACTIONS(1536),
    [anon_sym_EQ] = ACTIONS(1538),
    [anon_sym_SEMI] = ACTIONS(1536),
    [anon_sym_STAR_EQ] = ACTIONS(1536),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1536),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1536),
    [anon_sym_SLASH_EQ] = ACTIONS(1536),
    [anon_sym_PERCENT_EQ] = ACTIONS(1536),
    [anon_sym_PLUS_EQ] = ACTIONS(1536),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1536),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1536),
    [anon_sym_DASH_EQ] = ACTIONS(1536),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1536),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1536),
    [anon_sym_LT_LT_EQ] = ACTIONS(1536),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1536),
    [anon_sym_GT_GT_EQ] = ACTIONS(1536),
    [anon_sym_AMP_EQ] = ACTIONS(1536),
    [anon_sym_CARET_EQ] = ACTIONS(1536),
    [anon_sym_PIPE_EQ] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_RPAREN] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_RBRACE] = ACTIONS(1536),
    [anon_sym_else] = ACTIONS(1536),
    [anon_sym_DOT_DOT] = ACTIONS(1536),
    [anon_sym_PIPE] = ACTIONS(1538),
    [anon_sym_STAR] = ACTIONS(1538),
    [anon_sym_align] = ACTIONS(1536),
    [anon_sym_addrspace] = ACTIONS(1536),
    [anon_sym_linksection] = ACTIONS(1536),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_RBRACK] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_DASH_PERCENT] = ACTIONS(1538),
    [anon_sym_AMP] = ACTIONS(1538),
    [anon_sym_or] = ACTIONS(1538),
    [anon_sym_and] = ACTIONS(1536),
    [anon_sym_EQ_EQ] = ACTIONS(1536),
    [anon_sym_BANG_EQ] = ACTIONS(1536),
    [anon_sym_GT] = ACTIONS(1538),
    [anon_sym_GT_EQ] = ACTIONS(1536),
    [anon_sym_LT_EQ] = ACTIONS(1536),
    [anon_sym_LT] = ACTIONS(1538),
    [anon_sym_CARET] = ACTIONS(1538),
    [anon_sym_orelse] = ACTIONS(1536),
    [anon_sym_LT_LT] = ACTIONS(1538),
    [anon_sym_GT_GT] = ACTIONS(1538),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1538),
    [anon_sym_PLUS_PIPE] = ACTIONS(1538),
    [anon_sym_DASH_PIPE] = ACTIONS(1538),
    [anon_sym_SLASH] = ACTIONS(1538),
    [anon_sym_PERCENT] = ACTIONS(1538),
    [anon_sym_STAR_STAR] = ACTIONS(1536),
    [anon_sym_STAR_PERCENT] = ACTIONS(1538),
    [anon_sym_STAR_PIPE] = ACTIONS(1538),
    [anon_sym_PIPE_PIPE] = ACTIONS(1536),
    [anon_sym_catch] = ACTIONS(1536),
    [anon_sym_EQ_GT] = ACTIONS(1536),
    [anon_sym_DOT] = ACTIONS(1538),
    [anon_sym_DOT_STAR] = ACTIONS(1536),
    [anon_sym_DOT_QMARK] = ACTIONS(1536),
    [sym_comment] = ACTIONS(3),
  },
  [864] = {
    [ts_builtin_sym_end] = ACTIONS(1540),
    [anon_sym_COMMA] = ACTIONS(1540),
    [anon_sym_COLON] = ACTIONS(1540),
    [anon_sym_EQ] = ACTIONS(1542),
    [anon_sym_SEMI] = ACTIONS(1540),
    [anon_sym_STAR_EQ] = ACTIONS(1540),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1540),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1540),
    [anon_sym_SLASH_EQ] = ACTIONS(1540),
    [anon_sym_PERCENT_EQ] = ACTIONS(1540),
    [anon_sym_PLUS_EQ] = ACTIONS(1540),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1540),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1540),
    [anon_sym_DASH_EQ] = ACTIONS(1540),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1540),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1540),
    [anon_sym_LT_LT_EQ] = ACTIONS(1540),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1540),
    [anon_sym_GT_GT_EQ] = ACTIONS(1540),
    [anon_sym_AMP_EQ] = ACTIONS(1540),
    [anon_sym_CARET_EQ] = ACTIONS(1540),
    [anon_sym_PIPE_EQ] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_RPAREN] = ACTIONS(1540),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_RBRACE] = ACTIONS(1540),
    [anon_sym_else] = ACTIONS(1540),
    [anon_sym_DOT_DOT] = ACTIONS(1540),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(1542),
    [anon_sym_align] = ACTIONS(1540),
    [anon_sym_addrspace] = ACTIONS(1540),
    [anon_sym_linksection] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [anon_sym_RBRACK] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_DASH_PERCENT] = ACTIONS(1542),
    [anon_sym_AMP] = ACTIONS(1542),
    [anon_sym_or] = ACTIONS(1542),
    [anon_sym_and] = ACTIONS(1540),
    [anon_sym_EQ_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_CARET] = ACTIONS(1542),
    [anon_sym_orelse] = ACTIONS(1540),
    [anon_sym_LT_LT] = ACTIONS(1542),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_PLUS_PLUS] = ACTIONS(1540),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1542),
    [anon_sym_PLUS_PIPE] = ACTIONS(1542),
    [anon_sym_DASH_PIPE] = ACTIONS(1542),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_PERCENT] = ACTIONS(1542),
    [anon_sym_STAR_STAR] = ACTIONS(1540),
    [anon_sym_STAR_PERCENT] = ACTIONS(1542),
    [anon_sym_STAR_PIPE] = ACTIONS(1542),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_catch] = ACTIONS(1540),
    [anon_sym_EQ_GT] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(1542),
    [anon_sym_DOT_STAR] = ACTIONS(1540),
    [anon_sym_DOT_QMARK] = ACTIONS(1540),
    [sym_comment] = ACTIONS(3),
  },
  [865] = {
    [ts_builtin_sym_end] = ACTIONS(1544),
    [anon_sym_COMMA] = ACTIONS(1544),
    [anon_sym_COLON] = ACTIONS(1547),
    [anon_sym_EQ] = ACTIONS(1549),
    [anon_sym_SEMI] = ACTIONS(1544),
    [anon_sym_STAR_EQ] = ACTIONS(1544),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1544),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1544),
    [anon_sym_SLASH_EQ] = ACTIONS(1544),
    [anon_sym_PERCENT_EQ] = ACTIONS(1544),
    [anon_sym_PLUS_EQ] = ACTIONS(1544),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1544),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1544),
    [anon_sym_DASH_EQ] = ACTIONS(1544),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1544),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1544),
    [anon_sym_LT_LT_EQ] = ACTIONS(1544),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1544),
    [anon_sym_GT_GT_EQ] = ACTIONS(1544),
    [anon_sym_AMP_EQ] = ACTIONS(1544),
    [anon_sym_CARET_EQ] = ACTIONS(1544),
    [anon_sym_PIPE_EQ] = ACTIONS(1544),
    [anon_sym_BANG] = ACTIONS(1549),
    [anon_sym_LPAREN] = ACTIONS(1544),
    [anon_sym_RPAREN] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_RBRACE] = ACTIONS(1544),
    [anon_sym_else] = ACTIONS(1544),
    [anon_sym_DOT_DOT] = ACTIONS(1544),
    [anon_sym_PIPE] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(1549),
    [anon_sym_align] = ACTIONS(1544),
    [anon_sym_addrspace] = ACTIONS(1544),
    [anon_sym_linksection] = ACTIONS(1544),
    [anon_sym_LBRACK] = ACTIONS(1544),
    [anon_sym_RBRACK] = ACTIONS(1544),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_DASH_PERCENT] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(1549),
    [anon_sym_or] = ACTIONS(1549),
    [anon_sym_and] = ACTIONS(1544),
    [anon_sym_EQ_EQ] = ACTIONS(1544),
    [anon_sym_BANG_EQ] = ACTIONS(1544),
    [anon_sym_GT] = ACTIONS(1549),
    [anon_sym_GT_EQ] = ACTIONS(1544),
    [anon_sym_LT_EQ] = ACTIONS(1544),
    [anon_sym_LT] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_orelse] = ACTIONS(1544),
    [anon_sym_LT_LT] = ACTIONS(1549),
    [anon_sym_GT_GT] = ACTIONS(1549),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1549),
    [anon_sym_PLUS_PIPE] = ACTIONS(1549),
    [anon_sym_DASH_PIPE] = ACTIONS(1549),
    [anon_sym_SLASH] = ACTIONS(1549),
    [anon_sym_PERCENT] = ACTIONS(1549),
    [anon_sym_STAR_STAR] = ACTIONS(1544),
    [anon_sym_STAR_PERCENT] = ACTIONS(1549),
    [anon_sym_STAR_PIPE] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1544),
    [anon_sym_catch] = ACTIONS(1544),
    [anon_sym_EQ_GT] = ACTIONS(1544),
    [anon_sym_DOT] = ACTIONS(1549),
    [anon_sym_DOT_STAR] = ACTIONS(1544),
    [anon_sym_DOT_QMARK] = ACTIONS(1544),
    [sym_comment] = ACTIONS(3),
  },
  [866] = {
    [ts_builtin_sym_end] = ACTIONS(1340),
    [anon_sym_COMMA] = ACTIONS(1340),
    [anon_sym_COLON] = ACTIONS(1340),
    [anon_sym_EQ] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(1340),
    [anon_sym_STAR_EQ] = ACTIONS(1340),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1340),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1340),
    [anon_sym_SLASH_EQ] = ACTIONS(1340),
    [anon_sym_PERCENT_EQ] = ACTIONS(1340),
    [anon_sym_PLUS_EQ] = ACTIONS(1340),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1340),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1340),
    [anon_sym_DASH_EQ] = ACTIONS(1340),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1340),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1340),
    [anon_sym_LT_LT_EQ] = ACTIONS(1340),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1340),
    [anon_sym_GT_GT_EQ] = ACTIONS(1340),
    [anon_sym_AMP_EQ] = ACTIONS(1340),
    [anon_sym_CARET_EQ] = ACTIONS(1340),
    [anon_sym_PIPE_EQ] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(1340),
    [anon_sym_RPAREN] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_RBRACE] = ACTIONS(1340),
    [anon_sym_else] = ACTIONS(1340),
    [anon_sym_DOT_DOT] = ACTIONS(1340),
    [anon_sym_PIPE] = ACTIONS(1342),
    [anon_sym_STAR] = ACTIONS(1342),
    [anon_sym_align] = ACTIONS(1340),
    [anon_sym_addrspace] = ACTIONS(1340),
    [anon_sym_linksection] = ACTIONS(1340),
    [anon_sym_LBRACK] = ACTIONS(1340),
    [anon_sym_RBRACK] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_DASH_PERCENT] = ACTIONS(1342),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym_or] = ACTIONS(1342),
    [anon_sym_and] = ACTIONS(1340),
    [anon_sym_EQ_EQ] = ACTIONS(1340),
    [anon_sym_BANG_EQ] = ACTIONS(1340),
    [anon_sym_GT] = ACTIONS(1342),
    [anon_sym_GT_EQ] = ACTIONS(1340),
    [anon_sym_LT_EQ] = ACTIONS(1340),
    [anon_sym_LT] = ACTIONS(1342),
    [anon_sym_CARET] = ACTIONS(1342),
    [anon_sym_orelse] = ACTIONS(1340),
    [anon_sym_LT_LT] = ACTIONS(1342),
    [anon_sym_GT_GT] = ACTIONS(1342),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1342),
    [anon_sym_PLUS_PIPE] = ACTIONS(1342),
    [anon_sym_DASH_PIPE] = ACTIONS(1342),
    [anon_sym_SLASH] = ACTIONS(1342),
    [anon_sym_PERCENT] = ACTIONS(1342),
    [anon_sym_STAR_STAR] = ACTIONS(1340),
    [anon_sym_STAR_PERCENT] = ACTIONS(1342),
    [anon_sym_STAR_PIPE] = ACTIONS(1342),
    [anon_sym_PIPE_PIPE] = ACTIONS(1340),
    [anon_sym_catch] = ACTIONS(1340),
    [anon_sym_EQ_GT] = ACTIONS(1340),
    [anon_sym_DOT] = ACTIONS(1342),
    [anon_sym_DOT_STAR] = ACTIONS(1340),
    [anon_sym_DOT_QMARK] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
  },
  [867] = {
    [ts_builtin_sym_end] = ACTIONS(1552),
    [anon_sym_COMMA] = ACTIONS(1552),
    [anon_sym_COLON] = ACTIONS(1552),
    [anon_sym_EQ] = ACTIONS(1554),
    [anon_sym_SEMI] = ACTIONS(1552),
    [anon_sym_STAR_EQ] = ACTIONS(1552),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1552),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1552),
    [anon_sym_SLASH_EQ] = ACTIONS(1552),
    [anon_sym_PERCENT_EQ] = ACTIONS(1552),
    [anon_sym_PLUS_EQ] = ACTIONS(1552),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1552),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1552),
    [anon_sym_DASH_EQ] = ACTIONS(1552),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1552),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1552),
    [anon_sym_LT_LT_EQ] = ACTIONS(1552),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1552),
    [anon_sym_GT_GT_EQ] = ACTIONS(1552),
    [anon_sym_AMP_EQ] = ACTIONS(1552),
    [anon_sym_CARET_EQ] = ACTIONS(1552),
    [anon_sym_PIPE_EQ] = ACTIONS(1552),
    [anon_sym_BANG] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1552),
    [anon_sym_RPAREN] = ACTIONS(1552),
    [anon_sym_LBRACE] = ACTIONS(1552),
    [anon_sym_RBRACE] = ACTIONS(1552),
    [anon_sym_else] = ACTIONS(1552),
    [anon_sym_DOT_DOT] = ACTIONS(1552),
    [anon_sym_PIPE] = ACTIONS(1554),
    [anon_sym_STAR] = ACTIONS(1554),
    [anon_sym_align] = ACTIONS(1552),
    [anon_sym_addrspace] = ACTIONS(1552),
    [anon_sym_linksection] = ACTIONS(1552),
    [anon_sym_LBRACK] = ACTIONS(1552),
    [anon_sym_RBRACK] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1554),
    [anon_sym_DASH_PERCENT] = ACTIONS(1554),
    [anon_sym_AMP] = ACTIONS(1554),
    [anon_sym_or] = ACTIONS(1554),
    [anon_sym_and] = ACTIONS(1552),
    [anon_sym_EQ_EQ] = ACTIONS(1552),
    [anon_sym_BANG_EQ] = ACTIONS(1552),
    [anon_sym_GT] = ACTIONS(1554),
    [anon_sym_GT_EQ] = ACTIONS(1552),
    [anon_sym_LT_EQ] = ACTIONS(1552),
    [anon_sym_LT] = ACTIONS(1554),
    [anon_sym_CARET] = ACTIONS(1554),
    [anon_sym_orelse] = ACTIONS(1552),
    [anon_sym_LT_LT] = ACTIONS(1554),
    [anon_sym_GT_GT] = ACTIONS(1554),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1554),
    [anon_sym_PLUS] = ACTIONS(1554),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1554),
    [anon_sym_PLUS_PIPE] = ACTIONS(1554),
    [anon_sym_DASH_PIPE] = ACTIONS(1554),
    [anon_sym_SLASH] = ACTIONS(1554),
    [anon_sym_PERCENT] = ACTIONS(1554),
    [anon_sym_STAR_STAR] = ACTIONS(1552),
    [anon_sym_STAR_PERCENT] = ACTIONS(1554),
    [anon_sym_STAR_PIPE] = ACTIONS(1554),
    [anon_sym_PIPE_PIPE] = ACTIONS(1552),
    [anon_sym_catch] = ACTIONS(1552),
    [anon_sym_EQ_GT] = ACTIONS(1552),
    [anon_sym_DOT] = ACTIONS(1554),
    [anon_sym_DOT_STAR] = ACTIONS(1552),
    [anon_sym_DOT_QMARK] = ACTIONS(1552),
    [sym_comment] = ACTIONS(3),
  },
  [868] = {
    [ts_builtin_sym_end] = ACTIONS(1556),
    [anon_sym_COMMA] = ACTIONS(1556),
    [anon_sym_COLON] = ACTIONS(1556),
    [anon_sym_EQ] = ACTIONS(1558),
    [anon_sym_SEMI] = ACTIONS(1556),
    [anon_sym_STAR_EQ] = ACTIONS(1556),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1556),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1556),
    [anon_sym_SLASH_EQ] = ACTIONS(1556),
    [anon_sym_PERCENT_EQ] = ACTIONS(1556),
    [anon_sym_PLUS_EQ] = ACTIONS(1556),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1556),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1556),
    [anon_sym_DASH_EQ] = ACTIONS(1556),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1556),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1556),
    [anon_sym_LT_LT_EQ] = ACTIONS(1556),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1556),
    [anon_sym_GT_GT_EQ] = ACTIONS(1556),
    [anon_sym_AMP_EQ] = ACTIONS(1556),
    [anon_sym_CARET_EQ] = ACTIONS(1556),
    [anon_sym_PIPE_EQ] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1558),
    [anon_sym_LPAREN] = ACTIONS(1556),
    [anon_sym_RPAREN] = ACTIONS(1556),
    [anon_sym_LBRACE] = ACTIONS(1556),
    [anon_sym_RBRACE] = ACTIONS(1556),
    [anon_sym_else] = ACTIONS(1556),
    [anon_sym_DOT_DOT] = ACTIONS(1556),
    [anon_sym_PIPE] = ACTIONS(1558),
    [anon_sym_STAR] = ACTIONS(1558),
    [anon_sym_align] = ACTIONS(1556),
    [anon_sym_addrspace] = ACTIONS(1556),
    [anon_sym_linksection] = ACTIONS(1556),
    [anon_sym_LBRACK] = ACTIONS(1556),
    [anon_sym_RBRACK] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1558),
    [anon_sym_DASH_PERCENT] = ACTIONS(1558),
    [anon_sym_AMP] = ACTIONS(1558),
    [anon_sym_or] = ACTIONS(1558),
    [anon_sym_and] = ACTIONS(1556),
    [anon_sym_EQ_EQ] = ACTIONS(1556),
    [anon_sym_BANG_EQ] = ACTIONS(1556),
    [anon_sym_GT] = ACTIONS(1558),
    [anon_sym_GT_EQ] = ACTIONS(1556),
    [anon_sym_LT_EQ] = ACTIONS(1556),
    [anon_sym_LT] = ACTIONS(1558),
    [anon_sym_CARET] = ACTIONS(1558),
    [anon_sym_orelse] = ACTIONS(1556),
    [anon_sym_LT_LT] = ACTIONS(1558),
    [anon_sym_GT_GT] = ACTIONS(1558),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1558),
    [anon_sym_PLUS] = ACTIONS(1558),
    [anon_sym_PLUS_PLUS] = ACTIONS(1556),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1558),
    [anon_sym_PLUS_PIPE] = ACTIONS(1558),
    [anon_sym_DASH_PIPE] = ACTIONS(1558),
    [anon_sym_SLASH] = ACTIONS(1558),
    [anon_sym_PERCENT] = ACTIONS(1558),
    [anon_sym_STAR_STAR] = ACTIONS(1556),
    [anon_sym_STAR_PERCENT] = ACTIONS(1558),
    [anon_sym_STAR_PIPE] = ACTIONS(1558),
    [anon_sym_PIPE_PIPE] = ACTIONS(1556),
    [anon_sym_catch] = ACTIONS(1556),
    [anon_sym_EQ_GT] = ACTIONS(1556),
    [anon_sym_DOT] = ACTIONS(1558),
    [anon_sym_DOT_STAR] = ACTIONS(1556),
    [anon_sym_DOT_QMARK] = ACTIONS(1556),
    [sym_comment] = ACTIONS(3),
  },
  [869] = {
    [ts_builtin_sym_end] = ACTIONS(1560),
    [anon_sym_COMMA] = ACTIONS(1560),
    [anon_sym_COLON] = ACTIONS(1560),
    [anon_sym_EQ] = ACTIONS(1562),
    [anon_sym_SEMI] = ACTIONS(1560),
    [anon_sym_STAR_EQ] = ACTIONS(1560),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1560),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1560),
    [anon_sym_SLASH_EQ] = ACTIONS(1560),
    [anon_sym_PERCENT_EQ] = ACTIONS(1560),
    [anon_sym_PLUS_EQ] = ACTIONS(1560),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1560),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1560),
    [anon_sym_DASH_EQ] = ACTIONS(1560),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1560),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1560),
    [anon_sym_LT_LT_EQ] = ACTIONS(1560),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1560),
    [anon_sym_GT_GT_EQ] = ACTIONS(1560),
    [anon_sym_AMP_EQ] = ACTIONS(1560),
    [anon_sym_CARET_EQ] = ACTIONS(1560),
    [anon_sym_PIPE_EQ] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1562),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_RPAREN] = ACTIONS(1560),
    [anon_sym_LBRACE] = ACTIONS(1560),
    [anon_sym_RBRACE] = ACTIONS(1560),
    [anon_sym_else] = ACTIONS(1560),
    [anon_sym_DOT_DOT] = ACTIONS(1560),
    [anon_sym_PIPE] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1562),
    [anon_sym_align] = ACTIONS(1560),
    [anon_sym_addrspace] = ACTIONS(1560),
    [anon_sym_linksection] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1560),
    [anon_sym_RBRACK] = ACTIONS(1560),
    [anon_sym_DASH] = ACTIONS(1562),
    [anon_sym_DASH_PERCENT] = ACTIONS(1562),
    [anon_sym_AMP] = ACTIONS(1562),
    [anon_sym_or] = ACTIONS(1562),
    [anon_sym_and] = ACTIONS(1560),
    [anon_sym_EQ_EQ] = ACTIONS(1560),
    [anon_sym_BANG_EQ] = ACTIONS(1560),
    [anon_sym_GT] = ACTIONS(1562),
    [anon_sym_GT_EQ] = ACTIONS(1560),
    [anon_sym_LT_EQ] = ACTIONS(1560),
    [anon_sym_LT] = ACTIONS(1562),
    [anon_sym_CARET] = ACTIONS(1562),
    [anon_sym_orelse] = ACTIONS(1560),
    [anon_sym_LT_LT] = ACTIONS(1562),
    [anon_sym_GT_GT] = ACTIONS(1562),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1562),
    [anon_sym_PLUS] = ACTIONS(1562),
    [anon_sym_PLUS_PLUS] = ACTIONS(1560),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1562),
    [anon_sym_PLUS_PIPE] = ACTIONS(1562),
    [anon_sym_DASH_PIPE] = ACTIONS(1562),
    [anon_sym_SLASH] = ACTIONS(1562),
    [anon_sym_PERCENT] = ACTIONS(1562),
    [anon_sym_STAR_STAR] = ACTIONS(1560),
    [anon_sym_STAR_PERCENT] = ACTIONS(1562),
    [anon_sym_STAR_PIPE] = ACTIONS(1562),
    [anon_sym_PIPE_PIPE] = ACTIONS(1560),
    [anon_sym_catch] = ACTIONS(1560),
    [anon_sym_EQ_GT] = ACTIONS(1560),
    [anon_sym_DOT] = ACTIONS(1562),
    [anon_sym_DOT_STAR] = ACTIONS(1560),
    [anon_sym_DOT_QMARK] = ACTIONS(1560),
    [sym_comment] = ACTIONS(3),
  },
  [870] = {
    [ts_builtin_sym_end] = ACTIONS(1564),
    [anon_sym_COMMA] = ACTIONS(1564),
    [anon_sym_COLON] = ACTIONS(1564),
    [anon_sym_EQ] = ACTIONS(1566),
    [anon_sym_SEMI] = ACTIONS(1564),
    [anon_sym_STAR_EQ] = ACTIONS(1564),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1564),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1564),
    [anon_sym_SLASH_EQ] = ACTIONS(1564),
    [anon_sym_PERCENT_EQ] = ACTIONS(1564),
    [anon_sym_PLUS_EQ] = ACTIONS(1564),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1564),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1564),
    [anon_sym_DASH_EQ] = ACTIONS(1564),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1564),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1564),
    [anon_sym_LT_LT_EQ] = ACTIONS(1564),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1564),
    [anon_sym_GT_GT_EQ] = ACTIONS(1564),
    [anon_sym_AMP_EQ] = ACTIONS(1564),
    [anon_sym_CARET_EQ] = ACTIONS(1564),
    [anon_sym_PIPE_EQ] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1566),
    [anon_sym_LPAREN] = ACTIONS(1564),
    [anon_sym_RPAREN] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1564),
    [anon_sym_RBRACE] = ACTIONS(1564),
    [anon_sym_else] = ACTIONS(1564),
    [anon_sym_DOT_DOT] = ACTIONS(1564),
    [anon_sym_PIPE] = ACTIONS(1566),
    [anon_sym_STAR] = ACTIONS(1566),
    [anon_sym_align] = ACTIONS(1564),
    [anon_sym_addrspace] = ACTIONS(1564),
    [anon_sym_linksection] = ACTIONS(1564),
    [anon_sym_LBRACK] = ACTIONS(1564),
    [anon_sym_RBRACK] = ACTIONS(1564),
    [anon_sym_DASH] = ACTIONS(1566),
    [anon_sym_DASH_PERCENT] = ACTIONS(1566),
    [anon_sym_AMP] = ACTIONS(1566),
    [anon_sym_or] = ACTIONS(1566),
    [anon_sym_and] = ACTIONS(1564),
    [anon_sym_EQ_EQ] = ACTIONS(1564),
    [anon_sym_BANG_EQ] = ACTIONS(1564),
    [anon_sym_GT] = ACTIONS(1566),
    [anon_sym_GT_EQ] = ACTIONS(1564),
    [anon_sym_LT_EQ] = ACTIONS(1564),
    [anon_sym_LT] = ACTIONS(1566),
    [anon_sym_CARET] = ACTIONS(1566),
    [anon_sym_orelse] = ACTIONS(1564),
    [anon_sym_LT_LT] = ACTIONS(1566),
    [anon_sym_GT_GT] = ACTIONS(1566),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_PLUS_PLUS] = ACTIONS(1564),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1566),
    [anon_sym_PLUS_PIPE] = ACTIONS(1566),
    [anon_sym_DASH_PIPE] = ACTIONS(1566),
    [anon_sym_SLASH] = ACTIONS(1566),
    [anon_sym_PERCENT] = ACTIONS(1566),
    [anon_sym_STAR_STAR] = ACTIONS(1564),
    [anon_sym_STAR_PERCENT] = ACTIONS(1566),
    [anon_sym_STAR_PIPE] = ACTIONS(1566),
    [anon_sym_PIPE_PIPE] = ACTIONS(1564),
    [anon_sym_catch] = ACTIONS(1564),
    [anon_sym_EQ_GT] = ACTIONS(1564),
    [anon_sym_DOT] = ACTIONS(1566),
    [anon_sym_DOT_STAR] = ACTIONS(1564),
    [anon_sym_DOT_QMARK] = ACTIONS(1564),
    [sym_comment] = ACTIONS(3),
  },
  [871] = {
    [ts_builtin_sym_end] = ACTIONS(1568),
    [anon_sym_COMMA] = ACTIONS(1568),
    [anon_sym_COLON] = ACTIONS(1568),
    [anon_sym_EQ] = ACTIONS(1570),
    [anon_sym_SEMI] = ACTIONS(1568),
    [anon_sym_STAR_EQ] = ACTIONS(1568),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1568),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1568),
    [anon_sym_SLASH_EQ] = ACTIONS(1568),
    [anon_sym_PERCENT_EQ] = ACTIONS(1568),
    [anon_sym_PLUS_EQ] = ACTIONS(1568),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1568),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1568),
    [anon_sym_DASH_EQ] = ACTIONS(1568),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1568),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1568),
    [anon_sym_LT_LT_EQ] = ACTIONS(1568),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1568),
    [anon_sym_GT_GT_EQ] = ACTIONS(1568),
    [anon_sym_AMP_EQ] = ACTIONS(1568),
    [anon_sym_CARET_EQ] = ACTIONS(1568),
    [anon_sym_PIPE_EQ] = ACTIONS(1568),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1568),
    [anon_sym_RPAREN] = ACTIONS(1568),
    [anon_sym_LBRACE] = ACTIONS(1568),
    [anon_sym_RBRACE] = ACTIONS(1568),
    [anon_sym_else] = ACTIONS(1568),
    [anon_sym_DOT_DOT] = ACTIONS(1568),
    [anon_sym_PIPE] = ACTIONS(1570),
    [anon_sym_STAR] = ACTIONS(1570),
    [anon_sym_align] = ACTIONS(1568),
    [anon_sym_addrspace] = ACTIONS(1568),
    [anon_sym_linksection] = ACTIONS(1568),
    [anon_sym_LBRACK] = ACTIONS(1568),
    [anon_sym_RBRACK] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_DASH_PERCENT] = ACTIONS(1570),
    [anon_sym_AMP] = ACTIONS(1570),
    [anon_sym_or] = ACTIONS(1570),
    [anon_sym_and] = ACTIONS(1568),
    [anon_sym_EQ_EQ] = ACTIONS(1568),
    [anon_sym_BANG_EQ] = ACTIONS(1568),
    [anon_sym_GT] = ACTIONS(1570),
    [anon_sym_GT_EQ] = ACTIONS(1568),
    [anon_sym_LT_EQ] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(1570),
    [anon_sym_CARET] = ACTIONS(1570),
    [anon_sym_orelse] = ACTIONS(1568),
    [anon_sym_LT_LT] = ACTIONS(1570),
    [anon_sym_GT_GT] = ACTIONS(1570),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1570),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1568),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1570),
    [anon_sym_PLUS_PIPE] = ACTIONS(1570),
    [anon_sym_DASH_PIPE] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(1570),
    [anon_sym_PERCENT] = ACTIONS(1570),
    [anon_sym_STAR_STAR] = ACTIONS(1568),
    [anon_sym_STAR_PERCENT] = ACTIONS(1570),
    [anon_sym_STAR_PIPE] = ACTIONS(1570),
    [anon_sym_PIPE_PIPE] = ACTIONS(1568),
    [anon_sym_catch] = ACTIONS(1568),
    [anon_sym_EQ_GT] = ACTIONS(1568),
    [anon_sym_DOT] = ACTIONS(1570),
    [anon_sym_DOT_STAR] = ACTIONS(1568),
    [anon_sym_DOT_QMARK] = ACTIONS(1568),
    [sym_comment] = ACTIONS(3),
  },
  [872] = {
    [ts_builtin_sym_end] = ACTIONS(1572),
    [anon_sym_COMMA] = ACTIONS(1572),
    [anon_sym_COLON] = ACTIONS(1547),
    [anon_sym_EQ] = ACTIONS(1575),
    [anon_sym_SEMI] = ACTIONS(1572),
    [anon_sym_STAR_EQ] = ACTIONS(1572),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1572),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1572),
    [anon_sym_SLASH_EQ] = ACTIONS(1572),
    [anon_sym_PERCENT_EQ] = ACTIONS(1572),
    [anon_sym_PLUS_EQ] = ACTIONS(1572),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1572),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1572),
    [anon_sym_DASH_EQ] = ACTIONS(1572),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1572),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1572),
    [anon_sym_LT_LT_EQ] = ACTIONS(1572),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1572),
    [anon_sym_GT_GT_EQ] = ACTIONS(1572),
    [anon_sym_AMP_EQ] = ACTIONS(1572),
    [anon_sym_CARET_EQ] = ACTIONS(1572),
    [anon_sym_PIPE_EQ] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1572),
    [anon_sym_RPAREN] = ACTIONS(1572),
    [anon_sym_LBRACE] = ACTIONS(1572),
    [anon_sym_RBRACE] = ACTIONS(1572),
    [anon_sym_else] = ACTIONS(1572),
    [anon_sym_DOT_DOT] = ACTIONS(1572),
    [anon_sym_PIPE] = ACTIONS(1575),
    [anon_sym_STAR] = ACTIONS(1575),
    [anon_sym_align] = ACTIONS(1572),
    [anon_sym_addrspace] = ACTIONS(1572),
    [anon_sym_linksection] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1572),
    [anon_sym_RBRACK] = ACTIONS(1572),
    [anon_sym_DASH] = ACTIONS(1575),
    [anon_sym_DASH_PERCENT] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_or] = ACTIONS(1575),
    [anon_sym_and] = ACTIONS(1572),
    [anon_sym_EQ_EQ] = ACTIONS(1572),
    [anon_sym_BANG_EQ] = ACTIONS(1572),
    [anon_sym_GT] = ACTIONS(1575),
    [anon_sym_GT_EQ] = ACTIONS(1572),
    [anon_sym_LT_EQ] = ACTIONS(1572),
    [anon_sym_LT] = ACTIONS(1575),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_orelse] = ACTIONS(1572),
    [anon_sym_LT_LT] = ACTIONS(1575),
    [anon_sym_GT_GT] = ACTIONS(1575),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1575),
    [anon_sym_PLUS] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1575),
    [anon_sym_PLUS_PIPE] = ACTIONS(1575),
    [anon_sym_DASH_PIPE] = ACTIONS(1575),
    [anon_sym_SLASH] = ACTIONS(1575),
    [anon_sym_PERCENT] = ACTIONS(1575),
    [anon_sym_STAR_STAR] = ACTIONS(1572),
    [anon_sym_STAR_PERCENT] = ACTIONS(1575),
    [anon_sym_STAR_PIPE] = ACTIONS(1575),
    [anon_sym_PIPE_PIPE] = ACTIONS(1572),
    [anon_sym_catch] = ACTIONS(1572),
    [anon_sym_EQ_GT] = ACTIONS(1572),
    [anon_sym_DOT] = ACTIONS(1575),
    [anon_sym_DOT_STAR] = ACTIONS(1572),
    [anon_sym_DOT_QMARK] = ACTIONS(1572),
    [sym_comment] = ACTIONS(3),
  },
  [873] = {
    [ts_builtin_sym_end] = ACTIONS(1578),
    [anon_sym_COMMA] = ACTIONS(1578),
    [anon_sym_COLON] = ACTIONS(1578),
    [anon_sym_EQ] = ACTIONS(1580),
    [anon_sym_SEMI] = ACTIONS(1578),
    [anon_sym_STAR_EQ] = ACTIONS(1578),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1578),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1578),
    [anon_sym_SLASH_EQ] = ACTIONS(1578),
    [anon_sym_PERCENT_EQ] = ACTIONS(1578),
    [anon_sym_PLUS_EQ] = ACTIONS(1578),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1578),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1578),
    [anon_sym_DASH_EQ] = ACTIONS(1578),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1578),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1578),
    [anon_sym_LT_LT_EQ] = ACTIONS(1578),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1578),
    [anon_sym_GT_GT_EQ] = ACTIONS(1578),
    [anon_sym_AMP_EQ] = ACTIONS(1578),
    [anon_sym_CARET_EQ] = ACTIONS(1578),
    [anon_sym_PIPE_EQ] = ACTIONS(1578),
    [anon_sym_BANG] = ACTIONS(1580),
    [anon_sym_LPAREN] = ACTIONS(1578),
    [anon_sym_RPAREN] = ACTIONS(1578),
    [anon_sym_LBRACE] = ACTIONS(1578),
    [anon_sym_RBRACE] = ACTIONS(1578),
    [anon_sym_else] = ACTIONS(1578),
    [anon_sym_DOT_DOT] = ACTIONS(1578),
    [anon_sym_PIPE] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(1580),
    [anon_sym_align] = ACTIONS(1578),
    [anon_sym_addrspace] = ACTIONS(1578),
    [anon_sym_linksection] = ACTIONS(1578),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [anon_sym_RBRACK] = ACTIONS(1578),
    [anon_sym_DASH] = ACTIONS(1580),
    [anon_sym_DASH_PERCENT] = ACTIONS(1580),
    [anon_sym_AMP] = ACTIONS(1580),
    [anon_sym_or] = ACTIONS(1580),
    [anon_sym_and] = ACTIONS(1578),
    [anon_sym_EQ_EQ] = ACTIONS(1578),
    [anon_sym_BANG_EQ] = ACTIONS(1578),
    [anon_sym_GT] = ACTIONS(1580),
    [anon_sym_GT_EQ] = ACTIONS(1578),
    [anon_sym_LT_EQ] = ACTIONS(1578),
    [anon_sym_LT] = ACTIONS(1580),
    [anon_sym_CARET] = ACTIONS(1580),
    [anon_sym_orelse] = ACTIONS(1578),
    [anon_sym_LT_LT] = ACTIONS(1580),
    [anon_sym_GT_GT] = ACTIONS(1580),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1580),
    [anon_sym_PLUS_PLUS] = ACTIONS(1578),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1580),
    [anon_sym_PLUS_PIPE] = ACTIONS(1580),
    [anon_sym_DASH_PIPE] = ACTIONS(1580),
    [anon_sym_SLASH] = ACTIONS(1580),
    [anon_sym_PERCENT] = ACTIONS(1580),
    [anon_sym_STAR_STAR] = ACTIONS(1578),
    [anon_sym_STAR_PERCENT] = ACTIONS(1580),
    [anon_sym_STAR_PIPE] = ACTIONS(1580),
    [anon_sym_PIPE_PIPE] = ACTIONS(1578),
    [anon_sym_catch] = ACTIONS(1578),
    [anon_sym_EQ_GT] = ACTIONS(1578),
    [anon_sym_DOT] = ACTIONS(1580),
    [anon_sym_DOT_STAR] = ACTIONS(1578),
    [anon_sym_DOT_QMARK] = ACTIONS(1578),
    [sym_comment] = ACTIONS(3),
  },
  [874] = {
    [ts_builtin_sym_end] = ACTIONS(1582),
    [anon_sym_COMMA] = ACTIONS(1582),
    [anon_sym_COLON] = ACTIONS(1582),
    [anon_sym_EQ] = ACTIONS(1584),
    [anon_sym_SEMI] = ACTIONS(1582),
    [anon_sym_STAR_EQ] = ACTIONS(1582),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1582),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1582),
    [anon_sym_SLASH_EQ] = ACTIONS(1582),
    [anon_sym_PERCENT_EQ] = ACTIONS(1582),
    [anon_sym_PLUS_EQ] = ACTIONS(1582),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1582),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1582),
    [anon_sym_DASH_EQ] = ACTIONS(1582),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1582),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1582),
    [anon_sym_LT_LT_EQ] = ACTIONS(1582),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1582),
    [anon_sym_GT_GT_EQ] = ACTIONS(1582),
    [anon_sym_AMP_EQ] = ACTIONS(1582),
    [anon_sym_CARET_EQ] = ACTIONS(1582),
    [anon_sym_PIPE_EQ] = ACTIONS(1582),
    [anon_sym_BANG] = ACTIONS(1584),
    [anon_sym_LPAREN] = ACTIONS(1582),
    [anon_sym_RPAREN] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1582),
    [anon_sym_RBRACE] = ACTIONS(1582),
    [anon_sym_else] = ACTIONS(1582),
    [anon_sym_DOT_DOT] = ACTIONS(1582),
    [anon_sym_PIPE] = ACTIONS(1584),
    [anon_sym_STAR] = ACTIONS(1584),
    [anon_sym_align] = ACTIONS(1582),
    [anon_sym_addrspace] = ACTIONS(1582),
    [anon_sym_linksection] = ACTIONS(1582),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_RBRACK] = ACTIONS(1582),
    [anon_sym_DASH] = ACTIONS(1584),
    [anon_sym_DASH_PERCENT] = ACTIONS(1584),
    [anon_sym_AMP] = ACTIONS(1584),
    [anon_sym_or] = ACTIONS(1584),
    [anon_sym_and] = ACTIONS(1582),
    [anon_sym_EQ_EQ] = ACTIONS(1582),
    [anon_sym_BANG_EQ] = ACTIONS(1582),
    [anon_sym_GT] = ACTIONS(1584),
    [anon_sym_GT_EQ] = ACTIONS(1582),
    [anon_sym_LT_EQ] = ACTIONS(1582),
    [anon_sym_LT] = ACTIONS(1584),
    [anon_sym_CARET] = ACTIONS(1584),
    [anon_sym_orelse] = ACTIONS(1582),
    [anon_sym_LT_LT] = ACTIONS(1584),
    [anon_sym_GT_GT] = ACTIONS(1584),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1584),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_PLUS_PLUS] = ACTIONS(1582),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1584),
    [anon_sym_PLUS_PIPE] = ACTIONS(1584),
    [anon_sym_DASH_PIPE] = ACTIONS(1584),
    [anon_sym_SLASH] = ACTIONS(1584),
    [anon_sym_PERCENT] = ACTIONS(1584),
    [anon_sym_STAR_STAR] = ACTIONS(1582),
    [anon_sym_STAR_PERCENT] = ACTIONS(1584),
    [anon_sym_STAR_PIPE] = ACTIONS(1584),
    [anon_sym_PIPE_PIPE] = ACTIONS(1582),
    [anon_sym_catch] = ACTIONS(1582),
    [anon_sym_EQ_GT] = ACTIONS(1582),
    [anon_sym_DOT] = ACTIONS(1584),
    [anon_sym_DOT_STAR] = ACTIONS(1582),
    [anon_sym_DOT_QMARK] = ACTIONS(1582),
    [sym_comment] = ACTIONS(3),
  },
  [875] = {
    [ts_builtin_sym_end] = ACTIONS(1586),
    [anon_sym_COMMA] = ACTIONS(1586),
    [anon_sym_COLON] = ACTIONS(1586),
    [anon_sym_EQ] = ACTIONS(1588),
    [anon_sym_SEMI] = ACTIONS(1586),
    [anon_sym_STAR_EQ] = ACTIONS(1586),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1586),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1586),
    [anon_sym_SLASH_EQ] = ACTIONS(1586),
    [anon_sym_PERCENT_EQ] = ACTIONS(1586),
    [anon_sym_PLUS_EQ] = ACTIONS(1586),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1586),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1586),
    [anon_sym_DASH_EQ] = ACTIONS(1586),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1586),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1586),
    [anon_sym_LT_LT_EQ] = ACTIONS(1586),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1586),
    [anon_sym_GT_GT_EQ] = ACTIONS(1586),
    [anon_sym_AMP_EQ] = ACTIONS(1586),
    [anon_sym_CARET_EQ] = ACTIONS(1586),
    [anon_sym_PIPE_EQ] = ACTIONS(1586),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_LPAREN] = ACTIONS(1586),
    [anon_sym_RPAREN] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym_RBRACE] = ACTIONS(1586),
    [anon_sym_else] = ACTIONS(1586),
    [anon_sym_DOT_DOT] = ACTIONS(1586),
    [anon_sym_PIPE] = ACTIONS(1588),
    [anon_sym_STAR] = ACTIONS(1588),
    [anon_sym_align] = ACTIONS(1586),
    [anon_sym_addrspace] = ACTIONS(1586),
    [anon_sym_linksection] = ACTIONS(1586),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_RBRACK] = ACTIONS(1586),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_DASH_PERCENT] = ACTIONS(1588),
    [anon_sym_AMP] = ACTIONS(1588),
    [anon_sym_or] = ACTIONS(1588),
    [anon_sym_and] = ACTIONS(1586),
    [anon_sym_EQ_EQ] = ACTIONS(1586),
    [anon_sym_BANG_EQ] = ACTIONS(1586),
    [anon_sym_GT] = ACTIONS(1588),
    [anon_sym_GT_EQ] = ACTIONS(1586),
    [anon_sym_LT_EQ] = ACTIONS(1586),
    [anon_sym_LT] = ACTIONS(1588),
    [anon_sym_CARET] = ACTIONS(1588),
    [anon_sym_orelse] = ACTIONS(1586),
    [anon_sym_LT_LT] = ACTIONS(1588),
    [anon_sym_GT_GT] = ACTIONS(1588),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1588),
    [anon_sym_PLUS_PIPE] = ACTIONS(1588),
    [anon_sym_DASH_PIPE] = ACTIONS(1588),
    [anon_sym_SLASH] = ACTIONS(1588),
    [anon_sym_PERCENT] = ACTIONS(1588),
    [anon_sym_STAR_STAR] = ACTIONS(1586),
    [anon_sym_STAR_PERCENT] = ACTIONS(1588),
    [anon_sym_STAR_PIPE] = ACTIONS(1588),
    [anon_sym_PIPE_PIPE] = ACTIONS(1586),
    [anon_sym_catch] = ACTIONS(1586),
    [anon_sym_EQ_GT] = ACTIONS(1586),
    [anon_sym_DOT] = ACTIONS(1588),
    [anon_sym_DOT_STAR] = ACTIONS(1586),
    [anon_sym_DOT_QMARK] = ACTIONS(1586),
    [sym_comment] = ACTIONS(3),
  },
  [876] = {
    [ts_builtin_sym_end] = ACTIONS(1590),
    [anon_sym_COMMA] = ACTIONS(1590),
    [anon_sym_COLON] = ACTIONS(1590),
    [anon_sym_EQ] = ACTIONS(1592),
    [anon_sym_SEMI] = ACTIONS(1590),
    [anon_sym_STAR_EQ] = ACTIONS(1590),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1590),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1590),
    [anon_sym_SLASH_EQ] = ACTIONS(1590),
    [anon_sym_PERCENT_EQ] = ACTIONS(1590),
    [anon_sym_PLUS_EQ] = ACTIONS(1590),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1590),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1590),
    [anon_sym_DASH_EQ] = ACTIONS(1590),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1590),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1590),
    [anon_sym_LT_LT_EQ] = ACTIONS(1590),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1590),
    [anon_sym_GT_GT_EQ] = ACTIONS(1590),
    [anon_sym_AMP_EQ] = ACTIONS(1590),
    [anon_sym_CARET_EQ] = ACTIONS(1590),
    [anon_sym_PIPE_EQ] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1590),
    [anon_sym_RPAREN] = ACTIONS(1590),
    [anon_sym_LBRACE] = ACTIONS(1590),
    [anon_sym_RBRACE] = ACTIONS(1590),
    [anon_sym_else] = ACTIONS(1590),
    [anon_sym_DOT_DOT] = ACTIONS(1590),
    [anon_sym_PIPE] = ACTIONS(1592),
    [anon_sym_STAR] = ACTIONS(1592),
    [anon_sym_align] = ACTIONS(1590),
    [anon_sym_addrspace] = ACTIONS(1590),
    [anon_sym_linksection] = ACTIONS(1590),
    [anon_sym_LBRACK] = ACTIONS(1590),
    [anon_sym_RBRACK] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1592),
    [anon_sym_DASH_PERCENT] = ACTIONS(1592),
    [anon_sym_AMP] = ACTIONS(1592),
    [anon_sym_or] = ACTIONS(1592),
    [anon_sym_and] = ACTIONS(1590),
    [anon_sym_EQ_EQ] = ACTIONS(1590),
    [anon_sym_BANG_EQ] = ACTIONS(1590),
    [anon_sym_GT] = ACTIONS(1592),
    [anon_sym_GT_EQ] = ACTIONS(1590),
    [anon_sym_LT_EQ] = ACTIONS(1590),
    [anon_sym_LT] = ACTIONS(1592),
    [anon_sym_CARET] = ACTIONS(1592),
    [anon_sym_orelse] = ACTIONS(1590),
    [anon_sym_LT_LT] = ACTIONS(1592),
    [anon_sym_GT_GT] = ACTIONS(1592),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1592),
    [anon_sym_PLUS] = ACTIONS(1592),
    [anon_sym_PLUS_PLUS] = ACTIONS(1590),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1592),
    [anon_sym_PLUS_PIPE] = ACTIONS(1592),
    [anon_sym_DASH_PIPE] = ACTIONS(1592),
    [anon_sym_SLASH] = ACTIONS(1592),
    [anon_sym_PERCENT] = ACTIONS(1592),
    [anon_sym_STAR_STAR] = ACTIONS(1590),
    [anon_sym_STAR_PERCENT] = ACTIONS(1592),
    [anon_sym_STAR_PIPE] = ACTIONS(1592),
    [anon_sym_PIPE_PIPE] = ACTIONS(1590),
    [anon_sym_catch] = ACTIONS(1590),
    [anon_sym_EQ_GT] = ACTIONS(1590),
    [anon_sym_DOT] = ACTIONS(1592),
    [anon_sym_DOT_STAR] = ACTIONS(1590),
    [anon_sym_DOT_QMARK] = ACTIONS(1590),
    [sym_comment] = ACTIONS(3),
  },
  [877] = {
    [ts_builtin_sym_end] = ACTIONS(1594),
    [anon_sym_COMMA] = ACTIONS(1594),
    [anon_sym_COLON] = ACTIONS(1594),
    [anon_sym_EQ] = ACTIONS(1596),
    [anon_sym_SEMI] = ACTIONS(1594),
    [anon_sym_STAR_EQ] = ACTIONS(1594),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1594),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1594),
    [anon_sym_SLASH_EQ] = ACTIONS(1594),
    [anon_sym_PERCENT_EQ] = ACTIONS(1594),
    [anon_sym_PLUS_EQ] = ACTIONS(1594),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1594),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1594),
    [anon_sym_DASH_EQ] = ACTIONS(1594),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1594),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1594),
    [anon_sym_LT_LT_EQ] = ACTIONS(1594),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1594),
    [anon_sym_GT_GT_EQ] = ACTIONS(1594),
    [anon_sym_AMP_EQ] = ACTIONS(1594),
    [anon_sym_CARET_EQ] = ACTIONS(1594),
    [anon_sym_PIPE_EQ] = ACTIONS(1594),
    [anon_sym_BANG] = ACTIONS(1596),
    [anon_sym_LPAREN] = ACTIONS(1594),
    [anon_sym_RPAREN] = ACTIONS(1594),
    [anon_sym_LBRACE] = ACTIONS(1594),
    [anon_sym_RBRACE] = ACTIONS(1594),
    [anon_sym_else] = ACTIONS(1594),
    [anon_sym_DOT_DOT] = ACTIONS(1594),
    [anon_sym_PIPE] = ACTIONS(1596),
    [anon_sym_STAR] = ACTIONS(1596),
    [anon_sym_align] = ACTIONS(1594),
    [anon_sym_addrspace] = ACTIONS(1594),
    [anon_sym_linksection] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1594),
    [anon_sym_RBRACK] = ACTIONS(1594),
    [anon_sym_DASH] = ACTIONS(1596),
    [anon_sym_DASH_PERCENT] = ACTIONS(1596),
    [anon_sym_AMP] = ACTIONS(1596),
    [anon_sym_or] = ACTIONS(1596),
    [anon_sym_and] = ACTIONS(1594),
    [anon_sym_EQ_EQ] = ACTIONS(1594),
    [anon_sym_BANG_EQ] = ACTIONS(1594),
    [anon_sym_GT] = ACTIONS(1596),
    [anon_sym_GT_EQ] = ACTIONS(1594),
    [anon_sym_LT_EQ] = ACTIONS(1594),
    [anon_sym_LT] = ACTIONS(1596),
    [anon_sym_CARET] = ACTIONS(1596),
    [anon_sym_orelse] = ACTIONS(1594),
    [anon_sym_LT_LT] = ACTIONS(1596),
    [anon_sym_GT_GT] = ACTIONS(1596),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1596),
    [anon_sym_PLUS] = ACTIONS(1596),
    [anon_sym_PLUS_PLUS] = ACTIONS(1594),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1596),
    [anon_sym_PLUS_PIPE] = ACTIONS(1596),
    [anon_sym_DASH_PIPE] = ACTIONS(1596),
    [anon_sym_SLASH] = ACTIONS(1596),
    [anon_sym_PERCENT] = ACTIONS(1596),
    [anon_sym_STAR_STAR] = ACTIONS(1594),
    [anon_sym_STAR_PERCENT] = ACTIONS(1596),
    [anon_sym_STAR_PIPE] = ACTIONS(1596),
    [anon_sym_PIPE_PIPE] = ACTIONS(1594),
    [anon_sym_catch] = ACTIONS(1594),
    [anon_sym_EQ_GT] = ACTIONS(1594),
    [anon_sym_DOT] = ACTIONS(1596),
    [anon_sym_DOT_STAR] = ACTIONS(1594),
    [anon_sym_DOT_QMARK] = ACTIONS(1594),
    [sym_comment] = ACTIONS(3),
  },
  [878] = {
    [ts_builtin_sym_end] = ACTIONS(1598),
    [anon_sym_COMMA] = ACTIONS(1598),
    [anon_sym_COLON] = ACTIONS(1598),
    [anon_sym_EQ] = ACTIONS(1600),
    [anon_sym_SEMI] = ACTIONS(1598),
    [anon_sym_STAR_EQ] = ACTIONS(1598),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1598),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1598),
    [anon_sym_SLASH_EQ] = ACTIONS(1598),
    [anon_sym_PERCENT_EQ] = ACTIONS(1598),
    [anon_sym_PLUS_EQ] = ACTIONS(1598),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1598),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1598),
    [anon_sym_DASH_EQ] = ACTIONS(1598),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1598),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1598),
    [anon_sym_LT_LT_EQ] = ACTIONS(1598),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1598),
    [anon_sym_GT_GT_EQ] = ACTIONS(1598),
    [anon_sym_AMP_EQ] = ACTIONS(1598),
    [anon_sym_CARET_EQ] = ACTIONS(1598),
    [anon_sym_PIPE_EQ] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1600),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_RPAREN] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1598),
    [anon_sym_RBRACE] = ACTIONS(1598),
    [anon_sym_else] = ACTIONS(1598),
    [anon_sym_DOT_DOT] = ACTIONS(1598),
    [anon_sym_PIPE] = ACTIONS(1600),
    [anon_sym_STAR] = ACTIONS(1600),
    [anon_sym_align] = ACTIONS(1598),
    [anon_sym_addrspace] = ACTIONS(1598),
    [anon_sym_linksection] = ACTIONS(1598),
    [anon_sym_LBRACK] = ACTIONS(1598),
    [anon_sym_RBRACK] = ACTIONS(1598),
    [anon_sym_DASH] = ACTIONS(1600),
    [anon_sym_DASH_PERCENT] = ACTIONS(1600),
    [anon_sym_AMP] = ACTIONS(1600),
    [anon_sym_or] = ACTIONS(1600),
    [anon_sym_and] = ACTIONS(1598),
    [anon_sym_EQ_EQ] = ACTIONS(1598),
    [anon_sym_BANG_EQ] = ACTIONS(1598),
    [anon_sym_GT] = ACTIONS(1600),
    [anon_sym_GT_EQ] = ACTIONS(1598),
    [anon_sym_LT_EQ] = ACTIONS(1598),
    [anon_sym_LT] = ACTIONS(1600),
    [anon_sym_CARET] = ACTIONS(1600),
    [anon_sym_orelse] = ACTIONS(1598),
    [anon_sym_LT_LT] = ACTIONS(1600),
    [anon_sym_GT_GT] = ACTIONS(1600),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1600),
    [anon_sym_PLUS_PLUS] = ACTIONS(1598),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1600),
    [anon_sym_PLUS_PIPE] = ACTIONS(1600),
    [anon_sym_DASH_PIPE] = ACTIONS(1600),
    [anon_sym_SLASH] = ACTIONS(1600),
    [anon_sym_PERCENT] = ACTIONS(1600),
    [anon_sym_STAR_STAR] = ACTIONS(1598),
    [anon_sym_STAR_PERCENT] = ACTIONS(1600),
    [anon_sym_STAR_PIPE] = ACTIONS(1600),
    [anon_sym_PIPE_PIPE] = ACTIONS(1598),
    [anon_sym_catch] = ACTIONS(1598),
    [anon_sym_EQ_GT] = ACTIONS(1598),
    [anon_sym_DOT] = ACTIONS(1600),
    [anon_sym_DOT_STAR] = ACTIONS(1598),
    [anon_sym_DOT_QMARK] = ACTIONS(1598),
    [sym_comment] = ACTIONS(3),
  },
  [879] = {
    [ts_builtin_sym_end] = ACTIONS(1602),
    [anon_sym_COMMA] = ACTIONS(1602),
    [anon_sym_COLON] = ACTIONS(1602),
    [anon_sym_EQ] = ACTIONS(1604),
    [anon_sym_SEMI] = ACTIONS(1602),
    [anon_sym_STAR_EQ] = ACTIONS(1602),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1602),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1602),
    [anon_sym_SLASH_EQ] = ACTIONS(1602),
    [anon_sym_PERCENT_EQ] = ACTIONS(1602),
    [anon_sym_PLUS_EQ] = ACTIONS(1602),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1602),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1602),
    [anon_sym_DASH_EQ] = ACTIONS(1602),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1602),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1602),
    [anon_sym_LT_LT_EQ] = ACTIONS(1602),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1602),
    [anon_sym_GT_GT_EQ] = ACTIONS(1602),
    [anon_sym_AMP_EQ] = ACTIONS(1602),
    [anon_sym_CARET_EQ] = ACTIONS(1602),
    [anon_sym_PIPE_EQ] = ACTIONS(1602),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(1602),
    [anon_sym_RPAREN] = ACTIONS(1602),
    [anon_sym_LBRACE] = ACTIONS(1602),
    [anon_sym_RBRACE] = ACTIONS(1602),
    [anon_sym_else] = ACTIONS(1602),
    [anon_sym_DOT_DOT] = ACTIONS(1602),
    [anon_sym_PIPE] = ACTIONS(1604),
    [anon_sym_STAR] = ACTIONS(1604),
    [anon_sym_align] = ACTIONS(1602),
    [anon_sym_addrspace] = ACTIONS(1602),
    [anon_sym_linksection] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1602),
    [anon_sym_RBRACK] = ACTIONS(1602),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_DASH_PERCENT] = ACTIONS(1604),
    [anon_sym_AMP] = ACTIONS(1604),
    [anon_sym_or] = ACTIONS(1604),
    [anon_sym_and] = ACTIONS(1602),
    [anon_sym_EQ_EQ] = ACTIONS(1602),
    [anon_sym_BANG_EQ] = ACTIONS(1602),
    [anon_sym_GT] = ACTIONS(1604),
    [anon_sym_GT_EQ] = ACTIONS(1602),
    [anon_sym_LT_EQ] = ACTIONS(1602),
    [anon_sym_LT] = ACTIONS(1604),
    [anon_sym_CARET] = ACTIONS(1604),
    [anon_sym_orelse] = ACTIONS(1602),
    [anon_sym_LT_LT] = ACTIONS(1604),
    [anon_sym_GT_GT] = ACTIONS(1604),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1604),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1602),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1604),
    [anon_sym_PLUS_PIPE] = ACTIONS(1604),
    [anon_sym_DASH_PIPE] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1604),
    [anon_sym_PERCENT] = ACTIONS(1604),
    [anon_sym_STAR_STAR] = ACTIONS(1602),
    [anon_sym_STAR_PERCENT] = ACTIONS(1604),
    [anon_sym_STAR_PIPE] = ACTIONS(1604),
    [anon_sym_PIPE_PIPE] = ACTIONS(1602),
    [anon_sym_catch] = ACTIONS(1602),
    [anon_sym_EQ_GT] = ACTIONS(1602),
    [anon_sym_DOT] = ACTIONS(1604),
    [anon_sym_DOT_STAR] = ACTIONS(1602),
    [anon_sym_DOT_QMARK] = ACTIONS(1602),
    [sym_comment] = ACTIONS(3),
  },
  [880] = {
    [ts_builtin_sym_end] = ACTIONS(1606),
    [anon_sym_COMMA] = ACTIONS(1606),
    [anon_sym_COLON] = ACTIONS(1606),
    [anon_sym_EQ] = ACTIONS(1608),
    [anon_sym_SEMI] = ACTIONS(1606),
    [anon_sym_STAR_EQ] = ACTIONS(1606),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1606),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1606),
    [anon_sym_SLASH_EQ] = ACTIONS(1606),
    [anon_sym_PERCENT_EQ] = ACTIONS(1606),
    [anon_sym_PLUS_EQ] = ACTIONS(1606),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1606),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1606),
    [anon_sym_DASH_EQ] = ACTIONS(1606),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1606),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1606),
    [anon_sym_LT_LT_EQ] = ACTIONS(1606),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1606),
    [anon_sym_GT_GT_EQ] = ACTIONS(1606),
    [anon_sym_AMP_EQ] = ACTIONS(1606),
    [anon_sym_CARET_EQ] = ACTIONS(1606),
    [anon_sym_PIPE_EQ] = ACTIONS(1606),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_RPAREN] = ACTIONS(1606),
    [anon_sym_LBRACE] = ACTIONS(1606),
    [anon_sym_RBRACE] = ACTIONS(1606),
    [anon_sym_else] = ACTIONS(1606),
    [anon_sym_DOT_DOT] = ACTIONS(1606),
    [anon_sym_PIPE] = ACTIONS(1608),
    [anon_sym_STAR] = ACTIONS(1608),
    [anon_sym_align] = ACTIONS(1606),
    [anon_sym_addrspace] = ACTIONS(1606),
    [anon_sym_linksection] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1606),
    [anon_sym_RBRACK] = ACTIONS(1606),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_DASH_PERCENT] = ACTIONS(1608),
    [anon_sym_AMP] = ACTIONS(1608),
    [anon_sym_or] = ACTIONS(1608),
    [anon_sym_and] = ACTIONS(1606),
    [anon_sym_EQ_EQ] = ACTIONS(1606),
    [anon_sym_BANG_EQ] = ACTIONS(1606),
    [anon_sym_GT] = ACTIONS(1608),
    [anon_sym_GT_EQ] = ACTIONS(1606),
    [anon_sym_LT_EQ] = ACTIONS(1606),
    [anon_sym_LT] = ACTIONS(1608),
    [anon_sym_CARET] = ACTIONS(1608),
    [anon_sym_orelse] = ACTIONS(1606),
    [anon_sym_LT_LT] = ACTIONS(1608),
    [anon_sym_GT_GT] = ACTIONS(1608),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1608),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1608),
    [anon_sym_PLUS_PIPE] = ACTIONS(1608),
    [anon_sym_DASH_PIPE] = ACTIONS(1608),
    [anon_sym_SLASH] = ACTIONS(1608),
    [anon_sym_PERCENT] = ACTIONS(1608),
    [anon_sym_STAR_STAR] = ACTIONS(1606),
    [anon_sym_STAR_PERCENT] = ACTIONS(1608),
    [anon_sym_STAR_PIPE] = ACTIONS(1608),
    [anon_sym_PIPE_PIPE] = ACTIONS(1606),
    [anon_sym_catch] = ACTIONS(1606),
    [anon_sym_EQ_GT] = ACTIONS(1606),
    [anon_sym_DOT] = ACTIONS(1608),
    [anon_sym_DOT_STAR] = ACTIONS(1606),
    [anon_sym_DOT_QMARK] = ACTIONS(1606),
    [sym_comment] = ACTIONS(3),
  },
  [881] = {
    [ts_builtin_sym_end] = ACTIONS(1610),
    [anon_sym_COMMA] = ACTIONS(1610),
    [anon_sym_COLON] = ACTIONS(1610),
    [anon_sym_EQ] = ACTIONS(1612),
    [anon_sym_SEMI] = ACTIONS(1610),
    [anon_sym_STAR_EQ] = ACTIONS(1610),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1610),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1610),
    [anon_sym_SLASH_EQ] = ACTIONS(1610),
    [anon_sym_PERCENT_EQ] = ACTIONS(1610),
    [anon_sym_PLUS_EQ] = ACTIONS(1610),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1610),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1610),
    [anon_sym_DASH_EQ] = ACTIONS(1610),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1610),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1610),
    [anon_sym_LT_LT_EQ] = ACTIONS(1610),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1610),
    [anon_sym_GT_GT_EQ] = ACTIONS(1610),
    [anon_sym_AMP_EQ] = ACTIONS(1610),
    [anon_sym_CARET_EQ] = ACTIONS(1610),
    [anon_sym_PIPE_EQ] = ACTIONS(1610),
    [anon_sym_BANG] = ACTIONS(1612),
    [anon_sym_LPAREN] = ACTIONS(1610),
    [anon_sym_RPAREN] = ACTIONS(1610),
    [anon_sym_LBRACE] = ACTIONS(1610),
    [anon_sym_RBRACE] = ACTIONS(1610),
    [anon_sym_else] = ACTIONS(1610),
    [anon_sym_DOT_DOT] = ACTIONS(1610),
    [anon_sym_PIPE] = ACTIONS(1612),
    [anon_sym_STAR] = ACTIONS(1612),
    [anon_sym_align] = ACTIONS(1610),
    [anon_sym_addrspace] = ACTIONS(1610),
    [anon_sym_linksection] = ACTIONS(1610),
    [anon_sym_LBRACK] = ACTIONS(1610),
    [anon_sym_RBRACK] = ACTIONS(1610),
    [anon_sym_DASH] = ACTIONS(1612),
    [anon_sym_DASH_PERCENT] = ACTIONS(1612),
    [anon_sym_AMP] = ACTIONS(1612),
    [anon_sym_or] = ACTIONS(1612),
    [anon_sym_and] = ACTIONS(1610),
    [anon_sym_EQ_EQ] = ACTIONS(1610),
    [anon_sym_BANG_EQ] = ACTIONS(1610),
    [anon_sym_GT] = ACTIONS(1612),
    [anon_sym_GT_EQ] = ACTIONS(1610),
    [anon_sym_LT_EQ] = ACTIONS(1610),
    [anon_sym_LT] = ACTIONS(1612),
    [anon_sym_CARET] = ACTIONS(1612),
    [anon_sym_orelse] = ACTIONS(1610),
    [anon_sym_LT_LT] = ACTIONS(1612),
    [anon_sym_GT_GT] = ACTIONS(1612),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1612),
    [anon_sym_PLUS] = ACTIONS(1612),
    [anon_sym_PLUS_PLUS] = ACTIONS(1610),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1612),
    [anon_sym_PLUS_PIPE] = ACTIONS(1612),
    [anon_sym_DASH_PIPE] = ACTIONS(1612),
    [anon_sym_SLASH] = ACTIONS(1612),
    [anon_sym_PERCENT] = ACTIONS(1612),
    [anon_sym_STAR_STAR] = ACTIONS(1610),
    [anon_sym_STAR_PERCENT] = ACTIONS(1612),
    [anon_sym_STAR_PIPE] = ACTIONS(1612),
    [anon_sym_PIPE_PIPE] = ACTIONS(1610),
    [anon_sym_catch] = ACTIONS(1610),
    [anon_sym_EQ_GT] = ACTIONS(1610),
    [anon_sym_DOT] = ACTIONS(1612),
    [anon_sym_DOT_STAR] = ACTIONS(1610),
    [anon_sym_DOT_QMARK] = ACTIONS(1610),
    [sym_comment] = ACTIONS(3),
  },
  [882] = {
    [ts_builtin_sym_end] = ACTIONS(1614),
    [anon_sym_COMMA] = ACTIONS(1614),
    [anon_sym_COLON] = ACTIONS(1614),
    [anon_sym_EQ] = ACTIONS(1616),
    [anon_sym_SEMI] = ACTIONS(1614),
    [anon_sym_STAR_EQ] = ACTIONS(1614),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1614),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1614),
    [anon_sym_SLASH_EQ] = ACTIONS(1614),
    [anon_sym_PERCENT_EQ] = ACTIONS(1614),
    [anon_sym_PLUS_EQ] = ACTIONS(1614),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1614),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1614),
    [anon_sym_DASH_EQ] = ACTIONS(1614),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1614),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1614),
    [anon_sym_LT_LT_EQ] = ACTIONS(1614),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1614),
    [anon_sym_GT_GT_EQ] = ACTIONS(1614),
    [anon_sym_AMP_EQ] = ACTIONS(1614),
    [anon_sym_CARET_EQ] = ACTIONS(1614),
    [anon_sym_PIPE_EQ] = ACTIONS(1614),
    [anon_sym_BANG] = ACTIONS(1616),
    [anon_sym_LPAREN] = ACTIONS(1614),
    [anon_sym_RPAREN] = ACTIONS(1614),
    [anon_sym_LBRACE] = ACTIONS(1614),
    [anon_sym_RBRACE] = ACTIONS(1614),
    [anon_sym_else] = ACTIONS(1614),
    [anon_sym_DOT_DOT] = ACTIONS(1614),
    [anon_sym_PIPE] = ACTIONS(1616),
    [anon_sym_STAR] = ACTIONS(1616),
    [anon_sym_align] = ACTIONS(1614),
    [anon_sym_addrspace] = ACTIONS(1614),
    [anon_sym_linksection] = ACTIONS(1614),
    [anon_sym_LBRACK] = ACTIONS(1614),
    [anon_sym_RBRACK] = ACTIONS(1614),
    [anon_sym_DASH] = ACTIONS(1616),
    [anon_sym_DASH_PERCENT] = ACTIONS(1616),
    [anon_sym_AMP] = ACTIONS(1616),
    [anon_sym_or] = ACTIONS(1616),
    [anon_sym_and] = ACTIONS(1614),
    [anon_sym_EQ_EQ] = ACTIONS(1614),
    [anon_sym_BANG_EQ] = ACTIONS(1614),
    [anon_sym_GT] = ACTIONS(1616),
    [anon_sym_GT_EQ] = ACTIONS(1614),
    [anon_sym_LT_EQ] = ACTIONS(1614),
    [anon_sym_LT] = ACTIONS(1616),
    [anon_sym_CARET] = ACTIONS(1616),
    [anon_sym_orelse] = ACTIONS(1614),
    [anon_sym_LT_LT] = ACTIONS(1616),
    [anon_sym_GT_GT] = ACTIONS(1616),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1616),
    [anon_sym_PLUS] = ACTIONS(1616),
    [anon_sym_PLUS_PLUS] = ACTIONS(1614),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1616),
    [anon_sym_PLUS_PIPE] = ACTIONS(1616),
    [anon_sym_DASH_PIPE] = ACTIONS(1616),
    [anon_sym_SLASH] = ACTIONS(1616),
    [anon_sym_PERCENT] = ACTIONS(1616),
    [anon_sym_STAR_STAR] = ACTIONS(1614),
    [anon_sym_STAR_PERCENT] = ACTIONS(1616),
    [anon_sym_STAR_PIPE] = ACTIONS(1616),
    [anon_sym_PIPE_PIPE] = ACTIONS(1614),
    [anon_sym_catch] = ACTIONS(1614),
    [anon_sym_EQ_GT] = ACTIONS(1614),
    [anon_sym_DOT] = ACTIONS(1616),
    [anon_sym_DOT_STAR] = ACTIONS(1614),
    [anon_sym_DOT_QMARK] = ACTIONS(1614),
    [sym_comment] = ACTIONS(3),
  },
  [883] = {
    [ts_builtin_sym_end] = ACTIONS(963),
    [anon_sym_COMMA] = ACTIONS(963),
    [anon_sym_EQ] = ACTIONS(961),
    [anon_sym_SEMI] = ACTIONS(963),
    [anon_sym_STAR_EQ] = ACTIONS(963),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(963),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(963),
    [anon_sym_SLASH_EQ] = ACTIONS(963),
    [anon_sym_PERCENT_EQ] = ACTIONS(963),
    [anon_sym_PLUS_EQ] = ACTIONS(963),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(963),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(963),
    [anon_sym_DASH_EQ] = ACTIONS(963),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(963),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(963),
    [anon_sym_LT_LT_EQ] = ACTIONS(963),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(963),
    [anon_sym_GT_GT_EQ] = ACTIONS(963),
    [anon_sym_AMP_EQ] = ACTIONS(963),
    [anon_sym_CARET_EQ] = ACTIONS(963),
    [anon_sym_PIPE_EQ] = ACTIONS(963),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(963),
    [anon_sym_RPAREN] = ACTIONS(963),
    [anon_sym_LBRACE] = ACTIONS(963),
    [anon_sym_RBRACE] = ACTIONS(963),
    [anon_sym_else] = ACTIONS(963),
    [anon_sym_DOT_DOT] = ACTIONS(963),
    [anon_sym_PIPE] = ACTIONS(961),
    [anon_sym_STAR] = ACTIONS(961),
    [anon_sym_align] = ACTIONS(963),
    [anon_sym_addrspace] = ACTIONS(963),
    [anon_sym_linksection] = ACTIONS(963),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_RBRACK] = ACTIONS(963),
    [anon_sym_DASH] = ACTIONS(961),
    [anon_sym_DASH_PERCENT] = ACTIONS(961),
    [anon_sym_AMP] = ACTIONS(961),
    [anon_sym_or] = ACTIONS(961),
    [anon_sym_and] = ACTIONS(963),
    [anon_sym_EQ_EQ] = ACTIONS(963),
    [anon_sym_BANG_EQ] = ACTIONS(963),
    [anon_sym_GT] = ACTIONS(961),
    [anon_sym_GT_EQ] = ACTIONS(963),
    [anon_sym_LT_EQ] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(961),
    [anon_sym_CARET] = ACTIONS(961),
    [anon_sym_orelse] = ACTIONS(963),
    [anon_sym_LT_LT] = ACTIONS(961),
    [anon_sym_GT_GT] = ACTIONS(961),
    [anon_sym_LT_LT_PIPE] = ACTIONS(961),
    [anon_sym_PLUS] = ACTIONS(961),
    [anon_sym_PLUS_PLUS] = ACTIONS(963),
    [anon_sym_PLUS_PERCENT] = ACTIONS(961),
    [anon_sym_PLUS_PIPE] = ACTIONS(961),
    [anon_sym_DASH_PIPE] = ACTIONS(961),
    [anon_sym_SLASH] = ACTIONS(961),
    [anon_sym_PERCENT] = ACTIONS(961),
    [anon_sym_STAR_STAR] = ACTIONS(963),
    [anon_sym_STAR_PERCENT] = ACTIONS(961),
    [anon_sym_STAR_PIPE] = ACTIONS(961),
    [anon_sym_PIPE_PIPE] = ACTIONS(963),
    [anon_sym_catch] = ACTIONS(963),
    [anon_sym_EQ_GT] = ACTIONS(963),
    [anon_sym_DOT] = ACTIONS(961),
    [anon_sym_DOT_STAR] = ACTIONS(963),
    [anon_sym_DOT_QMARK] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
  },
  [884] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [anon_sym_STAR_EQ] = ACTIONS(1360),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1360),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1360),
    [anon_sym_SLASH_EQ] = ACTIONS(1360),
    [anon_sym_PERCENT_EQ] = ACTIONS(1360),
    [anon_sym_PLUS_EQ] = ACTIONS(1360),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1360),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1360),
    [anon_sym_DASH_EQ] = ACTIONS(1360),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1360),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1360),
    [anon_sym_GT_GT_EQ] = ACTIONS(1360),
    [anon_sym_AMP_EQ] = ACTIONS(1360),
    [anon_sym_CARET_EQ] = ACTIONS(1360),
    [anon_sym_PIPE_EQ] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [anon_sym_RPAREN] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_RBRACE] = ACTIONS(1360),
    [anon_sym_else] = ACTIONS(1360),
    [anon_sym_DOT_DOT] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1362),
    [anon_sym_align] = ACTIONS(1360),
    [anon_sym_addrspace] = ACTIONS(1360),
    [anon_sym_linksection] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [anon_sym_RBRACK] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_DASH_PERCENT] = ACTIONS(1362),
    [anon_sym_AMP] = ACTIONS(1362),
    [anon_sym_or] = ACTIONS(1362),
    [anon_sym_and] = ACTIONS(1360),
    [anon_sym_EQ_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_GT] = ACTIONS(1362),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_CARET] = ACTIONS(1362),
    [anon_sym_orelse] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1362),
    [anon_sym_GT_GT] = ACTIONS(1362),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1362),
    [anon_sym_PLUS_PIPE] = ACTIONS(1362),
    [anon_sym_DASH_PIPE] = ACTIONS(1362),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PERCENT] = ACTIONS(1362),
    [anon_sym_STAR_STAR] = ACTIONS(1360),
    [anon_sym_STAR_PERCENT] = ACTIONS(1362),
    [anon_sym_STAR_PIPE] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_catch] = ACTIONS(1360),
    [anon_sym_EQ_GT] = ACTIONS(1360),
    [anon_sym_DOT] = ACTIONS(1362),
    [anon_sym_DOT_STAR] = ACTIONS(1360),
    [anon_sym_DOT_QMARK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [885] = {
    [ts_builtin_sym_end] = ACTIONS(1620),
    [anon_sym_COMMA] = ACTIONS(1620),
    [anon_sym_EQ] = ACTIONS(1622),
    [anon_sym_SEMI] = ACTIONS(1620),
    [anon_sym_STAR_EQ] = ACTIONS(1625),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1625),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1625),
    [anon_sym_SLASH_EQ] = ACTIONS(1625),
    [anon_sym_PERCENT_EQ] = ACTIONS(1625),
    [anon_sym_PLUS_EQ] = ACTIONS(1625),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1625),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1625),
    [anon_sym_DASH_EQ] = ACTIONS(1625),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1625),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1625),
    [anon_sym_LT_LT_EQ] = ACTIONS(1625),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1625),
    [anon_sym_GT_GT_EQ] = ACTIONS(1625),
    [anon_sym_AMP_EQ] = ACTIONS(1625),
    [anon_sym_CARET_EQ] = ACTIONS(1625),
    [anon_sym_PIPE_EQ] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_RPAREN] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1620),
    [anon_sym_RBRACE] = ACTIONS(1620),
    [anon_sym_else] = ACTIONS(1620),
    [anon_sym_DOT_DOT] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1622),
    [anon_sym_STAR] = ACTIONS(1622),
    [anon_sym_align] = ACTIONS(1620),
    [anon_sym_addrspace] = ACTIONS(1620),
    [anon_sym_linksection] = ACTIONS(1620),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [anon_sym_RBRACK] = ACTIONS(1620),
    [anon_sym_DASH] = ACTIONS(1622),
    [anon_sym_DASH_PERCENT] = ACTIONS(1622),
    [anon_sym_AMP] = ACTIONS(1622),
    [anon_sym_or] = ACTIONS(1622),
    [anon_sym_and] = ACTIONS(1625),
    [anon_sym_EQ_EQ] = ACTIONS(1625),
    [anon_sym_BANG_EQ] = ACTIONS(1625),
    [anon_sym_GT] = ACTIONS(1622),
    [anon_sym_GT_EQ] = ACTIONS(1625),
    [anon_sym_LT_EQ] = ACTIONS(1625),
    [anon_sym_LT] = ACTIONS(1622),
    [anon_sym_CARET] = ACTIONS(1622),
    [anon_sym_orelse] = ACTIONS(1625),
    [anon_sym_LT_LT] = ACTIONS(1622),
    [anon_sym_GT_GT] = ACTIONS(1622),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1622),
    [anon_sym_PLUS] = ACTIONS(1622),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1622),
    [anon_sym_PLUS_PIPE] = ACTIONS(1622),
    [anon_sym_DASH_PIPE] = ACTIONS(1622),
    [anon_sym_SLASH] = ACTIONS(1622),
    [anon_sym_PERCENT] = ACTIONS(1622),
    [anon_sym_STAR_STAR] = ACTIONS(1625),
    [anon_sym_STAR_PERCENT] = ACTIONS(1622),
    [anon_sym_STAR_PIPE] = ACTIONS(1622),
    [anon_sym_PIPE_PIPE] = ACTIONS(1625),
    [anon_sym_catch] = ACTIONS(1625),
    [anon_sym_EQ_GT] = ACTIONS(1620),
    [anon_sym_DOT] = ACTIONS(1622),
    [anon_sym_DOT_STAR] = ACTIONS(1625),
    [anon_sym_DOT_QMARK] = ACTIONS(1625),
    [sym_comment] = ACTIONS(3),
  },
  [886] = {
    [ts_builtin_sym_end] = ACTIONS(1628),
    [anon_sym_COMMA] = ACTIONS(1628),
    [anon_sym_EQ] = ACTIONS(1630),
    [anon_sym_SEMI] = ACTIONS(1628),
    [anon_sym_STAR_EQ] = ACTIONS(1628),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1628),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1628),
    [anon_sym_SLASH_EQ] = ACTIONS(1628),
    [anon_sym_PERCENT_EQ] = ACTIONS(1628),
    [anon_sym_PLUS_EQ] = ACTIONS(1628),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1628),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1628),
    [anon_sym_DASH_EQ] = ACTIONS(1628),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1628),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1628),
    [anon_sym_LT_LT_EQ] = ACTIONS(1628),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1628),
    [anon_sym_GT_GT_EQ] = ACTIONS(1628),
    [anon_sym_AMP_EQ] = ACTIONS(1628),
    [anon_sym_CARET_EQ] = ACTIONS(1628),
    [anon_sym_PIPE_EQ] = ACTIONS(1628),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1628),
    [anon_sym_RPAREN] = ACTIONS(1628),
    [anon_sym_LBRACE] = ACTIONS(1628),
    [anon_sym_RBRACE] = ACTIONS(1628),
    [anon_sym_else] = ACTIONS(1628),
    [anon_sym_DOT_DOT] = ACTIONS(1628),
    [anon_sym_PIPE] = ACTIONS(1630),
    [anon_sym_STAR] = ACTIONS(1630),
    [anon_sym_align] = ACTIONS(1628),
    [anon_sym_addrspace] = ACTIONS(1628),
    [anon_sym_linksection] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1628),
    [anon_sym_RBRACK] = ACTIONS(1628),
    [anon_sym_DASH] = ACTIONS(1630),
    [anon_sym_DASH_PERCENT] = ACTIONS(1630),
    [anon_sym_AMP] = ACTIONS(1630),
    [anon_sym_or] = ACTIONS(1630),
    [anon_sym_and] = ACTIONS(1628),
    [anon_sym_EQ_EQ] = ACTIONS(1628),
    [anon_sym_BANG_EQ] = ACTIONS(1628),
    [anon_sym_GT] = ACTIONS(1630),
    [anon_sym_GT_EQ] = ACTIONS(1628),
    [anon_sym_LT_EQ] = ACTIONS(1628),
    [anon_sym_LT] = ACTIONS(1630),
    [anon_sym_CARET] = ACTIONS(1630),
    [anon_sym_orelse] = ACTIONS(1628),
    [anon_sym_LT_LT] = ACTIONS(1630),
    [anon_sym_GT_GT] = ACTIONS(1630),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1630),
    [anon_sym_PLUS] = ACTIONS(1630),
    [anon_sym_PLUS_PLUS] = ACTIONS(1628),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1630),
    [anon_sym_PLUS_PIPE] = ACTIONS(1630),
    [anon_sym_DASH_PIPE] = ACTIONS(1630),
    [anon_sym_SLASH] = ACTIONS(1630),
    [anon_sym_PERCENT] = ACTIONS(1630),
    [anon_sym_STAR_STAR] = ACTIONS(1628),
    [anon_sym_STAR_PERCENT] = ACTIONS(1630),
    [anon_sym_STAR_PIPE] = ACTIONS(1630),
    [anon_sym_PIPE_PIPE] = ACTIONS(1628),
    [anon_sym_catch] = ACTIONS(1628),
    [anon_sym_EQ_GT] = ACTIONS(1628),
    [anon_sym_DOT] = ACTIONS(1630),
    [anon_sym_DOT_STAR] = ACTIONS(1628),
    [anon_sym_DOT_QMARK] = ACTIONS(1628),
    [sym_comment] = ACTIONS(3),
  },
  [887] = {
    [ts_builtin_sym_end] = ACTIONS(1632),
    [anon_sym_COMMA] = ACTIONS(1632),
    [anon_sym_EQ] = ACTIONS(1634),
    [anon_sym_SEMI] = ACTIONS(1632),
    [anon_sym_STAR_EQ] = ACTIONS(1637),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1637),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1637),
    [anon_sym_SLASH_EQ] = ACTIONS(1637),
    [anon_sym_PERCENT_EQ] = ACTIONS(1637),
    [anon_sym_PLUS_EQ] = ACTIONS(1637),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1637),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1637),
    [anon_sym_DASH_EQ] = ACTIONS(1637),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1637),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1637),
    [anon_sym_LT_LT_EQ] = ACTIONS(1637),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1637),
    [anon_sym_GT_GT_EQ] = ACTIONS(1637),
    [anon_sym_AMP_EQ] = ACTIONS(1637),
    [anon_sym_CARET_EQ] = ACTIONS(1637),
    [anon_sym_PIPE_EQ] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1637),
    [anon_sym_RPAREN] = ACTIONS(1632),
    [anon_sym_LBRACE] = ACTIONS(1632),
    [anon_sym_RBRACE] = ACTIONS(1632),
    [anon_sym_else] = ACTIONS(1632),
    [anon_sym_DOT_DOT] = ACTIONS(1637),
    [anon_sym_PIPE] = ACTIONS(1634),
    [anon_sym_STAR] = ACTIONS(1634),
    [anon_sym_align] = ACTIONS(1632),
    [anon_sym_addrspace] = ACTIONS(1632),
    [anon_sym_linksection] = ACTIONS(1632),
    [anon_sym_LBRACK] = ACTIONS(1637),
    [anon_sym_RBRACK] = ACTIONS(1632),
    [anon_sym_DASH] = ACTIONS(1634),
    [anon_sym_DASH_PERCENT] = ACTIONS(1634),
    [anon_sym_AMP] = ACTIONS(1634),
    [anon_sym_or] = ACTIONS(1634),
    [anon_sym_and] = ACTIONS(1637),
    [anon_sym_EQ_EQ] = ACTIONS(1637),
    [anon_sym_BANG_EQ] = ACTIONS(1637),
    [anon_sym_GT] = ACTIONS(1634),
    [anon_sym_GT_EQ] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(1634),
    [anon_sym_CARET] = ACTIONS(1634),
    [anon_sym_orelse] = ACTIONS(1637),
    [anon_sym_LT_LT] = ACTIONS(1634),
    [anon_sym_GT_GT] = ACTIONS(1634),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1634),
    [anon_sym_PLUS_PLUS] = ACTIONS(1637),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1634),
    [anon_sym_PLUS_PIPE] = ACTIONS(1634),
    [anon_sym_DASH_PIPE] = ACTIONS(1634),
    [anon_sym_SLASH] = ACTIONS(1634),
    [anon_sym_PERCENT] = ACTIONS(1634),
    [anon_sym_STAR_STAR] = ACTIONS(1637),
    [anon_sym_STAR_PERCENT] = ACTIONS(1634),
    [anon_sym_STAR_PIPE] = ACTIONS(1634),
    [anon_sym_PIPE_PIPE] = ACTIONS(1637),
    [anon_sym_catch] = ACTIONS(1637),
    [anon_sym_EQ_GT] = ACTIONS(1632),
    [anon_sym_DOT] = ACTIONS(1634),
    [anon_sym_DOT_STAR] = ACTIONS(1637),
    [anon_sym_DOT_QMARK] = ACTIONS(1637),
    [sym_comment] = ACTIONS(3),
  },
  [888] = {
    [ts_builtin_sym_end] = ACTIONS(1640),
    [anon_sym_COMMA] = ACTIONS(1640),
    [anon_sym_EQ] = ACTIONS(1642),
    [anon_sym_SEMI] = ACTIONS(1640),
    [anon_sym_STAR_EQ] = ACTIONS(1640),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1640),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1640),
    [anon_sym_SLASH_EQ] = ACTIONS(1640),
    [anon_sym_PERCENT_EQ] = ACTIONS(1640),
    [anon_sym_PLUS_EQ] = ACTIONS(1640),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1640),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1640),
    [anon_sym_DASH_EQ] = ACTIONS(1640),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1640),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1640),
    [anon_sym_LT_LT_EQ] = ACTIONS(1640),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1640),
    [anon_sym_GT_GT_EQ] = ACTIONS(1640),
    [anon_sym_AMP_EQ] = ACTIONS(1640),
    [anon_sym_CARET_EQ] = ACTIONS(1640),
    [anon_sym_PIPE_EQ] = ACTIONS(1640),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1640),
    [anon_sym_RPAREN] = ACTIONS(1640),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym_RBRACE] = ACTIONS(1640),
    [anon_sym_else] = ACTIONS(1640),
    [anon_sym_DOT_DOT] = ACTIONS(1640),
    [anon_sym_PIPE] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_align] = ACTIONS(1640),
    [anon_sym_addrspace] = ACTIONS(1640),
    [anon_sym_linksection] = ACTIONS(1640),
    [anon_sym_LBRACK] = ACTIONS(1640),
    [anon_sym_RBRACK] = ACTIONS(1640),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_DASH_PERCENT] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(1642),
    [anon_sym_or] = ACTIONS(1642),
    [anon_sym_and] = ACTIONS(1640),
    [anon_sym_EQ_EQ] = ACTIONS(1640),
    [anon_sym_BANG_EQ] = ACTIONS(1640),
    [anon_sym_GT] = ACTIONS(1642),
    [anon_sym_GT_EQ] = ACTIONS(1640),
    [anon_sym_LT_EQ] = ACTIONS(1640),
    [anon_sym_LT] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_orelse] = ACTIONS(1640),
    [anon_sym_LT_LT] = ACTIONS(1642),
    [anon_sym_GT_GT] = ACTIONS(1642),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1642),
    [anon_sym_PLUS_PIPE] = ACTIONS(1642),
    [anon_sym_DASH_PIPE] = ACTIONS(1642),
    [anon_sym_SLASH] = ACTIONS(1642),
    [anon_sym_PERCENT] = ACTIONS(1642),
    [anon_sym_STAR_STAR] = ACTIONS(1640),
    [anon_sym_STAR_PERCENT] = ACTIONS(1642),
    [anon_sym_STAR_PIPE] = ACTIONS(1642),
    [anon_sym_PIPE_PIPE] = ACTIONS(1640),
    [anon_sym_catch] = ACTIONS(1640),
    [anon_sym_EQ_GT] = ACTIONS(1640),
    [anon_sym_DOT] = ACTIONS(1642),
    [anon_sym_DOT_STAR] = ACTIONS(1640),
    [anon_sym_DOT_QMARK] = ACTIONS(1640),
    [sym_comment] = ACTIONS(3),
  },
  [889] = {
    [ts_builtin_sym_end] = ACTIONS(1644),
    [anon_sym_COMMA] = ACTIONS(1644),
    [anon_sym_EQ] = ACTIONS(1646),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym_STAR_EQ] = ACTIONS(1644),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1644),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1644),
    [anon_sym_SLASH_EQ] = ACTIONS(1644),
    [anon_sym_PERCENT_EQ] = ACTIONS(1644),
    [anon_sym_PLUS_EQ] = ACTIONS(1644),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1644),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1644),
    [anon_sym_DASH_EQ] = ACTIONS(1644),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1644),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1644),
    [anon_sym_LT_LT_EQ] = ACTIONS(1644),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1644),
    [anon_sym_GT_GT_EQ] = ACTIONS(1644),
    [anon_sym_AMP_EQ] = ACTIONS(1644),
    [anon_sym_CARET_EQ] = ACTIONS(1644),
    [anon_sym_PIPE_EQ] = ACTIONS(1644),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1644),
    [anon_sym_RPAREN] = ACTIONS(1644),
    [anon_sym_LBRACE] = ACTIONS(1644),
    [anon_sym_RBRACE] = ACTIONS(1644),
    [anon_sym_else] = ACTIONS(1644),
    [anon_sym_DOT_DOT] = ACTIONS(1644),
    [anon_sym_PIPE] = ACTIONS(1646),
    [anon_sym_STAR] = ACTIONS(1646),
    [anon_sym_align] = ACTIONS(1644),
    [anon_sym_addrspace] = ACTIONS(1644),
    [anon_sym_linksection] = ACTIONS(1644),
    [anon_sym_LBRACK] = ACTIONS(1644),
    [anon_sym_RBRACK] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1646),
    [anon_sym_DASH_PERCENT] = ACTIONS(1646),
    [anon_sym_AMP] = ACTIONS(1646),
    [anon_sym_or] = ACTIONS(1646),
    [anon_sym_and] = ACTIONS(1644),
    [anon_sym_EQ_EQ] = ACTIONS(1644),
    [anon_sym_BANG_EQ] = ACTIONS(1644),
    [anon_sym_GT] = ACTIONS(1646),
    [anon_sym_GT_EQ] = ACTIONS(1644),
    [anon_sym_LT_EQ] = ACTIONS(1644),
    [anon_sym_LT] = ACTIONS(1646),
    [anon_sym_CARET] = ACTIONS(1646),
    [anon_sym_orelse] = ACTIONS(1644),
    [anon_sym_LT_LT] = ACTIONS(1646),
    [anon_sym_GT_GT] = ACTIONS(1646),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1646),
    [anon_sym_PLUS] = ACTIONS(1646),
    [anon_sym_PLUS_PLUS] = ACTIONS(1644),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1646),
    [anon_sym_PLUS_PIPE] = ACTIONS(1646),
    [anon_sym_DASH_PIPE] = ACTIONS(1646),
    [anon_sym_SLASH] = ACTIONS(1646),
    [anon_sym_PERCENT] = ACTIONS(1646),
    [anon_sym_STAR_STAR] = ACTIONS(1644),
    [anon_sym_STAR_PERCENT] = ACTIONS(1646),
    [anon_sym_STAR_PIPE] = ACTIONS(1646),
    [anon_sym_PIPE_PIPE] = ACTIONS(1644),
    [anon_sym_catch] = ACTIONS(1644),
    [anon_sym_EQ_GT] = ACTIONS(1644),
    [anon_sym_DOT] = ACTIONS(1646),
    [anon_sym_DOT_STAR] = ACTIONS(1644),
    [anon_sym_DOT_QMARK] = ACTIONS(1644),
    [sym_comment] = ACTIONS(3),
  },
  [890] = {
    [ts_builtin_sym_end] = ACTIONS(1648),
    [anon_sym_COMMA] = ACTIONS(1648),
    [anon_sym_EQ] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1648),
    [anon_sym_STAR_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_SLASH_EQ] = ACTIONS(1652),
    [anon_sym_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_DASH_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_GT_GT_EQ] = ACTIONS(1652),
    [anon_sym_AMP_EQ] = ACTIONS(1652),
    [anon_sym_CARET_EQ] = ACTIONS(1652),
    [anon_sym_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_BANG] = ACTIONS(1654),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1648),
    [anon_sym_RBRACE] = ACTIONS(1648),
    [anon_sym_else] = ACTIONS(1658),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1648),
    [anon_sym_addrspace] = ACTIONS(1648),
    [anon_sym_linksection] = ACTIONS(1648),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1670),
    [anon_sym_and] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1674),
    [anon_sym_BANG_EQ] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1674),
    [anon_sym_LT_EQ] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1648),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [891] = {
    [ts_builtin_sym_end] = ACTIONS(1694),
    [anon_sym_COMMA] = ACTIONS(1694),
    [anon_sym_EQ] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1694),
    [anon_sym_STAR_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_SLASH_EQ] = ACTIONS(1652),
    [anon_sym_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_DASH_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_GT_GT_EQ] = ACTIONS(1652),
    [anon_sym_AMP_EQ] = ACTIONS(1652),
    [anon_sym_CARET_EQ] = ACTIONS(1652),
    [anon_sym_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1694),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym_RBRACE] = ACTIONS(1694),
    [anon_sym_else] = ACTIONS(1698),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1694),
    [anon_sym_addrspace] = ACTIONS(1694),
    [anon_sym_linksection] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1694),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1670),
    [anon_sym_and] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1674),
    [anon_sym_BANG_EQ] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1674),
    [anon_sym_LT_EQ] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1694),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [892] = {
    [ts_builtin_sym_end] = ACTIONS(1700),
    [anon_sym_COMMA] = ACTIONS(1700),
    [anon_sym_EQ] = ACTIONS(1702),
    [anon_sym_SEMI] = ACTIONS(1700),
    [anon_sym_STAR_EQ] = ACTIONS(1700),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1700),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1700),
    [anon_sym_SLASH_EQ] = ACTIONS(1700),
    [anon_sym_PERCENT_EQ] = ACTIONS(1700),
    [anon_sym_PLUS_EQ] = ACTIONS(1700),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1700),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1700),
    [anon_sym_DASH_EQ] = ACTIONS(1700),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1700),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1700),
    [anon_sym_LT_LT_EQ] = ACTIONS(1700),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1700),
    [anon_sym_GT_GT_EQ] = ACTIONS(1700),
    [anon_sym_AMP_EQ] = ACTIONS(1700),
    [anon_sym_CARET_EQ] = ACTIONS(1700),
    [anon_sym_PIPE_EQ] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1702),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1700),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_RBRACE] = ACTIONS(1700),
    [anon_sym_else] = ACTIONS(1700),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1702),
    [anon_sym_STAR] = ACTIONS(1702),
    [anon_sym_align] = ACTIONS(1700),
    [anon_sym_addrspace] = ACTIONS(1700),
    [anon_sym_linksection] = ACTIONS(1700),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1702),
    [anon_sym_DASH_PERCENT] = ACTIONS(1702),
    [anon_sym_AMP] = ACTIONS(1702),
    [anon_sym_or] = ACTIONS(1702),
    [anon_sym_and] = ACTIONS(1700),
    [anon_sym_EQ_EQ] = ACTIONS(1700),
    [anon_sym_BANG_EQ] = ACTIONS(1700),
    [anon_sym_GT] = ACTIONS(1702),
    [anon_sym_GT_EQ] = ACTIONS(1700),
    [anon_sym_LT_EQ] = ACTIONS(1700),
    [anon_sym_LT] = ACTIONS(1702),
    [anon_sym_CARET] = ACTIONS(1702),
    [anon_sym_orelse] = ACTIONS(1700),
    [anon_sym_LT_LT] = ACTIONS(1702),
    [anon_sym_GT_GT] = ACTIONS(1702),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1702),
    [anon_sym_PLUS] = ACTIONS(1702),
    [anon_sym_PLUS_PLUS] = ACTIONS(1700),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1702),
    [anon_sym_PLUS_PIPE] = ACTIONS(1702),
    [anon_sym_DASH_PIPE] = ACTIONS(1702),
    [anon_sym_SLASH] = ACTIONS(1702),
    [anon_sym_PERCENT] = ACTIONS(1702),
    [anon_sym_STAR_STAR] = ACTIONS(1700),
    [anon_sym_STAR_PERCENT] = ACTIONS(1702),
    [anon_sym_STAR_PIPE] = ACTIONS(1702),
    [anon_sym_PIPE_PIPE] = ACTIONS(1700),
    [anon_sym_catch] = ACTIONS(1700),
    [anon_sym_EQ_GT] = ACTIONS(1700),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [893] = {
    [ts_builtin_sym_end] = ACTIONS(1704),
    [anon_sym_COMMA] = ACTIONS(1704),
    [anon_sym_EQ] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1704),
    [anon_sym_STAR_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_SLASH_EQ] = ACTIONS(1652),
    [anon_sym_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_DASH_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_GT_GT_EQ] = ACTIONS(1652),
    [anon_sym_AMP_EQ] = ACTIONS(1652),
    [anon_sym_CARET_EQ] = ACTIONS(1652),
    [anon_sym_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1704),
    [anon_sym_RBRACE] = ACTIONS(1704),
    [anon_sym_else] = ACTIONS(1704),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1704),
    [anon_sym_addrspace] = ACTIONS(1704),
    [anon_sym_linksection] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1704),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1670),
    [anon_sym_and] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1674),
    [anon_sym_BANG_EQ] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1674),
    [anon_sym_LT_EQ] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1704),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [894] = {
    [ts_builtin_sym_end] = ACTIONS(1708),
    [anon_sym_COMMA] = ACTIONS(1708),
    [anon_sym_EQ] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1708),
    [anon_sym_STAR_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_SLASH_EQ] = ACTIONS(1652),
    [anon_sym_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_DASH_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_GT_GT_EQ] = ACTIONS(1652),
    [anon_sym_AMP_EQ] = ACTIONS(1652),
    [anon_sym_CARET_EQ] = ACTIONS(1652),
    [anon_sym_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1708),
    [anon_sym_RBRACE] = ACTIONS(1708),
    [anon_sym_else] = ACTIONS(1708),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1708),
    [anon_sym_addrspace] = ACTIONS(1708),
    [anon_sym_linksection] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1708),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1670),
    [anon_sym_and] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1674),
    [anon_sym_BANG_EQ] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1674),
    [anon_sym_LT_EQ] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1708),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [895] = {
    [ts_builtin_sym_end] = ACTIONS(1712),
    [anon_sym_COMMA] = ACTIONS(1712),
    [anon_sym_EQ] = ACTIONS(1714),
    [anon_sym_SEMI] = ACTIONS(1712),
    [anon_sym_STAR_EQ] = ACTIONS(1712),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1712),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1712),
    [anon_sym_SLASH_EQ] = ACTIONS(1712),
    [anon_sym_PERCENT_EQ] = ACTIONS(1712),
    [anon_sym_PLUS_EQ] = ACTIONS(1712),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1712),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1712),
    [anon_sym_DASH_EQ] = ACTIONS(1712),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1712),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1712),
    [anon_sym_LT_LT_EQ] = ACTIONS(1712),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1712),
    [anon_sym_GT_GT_EQ] = ACTIONS(1712),
    [anon_sym_AMP_EQ] = ACTIONS(1712),
    [anon_sym_CARET_EQ] = ACTIONS(1712),
    [anon_sym_PIPE_EQ] = ACTIONS(1712),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1712),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym_RBRACE] = ACTIONS(1712),
    [anon_sym_else] = ACTIONS(1712),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1712),
    [anon_sym_addrspace] = ACTIONS(1712),
    [anon_sym_linksection] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1712),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1714),
    [anon_sym_or] = ACTIONS(1714),
    [anon_sym_and] = ACTIONS(1712),
    [anon_sym_EQ_EQ] = ACTIONS(1712),
    [anon_sym_BANG_EQ] = ACTIONS(1712),
    [anon_sym_GT] = ACTIONS(1714),
    [anon_sym_GT_EQ] = ACTIONS(1712),
    [anon_sym_LT_EQ] = ACTIONS(1712),
    [anon_sym_LT] = ACTIONS(1714),
    [anon_sym_CARET] = ACTIONS(1714),
    [anon_sym_orelse] = ACTIONS(1712),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1712),
    [anon_sym_EQ_GT] = ACTIONS(1712),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [896] = {
    [ts_builtin_sym_end] = ACTIONS(1712),
    [anon_sym_COMMA] = ACTIONS(1712),
    [anon_sym_EQ] = ACTIONS(1714),
    [anon_sym_SEMI] = ACTIONS(1712),
    [anon_sym_STAR_EQ] = ACTIONS(1712),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1712),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1712),
    [anon_sym_SLASH_EQ] = ACTIONS(1712),
    [anon_sym_PERCENT_EQ] = ACTIONS(1712),
    [anon_sym_PLUS_EQ] = ACTIONS(1712),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1712),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1712),
    [anon_sym_DASH_EQ] = ACTIONS(1712),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1712),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1712),
    [anon_sym_LT_LT_EQ] = ACTIONS(1712),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1712),
    [anon_sym_GT_GT_EQ] = ACTIONS(1712),
    [anon_sym_AMP_EQ] = ACTIONS(1712),
    [anon_sym_CARET_EQ] = ACTIONS(1712),
    [anon_sym_PIPE_EQ] = ACTIONS(1712),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1712),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym_RBRACE] = ACTIONS(1712),
    [anon_sym_else] = ACTIONS(1712),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1712),
    [anon_sym_addrspace] = ACTIONS(1712),
    [anon_sym_linksection] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1712),
    [anon_sym_DASH] = ACTIONS(1714),
    [anon_sym_DASH_PERCENT] = ACTIONS(1714),
    [anon_sym_AMP] = ACTIONS(1714),
    [anon_sym_or] = ACTIONS(1714),
    [anon_sym_and] = ACTIONS(1712),
    [anon_sym_EQ_EQ] = ACTIONS(1712),
    [anon_sym_BANG_EQ] = ACTIONS(1712),
    [anon_sym_GT] = ACTIONS(1714),
    [anon_sym_GT_EQ] = ACTIONS(1712),
    [anon_sym_LT_EQ] = ACTIONS(1712),
    [anon_sym_LT] = ACTIONS(1714),
    [anon_sym_CARET] = ACTIONS(1714),
    [anon_sym_orelse] = ACTIONS(1712),
    [anon_sym_LT_LT] = ACTIONS(1714),
    [anon_sym_GT_GT] = ACTIONS(1714),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1712),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1714),
    [anon_sym_PLUS_PIPE] = ACTIONS(1714),
    [anon_sym_DASH_PIPE] = ACTIONS(1714),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1712),
    [anon_sym_EQ_GT] = ACTIONS(1712),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [897] = {
    [ts_builtin_sym_end] = ACTIONS(1712),
    [anon_sym_COMMA] = ACTIONS(1712),
    [anon_sym_EQ] = ACTIONS(1714),
    [anon_sym_SEMI] = ACTIONS(1712),
    [anon_sym_STAR_EQ] = ACTIONS(1712),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1712),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1712),
    [anon_sym_SLASH_EQ] = ACTIONS(1712),
    [anon_sym_PERCENT_EQ] = ACTIONS(1712),
    [anon_sym_PLUS_EQ] = ACTIONS(1712),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1712),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1712),
    [anon_sym_DASH_EQ] = ACTIONS(1712),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1712),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1712),
    [anon_sym_LT_LT_EQ] = ACTIONS(1712),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1712),
    [anon_sym_GT_GT_EQ] = ACTIONS(1712),
    [anon_sym_AMP_EQ] = ACTIONS(1712),
    [anon_sym_CARET_EQ] = ACTIONS(1712),
    [anon_sym_PIPE_EQ] = ACTIONS(1712),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1712),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym_RBRACE] = ACTIONS(1712),
    [anon_sym_else] = ACTIONS(1712),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1712),
    [anon_sym_addrspace] = ACTIONS(1712),
    [anon_sym_linksection] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1712),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1714),
    [anon_sym_and] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1674),
    [anon_sym_BANG_EQ] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1674),
    [anon_sym_LT_EQ] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1712),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [898] = {
    [ts_builtin_sym_end] = ACTIONS(1712),
    [anon_sym_COMMA] = ACTIONS(1712),
    [anon_sym_EQ] = ACTIONS(1714),
    [anon_sym_SEMI] = ACTIONS(1712),
    [anon_sym_STAR_EQ] = ACTIONS(1712),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1712),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1712),
    [anon_sym_SLASH_EQ] = ACTIONS(1712),
    [anon_sym_PERCENT_EQ] = ACTIONS(1712),
    [anon_sym_PLUS_EQ] = ACTIONS(1712),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1712),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1712),
    [anon_sym_DASH_EQ] = ACTIONS(1712),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1712),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1712),
    [anon_sym_LT_LT_EQ] = ACTIONS(1712),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1712),
    [anon_sym_GT_GT_EQ] = ACTIONS(1712),
    [anon_sym_AMP_EQ] = ACTIONS(1712),
    [anon_sym_CARET_EQ] = ACTIONS(1712),
    [anon_sym_PIPE_EQ] = ACTIONS(1712),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1712),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym_RBRACE] = ACTIONS(1712),
    [anon_sym_else] = ACTIONS(1712),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1712),
    [anon_sym_addrspace] = ACTIONS(1712),
    [anon_sym_linksection] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1712),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1714),
    [anon_sym_and] = ACTIONS(1712),
    [anon_sym_EQ_EQ] = ACTIONS(1674),
    [anon_sym_BANG_EQ] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1674),
    [anon_sym_LT_EQ] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1712),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [899] = {
    [ts_builtin_sym_end] = ACTIONS(1712),
    [anon_sym_COMMA] = ACTIONS(1712),
    [anon_sym_EQ] = ACTIONS(1714),
    [anon_sym_SEMI] = ACTIONS(1712),
    [anon_sym_STAR_EQ] = ACTIONS(1712),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1712),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1712),
    [anon_sym_SLASH_EQ] = ACTIONS(1712),
    [anon_sym_PERCENT_EQ] = ACTIONS(1712),
    [anon_sym_PLUS_EQ] = ACTIONS(1712),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1712),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1712),
    [anon_sym_DASH_EQ] = ACTIONS(1712),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1712),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1712),
    [anon_sym_LT_LT_EQ] = ACTIONS(1712),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1712),
    [anon_sym_GT_GT_EQ] = ACTIONS(1712),
    [anon_sym_AMP_EQ] = ACTIONS(1712),
    [anon_sym_CARET_EQ] = ACTIONS(1712),
    [anon_sym_PIPE_EQ] = ACTIONS(1712),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1712),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym_RBRACE] = ACTIONS(1712),
    [anon_sym_else] = ACTIONS(1712),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1712),
    [anon_sym_addrspace] = ACTIONS(1712),
    [anon_sym_linksection] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1712),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1714),
    [anon_sym_and] = ACTIONS(1712),
    [anon_sym_EQ_EQ] = ACTIONS(1712),
    [anon_sym_BANG_EQ] = ACTIONS(1712),
    [anon_sym_GT] = ACTIONS(1714),
    [anon_sym_GT_EQ] = ACTIONS(1712),
    [anon_sym_LT_EQ] = ACTIONS(1712),
    [anon_sym_LT] = ACTIONS(1714),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1712),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [900] = {
    [ts_builtin_sym_end] = ACTIONS(1712),
    [anon_sym_COMMA] = ACTIONS(1712),
    [anon_sym_EQ] = ACTIONS(1714),
    [anon_sym_SEMI] = ACTIONS(1712),
    [anon_sym_STAR_EQ] = ACTIONS(1712),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1712),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1712),
    [anon_sym_SLASH_EQ] = ACTIONS(1712),
    [anon_sym_PERCENT_EQ] = ACTIONS(1712),
    [anon_sym_PLUS_EQ] = ACTIONS(1712),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1712),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1712),
    [anon_sym_DASH_EQ] = ACTIONS(1712),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1712),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1712),
    [anon_sym_LT_LT_EQ] = ACTIONS(1712),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1712),
    [anon_sym_GT_GT_EQ] = ACTIONS(1712),
    [anon_sym_AMP_EQ] = ACTIONS(1712),
    [anon_sym_CARET_EQ] = ACTIONS(1712),
    [anon_sym_PIPE_EQ] = ACTIONS(1712),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1712),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym_RBRACE] = ACTIONS(1712),
    [anon_sym_else] = ACTIONS(1712),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1712),
    [anon_sym_addrspace] = ACTIONS(1712),
    [anon_sym_linksection] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1712),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1714),
    [anon_sym_or] = ACTIONS(1714),
    [anon_sym_and] = ACTIONS(1712),
    [anon_sym_EQ_EQ] = ACTIONS(1712),
    [anon_sym_BANG_EQ] = ACTIONS(1712),
    [anon_sym_GT] = ACTIONS(1714),
    [anon_sym_GT_EQ] = ACTIONS(1712),
    [anon_sym_LT_EQ] = ACTIONS(1712),
    [anon_sym_LT] = ACTIONS(1714),
    [anon_sym_CARET] = ACTIONS(1714),
    [anon_sym_orelse] = ACTIONS(1712),
    [anon_sym_LT_LT] = ACTIONS(1714),
    [anon_sym_GT_GT] = ACTIONS(1714),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1712),
    [anon_sym_EQ_GT] = ACTIONS(1712),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [901] = {
    [ts_builtin_sym_end] = ACTIONS(1716),
    [anon_sym_COMMA] = ACTIONS(1716),
    [anon_sym_EQ] = ACTIONS(1718),
    [anon_sym_SEMI] = ACTIONS(1716),
    [anon_sym_STAR_EQ] = ACTIONS(1716),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1716),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1716),
    [anon_sym_SLASH_EQ] = ACTIONS(1716),
    [anon_sym_PERCENT_EQ] = ACTIONS(1716),
    [anon_sym_PLUS_EQ] = ACTIONS(1716),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1716),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1716),
    [anon_sym_DASH_EQ] = ACTIONS(1716),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1716),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1716),
    [anon_sym_LT_LT_EQ] = ACTIONS(1716),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1716),
    [anon_sym_GT_GT_EQ] = ACTIONS(1716),
    [anon_sym_AMP_EQ] = ACTIONS(1716),
    [anon_sym_CARET_EQ] = ACTIONS(1716),
    [anon_sym_PIPE_EQ] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1716),
    [anon_sym_RPAREN] = ACTIONS(1716),
    [anon_sym_LBRACE] = ACTIONS(1716),
    [anon_sym_RBRACE] = ACTIONS(1716),
    [anon_sym_else] = ACTIONS(1716),
    [anon_sym_DOT_DOT] = ACTIONS(1716),
    [anon_sym_PIPE] = ACTIONS(1718),
    [anon_sym_STAR] = ACTIONS(1718),
    [anon_sym_align] = ACTIONS(1716),
    [anon_sym_addrspace] = ACTIONS(1716),
    [anon_sym_linksection] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1716),
    [anon_sym_RBRACK] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1718),
    [anon_sym_DASH_PERCENT] = ACTIONS(1718),
    [anon_sym_AMP] = ACTIONS(1718),
    [anon_sym_or] = ACTIONS(1718),
    [anon_sym_and] = ACTIONS(1716),
    [anon_sym_EQ_EQ] = ACTIONS(1716),
    [anon_sym_BANG_EQ] = ACTIONS(1716),
    [anon_sym_GT] = ACTIONS(1718),
    [anon_sym_GT_EQ] = ACTIONS(1716),
    [anon_sym_LT_EQ] = ACTIONS(1716),
    [anon_sym_LT] = ACTIONS(1718),
    [anon_sym_CARET] = ACTIONS(1718),
    [anon_sym_orelse] = ACTIONS(1716),
    [anon_sym_LT_LT] = ACTIONS(1718),
    [anon_sym_GT_GT] = ACTIONS(1718),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1718),
    [anon_sym_PLUS] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1716),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1718),
    [anon_sym_PLUS_PIPE] = ACTIONS(1718),
    [anon_sym_DASH_PIPE] = ACTIONS(1718),
    [anon_sym_SLASH] = ACTIONS(1718),
    [anon_sym_PERCENT] = ACTIONS(1718),
    [anon_sym_STAR_STAR] = ACTIONS(1716),
    [anon_sym_STAR_PERCENT] = ACTIONS(1718),
    [anon_sym_STAR_PIPE] = ACTIONS(1718),
    [anon_sym_PIPE_PIPE] = ACTIONS(1716),
    [anon_sym_catch] = ACTIONS(1716),
    [anon_sym_EQ_GT] = ACTIONS(1716),
    [anon_sym_DOT] = ACTIONS(1718),
    [anon_sym_DOT_STAR] = ACTIONS(1716),
    [anon_sym_DOT_QMARK] = ACTIONS(1716),
    [sym_comment] = ACTIONS(3),
  },
  [902] = {
    [ts_builtin_sym_end] = ACTIONS(1720),
    [anon_sym_COMMA] = ACTIONS(1720),
    [anon_sym_EQ] = ACTIONS(1722),
    [anon_sym_SEMI] = ACTIONS(1720),
    [anon_sym_STAR_EQ] = ACTIONS(1720),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1720),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1720),
    [anon_sym_SLASH_EQ] = ACTIONS(1720),
    [anon_sym_PERCENT_EQ] = ACTIONS(1720),
    [anon_sym_PLUS_EQ] = ACTIONS(1720),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1720),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1720),
    [anon_sym_DASH_EQ] = ACTIONS(1720),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1720),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1720),
    [anon_sym_LT_LT_EQ] = ACTIONS(1720),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1720),
    [anon_sym_GT_GT_EQ] = ACTIONS(1720),
    [anon_sym_AMP_EQ] = ACTIONS(1720),
    [anon_sym_CARET_EQ] = ACTIONS(1720),
    [anon_sym_PIPE_EQ] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1722),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1720),
    [anon_sym_LBRACE] = ACTIONS(1720),
    [anon_sym_RBRACE] = ACTIONS(1720),
    [anon_sym_else] = ACTIONS(1720),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1720),
    [anon_sym_addrspace] = ACTIONS(1720),
    [anon_sym_linksection] = ACTIONS(1720),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1720),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1722),
    [anon_sym_and] = ACTIONS(1720),
    [anon_sym_EQ_EQ] = ACTIONS(1720),
    [anon_sym_BANG_EQ] = ACTIONS(1720),
    [anon_sym_GT] = ACTIONS(1722),
    [anon_sym_GT_EQ] = ACTIONS(1720),
    [anon_sym_LT_EQ] = ACTIONS(1720),
    [anon_sym_LT] = ACTIONS(1722),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1720),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [903] = {
    [ts_builtin_sym_end] = ACTIONS(1694),
    [anon_sym_COMMA] = ACTIONS(1694),
    [anon_sym_EQ] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1694),
    [anon_sym_STAR_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_SLASH_EQ] = ACTIONS(1652),
    [anon_sym_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_DASH_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_GT_GT_EQ] = ACTIONS(1652),
    [anon_sym_AMP_EQ] = ACTIONS(1652),
    [anon_sym_CARET_EQ] = ACTIONS(1652),
    [anon_sym_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1694),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym_RBRACE] = ACTIONS(1694),
    [anon_sym_else] = ACTIONS(1724),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1694),
    [anon_sym_addrspace] = ACTIONS(1694),
    [anon_sym_linksection] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1694),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1670),
    [anon_sym_and] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1674),
    [anon_sym_BANG_EQ] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1674),
    [anon_sym_LT_EQ] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1694),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [904] = {
    [ts_builtin_sym_end] = ACTIONS(1726),
    [anon_sym_COMMA] = ACTIONS(1726),
    [anon_sym_EQ] = ACTIONS(1728),
    [anon_sym_SEMI] = ACTIONS(1726),
    [anon_sym_STAR_EQ] = ACTIONS(1726),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1726),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1726),
    [anon_sym_SLASH_EQ] = ACTIONS(1726),
    [anon_sym_PERCENT_EQ] = ACTIONS(1726),
    [anon_sym_PLUS_EQ] = ACTIONS(1726),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1726),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1726),
    [anon_sym_DASH_EQ] = ACTIONS(1726),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1726),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1726),
    [anon_sym_LT_LT_EQ] = ACTIONS(1726),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1726),
    [anon_sym_GT_GT_EQ] = ACTIONS(1726),
    [anon_sym_AMP_EQ] = ACTIONS(1726),
    [anon_sym_CARET_EQ] = ACTIONS(1726),
    [anon_sym_PIPE_EQ] = ACTIONS(1726),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1726),
    [anon_sym_RPAREN] = ACTIONS(1726),
    [anon_sym_LBRACE] = ACTIONS(1726),
    [anon_sym_RBRACE] = ACTIONS(1726),
    [anon_sym_else] = ACTIONS(1726),
    [anon_sym_DOT_DOT] = ACTIONS(1726),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_STAR] = ACTIONS(1728),
    [anon_sym_align] = ACTIONS(1726),
    [anon_sym_addrspace] = ACTIONS(1726),
    [anon_sym_linksection] = ACTIONS(1726),
    [anon_sym_LBRACK] = ACTIONS(1726),
    [anon_sym_RBRACK] = ACTIONS(1726),
    [anon_sym_DASH] = ACTIONS(1728),
    [anon_sym_DASH_PERCENT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_or] = ACTIONS(1728),
    [anon_sym_and] = ACTIONS(1726),
    [anon_sym_EQ_EQ] = ACTIONS(1726),
    [anon_sym_BANG_EQ] = ACTIONS(1726),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1726),
    [anon_sym_LT_EQ] = ACTIONS(1726),
    [anon_sym_LT] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_orelse] = ACTIONS(1726),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_PLUS_PLUS] = ACTIONS(1726),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1728),
    [anon_sym_PLUS_PIPE] = ACTIONS(1728),
    [anon_sym_DASH_PIPE] = ACTIONS(1728),
    [anon_sym_SLASH] = ACTIONS(1728),
    [anon_sym_PERCENT] = ACTIONS(1728),
    [anon_sym_STAR_STAR] = ACTIONS(1726),
    [anon_sym_STAR_PERCENT] = ACTIONS(1728),
    [anon_sym_STAR_PIPE] = ACTIONS(1728),
    [anon_sym_PIPE_PIPE] = ACTIONS(1726),
    [anon_sym_catch] = ACTIONS(1726),
    [anon_sym_EQ_GT] = ACTIONS(1726),
    [anon_sym_DOT] = ACTIONS(1728),
    [anon_sym_DOT_STAR] = ACTIONS(1726),
    [anon_sym_DOT_QMARK] = ACTIONS(1726),
    [sym_comment] = ACTIONS(3),
  },
  [905] = {
    [ts_builtin_sym_end] = ACTIONS(1712),
    [anon_sym_COMMA] = ACTIONS(1712),
    [anon_sym_EQ] = ACTIONS(1714),
    [anon_sym_SEMI] = ACTIONS(1712),
    [anon_sym_STAR_EQ] = ACTIONS(1712),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1712),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1712),
    [anon_sym_SLASH_EQ] = ACTIONS(1712),
    [anon_sym_PERCENT_EQ] = ACTIONS(1712),
    [anon_sym_PLUS_EQ] = ACTIONS(1712),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1712),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1712),
    [anon_sym_DASH_EQ] = ACTIONS(1712),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1712),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1712),
    [anon_sym_LT_LT_EQ] = ACTIONS(1712),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1712),
    [anon_sym_GT_GT_EQ] = ACTIONS(1712),
    [anon_sym_AMP_EQ] = ACTIONS(1712),
    [anon_sym_CARET_EQ] = ACTIONS(1712),
    [anon_sym_PIPE_EQ] = ACTIONS(1712),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1712),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym_RBRACE] = ACTIONS(1712),
    [anon_sym_else] = ACTIONS(1712),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_STAR] = ACTIONS(1714),
    [anon_sym_align] = ACTIONS(1712),
    [anon_sym_addrspace] = ACTIONS(1712),
    [anon_sym_linksection] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1712),
    [anon_sym_DASH] = ACTIONS(1714),
    [anon_sym_DASH_PERCENT] = ACTIONS(1714),
    [anon_sym_AMP] = ACTIONS(1714),
    [anon_sym_or] = ACTIONS(1714),
    [anon_sym_and] = ACTIONS(1712),
    [anon_sym_EQ_EQ] = ACTIONS(1712),
    [anon_sym_BANG_EQ] = ACTIONS(1712),
    [anon_sym_GT] = ACTIONS(1714),
    [anon_sym_GT_EQ] = ACTIONS(1712),
    [anon_sym_LT_EQ] = ACTIONS(1712),
    [anon_sym_LT] = ACTIONS(1714),
    [anon_sym_CARET] = ACTIONS(1714),
    [anon_sym_orelse] = ACTIONS(1712),
    [anon_sym_LT_LT] = ACTIONS(1714),
    [anon_sym_GT_GT] = ACTIONS(1714),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1712),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1714),
    [anon_sym_PLUS_PIPE] = ACTIONS(1714),
    [anon_sym_DASH_PIPE] = ACTIONS(1714),
    [anon_sym_SLASH] = ACTIONS(1714),
    [anon_sym_PERCENT] = ACTIONS(1714),
    [anon_sym_STAR_STAR] = ACTIONS(1712),
    [anon_sym_STAR_PERCENT] = ACTIONS(1714),
    [anon_sym_STAR_PIPE] = ACTIONS(1714),
    [anon_sym_PIPE_PIPE] = ACTIONS(1712),
    [anon_sym_catch] = ACTIONS(1712),
    [anon_sym_EQ_GT] = ACTIONS(1712),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [906] = {
    [ts_builtin_sym_end] = ACTIONS(1730),
    [anon_sym_COMMA] = ACTIONS(1730),
    [anon_sym_EQ] = ACTIONS(1732),
    [anon_sym_SEMI] = ACTIONS(1730),
    [anon_sym_STAR_EQ] = ACTIONS(1730),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1730),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1730),
    [anon_sym_SLASH_EQ] = ACTIONS(1730),
    [anon_sym_PERCENT_EQ] = ACTIONS(1730),
    [anon_sym_PLUS_EQ] = ACTIONS(1730),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1730),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1730),
    [anon_sym_DASH_EQ] = ACTIONS(1730),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1730),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1730),
    [anon_sym_LT_LT_EQ] = ACTIONS(1730),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1730),
    [anon_sym_GT_GT_EQ] = ACTIONS(1730),
    [anon_sym_AMP_EQ] = ACTIONS(1730),
    [anon_sym_CARET_EQ] = ACTIONS(1730),
    [anon_sym_PIPE_EQ] = ACTIONS(1730),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1730),
    [anon_sym_RPAREN] = ACTIONS(1730),
    [anon_sym_LBRACE] = ACTIONS(1730),
    [anon_sym_RBRACE] = ACTIONS(1730),
    [anon_sym_else] = ACTIONS(1730),
    [anon_sym_DOT_DOT] = ACTIONS(1730),
    [anon_sym_PIPE] = ACTIONS(1732),
    [anon_sym_STAR] = ACTIONS(1732),
    [anon_sym_align] = ACTIONS(1730),
    [anon_sym_addrspace] = ACTIONS(1730),
    [anon_sym_linksection] = ACTIONS(1730),
    [anon_sym_LBRACK] = ACTIONS(1730),
    [anon_sym_RBRACK] = ACTIONS(1730),
    [anon_sym_DASH] = ACTIONS(1732),
    [anon_sym_DASH_PERCENT] = ACTIONS(1732),
    [anon_sym_AMP] = ACTIONS(1732),
    [anon_sym_or] = ACTIONS(1732),
    [anon_sym_and] = ACTIONS(1730),
    [anon_sym_EQ_EQ] = ACTIONS(1730),
    [anon_sym_BANG_EQ] = ACTIONS(1730),
    [anon_sym_GT] = ACTIONS(1732),
    [anon_sym_GT_EQ] = ACTIONS(1730),
    [anon_sym_LT_EQ] = ACTIONS(1730),
    [anon_sym_LT] = ACTIONS(1732),
    [anon_sym_CARET] = ACTIONS(1732),
    [anon_sym_orelse] = ACTIONS(1730),
    [anon_sym_LT_LT] = ACTIONS(1732),
    [anon_sym_GT_GT] = ACTIONS(1732),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1732),
    [anon_sym_PLUS] = ACTIONS(1732),
    [anon_sym_PLUS_PLUS] = ACTIONS(1730),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1732),
    [anon_sym_PLUS_PIPE] = ACTIONS(1732),
    [anon_sym_DASH_PIPE] = ACTIONS(1732),
    [anon_sym_SLASH] = ACTIONS(1732),
    [anon_sym_PERCENT] = ACTIONS(1732),
    [anon_sym_STAR_STAR] = ACTIONS(1730),
    [anon_sym_STAR_PERCENT] = ACTIONS(1732),
    [anon_sym_STAR_PIPE] = ACTIONS(1732),
    [anon_sym_PIPE_PIPE] = ACTIONS(1730),
    [anon_sym_catch] = ACTIONS(1730),
    [anon_sym_EQ_GT] = ACTIONS(1730),
    [anon_sym_DOT] = ACTIONS(1732),
    [anon_sym_DOT_STAR] = ACTIONS(1730),
    [anon_sym_DOT_QMARK] = ACTIONS(1730),
    [sym_comment] = ACTIONS(3),
  },
  [907] = {
    [ts_builtin_sym_end] = ACTIONS(1734),
    [anon_sym_COMMA] = ACTIONS(1734),
    [anon_sym_EQ] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1734),
    [anon_sym_STAR_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_SLASH_EQ] = ACTIONS(1652),
    [anon_sym_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_DASH_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_GT_GT_EQ] = ACTIONS(1652),
    [anon_sym_AMP_EQ] = ACTIONS(1652),
    [anon_sym_CARET_EQ] = ACTIONS(1652),
    [anon_sym_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_BANG] = ACTIONS(1736),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1734),
    [anon_sym_LBRACE] = ACTIONS(1734),
    [anon_sym_RBRACE] = ACTIONS(1734),
    [anon_sym_else] = ACTIONS(1734),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1734),
    [anon_sym_addrspace] = ACTIONS(1734),
    [anon_sym_linksection] = ACTIONS(1734),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1734),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1670),
    [anon_sym_and] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1674),
    [anon_sym_BANG_EQ] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1674),
    [anon_sym_LT_EQ] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1734),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [908] = {
    [ts_builtin_sym_end] = ACTIONS(1738),
    [anon_sym_COMMA] = ACTIONS(1738),
    [anon_sym_EQ] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1738),
    [anon_sym_STAR_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_SLASH_EQ] = ACTIONS(1652),
    [anon_sym_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_DASH_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_GT_GT_EQ] = ACTIONS(1652),
    [anon_sym_AMP_EQ] = ACTIONS(1652),
    [anon_sym_CARET_EQ] = ACTIONS(1652),
    [anon_sym_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1738),
    [anon_sym_LBRACE] = ACTIONS(1738),
    [anon_sym_RBRACE] = ACTIONS(1738),
    [anon_sym_else] = ACTIONS(1738),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1738),
    [anon_sym_addrspace] = ACTIONS(1738),
    [anon_sym_linksection] = ACTIONS(1738),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1670),
    [anon_sym_and] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1674),
    [anon_sym_BANG_EQ] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1674),
    [anon_sym_LT_EQ] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1738),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [909] = {
    [ts_builtin_sym_end] = ACTIONS(1742),
    [anon_sym_COMMA] = ACTIONS(1742),
    [anon_sym_EQ] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1742),
    [anon_sym_STAR_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_SLASH_EQ] = ACTIONS(1652),
    [anon_sym_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_DASH_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_GT_GT_EQ] = ACTIONS(1652),
    [anon_sym_AMP_EQ] = ACTIONS(1652),
    [anon_sym_CARET_EQ] = ACTIONS(1652),
    [anon_sym_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_BANG] = ACTIONS(1744),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1742),
    [anon_sym_LBRACE] = ACTIONS(1742),
    [anon_sym_RBRACE] = ACTIONS(1742),
    [anon_sym_else] = ACTIONS(1742),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1742),
    [anon_sym_addrspace] = ACTIONS(1742),
    [anon_sym_linksection] = ACTIONS(1742),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1742),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1670),
    [anon_sym_and] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1674),
    [anon_sym_BANG_EQ] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1674),
    [anon_sym_LT_EQ] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1742),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [910] = {
    [ts_builtin_sym_end] = ACTIONS(1746),
    [anon_sym_COMMA] = ACTIONS(1746),
    [anon_sym_EQ] = ACTIONS(1748),
    [anon_sym_SEMI] = ACTIONS(1746),
    [anon_sym_STAR_EQ] = ACTIONS(1746),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1746),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1746),
    [anon_sym_SLASH_EQ] = ACTIONS(1746),
    [anon_sym_PERCENT_EQ] = ACTIONS(1746),
    [anon_sym_PLUS_EQ] = ACTIONS(1746),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1746),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1746),
    [anon_sym_DASH_EQ] = ACTIONS(1746),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1746),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1746),
    [anon_sym_LT_LT_EQ] = ACTIONS(1746),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1746),
    [anon_sym_GT_GT_EQ] = ACTIONS(1746),
    [anon_sym_AMP_EQ] = ACTIONS(1746),
    [anon_sym_CARET_EQ] = ACTIONS(1746),
    [anon_sym_PIPE_EQ] = ACTIONS(1746),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1746),
    [anon_sym_LBRACE] = ACTIONS(1746),
    [anon_sym_RBRACE] = ACTIONS(1746),
    [anon_sym_else] = ACTIONS(1746),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1746),
    [anon_sym_addrspace] = ACTIONS(1746),
    [anon_sym_linksection] = ACTIONS(1746),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1748),
    [anon_sym_and] = ACTIONS(1746),
    [anon_sym_EQ_EQ] = ACTIONS(1746),
    [anon_sym_BANG_EQ] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1748),
    [anon_sym_GT_EQ] = ACTIONS(1746),
    [anon_sym_LT_EQ] = ACTIONS(1746),
    [anon_sym_LT] = ACTIONS(1748),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [911] = {
    [ts_builtin_sym_end] = ACTIONS(1738),
    [anon_sym_COMMA] = ACTIONS(1738),
    [anon_sym_EQ] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1738),
    [anon_sym_STAR_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_SLASH_EQ] = ACTIONS(1652),
    [anon_sym_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_DASH_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_GT_GT_EQ] = ACTIONS(1652),
    [anon_sym_AMP_EQ] = ACTIONS(1652),
    [anon_sym_CARET_EQ] = ACTIONS(1652),
    [anon_sym_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1738),
    [anon_sym_LBRACE] = ACTIONS(1738),
    [anon_sym_RBRACE] = ACTIONS(1738),
    [anon_sym_else] = ACTIONS(1750),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1738),
    [anon_sym_addrspace] = ACTIONS(1738),
    [anon_sym_linksection] = ACTIONS(1738),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1670),
    [anon_sym_and] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1674),
    [anon_sym_BANG_EQ] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1674),
    [anon_sym_LT_EQ] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1738),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [912] = {
    [ts_builtin_sym_end] = ACTIONS(1752),
    [anon_sym_COMMA] = ACTIONS(1752),
    [anon_sym_EQ] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1752),
    [anon_sym_STAR_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_SLASH_EQ] = ACTIONS(1652),
    [anon_sym_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_DASH_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_GT_GT_EQ] = ACTIONS(1652),
    [anon_sym_AMP_EQ] = ACTIONS(1652),
    [anon_sym_CARET_EQ] = ACTIONS(1652),
    [anon_sym_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_BANG] = ACTIONS(1754),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1752),
    [anon_sym_LBRACE] = ACTIONS(1752),
    [anon_sym_RBRACE] = ACTIONS(1752),
    [anon_sym_else] = ACTIONS(1756),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1752),
    [anon_sym_addrspace] = ACTIONS(1752),
    [anon_sym_linksection] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1752),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1670),
    [anon_sym_and] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1674),
    [anon_sym_BANG_EQ] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1674),
    [anon_sym_LT_EQ] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1752),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [913] = {
    [ts_builtin_sym_end] = ACTIONS(1758),
    [anon_sym_COMMA] = ACTIONS(1758),
    [anon_sym_EQ] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1758),
    [anon_sym_STAR_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_SLASH_EQ] = ACTIONS(1652),
    [anon_sym_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_DASH_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_GT_GT_EQ] = ACTIONS(1652),
    [anon_sym_AMP_EQ] = ACTIONS(1652),
    [anon_sym_CARET_EQ] = ACTIONS(1652),
    [anon_sym_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1758),
    [anon_sym_LBRACE] = ACTIONS(1758),
    [anon_sym_RBRACE] = ACTIONS(1758),
    [anon_sym_else] = ACTIONS(1758),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1758),
    [anon_sym_addrspace] = ACTIONS(1758),
    [anon_sym_linksection] = ACTIONS(1758),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1758),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1670),
    [anon_sym_and] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1674),
    [anon_sym_BANG_EQ] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1674),
    [anon_sym_LT_EQ] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1758),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [914] = {
    [ts_builtin_sym_end] = ACTIONS(1762),
    [anon_sym_COMMA] = ACTIONS(1762),
    [anon_sym_EQ] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1762),
    [anon_sym_STAR_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_SLASH_EQ] = ACTIONS(1652),
    [anon_sym_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_DASH_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_GT_GT_EQ] = ACTIONS(1652),
    [anon_sym_AMP_EQ] = ACTIONS(1652),
    [anon_sym_CARET_EQ] = ACTIONS(1652),
    [anon_sym_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_BANG] = ACTIONS(1764),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1762),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_RBRACE] = ACTIONS(1762),
    [anon_sym_else] = ACTIONS(1762),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1762),
    [anon_sym_addrspace] = ACTIONS(1762),
    [anon_sym_linksection] = ACTIONS(1762),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1762),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1670),
    [anon_sym_and] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1674),
    [anon_sym_BANG_EQ] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1674),
    [anon_sym_LT_EQ] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1762),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [915] = {
    [ts_builtin_sym_end] = ACTIONS(1578),
    [anon_sym_COMMA] = ACTIONS(1578),
    [anon_sym_EQ] = ACTIONS(1766),
    [anon_sym_SEMI] = ACTIONS(1578),
    [anon_sym_STAR_EQ] = ACTIONS(1769),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1769),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1769),
    [anon_sym_SLASH_EQ] = ACTIONS(1769),
    [anon_sym_PERCENT_EQ] = ACTIONS(1769),
    [anon_sym_PLUS_EQ] = ACTIONS(1769),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1769),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1769),
    [anon_sym_DASH_EQ] = ACTIONS(1769),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1769),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1769),
    [anon_sym_LT_LT_EQ] = ACTIONS(1769),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1769),
    [anon_sym_GT_GT_EQ] = ACTIONS(1769),
    [anon_sym_AMP_EQ] = ACTIONS(1769),
    [anon_sym_CARET_EQ] = ACTIONS(1769),
    [anon_sym_PIPE_EQ] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1769),
    [anon_sym_RPAREN] = ACTIONS(1578),
    [anon_sym_LBRACE] = ACTIONS(1578),
    [anon_sym_RBRACE] = ACTIONS(1578),
    [anon_sym_else] = ACTIONS(1578),
    [anon_sym_DOT_DOT] = ACTIONS(1769),
    [anon_sym_PIPE] = ACTIONS(1766),
    [anon_sym_STAR] = ACTIONS(1766),
    [anon_sym_align] = ACTIONS(1578),
    [anon_sym_addrspace] = ACTIONS(1578),
    [anon_sym_linksection] = ACTIONS(1578),
    [anon_sym_LBRACK] = ACTIONS(1769),
    [anon_sym_RBRACK] = ACTIONS(1578),
    [anon_sym_DASH] = ACTIONS(1766),
    [anon_sym_DASH_PERCENT] = ACTIONS(1766),
    [anon_sym_AMP] = ACTIONS(1766),
    [anon_sym_or] = ACTIONS(1766),
    [anon_sym_and] = ACTIONS(1769),
    [anon_sym_EQ_EQ] = ACTIONS(1769),
    [anon_sym_BANG_EQ] = ACTIONS(1769),
    [anon_sym_GT] = ACTIONS(1766),
    [anon_sym_GT_EQ] = ACTIONS(1769),
    [anon_sym_LT_EQ] = ACTIONS(1769),
    [anon_sym_LT] = ACTIONS(1766),
    [anon_sym_CARET] = ACTIONS(1766),
    [anon_sym_orelse] = ACTIONS(1769),
    [anon_sym_LT_LT] = ACTIONS(1766),
    [anon_sym_GT_GT] = ACTIONS(1766),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1766),
    [anon_sym_PLUS] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1769),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1766),
    [anon_sym_PLUS_PIPE] = ACTIONS(1766),
    [anon_sym_DASH_PIPE] = ACTIONS(1766),
    [anon_sym_SLASH] = ACTIONS(1766),
    [anon_sym_PERCENT] = ACTIONS(1766),
    [anon_sym_STAR_STAR] = ACTIONS(1769),
    [anon_sym_STAR_PERCENT] = ACTIONS(1766),
    [anon_sym_STAR_PIPE] = ACTIONS(1766),
    [anon_sym_PIPE_PIPE] = ACTIONS(1769),
    [anon_sym_catch] = ACTIONS(1769),
    [anon_sym_EQ_GT] = ACTIONS(1578),
    [anon_sym_DOT] = ACTIONS(1766),
    [anon_sym_DOT_STAR] = ACTIONS(1769),
    [anon_sym_DOT_QMARK] = ACTIONS(1769),
    [sym_comment] = ACTIONS(3),
  },
  [916] = {
    [ts_builtin_sym_end] = ACTIONS(1772),
    [anon_sym_COMMA] = ACTIONS(1772),
    [anon_sym_EQ] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1772),
    [anon_sym_STAR_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_SLASH_EQ] = ACTIONS(1652),
    [anon_sym_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_DASH_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_GT_GT_EQ] = ACTIONS(1652),
    [anon_sym_AMP_EQ] = ACTIONS(1652),
    [anon_sym_CARET_EQ] = ACTIONS(1652),
    [anon_sym_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_BANG] = ACTIONS(1774),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1772),
    [anon_sym_LBRACE] = ACTIONS(1772),
    [anon_sym_RBRACE] = ACTIONS(1772),
    [anon_sym_else] = ACTIONS(1772),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1772),
    [anon_sym_addrspace] = ACTIONS(1772),
    [anon_sym_linksection] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1772),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1670),
    [anon_sym_and] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1674),
    [anon_sym_BANG_EQ] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1674),
    [anon_sym_LT_EQ] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1772),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [917] = {
    [ts_builtin_sym_end] = ACTIONS(1776),
    [anon_sym_COMMA] = ACTIONS(1776),
    [anon_sym_EQ] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1776),
    [anon_sym_STAR_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_SLASH_EQ] = ACTIONS(1652),
    [anon_sym_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_DASH_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_GT_GT_EQ] = ACTIONS(1652),
    [anon_sym_AMP_EQ] = ACTIONS(1652),
    [anon_sym_CARET_EQ] = ACTIONS(1652),
    [anon_sym_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_BANG] = ACTIONS(1778),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1776),
    [anon_sym_LBRACE] = ACTIONS(1776),
    [anon_sym_RBRACE] = ACTIONS(1776),
    [anon_sym_else] = ACTIONS(1776),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1776),
    [anon_sym_addrspace] = ACTIONS(1776),
    [anon_sym_linksection] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1670),
    [anon_sym_and] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1674),
    [anon_sym_BANG_EQ] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1674),
    [anon_sym_LT_EQ] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1776),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [918] = {
    [ts_builtin_sym_end] = ACTIONS(1762),
    [anon_sym_COMMA] = ACTIONS(1762),
    [anon_sym_EQ] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1762),
    [anon_sym_STAR_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_SLASH_EQ] = ACTIONS(1652),
    [anon_sym_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_DASH_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_GT_GT_EQ] = ACTIONS(1652),
    [anon_sym_AMP_EQ] = ACTIONS(1652),
    [anon_sym_CARET_EQ] = ACTIONS(1652),
    [anon_sym_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_BANG] = ACTIONS(1764),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1762),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_RBRACE] = ACTIONS(1762),
    [anon_sym_else] = ACTIONS(1762),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1762),
    [anon_sym_addrspace] = ACTIONS(1762),
    [anon_sym_linksection] = ACTIONS(1762),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1762),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1670),
    [anon_sym_and] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1674),
    [anon_sym_BANG_EQ] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1674),
    [anon_sym_LT_EQ] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1762),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [919] = {
    [ts_builtin_sym_end] = ACTIONS(1780),
    [anon_sym_COMMA] = ACTIONS(1780),
    [anon_sym_EQ] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1780),
    [anon_sym_STAR_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_SLASH_EQ] = ACTIONS(1652),
    [anon_sym_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_DASH_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_GT_GT_EQ] = ACTIONS(1652),
    [anon_sym_AMP_EQ] = ACTIONS(1652),
    [anon_sym_CARET_EQ] = ACTIONS(1652),
    [anon_sym_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_BANG] = ACTIONS(1782),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1780),
    [anon_sym_LBRACE] = ACTIONS(1780),
    [anon_sym_RBRACE] = ACTIONS(1780),
    [anon_sym_else] = ACTIONS(1780),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1780),
    [anon_sym_addrspace] = ACTIONS(1780),
    [anon_sym_linksection] = ACTIONS(1780),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1780),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1670),
    [anon_sym_and] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1674),
    [anon_sym_BANG_EQ] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1674),
    [anon_sym_LT_EQ] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1780),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [920] = {
    [ts_builtin_sym_end] = ACTIONS(1784),
    [anon_sym_COMMA] = ACTIONS(1784),
    [anon_sym_EQ] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1784),
    [anon_sym_STAR_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_SLASH_EQ] = ACTIONS(1652),
    [anon_sym_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_DASH_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_GT_GT_EQ] = ACTIONS(1652),
    [anon_sym_AMP_EQ] = ACTIONS(1652),
    [anon_sym_CARET_EQ] = ACTIONS(1652),
    [anon_sym_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_BANG] = ACTIONS(1786),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1784),
    [anon_sym_LBRACE] = ACTIONS(1784),
    [anon_sym_RBRACE] = ACTIONS(1784),
    [anon_sym_else] = ACTIONS(1784),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1784),
    [anon_sym_addrspace] = ACTIONS(1784),
    [anon_sym_linksection] = ACTIONS(1784),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1670),
    [anon_sym_and] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1674),
    [anon_sym_BANG_EQ] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1674),
    [anon_sym_LT_EQ] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1784),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [921] = {
    [ts_builtin_sym_end] = ACTIONS(1788),
    [anon_sym_COMMA] = ACTIONS(1788),
    [anon_sym_EQ] = ACTIONS(1790),
    [anon_sym_SEMI] = ACTIONS(1788),
    [anon_sym_STAR_EQ] = ACTIONS(1788),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1788),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1788),
    [anon_sym_SLASH_EQ] = ACTIONS(1788),
    [anon_sym_PERCENT_EQ] = ACTIONS(1788),
    [anon_sym_PLUS_EQ] = ACTIONS(1788),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1788),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1788),
    [anon_sym_DASH_EQ] = ACTIONS(1788),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1788),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1788),
    [anon_sym_LT_LT_EQ] = ACTIONS(1788),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1788),
    [anon_sym_GT_GT_EQ] = ACTIONS(1788),
    [anon_sym_AMP_EQ] = ACTIONS(1788),
    [anon_sym_CARET_EQ] = ACTIONS(1788),
    [anon_sym_PIPE_EQ] = ACTIONS(1788),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1788),
    [anon_sym_RPAREN] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(1788),
    [anon_sym_RBRACE] = ACTIONS(1788),
    [anon_sym_else] = ACTIONS(1788),
    [anon_sym_DOT_DOT] = ACTIONS(1788),
    [anon_sym_PIPE] = ACTIONS(1790),
    [anon_sym_STAR] = ACTIONS(1790),
    [anon_sym_align] = ACTIONS(1788),
    [anon_sym_addrspace] = ACTIONS(1788),
    [anon_sym_linksection] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1788),
    [anon_sym_RBRACK] = ACTIONS(1788),
    [anon_sym_DASH] = ACTIONS(1790),
    [anon_sym_DASH_PERCENT] = ACTIONS(1790),
    [anon_sym_AMP] = ACTIONS(1790),
    [anon_sym_or] = ACTIONS(1790),
    [anon_sym_and] = ACTIONS(1788),
    [anon_sym_EQ_EQ] = ACTIONS(1788),
    [anon_sym_BANG_EQ] = ACTIONS(1788),
    [anon_sym_GT] = ACTIONS(1790),
    [anon_sym_GT_EQ] = ACTIONS(1788),
    [anon_sym_LT_EQ] = ACTIONS(1788),
    [anon_sym_LT] = ACTIONS(1790),
    [anon_sym_CARET] = ACTIONS(1790),
    [anon_sym_orelse] = ACTIONS(1788),
    [anon_sym_LT_LT] = ACTIONS(1790),
    [anon_sym_GT_GT] = ACTIONS(1790),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1790),
    [anon_sym_PLUS] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1788),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1790),
    [anon_sym_PLUS_PIPE] = ACTIONS(1790),
    [anon_sym_DASH_PIPE] = ACTIONS(1790),
    [anon_sym_SLASH] = ACTIONS(1790),
    [anon_sym_PERCENT] = ACTIONS(1790),
    [anon_sym_STAR_STAR] = ACTIONS(1788),
    [anon_sym_STAR_PERCENT] = ACTIONS(1790),
    [anon_sym_STAR_PIPE] = ACTIONS(1790),
    [anon_sym_PIPE_PIPE] = ACTIONS(1788),
    [anon_sym_catch] = ACTIONS(1788),
    [anon_sym_EQ_GT] = ACTIONS(1788),
    [anon_sym_DOT] = ACTIONS(1790),
    [anon_sym_DOT_STAR] = ACTIONS(1788),
    [anon_sym_DOT_QMARK] = ACTIONS(1788),
    [sym_comment] = ACTIONS(3),
  },
  [922] = {
    [ts_builtin_sym_end] = ACTIONS(1792),
    [anon_sym_COMMA] = ACTIONS(1792),
    [anon_sym_EQ] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1792),
    [anon_sym_STAR_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_SLASH_EQ] = ACTIONS(1652),
    [anon_sym_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_DASH_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_GT_GT_EQ] = ACTIONS(1652),
    [anon_sym_AMP_EQ] = ACTIONS(1652),
    [anon_sym_CARET_EQ] = ACTIONS(1652),
    [anon_sym_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_BANG] = ACTIONS(1794),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1792),
    [anon_sym_LBRACE] = ACTIONS(1792),
    [anon_sym_RBRACE] = ACTIONS(1792),
    [anon_sym_else] = ACTIONS(1792),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1792),
    [anon_sym_addrspace] = ACTIONS(1792),
    [anon_sym_linksection] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1792),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1670),
    [anon_sym_and] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1674),
    [anon_sym_BANG_EQ] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1674),
    [anon_sym_LT_EQ] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1792),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [923] = {
    [ts_builtin_sym_end] = ACTIONS(1780),
    [anon_sym_COMMA] = ACTIONS(1780),
    [anon_sym_EQ] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1780),
    [anon_sym_STAR_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_SLASH_EQ] = ACTIONS(1652),
    [anon_sym_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_DASH_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_GT_GT_EQ] = ACTIONS(1652),
    [anon_sym_AMP_EQ] = ACTIONS(1652),
    [anon_sym_CARET_EQ] = ACTIONS(1652),
    [anon_sym_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_BANG] = ACTIONS(1782),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1780),
    [anon_sym_LBRACE] = ACTIONS(1780),
    [anon_sym_RBRACE] = ACTIONS(1780),
    [anon_sym_else] = ACTIONS(1780),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1780),
    [anon_sym_addrspace] = ACTIONS(1780),
    [anon_sym_linksection] = ACTIONS(1780),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1780),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1670),
    [anon_sym_and] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1674),
    [anon_sym_BANG_EQ] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1674),
    [anon_sym_LT_EQ] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1780),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [924] = {
    [ts_builtin_sym_end] = ACTIONS(1796),
    [anon_sym_COMMA] = ACTIONS(1796),
    [anon_sym_EQ] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1796),
    [anon_sym_STAR_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_SLASH_EQ] = ACTIONS(1652),
    [anon_sym_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_DASH_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_GT_GT_EQ] = ACTIONS(1652),
    [anon_sym_AMP_EQ] = ACTIONS(1652),
    [anon_sym_CARET_EQ] = ACTIONS(1652),
    [anon_sym_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_BANG] = ACTIONS(1798),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1796),
    [anon_sym_LBRACE] = ACTIONS(1796),
    [anon_sym_RBRACE] = ACTIONS(1796),
    [anon_sym_else] = ACTIONS(1796),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1796),
    [anon_sym_addrspace] = ACTIONS(1796),
    [anon_sym_linksection] = ACTIONS(1796),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1796),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1670),
    [anon_sym_and] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1674),
    [anon_sym_BANG_EQ] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1674),
    [anon_sym_LT_EQ] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1796),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [925] = {
    [ts_builtin_sym_end] = ACTIONS(1610),
    [anon_sym_COMMA] = ACTIONS(1610),
    [anon_sym_EQ] = ACTIONS(1800),
    [anon_sym_SEMI] = ACTIONS(1610),
    [anon_sym_STAR_EQ] = ACTIONS(1803),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1803),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1803),
    [anon_sym_SLASH_EQ] = ACTIONS(1803),
    [anon_sym_PERCENT_EQ] = ACTIONS(1803),
    [anon_sym_PLUS_EQ] = ACTIONS(1803),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1803),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1803),
    [anon_sym_DASH_EQ] = ACTIONS(1803),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1803),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1803),
    [anon_sym_LT_LT_EQ] = ACTIONS(1803),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1803),
    [anon_sym_GT_GT_EQ] = ACTIONS(1803),
    [anon_sym_AMP_EQ] = ACTIONS(1803),
    [anon_sym_CARET_EQ] = ACTIONS(1803),
    [anon_sym_PIPE_EQ] = ACTIONS(1803),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1803),
    [anon_sym_RPAREN] = ACTIONS(1610),
    [anon_sym_LBRACE] = ACTIONS(1610),
    [anon_sym_RBRACE] = ACTIONS(1610),
    [anon_sym_else] = ACTIONS(1610),
    [anon_sym_DOT_DOT] = ACTIONS(1803),
    [anon_sym_PIPE] = ACTIONS(1800),
    [anon_sym_STAR] = ACTIONS(1800),
    [anon_sym_align] = ACTIONS(1610),
    [anon_sym_addrspace] = ACTIONS(1610),
    [anon_sym_linksection] = ACTIONS(1610),
    [anon_sym_LBRACK] = ACTIONS(1803),
    [anon_sym_RBRACK] = ACTIONS(1610),
    [anon_sym_DASH] = ACTIONS(1800),
    [anon_sym_DASH_PERCENT] = ACTIONS(1800),
    [anon_sym_AMP] = ACTIONS(1800),
    [anon_sym_or] = ACTIONS(1800),
    [anon_sym_and] = ACTIONS(1803),
    [anon_sym_EQ_EQ] = ACTIONS(1803),
    [anon_sym_BANG_EQ] = ACTIONS(1803),
    [anon_sym_GT] = ACTIONS(1800),
    [anon_sym_GT_EQ] = ACTIONS(1803),
    [anon_sym_LT_EQ] = ACTIONS(1803),
    [anon_sym_LT] = ACTIONS(1800),
    [anon_sym_CARET] = ACTIONS(1800),
    [anon_sym_orelse] = ACTIONS(1803),
    [anon_sym_LT_LT] = ACTIONS(1800),
    [anon_sym_GT_GT] = ACTIONS(1800),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1800),
    [anon_sym_PLUS] = ACTIONS(1800),
    [anon_sym_PLUS_PLUS] = ACTIONS(1803),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1800),
    [anon_sym_PLUS_PIPE] = ACTIONS(1800),
    [anon_sym_DASH_PIPE] = ACTIONS(1800),
    [anon_sym_SLASH] = ACTIONS(1800),
    [anon_sym_PERCENT] = ACTIONS(1800),
    [anon_sym_STAR_STAR] = ACTIONS(1803),
    [anon_sym_STAR_PERCENT] = ACTIONS(1800),
    [anon_sym_STAR_PIPE] = ACTIONS(1800),
    [anon_sym_PIPE_PIPE] = ACTIONS(1803),
    [anon_sym_catch] = ACTIONS(1803),
    [anon_sym_EQ_GT] = ACTIONS(1610),
    [anon_sym_DOT] = ACTIONS(1800),
    [anon_sym_DOT_STAR] = ACTIONS(1803),
    [anon_sym_DOT_QMARK] = ACTIONS(1803),
    [sym_comment] = ACTIONS(3),
  },
  [926] = {
    [ts_builtin_sym_end] = ACTIONS(1806),
    [anon_sym_COMMA] = ACTIONS(1806),
    [anon_sym_EQ] = ACTIONS(1808),
    [anon_sym_SEMI] = ACTIONS(1806),
    [anon_sym_STAR_EQ] = ACTIONS(1806),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1806),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1806),
    [anon_sym_SLASH_EQ] = ACTIONS(1806),
    [anon_sym_PERCENT_EQ] = ACTIONS(1806),
    [anon_sym_PLUS_EQ] = ACTIONS(1806),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1806),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1806),
    [anon_sym_DASH_EQ] = ACTIONS(1806),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1806),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1806),
    [anon_sym_LT_LT_EQ] = ACTIONS(1806),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1806),
    [anon_sym_GT_GT_EQ] = ACTIONS(1806),
    [anon_sym_AMP_EQ] = ACTIONS(1806),
    [anon_sym_CARET_EQ] = ACTIONS(1806),
    [anon_sym_PIPE_EQ] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1806),
    [anon_sym_RPAREN] = ACTIONS(1806),
    [anon_sym_LBRACE] = ACTIONS(1806),
    [anon_sym_RBRACE] = ACTIONS(1806),
    [anon_sym_else] = ACTIONS(1806),
    [anon_sym_DOT_DOT] = ACTIONS(1806),
    [anon_sym_PIPE] = ACTIONS(1808),
    [anon_sym_STAR] = ACTIONS(1808),
    [anon_sym_align] = ACTIONS(1806),
    [anon_sym_addrspace] = ACTIONS(1806),
    [anon_sym_linksection] = ACTIONS(1806),
    [anon_sym_LBRACK] = ACTIONS(1806),
    [anon_sym_RBRACK] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1808),
    [anon_sym_DASH_PERCENT] = ACTIONS(1808),
    [anon_sym_AMP] = ACTIONS(1808),
    [anon_sym_or] = ACTIONS(1808),
    [anon_sym_and] = ACTIONS(1806),
    [anon_sym_EQ_EQ] = ACTIONS(1806),
    [anon_sym_BANG_EQ] = ACTIONS(1806),
    [anon_sym_GT] = ACTIONS(1808),
    [anon_sym_GT_EQ] = ACTIONS(1806),
    [anon_sym_LT_EQ] = ACTIONS(1806),
    [anon_sym_LT] = ACTIONS(1808),
    [anon_sym_CARET] = ACTIONS(1808),
    [anon_sym_orelse] = ACTIONS(1806),
    [anon_sym_LT_LT] = ACTIONS(1808),
    [anon_sym_GT_GT] = ACTIONS(1808),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1808),
    [anon_sym_PLUS] = ACTIONS(1808),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1808),
    [anon_sym_PLUS_PIPE] = ACTIONS(1808),
    [anon_sym_DASH_PIPE] = ACTIONS(1808),
    [anon_sym_SLASH] = ACTIONS(1808),
    [anon_sym_PERCENT] = ACTIONS(1808),
    [anon_sym_STAR_STAR] = ACTIONS(1806),
    [anon_sym_STAR_PERCENT] = ACTIONS(1808),
    [anon_sym_STAR_PIPE] = ACTIONS(1808),
    [anon_sym_PIPE_PIPE] = ACTIONS(1806),
    [anon_sym_catch] = ACTIONS(1806),
    [anon_sym_EQ_GT] = ACTIONS(1806),
    [anon_sym_DOT] = ACTIONS(1808),
    [anon_sym_DOT_STAR] = ACTIONS(1806),
    [anon_sym_DOT_QMARK] = ACTIONS(1806),
    [sym_comment] = ACTIONS(3),
  },
  [927] = {
    [ts_builtin_sym_end] = ACTIONS(1350),
    [anon_sym_COMMA] = ACTIONS(1350),
    [anon_sym_EQ] = ACTIONS(1810),
    [anon_sym_SEMI] = ACTIONS(1350),
    [anon_sym_STAR_EQ] = ACTIONS(1813),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1813),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1813),
    [anon_sym_SLASH_EQ] = ACTIONS(1813),
    [anon_sym_PERCENT_EQ] = ACTIONS(1813),
    [anon_sym_PLUS_EQ] = ACTIONS(1813),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1813),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1813),
    [anon_sym_DASH_EQ] = ACTIONS(1813),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1813),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1813),
    [anon_sym_LT_LT_EQ] = ACTIONS(1813),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1813),
    [anon_sym_GT_GT_EQ] = ACTIONS(1813),
    [anon_sym_AMP_EQ] = ACTIONS(1813),
    [anon_sym_CARET_EQ] = ACTIONS(1813),
    [anon_sym_PIPE_EQ] = ACTIONS(1813),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1813),
    [anon_sym_RPAREN] = ACTIONS(1350),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_RBRACE] = ACTIONS(1350),
    [anon_sym_else] = ACTIONS(1350),
    [anon_sym_DOT_DOT] = ACTIONS(1813),
    [anon_sym_PIPE] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1810),
    [anon_sym_align] = ACTIONS(1350),
    [anon_sym_addrspace] = ACTIONS(1350),
    [anon_sym_linksection] = ACTIONS(1350),
    [anon_sym_LBRACK] = ACTIONS(1813),
    [anon_sym_RBRACK] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_DASH_PERCENT] = ACTIONS(1810),
    [anon_sym_AMP] = ACTIONS(1810),
    [anon_sym_or] = ACTIONS(1810),
    [anon_sym_and] = ACTIONS(1813),
    [anon_sym_EQ_EQ] = ACTIONS(1813),
    [anon_sym_BANG_EQ] = ACTIONS(1813),
    [anon_sym_GT] = ACTIONS(1810),
    [anon_sym_GT_EQ] = ACTIONS(1813),
    [anon_sym_LT_EQ] = ACTIONS(1813),
    [anon_sym_LT] = ACTIONS(1810),
    [anon_sym_CARET] = ACTIONS(1810),
    [anon_sym_orelse] = ACTIONS(1813),
    [anon_sym_LT_LT] = ACTIONS(1810),
    [anon_sym_GT_GT] = ACTIONS(1810),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_PLUS_PLUS] = ACTIONS(1813),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1810),
    [anon_sym_PLUS_PIPE] = ACTIONS(1810),
    [anon_sym_DASH_PIPE] = ACTIONS(1810),
    [anon_sym_SLASH] = ACTIONS(1810),
    [anon_sym_PERCENT] = ACTIONS(1810),
    [anon_sym_STAR_STAR] = ACTIONS(1813),
    [anon_sym_STAR_PERCENT] = ACTIONS(1810),
    [anon_sym_STAR_PIPE] = ACTIONS(1810),
    [anon_sym_PIPE_PIPE] = ACTIONS(1813),
    [anon_sym_catch] = ACTIONS(1813),
    [anon_sym_EQ_GT] = ACTIONS(1350),
    [anon_sym_DOT] = ACTIONS(1810),
    [anon_sym_DOT_STAR] = ACTIONS(1813),
    [anon_sym_DOT_QMARK] = ACTIONS(1813),
    [sym_comment] = ACTIONS(3),
  },
  [928] = {
    [ts_builtin_sym_end] = ACTIONS(1816),
    [anon_sym_COMMA] = ACTIONS(1816),
    [anon_sym_EQ] = ACTIONS(1818),
    [anon_sym_SEMI] = ACTIONS(1816),
    [anon_sym_STAR_EQ] = ACTIONS(1821),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1821),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1821),
    [anon_sym_SLASH_EQ] = ACTIONS(1821),
    [anon_sym_PERCENT_EQ] = ACTIONS(1821),
    [anon_sym_PLUS_EQ] = ACTIONS(1821),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1821),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1821),
    [anon_sym_DASH_EQ] = ACTIONS(1821),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1821),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1821),
    [anon_sym_LT_LT_EQ] = ACTIONS(1821),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1821),
    [anon_sym_GT_GT_EQ] = ACTIONS(1821),
    [anon_sym_AMP_EQ] = ACTIONS(1821),
    [anon_sym_CARET_EQ] = ACTIONS(1821),
    [anon_sym_PIPE_EQ] = ACTIONS(1821),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1821),
    [anon_sym_RPAREN] = ACTIONS(1816),
    [anon_sym_LBRACE] = ACTIONS(1816),
    [anon_sym_RBRACE] = ACTIONS(1816),
    [anon_sym_else] = ACTIONS(1824),
    [anon_sym_DOT_DOT] = ACTIONS(1821),
    [anon_sym_PIPE] = ACTIONS(1818),
    [anon_sym_STAR] = ACTIONS(1818),
    [anon_sym_align] = ACTIONS(1816),
    [anon_sym_addrspace] = ACTIONS(1816),
    [anon_sym_linksection] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(1821),
    [anon_sym_RBRACK] = ACTIONS(1816),
    [anon_sym_DASH] = ACTIONS(1818),
    [anon_sym_DASH_PERCENT] = ACTIONS(1818),
    [anon_sym_AMP] = ACTIONS(1818),
    [anon_sym_or] = ACTIONS(1818),
    [anon_sym_and] = ACTIONS(1821),
    [anon_sym_EQ_EQ] = ACTIONS(1821),
    [anon_sym_BANG_EQ] = ACTIONS(1821),
    [anon_sym_GT] = ACTIONS(1818),
    [anon_sym_GT_EQ] = ACTIONS(1821),
    [anon_sym_LT_EQ] = ACTIONS(1821),
    [anon_sym_LT] = ACTIONS(1818),
    [anon_sym_CARET] = ACTIONS(1818),
    [anon_sym_orelse] = ACTIONS(1821),
    [anon_sym_LT_LT] = ACTIONS(1818),
    [anon_sym_GT_GT] = ACTIONS(1818),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1818),
    [anon_sym_PLUS] = ACTIONS(1818),
    [anon_sym_PLUS_PLUS] = ACTIONS(1821),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1818),
    [anon_sym_PLUS_PIPE] = ACTIONS(1818),
    [anon_sym_DASH_PIPE] = ACTIONS(1818),
    [anon_sym_SLASH] = ACTIONS(1818),
    [anon_sym_PERCENT] = ACTIONS(1818),
    [anon_sym_STAR_STAR] = ACTIONS(1821),
    [anon_sym_STAR_PERCENT] = ACTIONS(1818),
    [anon_sym_STAR_PIPE] = ACTIONS(1818),
    [anon_sym_PIPE_PIPE] = ACTIONS(1821),
    [anon_sym_catch] = ACTIONS(1821),
    [anon_sym_EQ_GT] = ACTIONS(1816),
    [anon_sym_DOT] = ACTIONS(1818),
    [anon_sym_DOT_STAR] = ACTIONS(1821),
    [anon_sym_DOT_QMARK] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
  },
  [929] = {
    [ts_builtin_sym_end] = ACTIONS(1482),
    [anon_sym_COMMA] = ACTIONS(1482),
    [anon_sym_EQ] = ACTIONS(1826),
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym_STAR_EQ] = ACTIONS(1829),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1829),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1829),
    [anon_sym_SLASH_EQ] = ACTIONS(1829),
    [anon_sym_PERCENT_EQ] = ACTIONS(1829),
    [anon_sym_PLUS_EQ] = ACTIONS(1829),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1829),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1829),
    [anon_sym_DASH_EQ] = ACTIONS(1829),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1829),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1829),
    [anon_sym_LT_LT_EQ] = ACTIONS(1829),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1829),
    [anon_sym_GT_GT_EQ] = ACTIONS(1829),
    [anon_sym_AMP_EQ] = ACTIONS(1829),
    [anon_sym_CARET_EQ] = ACTIONS(1829),
    [anon_sym_PIPE_EQ] = ACTIONS(1829),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1829),
    [anon_sym_RPAREN] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_RBRACE] = ACTIONS(1482),
    [anon_sym_else] = ACTIONS(1482),
    [anon_sym_DOT_DOT] = ACTIONS(1829),
    [anon_sym_PIPE] = ACTIONS(1826),
    [anon_sym_STAR] = ACTIONS(1826),
    [anon_sym_align] = ACTIONS(1482),
    [anon_sym_addrspace] = ACTIONS(1482),
    [anon_sym_linksection] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(1829),
    [anon_sym_RBRACK] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1826),
    [anon_sym_DASH_PERCENT] = ACTIONS(1826),
    [anon_sym_AMP] = ACTIONS(1826),
    [anon_sym_or] = ACTIONS(1826),
    [anon_sym_and] = ACTIONS(1829),
    [anon_sym_EQ_EQ] = ACTIONS(1829),
    [anon_sym_BANG_EQ] = ACTIONS(1829),
    [anon_sym_GT] = ACTIONS(1826),
    [anon_sym_GT_EQ] = ACTIONS(1829),
    [anon_sym_LT_EQ] = ACTIONS(1829),
    [anon_sym_LT] = ACTIONS(1826),
    [anon_sym_CARET] = ACTIONS(1826),
    [anon_sym_orelse] = ACTIONS(1829),
    [anon_sym_LT_LT] = ACTIONS(1826),
    [anon_sym_GT_GT] = ACTIONS(1826),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1826),
    [anon_sym_PLUS] = ACTIONS(1826),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1826),
    [anon_sym_PLUS_PIPE] = ACTIONS(1826),
    [anon_sym_DASH_PIPE] = ACTIONS(1826),
    [anon_sym_SLASH] = ACTIONS(1826),
    [anon_sym_PERCENT] = ACTIONS(1826),
    [anon_sym_STAR_STAR] = ACTIONS(1829),
    [anon_sym_STAR_PERCENT] = ACTIONS(1826),
    [anon_sym_STAR_PIPE] = ACTIONS(1826),
    [anon_sym_PIPE_PIPE] = ACTIONS(1829),
    [anon_sym_catch] = ACTIONS(1829),
    [anon_sym_EQ_GT] = ACTIONS(1482),
    [anon_sym_DOT] = ACTIONS(1826),
    [anon_sym_DOT_STAR] = ACTIONS(1829),
    [anon_sym_DOT_QMARK] = ACTIONS(1829),
    [sym_comment] = ACTIONS(3),
  },
  [930] = {
    [ts_builtin_sym_end] = ACTIONS(1502),
    [anon_sym_COMMA] = ACTIONS(1502),
    [anon_sym_EQ] = ACTIONS(1832),
    [anon_sym_SEMI] = ACTIONS(1502),
    [anon_sym_STAR_EQ] = ACTIONS(1835),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1835),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1835),
    [anon_sym_SLASH_EQ] = ACTIONS(1835),
    [anon_sym_PERCENT_EQ] = ACTIONS(1835),
    [anon_sym_PLUS_EQ] = ACTIONS(1835),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1835),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1835),
    [anon_sym_DASH_EQ] = ACTIONS(1835),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1835),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1835),
    [anon_sym_LT_LT_EQ] = ACTIONS(1835),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1835),
    [anon_sym_GT_GT_EQ] = ACTIONS(1835),
    [anon_sym_AMP_EQ] = ACTIONS(1835),
    [anon_sym_CARET_EQ] = ACTIONS(1835),
    [anon_sym_PIPE_EQ] = ACTIONS(1835),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_RPAREN] = ACTIONS(1502),
    [anon_sym_LBRACE] = ACTIONS(1502),
    [anon_sym_RBRACE] = ACTIONS(1502),
    [anon_sym_else] = ACTIONS(1502),
    [anon_sym_DOT_DOT] = ACTIONS(1835),
    [anon_sym_PIPE] = ACTIONS(1832),
    [anon_sym_STAR] = ACTIONS(1832),
    [anon_sym_align] = ACTIONS(1502),
    [anon_sym_addrspace] = ACTIONS(1502),
    [anon_sym_linksection] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1835),
    [anon_sym_RBRACK] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1832),
    [anon_sym_DASH_PERCENT] = ACTIONS(1832),
    [anon_sym_AMP] = ACTIONS(1832),
    [anon_sym_or] = ACTIONS(1832),
    [anon_sym_and] = ACTIONS(1835),
    [anon_sym_EQ_EQ] = ACTIONS(1835),
    [anon_sym_BANG_EQ] = ACTIONS(1835),
    [anon_sym_GT] = ACTIONS(1832),
    [anon_sym_GT_EQ] = ACTIONS(1835),
    [anon_sym_LT_EQ] = ACTIONS(1835),
    [anon_sym_LT] = ACTIONS(1832),
    [anon_sym_CARET] = ACTIONS(1832),
    [anon_sym_orelse] = ACTIONS(1835),
    [anon_sym_LT_LT] = ACTIONS(1832),
    [anon_sym_GT_GT] = ACTIONS(1832),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1832),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1832),
    [anon_sym_PLUS_PIPE] = ACTIONS(1832),
    [anon_sym_DASH_PIPE] = ACTIONS(1832),
    [anon_sym_SLASH] = ACTIONS(1832),
    [anon_sym_PERCENT] = ACTIONS(1832),
    [anon_sym_STAR_STAR] = ACTIONS(1835),
    [anon_sym_STAR_PERCENT] = ACTIONS(1832),
    [anon_sym_STAR_PIPE] = ACTIONS(1832),
    [anon_sym_PIPE_PIPE] = ACTIONS(1835),
    [anon_sym_catch] = ACTIONS(1835),
    [anon_sym_EQ_GT] = ACTIONS(1502),
    [anon_sym_DOT] = ACTIONS(1832),
    [anon_sym_DOT_STAR] = ACTIONS(1835),
    [anon_sym_DOT_QMARK] = ACTIONS(1835),
    [sym_comment] = ACTIONS(3),
  },
  [931] = {
    [ts_builtin_sym_end] = ACTIONS(1506),
    [anon_sym_COMMA] = ACTIONS(1506),
    [anon_sym_EQ] = ACTIONS(1838),
    [anon_sym_SEMI] = ACTIONS(1506),
    [anon_sym_STAR_EQ] = ACTIONS(1841),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1841),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1841),
    [anon_sym_SLASH_EQ] = ACTIONS(1841),
    [anon_sym_PERCENT_EQ] = ACTIONS(1841),
    [anon_sym_PLUS_EQ] = ACTIONS(1841),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1841),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1841),
    [anon_sym_DASH_EQ] = ACTIONS(1841),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1841),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1841),
    [anon_sym_LT_LT_EQ] = ACTIONS(1841),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1841),
    [anon_sym_GT_GT_EQ] = ACTIONS(1841),
    [anon_sym_AMP_EQ] = ACTIONS(1841),
    [anon_sym_CARET_EQ] = ACTIONS(1841),
    [anon_sym_PIPE_EQ] = ACTIONS(1841),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_RPAREN] = ACTIONS(1506),
    [anon_sym_LBRACE] = ACTIONS(1506),
    [anon_sym_RBRACE] = ACTIONS(1506),
    [anon_sym_else] = ACTIONS(1506),
    [anon_sym_DOT_DOT] = ACTIONS(1841),
    [anon_sym_PIPE] = ACTIONS(1838),
    [anon_sym_STAR] = ACTIONS(1838),
    [anon_sym_align] = ACTIONS(1506),
    [anon_sym_addrspace] = ACTIONS(1506),
    [anon_sym_linksection] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_RBRACK] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_DASH_PERCENT] = ACTIONS(1838),
    [anon_sym_AMP] = ACTIONS(1838),
    [anon_sym_or] = ACTIONS(1838),
    [anon_sym_and] = ACTIONS(1841),
    [anon_sym_EQ_EQ] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1838),
    [anon_sym_GT_EQ] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_CARET] = ACTIONS(1838),
    [anon_sym_orelse] = ACTIONS(1841),
    [anon_sym_LT_LT] = ACTIONS(1838),
    [anon_sym_GT_GT] = ACTIONS(1838),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_PLUS_PLUS] = ACTIONS(1841),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1838),
    [anon_sym_PLUS_PIPE] = ACTIONS(1838),
    [anon_sym_DASH_PIPE] = ACTIONS(1838),
    [anon_sym_SLASH] = ACTIONS(1838),
    [anon_sym_PERCENT] = ACTIONS(1838),
    [anon_sym_STAR_STAR] = ACTIONS(1841),
    [anon_sym_STAR_PERCENT] = ACTIONS(1838),
    [anon_sym_STAR_PIPE] = ACTIONS(1838),
    [anon_sym_PIPE_PIPE] = ACTIONS(1841),
    [anon_sym_catch] = ACTIONS(1841),
    [anon_sym_EQ_GT] = ACTIONS(1506),
    [anon_sym_DOT] = ACTIONS(1838),
    [anon_sym_DOT_STAR] = ACTIONS(1841),
    [anon_sym_DOT_QMARK] = ACTIONS(1841),
    [sym_comment] = ACTIONS(3),
  },
  [932] = {
    [ts_builtin_sym_end] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1844),
    [anon_sym_SEMI] = ACTIONS(1356),
    [anon_sym_STAR_EQ] = ACTIONS(1847),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1847),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1847),
    [anon_sym_SLASH_EQ] = ACTIONS(1847),
    [anon_sym_PERCENT_EQ] = ACTIONS(1847),
    [anon_sym_PLUS_EQ] = ACTIONS(1847),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1847),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1847),
    [anon_sym_DASH_EQ] = ACTIONS(1847),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1847),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1847),
    [anon_sym_LT_LT_EQ] = ACTIONS(1847),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1847),
    [anon_sym_GT_GT_EQ] = ACTIONS(1847),
    [anon_sym_AMP_EQ] = ACTIONS(1847),
    [anon_sym_CARET_EQ] = ACTIONS(1847),
    [anon_sym_PIPE_EQ] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_RPAREN] = ACTIONS(1356),
    [anon_sym_LBRACE] = ACTIONS(1356),
    [anon_sym_RBRACE] = ACTIONS(1356),
    [anon_sym_else] = ACTIONS(1356),
    [anon_sym_DOT_DOT] = ACTIONS(1847),
    [anon_sym_PIPE] = ACTIONS(1844),
    [anon_sym_STAR] = ACTIONS(1844),
    [anon_sym_align] = ACTIONS(1356),
    [anon_sym_addrspace] = ACTIONS(1356),
    [anon_sym_linksection] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1847),
    [anon_sym_RBRACK] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1844),
    [anon_sym_DASH_PERCENT] = ACTIONS(1844),
    [anon_sym_AMP] = ACTIONS(1844),
    [anon_sym_or] = ACTIONS(1844),
    [anon_sym_and] = ACTIONS(1847),
    [anon_sym_EQ_EQ] = ACTIONS(1847),
    [anon_sym_BANG_EQ] = ACTIONS(1847),
    [anon_sym_GT] = ACTIONS(1844),
    [anon_sym_GT_EQ] = ACTIONS(1847),
    [anon_sym_LT_EQ] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1844),
    [anon_sym_CARET] = ACTIONS(1844),
    [anon_sym_orelse] = ACTIONS(1847),
    [anon_sym_LT_LT] = ACTIONS(1844),
    [anon_sym_GT_GT] = ACTIONS(1844),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1844),
    [anon_sym_PLUS] = ACTIONS(1844),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1844),
    [anon_sym_PLUS_PIPE] = ACTIONS(1844),
    [anon_sym_DASH_PIPE] = ACTIONS(1844),
    [anon_sym_SLASH] = ACTIONS(1844),
    [anon_sym_PERCENT] = ACTIONS(1844),
    [anon_sym_STAR_STAR] = ACTIONS(1847),
    [anon_sym_STAR_PERCENT] = ACTIONS(1844),
    [anon_sym_STAR_PIPE] = ACTIONS(1844),
    [anon_sym_PIPE_PIPE] = ACTIONS(1847),
    [anon_sym_catch] = ACTIONS(1847),
    [anon_sym_EQ_GT] = ACTIONS(1356),
    [anon_sym_DOT] = ACTIONS(1844),
    [anon_sym_DOT_STAR] = ACTIONS(1847),
    [anon_sym_DOT_QMARK] = ACTIONS(1847),
    [sym_comment] = ACTIONS(3),
  },
  [933] = {
    [ts_builtin_sym_end] = ACTIONS(1850),
    [anon_sym_COMMA] = ACTIONS(1850),
    [anon_sym_EQ] = ACTIONS(1852),
    [anon_sym_SEMI] = ACTIONS(1850),
    [anon_sym_STAR_EQ] = ACTIONS(1850),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1850),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1850),
    [anon_sym_SLASH_EQ] = ACTIONS(1850),
    [anon_sym_PERCENT_EQ] = ACTIONS(1850),
    [anon_sym_PLUS_EQ] = ACTIONS(1850),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1850),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1850),
    [anon_sym_DASH_EQ] = ACTIONS(1850),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1850),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1850),
    [anon_sym_LT_LT_EQ] = ACTIONS(1850),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1850),
    [anon_sym_GT_GT_EQ] = ACTIONS(1850),
    [anon_sym_AMP_EQ] = ACTIONS(1850),
    [anon_sym_CARET_EQ] = ACTIONS(1850),
    [anon_sym_PIPE_EQ] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_RPAREN] = ACTIONS(1850),
    [anon_sym_LBRACE] = ACTIONS(1850),
    [anon_sym_RBRACE] = ACTIONS(1850),
    [anon_sym_else] = ACTIONS(1850),
    [anon_sym_DOT_DOT] = ACTIONS(1850),
    [anon_sym_PIPE] = ACTIONS(1852),
    [anon_sym_STAR] = ACTIONS(1852),
    [anon_sym_align] = ACTIONS(1850),
    [anon_sym_addrspace] = ACTIONS(1850),
    [anon_sym_linksection] = ACTIONS(1850),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [anon_sym_RBRACK] = ACTIONS(1850),
    [anon_sym_DASH] = ACTIONS(1852),
    [anon_sym_DASH_PERCENT] = ACTIONS(1852),
    [anon_sym_AMP] = ACTIONS(1852),
    [anon_sym_or] = ACTIONS(1852),
    [anon_sym_and] = ACTIONS(1850),
    [anon_sym_EQ_EQ] = ACTIONS(1850),
    [anon_sym_BANG_EQ] = ACTIONS(1850),
    [anon_sym_GT] = ACTIONS(1852),
    [anon_sym_GT_EQ] = ACTIONS(1850),
    [anon_sym_LT_EQ] = ACTIONS(1850),
    [anon_sym_LT] = ACTIONS(1852),
    [anon_sym_CARET] = ACTIONS(1852),
    [anon_sym_orelse] = ACTIONS(1850),
    [anon_sym_LT_LT] = ACTIONS(1852),
    [anon_sym_GT_GT] = ACTIONS(1852),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1852),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_PLUS_PLUS] = ACTIONS(1850),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1852),
    [anon_sym_PLUS_PIPE] = ACTIONS(1852),
    [anon_sym_DASH_PIPE] = ACTIONS(1852),
    [anon_sym_SLASH] = ACTIONS(1852),
    [anon_sym_PERCENT] = ACTIONS(1852),
    [anon_sym_STAR_STAR] = ACTIONS(1850),
    [anon_sym_STAR_PERCENT] = ACTIONS(1852),
    [anon_sym_STAR_PIPE] = ACTIONS(1852),
    [anon_sym_PIPE_PIPE] = ACTIONS(1850),
    [anon_sym_catch] = ACTIONS(1850),
    [anon_sym_EQ_GT] = ACTIONS(1850),
    [anon_sym_DOT] = ACTIONS(1852),
    [anon_sym_DOT_STAR] = ACTIONS(1850),
    [anon_sym_DOT_QMARK] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
  },
  [934] = {
    [ts_builtin_sym_end] = ACTIONS(1450),
    [anon_sym_COMMA] = ACTIONS(1450),
    [anon_sym_EQ] = ACTIONS(1854),
    [anon_sym_SEMI] = ACTIONS(1450),
    [anon_sym_STAR_EQ] = ACTIONS(1857),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1857),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_PERCENT_EQ] = ACTIONS(1857),
    [anon_sym_PLUS_EQ] = ACTIONS(1857),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1857),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_DASH_EQ] = ACTIONS(1857),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1857),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_GT_GT_EQ] = ACTIONS(1857),
    [anon_sym_AMP_EQ] = ACTIONS(1857),
    [anon_sym_CARET_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [anon_sym_RPAREN] = ACTIONS(1450),
    [anon_sym_LBRACE] = ACTIONS(1450),
    [anon_sym_RBRACE] = ACTIONS(1450),
    [anon_sym_else] = ACTIONS(1450),
    [anon_sym_DOT_DOT] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1854),
    [anon_sym_align] = ACTIONS(1450),
    [anon_sym_addrspace] = ACTIONS(1450),
    [anon_sym_linksection] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [anon_sym_RBRACK] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_DASH_PERCENT] = ACTIONS(1854),
    [anon_sym_AMP] = ACTIONS(1854),
    [anon_sym_or] = ACTIONS(1854),
    [anon_sym_and] = ACTIONS(1857),
    [anon_sym_EQ_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_GT] = ACTIONS(1854),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1854),
    [anon_sym_CARET] = ACTIONS(1854),
    [anon_sym_orelse] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1854),
    [anon_sym_GT_GT] = ACTIONS(1854),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_PLUS_PLUS] = ACTIONS(1857),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1854),
    [anon_sym_PLUS_PIPE] = ACTIONS(1854),
    [anon_sym_DASH_PIPE] = ACTIONS(1854),
    [anon_sym_SLASH] = ACTIONS(1854),
    [anon_sym_PERCENT] = ACTIONS(1854),
    [anon_sym_STAR_STAR] = ACTIONS(1857),
    [anon_sym_STAR_PERCENT] = ACTIONS(1854),
    [anon_sym_STAR_PIPE] = ACTIONS(1854),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_catch] = ACTIONS(1857),
    [anon_sym_EQ_GT] = ACTIONS(1450),
    [anon_sym_DOT] = ACTIONS(1854),
    [anon_sym_DOT_STAR] = ACTIONS(1857),
    [anon_sym_DOT_QMARK] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
  },
  [935] = {
    [ts_builtin_sym_end] = ACTIONS(1860),
    [anon_sym_COMMA] = ACTIONS(1860),
    [anon_sym_EQ] = ACTIONS(1862),
    [anon_sym_SEMI] = ACTIONS(1860),
    [anon_sym_STAR_EQ] = ACTIONS(1860),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1860),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1860),
    [anon_sym_SLASH_EQ] = ACTIONS(1860),
    [anon_sym_PERCENT_EQ] = ACTIONS(1860),
    [anon_sym_PLUS_EQ] = ACTIONS(1860),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1860),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1860),
    [anon_sym_DASH_EQ] = ACTIONS(1860),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1860),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1860),
    [anon_sym_LT_LT_EQ] = ACTIONS(1860),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1860),
    [anon_sym_GT_GT_EQ] = ACTIONS(1860),
    [anon_sym_AMP_EQ] = ACTIONS(1860),
    [anon_sym_CARET_EQ] = ACTIONS(1860),
    [anon_sym_PIPE_EQ] = ACTIONS(1860),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1860),
    [anon_sym_RPAREN] = ACTIONS(1860),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_RBRACE] = ACTIONS(1860),
    [anon_sym_else] = ACTIONS(1860),
    [anon_sym_DOT_DOT] = ACTIONS(1860),
    [anon_sym_PIPE] = ACTIONS(1862),
    [anon_sym_STAR] = ACTIONS(1862),
    [anon_sym_align] = ACTIONS(1860),
    [anon_sym_addrspace] = ACTIONS(1860),
    [anon_sym_linksection] = ACTIONS(1860),
    [anon_sym_LBRACK] = ACTIONS(1860),
    [anon_sym_RBRACK] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1862),
    [anon_sym_DASH_PERCENT] = ACTIONS(1862),
    [anon_sym_AMP] = ACTIONS(1862),
    [anon_sym_or] = ACTIONS(1862),
    [anon_sym_and] = ACTIONS(1860),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1862),
    [anon_sym_GT_EQ] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1860),
    [anon_sym_LT] = ACTIONS(1862),
    [anon_sym_CARET] = ACTIONS(1862),
    [anon_sym_orelse] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1862),
    [anon_sym_GT_GT] = ACTIONS(1862),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1862),
    [anon_sym_PLUS] = ACTIONS(1862),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1862),
    [anon_sym_PLUS_PIPE] = ACTIONS(1862),
    [anon_sym_DASH_PIPE] = ACTIONS(1862),
    [anon_sym_SLASH] = ACTIONS(1862),
    [anon_sym_PERCENT] = ACTIONS(1862),
    [anon_sym_STAR_STAR] = ACTIONS(1860),
    [anon_sym_STAR_PERCENT] = ACTIONS(1862),
    [anon_sym_STAR_PIPE] = ACTIONS(1862),
    [anon_sym_PIPE_PIPE] = ACTIONS(1860),
    [anon_sym_catch] = ACTIONS(1860),
    [anon_sym_EQ_GT] = ACTIONS(1860),
    [anon_sym_DOT] = ACTIONS(1862),
    [anon_sym_DOT_STAR] = ACTIONS(1860),
    [anon_sym_DOT_QMARK] = ACTIONS(1860),
    [sym_comment] = ACTIONS(3),
  },
  [936] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1864),
    [anon_sym_SEMI] = ACTIONS(1442),
    [anon_sym_STAR_EQ] = ACTIONS(1867),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1867),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1867),
    [anon_sym_SLASH_EQ] = ACTIONS(1867),
    [anon_sym_PERCENT_EQ] = ACTIONS(1867),
    [anon_sym_PLUS_EQ] = ACTIONS(1867),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1867),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1867),
    [anon_sym_DASH_EQ] = ACTIONS(1867),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1867),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1867),
    [anon_sym_LT_LT_EQ] = ACTIONS(1867),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1867),
    [anon_sym_GT_GT_EQ] = ACTIONS(1867),
    [anon_sym_AMP_EQ] = ACTIONS(1867),
    [anon_sym_CARET_EQ] = ACTIONS(1867),
    [anon_sym_PIPE_EQ] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1867),
    [anon_sym_RPAREN] = ACTIONS(1442),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [anon_sym_RBRACE] = ACTIONS(1442),
    [anon_sym_else] = ACTIONS(1442),
    [anon_sym_DOT_DOT] = ACTIONS(1867),
    [anon_sym_PIPE] = ACTIONS(1864),
    [anon_sym_STAR] = ACTIONS(1864),
    [anon_sym_align] = ACTIONS(1442),
    [anon_sym_addrspace] = ACTIONS(1442),
    [anon_sym_linksection] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_RBRACK] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1864),
    [anon_sym_DASH_PERCENT] = ACTIONS(1864),
    [anon_sym_AMP] = ACTIONS(1864),
    [anon_sym_or] = ACTIONS(1864),
    [anon_sym_and] = ACTIONS(1867),
    [anon_sym_EQ_EQ] = ACTIONS(1867),
    [anon_sym_BANG_EQ] = ACTIONS(1867),
    [anon_sym_GT] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1867),
    [anon_sym_LT_EQ] = ACTIONS(1867),
    [anon_sym_LT] = ACTIONS(1864),
    [anon_sym_CARET] = ACTIONS(1864),
    [anon_sym_orelse] = ACTIONS(1867),
    [anon_sym_LT_LT] = ACTIONS(1864),
    [anon_sym_GT_GT] = ACTIONS(1864),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1864),
    [anon_sym_PLUS] = ACTIONS(1864),
    [anon_sym_PLUS_PLUS] = ACTIONS(1867),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1864),
    [anon_sym_PLUS_PIPE] = ACTIONS(1864),
    [anon_sym_DASH_PIPE] = ACTIONS(1864),
    [anon_sym_SLASH] = ACTIONS(1864),
    [anon_sym_PERCENT] = ACTIONS(1864),
    [anon_sym_STAR_STAR] = ACTIONS(1867),
    [anon_sym_STAR_PERCENT] = ACTIONS(1864),
    [anon_sym_STAR_PIPE] = ACTIONS(1864),
    [anon_sym_PIPE_PIPE] = ACTIONS(1867),
    [anon_sym_catch] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1442),
    [anon_sym_DOT] = ACTIONS(1864),
    [anon_sym_DOT_STAR] = ACTIONS(1867),
    [anon_sym_DOT_QMARK] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
  },
  [937] = {
    [ts_builtin_sym_end] = ACTIONS(1870),
    [anon_sym_COMMA] = ACTIONS(1870),
    [anon_sym_EQ] = ACTIONS(1872),
    [anon_sym_SEMI] = ACTIONS(1870),
    [anon_sym_STAR_EQ] = ACTIONS(1870),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1870),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1870),
    [anon_sym_SLASH_EQ] = ACTIONS(1870),
    [anon_sym_PERCENT_EQ] = ACTIONS(1870),
    [anon_sym_PLUS_EQ] = ACTIONS(1870),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1870),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1870),
    [anon_sym_DASH_EQ] = ACTIONS(1870),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1870),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1870),
    [anon_sym_LT_LT_EQ] = ACTIONS(1870),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1870),
    [anon_sym_GT_GT_EQ] = ACTIONS(1870),
    [anon_sym_AMP_EQ] = ACTIONS(1870),
    [anon_sym_CARET_EQ] = ACTIONS(1870),
    [anon_sym_PIPE_EQ] = ACTIONS(1870),
    [anon_sym_BANG] = ACTIONS(1872),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1870),
    [anon_sym_LBRACE] = ACTIONS(1870),
    [anon_sym_RBRACE] = ACTIONS(1870),
    [anon_sym_else] = ACTIONS(1870),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1872),
    [anon_sym_STAR] = ACTIONS(1872),
    [anon_sym_align] = ACTIONS(1870),
    [anon_sym_addrspace] = ACTIONS(1870),
    [anon_sym_linksection] = ACTIONS(1870),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1870),
    [anon_sym_DASH] = ACTIONS(1872),
    [anon_sym_DASH_PERCENT] = ACTIONS(1872),
    [anon_sym_AMP] = ACTIONS(1872),
    [anon_sym_or] = ACTIONS(1872),
    [anon_sym_and] = ACTIONS(1870),
    [anon_sym_EQ_EQ] = ACTIONS(1870),
    [anon_sym_BANG_EQ] = ACTIONS(1870),
    [anon_sym_GT] = ACTIONS(1872),
    [anon_sym_GT_EQ] = ACTIONS(1870),
    [anon_sym_LT_EQ] = ACTIONS(1870),
    [anon_sym_LT] = ACTIONS(1872),
    [anon_sym_CARET] = ACTIONS(1872),
    [anon_sym_orelse] = ACTIONS(1870),
    [anon_sym_LT_LT] = ACTIONS(1872),
    [anon_sym_GT_GT] = ACTIONS(1872),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1872),
    [anon_sym_PLUS] = ACTIONS(1872),
    [anon_sym_PLUS_PLUS] = ACTIONS(1870),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1872),
    [anon_sym_PLUS_PIPE] = ACTIONS(1872),
    [anon_sym_DASH_PIPE] = ACTIONS(1872),
    [anon_sym_SLASH] = ACTIONS(1872),
    [anon_sym_PERCENT] = ACTIONS(1872),
    [anon_sym_STAR_STAR] = ACTIONS(1870),
    [anon_sym_STAR_PERCENT] = ACTIONS(1872),
    [anon_sym_STAR_PIPE] = ACTIONS(1872),
    [anon_sym_PIPE_PIPE] = ACTIONS(1870),
    [anon_sym_catch] = ACTIONS(1870),
    [anon_sym_EQ_GT] = ACTIONS(1870),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [938] = {
    [ts_builtin_sym_end] = ACTIONS(1874),
    [anon_sym_COMMA] = ACTIONS(1874),
    [anon_sym_EQ] = ACTIONS(1876),
    [anon_sym_SEMI] = ACTIONS(1874),
    [anon_sym_STAR_EQ] = ACTIONS(1874),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1874),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1874),
    [anon_sym_SLASH_EQ] = ACTIONS(1874),
    [anon_sym_PERCENT_EQ] = ACTIONS(1874),
    [anon_sym_PLUS_EQ] = ACTIONS(1874),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1874),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1874),
    [anon_sym_DASH_EQ] = ACTIONS(1874),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1874),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1874),
    [anon_sym_LT_LT_EQ] = ACTIONS(1874),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1874),
    [anon_sym_GT_GT_EQ] = ACTIONS(1874),
    [anon_sym_AMP_EQ] = ACTIONS(1874),
    [anon_sym_CARET_EQ] = ACTIONS(1874),
    [anon_sym_PIPE_EQ] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1874),
    [anon_sym_RPAREN] = ACTIONS(1874),
    [anon_sym_LBRACE] = ACTIONS(1874),
    [anon_sym_RBRACE] = ACTIONS(1874),
    [anon_sym_else] = ACTIONS(1874),
    [anon_sym_DOT_DOT] = ACTIONS(1874),
    [anon_sym_PIPE] = ACTIONS(1876),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_align] = ACTIONS(1874),
    [anon_sym_addrspace] = ACTIONS(1874),
    [anon_sym_linksection] = ACTIONS(1874),
    [anon_sym_LBRACK] = ACTIONS(1874),
    [anon_sym_RBRACK] = ACTIONS(1874),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DASH_PERCENT] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1876),
    [anon_sym_or] = ACTIONS(1876),
    [anon_sym_and] = ACTIONS(1874),
    [anon_sym_EQ_EQ] = ACTIONS(1874),
    [anon_sym_BANG_EQ] = ACTIONS(1874),
    [anon_sym_GT] = ACTIONS(1876),
    [anon_sym_GT_EQ] = ACTIONS(1874),
    [anon_sym_LT_EQ] = ACTIONS(1874),
    [anon_sym_LT] = ACTIONS(1876),
    [anon_sym_CARET] = ACTIONS(1876),
    [anon_sym_orelse] = ACTIONS(1874),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_GT_GT] = ACTIONS(1876),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1876),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1876),
    [anon_sym_PLUS_PIPE] = ACTIONS(1876),
    [anon_sym_DASH_PIPE] = ACTIONS(1876),
    [anon_sym_SLASH] = ACTIONS(1876),
    [anon_sym_PERCENT] = ACTIONS(1876),
    [anon_sym_STAR_STAR] = ACTIONS(1874),
    [anon_sym_STAR_PERCENT] = ACTIONS(1876),
    [anon_sym_STAR_PIPE] = ACTIONS(1876),
    [anon_sym_PIPE_PIPE] = ACTIONS(1874),
    [anon_sym_catch] = ACTIONS(1874),
    [anon_sym_EQ_GT] = ACTIONS(1874),
    [anon_sym_DOT] = ACTIONS(1876),
    [anon_sym_DOT_STAR] = ACTIONS(1874),
    [anon_sym_DOT_QMARK] = ACTIONS(1874),
    [sym_comment] = ACTIONS(3),
  },
  [939] = {
    [ts_builtin_sym_end] = ACTIONS(1524),
    [anon_sym_COMMA] = ACTIONS(1524),
    [anon_sym_EQ] = ACTIONS(1878),
    [anon_sym_SEMI] = ACTIONS(1524),
    [anon_sym_STAR_EQ] = ACTIONS(1881),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1881),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1881),
    [anon_sym_SLASH_EQ] = ACTIONS(1881),
    [anon_sym_PERCENT_EQ] = ACTIONS(1881),
    [anon_sym_PLUS_EQ] = ACTIONS(1881),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1881),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1881),
    [anon_sym_DASH_EQ] = ACTIONS(1881),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1881),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1881),
    [anon_sym_LT_LT_EQ] = ACTIONS(1881),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1881),
    [anon_sym_GT_GT_EQ] = ACTIONS(1881),
    [anon_sym_AMP_EQ] = ACTIONS(1881),
    [anon_sym_CARET_EQ] = ACTIONS(1881),
    [anon_sym_PIPE_EQ] = ACTIONS(1881),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [anon_sym_RPAREN] = ACTIONS(1524),
    [anon_sym_LBRACE] = ACTIONS(1524),
    [anon_sym_RBRACE] = ACTIONS(1524),
    [anon_sym_else] = ACTIONS(1524),
    [anon_sym_DOT_DOT] = ACTIONS(1881),
    [anon_sym_PIPE] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(1878),
    [anon_sym_align] = ACTIONS(1524),
    [anon_sym_addrspace] = ACTIONS(1524),
    [anon_sym_linksection] = ACTIONS(1524),
    [anon_sym_LBRACK] = ACTIONS(1881),
    [anon_sym_RBRACK] = ACTIONS(1524),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_DASH_PERCENT] = ACTIONS(1878),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym_or] = ACTIONS(1878),
    [anon_sym_and] = ACTIONS(1881),
    [anon_sym_EQ_EQ] = ACTIONS(1881),
    [anon_sym_BANG_EQ] = ACTIONS(1881),
    [anon_sym_GT] = ACTIONS(1878),
    [anon_sym_GT_EQ] = ACTIONS(1881),
    [anon_sym_LT_EQ] = ACTIONS(1881),
    [anon_sym_LT] = ACTIONS(1878),
    [anon_sym_CARET] = ACTIONS(1878),
    [anon_sym_orelse] = ACTIONS(1881),
    [anon_sym_LT_LT] = ACTIONS(1878),
    [anon_sym_GT_GT] = ACTIONS(1878),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_PLUS_PLUS] = ACTIONS(1881),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1878),
    [anon_sym_PLUS_PIPE] = ACTIONS(1878),
    [anon_sym_DASH_PIPE] = ACTIONS(1878),
    [anon_sym_SLASH] = ACTIONS(1878),
    [anon_sym_PERCENT] = ACTIONS(1878),
    [anon_sym_STAR_STAR] = ACTIONS(1881),
    [anon_sym_STAR_PERCENT] = ACTIONS(1878),
    [anon_sym_STAR_PIPE] = ACTIONS(1878),
    [anon_sym_PIPE_PIPE] = ACTIONS(1881),
    [anon_sym_catch] = ACTIONS(1881),
    [anon_sym_EQ_GT] = ACTIONS(1524),
    [anon_sym_DOT] = ACTIONS(1878),
    [anon_sym_DOT_STAR] = ACTIONS(1881),
    [anon_sym_DOT_QMARK] = ACTIONS(1881),
    [sym_comment] = ACTIONS(3),
  },
  [940] = {
    [ts_builtin_sym_end] = ACTIONS(1606),
    [anon_sym_COMMA] = ACTIONS(1606),
    [anon_sym_EQ] = ACTIONS(1884),
    [anon_sym_SEMI] = ACTIONS(1606),
    [anon_sym_STAR_EQ] = ACTIONS(1887),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1887),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1887),
    [anon_sym_SLASH_EQ] = ACTIONS(1887),
    [anon_sym_PERCENT_EQ] = ACTIONS(1887),
    [anon_sym_PLUS_EQ] = ACTIONS(1887),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1887),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1887),
    [anon_sym_DASH_EQ] = ACTIONS(1887),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1887),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1887),
    [anon_sym_LT_LT_EQ] = ACTIONS(1887),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1887),
    [anon_sym_GT_GT_EQ] = ACTIONS(1887),
    [anon_sym_AMP_EQ] = ACTIONS(1887),
    [anon_sym_CARET_EQ] = ACTIONS(1887),
    [anon_sym_PIPE_EQ] = ACTIONS(1887),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1887),
    [anon_sym_RPAREN] = ACTIONS(1606),
    [anon_sym_LBRACE] = ACTIONS(1606),
    [anon_sym_RBRACE] = ACTIONS(1606),
    [anon_sym_else] = ACTIONS(1606),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_PIPE] = ACTIONS(1884),
    [anon_sym_STAR] = ACTIONS(1884),
    [anon_sym_align] = ACTIONS(1606),
    [anon_sym_addrspace] = ACTIONS(1606),
    [anon_sym_linksection] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1887),
    [anon_sym_RBRACK] = ACTIONS(1606),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_DASH_PERCENT] = ACTIONS(1884),
    [anon_sym_AMP] = ACTIONS(1884),
    [anon_sym_or] = ACTIONS(1884),
    [anon_sym_and] = ACTIONS(1887),
    [anon_sym_EQ_EQ] = ACTIONS(1887),
    [anon_sym_BANG_EQ] = ACTIONS(1887),
    [anon_sym_GT] = ACTIONS(1884),
    [anon_sym_GT_EQ] = ACTIONS(1887),
    [anon_sym_LT_EQ] = ACTIONS(1887),
    [anon_sym_LT] = ACTIONS(1884),
    [anon_sym_CARET] = ACTIONS(1884),
    [anon_sym_orelse] = ACTIONS(1887),
    [anon_sym_LT_LT] = ACTIONS(1884),
    [anon_sym_GT_GT] = ACTIONS(1884),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1884),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_PLUS_PLUS] = ACTIONS(1887),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1884),
    [anon_sym_PLUS_PIPE] = ACTIONS(1884),
    [anon_sym_DASH_PIPE] = ACTIONS(1884),
    [anon_sym_SLASH] = ACTIONS(1884),
    [anon_sym_PERCENT] = ACTIONS(1884),
    [anon_sym_STAR_STAR] = ACTIONS(1887),
    [anon_sym_STAR_PERCENT] = ACTIONS(1884),
    [anon_sym_STAR_PIPE] = ACTIONS(1884),
    [anon_sym_PIPE_PIPE] = ACTIONS(1887),
    [anon_sym_catch] = ACTIONS(1887),
    [anon_sym_EQ_GT] = ACTIONS(1606),
    [anon_sym_DOT] = ACTIONS(1884),
    [anon_sym_DOT_STAR] = ACTIONS(1887),
    [anon_sym_DOT_QMARK] = ACTIONS(1887),
    [sym_comment] = ACTIONS(3),
  },
  [941] = {
    [ts_builtin_sym_end] = ACTIONS(1890),
    [anon_sym_COMMA] = ACTIONS(1890),
    [anon_sym_EQ] = ACTIONS(1892),
    [anon_sym_SEMI] = ACTIONS(1890),
    [anon_sym_STAR_EQ] = ACTIONS(1890),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1890),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1890),
    [anon_sym_SLASH_EQ] = ACTIONS(1890),
    [anon_sym_PERCENT_EQ] = ACTIONS(1890),
    [anon_sym_PLUS_EQ] = ACTIONS(1890),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1890),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1890),
    [anon_sym_DASH_EQ] = ACTIONS(1890),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1890),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1890),
    [anon_sym_LT_LT_EQ] = ACTIONS(1890),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1890),
    [anon_sym_GT_GT_EQ] = ACTIONS(1890),
    [anon_sym_AMP_EQ] = ACTIONS(1890),
    [anon_sym_CARET_EQ] = ACTIONS(1890),
    [anon_sym_PIPE_EQ] = ACTIONS(1890),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_RPAREN] = ACTIONS(1890),
    [anon_sym_LBRACE] = ACTIONS(1890),
    [anon_sym_RBRACE] = ACTIONS(1890),
    [anon_sym_else] = ACTIONS(1890),
    [anon_sym_DOT_DOT] = ACTIONS(1890),
    [anon_sym_PIPE] = ACTIONS(1892),
    [anon_sym_STAR] = ACTIONS(1892),
    [anon_sym_align] = ACTIONS(1890),
    [anon_sym_addrspace] = ACTIONS(1890),
    [anon_sym_linksection] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1890),
    [anon_sym_RBRACK] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1892),
    [anon_sym_DASH_PERCENT] = ACTIONS(1892),
    [anon_sym_AMP] = ACTIONS(1892),
    [anon_sym_or] = ACTIONS(1892),
    [anon_sym_and] = ACTIONS(1890),
    [anon_sym_EQ_EQ] = ACTIONS(1890),
    [anon_sym_BANG_EQ] = ACTIONS(1890),
    [anon_sym_GT] = ACTIONS(1892),
    [anon_sym_GT_EQ] = ACTIONS(1890),
    [anon_sym_LT_EQ] = ACTIONS(1890),
    [anon_sym_LT] = ACTIONS(1892),
    [anon_sym_CARET] = ACTIONS(1892),
    [anon_sym_orelse] = ACTIONS(1890),
    [anon_sym_LT_LT] = ACTIONS(1892),
    [anon_sym_GT_GT] = ACTIONS(1892),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1892),
    [anon_sym_PLUS] = ACTIONS(1892),
    [anon_sym_PLUS_PLUS] = ACTIONS(1890),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1892),
    [anon_sym_PLUS_PIPE] = ACTIONS(1892),
    [anon_sym_DASH_PIPE] = ACTIONS(1892),
    [anon_sym_SLASH] = ACTIONS(1892),
    [anon_sym_PERCENT] = ACTIONS(1892),
    [anon_sym_STAR_STAR] = ACTIONS(1890),
    [anon_sym_STAR_PERCENT] = ACTIONS(1892),
    [anon_sym_STAR_PIPE] = ACTIONS(1892),
    [anon_sym_PIPE_PIPE] = ACTIONS(1890),
    [anon_sym_catch] = ACTIONS(1890),
    [anon_sym_EQ_GT] = ACTIONS(1890),
    [anon_sym_DOT] = ACTIONS(1892),
    [anon_sym_DOT_STAR] = ACTIONS(1890),
    [anon_sym_DOT_QMARK] = ACTIONS(1890),
    [sym_comment] = ACTIONS(3),
  },
  [942] = {
    [ts_builtin_sym_end] = ACTIONS(1894),
    [anon_sym_COMMA] = ACTIONS(1894),
    [anon_sym_EQ] = ACTIONS(1896),
    [anon_sym_SEMI] = ACTIONS(1894),
    [anon_sym_STAR_EQ] = ACTIONS(1894),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1894),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1894),
    [anon_sym_SLASH_EQ] = ACTIONS(1894),
    [anon_sym_PERCENT_EQ] = ACTIONS(1894),
    [anon_sym_PLUS_EQ] = ACTIONS(1894),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1894),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1894),
    [anon_sym_DASH_EQ] = ACTIONS(1894),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1894),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1894),
    [anon_sym_LT_LT_EQ] = ACTIONS(1894),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1894),
    [anon_sym_GT_GT_EQ] = ACTIONS(1894),
    [anon_sym_AMP_EQ] = ACTIONS(1894),
    [anon_sym_CARET_EQ] = ACTIONS(1894),
    [anon_sym_PIPE_EQ] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1894),
    [anon_sym_RPAREN] = ACTIONS(1894),
    [anon_sym_LBRACE] = ACTIONS(1894),
    [anon_sym_RBRACE] = ACTIONS(1894),
    [anon_sym_else] = ACTIONS(1894),
    [anon_sym_DOT_DOT] = ACTIONS(1894),
    [anon_sym_PIPE] = ACTIONS(1896),
    [anon_sym_STAR] = ACTIONS(1896),
    [anon_sym_align] = ACTIONS(1894),
    [anon_sym_addrspace] = ACTIONS(1894),
    [anon_sym_linksection] = ACTIONS(1894),
    [anon_sym_LBRACK] = ACTIONS(1894),
    [anon_sym_RBRACK] = ACTIONS(1894),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_DASH_PERCENT] = ACTIONS(1896),
    [anon_sym_AMP] = ACTIONS(1896),
    [anon_sym_or] = ACTIONS(1896),
    [anon_sym_and] = ACTIONS(1894),
    [anon_sym_EQ_EQ] = ACTIONS(1894),
    [anon_sym_BANG_EQ] = ACTIONS(1894),
    [anon_sym_GT] = ACTIONS(1896),
    [anon_sym_GT_EQ] = ACTIONS(1894),
    [anon_sym_LT_EQ] = ACTIONS(1894),
    [anon_sym_LT] = ACTIONS(1896),
    [anon_sym_CARET] = ACTIONS(1896),
    [anon_sym_orelse] = ACTIONS(1894),
    [anon_sym_LT_LT] = ACTIONS(1896),
    [anon_sym_GT_GT] = ACTIONS(1896),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1896),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_PLUS_PLUS] = ACTIONS(1894),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1896),
    [anon_sym_PLUS_PIPE] = ACTIONS(1896),
    [anon_sym_DASH_PIPE] = ACTIONS(1896),
    [anon_sym_SLASH] = ACTIONS(1896),
    [anon_sym_PERCENT] = ACTIONS(1896),
    [anon_sym_STAR_STAR] = ACTIONS(1894),
    [anon_sym_STAR_PERCENT] = ACTIONS(1896),
    [anon_sym_STAR_PIPE] = ACTIONS(1896),
    [anon_sym_PIPE_PIPE] = ACTIONS(1894),
    [anon_sym_catch] = ACTIONS(1894),
    [anon_sym_EQ_GT] = ACTIONS(1894),
    [anon_sym_DOT] = ACTIONS(1896),
    [anon_sym_DOT_STAR] = ACTIONS(1894),
    [anon_sym_DOT_QMARK] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
  },
  [943] = {
    [ts_builtin_sym_end] = ACTIONS(1898),
    [anon_sym_COMMA] = ACTIONS(1898),
    [anon_sym_EQ] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1898),
    [anon_sym_STAR_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_SLASH_EQ] = ACTIONS(1652),
    [anon_sym_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_DASH_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_GT_GT_EQ] = ACTIONS(1652),
    [anon_sym_AMP_EQ] = ACTIONS(1652),
    [anon_sym_CARET_EQ] = ACTIONS(1652),
    [anon_sym_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_BANG] = ACTIONS(1900),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1898),
    [anon_sym_LBRACE] = ACTIONS(1898),
    [anon_sym_RBRACE] = ACTIONS(1898),
    [anon_sym_else] = ACTIONS(1898),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1898),
    [anon_sym_addrspace] = ACTIONS(1898),
    [anon_sym_linksection] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1898),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1670),
    [anon_sym_and] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1674),
    [anon_sym_BANG_EQ] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1674),
    [anon_sym_LT_EQ] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1898),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [944] = {
    [ts_builtin_sym_end] = ACTIONS(1902),
    [anon_sym_COMMA] = ACTIONS(1902),
    [anon_sym_EQ] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1902),
    [anon_sym_STAR_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_SLASH_EQ] = ACTIONS(1652),
    [anon_sym_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_DASH_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_GT_GT_EQ] = ACTIONS(1652),
    [anon_sym_AMP_EQ] = ACTIONS(1652),
    [anon_sym_CARET_EQ] = ACTIONS(1652),
    [anon_sym_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_BANG] = ACTIONS(1904),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1902),
    [anon_sym_LBRACE] = ACTIONS(1902),
    [anon_sym_RBRACE] = ACTIONS(1902),
    [anon_sym_else] = ACTIONS(1902),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1902),
    [anon_sym_addrspace] = ACTIONS(1902),
    [anon_sym_linksection] = ACTIONS(1902),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1902),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1670),
    [anon_sym_and] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1674),
    [anon_sym_BANG_EQ] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1674),
    [anon_sym_LT_EQ] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1902),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [945] = {
    [ts_builtin_sym_end] = ACTIONS(1906),
    [anon_sym_COMMA] = ACTIONS(1906),
    [anon_sym_EQ] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1906),
    [anon_sym_STAR_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_SLASH_EQ] = ACTIONS(1652),
    [anon_sym_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_DASH_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_GT_GT_EQ] = ACTIONS(1652),
    [anon_sym_AMP_EQ] = ACTIONS(1652),
    [anon_sym_CARET_EQ] = ACTIONS(1652),
    [anon_sym_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1906),
    [anon_sym_LBRACE] = ACTIONS(1906),
    [anon_sym_RBRACE] = ACTIONS(1906),
    [anon_sym_else] = ACTIONS(1906),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1906),
    [anon_sym_addrspace] = ACTIONS(1906),
    [anon_sym_linksection] = ACTIONS(1906),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1906),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1670),
    [anon_sym_and] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1674),
    [anon_sym_BANG_EQ] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1674),
    [anon_sym_LT_EQ] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1906),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [946] = {
    [ts_builtin_sym_end] = ACTIONS(1910),
    [anon_sym_COMMA] = ACTIONS(1910),
    [anon_sym_EQ] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1910),
    [anon_sym_STAR_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_SLASH_EQ] = ACTIONS(1652),
    [anon_sym_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_DASH_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_GT_GT_EQ] = ACTIONS(1652),
    [anon_sym_AMP_EQ] = ACTIONS(1652),
    [anon_sym_CARET_EQ] = ACTIONS(1652),
    [anon_sym_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_BANG] = ACTIONS(1912),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1910),
    [anon_sym_LBRACE] = ACTIONS(1910),
    [anon_sym_RBRACE] = ACTIONS(1910),
    [anon_sym_else] = ACTIONS(1910),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1910),
    [anon_sym_addrspace] = ACTIONS(1910),
    [anon_sym_linksection] = ACTIONS(1910),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1910),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1670),
    [anon_sym_and] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1674),
    [anon_sym_BANG_EQ] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1674),
    [anon_sym_LT_EQ] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1910),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [947] = {
    [ts_builtin_sym_end] = ACTIONS(1914),
    [anon_sym_COMMA] = ACTIONS(1914),
    [anon_sym_EQ] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1914),
    [anon_sym_STAR_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_SLASH_EQ] = ACTIONS(1652),
    [anon_sym_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_DASH_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_GT_GT_EQ] = ACTIONS(1652),
    [anon_sym_AMP_EQ] = ACTIONS(1652),
    [anon_sym_CARET_EQ] = ACTIONS(1652),
    [anon_sym_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_BANG] = ACTIONS(1916),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1914),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_RBRACE] = ACTIONS(1914),
    [anon_sym_else] = ACTIONS(1914),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1914),
    [anon_sym_addrspace] = ACTIONS(1914),
    [anon_sym_linksection] = ACTIONS(1914),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1914),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1670),
    [anon_sym_and] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1674),
    [anon_sym_BANG_EQ] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1674),
    [anon_sym_LT_EQ] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1914),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [948] = {
    [ts_builtin_sym_end] = ACTIONS(1918),
    [anon_sym_COMMA] = ACTIONS(1918),
    [anon_sym_EQ] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1918),
    [anon_sym_STAR_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_SLASH_EQ] = ACTIONS(1652),
    [anon_sym_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_DASH_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_GT_GT_EQ] = ACTIONS(1652),
    [anon_sym_AMP_EQ] = ACTIONS(1652),
    [anon_sym_CARET_EQ] = ACTIONS(1652),
    [anon_sym_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_BANG] = ACTIONS(1920),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1918),
    [anon_sym_LBRACE] = ACTIONS(1918),
    [anon_sym_RBRACE] = ACTIONS(1918),
    [anon_sym_else] = ACTIONS(1918),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1918),
    [anon_sym_addrspace] = ACTIONS(1918),
    [anon_sym_linksection] = ACTIONS(1918),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1918),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1670),
    [anon_sym_and] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1674),
    [anon_sym_BANG_EQ] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1674),
    [anon_sym_LT_EQ] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1918),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [949] = {
    [ts_builtin_sym_end] = ACTIONS(143),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_EQ] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(143),
    [anon_sym_STAR_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_SLASH_EQ] = ACTIONS(1652),
    [anon_sym_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_DASH_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_GT_GT_EQ] = ACTIONS(1652),
    [anon_sym_AMP_EQ] = ACTIONS(1652),
    [anon_sym_CARET_EQ] = ACTIONS(1652),
    [anon_sym_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_BANG] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_RBRACE] = ACTIONS(143),
    [anon_sym_else] = ACTIONS(143),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(143),
    [anon_sym_addrspace] = ACTIONS(143),
    [anon_sym_linksection] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1670),
    [anon_sym_and] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1674),
    [anon_sym_BANG_EQ] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1674),
    [anon_sym_LT_EQ] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [950] = {
    [ts_builtin_sym_end] = ACTIONS(1922),
    [anon_sym_COMMA] = ACTIONS(1922),
    [anon_sym_EQ] = ACTIONS(1924),
    [anon_sym_SEMI] = ACTIONS(1922),
    [anon_sym_STAR_EQ] = ACTIONS(1922),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1922),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1922),
    [anon_sym_SLASH_EQ] = ACTIONS(1922),
    [anon_sym_PERCENT_EQ] = ACTIONS(1922),
    [anon_sym_PLUS_EQ] = ACTIONS(1922),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1922),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1922),
    [anon_sym_DASH_EQ] = ACTIONS(1922),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1922),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1922),
    [anon_sym_LT_LT_EQ] = ACTIONS(1922),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1922),
    [anon_sym_GT_GT_EQ] = ACTIONS(1922),
    [anon_sym_AMP_EQ] = ACTIONS(1922),
    [anon_sym_CARET_EQ] = ACTIONS(1922),
    [anon_sym_PIPE_EQ] = ACTIONS(1922),
    [anon_sym_BANG] = ACTIONS(1924),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1922),
    [anon_sym_RBRACE] = ACTIONS(1922),
    [anon_sym_else] = ACTIONS(1922),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1922),
    [anon_sym_addrspace] = ACTIONS(1922),
    [anon_sym_linksection] = ACTIONS(1922),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1924),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_EQ_EQ] = ACTIONS(1922),
    [anon_sym_BANG_EQ] = ACTIONS(1922),
    [anon_sym_GT] = ACTIONS(1924),
    [anon_sym_GT_EQ] = ACTIONS(1922),
    [anon_sym_LT_EQ] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1924),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1922),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [951] = {
    [ts_builtin_sym_end] = ACTIONS(1926),
    [anon_sym_COMMA] = ACTIONS(1926),
    [anon_sym_EQ] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1926),
    [anon_sym_STAR_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_SLASH_EQ] = ACTIONS(1652),
    [anon_sym_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_DASH_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_GT_GT_EQ] = ACTIONS(1652),
    [anon_sym_AMP_EQ] = ACTIONS(1652),
    [anon_sym_CARET_EQ] = ACTIONS(1652),
    [anon_sym_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1926),
    [anon_sym_LBRACE] = ACTIONS(1926),
    [anon_sym_RBRACE] = ACTIONS(1926),
    [anon_sym_else] = ACTIONS(1930),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1926),
    [anon_sym_addrspace] = ACTIONS(1926),
    [anon_sym_linksection] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1926),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1670),
    [anon_sym_and] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1674),
    [anon_sym_BANG_EQ] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1674),
    [anon_sym_LT_EQ] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1926),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [952] = {
    [ts_builtin_sym_end] = ACTIONS(1932),
    [anon_sym_COMMA] = ACTIONS(1932),
    [anon_sym_EQ] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1932),
    [anon_sym_STAR_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_SLASH_EQ] = ACTIONS(1652),
    [anon_sym_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_DASH_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_GT_GT_EQ] = ACTIONS(1652),
    [anon_sym_AMP_EQ] = ACTIONS(1652),
    [anon_sym_CARET_EQ] = ACTIONS(1652),
    [anon_sym_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1932),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_RBRACE] = ACTIONS(1932),
    [anon_sym_else] = ACTIONS(1936),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1932),
    [anon_sym_addrspace] = ACTIONS(1932),
    [anon_sym_linksection] = ACTIONS(1932),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1670),
    [anon_sym_and] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1674),
    [anon_sym_BANG_EQ] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1674),
    [anon_sym_LT_EQ] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1932),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [953] = {
    [ts_builtin_sym_end] = ACTIONS(1938),
    [anon_sym_COMMA] = ACTIONS(1938),
    [anon_sym_EQ] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1938),
    [anon_sym_STAR_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_SLASH_EQ] = ACTIONS(1652),
    [anon_sym_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_DASH_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_GT_GT_EQ] = ACTIONS(1652),
    [anon_sym_AMP_EQ] = ACTIONS(1652),
    [anon_sym_CARET_EQ] = ACTIONS(1652),
    [anon_sym_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_BANG] = ACTIONS(1940),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1938),
    [anon_sym_RBRACE] = ACTIONS(1938),
    [anon_sym_else] = ACTIONS(1942),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_align] = ACTIONS(1938),
    [anon_sym_addrspace] = ACTIONS(1938),
    [anon_sym_linksection] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1938),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_DASH_PERCENT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_or] = ACTIONS(1670),
    [anon_sym_and] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1674),
    [anon_sym_BANG_EQ] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1674),
    [anon_sym_LT_EQ] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_orelse] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1668),
    [anon_sym_PLUS_PIPE] = ACTIONS(1668),
    [anon_sym_DASH_PIPE] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_STAR_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_PIPE] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_catch] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1938),
    [anon_sym_DOT] = ACTIONS(1688),
    [anon_sym_DOT_STAR] = ACTIONS(1690),
    [anon_sym_DOT_QMARK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [954] = {
    [ts_builtin_sym_end] = ACTIONS(1944),
    [anon_sym_COMMA] = ACTIONS(1944),
    [anon_sym_EQ] = ACTIONS(1946),
    [anon_sym_SEMI] = ACTIONS(1944),
    [anon_sym_STAR_EQ] = ACTIONS(1944),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1944),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1944),
    [anon_sym_SLASH_EQ] = ACTIONS(1944),
    [anon_sym_PERCENT_EQ] = ACTIONS(1944),
    [anon_sym_PLUS_EQ] = ACTIONS(1944),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1944),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1944),
    [anon_sym_DASH_EQ] = ACTIONS(1944),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1944),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1944),
    [anon_sym_LT_LT_EQ] = ACTIONS(1944),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1944),
    [anon_sym_GT_GT_EQ] = ACTIONS(1944),
    [anon_sym_AMP_EQ] = ACTIONS(1944),
    [anon_sym_CARET_EQ] = ACTIONS(1944),
    [anon_sym_PIPE_EQ] = ACTIONS(1944),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1944),
    [anon_sym_RPAREN] = ACTIONS(1944),
    [anon_sym_LBRACE] = ACTIONS(1944),
    [anon_sym_RBRACE] = ACTIONS(1944),
    [anon_sym_else] = ACTIONS(1944),
    [anon_sym_DOT_DOT] = ACTIONS(1944),
    [anon_sym_PIPE] = ACTIONS(1946),
    [anon_sym_STAR] = ACTIONS(1946),
    [anon_sym_align] = ACTIONS(1944),
    [anon_sym_addrspace] = ACTIONS(1944),
    [anon_sym_linksection] = ACTIONS(1944),
    [anon_sym_LBRACK] = ACTIONS(1944),
    [anon_sym_RBRACK] = ACTIONS(1944),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_DASH_PERCENT] = ACTIONS(1946),
    [anon_sym_AMP] = ACTIONS(1946),
    [anon_sym_or] = ACTIONS(1946),
    [anon_sym_and] = ACTIONS(1944),
    [anon_sym_EQ_EQ] = ACTIONS(1944),
    [anon_sym_BANG_EQ] = ACTIONS(1944),
    [anon_sym_GT] = ACTIONS(1946),
    [anon_sym_GT_EQ] = ACTIONS(1944),
    [anon_sym_LT_EQ] = ACTIONS(1944),
    [anon_sym_LT] = ACTIONS(1946),
    [anon_sym_CARET] = ACTIONS(1946),
    [anon_sym_orelse] = ACTIONS(1944),
    [anon_sym_LT_LT] = ACTIONS(1946),
    [anon_sym_GT_GT] = ACTIONS(1946),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1946),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_PLUS_PLUS] = ACTIONS(1944),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1946),
    [anon_sym_PLUS_PIPE] = ACTIONS(1946),
    [anon_sym_DASH_PIPE] = ACTIONS(1946),
    [anon_sym_SLASH] = ACTIONS(1946),
    [anon_sym_PERCENT] = ACTIONS(1946),
    [anon_sym_STAR_STAR] = ACTIONS(1944),
    [anon_sym_STAR_PERCENT] = ACTIONS(1946),
    [anon_sym_STAR_PIPE] = ACTIONS(1946),
    [anon_sym_PIPE_PIPE] = ACTIONS(1944),
    [anon_sym_catch] = ACTIONS(1944),
    [anon_sym_EQ_GT] = ACTIONS(1944),
    [anon_sym_DOT] = ACTIONS(1946),
    [anon_sym_DOT_STAR] = ACTIONS(1944),
    [anon_sym_DOT_QMARK] = ACTIONS(1944),
    [sym_comment] = ACTIONS(3),
  },
  [955] = {
    [ts_builtin_sym_end] = ACTIONS(1532),
    [anon_sym_COMMA] = ACTIONS(1532),
    [anon_sym_EQ] = ACTIONS(1948),
    [anon_sym_SEMI] = ACTIONS(1532),
    [anon_sym_STAR_EQ] = ACTIONS(1951),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1951),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1951),
    [anon_sym_SLASH_EQ] = ACTIONS(1951),
    [anon_sym_PERCENT_EQ] = ACTIONS(1951),
    [anon_sym_PLUS_EQ] = ACTIONS(1951),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1951),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1951),
    [anon_sym_DASH_EQ] = ACTIONS(1951),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1951),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1951),
    [anon_sym_LT_LT_EQ] = ACTIONS(1951),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1951),
    [anon_sym_GT_GT_EQ] = ACTIONS(1951),
    [anon_sym_AMP_EQ] = ACTIONS(1951),
    [anon_sym_CARET_EQ] = ACTIONS(1951),
    [anon_sym_PIPE_EQ] = ACTIONS(1951),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_RPAREN] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1532),
    [anon_sym_RBRACE] = ACTIONS(1532),
    [anon_sym_else] = ACTIONS(1532),
    [anon_sym_DOT_DOT] = ACTIONS(1951),
    [anon_sym_PIPE] = ACTIONS(1948),
    [anon_sym_STAR] = ACTIONS(1948),
    [anon_sym_align] = ACTIONS(1532),
    [anon_sym_addrspace] = ACTIONS(1532),
    [anon_sym_linksection] = ACTIONS(1532),
    [anon_sym_LBRACK] = ACTIONS(1951),
    [anon_sym_RBRACK] = ACTIONS(1532),
    [anon_sym_DASH] = ACTIONS(1948),
    [anon_sym_DASH_PERCENT] = ACTIONS(1948),
    [anon_sym_AMP] = ACTIONS(1948),
    [anon_sym_or] = ACTIONS(1948),
    [anon_sym_and] = ACTIONS(1951),
    [anon_sym_EQ_EQ] = ACTIONS(1951),
    [anon_sym_BANG_EQ] = ACTIONS(1951),
    [anon_sym_GT] = ACTIONS(1948),
    [anon_sym_GT_EQ] = ACTIONS(1951),
    [anon_sym_LT_EQ] = ACTIONS(1951),
    [anon_sym_LT] = ACTIONS(1948),
    [anon_sym_CARET] = ACTIONS(1948),
    [anon_sym_orelse] = ACTIONS(1951),
    [anon_sym_LT_LT] = ACTIONS(1948),
    [anon_sym_GT_GT] = ACTIONS(1948),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1948),
    [anon_sym_PLUS] = ACTIONS(1948),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1948),
    [anon_sym_PLUS_PIPE] = ACTIONS(1948),
    [anon_sym_DASH_PIPE] = ACTIONS(1948),
    [anon_sym_SLASH] = ACTIONS(1948),
    [anon_sym_PERCENT] = ACTIONS(1948),
    [anon_sym_STAR_STAR] = ACTIONS(1951),
    [anon_sym_STAR_PERCENT] = ACTIONS(1948),
    [anon_sym_STAR_PIPE] = ACTIONS(1948),
    [anon_sym_PIPE_PIPE] = ACTIONS(1951),
    [anon_sym_catch] = ACTIONS(1951),
    [anon_sym_EQ_GT] = ACTIONS(1532),
    [anon_sym_DOT] = ACTIONS(1948),
    [anon_sym_DOT_STAR] = ACTIONS(1951),
    [anon_sym_DOT_QMARK] = ACTIONS(1951),
    [sym_comment] = ACTIONS(3),
  },
  [956] = {
    [ts_builtin_sym_end] = ACTIONS(1954),
    [anon_sym_COMMA] = ACTIONS(1954),
    [anon_sym_EQ] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1954),
    [anon_sym_STAR_EQ] = ACTIONS(1959),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1959),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1959),
    [anon_sym_SLASH_EQ] = ACTIONS(1959),
    [anon_sym_PERCENT_EQ] = ACTIONS(1959),
    [anon_sym_PLUS_EQ] = ACTIONS(1959),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1959),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1959),
    [anon_sym_DASH_EQ] = ACTIONS(1959),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1959),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1959),
    [anon_sym_LT_LT_EQ] = ACTIONS(1959),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1959),
    [anon_sym_GT_GT_EQ] = ACTIONS(1959),
    [anon_sym_AMP_EQ] = ACTIONS(1959),
    [anon_sym_CARET_EQ] = ACTIONS(1959),
    [anon_sym_PIPE_EQ] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1959),
    [anon_sym_RPAREN] = ACTIONS(1954),
    [anon_sym_LBRACE] = ACTIONS(1954),
    [anon_sym_RBRACE] = ACTIONS(1954),
    [anon_sym_else] = ACTIONS(1954),
    [anon_sym_DOT_DOT] = ACTIONS(1959),
    [anon_sym_PIPE] = ACTIONS(1956),
    [anon_sym_STAR] = ACTIONS(1956),
    [anon_sym_align] = ACTIONS(1954),
    [anon_sym_addrspace] = ACTIONS(1954),
    [anon_sym_linksection] = ACTIONS(1954),
    [anon_sym_LBRACK] = ACTIONS(1959),
    [anon_sym_RBRACK] = ACTIONS(1954),
    [anon_sym_DASH] = ACTIONS(1956),
    [anon_sym_DASH_PERCENT] = ACTIONS(1956),
    [anon_sym_AMP] = ACTIONS(1956),
    [anon_sym_or] = ACTIONS(1956),
    [anon_sym_and] = ACTIONS(1959),
    [anon_sym_EQ_EQ] = ACTIONS(1959),
    [anon_sym_BANG_EQ] = ACTIONS(1959),
    [anon_sym_GT] = ACTIONS(1956),
    [anon_sym_GT_EQ] = ACTIONS(1959),
    [anon_sym_LT_EQ] = ACTIONS(1959),
    [anon_sym_LT] = ACTIONS(1956),
    [anon_sym_CARET] = ACTIONS(1956),
    [anon_sym_orelse] = ACTIONS(1959),
    [anon_sym_LT_LT] = ACTIONS(1956),
    [anon_sym_GT_GT] = ACTIONS(1956),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1956),
    [anon_sym_PLUS] = ACTIONS(1956),
    [anon_sym_PLUS_PLUS] = ACTIONS(1959),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1956),
    [anon_sym_PLUS_PIPE] = ACTIONS(1956),
    [anon_sym_DASH_PIPE] = ACTIONS(1956),
    [anon_sym_SLASH] = ACTIONS(1956),
    [anon_sym_PERCENT] = ACTIONS(1956),
    [anon_sym_STAR_STAR] = ACTIONS(1959),
    [anon_sym_STAR_PERCENT] = ACTIONS(1956),
    [anon_sym_STAR_PIPE] = ACTIONS(1956),
    [anon_sym_PIPE_PIPE] = ACTIONS(1959),
    [anon_sym_catch] = ACTIONS(1959),
    [anon_sym_EQ_GT] = ACTIONS(1954),
    [anon_sym_DOT] = ACTIONS(1956),
    [anon_sym_DOT_STAR] = ACTIONS(1959),
    [anon_sym_DOT_QMARK] = ACTIONS(1959),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_BANG,
    ACTIONS(1818), 1,
      anon_sym_EQ,
    ACTIONS(1962), 1,
      anon_sym_else,
    ACTIONS(1816), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_align,
      anon_sym_addrspace,
      anon_sym_linksection,
    ACTIONS(961), 21,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(963), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [79] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_BANG,
    ACTIONS(1966), 1,
      anon_sym_EQ,
    ACTIONS(1968), 1,
      anon_sym_align,
    ACTIONS(1970), 1,
      anon_sym_addrspace,
    ACTIONS(1972), 1,
      anon_sym_linksection,
    STATE(1543), 1,
      sym_byte_alignment,
    STATE(1564), 1,
      sym_address_space,
    STATE(1643), 1,
      sym_link_section,
    ACTIONS(1964), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(961), 21,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(963), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [168] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1978), 1,
      anon_sym_else,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1648), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [278] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1780), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [386] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1704), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [494] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1714), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(1712), 32,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_EQ_GT,
  [586] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_BANG,
    ACTIONS(1622), 1,
      anon_sym_EQ,
    ACTIONS(1620), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_align,
      anon_sym_addrspace,
      anon_sym_linksection,
    ACTIONS(961), 21,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(963), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [662] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1758), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [770] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1762), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [878] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1796), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [986] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1714), 16,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1712), 33,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_catch,
      anon_sym_EQ_GT,
  [1072] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1902), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [1180] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1738), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [1288] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1742), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [1396] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2004), 1,
      aux_sym_multiline_string_token1,
    STATE(971), 1,
      aux_sym_multiline_string_repeat1,
    ACTIONS(1331), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1329), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [1470] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1784), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [1578] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1344), 1,
      anon_sym_LBRACE,
    ACTIONS(1968), 1,
      anon_sym_align,
    ACTIONS(2009), 1,
      anon_sym_EQ,
    STATE(860), 1,
      sym_initializer_list,
    STATE(1598), 1,
      sym_byte_alignment,
    ACTIONS(2007), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1342), 22,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1340), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [1660] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1344), 1,
      anon_sym_LBRACE,
    ACTIONS(1968), 1,
      anon_sym_align,
    ACTIONS(2013), 1,
      anon_sym_EQ,
    STATE(860), 1,
      sym_initializer_list,
    STATE(1582), 1,
      sym_byte_alignment,
    ACTIONS(2011), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1342), 22,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1340), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [1742] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1344), 1,
      anon_sym_LBRACE,
    ACTIONS(1968), 1,
      anon_sym_align,
    ACTIONS(2017), 1,
      anon_sym_EQ,
    STATE(860), 1,
      sym_initializer_list,
    STATE(1589), 1,
      sym_byte_alignment,
    ACTIONS(2015), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1342), 22,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1340), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [1824] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1714), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1712), 25,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
  [1928] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      anon_sym_SEMI,
    ACTIONS(2021), 1,
      anon_sym_LBRACE,
    STATE(735), 1,
      sym_block,
    ACTIONS(1538), 23,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1536), 36,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_align,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [2004] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1722), 4,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1720), 30,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
  [2102] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(159), 1,
      anon_sym_COLON,
    STATE(1097), 1,
      sym_break_label,
    ACTIONS(1338), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1336), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [2176] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1780), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [2284] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1748), 4,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1746), 30,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
  [2382] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1906), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [2490] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1344), 1,
      anon_sym_LBRACE,
    ACTIONS(1968), 1,
      anon_sym_align,
    ACTIONS(2025), 1,
      anon_sym_EQ,
    STATE(860), 1,
      sym_initializer_list,
    STATE(1587), 1,
      sym_byte_alignment,
    ACTIONS(2023), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1342), 22,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1340), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [2572] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1714), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1712), 26,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_GT,
  [2674] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2027), 1,
      anon_sym_else,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1738), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [2784] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1898), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [2892] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2029), 1,
      anon_sym_else,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1752), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [3002] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1914), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [3110] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_BANG,
    ACTIONS(1956), 1,
      anon_sym_EQ,
    ACTIONS(1954), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_align,
      anon_sym_addrspace,
      anon_sym_linksection,
    ACTIONS(961), 21,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(963), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [3186] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1792), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [3294] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2031), 1,
      anon_sym_else,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1926), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [3404] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1344), 1,
      anon_sym_LBRACE,
    ACTIONS(1968), 1,
      anon_sym_align,
    ACTIONS(2035), 1,
      anon_sym_EQ,
    STATE(860), 1,
      sym_initializer_list,
    STATE(1602), 1,
      sym_byte_alignment,
    ACTIONS(2033), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1342), 22,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1340), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [3486] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1772), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [3594] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1714), 4,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1712), 30,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
  [3692] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2037), 1,
      anon_sym_else,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1694), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [3802] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2039), 1,
      anon_sym_else,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1932), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [3912] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2041), 1,
      anon_sym_else,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1938), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4022] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1708), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4130] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1714), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1712), 32,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_EQ_GT,
  [4220] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1734), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4328] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2043), 1,
      aux_sym_multiline_string_token1,
    STATE(971), 1,
      aux_sym_multiline_string_repeat1,
    ACTIONS(1325), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1323), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [4402] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_BANG,
    ACTIONS(1634), 1,
      anon_sym_EQ,
    ACTIONS(1632), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_align,
      anon_sym_addrspace,
      anon_sym_linksection,
    ACTIONS(961), 21,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(963), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [4478] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1776), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4586] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1762), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4694] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1344), 1,
      anon_sym_LBRACE,
    ACTIONS(1968), 1,
      anon_sym_align,
    ACTIONS(2047), 1,
      anon_sym_EQ,
    STATE(860), 1,
      sym_initializer_list,
    STATE(1606), 1,
      sym_byte_alignment,
    ACTIONS(2045), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1342), 22,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1340), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [4776] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2049), 1,
      anon_sym_else,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1694), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4886] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1918), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4994] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(143), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [5102] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1924), 4,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1922), 30,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
  [5200] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1910), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [5308] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2051), 1,
      anon_sym_DASH_GT,
    ACTIONS(989), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(987), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [5379] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1424), 1,
      anon_sym_COLON,
    ACTIONS(989), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(987), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [5450] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1044), 1,
      sym_initializer_list,
    ACTIONS(1342), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1340), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [5521] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_COLON,
    ACTIONS(989), 23,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(987), 37,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_align,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [5592] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2055), 1,
      anon_sym_COLON,
    ACTIONS(989), 23,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(987), 37,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_align,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [5663] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2057), 1,
      anon_sym_COLON,
    ACTIONS(989), 23,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(987), 37,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_align,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [5734] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1547), 1,
      anon_sym_COLON,
    ACTIONS(1575), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1572), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [5805] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2059), 1,
      anon_sym_COLON,
    ACTIONS(989), 23,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(987), 37,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_align,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [5876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1547), 1,
      anon_sym_COLON,
    ACTIONS(1549), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1544), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [5947] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(1044), 1,
      sym_initializer_list,
    ACTIONS(1342), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1340), 35,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [6020] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2063), 1,
      anon_sym_DASH_GT,
    ACTIONS(989), 23,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(987), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [6091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 1,
      anon_sym_COLON,
    ACTIONS(989), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(987), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [6162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1596), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1594), 37,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [6231] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1924), 5,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1922), 27,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
  [6327] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_BANG,
    ACTIONS(1620), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(1622), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1625), 31,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [6399] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_BANG,
    ACTIONS(1632), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(1634), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1637), 31,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [6471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1502), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [6539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1506), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [6607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1340), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [6675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1514), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [6743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1540), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [6811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1566), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1564), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [6879] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_BANG,
    ACTIONS(961), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(963), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [6949] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_BANG,
    ACTIONS(1892), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1890), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [7019] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_BANG,
    ACTIONS(1896), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1894), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [7089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1348), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1346), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [7157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1584), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1582), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [7225] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1872), 22,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1870), 32,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
  [7305] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_BANG,
    ACTIONS(1862), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1860), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [7375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1520), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1518), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [7443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1588), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1586), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [7511] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_BANG,
    ACTIONS(1362), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1360), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [7581] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1872), 22,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1870), 32,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
  [7661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1530), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1528), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [7729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1358), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1356), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [7797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(967), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [7865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1452), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1450), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [7933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1549), 23,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1544), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [8001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1352), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1350), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [8069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1426), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [8137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1604), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1602), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [8205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1430), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [8273] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_BANG,
    ACTIONS(1642), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1640), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [8343] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_BANG,
    ACTIONS(1808), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1806), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [8413] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_BANG,
    ACTIONS(1852), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1850), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [8483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(771), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(769), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [8551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1456), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1454), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [8619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1460), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1458), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [8687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1462), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [8755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1468), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1466), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [8823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(989), 23,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(987), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [8891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1612), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1610), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [8959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1490), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [9027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1482), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [9095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1494), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [9163] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_BANG,
    ACTIONS(1876), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1874), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [9233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1390), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1388), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [9301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1402), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1400), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [9369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1408), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [9437] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_BANG,
    ACTIONS(1646), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1644), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [9507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(777), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(775), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [9575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1470), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [9643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1498), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [9711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1512), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1510), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [9779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1526), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1524), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [9847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1534), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1532), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [9915] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_BANG,
    ACTIONS(1946), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1944), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [9985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(781), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(779), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [10053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1580), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1578), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [10121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(789), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(787), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [10189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1394), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1392), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [10257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1434), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [10325] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_BANG,
    ACTIONS(1630), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1628), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [10395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1554), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1552), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [10463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1558), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1556), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [10531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1560), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [10599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(989), 23,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(987), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [10667] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_BANG,
    ACTIONS(1954), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(1956), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1959), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [10739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1592), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1590), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [10807] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1702), 22,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1700), 32,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
  [10887] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1714), 22,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1712), 32,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
  [10967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1600), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1598), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [11035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(635), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [11103] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_BANG,
    ACTIONS(1790), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1788), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [11173] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_BANG,
    ACTIONS(1862), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1860), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [11243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1442), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [11311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1570), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1568), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [11379] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_BANG,
    ACTIONS(961), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(963), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [11449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1575), 23,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1572), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [11517] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_BANG,
    ACTIONS(1362), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1360), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [11587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1360), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [11655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1376), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [11723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1608), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1606), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [11791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1364), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [11859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1368), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [11927] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_BANG,
    ACTIONS(1350), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(1810), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1813), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [11999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1372), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [12067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(641), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(639), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [12135] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_BANG,
    ACTIONS(1876), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1874), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [12205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1380), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [12273] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_BANG,
    ACTIONS(1946), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1944), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [12343] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_BANG,
    ACTIONS(1630), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1628), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [12413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1386), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1384), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [12481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1404), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [12549] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1702), 22,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1700), 32,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
  [12629] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1714), 22,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1712), 32,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
  [12709] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_BANG,
    ACTIONS(1790), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1788), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [12779] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_BANG,
    ACTIONS(1442), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(1864), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1867), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [12851] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_BANG,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2099), 1,
      anon_sym_EQ,
    ACTIONS(2103), 1,
      anon_sym_else,
    ACTIONS(2111), 1,
      anon_sym_or,
    ACTIONS(2113), 1,
      anon_sym_and,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1648), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
    ACTIONS(2115), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2101), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [12961] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1696), 1,
      anon_sym_BANG,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2099), 1,
      anon_sym_EQ,
    ACTIONS(2111), 1,
      anon_sym_or,
    ACTIONS(2113), 1,
      anon_sym_and,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2129), 1,
      anon_sym_else,
    ACTIONS(2117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1694), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
    ACTIONS(2115), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2101), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [13071] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1706), 1,
      anon_sym_BANG,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2099), 1,
      anon_sym_EQ,
    ACTIONS(2111), 1,
      anon_sym_or,
    ACTIONS(2113), 1,
      anon_sym_and,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2115), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1704), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2101), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [13179] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1710), 1,
      anon_sym_BANG,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2099), 1,
      anon_sym_EQ,
    ACTIONS(2111), 1,
      anon_sym_or,
    ACTIONS(2113), 1,
      anon_sym_and,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2115), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1708), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2101), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [13287] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1714), 8,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(1712), 29,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
  [13377] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1714), 17,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1712), 30,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_catch,
  [13461] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2113), 1,
      anon_sym_and,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1714), 3,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_or,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2115), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1712), 22,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
  [13563] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1714), 3,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_or,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2115), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1712), 23,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
  [13663] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1714), 5,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1712), 27,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [13759] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1714), 11,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1712), 29,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
  [13847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1396), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [13915] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1722), 5,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1720), 27,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [14011] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_BANG,
    ACTIONS(1606), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(1884), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1887), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [14083] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1696), 1,
      anon_sym_BANG,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2099), 1,
      anon_sym_EQ,
    ACTIONS(2111), 1,
      anon_sym_or,
    ACTIONS(2113), 1,
      anon_sym_and,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2131), 1,
      anon_sym_else,
    ACTIONS(2117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1694), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
    ACTIONS(2115), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2101), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [14193] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_BANG,
    ACTIONS(1718), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1716), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [14263] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1736), 1,
      anon_sym_BANG,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2099), 1,
      anon_sym_EQ,
    ACTIONS(2111), 1,
      anon_sym_or,
    ACTIONS(2113), 1,
      anon_sym_and,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2115), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1734), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2101), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [14371] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1740), 1,
      anon_sym_BANG,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2099), 1,
      anon_sym_EQ,
    ACTIONS(2111), 1,
      anon_sym_or,
    ACTIONS(2113), 1,
      anon_sym_and,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2115), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1738), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2101), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [14479] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1744), 1,
      anon_sym_BANG,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2099), 1,
      anon_sym_EQ,
    ACTIONS(2111), 1,
      anon_sym_or,
    ACTIONS(2113), 1,
      anon_sym_and,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2115), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1742), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2101), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [14587] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1748), 5,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1746), 27,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [14683] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1740), 1,
      anon_sym_BANG,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2099), 1,
      anon_sym_EQ,
    ACTIONS(2111), 1,
      anon_sym_or,
    ACTIONS(2113), 1,
      anon_sym_and,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2133), 1,
      anon_sym_else,
    ACTIONS(2117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1738), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
    ACTIONS(2115), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2101), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [14793] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1754), 1,
      anon_sym_BANG,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2099), 1,
      anon_sym_EQ,
    ACTIONS(2111), 1,
      anon_sym_or,
    ACTIONS(2113), 1,
      anon_sym_and,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2135), 1,
      anon_sym_else,
    ACTIONS(2117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1752), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
    ACTIONS(2115), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2101), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [14903] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1760), 1,
      anon_sym_BANG,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2099), 1,
      anon_sym_EQ,
    ACTIONS(2111), 1,
      anon_sym_or,
    ACTIONS(2113), 1,
      anon_sym_and,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2115), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1758), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2101), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [15011] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1764), 1,
      anon_sym_BANG,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2099), 1,
      anon_sym_EQ,
    ACTIONS(2111), 1,
      anon_sym_or,
    ACTIONS(2113), 1,
      anon_sym_and,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2115), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1762), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2101), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [15119] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1774), 1,
      anon_sym_BANG,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2099), 1,
      anon_sym_EQ,
    ACTIONS(2111), 1,
      anon_sym_or,
    ACTIONS(2113), 1,
      anon_sym_and,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2115), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1772), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2101), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [15227] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1778), 1,
      anon_sym_BANG,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2099), 1,
      anon_sym_EQ,
    ACTIONS(2111), 1,
      anon_sym_or,
    ACTIONS(2113), 1,
      anon_sym_and,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2115), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1776), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2101), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [15335] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1764), 1,
      anon_sym_BANG,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2099), 1,
      anon_sym_EQ,
    ACTIONS(2111), 1,
      anon_sym_or,
    ACTIONS(2113), 1,
      anon_sym_and,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2115), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1762), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2101), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [15443] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1782), 1,
      anon_sym_BANG,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2099), 1,
      anon_sym_EQ,
    ACTIONS(2111), 1,
      anon_sym_or,
    ACTIONS(2113), 1,
      anon_sym_and,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2115), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1780), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2101), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [15551] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1786), 1,
      anon_sym_BANG,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2099), 1,
      anon_sym_EQ,
    ACTIONS(2111), 1,
      anon_sym_or,
    ACTIONS(2113), 1,
      anon_sym_and,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2115), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1784), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2101), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [15659] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_BANG,
    ACTIONS(2137), 1,
      anon_sym_else,
    ACTIONS(1816), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    ACTIONS(1818), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1821), 31,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [15733] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1782), 1,
      anon_sym_BANG,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2099), 1,
      anon_sym_EQ,
    ACTIONS(2111), 1,
      anon_sym_or,
    ACTIONS(2113), 1,
      anon_sym_and,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2115), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1780), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2101), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [15841] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1798), 1,
      anon_sym_BANG,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2099), 1,
      anon_sym_EQ,
    ACTIONS(2111), 1,
      anon_sym_or,
    ACTIONS(2113), 1,
      anon_sym_and,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2115), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1796), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2101), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [15949] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_BANG,
    ACTIONS(1728), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1726), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [16019] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_BANG,
    ACTIONS(1732), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1730), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [16089] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_BANG,
    ACTIONS(1502), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(1832), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1835), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [16161] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_BANG,
    ACTIONS(1506), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(1838), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1841), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [16233] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_BANG,
    ACTIONS(1718), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1716), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [16303] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_BANG,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2139), 1,
      anon_sym_EQ,
    ACTIONS(2143), 1,
      anon_sym_else,
    ACTIONS(2145), 1,
      anon_sym_or,
    ACTIONS(2147), 1,
      anon_sym_and,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2151), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1648), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    ACTIONS(2149), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2141), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [16413] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1696), 1,
      anon_sym_BANG,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2139), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_or,
    ACTIONS(2147), 1,
      anon_sym_and,
    ACTIONS(2153), 1,
      anon_sym_else,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2151), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1694), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    ACTIONS(2149), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2141), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [16523] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_BANG,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2139), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_or,
    ACTIONS(2147), 1,
      anon_sym_and,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2151), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2149), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1704), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2141), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [16631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1538), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1536), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [16699] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_BANG,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2139), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_or,
    ACTIONS(2147), 1,
      anon_sym_and,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2151), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2149), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1708), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2141), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [16807] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1714), 8,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(1712), 29,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_EQ_GT,
  [16897] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1714), 17,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1712), 30,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_catch,
      anon_sym_EQ_GT,
  [16981] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2147), 1,
      anon_sym_and,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2151), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1714), 3,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_or,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2149), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1712), 22,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
  [17083] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2151), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1714), 3,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_or,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2149), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1712), 23,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_GT,
  [17183] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1714), 5,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1712), 27,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
  [17279] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1714), 11,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1712), 29,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_EQ_GT,
  [17367] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_BANG,
    ACTIONS(1728), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1726), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [17437] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1722), 5,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1720), 27,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
  [17533] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1696), 1,
      anon_sym_BANG,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2139), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_or,
    ACTIONS(2147), 1,
      anon_sym_and,
    ACTIONS(2155), 1,
      anon_sym_else,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2151), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1694), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    ACTIONS(2149), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2141), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [17643] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_BANG,
    ACTIONS(1892), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1890), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [17713] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_BANG,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2139), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_or,
    ACTIONS(2147), 1,
      anon_sym_and,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2151), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2149), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1734), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2141), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [17821] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1740), 1,
      anon_sym_BANG,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2139), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_or,
    ACTIONS(2147), 1,
      anon_sym_and,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2151), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2149), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1738), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2141), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [17929] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1744), 1,
      anon_sym_BANG,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2139), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_or,
    ACTIONS(2147), 1,
      anon_sym_and,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2151), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2149), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1742), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2141), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [18037] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1748), 5,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1746), 27,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
  [18133] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1740), 1,
      anon_sym_BANG,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2139), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_or,
    ACTIONS(2147), 1,
      anon_sym_and,
    ACTIONS(2157), 1,
      anon_sym_else,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2151), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1738), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    ACTIONS(2149), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2141), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [18243] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1754), 1,
      anon_sym_BANG,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2139), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_or,
    ACTIONS(2147), 1,
      anon_sym_and,
    ACTIONS(2159), 1,
      anon_sym_else,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2151), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1752), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    ACTIONS(2149), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2141), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [18353] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_BANG,
    ACTIONS(1732), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1730), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [18423] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1760), 1,
      anon_sym_BANG,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2139), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_or,
    ACTIONS(2147), 1,
      anon_sym_and,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2151), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2149), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1758), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2141), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [18531] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_BANG,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2139), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_or,
    ACTIONS(2147), 1,
      anon_sym_and,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2151), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2149), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1762), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2141), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [18639] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_BANG,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2139), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_or,
    ACTIONS(2147), 1,
      anon_sym_and,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2151), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2149), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1772), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2141), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [18747] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1778), 1,
      anon_sym_BANG,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2139), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_or,
    ACTIONS(2147), 1,
      anon_sym_and,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2151), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2149), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1776), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2141), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [18855] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_BANG,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2139), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_or,
    ACTIONS(2147), 1,
      anon_sym_and,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2151), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2149), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1762), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2141), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [18963] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1782), 1,
      anon_sym_BANG,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2139), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_or,
    ACTIONS(2147), 1,
      anon_sym_and,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2151), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2149), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1780), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2141), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [19071] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1786), 1,
      anon_sym_BANG,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2139), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_or,
    ACTIONS(2147), 1,
      anon_sym_and,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2151), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2149), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1784), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2141), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [19179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1418), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1416), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [19247] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_BANG,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2139), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_or,
    ACTIONS(2147), 1,
      anon_sym_and,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2151), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2149), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1792), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2141), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [19355] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1782), 1,
      anon_sym_BANG,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2139), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_or,
    ACTIONS(2147), 1,
      anon_sym_and,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2151), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2149), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1780), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2141), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [19463] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1798), 1,
      anon_sym_BANG,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2139), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_or,
    ACTIONS(2147), 1,
      anon_sym_and,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2151), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2149), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1796), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2141), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [19571] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_BANG,
    ACTIONS(1896), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1894), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [19641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1420), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [19709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1414), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1412), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [19777] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1904), 1,
      anon_sym_BANG,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2099), 1,
      anon_sym_EQ,
    ACTIONS(2111), 1,
      anon_sym_or,
    ACTIONS(2113), 1,
      anon_sym_and,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2115), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1902), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2101), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [19885] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1908), 1,
      anon_sym_BANG,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2099), 1,
      anon_sym_EQ,
    ACTIONS(2111), 1,
      anon_sym_or,
    ACTIONS(2113), 1,
      anon_sym_and,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2115), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1906), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2101), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [19993] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1912), 1,
      anon_sym_BANG,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2099), 1,
      anon_sym_EQ,
    ACTIONS(2111), 1,
      anon_sym_or,
    ACTIONS(2113), 1,
      anon_sym_and,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2115), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1910), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2101), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [20101] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1916), 1,
      anon_sym_BANG,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2099), 1,
      anon_sym_EQ,
    ACTIONS(2111), 1,
      anon_sym_or,
    ACTIONS(2113), 1,
      anon_sym_and,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2115), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1914), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2101), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [20209] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1920), 1,
      anon_sym_BANG,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2099), 1,
      anon_sym_EQ,
    ACTIONS(2111), 1,
      anon_sym_or,
    ACTIONS(2113), 1,
      anon_sym_and,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2115), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1918), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2101), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [20317] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_BANG,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2099), 1,
      anon_sym_EQ,
    ACTIONS(2111), 1,
      anon_sym_or,
    ACTIONS(2113), 1,
      anon_sym_and,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2115), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(143), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2101), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [20425] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1924), 5,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1922), 27,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [20521] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1934), 1,
      anon_sym_BANG,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2099), 1,
      anon_sym_EQ,
    ACTIONS(2111), 1,
      anon_sym_or,
    ACTIONS(2113), 1,
      anon_sym_and,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2161), 1,
      anon_sym_else,
    ACTIONS(2117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1932), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
    ACTIONS(2115), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2101), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [20631] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1940), 1,
      anon_sym_BANG,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2099), 1,
      anon_sym_EQ,
    ACTIONS(2111), 1,
      anon_sym_or,
    ACTIONS(2113), 1,
      anon_sym_and,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2163), 1,
      anon_sym_else,
    ACTIONS(2117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1938), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
    ACTIONS(2115), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2101), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [20741] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_BANG,
    ACTIONS(1356), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(1844), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1847), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [20813] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_BANG,
    ACTIONS(1450), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(1854), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1857), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [20885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1438), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [20953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1446), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [21021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_BANG,
    ACTIONS(1642), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1640), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [21091] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1900), 1,
      anon_sym_BANG,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2099), 1,
      anon_sym_EQ,
    ACTIONS(2111), 1,
      anon_sym_or,
    ACTIONS(2113), 1,
      anon_sym_and,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2115), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1898), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2101), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [21199] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1928), 1,
      anon_sym_BANG,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2099), 1,
      anon_sym_EQ,
    ACTIONS(2111), 1,
      anon_sym_or,
    ACTIONS(2113), 1,
      anon_sym_and,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2165), 1,
      anon_sym_else,
    ACTIONS(2117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1926), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
    ACTIONS(2115), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2101), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [21309] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_BANG,
    ACTIONS(1808), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1806), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [21379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(989), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(987), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [21447] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_BANG,
    ACTIONS(1852), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1850), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [21517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1474), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [21585] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_BANG,
    ACTIONS(1610), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(1800), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1803), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [21657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1480), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1478), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [21725] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_BANG,
    ACTIONS(1482), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(1826), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1829), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [21797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1614), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [21865] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_BANG,
    ACTIONS(1646), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1644), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [21935] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_BANG,
    ACTIONS(1524), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(1878), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1881), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [22007] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_BANG,
    ACTIONS(1532), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(1948), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1951), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [22079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1488), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1486), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [22147] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_BANG,
    ACTIONS(1578), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(1766), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1769), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [22219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 24,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(963), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [22287] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_BANG,
    ACTIONS(2167), 1,
      anon_sym_else,
    ACTIONS(1816), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
    ACTIONS(1818), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1821), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [22361] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_BANG,
    ACTIONS(1350), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(1810), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1813), 31,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [22433] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_BANG,
    ACTIONS(1442), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(1864), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1867), 31,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [22505] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_BANG,
    ACTIONS(1606), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(1884), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1887), 31,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [22577] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_BANG,
    ACTIONS(1620), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(1622), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1625), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [22649] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_BANG,
    ACTIONS(1502), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(1832), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1835), 31,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [22721] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_BANG,
    ACTIONS(1506), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(1838), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1841), 31,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [22793] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_BANG,
    ACTIONS(1632), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(1634), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1637), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [22865] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_BANG,
    ACTIONS(1356), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(1844), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1847), 31,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [22937] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_BANG,
    ACTIONS(1450), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(1854), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1857), 31,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [23009] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_BANG,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2139), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_or,
    ACTIONS(2147), 1,
      anon_sym_and,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2151), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2149), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1898), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2141), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23117] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1904), 1,
      anon_sym_BANG,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2139), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_or,
    ACTIONS(2147), 1,
      anon_sym_and,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2151), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2149), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1902), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2141), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23225] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1908), 1,
      anon_sym_BANG,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2139), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_or,
    ACTIONS(2147), 1,
      anon_sym_and,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2151), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2149), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1906), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2141), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23333] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1912), 1,
      anon_sym_BANG,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2139), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_or,
    ACTIONS(2147), 1,
      anon_sym_and,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2151), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2149), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1910), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2141), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23441] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1916), 1,
      anon_sym_BANG,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2139), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_or,
    ACTIONS(2147), 1,
      anon_sym_and,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2151), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2149), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1914), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2141), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23549] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1920), 1,
      anon_sym_BANG,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2139), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_or,
    ACTIONS(2147), 1,
      anon_sym_and,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2151), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2149), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1918), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2141), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23657] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_BANG,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2139), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_or,
    ACTIONS(2147), 1,
      anon_sym_and,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2151), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2149), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(143), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2141), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23765] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_BANG,
    ACTIONS(1610), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(1800), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1803), 31,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [23837] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1928), 1,
      anon_sym_BANG,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2139), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_or,
    ACTIONS(2147), 1,
      anon_sym_and,
    ACTIONS(2169), 1,
      anon_sym_else,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2151), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1926), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    ACTIONS(2149), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2141), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23947] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1934), 1,
      anon_sym_BANG,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2139), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_or,
    ACTIONS(2147), 1,
      anon_sym_and,
    ACTIONS(2171), 1,
      anon_sym_else,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2151), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1932), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    ACTIONS(2149), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2141), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24057] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1940), 1,
      anon_sym_BANG,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_orelse,
    ACTIONS(2081), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2085), 1,
      anon_sym_catch,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2139), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_or,
    ACTIONS(2147), 1,
      anon_sym_and,
    ACTIONS(2173), 1,
      anon_sym_else,
    ACTIONS(2083), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2151), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2069), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2079), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1938), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    ACTIONS(2149), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2075), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2141), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24167] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_BANG,
    ACTIONS(1482), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(1826), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1829), 31,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [24239] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_BANG,
    ACTIONS(1524), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(1878), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1881), 31,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [24311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_BANG,
    ACTIONS(1532), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(1948), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1951), 31,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [24383] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_BANG,
    ACTIONS(1578), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(1766), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1769), 31,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [24455] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_BANG,
    ACTIONS(1954), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(1956), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1959), 31,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [24527] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1794), 1,
      anon_sym_BANG,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2099), 1,
      anon_sym_EQ,
    ACTIONS(2111), 1,
      anon_sym_or,
    ACTIONS(2113), 1,
      anon_sym_and,
    ACTIONS(2119), 1,
      anon_sym_orelse,
    ACTIONS(2123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2127), 1,
      anon_sym_catch,
    ACTIONS(2117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2125), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2105), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2121), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2115), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1792), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2109), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2101), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24635] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    STATE(1644), 1,
      aux_sym__for_prefix_repeat1,
    ACTIONS(1702), 22,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1700), 30,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
  [24716] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2175), 1,
      anon_sym_COLON,
    ACTIONS(989), 23,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(987), 35,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [24785] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2177), 1,
      anon_sym_COLON,
    ACTIONS(989), 23,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(987), 35,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [24854] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_BANG,
    ACTIONS(1620), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
    ACTIONS(961), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(963), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [24925] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_BANG,
    ACTIONS(1954), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
    ACTIONS(961), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(963), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [24996] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_BANG,
    ACTIONS(1632), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
    ACTIONS(961), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(963), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [25067] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2179), 1,
      anon_sym_COLON,
    ACTIONS(989), 23,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(987), 35,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [25136] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 1,
      anon_sym_COLON,
    ACTIONS(989), 23,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(987), 35,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [25205] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1910), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25309] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1906), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25413] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1910), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25517] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1734), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25621] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1738), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25725] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1742), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25829] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1748), 4,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1746), 26,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
  [25923] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2239), 1,
      anon_sym_else,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1738), 3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26029] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2241), 1,
      anon_sym_else,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1752), 3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26135] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1758), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26239] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1762), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26343] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1914), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26447] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1918), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26551] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(143), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26655] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1924), 4,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1922), 26,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
  [26749] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1702), 22,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1700), 30,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
  [26827] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1772), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26931] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1776), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27035] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1926), 1,
      anon_sym_COMMA,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2243), 1,
      anon_sym_SEMI,
    ACTIONS(2245), 1,
      anon_sym_else,
    STATE(760), 1,
      sym_else_clause,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27145] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1762), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27249] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1780), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27353] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2247), 1,
      anon_sym_else,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1926), 3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27459] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2249), 1,
      anon_sym_else,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1932), 3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27565] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2251), 1,
      anon_sym_else,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1938), 3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27671] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1932), 1,
      anon_sym_COMMA,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2243), 1,
      anon_sym_SEMI,
    ACTIONS(2253), 1,
      anon_sym_else,
    STATE(760), 1,
      sym_else_clause,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27781] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1938), 1,
      anon_sym_COMMA,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2243), 1,
      anon_sym_SEMI,
    ACTIONS(2255), 1,
      anon_sym_else,
    STATE(760), 1,
      sym_else_clause,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27891] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1784), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27995] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1792), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28099] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1780), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28203] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1648), 1,
      anon_sym_COMMA,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2243), 1,
      anon_sym_SEMI,
    ACTIONS(2257), 1,
      anon_sym_else,
    STATE(760), 1,
      sym_else_clause,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28313] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1796), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28417] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2259), 1,
      anon_sym_else,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28523] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2261), 1,
      anon_sym_else,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1694), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28629] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1694), 1,
      anon_sym_COMMA,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2243), 1,
      anon_sym_SEMI,
    ACTIONS(2263), 1,
      anon_sym_else,
    STATE(760), 1,
      sym_else_clause,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28739] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1704), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28843] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(941), 1,
      anon_sym_EQ_GT,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2265), 1,
      anon_sym_COMMA,
    ACTIONS(2267), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1655), 1,
      aux_sym__switch_case_exp_repeat1,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28953] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1898), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29057] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1694), 1,
      anon_sym_COMMA,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2243), 1,
      anon_sym_SEMI,
    ACTIONS(2269), 1,
      anon_sym_else,
    STATE(760), 1,
      sym_else_clause,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29167] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1902), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29271] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1708), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29375] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1906), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29479] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1914), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29583] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1918), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29687] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(143), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29791] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1924), 4,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1922), 26,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [29885] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1714), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(1712), 28,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
  [29973] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2271), 1,
      anon_sym_else,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1926), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30079] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2273), 1,
      anon_sym_else,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1932), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30185] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1902), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30289] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1714), 16,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1712), 29,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_catch,
  [30371] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(1714), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1712), 21,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
  [30471] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(1714), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1712), 22,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
  [30569] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1714), 4,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1712), 26,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [30663] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1714), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1712), 28,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
  [30749] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1722), 4,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1720), 26,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [30843] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2275), 1,
      anon_sym_else,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1694), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 23,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1396), 35,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [31015] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1734), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31119] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1738), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31223] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1742), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31327] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1748), 4,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1746), 26,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [31421] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2277), 1,
      anon_sym_else,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1738), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31527] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2279), 1,
      anon_sym_else,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1752), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31633] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2284), 1,
      anon_sym_else,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2281), 3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31739] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2289), 1,
      anon_sym_else,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2286), 3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31845] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1758), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31949] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1762), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32053] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2293), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2295), 1,
      anon_sym_EQ_GT,
    STATE(1640), 1,
      aux_sym__switch_case_exp_repeat1,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32163] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1772), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32267] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1776), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32371] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1762), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32475] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1780), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32579] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1784), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32683] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1792), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32787] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1780), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32891] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1796), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32995] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1738), 1,
      anon_sym_COMMA,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2243), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_else,
    STATE(760), 1,
      sym_else_clause,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33105] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2243), 1,
      anon_sym_SEMI,
    ACTIONS(2299), 1,
      anon_sym_else,
    STATE(760), 1,
      sym_else_clause,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33215] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_BANG,
    ACTIONS(2301), 1,
      anon_sym_else,
    ACTIONS(1816), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(961), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(963), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [33287] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2303), 1,
      anon_sym_else,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33393] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2305), 1,
      anon_sym_else,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1694), 3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33499] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1898), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33603] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2307), 1,
      anon_sym_else,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1694), 3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33709] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1704), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33813] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1708), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33917] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1714), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(1712), 28,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_EQ_GT,
  [34005] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1714), 16,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1712), 29,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_catch,
      anon_sym_EQ_GT,
  [34087] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(1714), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1712), 21,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
  [34187] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(1714), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1712), 22,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_GT,
  [34285] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1714), 4,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1712), 26,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
  [34379] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1714), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1712), 28,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_EQ_GT,
  [34465] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_BANG,
    ACTIONS(2309), 1,
      anon_sym_else,
    ACTIONS(1816), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(961), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(963), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [34537] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1722), 4,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1720), 26,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
  [34631] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2311), 1,
      anon_sym_else,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1938), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [34737] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2313), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [34840] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2315), 1,
      anon_sym_COMMA,
    ACTIONS(2317), 1,
      anon_sym_RPAREN,
    STATE(1671), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [34947] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2319), 1,
      anon_sym_COLON,
    ACTIONS(2321), 1,
      anon_sym_RPAREN,
    STATE(1784), 1,
      sym_asm_output,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35054] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2323), 1,
      anon_sym_COMMA,
    ACTIONS(2325), 1,
      anon_sym_RPAREN,
    STATE(1676), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35161] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_BANG,
    ACTIONS(1442), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(961), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(963), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [35230] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2319), 1,
      anon_sym_COLON,
    ACTIONS(2327), 1,
      anon_sym_RPAREN,
    STATE(1782), 1,
      sym_asm_output,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35337] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2329), 1,
      anon_sym_COMMA,
    ACTIONS(2331), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_SEMI,
    STATE(1625), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2335), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35444] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_BANG,
    ACTIONS(1606), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(961), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(963), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [35513] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2319), 1,
      anon_sym_COLON,
    ACTIONS(2337), 1,
      anon_sym_RPAREN,
    STATE(1843), 1,
      sym_asm_output,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35620] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2329), 1,
      anon_sym_COMMA,
    ACTIONS(2331), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_SEMI,
    STATE(1625), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2335), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35727] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2329), 1,
      anon_sym_COMMA,
    ACTIONS(2331), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_SEMI,
    STATE(1625), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2335), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35834] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2329), 1,
      anon_sym_COMMA,
    ACTIONS(2331), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_SEMI,
    STATE(1625), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2335), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35941] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2329), 1,
      anon_sym_COMMA,
    ACTIONS(2331), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_SEMI,
    STATE(1625), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2335), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36048] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2339), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36151] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2329), 1,
      anon_sym_COMMA,
    ACTIONS(2331), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_SEMI,
    STATE(1625), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2335), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36258] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_BANG,
    ACTIONS(2341), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(961), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(963), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [36327] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_BANG,
    ACTIONS(1502), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(961), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(963), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [36396] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2343), 1,
      anon_sym_COMMA,
    ACTIONS(2345), 1,
      anon_sym_RBRACE,
    STATE(1653), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36503] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_BANG,
    ACTIONS(1506), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(961), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(963), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [36572] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2349), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2347), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36677] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2351), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36780] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(897), 1,
      anon_sym_EQ_GT,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2353), 1,
      anon_sym_COMMA,
    STATE(1615), 1,
      aux_sym__switch_case_exp_repeat1,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36887] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2355), 1,
      anon_sym_COMMA,
    ACTIONS(2357), 1,
      anon_sym_RPAREN,
    STATE(1672), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36994] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2329), 1,
      anon_sym_COMMA,
    ACTIONS(2331), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_SEMI,
    STATE(1625), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2335), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37101] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_BANG,
    ACTIONS(1356), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(961), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(963), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [37170] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2359), 1,
      anon_sym_COMMA,
    ACTIONS(2361), 1,
      anon_sym_RPAREN,
    STATE(1682), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37277] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_BANG,
    ACTIONS(1450), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(961), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(963), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [37346] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_BANG,
    ACTIONS(2363), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(961), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(963), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [37415] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2365), 1,
      anon_sym_COMMA,
    ACTIONS(2367), 1,
      anon_sym_RBRACE,
    STATE(1666), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37522] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      anon_sym_EQ_GT,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2369), 1,
      anon_sym_COMMA,
    STATE(1624), 1,
      aux_sym__switch_case_exp_repeat1,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37629] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_BANG,
    ACTIONS(1610), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(961), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(963), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [37698] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_BANG,
    ACTIONS(1482), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(961), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(963), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [37767] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2371), 3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37870] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_BANG,
    ACTIONS(2374), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(961), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(963), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [37939] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2329), 1,
      anon_sym_COMMA,
    ACTIONS(2331), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_SEMI,
    STATE(1625), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2335), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38046] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2329), 1,
      anon_sym_COMMA,
    ACTIONS(2331), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_SEMI,
    STATE(1625), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2335), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38153] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2376), 3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38256] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_BANG,
    ACTIONS(1524), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(961), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(963), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [38325] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2329), 1,
      anon_sym_COMMA,
    ACTIONS(2331), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_SEMI,
    STATE(1625), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2335), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38432] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_BANG,
    ACTIONS(1532), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(961), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(963), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [38501] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2329), 1,
      anon_sym_COMMA,
    ACTIONS(2331), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_SEMI,
    STATE(1625), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2335), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38608] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_BANG,
    ACTIONS(1578), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(961), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(963), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [38677] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_or,
    ACTIONS(2223), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_orelse,
    ACTIONS(2233), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2237), 1,
      anon_sym_catch,
    ACTIONS(2227), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2235), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2215), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2231), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2379), 3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(2225), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2219), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2213), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38780] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2329), 1,
      anon_sym_COMMA,
    ACTIONS(2331), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_SEMI,
    STATE(1625), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2335), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38887] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_BANG,
    ACTIONS(2382), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(961), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(963), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [38956] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2384), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39059] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2329), 1,
      anon_sym_COMMA,
    ACTIONS(2331), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_SEMI,
    STATE(1625), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2335), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39166] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2386), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39269] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2388), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39372] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2390), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39475] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2392), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39578] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_BANG,
    ACTIONS(2394), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(961), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(963), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [39647] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2329), 1,
      anon_sym_COMMA,
    ACTIONS(2331), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_SEMI,
    STATE(1625), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2335), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39754] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2397), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39857] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_BANG,
    ACTIONS(2399), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(961), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(963), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [39926] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_BANG,
    ACTIONS(1350), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(961), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(963), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [39995] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2401), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [40098] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2403), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [40201] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2329), 1,
      anon_sym_COMMA,
    ACTIONS(2331), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_SEMI,
    STATE(1625), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2335), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [40308] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2405), 1,
      anon_sym_COMMA,
    ACTIONS(2407), 1,
      anon_sym_RPAREN,
    ACTIONS(2409), 1,
      anon_sym_DOT_DOT,
    STATE(1619), 1,
      aux_sym__for_prefix_repeat1,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [40415] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2319), 1,
      anon_sym_COLON,
    ACTIONS(2411), 1,
      anon_sym_RPAREN,
    STATE(1768), 1,
      sym_asm_output,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [40522] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2413), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [40625] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2415), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [40728] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_BANG,
    ACTIONS(2417), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(961), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(963), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [40797] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2419), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [40899] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2421), 1,
      anon_sym_COLON,
    ACTIONS(2423), 1,
      anon_sym_RBRACK,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [41003] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2425), 1,
      anon_sym_COLON,
    ACTIONS(2427), 1,
      anon_sym_RBRACK,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [41107] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2429), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [41209] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1708), 1,
      anon_sym_COMMA,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2431), 1,
      anon_sym_SEMI,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [41313] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_BANG,
    ACTIONS(2433), 1,
      anon_sym_RPAREN,
    ACTIONS(961), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(963), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [41381] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2437), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2435), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [41483] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2439), 1,
      anon_sym_COLON,
    ACTIONS(2441), 1,
      anon_sym_RBRACK,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [41587] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2443), 1,
      anon_sym_COLON,
    ACTIONS(2445), 1,
      anon_sym_RBRACK,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [41691] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1902), 1,
      anon_sym_COMMA,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2333), 1,
      anon_sym_SEMI,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [41795] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2447), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [41897] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2449), 1,
      anon_sym_COLON,
    ACTIONS(2451), 1,
      anon_sym_RBRACK,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [42001] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2453), 1,
      anon_sym_COLON,
    ACTIONS(2455), 1,
      anon_sym_RPAREN,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [42105] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [42207] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2459), 1,
      anon_sym_RPAREN,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [42308] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2461), 1,
      anon_sym_SEMI,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [42409] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2463), 1,
      anon_sym_SEMI,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [42510] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2465), 1,
      anon_sym_RBRACK,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [42611] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2467), 1,
      anon_sym_SEMI,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [42712] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2193), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_and,
    ACTIONS(2201), 1,
      anon_sym_orelse,
    ACTIONS(2205), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2209), 1,
      anon_sym_catch,
    ACTIONS(2469), 1,
      anon_sym_COLON,
    ACTIONS(2199), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2207), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2203), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2191), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2185), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [42813] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2471), 1,
      anon_sym_RBRACK,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [42914] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2473), 1,
      anon_sym_RPAREN,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [43015] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2475), 1,
      anon_sym_RPAREN,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [43116] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2477), 1,
      anon_sym_RPAREN,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [43217] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2479), 1,
      anon_sym_RBRACK,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [43318] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2481), 1,
      anon_sym_RPAREN,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [43419] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2483), 1,
      anon_sym_SEMI,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [43520] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2485), 1,
      anon_sym_SEMI,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [43621] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2487), 1,
      anon_sym_SEMI,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [43722] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2489), 1,
      anon_sym_SEMI,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [43823] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2491), 1,
      anon_sym_RBRACK,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [43924] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2493), 1,
      anon_sym_RBRACK,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [44025] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2495), 1,
      anon_sym_SEMI,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [44126] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2497), 1,
      anon_sym_RPAREN,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [44227] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2499), 1,
      anon_sym_RPAREN,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [44328] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2501), 1,
      anon_sym_RPAREN,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [44429] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2503), 1,
      anon_sym_SEMI,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [44530] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2031), 1,
      anon_sym_else,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [44631] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2505), 1,
      anon_sym_RBRACK,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [44732] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2507), 1,
      anon_sym_RBRACK,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [44833] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2509), 1,
      anon_sym_RBRACK,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [44934] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2511), 1,
      anon_sym_RPAREN,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45035] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2513), 1,
      anon_sym_RPAREN,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45136] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2515), 1,
      anon_sym_RPAREN,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45237] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2031), 1,
      anon_sym_else,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2517), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45338] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2519), 1,
      anon_sym_RPAREN,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45439] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2521), 1,
      anon_sym_SEMI,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45540] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2333), 1,
      anon_sym_SEMI,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45641] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2523), 1,
      anon_sym_RPAREN,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45742] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2525), 1,
      anon_sym_RPAREN,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45843] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2527), 1,
      anon_sym_SEMI,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45944] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2529), 1,
      anon_sym_RBRACK,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46045] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2531), 1,
      anon_sym_RPAREN,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46146] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2533), 1,
      anon_sym_SEMI,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46247] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2535), 1,
      anon_sym_RPAREN,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46348] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2537), 1,
      anon_sym_SEMI,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46449] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2539), 1,
      anon_sym_RPAREN,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46550] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2541), 1,
      anon_sym_RPAREN,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46651] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2543), 1,
      anon_sym_COMMA,
    ACTIONS(2545), 1,
      anon_sym_EQ,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46752] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2547), 1,
      anon_sym_RPAREN,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46853] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2549), 1,
      anon_sym_RBRACK,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46954] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2551), 1,
      anon_sym_SEMI,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [47055] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2553), 1,
      anon_sym_RBRACK,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [47156] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2555), 1,
      anon_sym_SEMI,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [47257] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2557), 1,
      anon_sym_RPAREN,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [47358] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2559), 1,
      anon_sym_RPAREN,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [47459] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2561), 1,
      anon_sym_RPAREN,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [47560] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2563), 1,
      anon_sym_RPAREN,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [47661] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2565), 1,
      anon_sym_RPAREN,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [47762] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2567), 1,
      anon_sym_RPAREN,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [47863] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2569), 1,
      anon_sym_SEMI,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [47964] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2571), 1,
      anon_sym_RPAREN,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [48065] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2573), 1,
      anon_sym_RPAREN,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [48166] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2575), 1,
      anon_sym_RPAREN,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [48267] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2577), 1,
      anon_sym_RPAREN,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [48368] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2579), 1,
      anon_sym_RPAREN,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [48469] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2517), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [48567] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [48665] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2517), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [48763] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [48861] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      anon_sym_DOT,
    ACTIONS(1690), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1692), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(1986), 1,
      anon_sym_or,
    ACTIONS(1988), 1,
      anon_sym_and,
    ACTIONS(1994), 1,
      anon_sym_orelse,
    ACTIONS(1998), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2002), 1,
      anon_sym_catch,
    ACTIONS(2097), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1992), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2000), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1980), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1996), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1990), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1984), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1976), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [48959] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LPAREN,
    ACTIONS(2073), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_DOT,
    ACTIONS(2089), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2091), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2517), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1872), 21,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1870), 27,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
  [49033] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2581), 1,
      anon_sym_test,
    ACTIONS(2583), 1,
      anon_sym_comptime,
    ACTIONS(2585), 1,
      anon_sym_export,
    ACTIONS(2587), 1,
      anon_sym_extern,
    ACTIONS(2589), 1,
      anon_sym_threadlocal,
    ACTIONS(2595), 1,
      anon_sym_fn,
    ACTIONS(2597), 1,
      anon_sym_usingnamespace,
    STATE(1614), 1,
      sym__function_prototype,
    STATE(1720), 1,
      sym__variable_declaration_header,
    ACTIONS(2591), 2,
      anon_sym_const,
      anon_sym_var,
    ACTIONS(2593), 2,
      anon_sym_inline,
      anon_sym_noinline,
  [49072] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(2021), 1,
      anon_sym_LBRACE,
    ACTIONS(2599), 1,
      anon_sym_AT,
    STATE(371), 1,
      sym__reserved_identifier,
    STATE(744), 1,
      sym_block,
    STATE(1738), 2,
      sym_string,
      sym_identifier,
    ACTIONS(7), 5,
      anon_sym_undefined,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      sym__identifier,
  [49102] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(2589), 1,
      anon_sym_threadlocal,
    ACTIONS(2595), 1,
      anon_sym_fn,
    ACTIONS(2601), 1,
      anon_sym_struct,
    ACTIONS(2603), 1,
      anon_sym_opaque,
    ACTIONS(2605), 1,
      anon_sym_enum,
    ACTIONS(2607), 1,
      anon_sym_union,
    STATE(1558), 1,
      sym_string,
    STATE(1631), 1,
      sym__function_prototype,
    STATE(1732), 1,
      sym__variable_declaration_header,
    ACTIONS(2591), 2,
      anon_sym_const,
      anon_sym_var,
  [49140] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(2021), 1,
      anon_sym_LBRACE,
    ACTIONS(2599), 1,
      anon_sym_AT,
    STATE(371), 1,
      sym__reserved_identifier,
    STATE(747), 1,
      sym_block,
    STATE(1710), 2,
      sym_string,
      sym_identifier,
    ACTIONS(7), 5,
      anon_sym_undefined,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      sym__identifier,
  [49170] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2599), 1,
      anon_sym_AT,
    ACTIONS(2609), 1,
      anon_sym_LPAREN,
    STATE(92), 1,
      sym_parameters,
    STATE(371), 1,
      sym__reserved_identifier,
    STATE(1694), 1,
      sym_identifier,
    ACTIONS(7), 5,
      anon_sym_undefined,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      sym__identifier,
  [49196] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2599), 1,
      anon_sym_AT,
    ACTIONS(2609), 1,
      anon_sym_LPAREN,
    STATE(89), 1,
      sym_parameters,
    STATE(371), 1,
      sym__reserved_identifier,
    STATE(1750), 1,
      sym_identifier,
    ACTIONS(7), 5,
      anon_sym_undefined,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      sym__identifier,
  [49222] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2599), 1,
      anon_sym_AT,
    ACTIONS(2611), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_STAR,
    STATE(371), 1,
      sym__reserved_identifier,
    STATE(1747), 1,
      sym_identifier,
    ACTIONS(7), 5,
      anon_sym_undefined,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      sym__identifier,
  [49248] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2599), 1,
      anon_sym_AT,
    ACTIONS(2609), 1,
      anon_sym_LPAREN,
    STATE(86), 1,
      sym_parameters,
    STATE(371), 1,
      sym__reserved_identifier,
    STATE(1709), 1,
      sym_identifier,
    ACTIONS(7), 5,
      anon_sym_undefined,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      sym__identifier,
  [49274] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2599), 1,
      anon_sym_AT,
    ACTIONS(2613), 1,
      anon_sym_STAR,
    ACTIONS(2615), 1,
      anon_sym_PIPE,
    STATE(371), 1,
      sym__reserved_identifier,
    STATE(1747), 1,
      sym_identifier,
    ACTIONS(7), 5,
      anon_sym_undefined,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      sym__identifier,
  [49300] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2599), 1,
      anon_sym_AT,
    ACTIONS(2613), 1,
      anon_sym_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    STATE(371), 1,
      sym__reserved_identifier,
    STATE(1747), 1,
      sym_identifier,
    ACTIONS(7), 5,
      anon_sym_undefined,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      sym__identifier,
  [49326] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    ACTIONS(2619), 1,
      anon_sym_AT,
    STATE(700), 1,
      sym__reserved_identifier,
    STATE(1102), 1,
      sym_initializer_list,
    STATE(1129), 1,
      sym_identifier,
    ACTIONS(155), 5,
      anon_sym_undefined,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      sym__identifier,
  [49352] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1344), 1,
      anon_sym_LBRACE,
    ACTIONS(2599), 1,
      anon_sym_AT,
    STATE(371), 1,
      sym__reserved_identifier,
    STATE(819), 1,
      sym_initializer_list,
    STATE(1312), 1,
      sym_identifier,
    ACTIONS(7), 5,
      anon_sym_undefined,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      sym__identifier,
  [49378] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_align,
    ACTIONS(1970), 1,
      anon_sym_addrspace,
    ACTIONS(1972), 1,
      anon_sym_linksection,
    ACTIONS(2623), 1,
      anon_sym_COLON,
    STATE(1545), 1,
      sym_byte_alignment,
    STATE(1560), 1,
      sym_address_space,
    STATE(1629), 1,
      sym_link_section,
    ACTIONS(2621), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
  [49408] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2599), 1,
      anon_sym_AT,
    ACTIONS(2609), 1,
      anon_sym_LPAREN,
    STATE(87), 1,
      sym_parameters,
    STATE(371), 1,
      sym__reserved_identifier,
    STATE(1717), 1,
      sym_identifier,
    ACTIONS(7), 5,
      anon_sym_undefined,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      sym__identifier,
  [49434] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1344), 1,
      anon_sym_LBRACE,
    ACTIONS(2599), 1,
      anon_sym_AT,
    STATE(371), 1,
      sym__reserved_identifier,
    STATE(819), 1,
      sym_initializer_list,
    STATE(824), 1,
      sym_identifier,
    ACTIONS(7), 5,
      anon_sym_undefined,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      sym__identifier,
  [49460] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2599), 1,
      anon_sym_AT,
    ACTIONS(2625), 1,
      anon_sym_RBRACE,
    STATE(371), 1,
      sym__reserved_identifier,
    STATE(1623), 1,
      sym_identifier,
    ACTIONS(7), 5,
      anon_sym_undefined,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      sym__identifier,
  [49483] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2599), 1,
      anon_sym_AT,
    ACTIONS(2627), 1,
      anon_sym_RBRACE,
    STATE(371), 1,
      sym__reserved_identifier,
    STATE(1723), 1,
      sym_identifier,
    ACTIONS(7), 5,
      anon_sym_undefined,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      sym__identifier,
  [49506] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_align,
    ACTIONS(1970), 1,
      anon_sym_addrspace,
    ACTIONS(1972), 1,
      anon_sym_linksection,
    STATE(1543), 1,
      sym_byte_alignment,
    STATE(1564), 1,
      sym_address_space,
    STATE(1643), 1,
      sym_link_section,
    ACTIONS(1964), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
  [49533] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2599), 1,
      anon_sym_AT,
    ACTIONS(2629), 1,
      anon_sym_RBRACE,
    STATE(371), 1,
      sym__reserved_identifier,
    STATE(1723), 1,
      sym_identifier,
    ACTIONS(7), 5,
      anon_sym_undefined,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      sym__identifier,
  [49556] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2599), 1,
      anon_sym_AT,
    ACTIONS(2613), 1,
      anon_sym_STAR,
    STATE(371), 1,
      sym__reserved_identifier,
    STATE(1747), 1,
      sym_identifier,
    ACTIONS(7), 5,
      anon_sym_undefined,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      sym__identifier,
  [49579] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2599), 1,
      anon_sym_AT,
    ACTIONS(2631), 1,
      anon_sym_RBRACE,
    STATE(371), 1,
      sym__reserved_identifier,
    STATE(1630), 1,
      sym_identifier,
    ACTIONS(7), 5,
      anon_sym_undefined,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      sym__identifier,
  [49602] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2599), 1,
      anon_sym_AT,
    ACTIONS(2633), 1,
      anon_sym_RBRACE,
    STATE(371), 1,
      sym__reserved_identifier,
    STATE(1723), 1,
      sym_identifier,
    ACTIONS(7), 5,
      anon_sym_undefined,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      sym__identifier,
  [49625] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2599), 1,
      anon_sym_AT,
    ACTIONS(2635), 1,
      anon_sym_STAR,
    STATE(371), 1,
      sym__reserved_identifier,
    STATE(1645), 1,
      sym_identifier,
    ACTIONS(7), 5,
      anon_sym_undefined,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      sym__identifier,
  [49648] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2599), 1,
      anon_sym_AT,
    ACTIONS(2637), 1,
      anon_sym_DASH_GT,
    STATE(371), 1,
      sym__reserved_identifier,
    STATE(1813), 1,
      sym_identifier,
    ACTIONS(7), 5,
      anon_sym_undefined,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      sym__identifier,
  [49671] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(2639), 1,
      anon_sym_inline,
    ACTIONS(2641), 1,
      anon_sym_for,
    ACTIONS(2643), 1,
      anon_sym_while,
    STATE(252), 1,
      sym__for_prefix,
    STATE(264), 1,
      sym__while_prefix,
    STATE(696), 1,
      sym_block,
    STATE(769), 2,
      sym_for_statement,
      sym_while_statement,
  [49700] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2599), 1,
      anon_sym_AT,
    ACTIONS(2645), 1,
      anon_sym_RBRACE,
    STATE(371), 1,
      sym__reserved_identifier,
    STATE(1723), 1,
      sym_identifier,
    ACTIONS(7), 5,
      anon_sym_undefined,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      sym__identifier,
  [49723] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(2595), 1,
      anon_sym_fn,
    ACTIONS(2647), 1,
      anon_sym_threadlocal,
    STATE(1553), 1,
      sym_string,
    STATE(1668), 1,
      sym__function_prototype,
    STATE(1727), 1,
      sym__variable_declaration_header,
    ACTIONS(2591), 2,
      anon_sym_const,
      anon_sym_var,
  [49749] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2599), 1,
      anon_sym_AT,
    STATE(369), 1,
      sym_identifier,
    STATE(371), 1,
      sym__reserved_identifier,
    ACTIONS(7), 5,
      anon_sym_undefined,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      sym__identifier,
  [49769] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2599), 1,
      anon_sym_AT,
    STATE(371), 1,
      sym__reserved_identifier,
    STATE(1723), 1,
      sym_identifier,
    ACTIONS(7), 5,
      anon_sym_undefined,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      sym__identifier,
  [49789] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2599), 1,
      anon_sym_AT,
    STATE(371), 1,
      sym__reserved_identifier,
    STATE(1736), 1,
      sym_identifier,
    ACTIONS(7), 5,
      anon_sym_undefined,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      sym__identifier,
  [49809] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_AT,
    STATE(700), 1,
      sym__reserved_identifier,
    STATE(1092), 1,
      sym_identifier,
    ACTIONS(155), 5,
      anon_sym_undefined,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      sym__identifier,
  [49829] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2599), 1,
      anon_sym_AT,
    STATE(371), 1,
      sym__reserved_identifier,
    STATE(1807), 1,
      sym_identifier,
    ACTIONS(7), 5,
      anon_sym_undefined,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      sym__identifier,
  [49849] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2599), 1,
      anon_sym_AT,
    STATE(371), 1,
      sym__reserved_identifier,
    STATE(878), 1,
      sym_identifier,
    ACTIONS(7), 5,
      anon_sym_undefined,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      sym__identifier,
  [49869] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2599), 1,
      anon_sym_AT,
    STATE(371), 1,
      sym__reserved_identifier,
    STATE(1508), 1,
      sym_identifier,
    ACTIONS(7), 5,
      anon_sym_undefined,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      sym__identifier,
  [49889] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2599), 1,
      anon_sym_AT,
    STATE(371), 1,
      sym__reserved_identifier,
    STATE(1617), 1,
      sym_identifier,
    ACTIONS(7), 5,
      anon_sym_undefined,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      sym__identifier,
  [49909] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2599), 1,
      anon_sym_AT,
    STATE(371), 1,
      sym__reserved_identifier,
    STATE(1845), 1,
      sym_identifier,
    ACTIONS(7), 5,
      anon_sym_undefined,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      sym__identifier,
  [49929] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2599), 1,
      anon_sym_AT,
    STATE(371), 1,
      sym__reserved_identifier,
    STATE(850), 1,
      sym_identifier,
    ACTIONS(7), 5,
      anon_sym_undefined,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      sym__identifier,
  [49949] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2599), 1,
      anon_sym_AT,
    STATE(371), 1,
      sym__reserved_identifier,
    STATE(1790), 1,
      sym_identifier,
    ACTIONS(7), 5,
      anon_sym_undefined,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      sym__identifier,
  [49969] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_AT,
    STATE(700), 1,
      sym__reserved_identifier,
    STATE(701), 1,
      sym_identifier,
    ACTIONS(155), 5,
      anon_sym_undefined,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      sym__identifier,
  [49989] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_AT,
    STATE(700), 1,
      sym__reserved_identifier,
    STATE(1065), 1,
      sym_identifier,
    ACTIONS(155), 5,
      anon_sym_undefined,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      sym__identifier,
  [50009] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(2641), 1,
      anon_sym_for,
    ACTIONS(2643), 1,
      anon_sym_while,
    ACTIONS(2649), 1,
      anon_sym_inline,
    STATE(452), 1,
      sym__while_prefix,
    STATE(514), 1,
      sym__for_prefix,
    STATE(862), 1,
      sym_block,
  [50034] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(2641), 1,
      anon_sym_for,
    ACTIONS(2643), 1,
      anon_sym_while,
    ACTIONS(2651), 1,
      anon_sym_inline,
    STATE(503), 1,
      sym__for_prefix,
    STATE(531), 1,
      sym__while_prefix,
    STATE(862), 1,
      sym_block,
  [50059] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(2641), 1,
      anon_sym_for,
    ACTIONS(2643), 1,
      anon_sym_while,
    ACTIONS(2653), 1,
      anon_sym_inline,
    STATE(554), 1,
      sym__for_prefix,
    STATE(568), 1,
      sym__while_prefix,
    STATE(862), 1,
      sym_block,
  [50084] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(2641), 1,
      anon_sym_for,
    ACTIONS(2643), 1,
      anon_sym_while,
    ACTIONS(2649), 1,
      anon_sym_inline,
    STATE(452), 1,
      sym__while_prefix,
    STATE(514), 1,
      sym__for_prefix,
    STATE(690), 1,
      sym_block,
  [50109] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(171), 1,
      anon_sym_LBRACE,
    ACTIONS(2641), 1,
      anon_sym_for,
    ACTIONS(2643), 1,
      anon_sym_while,
    ACTIONS(2655), 1,
      anon_sym_inline,
    STATE(383), 1,
      sym__for_prefix,
    STATE(403), 1,
      sym__while_prefix,
    STATE(1046), 1,
      sym_block,
  [50134] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(171), 1,
      anon_sym_LBRACE,
    ACTIONS(2641), 1,
      anon_sym_for,
    ACTIONS(2643), 1,
      anon_sym_while,
    ACTIONS(2649), 1,
      anon_sym_inline,
    STATE(452), 1,
      sym__while_prefix,
    STATE(514), 1,
      sym__for_prefix,
    STATE(1046), 1,
      sym_block,
  [50159] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(171), 1,
      anon_sym_LBRACE,
    ACTIONS(2641), 1,
      anon_sym_for,
    ACTIONS(2643), 1,
      anon_sym_while,
    ACTIONS(2657), 1,
      anon_sym_inline,
    STATE(587), 1,
      sym__for_prefix,
    STATE(601), 1,
      sym__while_prefix,
    STATE(1046), 1,
      sym_block,
  [50184] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_addrspace,
    ACTIONS(1972), 1,
      anon_sym_linksection,
    STATE(1568), 1,
      sym_address_space,
    STATE(1677), 1,
      sym_link_section,
    ACTIONS(2659), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
  [50205] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(2641), 1,
      anon_sym_for,
    ACTIONS(2643), 1,
      anon_sym_while,
    ACTIONS(2661), 1,
      anon_sym_inline,
    STATE(476), 1,
      sym__for_prefix,
    STATE(495), 1,
      sym__while_prefix,
    STATE(862), 1,
      sym_block,
  [50230] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_addrspace,
    ACTIONS(1972), 1,
      anon_sym_linksection,
    STATE(1562), 1,
      sym_address_space,
    STATE(1684), 1,
      sym_link_section,
    ACTIONS(2663), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
  [50251] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(2641), 1,
      anon_sym_for,
    ACTIONS(2643), 1,
      anon_sym_while,
    ACTIONS(2649), 1,
      anon_sym_inline,
    STATE(452), 1,
      sym__while_prefix,
    STATE(514), 1,
      sym__for_prefix,
    STATE(693), 1,
      sym_block,
  [50276] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(93), 1,
      aux_sym_multiline_string_token1,
    ACTIONS(2665), 1,
      anon_sym_RPAREN,
    STATE(806), 1,
      aux_sym_multiline_string_repeat1,
    STATE(1679), 2,
      sym_string,
      sym_multiline_string,
  [50296] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_align,
    ACTIONS(2667), 1,
      anon_sym_EQ,
    STATE(1589), 1,
      sym_byte_alignment,
    ACTIONS(2015), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50314] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(93), 1,
      aux_sym_multiline_string_token1,
    ACTIONS(2669), 1,
      anon_sym_RPAREN,
    STATE(806), 1,
      aux_sym_multiline_string_repeat1,
    STATE(1755), 2,
      sym_string,
      sym_multiline_string,
  [50334] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2595), 1,
      anon_sym_fn,
    ACTIONS(2641), 1,
      anon_sym_for,
    ACTIONS(2643), 1,
      anon_sym_while,
    STATE(514), 1,
      sym__for_prefix,
    STATE(539), 1,
      sym__while_prefix,
    STATE(1664), 1,
      sym__function_prototype,
  [50356] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_align,
    ACTIONS(2671), 1,
      anon_sym_EQ,
    STATE(1587), 1,
      sym_byte_alignment,
    ACTIONS(2023), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50374] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2589), 1,
      anon_sym_threadlocal,
    ACTIONS(2595), 1,
      anon_sym_fn,
    STATE(1642), 1,
      sym__function_prototype,
    STATE(1711), 1,
      sym__variable_declaration_header,
    ACTIONS(2591), 2,
      anon_sym_const,
      anon_sym_var,
  [50394] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2595), 1,
      anon_sym_fn,
    ACTIONS(2673), 1,
      anon_sym_threadlocal,
    STATE(1663), 1,
      sym__function_prototype,
    STATE(1722), 1,
      sym__variable_declaration_header,
    ACTIONS(2591), 2,
      anon_sym_const,
      anon_sym_var,
  [50414] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_align,
    ACTIONS(2675), 1,
      anon_sym_EQ,
    STATE(1598), 1,
      sym_byte_alignment,
    ACTIONS(2007), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50432] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_align,
    ACTIONS(2677), 1,
      anon_sym_EQ,
    STATE(1602), 1,
      sym_byte_alignment,
    ACTIONS(2033), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50450] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(93), 1,
      aux_sym_multiline_string_token1,
    ACTIONS(2679), 1,
      anon_sym_RPAREN,
    STATE(806), 1,
      aux_sym_multiline_string_repeat1,
    STATE(1755), 2,
      sym_string,
      sym_multiline_string,
  [50470] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_align,
    ACTIONS(2681), 1,
      anon_sym_EQ,
    STATE(1582), 1,
      sym_byte_alignment,
    ACTIONS(2011), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50488] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2595), 1,
      anon_sym_fn,
    ACTIONS(2647), 1,
      anon_sym_threadlocal,
    STATE(1662), 1,
      sym__function_prototype,
    STATE(1713), 1,
      sym__variable_declaration_header,
    ACTIONS(2591), 2,
      anon_sym_const,
      anon_sym_var,
  [50508] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_align,
    ACTIONS(2683), 1,
      anon_sym_EQ,
    STATE(1606), 1,
      sym_byte_alignment,
    ACTIONS(2045), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50526] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1972), 1,
      anon_sym_linksection,
    STATE(1684), 1,
      sym_link_section,
    ACTIONS(2663), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
  [50541] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2685), 1,
      anon_sym_COLON,
    ACTIONS(2687), 1,
      anon_sym_RPAREN,
    ACTIONS(2689), 1,
      anon_sym_LBRACK,
    STATE(1626), 1,
      sym_asm_output_item,
    STATE(1795), 1,
      sym_asm_input,
  [50560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1972), 1,
      anon_sym_linksection,
    STATE(1646), 1,
      sym_link_section,
    ACTIONS(2691), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
  [50575] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2685), 1,
      anon_sym_COLON,
    ACTIONS(2689), 1,
      anon_sym_LBRACK,
    ACTIONS(2693), 1,
      anon_sym_RPAREN,
    STATE(1626), 1,
      sym_asm_output_item,
    STATE(1781), 1,
      sym_asm_input,
  [50594] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1972), 1,
      anon_sym_linksection,
    STATE(1677), 1,
      sym_link_section,
    ACTIONS(2659), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
  [50609] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2685), 1,
      anon_sym_COLON,
    ACTIONS(2693), 1,
      anon_sym_RPAREN,
    ACTIONS(2695), 1,
      anon_sym_COMMA,
    STATE(1578), 1,
      aux_sym_asm_output_repeat1,
    STATE(1781), 1,
      sym_asm_input,
  [50628] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2697), 1,
      anon_sym_COLON,
    ACTIONS(2699), 1,
      anon_sym_RPAREN,
    ACTIONS(2701), 1,
      anon_sym_LBRACK,
    STATE(1609), 1,
      sym_asm_input_item,
    STATE(1832), 1,
      sym_asm_clobbers,
  [50647] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2697), 1,
      anon_sym_COLON,
    ACTIONS(2701), 1,
      anon_sym_LBRACK,
    ACTIONS(2703), 1,
      anon_sym_RPAREN,
    STATE(1571), 1,
      sym_asm_input_item,
    STATE(1852), 1,
      sym_asm_clobbers,
  [50666] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1972), 1,
      anon_sym_linksection,
    STATE(1647), 1,
      sym_link_section,
    ACTIONS(2705), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
  [50681] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2685), 1,
      anon_sym_COLON,
    ACTIONS(2707), 1,
      anon_sym_COMMA,
    ACTIONS(2709), 1,
      anon_sym_RPAREN,
    STATE(1565), 1,
      aux_sym_asm_output_repeat1,
    STATE(1792), 1,
      sym_asm_input,
  [50700] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2697), 1,
      anon_sym_COLON,
    ACTIONS(2699), 1,
      anon_sym_RPAREN,
    ACTIONS(2711), 1,
      anon_sym_COMMA,
    STATE(1604), 1,
      aux_sym_asm_input_repeat1,
    STATE(1832), 1,
      sym_asm_clobbers,
  [50719] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2697), 1,
      anon_sym_COLON,
    ACTIONS(2713), 1,
      anon_sym_COMMA,
    ACTIONS(2715), 1,
      anon_sym_RPAREN,
    STATE(1570), 1,
      aux_sym_asm_input_repeat1,
    STATE(1830), 1,
      sym_asm_clobbers,
  [50738] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(93), 1,
      aux_sym_multiline_string_token1,
    STATE(806), 1,
      aux_sym_multiline_string_repeat1,
    STATE(1755), 2,
      sym_string,
      sym_multiline_string,
  [50755] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2685), 1,
      anon_sym_COLON,
    ACTIONS(2689), 1,
      anon_sym_LBRACK,
    ACTIONS(2717), 1,
      anon_sym_RPAREN,
    STATE(1569), 1,
      sym_asm_output_item,
    STATE(1779), 1,
      sym_asm_input,
  [50774] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(93), 1,
      aux_sym_multiline_string_token1,
    STATE(806), 1,
      aux_sym_multiline_string_repeat1,
    STATE(1775), 2,
      sym_string,
      sym_multiline_string,
  [50791] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2697), 1,
      anon_sym_COLON,
    ACTIONS(2701), 1,
      anon_sym_LBRACK,
    ACTIONS(2719), 1,
      anon_sym_RPAREN,
    STATE(1609), 1,
      sym_asm_input_item,
    STATE(1761), 1,
      sym_asm_clobbers,
  [50810] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(93), 1,
      aux_sym_multiline_string_token1,
    STATE(806), 1,
      aux_sym_multiline_string_repeat1,
    STATE(1850), 2,
      sym_string,
      sym_multiline_string,
  [50827] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2641), 1,
      anon_sym_for,
    ACTIONS(2643), 1,
      anon_sym_while,
    STATE(606), 1,
      sym__for_prefix,
    STATE(607), 1,
      sym__while_prefix,
  [50843] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2721), 1,
      anon_sym_COMMA,
    STATE(1578), 1,
      aux_sym_asm_output_repeat1,
    ACTIONS(2724), 2,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [50857] = 5,
    ACTIONS(2726), 1,
      anon_sym_DQUOTE,
    ACTIONS(2728), 1,
      aux_sym_string_token1,
    ACTIONS(2730), 1,
      sym_escape_sequence,
    ACTIONS(2732), 1,
      sym_comment,
    STATE(1583), 1,
      aux_sym_string_repeat1,
  [50873] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2641), 1,
      anon_sym_for,
    ACTIONS(2643), 1,
      anon_sym_while,
    STATE(383), 1,
      sym__for_prefix,
    STATE(384), 1,
      sym__while_prefix,
  [50889] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2641), 1,
      anon_sym_for,
    ACTIONS(2643), 1,
      anon_sym_while,
    STATE(417), 1,
      sym__for_prefix,
    STATE(418), 1,
      sym__while_prefix,
  [50905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_EQ,
    ACTIONS(2734), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50917] = 5,
    ACTIONS(2732), 1,
      sym_comment,
    ACTIONS(2738), 1,
      anon_sym_DQUOTE,
    ACTIONS(2740), 1,
      aux_sym_string_token1,
    ACTIONS(2743), 1,
      sym_escape_sequence,
    STATE(1583), 1,
      aux_sym_string_repeat1,
  [50933] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2641), 1,
      anon_sym_for,
    ACTIONS(2643), 1,
      anon_sym_while,
    STATE(587), 1,
      sym__for_prefix,
    STATE(588), 1,
      sym__while_prefix,
  [50949] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2641), 1,
      anon_sym_for,
    ACTIONS(2643), 1,
      anon_sym_while,
    STATE(503), 1,
      sym__for_prefix,
    STATE(508), 1,
      sym__while_prefix,
  [50965] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2746), 1,
      anon_sym_COMMA,
    STATE(1586), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(2397), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [50979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2751), 1,
      anon_sym_EQ,
    ACTIONS(2749), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50991] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2641), 1,
      anon_sym_for,
    ACTIONS(2643), 1,
      anon_sym_while,
    STATE(550), 1,
      sym__for_prefix,
    STATE(558), 1,
      sym__while_prefix,
  [51007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2755), 1,
      anon_sym_EQ,
    ACTIONS(2753), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51019] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2641), 1,
      anon_sym_for,
    ACTIONS(2643), 1,
      anon_sym_while,
    STATE(476), 1,
      sym__for_prefix,
    STATE(477), 1,
      sym__while_prefix,
  [51035] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2641), 1,
      anon_sym_for,
    ACTIONS(2643), 1,
      anon_sym_while,
    STATE(241), 1,
      sym__for_prefix,
    STATE(247), 1,
      sym__while_prefix,
  [51051] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2641), 1,
      anon_sym_for,
    ACTIONS(2643), 1,
      anon_sym_while,
    STATE(505), 1,
      sym__for_prefix,
    STATE(506), 1,
      sym__while_prefix,
  [51067] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2641), 1,
      anon_sym_for,
    ACTIONS(2643), 1,
      anon_sym_while,
    STATE(573), 1,
      sym__for_prefix,
    STATE(574), 1,
      sym__while_prefix,
  [51083] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2641), 1,
      anon_sym_for,
    ACTIONS(2643), 1,
      anon_sym_while,
    STATE(514), 1,
      sym__for_prefix,
    STATE(539), 1,
      sym__while_prefix,
  [51099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2757), 4,
      anon_sym_inline,
      anon_sym_LBRACE,
      anon_sym_for,
      anon_sym_while,
  [51109] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2601), 1,
      anon_sym_struct,
    ACTIONS(2603), 1,
      anon_sym_opaque,
    ACTIONS(2605), 1,
      anon_sym_enum,
    ACTIONS(2607), 1,
      anon_sym_union,
  [51125] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2759), 4,
      anon_sym_inline,
      anon_sym_LBRACE,
      anon_sym_for,
      anon_sym_while,
  [51135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2763), 1,
      anon_sym_EQ,
    ACTIONS(2761), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51147] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2641), 1,
      anon_sym_for,
    ACTIONS(2643), 1,
      anon_sym_while,
    STATE(420), 1,
      sym__for_prefix,
    STATE(421), 1,
      sym__while_prefix,
  [51163] = 5,
    ACTIONS(2732), 1,
      sym_comment,
    ACTIONS(2765), 1,
      anon_sym_DQUOTE,
    ACTIONS(2767), 1,
      aux_sym_string_token1,
    ACTIONS(2769), 1,
      sym_escape_sequence,
    STATE(1579), 1,
      aux_sym_string_repeat1,
  [51179] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2771), 1,
      anon_sym_struct,
    ACTIONS(2773), 1,
      anon_sym_opaque,
    ACTIONS(2775), 1,
      anon_sym_enum,
    ACTIONS(2777), 1,
      anon_sym_union,
  [51195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2781), 1,
      anon_sym_EQ,
    ACTIONS(2779), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51207] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2641), 1,
      anon_sym_for,
    ACTIONS(2643), 1,
      anon_sym_while,
    STATE(554), 1,
      sym__for_prefix,
    STATE(555), 1,
      sym__while_prefix,
  [51223] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2783), 1,
      anon_sym_COMMA,
    STATE(1604), 1,
      aux_sym_asm_input_repeat1,
    ACTIONS(2786), 2,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [51237] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2641), 1,
      anon_sym_for,
    ACTIONS(2643), 1,
      anon_sym_while,
    STATE(311), 1,
      sym__for_prefix,
    STATE(312), 1,
      sym__while_prefix,
  [51253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_EQ,
    ACTIONS(2788), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51265] = 5,
    ACTIONS(2732), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_DQUOTE,
    ACTIONS(2794), 1,
      aux_sym_string_token1,
    ACTIONS(2796), 1,
      sym_escape_sequence,
    STATE(1608), 1,
      aux_sym_string_repeat1,
  [51281] = 5,
    ACTIONS(2728), 1,
      aux_sym_string_token1,
    ACTIONS(2730), 1,
      sym_escape_sequence,
    ACTIONS(2732), 1,
      sym_comment,
    ACTIONS(2798), 1,
      anon_sym_DQUOTE,
    STATE(1583), 1,
      aux_sym_string_repeat1,
  [51297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2786), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [51306] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2329), 1,
      anon_sym_COMMA,
    ACTIONS(2800), 1,
      anon_sym_EQ,
    STATE(1665), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
  [51319] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2645), 1,
      anon_sym_RBRACE,
    ACTIONS(2802), 1,
      anon_sym_COMMA,
    STATE(1635), 1,
      aux_sym_error_set_declaration_repeat1,
  [51332] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_RPAREN,
    ACTIONS(2804), 1,
      anon_sym_LPAREN,
    ACTIONS(2806), 1,
      anon_sym_LBRACE,
  [51345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1733), 1,
      sym__variable_declaration_header,
    ACTIONS(2591), 2,
      anon_sym_const,
      anon_sym_var,
  [51356] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2021), 1,
      anon_sym_LBRACE,
    ACTIONS(2808), 1,
      anon_sym_SEMI,
    STATE(745), 1,
      sym_block,
  [51369] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      anon_sym_EQ_GT,
    ACTIONS(2369), 1,
      anon_sym_COMMA,
    STATE(1636), 1,
      aux_sym__switch_case_exp_repeat1,
  [51382] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(825), 1,
      anon_sym_RBRACE,
    ACTIONS(2810), 1,
      anon_sym_COMMA,
    STATE(1641), 1,
      aux_sym_switch_expression_repeat1,
  [51395] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2611), 1,
      anon_sym_PIPE,
    ACTIONS(2812), 1,
      anon_sym_COMMA,
    STATE(1675), 1,
      aux_sym_payload_repeat1,
  [51408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2814), 1,
      anon_sym_COMMA,
    ACTIONS(329), 2,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [51419] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(929), 1,
      anon_sym_RPAREN,
    ACTIONS(2816), 1,
      anon_sym_COMMA,
    STATE(1637), 1,
      aux_sym__for_prefix_repeat1,
  [51432] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2611), 1,
      anon_sym_PIPE,
    ACTIONS(2812), 1,
      anon_sym_COMMA,
    STATE(1622), 1,
      aux_sym_payload_repeat1,
  [51445] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2345), 1,
      anon_sym_RBRACE,
    ACTIONS(2818), 1,
      anon_sym_COMMA,
    STATE(1656), 1,
      aux_sym_initializer_list_repeat1,
  [51458] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2820), 1,
      anon_sym_COMMA,
    ACTIONS(2823), 1,
      anon_sym_PIPE,
    STATE(1622), 1,
      aux_sym_payload_repeat1,
  [51471] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2825), 1,
      anon_sym_COMMA,
    ACTIONS(2827), 1,
      anon_sym_RBRACE,
    STATE(1661), 1,
      aux_sym_error_set_declaration_repeat1,
  [51484] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(913), 1,
      anon_sym_EQ_GT,
    ACTIONS(2829), 1,
      anon_sym_COMMA,
    STATE(1636), 1,
      aux_sym__switch_case_exp_repeat1,
  [51497] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2329), 1,
      anon_sym_COMMA,
    ACTIONS(2831), 1,
      anon_sym_EQ,
    STATE(1665), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
  [51510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2724), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [51519] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_RBRACE,
    ACTIONS(2833), 1,
      anon_sym_COMMA,
    STATE(1670), 1,
      aux_sym_initializer_list_repeat1,
  [51532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2835), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [51541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2663), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
  [51550] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2837), 1,
      anon_sym_COMMA,
    ACTIONS(2839), 1,
      anon_sym_RBRACE,
    STATE(1611), 1,
      aux_sym_error_set_declaration_repeat1,
  [51563] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2021), 1,
      anon_sym_LBRACE,
    ACTIONS(2841), 1,
      anon_sym_SEMI,
    STATE(709), 1,
      sym_block,
  [51576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2843), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [51585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2845), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [51594] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2329), 1,
      anon_sym_COMMA,
    ACTIONS(2847), 1,
      anon_sym_EQ,
    STATE(1610), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
  [51607] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2849), 1,
      anon_sym_COMMA,
    ACTIONS(2852), 1,
      anon_sym_RBRACE,
    STATE(1635), 1,
      aux_sym_error_set_declaration_repeat1,
  [51620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2347), 1,
      anon_sym_EQ_GT,
    ACTIONS(2854), 1,
      anon_sym_COMMA,
    STATE(1636), 1,
      aux_sym__switch_case_exp_repeat1,
  [51633] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2435), 1,
      anon_sym_RPAREN,
    ACTIONS(2857), 1,
      anon_sym_COMMA,
    STATE(1637), 1,
      aux_sym__for_prefix_repeat1,
  [51646] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2860), 1,
      anon_sym_COMMA,
    ACTIONS(2862), 1,
      anon_sym_RBRACE,
    STATE(1616), 1,
      aux_sym_switch_expression_repeat1,
  [51659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2814), 1,
      anon_sym_COMMA,
    ACTIONS(2864), 2,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [51670] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(941), 1,
      anon_sym_EQ_GT,
    ACTIONS(2265), 1,
      anon_sym_COMMA,
    STATE(1636), 1,
      aux_sym__switch_case_exp_repeat1,
  [51683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2866), 1,
      anon_sym_COMMA,
    ACTIONS(2869), 1,
      anon_sym_RBRACE,
    STATE(1641), 1,
      aux_sym_switch_expression_repeat1,
  [51696] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2021), 1,
      anon_sym_LBRACE,
    ACTIONS(2871), 1,
      anon_sym_SEMI,
    STATE(706), 1,
      sym_block,
  [51709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2659), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
  [51718] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2873), 1,
      anon_sym_COMMA,
    ACTIONS(2875), 1,
      anon_sym_RPAREN,
    STATE(1637), 1,
      aux_sym__for_prefix_repeat1,
  [51731] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2877), 1,
      anon_sym_COMMA,
    ACTIONS(2879), 1,
      anon_sym_PIPE,
    STATE(1620), 1,
      aux_sym_payload_repeat1,
  [51744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2881), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
  [51753] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2883), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
  [51762] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2885), 1,
      anon_sym_COMMA,
    ACTIONS(2888), 1,
      anon_sym_RPAREN,
    STATE(1648), 1,
      aux_sym_asm_clobbers_repeat1,
  [51775] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2890), 1,
      anon_sym_COMMA,
    ACTIONS(2893), 1,
      anon_sym_RPAREN,
    STATE(1649), 1,
      aux_sym_parameters_repeat1,
  [51788] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(783), 1,
      anon_sym_RPAREN,
    ACTIONS(2895), 1,
      anon_sym_COMMA,
    STATE(1649), 1,
      aux_sym_parameters_repeat1,
  [51801] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2021), 1,
      anon_sym_LBRACE,
    ACTIONS(2897), 1,
      anon_sym_SEMI,
    STATE(716), 1,
      sym_block,
  [51814] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2571), 1,
      anon_sym_RPAREN,
    ACTIONS(2806), 1,
      anon_sym_LBRACE,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
  [51827] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(901), 1,
      anon_sym_RBRACE,
    ACTIONS(2901), 1,
      anon_sym_COMMA,
    STATE(1586), 1,
      aux_sym_call_expression_repeat1,
  [51840] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(901), 1,
      anon_sym_RBRACE,
    ACTIONS(2903), 1,
      anon_sym_DOT,
    STATE(1718), 1,
      sym_field_initializer,
  [51853] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(897), 1,
      anon_sym_EQ_GT,
    ACTIONS(2353), 1,
      anon_sym_COMMA,
    STATE(1636), 1,
      aux_sym__switch_case_exp_repeat1,
  [51866] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(901), 1,
      anon_sym_RBRACE,
    ACTIONS(2905), 1,
      anon_sym_COMMA,
    STATE(1660), 1,
      aux_sym_initializer_list_repeat1,
  [51879] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2907), 1,
      anon_sym_COMMA,
    ACTIONS(2909), 1,
      anon_sym_RBRACE,
    STATE(1673), 1,
      aux_sym_switch_expression_repeat1,
  [51892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1704), 1,
      sym__variable_declaration_header,
    ACTIONS(2591), 2,
      anon_sym_const,
      anon_sym_var,
  [51903] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(917), 1,
      anon_sym_RBRACE,
    ACTIONS(2903), 1,
      anon_sym_DOT,
    STATE(1718), 1,
      sym_field_initializer,
  [51916] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2911), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_RBRACE,
    STATE(1660), 1,
      aux_sym_initializer_list_repeat1,
  [51929] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2629), 1,
      anon_sym_RBRACE,
    ACTIONS(2916), 1,
      anon_sym_COMMA,
    STATE(1635), 1,
      aux_sym_error_set_declaration_repeat1,
  [51942] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2021), 1,
      anon_sym_LBRACE,
    ACTIONS(2918), 1,
      anon_sym_SEMI,
    STATE(724), 1,
      sym_block,
  [51955] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2021), 1,
      anon_sym_LBRACE,
    ACTIONS(2920), 1,
      anon_sym_SEMI,
    STATE(739), 1,
      sym_block,
  [51968] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2021), 1,
      anon_sym_LBRACE,
    ACTIONS(2922), 1,
      anon_sym_SEMI,
    STATE(714), 1,
      sym_block,
  [51981] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2924), 1,
      anon_sym_COMMA,
    ACTIONS(2927), 1,
      anon_sym_EQ,
    STATE(1665), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
  [51994] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_RBRACE,
    ACTIONS(2929), 1,
      anon_sym_COMMA,
    STATE(1586), 1,
      aux_sym_call_expression_repeat1,
  [52007] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_RBRACE,
    ACTIONS(2903), 1,
      anon_sym_DOT,
    STATE(1718), 1,
      sym_field_initializer,
  [52020] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2021), 1,
      anon_sym_LBRACE,
    ACTIONS(2931), 1,
      anon_sym_SEMI,
    STATE(754), 1,
      sym_block,
  [52033] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2021), 1,
      anon_sym_LBRACE,
    ACTIONS(2933), 1,
      anon_sym_SEMI,
    STATE(729), 1,
      sym_block,
  [52046] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_RBRACE,
    ACTIONS(2935), 1,
      anon_sym_COMMA,
    STATE(1660), 1,
      aux_sym_initializer_list_repeat1,
  [52059] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(947), 1,
      anon_sym_RPAREN,
    ACTIONS(2937), 1,
      anon_sym_COMMA,
    STATE(1586), 1,
      aux_sym_call_expression_repeat1,
  [52072] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(905), 1,
      anon_sym_RPAREN,
    ACTIONS(2939), 1,
      anon_sym_COMMA,
    STATE(1586), 1,
      aux_sym_call_expression_repeat1,
  [52085] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(833), 1,
      anon_sym_RBRACE,
    ACTIONS(2941), 1,
      anon_sym_COMMA,
    STATE(1641), 1,
      aux_sym_switch_expression_repeat1,
  [52098] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2943), 1,
      anon_sym_COMMA,
    ACTIONS(2945), 1,
      anon_sym_RPAREN,
    STATE(1650), 1,
      aux_sym_parameters_repeat1,
  [52111] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2947), 1,
      anon_sym_COMMA,
    STATE(1622), 1,
      aux_sym_payload_repeat1,
  [52124] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(889), 1,
      anon_sym_RPAREN,
    ACTIONS(2949), 1,
      anon_sym_COMMA,
    STATE(1586), 1,
      aux_sym_call_expression_repeat1,
  [52137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2705), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
  [52146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1728), 1,
      sym__variable_declaration_header,
    ACTIONS(2591), 2,
      anon_sym_const,
      anon_sym_var,
  [52157] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2951), 1,
      anon_sym_COMMA,
    ACTIONS(2953), 1,
      anon_sym_RPAREN,
    STATE(1680), 1,
      aux_sym_asm_clobbers_repeat1,
  [52170] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2679), 1,
      anon_sym_RPAREN,
    ACTIONS(2955), 1,
      anon_sym_COMMA,
    STATE(1648), 1,
      aux_sym_asm_clobbers_repeat1,
  [52183] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2561), 1,
      anon_sym_RPAREN,
    ACTIONS(2806), 1,
      anon_sym_LBRACE,
    ACTIONS(2957), 1,
      anon_sym_LPAREN,
  [52196] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(907), 1,
      anon_sym_RPAREN,
    ACTIONS(2959), 1,
      anon_sym_COMMA,
    STATE(1586), 1,
      aux_sym_call_expression_repeat1,
  [52209] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2567), 1,
      anon_sym_RPAREN,
    ACTIONS(2806), 1,
      anon_sym_LBRACE,
    ACTIONS(2961), 1,
      anon_sym_LPAREN,
  [52222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2691), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
  [52231] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(923), 1,
      anon_sym_RBRACE,
    ACTIONS(2903), 1,
      anon_sym_DOT,
    STATE(1718), 1,
      sym_field_initializer,
  [52244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1706), 1,
      sym__variable_declaration_header,
    ACTIONS(2591), 2,
      anon_sym_const,
      anon_sym_var,
  [52255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2963), 1,
      anon_sym_LPAREN,
    ACTIONS(2965), 1,
      anon_sym_LBRACE,
  [52265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2967), 1,
      anon_sym_LPAREN,
    STATE(828), 1,
      sym_arguments,
  [52275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_PIPE,
    STATE(799), 1,
      sym_payload,
  [52285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    STATE(351), 1,
      sym_string,
  [52295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2969), 1,
      anon_sym_LPAREN,
    ACTIONS(2971), 1,
      anon_sym_LBRACE,
  [52305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2806), 1,
      anon_sym_LBRACE,
    ACTIONS(2973), 1,
      anon_sym_LPAREN,
  [52315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_PIPE,
    STATE(803), 1,
      sym_payload,
  [52325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2609), 1,
      anon_sym_LPAREN,
    STATE(83), 1,
      sym_parameters,
  [52335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2975), 1,
      anon_sym_LPAREN,
    ACTIONS(2977), 1,
      anon_sym_volatile,
  [52345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2021), 1,
      anon_sym_LBRACE,
    STATE(703), 1,
      sym_block,
  [52355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2979), 1,
      anon_sym_LPAREN,
    ACTIONS(2981), 1,
      anon_sym_LBRACE,
  [52365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2983), 1,
      anon_sym_LPAREN,
    ACTIONS(2985), 1,
      anon_sym_LBRACE,
  [52375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2869), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [52383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2903), 1,
      anon_sym_DOT,
    STATE(1718), 1,
      sym_field_initializer,
  [52393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2987), 1,
      anon_sym_LBRACE,
    ACTIONS(2989), 1,
      anon_sym_DOT,
  [52403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2689), 1,
      anon_sym_LBRACK,
    STATE(1626), 1,
      sym_asm_output_item,
  [52413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2341), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [52421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2991), 1,
      anon_sym_EQ,
    ACTIONS(2993), 1,
      anon_sym_SEMI,
  [52431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_PIPE,
    STATE(801), 1,
      sym_payload,
  [52441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2995), 1,
      anon_sym_EQ,
    ACTIONS(2997), 1,
      anon_sym_SEMI,
  [52451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2399), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [52459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2999), 1,
      anon_sym_RPAREN,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
  [52469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2609), 1,
      anon_sym_LPAREN,
    STATE(88), 1,
      sym_parameters,
  [52479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2021), 1,
      anon_sym_LBRACE,
    STATE(721), 1,
      sym_block,
  [52489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3003), 1,
      anon_sym_EQ,
    ACTIONS(3005), 1,
      anon_sym_SEMI,
  [52499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_PIPE,
    STATE(800), 1,
      sym_payload,
  [52509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3007), 1,
      anon_sym_EQ,
    ACTIONS(3009), 1,
      anon_sym_SEMI,
  [52519] = 2,
    ACTIONS(2732), 1,
      sym_comment,
    ACTIONS(3011), 2,
      sym_escape_sequence,
      aux_sym_character_token1,
  [52527] = 2,
    ACTIONS(2732), 1,
      sym_comment,
    ACTIONS(3013), 2,
      sym_escape_sequence,
      aux_sym_character_token1,
  [52535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2374), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [52543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2609), 1,
      anon_sym_LPAREN,
    STATE(85), 1,
      sym_parameters,
  [52553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2914), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [52561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3015), 2,
      anon_sym_COMMA,
      anon_sym_EQ,
  [52569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3017), 1,
      anon_sym_EQ,
    ACTIONS(3019), 1,
      anon_sym_SEMI,
  [52579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2701), 1,
      anon_sym_LBRACK,
    STATE(1609), 1,
      sym_asm_input_item,
  [52589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3021), 1,
      anon_sym_EQ,
    ACTIONS(3023), 1,
      anon_sym_SEMI,
  [52599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2852), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [52607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    ACTIONS(3025), 1,
      anon_sym_RPAREN,
  [52617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2595), 1,
      anon_sym_fn,
    STATE(1651), 1,
      sym__function_prototype,
  [52627] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2363), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [52635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3027), 1,
      anon_sym_EQ,
    ACTIONS(3029), 1,
      anon_sym_SEMI,
  [52645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3031), 1,
      anon_sym_EQ,
    ACTIONS(3033), 1,
      anon_sym_SEMI,
  [52655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_PIPE,
    STATE(802), 1,
      sym_payload,
  [52665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3035), 1,
      anon_sym_LBRACE,
    ACTIONS(3037), 1,
      anon_sym_DOT,
  [52675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3039), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [52683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3041), 1,
      anon_sym_EQ,
    ACTIONS(3043), 1,
      anon_sym_SEMI,
  [52693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3045), 1,
      anon_sym_EQ,
    ACTIONS(3047), 1,
      anon_sym_SEMI,
  [52703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2417), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [52711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2382), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [52719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3049), 2,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [52727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_PIPE,
    STATE(797), 1,
      sym_payload,
  [52737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2021), 1,
      anon_sym_LBRACE,
    STATE(747), 1,
      sym_block,
  [52747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3051), 1,
      anon_sym_LPAREN,
    ACTIONS(3053), 1,
      anon_sym_LBRACE,
  [52757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3055), 1,
      anon_sym_LPAREN,
    ACTIONS(3057), 1,
      anon_sym_LBRACE,
  [52767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3059), 1,
      anon_sym_LPAREN,
    ACTIONS(3061), 1,
      anon_sym_LBRACE,
  [52777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3065), 1,
      anon_sym_volatile,
  [52787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3067), 1,
      anon_sym_LPAREN,
    ACTIONS(3069), 1,
      anon_sym_LBRACE,
  [52797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3071), 1,
      anon_sym_LPAREN,
    ACTIONS(3073), 1,
      anon_sym_LBRACE,
  [52807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3075), 1,
      anon_sym_LPAREN,
    ACTIONS(3077), 1,
      anon_sym_LBRACE,
  [52817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2893), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [52825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2823), 2,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [52833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3079), 1,
      anon_sym_LPAREN,
    STATE(1190), 1,
      sym_arguments,
  [52843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(219), 1,
      anon_sym_DQUOTE,
    STATE(698), 1,
      sym_string,
  [52853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2609), 1,
      anon_sym_LPAREN,
    STATE(91), 1,
      sym_parameters,
  [52863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3083), 1,
      anon_sym_LBRACE,
  [52873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    ACTIONS(3085), 1,
      anon_sym_RPAREN,
  [52883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    ACTIONS(3087), 1,
      anon_sym_RPAREN,
  [52893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2595), 1,
      anon_sym_fn,
    STATE(1669), 1,
      sym__function_prototype,
  [52903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [52911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3089), 1,
      anon_sym_EQ,
    ACTIONS(3091), 1,
      anon_sym_SEMI,
  [52921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3093), 1,
      anon_sym_EQ_GT,
  [52928] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3095), 1,
      anon_sym_RBRACK,
  [52935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3097), 1,
      anon_sym_RBRACE,
  [52942] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3099), 1,
      anon_sym_SQUOTE,
  [52949] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3101), 1,
      anon_sym_RPAREN,
  [52956] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3103), 1,
      anon_sym_RBRACE,
  [52963] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3105), 1,
      anon_sym_LBRACE,
  [52970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3107), 1,
      ts_builtin_sym_end,
  [52977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3109), 1,
      anon_sym_RBRACK,
  [52984] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2814), 1,
      anon_sym_COMMA,
  [52991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3111), 1,
      anon_sym_RBRACK,
  [52998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2337), 1,
      anon_sym_RPAREN,
  [53005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3113), 1,
      anon_sym_RBRACE,
  [53012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3115), 1,
      anon_sym_LPAREN,
  [53019] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3117), 1,
      anon_sym_RBRACE,
  [53026] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3119), 1,
      anon_sym_RBRACE,
  [53033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3121), 1,
      anon_sym_RBRACE,
  [53040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3123), 1,
      anon_sym_LPAREN,
  [53047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3125), 1,
      anon_sym_LPAREN,
  [53054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3127), 1,
      anon_sym_LPAREN,
  [53061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3129), 1,
      anon_sym_RBRACE,
  [53068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3131), 1,
      anon_sym_LPAREN,
  [53075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2709), 1,
      anon_sym_RPAREN,
  [53082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3133), 1,
      anon_sym_RBRACE,
  [53089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2687), 1,
      anon_sym_RPAREN,
  [53096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2321), 1,
      anon_sym_RPAREN,
  [53103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3135), 1,
      anon_sym_RBRACE,
  [53110] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3137), 1,
      anon_sym_RPAREN,
  [53117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3139), 1,
      anon_sym_LBRACE,
  [53124] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3141), 1,
      anon_sym_LBRACE,
  [53131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3143), 1,
      anon_sym_LPAREN,
  [53138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3145), 1,
      anon_sym_LBRACE,
  [53145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3147), 1,
      anon_sym_RBRACE,
  [53152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3149), 1,
      anon_sym_EQ,
  [53159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3151), 1,
      anon_sym_RBRACE,
  [53166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2693), 1,
      anon_sym_RPAREN,
  [53173] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3153), 1,
      ts_builtin_sym_end,
  [53180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3155), 1,
      anon_sym_RBRACE,
  [53187] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3157), 1,
      anon_sym_RPAREN,
  [53194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3159), 1,
      anon_sym_RBRACE,
  [53201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3161), 1,
      anon_sym_RBRACE,
  [53208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3163), 1,
      anon_sym_RBRACE,
  [53215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3165), 1,
      anon_sym_RBRACE,
  [53222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3167), 1,
      anon_sym_RBRACE,
  [53229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3169), 1,
      anon_sym_LPAREN,
  [53236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3171), 1,
      anon_sym_LPAREN,
  [53243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3173), 1,
      anon_sym_LBRACE,
  [53250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3175), 1,
      anon_sym_LBRACE,
  [53257] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 1,
      anon_sym_RBRACE,
  [53264] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(941), 1,
      anon_sym_EQ_GT,
  [53271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3179), 1,
      anon_sym_RBRACK,
  [53278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3181), 1,
      anon_sym_RBRACE,
  [53285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3183), 1,
      anon_sym_RBRACE,
  [53292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3185), 1,
      anon_sym_RBRACE,
  [53299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3187), 1,
      anon_sym_LBRACE,
  [53306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3189), 1,
      anon_sym_RBRACE,
  [53313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3191), 1,
      anon_sym_RPAREN,
  [53320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3193), 1,
      anon_sym_LBRACE,
  [53327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3195), 1,
      anon_sym_RBRACE,
  [53334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3197), 1,
      anon_sym_LBRACE,
  [53341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
  [53348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
  [53355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3203), 1,
      anon_sym_LPAREN,
  [53362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
  [53369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3205), 1,
      anon_sym_LBRACE,
  [53376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3207), 1,
      anon_sym_LBRACE,
  [53383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_LBRACE,
  [53390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3211), 1,
      anon_sym_LBRACE,
  [53397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3213), 1,
      anon_sym_LBRACE,
  [53404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3215), 1,
      anon_sym_LBRACE,
  [53411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3217), 1,
      anon_sym_LBRACE,
  [53418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3219), 1,
      anon_sym_LBRACE,
  [53425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3221), 1,
      anon_sym_RBRACE,
  [53432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2699), 1,
      anon_sym_RPAREN,
  [53439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3223), 1,
      anon_sym_RBRACE,
  [53446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2719), 1,
      anon_sym_RPAREN,
  [53453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3225), 1,
      anon_sym_LPAREN,
  [53460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3227), 1,
      anon_sym_LBRACE,
  [53467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 1,
      anon_sym_RBRACE,
  [53474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3231), 1,
      anon_sym_RBRACE,
  [53481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3233), 1,
      anon_sym_RBRACE,
  [53488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3235), 1,
      anon_sym_LPAREN,
  [53495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_RBRACE,
  [53502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3239), 1,
      anon_sym_SQUOTE,
  [53509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LPAREN,
  [53516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3243), 1,
      anon_sym_RBRACE,
  [53523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3245), 1,
      anon_sym_RPAREN,
  [53530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3247), 1,
      anon_sym_LPAREN,
  [53537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_RBRACK,
  [53544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3251), 1,
      anon_sym_LBRACE,
  [53551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_RBRACE,
  [53558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
  [53565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3257), 1,
      anon_sym_LBRACE,
  [53572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LPAREN,
  [53579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_RBRACE,
  [53586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2715), 1,
      anon_sym_RPAREN,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(957)] = 0,
  [SMALL_STATE(958)] = 79,
  [SMALL_STATE(959)] = 168,
  [SMALL_STATE(960)] = 278,
  [SMALL_STATE(961)] = 386,
  [SMALL_STATE(962)] = 494,
  [SMALL_STATE(963)] = 586,
  [SMALL_STATE(964)] = 662,
  [SMALL_STATE(965)] = 770,
  [SMALL_STATE(966)] = 878,
  [SMALL_STATE(967)] = 986,
  [SMALL_STATE(968)] = 1072,
  [SMALL_STATE(969)] = 1180,
  [SMALL_STATE(970)] = 1288,
  [SMALL_STATE(971)] = 1396,
  [SMALL_STATE(972)] = 1470,
  [SMALL_STATE(973)] = 1578,
  [SMALL_STATE(974)] = 1660,
  [SMALL_STATE(975)] = 1742,
  [SMALL_STATE(976)] = 1824,
  [SMALL_STATE(977)] = 1928,
  [SMALL_STATE(978)] = 2004,
  [SMALL_STATE(979)] = 2102,
  [SMALL_STATE(980)] = 2176,
  [SMALL_STATE(981)] = 2284,
  [SMALL_STATE(982)] = 2382,
  [SMALL_STATE(983)] = 2490,
  [SMALL_STATE(984)] = 2572,
  [SMALL_STATE(985)] = 2674,
  [SMALL_STATE(986)] = 2784,
  [SMALL_STATE(987)] = 2892,
  [SMALL_STATE(988)] = 3002,
  [SMALL_STATE(989)] = 3110,
  [SMALL_STATE(990)] = 3186,
  [SMALL_STATE(991)] = 3294,
  [SMALL_STATE(992)] = 3404,
  [SMALL_STATE(993)] = 3486,
  [SMALL_STATE(994)] = 3594,
  [SMALL_STATE(995)] = 3692,
  [SMALL_STATE(996)] = 3802,
  [SMALL_STATE(997)] = 3912,
  [SMALL_STATE(998)] = 4022,
  [SMALL_STATE(999)] = 4130,
  [SMALL_STATE(1000)] = 4220,
  [SMALL_STATE(1001)] = 4328,
  [SMALL_STATE(1002)] = 4402,
  [SMALL_STATE(1003)] = 4478,
  [SMALL_STATE(1004)] = 4586,
  [SMALL_STATE(1005)] = 4694,
  [SMALL_STATE(1006)] = 4776,
  [SMALL_STATE(1007)] = 4886,
  [SMALL_STATE(1008)] = 4994,
  [SMALL_STATE(1009)] = 5102,
  [SMALL_STATE(1010)] = 5200,
  [SMALL_STATE(1011)] = 5308,
  [SMALL_STATE(1012)] = 5379,
  [SMALL_STATE(1013)] = 5450,
  [SMALL_STATE(1014)] = 5521,
  [SMALL_STATE(1015)] = 5592,
  [SMALL_STATE(1016)] = 5663,
  [SMALL_STATE(1017)] = 5734,
  [SMALL_STATE(1018)] = 5805,
  [SMALL_STATE(1019)] = 5876,
  [SMALL_STATE(1020)] = 5947,
  [SMALL_STATE(1021)] = 6020,
  [SMALL_STATE(1022)] = 6091,
  [SMALL_STATE(1023)] = 6162,
  [SMALL_STATE(1024)] = 6231,
  [SMALL_STATE(1025)] = 6327,
  [SMALL_STATE(1026)] = 6399,
  [SMALL_STATE(1027)] = 6471,
  [SMALL_STATE(1028)] = 6539,
  [SMALL_STATE(1029)] = 6607,
  [SMALL_STATE(1030)] = 6675,
  [SMALL_STATE(1031)] = 6743,
  [SMALL_STATE(1032)] = 6811,
  [SMALL_STATE(1033)] = 6879,
  [SMALL_STATE(1034)] = 6949,
  [SMALL_STATE(1035)] = 7019,
  [SMALL_STATE(1036)] = 7089,
  [SMALL_STATE(1037)] = 7157,
  [SMALL_STATE(1038)] = 7225,
  [SMALL_STATE(1039)] = 7305,
  [SMALL_STATE(1040)] = 7375,
  [SMALL_STATE(1041)] = 7443,
  [SMALL_STATE(1042)] = 7511,
  [SMALL_STATE(1043)] = 7581,
  [SMALL_STATE(1044)] = 7661,
  [SMALL_STATE(1045)] = 7729,
  [SMALL_STATE(1046)] = 7797,
  [SMALL_STATE(1047)] = 7865,
  [SMALL_STATE(1048)] = 7933,
  [SMALL_STATE(1049)] = 8001,
  [SMALL_STATE(1050)] = 8069,
  [SMALL_STATE(1051)] = 8137,
  [SMALL_STATE(1052)] = 8205,
  [SMALL_STATE(1053)] = 8273,
  [SMALL_STATE(1054)] = 8343,
  [SMALL_STATE(1055)] = 8413,
  [SMALL_STATE(1056)] = 8483,
  [SMALL_STATE(1057)] = 8551,
  [SMALL_STATE(1058)] = 8619,
  [SMALL_STATE(1059)] = 8687,
  [SMALL_STATE(1060)] = 8755,
  [SMALL_STATE(1061)] = 8823,
  [SMALL_STATE(1062)] = 8891,
  [SMALL_STATE(1063)] = 8959,
  [SMALL_STATE(1064)] = 9027,
  [SMALL_STATE(1065)] = 9095,
  [SMALL_STATE(1066)] = 9163,
  [SMALL_STATE(1067)] = 9233,
  [SMALL_STATE(1068)] = 9301,
  [SMALL_STATE(1069)] = 9369,
  [SMALL_STATE(1070)] = 9437,
  [SMALL_STATE(1071)] = 9507,
  [SMALL_STATE(1072)] = 9575,
  [SMALL_STATE(1073)] = 9643,
  [SMALL_STATE(1074)] = 9711,
  [SMALL_STATE(1075)] = 9779,
  [SMALL_STATE(1076)] = 9847,
  [SMALL_STATE(1077)] = 9915,
  [SMALL_STATE(1078)] = 9985,
  [SMALL_STATE(1079)] = 10053,
  [SMALL_STATE(1080)] = 10121,
  [SMALL_STATE(1081)] = 10189,
  [SMALL_STATE(1082)] = 10257,
  [SMALL_STATE(1083)] = 10325,
  [SMALL_STATE(1084)] = 10395,
  [SMALL_STATE(1085)] = 10463,
  [SMALL_STATE(1086)] = 10531,
  [SMALL_STATE(1087)] = 10599,
  [SMALL_STATE(1088)] = 10667,
  [SMALL_STATE(1089)] = 10739,
  [SMALL_STATE(1090)] = 10807,
  [SMALL_STATE(1091)] = 10887,
  [SMALL_STATE(1092)] = 10967,
  [SMALL_STATE(1093)] = 11035,
  [SMALL_STATE(1094)] = 11103,
  [SMALL_STATE(1095)] = 11173,
  [SMALL_STATE(1096)] = 11243,
  [SMALL_STATE(1097)] = 11311,
  [SMALL_STATE(1098)] = 11379,
  [SMALL_STATE(1099)] = 11449,
  [SMALL_STATE(1100)] = 11517,
  [SMALL_STATE(1101)] = 11587,
  [SMALL_STATE(1102)] = 11655,
  [SMALL_STATE(1103)] = 11723,
  [SMALL_STATE(1104)] = 11791,
  [SMALL_STATE(1105)] = 11859,
  [SMALL_STATE(1106)] = 11927,
  [SMALL_STATE(1107)] = 11999,
  [SMALL_STATE(1108)] = 12067,
  [SMALL_STATE(1109)] = 12135,
  [SMALL_STATE(1110)] = 12205,
  [SMALL_STATE(1111)] = 12273,
  [SMALL_STATE(1112)] = 12343,
  [SMALL_STATE(1113)] = 12413,
  [SMALL_STATE(1114)] = 12481,
  [SMALL_STATE(1115)] = 12549,
  [SMALL_STATE(1116)] = 12629,
  [SMALL_STATE(1117)] = 12709,
  [SMALL_STATE(1118)] = 12779,
  [SMALL_STATE(1119)] = 12851,
  [SMALL_STATE(1120)] = 12961,
  [SMALL_STATE(1121)] = 13071,
  [SMALL_STATE(1122)] = 13179,
  [SMALL_STATE(1123)] = 13287,
  [SMALL_STATE(1124)] = 13377,
  [SMALL_STATE(1125)] = 13461,
  [SMALL_STATE(1126)] = 13563,
  [SMALL_STATE(1127)] = 13663,
  [SMALL_STATE(1128)] = 13759,
  [SMALL_STATE(1129)] = 13847,
  [SMALL_STATE(1130)] = 13915,
  [SMALL_STATE(1131)] = 14011,
  [SMALL_STATE(1132)] = 14083,
  [SMALL_STATE(1133)] = 14193,
  [SMALL_STATE(1134)] = 14263,
  [SMALL_STATE(1135)] = 14371,
  [SMALL_STATE(1136)] = 14479,
  [SMALL_STATE(1137)] = 14587,
  [SMALL_STATE(1138)] = 14683,
  [SMALL_STATE(1139)] = 14793,
  [SMALL_STATE(1140)] = 14903,
  [SMALL_STATE(1141)] = 15011,
  [SMALL_STATE(1142)] = 15119,
  [SMALL_STATE(1143)] = 15227,
  [SMALL_STATE(1144)] = 15335,
  [SMALL_STATE(1145)] = 15443,
  [SMALL_STATE(1146)] = 15551,
  [SMALL_STATE(1147)] = 15659,
  [SMALL_STATE(1148)] = 15733,
  [SMALL_STATE(1149)] = 15841,
  [SMALL_STATE(1150)] = 15949,
  [SMALL_STATE(1151)] = 16019,
  [SMALL_STATE(1152)] = 16089,
  [SMALL_STATE(1153)] = 16161,
  [SMALL_STATE(1154)] = 16233,
  [SMALL_STATE(1155)] = 16303,
  [SMALL_STATE(1156)] = 16413,
  [SMALL_STATE(1157)] = 16523,
  [SMALL_STATE(1158)] = 16631,
  [SMALL_STATE(1159)] = 16699,
  [SMALL_STATE(1160)] = 16807,
  [SMALL_STATE(1161)] = 16897,
  [SMALL_STATE(1162)] = 16981,
  [SMALL_STATE(1163)] = 17083,
  [SMALL_STATE(1164)] = 17183,
  [SMALL_STATE(1165)] = 17279,
  [SMALL_STATE(1166)] = 17367,
  [SMALL_STATE(1167)] = 17437,
  [SMALL_STATE(1168)] = 17533,
  [SMALL_STATE(1169)] = 17643,
  [SMALL_STATE(1170)] = 17713,
  [SMALL_STATE(1171)] = 17821,
  [SMALL_STATE(1172)] = 17929,
  [SMALL_STATE(1173)] = 18037,
  [SMALL_STATE(1174)] = 18133,
  [SMALL_STATE(1175)] = 18243,
  [SMALL_STATE(1176)] = 18353,
  [SMALL_STATE(1177)] = 18423,
  [SMALL_STATE(1178)] = 18531,
  [SMALL_STATE(1179)] = 18639,
  [SMALL_STATE(1180)] = 18747,
  [SMALL_STATE(1181)] = 18855,
  [SMALL_STATE(1182)] = 18963,
  [SMALL_STATE(1183)] = 19071,
  [SMALL_STATE(1184)] = 19179,
  [SMALL_STATE(1185)] = 19247,
  [SMALL_STATE(1186)] = 19355,
  [SMALL_STATE(1187)] = 19463,
  [SMALL_STATE(1188)] = 19571,
  [SMALL_STATE(1189)] = 19641,
  [SMALL_STATE(1190)] = 19709,
  [SMALL_STATE(1191)] = 19777,
  [SMALL_STATE(1192)] = 19885,
  [SMALL_STATE(1193)] = 19993,
  [SMALL_STATE(1194)] = 20101,
  [SMALL_STATE(1195)] = 20209,
  [SMALL_STATE(1196)] = 20317,
  [SMALL_STATE(1197)] = 20425,
  [SMALL_STATE(1198)] = 20521,
  [SMALL_STATE(1199)] = 20631,
  [SMALL_STATE(1200)] = 20741,
  [SMALL_STATE(1201)] = 20813,
  [SMALL_STATE(1202)] = 20885,
  [SMALL_STATE(1203)] = 20953,
  [SMALL_STATE(1204)] = 21021,
  [SMALL_STATE(1205)] = 21091,
  [SMALL_STATE(1206)] = 21199,
  [SMALL_STATE(1207)] = 21309,
  [SMALL_STATE(1208)] = 21379,
  [SMALL_STATE(1209)] = 21447,
  [SMALL_STATE(1210)] = 21517,
  [SMALL_STATE(1211)] = 21585,
  [SMALL_STATE(1212)] = 21657,
  [SMALL_STATE(1213)] = 21725,
  [SMALL_STATE(1214)] = 21797,
  [SMALL_STATE(1215)] = 21865,
  [SMALL_STATE(1216)] = 21935,
  [SMALL_STATE(1217)] = 22007,
  [SMALL_STATE(1218)] = 22079,
  [SMALL_STATE(1219)] = 22147,
  [SMALL_STATE(1220)] = 22219,
  [SMALL_STATE(1221)] = 22287,
  [SMALL_STATE(1222)] = 22361,
  [SMALL_STATE(1223)] = 22433,
  [SMALL_STATE(1224)] = 22505,
  [SMALL_STATE(1225)] = 22577,
  [SMALL_STATE(1226)] = 22649,
  [SMALL_STATE(1227)] = 22721,
  [SMALL_STATE(1228)] = 22793,
  [SMALL_STATE(1229)] = 22865,
  [SMALL_STATE(1230)] = 22937,
  [SMALL_STATE(1231)] = 23009,
  [SMALL_STATE(1232)] = 23117,
  [SMALL_STATE(1233)] = 23225,
  [SMALL_STATE(1234)] = 23333,
  [SMALL_STATE(1235)] = 23441,
  [SMALL_STATE(1236)] = 23549,
  [SMALL_STATE(1237)] = 23657,
  [SMALL_STATE(1238)] = 23765,
  [SMALL_STATE(1239)] = 23837,
  [SMALL_STATE(1240)] = 23947,
  [SMALL_STATE(1241)] = 24057,
  [SMALL_STATE(1242)] = 24167,
  [SMALL_STATE(1243)] = 24239,
  [SMALL_STATE(1244)] = 24311,
  [SMALL_STATE(1245)] = 24383,
  [SMALL_STATE(1246)] = 24455,
  [SMALL_STATE(1247)] = 24527,
  [SMALL_STATE(1248)] = 24635,
  [SMALL_STATE(1249)] = 24716,
  [SMALL_STATE(1250)] = 24785,
  [SMALL_STATE(1251)] = 24854,
  [SMALL_STATE(1252)] = 24925,
  [SMALL_STATE(1253)] = 24996,
  [SMALL_STATE(1254)] = 25067,
  [SMALL_STATE(1255)] = 25136,
  [SMALL_STATE(1256)] = 25205,
  [SMALL_STATE(1257)] = 25309,
  [SMALL_STATE(1258)] = 25413,
  [SMALL_STATE(1259)] = 25517,
  [SMALL_STATE(1260)] = 25621,
  [SMALL_STATE(1261)] = 25725,
  [SMALL_STATE(1262)] = 25829,
  [SMALL_STATE(1263)] = 25923,
  [SMALL_STATE(1264)] = 26029,
  [SMALL_STATE(1265)] = 26135,
  [SMALL_STATE(1266)] = 26239,
  [SMALL_STATE(1267)] = 26343,
  [SMALL_STATE(1268)] = 26447,
  [SMALL_STATE(1269)] = 26551,
  [SMALL_STATE(1270)] = 26655,
  [SMALL_STATE(1271)] = 26749,
  [SMALL_STATE(1272)] = 26827,
  [SMALL_STATE(1273)] = 26931,
  [SMALL_STATE(1274)] = 27035,
  [SMALL_STATE(1275)] = 27145,
  [SMALL_STATE(1276)] = 27249,
  [SMALL_STATE(1277)] = 27353,
  [SMALL_STATE(1278)] = 27459,
  [SMALL_STATE(1279)] = 27565,
  [SMALL_STATE(1280)] = 27671,
  [SMALL_STATE(1281)] = 27781,
  [SMALL_STATE(1282)] = 27891,
  [SMALL_STATE(1283)] = 27995,
  [SMALL_STATE(1284)] = 28099,
  [SMALL_STATE(1285)] = 28203,
  [SMALL_STATE(1286)] = 28313,
  [SMALL_STATE(1287)] = 28417,
  [SMALL_STATE(1288)] = 28523,
  [SMALL_STATE(1289)] = 28629,
  [SMALL_STATE(1290)] = 28739,
  [SMALL_STATE(1291)] = 28843,
  [SMALL_STATE(1292)] = 28953,
  [SMALL_STATE(1293)] = 29057,
  [SMALL_STATE(1294)] = 29167,
  [SMALL_STATE(1295)] = 29271,
  [SMALL_STATE(1296)] = 29375,
  [SMALL_STATE(1297)] = 29479,
  [SMALL_STATE(1298)] = 29583,
  [SMALL_STATE(1299)] = 29687,
  [SMALL_STATE(1300)] = 29791,
  [SMALL_STATE(1301)] = 29885,
  [SMALL_STATE(1302)] = 29973,
  [SMALL_STATE(1303)] = 30079,
  [SMALL_STATE(1304)] = 30185,
  [SMALL_STATE(1305)] = 30289,
  [SMALL_STATE(1306)] = 30371,
  [SMALL_STATE(1307)] = 30471,
  [SMALL_STATE(1308)] = 30569,
  [SMALL_STATE(1309)] = 30663,
  [SMALL_STATE(1310)] = 30749,
  [SMALL_STATE(1311)] = 30843,
  [SMALL_STATE(1312)] = 30949,
  [SMALL_STATE(1313)] = 31015,
  [SMALL_STATE(1314)] = 31119,
  [SMALL_STATE(1315)] = 31223,
  [SMALL_STATE(1316)] = 31327,
  [SMALL_STATE(1317)] = 31421,
  [SMALL_STATE(1318)] = 31527,
  [SMALL_STATE(1319)] = 31633,
  [SMALL_STATE(1320)] = 31739,
  [SMALL_STATE(1321)] = 31845,
  [SMALL_STATE(1322)] = 31949,
  [SMALL_STATE(1323)] = 32053,
  [SMALL_STATE(1324)] = 32163,
  [SMALL_STATE(1325)] = 32267,
  [SMALL_STATE(1326)] = 32371,
  [SMALL_STATE(1327)] = 32475,
  [SMALL_STATE(1328)] = 32579,
  [SMALL_STATE(1329)] = 32683,
  [SMALL_STATE(1330)] = 32787,
  [SMALL_STATE(1331)] = 32891,
  [SMALL_STATE(1332)] = 32995,
  [SMALL_STATE(1333)] = 33105,
  [SMALL_STATE(1334)] = 33215,
  [SMALL_STATE(1335)] = 33287,
  [SMALL_STATE(1336)] = 33393,
  [SMALL_STATE(1337)] = 33499,
  [SMALL_STATE(1338)] = 33603,
  [SMALL_STATE(1339)] = 33709,
  [SMALL_STATE(1340)] = 33813,
  [SMALL_STATE(1341)] = 33917,
  [SMALL_STATE(1342)] = 34005,
  [SMALL_STATE(1343)] = 34087,
  [SMALL_STATE(1344)] = 34187,
  [SMALL_STATE(1345)] = 34285,
  [SMALL_STATE(1346)] = 34379,
  [SMALL_STATE(1347)] = 34465,
  [SMALL_STATE(1348)] = 34537,
  [SMALL_STATE(1349)] = 34631,
  [SMALL_STATE(1350)] = 34737,
  [SMALL_STATE(1351)] = 34840,
  [SMALL_STATE(1352)] = 34947,
  [SMALL_STATE(1353)] = 35054,
  [SMALL_STATE(1354)] = 35161,
  [SMALL_STATE(1355)] = 35230,
  [SMALL_STATE(1356)] = 35337,
  [SMALL_STATE(1357)] = 35444,
  [SMALL_STATE(1358)] = 35513,
  [SMALL_STATE(1359)] = 35620,
  [SMALL_STATE(1360)] = 35727,
  [SMALL_STATE(1361)] = 35834,
  [SMALL_STATE(1362)] = 35941,
  [SMALL_STATE(1363)] = 36048,
  [SMALL_STATE(1364)] = 36151,
  [SMALL_STATE(1365)] = 36258,
  [SMALL_STATE(1366)] = 36327,
  [SMALL_STATE(1367)] = 36396,
  [SMALL_STATE(1368)] = 36503,
  [SMALL_STATE(1369)] = 36572,
  [SMALL_STATE(1370)] = 36677,
  [SMALL_STATE(1371)] = 36780,
  [SMALL_STATE(1372)] = 36887,
  [SMALL_STATE(1373)] = 36994,
  [SMALL_STATE(1374)] = 37101,
  [SMALL_STATE(1375)] = 37170,
  [SMALL_STATE(1376)] = 37277,
  [SMALL_STATE(1377)] = 37346,
  [SMALL_STATE(1378)] = 37415,
  [SMALL_STATE(1379)] = 37522,
  [SMALL_STATE(1380)] = 37629,
  [SMALL_STATE(1381)] = 37698,
  [SMALL_STATE(1382)] = 37767,
  [SMALL_STATE(1383)] = 37870,
  [SMALL_STATE(1384)] = 37939,
  [SMALL_STATE(1385)] = 38046,
  [SMALL_STATE(1386)] = 38153,
  [SMALL_STATE(1387)] = 38256,
  [SMALL_STATE(1388)] = 38325,
  [SMALL_STATE(1389)] = 38432,
  [SMALL_STATE(1390)] = 38501,
  [SMALL_STATE(1391)] = 38608,
  [SMALL_STATE(1392)] = 38677,
  [SMALL_STATE(1393)] = 38780,
  [SMALL_STATE(1394)] = 38887,
  [SMALL_STATE(1395)] = 38956,
  [SMALL_STATE(1396)] = 39059,
  [SMALL_STATE(1397)] = 39166,
  [SMALL_STATE(1398)] = 39269,
  [SMALL_STATE(1399)] = 39372,
  [SMALL_STATE(1400)] = 39475,
  [SMALL_STATE(1401)] = 39578,
  [SMALL_STATE(1402)] = 39647,
  [SMALL_STATE(1403)] = 39754,
  [SMALL_STATE(1404)] = 39857,
  [SMALL_STATE(1405)] = 39926,
  [SMALL_STATE(1406)] = 39995,
  [SMALL_STATE(1407)] = 40098,
  [SMALL_STATE(1408)] = 40201,
  [SMALL_STATE(1409)] = 40308,
  [SMALL_STATE(1410)] = 40415,
  [SMALL_STATE(1411)] = 40522,
  [SMALL_STATE(1412)] = 40625,
  [SMALL_STATE(1413)] = 40728,
  [SMALL_STATE(1414)] = 40797,
  [SMALL_STATE(1415)] = 40899,
  [SMALL_STATE(1416)] = 41003,
  [SMALL_STATE(1417)] = 41107,
  [SMALL_STATE(1418)] = 41209,
  [SMALL_STATE(1419)] = 41313,
  [SMALL_STATE(1420)] = 41381,
  [SMALL_STATE(1421)] = 41483,
  [SMALL_STATE(1422)] = 41587,
  [SMALL_STATE(1423)] = 41691,
  [SMALL_STATE(1424)] = 41795,
  [SMALL_STATE(1425)] = 41897,
  [SMALL_STATE(1426)] = 42001,
  [SMALL_STATE(1427)] = 42105,
  [SMALL_STATE(1428)] = 42207,
  [SMALL_STATE(1429)] = 42308,
  [SMALL_STATE(1430)] = 42409,
  [SMALL_STATE(1431)] = 42510,
  [SMALL_STATE(1432)] = 42611,
  [SMALL_STATE(1433)] = 42712,
  [SMALL_STATE(1434)] = 42813,
  [SMALL_STATE(1435)] = 42914,
  [SMALL_STATE(1436)] = 43015,
  [SMALL_STATE(1437)] = 43116,
  [SMALL_STATE(1438)] = 43217,
  [SMALL_STATE(1439)] = 43318,
  [SMALL_STATE(1440)] = 43419,
  [SMALL_STATE(1441)] = 43520,
  [SMALL_STATE(1442)] = 43621,
  [SMALL_STATE(1443)] = 43722,
  [SMALL_STATE(1444)] = 43823,
  [SMALL_STATE(1445)] = 43924,
  [SMALL_STATE(1446)] = 44025,
  [SMALL_STATE(1447)] = 44126,
  [SMALL_STATE(1448)] = 44227,
  [SMALL_STATE(1449)] = 44328,
  [SMALL_STATE(1450)] = 44429,
  [SMALL_STATE(1451)] = 44530,
  [SMALL_STATE(1452)] = 44631,
  [SMALL_STATE(1453)] = 44732,
  [SMALL_STATE(1454)] = 44833,
  [SMALL_STATE(1455)] = 44934,
  [SMALL_STATE(1456)] = 45035,
  [SMALL_STATE(1457)] = 45136,
  [SMALL_STATE(1458)] = 45237,
  [SMALL_STATE(1459)] = 45338,
  [SMALL_STATE(1460)] = 45439,
  [SMALL_STATE(1461)] = 45540,
  [SMALL_STATE(1462)] = 45641,
  [SMALL_STATE(1463)] = 45742,
  [SMALL_STATE(1464)] = 45843,
  [SMALL_STATE(1465)] = 45944,
  [SMALL_STATE(1466)] = 46045,
  [SMALL_STATE(1467)] = 46146,
  [SMALL_STATE(1468)] = 46247,
  [SMALL_STATE(1469)] = 46348,
  [SMALL_STATE(1470)] = 46449,
  [SMALL_STATE(1471)] = 46550,
  [SMALL_STATE(1472)] = 46651,
  [SMALL_STATE(1473)] = 46752,
  [SMALL_STATE(1474)] = 46853,
  [SMALL_STATE(1475)] = 46954,
  [SMALL_STATE(1476)] = 47055,
  [SMALL_STATE(1477)] = 47156,
  [SMALL_STATE(1478)] = 47257,
  [SMALL_STATE(1479)] = 47358,
  [SMALL_STATE(1480)] = 47459,
  [SMALL_STATE(1481)] = 47560,
  [SMALL_STATE(1482)] = 47661,
  [SMALL_STATE(1483)] = 47762,
  [SMALL_STATE(1484)] = 47863,
  [SMALL_STATE(1485)] = 47964,
  [SMALL_STATE(1486)] = 48065,
  [SMALL_STATE(1487)] = 48166,
  [SMALL_STATE(1488)] = 48267,
  [SMALL_STATE(1489)] = 48368,
  [SMALL_STATE(1490)] = 48469,
  [SMALL_STATE(1491)] = 48567,
  [SMALL_STATE(1492)] = 48665,
  [SMALL_STATE(1493)] = 48763,
  [SMALL_STATE(1494)] = 48861,
  [SMALL_STATE(1495)] = 48959,
  [SMALL_STATE(1496)] = 49033,
  [SMALL_STATE(1497)] = 49072,
  [SMALL_STATE(1498)] = 49102,
  [SMALL_STATE(1499)] = 49140,
  [SMALL_STATE(1500)] = 49170,
  [SMALL_STATE(1501)] = 49196,
  [SMALL_STATE(1502)] = 49222,
  [SMALL_STATE(1503)] = 49248,
  [SMALL_STATE(1504)] = 49274,
  [SMALL_STATE(1505)] = 49300,
  [SMALL_STATE(1506)] = 49326,
  [SMALL_STATE(1507)] = 49352,
  [SMALL_STATE(1508)] = 49378,
  [SMALL_STATE(1509)] = 49408,
  [SMALL_STATE(1510)] = 49434,
  [SMALL_STATE(1511)] = 49460,
  [SMALL_STATE(1512)] = 49483,
  [SMALL_STATE(1513)] = 49506,
  [SMALL_STATE(1514)] = 49533,
  [SMALL_STATE(1515)] = 49556,
  [SMALL_STATE(1516)] = 49579,
  [SMALL_STATE(1517)] = 49602,
  [SMALL_STATE(1518)] = 49625,
  [SMALL_STATE(1519)] = 49648,
  [SMALL_STATE(1520)] = 49671,
  [SMALL_STATE(1521)] = 49700,
  [SMALL_STATE(1522)] = 49723,
  [SMALL_STATE(1523)] = 49749,
  [SMALL_STATE(1524)] = 49769,
  [SMALL_STATE(1525)] = 49789,
  [SMALL_STATE(1526)] = 49809,
  [SMALL_STATE(1527)] = 49829,
  [SMALL_STATE(1528)] = 49849,
  [SMALL_STATE(1529)] = 49869,
  [SMALL_STATE(1530)] = 49889,
  [SMALL_STATE(1531)] = 49909,
  [SMALL_STATE(1532)] = 49929,
  [SMALL_STATE(1533)] = 49949,
  [SMALL_STATE(1534)] = 49969,
  [SMALL_STATE(1535)] = 49989,
  [SMALL_STATE(1536)] = 50009,
  [SMALL_STATE(1537)] = 50034,
  [SMALL_STATE(1538)] = 50059,
  [SMALL_STATE(1539)] = 50084,
  [SMALL_STATE(1540)] = 50109,
  [SMALL_STATE(1541)] = 50134,
  [SMALL_STATE(1542)] = 50159,
  [SMALL_STATE(1543)] = 50184,
  [SMALL_STATE(1544)] = 50205,
  [SMALL_STATE(1545)] = 50230,
  [SMALL_STATE(1546)] = 50251,
  [SMALL_STATE(1547)] = 50276,
  [SMALL_STATE(1548)] = 50296,
  [SMALL_STATE(1549)] = 50314,
  [SMALL_STATE(1550)] = 50334,
  [SMALL_STATE(1551)] = 50356,
  [SMALL_STATE(1552)] = 50374,
  [SMALL_STATE(1553)] = 50394,
  [SMALL_STATE(1554)] = 50414,
  [SMALL_STATE(1555)] = 50432,
  [SMALL_STATE(1556)] = 50450,
  [SMALL_STATE(1557)] = 50470,
  [SMALL_STATE(1558)] = 50488,
  [SMALL_STATE(1559)] = 50508,
  [SMALL_STATE(1560)] = 50526,
  [SMALL_STATE(1561)] = 50541,
  [SMALL_STATE(1562)] = 50560,
  [SMALL_STATE(1563)] = 50575,
  [SMALL_STATE(1564)] = 50594,
  [SMALL_STATE(1565)] = 50609,
  [SMALL_STATE(1566)] = 50628,
  [SMALL_STATE(1567)] = 50647,
  [SMALL_STATE(1568)] = 50666,
  [SMALL_STATE(1569)] = 50681,
  [SMALL_STATE(1570)] = 50700,
  [SMALL_STATE(1571)] = 50719,
  [SMALL_STATE(1572)] = 50738,
  [SMALL_STATE(1573)] = 50755,
  [SMALL_STATE(1574)] = 50774,
  [SMALL_STATE(1575)] = 50791,
  [SMALL_STATE(1576)] = 50810,
  [SMALL_STATE(1577)] = 50827,
  [SMALL_STATE(1578)] = 50843,
  [SMALL_STATE(1579)] = 50857,
  [SMALL_STATE(1580)] = 50873,
  [SMALL_STATE(1581)] = 50889,
  [SMALL_STATE(1582)] = 50905,
  [SMALL_STATE(1583)] = 50917,
  [SMALL_STATE(1584)] = 50933,
  [SMALL_STATE(1585)] = 50949,
  [SMALL_STATE(1586)] = 50965,
  [SMALL_STATE(1587)] = 50979,
  [SMALL_STATE(1588)] = 50991,
  [SMALL_STATE(1589)] = 51007,
  [SMALL_STATE(1590)] = 51019,
  [SMALL_STATE(1591)] = 51035,
  [SMALL_STATE(1592)] = 51051,
  [SMALL_STATE(1593)] = 51067,
  [SMALL_STATE(1594)] = 51083,
  [SMALL_STATE(1595)] = 51099,
  [SMALL_STATE(1596)] = 51109,
  [SMALL_STATE(1597)] = 51125,
  [SMALL_STATE(1598)] = 51135,
  [SMALL_STATE(1599)] = 51147,
  [SMALL_STATE(1600)] = 51163,
  [SMALL_STATE(1601)] = 51179,
  [SMALL_STATE(1602)] = 51195,
  [SMALL_STATE(1603)] = 51207,
  [SMALL_STATE(1604)] = 51223,
  [SMALL_STATE(1605)] = 51237,
  [SMALL_STATE(1606)] = 51253,
  [SMALL_STATE(1607)] = 51265,
  [SMALL_STATE(1608)] = 51281,
  [SMALL_STATE(1609)] = 51297,
  [SMALL_STATE(1610)] = 51306,
  [SMALL_STATE(1611)] = 51319,
  [SMALL_STATE(1612)] = 51332,
  [SMALL_STATE(1613)] = 51345,
  [SMALL_STATE(1614)] = 51356,
  [SMALL_STATE(1615)] = 51369,
  [SMALL_STATE(1616)] = 51382,
  [SMALL_STATE(1617)] = 51395,
  [SMALL_STATE(1618)] = 51408,
  [SMALL_STATE(1619)] = 51419,
  [SMALL_STATE(1620)] = 51432,
  [SMALL_STATE(1621)] = 51445,
  [SMALL_STATE(1622)] = 51458,
  [SMALL_STATE(1623)] = 51471,
  [SMALL_STATE(1624)] = 51484,
  [SMALL_STATE(1625)] = 51497,
  [SMALL_STATE(1626)] = 51510,
  [SMALL_STATE(1627)] = 51519,
  [SMALL_STATE(1628)] = 51532,
  [SMALL_STATE(1629)] = 51541,
  [SMALL_STATE(1630)] = 51550,
  [SMALL_STATE(1631)] = 51563,
  [SMALL_STATE(1632)] = 51576,
  [SMALL_STATE(1633)] = 51585,
  [SMALL_STATE(1634)] = 51594,
  [SMALL_STATE(1635)] = 51607,
  [SMALL_STATE(1636)] = 51620,
  [SMALL_STATE(1637)] = 51633,
  [SMALL_STATE(1638)] = 51646,
  [SMALL_STATE(1639)] = 51659,
  [SMALL_STATE(1640)] = 51670,
  [SMALL_STATE(1641)] = 51683,
  [SMALL_STATE(1642)] = 51696,
  [SMALL_STATE(1643)] = 51709,
  [SMALL_STATE(1644)] = 51718,
  [SMALL_STATE(1645)] = 51731,
  [SMALL_STATE(1646)] = 51744,
  [SMALL_STATE(1647)] = 51753,
  [SMALL_STATE(1648)] = 51762,
  [SMALL_STATE(1649)] = 51775,
  [SMALL_STATE(1650)] = 51788,
  [SMALL_STATE(1651)] = 51801,
  [SMALL_STATE(1652)] = 51814,
  [SMALL_STATE(1653)] = 51827,
  [SMALL_STATE(1654)] = 51840,
  [SMALL_STATE(1655)] = 51853,
  [SMALL_STATE(1656)] = 51866,
  [SMALL_STATE(1657)] = 51879,
  [SMALL_STATE(1658)] = 51892,
  [SMALL_STATE(1659)] = 51903,
  [SMALL_STATE(1660)] = 51916,
  [SMALL_STATE(1661)] = 51929,
  [SMALL_STATE(1662)] = 51942,
  [SMALL_STATE(1663)] = 51955,
  [SMALL_STATE(1664)] = 51968,
  [SMALL_STATE(1665)] = 51981,
  [SMALL_STATE(1666)] = 51994,
  [SMALL_STATE(1667)] = 52007,
  [SMALL_STATE(1668)] = 52020,
  [SMALL_STATE(1669)] = 52033,
  [SMALL_STATE(1670)] = 52046,
  [SMALL_STATE(1671)] = 52059,
  [SMALL_STATE(1672)] = 52072,
  [SMALL_STATE(1673)] = 52085,
  [SMALL_STATE(1674)] = 52098,
  [SMALL_STATE(1675)] = 52111,
  [SMALL_STATE(1676)] = 52124,
  [SMALL_STATE(1677)] = 52137,
  [SMALL_STATE(1678)] = 52146,
  [SMALL_STATE(1679)] = 52157,
  [SMALL_STATE(1680)] = 52170,
  [SMALL_STATE(1681)] = 52183,
  [SMALL_STATE(1682)] = 52196,
  [SMALL_STATE(1683)] = 52209,
  [SMALL_STATE(1684)] = 52222,
  [SMALL_STATE(1685)] = 52231,
  [SMALL_STATE(1686)] = 52244,
  [SMALL_STATE(1687)] = 52255,
  [SMALL_STATE(1688)] = 52265,
  [SMALL_STATE(1689)] = 52275,
  [SMALL_STATE(1690)] = 52285,
  [SMALL_STATE(1691)] = 52295,
  [SMALL_STATE(1692)] = 52305,
  [SMALL_STATE(1693)] = 52315,
  [SMALL_STATE(1694)] = 52325,
  [SMALL_STATE(1695)] = 52335,
  [SMALL_STATE(1696)] = 52345,
  [SMALL_STATE(1697)] = 52355,
  [SMALL_STATE(1698)] = 52365,
  [SMALL_STATE(1699)] = 52375,
  [SMALL_STATE(1700)] = 52383,
  [SMALL_STATE(1701)] = 52393,
  [SMALL_STATE(1702)] = 52403,
  [SMALL_STATE(1703)] = 52413,
  [SMALL_STATE(1704)] = 52421,
  [SMALL_STATE(1705)] = 52431,
  [SMALL_STATE(1706)] = 52441,
  [SMALL_STATE(1707)] = 52451,
  [SMALL_STATE(1708)] = 52459,
  [SMALL_STATE(1709)] = 52469,
  [SMALL_STATE(1710)] = 52479,
  [SMALL_STATE(1711)] = 52489,
  [SMALL_STATE(1712)] = 52499,
  [SMALL_STATE(1713)] = 52509,
  [SMALL_STATE(1714)] = 52519,
  [SMALL_STATE(1715)] = 52527,
  [SMALL_STATE(1716)] = 52535,
  [SMALL_STATE(1717)] = 52543,
  [SMALL_STATE(1718)] = 52553,
  [SMALL_STATE(1719)] = 52561,
  [SMALL_STATE(1720)] = 52569,
  [SMALL_STATE(1721)] = 52579,
  [SMALL_STATE(1722)] = 52589,
  [SMALL_STATE(1723)] = 52599,
  [SMALL_STATE(1724)] = 52607,
  [SMALL_STATE(1725)] = 52617,
  [SMALL_STATE(1726)] = 52627,
  [SMALL_STATE(1727)] = 52635,
  [SMALL_STATE(1728)] = 52645,
  [SMALL_STATE(1729)] = 52655,
  [SMALL_STATE(1730)] = 52665,
  [SMALL_STATE(1731)] = 52675,
  [SMALL_STATE(1732)] = 52683,
  [SMALL_STATE(1733)] = 52693,
  [SMALL_STATE(1734)] = 52703,
  [SMALL_STATE(1735)] = 52711,
  [SMALL_STATE(1736)] = 52719,
  [SMALL_STATE(1737)] = 52727,
  [SMALL_STATE(1738)] = 52737,
  [SMALL_STATE(1739)] = 52747,
  [SMALL_STATE(1740)] = 52757,
  [SMALL_STATE(1741)] = 52767,
  [SMALL_STATE(1742)] = 52777,
  [SMALL_STATE(1743)] = 52787,
  [SMALL_STATE(1744)] = 52797,
  [SMALL_STATE(1745)] = 52807,
  [SMALL_STATE(1746)] = 52817,
  [SMALL_STATE(1747)] = 52825,
  [SMALL_STATE(1748)] = 52833,
  [SMALL_STATE(1749)] = 52843,
  [SMALL_STATE(1750)] = 52853,
  [SMALL_STATE(1751)] = 52863,
  [SMALL_STATE(1752)] = 52873,
  [SMALL_STATE(1753)] = 52883,
  [SMALL_STATE(1754)] = 52893,
  [SMALL_STATE(1755)] = 52903,
  [SMALL_STATE(1756)] = 52911,
  [SMALL_STATE(1757)] = 52921,
  [SMALL_STATE(1758)] = 52928,
  [SMALL_STATE(1759)] = 52935,
  [SMALL_STATE(1760)] = 52942,
  [SMALL_STATE(1761)] = 52949,
  [SMALL_STATE(1762)] = 52956,
  [SMALL_STATE(1763)] = 52963,
  [SMALL_STATE(1764)] = 52970,
  [SMALL_STATE(1765)] = 52977,
  [SMALL_STATE(1766)] = 52984,
  [SMALL_STATE(1767)] = 52991,
  [SMALL_STATE(1768)] = 52998,
  [SMALL_STATE(1769)] = 53005,
  [SMALL_STATE(1770)] = 53012,
  [SMALL_STATE(1771)] = 53019,
  [SMALL_STATE(1772)] = 53026,
  [SMALL_STATE(1773)] = 53033,
  [SMALL_STATE(1774)] = 53040,
  [SMALL_STATE(1775)] = 53047,
  [SMALL_STATE(1776)] = 53054,
  [SMALL_STATE(1777)] = 53061,
  [SMALL_STATE(1778)] = 53068,
  [SMALL_STATE(1779)] = 53075,
  [SMALL_STATE(1780)] = 53082,
  [SMALL_STATE(1781)] = 53089,
  [SMALL_STATE(1782)] = 53096,
  [SMALL_STATE(1783)] = 53103,
  [SMALL_STATE(1784)] = 53110,
  [SMALL_STATE(1785)] = 53117,
  [SMALL_STATE(1786)] = 53124,
  [SMALL_STATE(1787)] = 53131,
  [SMALL_STATE(1788)] = 53138,
  [SMALL_STATE(1789)] = 53145,
  [SMALL_STATE(1790)] = 53152,
  [SMALL_STATE(1791)] = 53159,
  [SMALL_STATE(1792)] = 53166,
  [SMALL_STATE(1793)] = 53173,
  [SMALL_STATE(1794)] = 53180,
  [SMALL_STATE(1795)] = 53187,
  [SMALL_STATE(1796)] = 53194,
  [SMALL_STATE(1797)] = 53201,
  [SMALL_STATE(1798)] = 53208,
  [SMALL_STATE(1799)] = 53215,
  [SMALL_STATE(1800)] = 53222,
  [SMALL_STATE(1801)] = 53229,
  [SMALL_STATE(1802)] = 53236,
  [SMALL_STATE(1803)] = 53243,
  [SMALL_STATE(1804)] = 53250,
  [SMALL_STATE(1805)] = 53257,
  [SMALL_STATE(1806)] = 53264,
  [SMALL_STATE(1807)] = 53271,
  [SMALL_STATE(1808)] = 53278,
  [SMALL_STATE(1809)] = 53285,
  [SMALL_STATE(1810)] = 53292,
  [SMALL_STATE(1811)] = 53299,
  [SMALL_STATE(1812)] = 53306,
  [SMALL_STATE(1813)] = 53313,
  [SMALL_STATE(1814)] = 53320,
  [SMALL_STATE(1815)] = 53327,
  [SMALL_STATE(1816)] = 53334,
  [SMALL_STATE(1817)] = 53341,
  [SMALL_STATE(1818)] = 53348,
  [SMALL_STATE(1819)] = 53355,
  [SMALL_STATE(1820)] = 53362,
  [SMALL_STATE(1821)] = 53369,
  [SMALL_STATE(1822)] = 53376,
  [SMALL_STATE(1823)] = 53383,
  [SMALL_STATE(1824)] = 53390,
  [SMALL_STATE(1825)] = 53397,
  [SMALL_STATE(1826)] = 53404,
  [SMALL_STATE(1827)] = 53411,
  [SMALL_STATE(1828)] = 53418,
  [SMALL_STATE(1829)] = 53425,
  [SMALL_STATE(1830)] = 53432,
  [SMALL_STATE(1831)] = 53439,
  [SMALL_STATE(1832)] = 53446,
  [SMALL_STATE(1833)] = 53453,
  [SMALL_STATE(1834)] = 53460,
  [SMALL_STATE(1835)] = 53467,
  [SMALL_STATE(1836)] = 53474,
  [SMALL_STATE(1837)] = 53481,
  [SMALL_STATE(1838)] = 53488,
  [SMALL_STATE(1839)] = 53495,
  [SMALL_STATE(1840)] = 53502,
  [SMALL_STATE(1841)] = 53509,
  [SMALL_STATE(1842)] = 53516,
  [SMALL_STATE(1843)] = 53523,
  [SMALL_STATE(1844)] = 53530,
  [SMALL_STATE(1845)] = 53537,
  [SMALL_STATE(1846)] = 53544,
  [SMALL_STATE(1847)] = 53551,
  [SMALL_STATE(1848)] = 53558,
  [SMALL_STATE(1849)] = 53565,
  [SMALL_STATE(1850)] = 53572,
  [SMALL_STATE(1851)] = 53579,
  [SMALL_STATE(1852)] = 53586,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1496),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1498),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1550),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1725),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1596),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1751),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1730),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1778),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1695),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1690),
  [107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_expression, 1, 0, 0),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_expression, 1, 0, 0),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_expression, 2, 0, 10),
  [141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_expression, 2, 0, 10),
  [143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_expression, 2, 0, 0),
  [145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_expression, 2, 0, 0),
  [147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_expression, 1, 0, 0),
  [149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1584),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1739),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1811),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1740),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1742),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1749),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1580),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1501),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1048),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1591),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__container_members, 1, 0, 0),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(371),
  [342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(159),
  [345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1596),
  [348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1529),
  [351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1591),
  [354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1503),
  [357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(626),
  [360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(655),
  [363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(33),
  [366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0),
  [368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1691),
  [371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1803),
  [374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1692),
  [377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1751),
  [380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1730),
  [383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(276),
  [386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(280),
  [389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(342),
  [392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(183),
  [395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1801),
  [398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1778),
  [401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1818),
  [404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(117),
  [407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1695),
  [410] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(240),
  [413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(626),
  [416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(454),
  [419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(591),
  [422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(808),
  [425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(602),
  [428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(8),
  [431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(6),
  [434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(654),
  [437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1787),
  [440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(857),
  [443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(859),
  [446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(865),
  [449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(269),
  [452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1510),
  [455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1607),
  [458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(806),
  [461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1715),
  [464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(859),
  [467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(872),
  [470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(877),
  [473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1688),
  [476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1690),
  [479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0),
  [481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(371),
  [484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1496),
  [487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1497),
  [490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(325),
  [493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1552),
  [496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1498),
  [499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1613),
  [502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1529),
  [505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1550),
  [508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1725),
  [511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1503),
  [514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(626),
  [517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(655),
  [520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(656),
  [523] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(33),
  [526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1596),
  [529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1691),
  [532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1803),
  [535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1692),
  [538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1751),
  [541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1730),
  [544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(639),
  [547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1801),
  [550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1778),
  [553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1818),
  [556] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(117),
  [559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1695),
  [562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(240),
  [565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(626),
  [568] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(454),
  [571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(591),
  [574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(808),
  [577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(602),
  [580] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(8),
  [583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(6),
  [586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(654),
  [589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1787),
  [592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(857),
  [595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(859),
  [598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(865),
  [601] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(269),
  [604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1510),
  [607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1607),
  [610] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(806),
  [613] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1715),
  [616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(859),
  [619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(872),
  [622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(877),
  [625] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1688),
  [628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1690),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3, 0, 0),
  [641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3, 0, 0),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1817),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1774),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1838),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1776),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1767),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1758),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1765),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_expression, 6, 0, 0),
  [771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_expression, 6, 0, 0),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_expression, 7, 0, 0),
  [777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_expression, 7, 0, 0),
  [779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_expression, 8, 0, 0),
  [781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_expression, 8, 0, 0),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_expression, 9, 0, 0),
  [789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_expression, 9, 0, 0),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1757),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 2, 0, 0),
  [895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 2, 0, 0),
  [897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__switch_case_exp, 3, 0, 0),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__switch_case_exp, 5, 0, 0),
  [915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__switch_case_exp, 6, 0, 0),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__switch_case_exp, 4, 0, 0),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_label, 2, 0, 0),
  [933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_label, 2, 0, 0),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0),
  [939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0),
  [941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__switch_case_exp, 2, 0, 0),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comptime_declaration, 2, 0, 0),
  [959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comptime_declaration, 2, 0, 0),
  [961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_expression, 2, 0, 0),
  [967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_type_expression, 2, 0, 0),
  [969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_type_expression, 2, 0, 0),
  [971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_expression, 2, 0, 0),
  [973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_expression, 1, 0, 0),
  [975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_expression, 1, 0, 0),
  [977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 1, 0, 0),
  [979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 1, 0, 0),
  [981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__block_expr_statement, 2, 0, 0),
  [983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_expr_statement, 2, 0, 0),
  [985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_type_expression, 1, 0, 0),
  [989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_type_expression, 1, 0, 0),
  [991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__block_expr_statement, 1, 0, 0),
  [995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_expr_statement, 1, 0, 0),
  [997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 2, 0, 0),
  [999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 2, 0, 0),
  [1001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_byte_alignment, 4, 0, 0),
  [1003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_byte_alignment, 4, 0, 0),
  [1005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comptime_declaration, 3, 0, 0),
  [1007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comptime_declaration, 3, 0, 0),
  [1009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3, 0, 12),
  [1011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3, 0, 12),
  [1013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 3, 0, 13),
  [1015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 3, 0, 13),
  [1017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 3, 0, 14),
  [1019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 3, 0, 14),
  [1021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 7, 0, 39),
  [1023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 7, 0, 39),
  [1025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 8, 0, 46),
  [1027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 8, 0, 46),
  [1029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_namespace_declaration, 3, 0, 0),
  [1031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_namespace_declaration, 3, 0, 0),
  [1033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_test_declaration, 4, 0, 0),
  [1035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_test_declaration, 4, 0, 0),
  [1037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4, 0, 27),
  [1039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4, 0, 27),
  [1041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, 0, 28),
  [1043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, 0, 28),
  [1045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, 0, 29),
  [1047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, 0, 29),
  [1049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_namespace_declaration, 4, 0, 0),
  [1051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_namespace_declaration, 4, 0, 0),
  [1053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4, 0, 5),
  [1055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4, 0, 5),
  [1057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0),
  [1059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 2, 0, 5),
  [1061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 2, 0, 5),
  [1063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 2, 0, 7),
  [1065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 2, 0, 7),
  [1067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 2, 0, 8),
  [1069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 2, 0, 8),
  [1071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 5, 0, 39),
  [1073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 5, 0, 39),
  [1075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 40),
  [1077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 40),
  [1079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 41),
  [1081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 41),
  [1083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 5, 0, 12),
  [1085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 5, 0, 12),
  [1087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_test_declaration, 2, 0, 0),
  [1089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_test_declaration, 2, 0, 0),
  [1091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_address_space, 4, 0, 0),
  [1093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_address_space, 4, 0, 0),
  [1095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_test_declaration, 3, 0, 0),
  [1097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_test_declaration, 3, 0, 0),
  [1099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 6, 0, 27),
  [1101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 6, 0, 27),
  [1103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 6, 0, 46),
  [1105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 6, 0, 46),
  [1107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_slice_type_repeat1, 2, 0, 0),
  [1109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_slice_type_repeat1, 2, 0, 0), SHIFT_REPEAT(755),
  [1112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_slice_type_repeat1, 2, 0, 0),
  [1114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_slice_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1817),
  [1117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_slice_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1844),
  [1120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__conditional_body, 1, 0, 17),
  [1122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__conditional_body, 1, 0, 17),
  [1124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(37),
  [1126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pointer_type_repeat1, 2, 0, 0),
  [1128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_type_repeat1, 2, 0, 0), SHIFT_REPEAT(757),
  [1131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pointer_type_repeat1, 2, 0, 0),
  [1133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1776),
  [1136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1844),
  [1139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_payload, 4, 0, 0),
  [1141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_payload, 4, 0, 0),
  [1143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_errdefer_statement, 3, 0, 0),
  [1145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_errdefer_statement, 3, 0, 0),
  [1147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__conditional_body, 2, 0, 17),
  [1149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__conditional_body, 2, 0, 17),
  [1151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defer_statement, 2, 0, 0),
  [1153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_statement, 2, 0, 0),
  [1155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_errdefer_statement, 2, 0, 0),
  [1157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_errdefer_statement, 2, 0, 0),
  [1159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_declaration_expression_statement, 5, 0, 12),
  [1161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declaration_expression_statement, 5, 0, 12),
  [1163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 3, 0, 33),
  [1165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 3, 0, 33),
  [1167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 2, 0, 18),
  [1169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 2, 0, 18),
  [1171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 2, 0, 19),
  [1173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 2, 0, 19),
  [1175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 2, 0, 18),
  [1177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 2, 0, 18),
  [1179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nosuspend_statement, 2, 0, 0),
  [1185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nosuspend_statement, 2, 0, 0),
  [1187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 5),
  [1189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 5),
  [1191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 34),
  [1193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 34),
  [1195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_payload, 3, 0, 0),
  [1197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_payload, 3, 0, 0),
  [1199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_declaration_expression_statement, 4, 0, 5),
  [1201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declaration_expression_statement, 4, 0, 5),
  [1203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 44),
  [1205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 44),
  [1207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_declaration_expression_statement, 4, 0, 0),
  [1209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declaration_expression_statement, 4, 0, 0),
  [1211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_declaration_expression_statement, 5, 0, 35),
  [1213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declaration_expression_statement, 5, 0, 35),
  [1215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_payload, 5, 0, 0),
  [1217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_payload, 5, 0, 0),
  [1219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_payload, 6, 0, 0),
  [1221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_payload, 6, 0, 0),
  [1223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 3, 0, 49),
  [1225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 3, 0, 49),
  [1227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comptime_statement, 2, 0, 12),
  [1229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comptime_statement, 2, 0, 12),
  [1231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comptime_statement, 2, 0, 0),
  [1233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comptime_statement, 2, 0, 0),
  [1235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_suspend_statement, 2, 0, 0),
  [1237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_suspend_statement, 2, 0, 0),
  [1239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pointer_type_repeat1, 8, 0, 0),
  [1241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pointer_type_repeat1, 8, 0, 0),
  [1243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pointer_type_repeat1, 4, 0, 0),
  [1245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pointer_type_repeat1, 4, 0, 0),
  [1247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameters, 5, 0, 0),
  [1249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 5, 0, 0),
  [1251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameters, 4, 0, 0),
  [1253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 4, 0, 0),
  [1255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameters, 3, 0, 0),
  [1257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3, 0, 0),
  [1259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameters, 2, 0, 0),
  [1261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 2, 0, 0),
  [1263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_link_section, 4, 0, 0),
  [1265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_section, 4, 0, 0),
  [1267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__while_prefix, 4, 0, 36),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [1271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__while_prefix, 4, 0, 36),
  [1273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__if_prefix, 4, 0, 36),
  [1275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__if_prefix, 4, 0, 36),
  [1277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__while_prefix, 5, 0, 36),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [1281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__while_prefix, 5, 0, 36),
  [1283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__if_prefix, 5, 0, 36),
  [1285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__if_prefix, 5, 0, 36),
  [1287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_prefix, 9, 0, 0),
  [1289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_prefix, 9, 0, 0),
  [1291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__while_prefix, 9, 0, 36),
  [1293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__while_prefix, 9, 0, 36),
  [1295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_prefix, 6, 0, 0),
  [1297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_prefix, 6, 0, 0),
  [1299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_prefix, 7, 0, 0),
  [1301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_prefix, 7, 0, 0),
  [1303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_prefix, 4, 0, 0),
  [1305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_prefix, 4, 0, 0),
  [1307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_prefix, 5, 0, 0),
  [1309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_prefix, 5, 0, 0),
  [1311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_prefix, 8, 0, 0),
  [1313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_prefix, 8, 0, 0),
  [1315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_calling_convention, 4, 0, 0),
  [1317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_calling_convention, 4, 0, 0),
  [1319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__while_prefix, 8, 0, 36),
  [1321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__while_prefix, 8, 0, 36),
  [1323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multiline_string, 1, 0, 0),
  [1325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_multiline_string, 1, 0, 0),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [1329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_multiline_string_repeat1, 2, 0, 0),
  [1331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_multiline_string_repeat1, 2, 0, 0),
  [1333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_multiline_string_repeat1, 2, 0, 0), SHIFT_REPEAT(807),
  [1336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_expression, 1, 0, 0),
  [1338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_expression, 1, 0, 0),
  [1340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_expression, 1, 0, 0),
  [1342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_expression, 1, 0, 0),
  [1344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [1346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [1348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [1350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_prototype, 3, 0, 16),
  [1352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_prototype, 3, 0, 16),
  [1354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [1356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_prototype, 6, 0, 47),
  [1358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_prototype, 6, 0, 47),
  [1360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullable_type, 2, 0, 0),
  [1362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullable_type, 2, 0, 0),
  [1364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 4, 0, 0),
  [1366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 4, 0, 0),
  [1368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opaque_declaration, 4, 0, 0),
  [1370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_opaque_declaration, 4, 0, 0),
  [1372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 0),
  [1374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 0),
  [1376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_struct_initializer, 2, 0, 0),
  [1378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_struct_initializer, 2, 0, 0),
  [1380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_declaration, 4, 0, 0),
  [1382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_declaration, 4, 0, 0),
  [1384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_set_declaration, 4, 0, 0),
  [1386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_set_declaration, 4, 0, 0),
  [1388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 7, 0, 0),
  [1390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 7, 0, 0),
  [1392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_declaration, 10, 0, 0),
  [1394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_declaration, 10, 0, 0),
  [1396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 2, 0, 6),
  [1398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 2, 0, 6),
  [1400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 7, 0, 0),
  [1402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 7, 0, 0),
  [1404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_expression, 4, 0, 0),
  [1406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_asm_expression, 4, 0, 0),
  [1408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_declaration, 7, 0, 0),
  [1410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_declaration, 7, 0, 0),
  [1412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_builtin_function, 2, 0, 0),
  [1414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_builtin_function, 2, 0, 0),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [1418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [1422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [1424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [1426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_expression, 6, 0, 0),
  [1432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_asm_expression, 6, 0, 0),
  [1434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_declaration, 11, 0, 0),
  [1436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_declaration, 11, 0, 0),
  [1438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 4, 0, 21),
  [1440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 4, 0, 21),
  [1442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_prototype, 4, 0, 32),
  [1444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_prototype, 4, 0, 32),
  [1446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_expression, 4, 0, 37),
  [1448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_expression, 4, 0, 37),
  [1450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_prototype, 6, 0, 48),
  [1452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_prototype, 6, 0, 48),
  [1454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [1456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [1458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 5, 0, 0),
  [1460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 5, 0, 0),
  [1462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 6, 0, 21),
  [1464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 6, 0, 21),
  [1466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_expression, 6, 0, 50),
  [1468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_expression, 6, 0, 50),
  [1470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 8, 0, 0),
  [1472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 8, 0, 0),
  [1474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 5, 0, 0),
  [1476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 5, 0, 0),
  [1478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opaque_declaration, 5, 0, 0),
  [1480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_opaque_declaration, 5, 0, 0),
  [1482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_prototype, 7, 0, 52),
  [1484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_prototype, 7, 0, 52),
  [1486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_declaration, 5, 0, 0),
  [1488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_declaration, 5, 0, 0),
  [1490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_set_declaration, 3, 0, 0),
  [1492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_set_declaration, 3, 0, 0),
  [1494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_type, 3, 0, 0),
  [1496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_type, 3, 0, 0),
  [1498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 8, 0, 0),
  [1500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 8, 0, 0),
  [1502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_prototype, 5, 0, 42),
  [1504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_prototype, 5, 0, 42),
  [1506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_prototype, 5, 0, 43),
  [1508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_prototype, 5, 0, 43),
  [1510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_declaration, 8, 0, 0),
  [1512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_declaration, 8, 0, 0),
  [1514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dereference_expression, 2, 0, 0),
  [1516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dereference_expression, 2, 0, 0),
  [1518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null_coercion_expression, 2, 0, 0),
  [1520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null_coercion_expression, 2, 0, 0),
  [1522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [1524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_prototype, 8, 0, 53),
  [1526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_prototype, 8, 0, 53),
  [1528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_initializer, 2, 0, 0),
  [1530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_initializer, 2, 0, 0),
  [1532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_prototype, 8, 0, 54),
  [1534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_prototype, 8, 0, 54),
  [1536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_type_expression, 1, 0, 1),
  [1538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_type_expression, 1, 0, 1),
  [1540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_set_declaration, 5, 0, 0),
  [1542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_set_declaration, 5, 0, 0),
  [1544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_type_expression, 1, 0, 0), REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_type_expression, 1, 0, 0), REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [1554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [1556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character, 3, 0, 0),
  [1558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character, 3, 0, 0),
  [1560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [1562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [1564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_expression, 5, 0, 0),
  [1566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_asm_expression, 5, 0, 0),
  [1568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_expression, 2, 0, 0),
  [1570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_expression, 2, 0, 0),
  [1572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0), REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0), REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_prototype, 9, 0, 55),
  [1580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_prototype, 9, 0, 55),
  [1582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [1584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [1586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 5, 0, 21),
  [1588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 5, 0, 21),
  [1590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 21),
  [1592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 21),
  [1594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_builtin_type, 1, 0, 0),
  [1596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_builtin_type, 1, 0, 0),
  [1598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 23),
  [1600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 0, 23),
  [1602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_set_declaration, 6, 0, 0),
  [1604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_set_declaration, 6, 0, 0),
  [1606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_prototype, 4, 0, 31),
  [1608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_prototype, 4, 0, 31),
  [1610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_prototype, 7, 0, 51),
  [1612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_prototype, 7, 0, 51),
  [1614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 0),
  [1616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 0),
  [1618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [1620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_type_expression, 4, 0, 9),
  [1622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym_if_type_expression, 4, 0, 9),
  [1625] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym_if_type_expression, 4, 0, 9),
  [1628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anyframe_type, 3, 0, 0),
  [1630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anyframe_type, 3, 0, 0),
  [1632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_type_expression, 5, 0, 9),
  [1634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym_if_type_expression, 5, 0, 9),
  [1637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym_if_type_expression, 5, 0, 9),
  [1640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_type, 6, 0, 45),
  [1642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_type, 6, 0, 45),
  [1644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type, 7, 0, 0),
  [1646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type, 7, 0, 0),
  [1648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 3, 0, 0),
  [1650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [1652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [1654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 3, 0, 0),
  [1656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [1658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [1660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [1662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [1664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [1666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [1668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [1670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [1672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [1674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [1676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [1678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [1680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [1682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [1684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [1686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [1688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [1690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [1692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [1694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 3, 0, 15),
  [1696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 3, 0, 15),
  [1698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [1700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_expression, 3, 0, 22),
  [1702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 22),
  [1704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_expression, 3, 0, 0),
  [1706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_expression, 3, 0, 0),
  [1708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 20),
  [1710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, 0, 20),
  [1712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 20),
  [1714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 20),
  [1716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type, 4, 0, 0),
  [1718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type, 4, 0, 0),
  [1720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_expression, 3, 0, 0),
  [1722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_expression, 3, 0, 0),
  [1724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [1726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_type, 4, 0, 0),
  [1728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_type, 4, 0, 0),
  [1730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0),
  [1732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 4, 0, 0),
  [1734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 9),
  [1736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 4, 0, 9),
  [1738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 4, 0, 0),
  [1740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 4, 0, 0),
  [1742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 4, 0, 9),
  [1744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 4, 0, 9),
  [1746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_expression, 4, 0, 0),
  [1748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_expression, 4, 0, 0),
  [1750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [1752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 4, 0, 38),
  [1754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 4, 0, 38),
  [1756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [1758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 5, 0, 0),
  [1760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 5, 0, 0),
  [1762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 5, 0, 15),
  [1764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 5, 0, 15),
  [1766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 9, 0, 55),
  [1769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 9, 0, 55),
  [1772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 5, 0, 9),
  [1774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 5, 0, 9),
  [1776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 5, 0, 9),
  [1778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 5, 0, 9),
  [1780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 6, 0, 15),
  [1782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 6, 0, 15),
  [1784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 6, 0, 0),
  [1786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 6, 0, 0),
  [1788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_union_type, 3, 0, 24),
  [1790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_union_type, 3, 0, 24),
  [1792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 6, 0, 38),
  [1794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 6, 0, 38),
  [1796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 7, 0, 38),
  [1798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 7, 0, 38),
  [1800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 7, 0, 51),
  [1803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 7, 0, 51),
  [1806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type, 6, 0, 0),
  [1808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type, 6, 0, 0),
  [1810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 3, 0, 16),
  [1813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 3, 0, 16),
  [1816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_type_expression, 2, 0, 9),
  [1818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym_if_type_expression, 2, 0, 9),
  [1821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym_if_type_expression, 2, 0, 9),
  [1824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [1826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 7, 0, 52),
  [1829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 7, 0, 52),
  [1832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 5, 0, 42),
  [1835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 5, 0, 42),
  [1838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 5, 0, 43),
  [1841] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 5, 0, 43),
  [1844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 6, 0, 47),
  [1847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 6, 0, 47),
  [1850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 6, 0, 0),
  [1852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 6, 0, 0),
  [1854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 6, 0, 48),
  [1857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 6, 0, 48),
  [1860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type, 2, 0, 0),
  [1862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type, 2, 0, 0),
  [1864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 4, 0, 32),
  [1867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 4, 0, 32),
  [1870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 4),
  [1872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 4),
  [1874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type, 3, 0, 0),
  [1876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type, 3, 0, 0),
  [1878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 8, 0, 53),
  [1881] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 8, 0, 53),
  [1884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 4, 0, 31),
  [1887] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 4, 0, 31),
  [1890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_type, 5, 0, 45),
  [1892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_type, 5, 0, 45),
  [1894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type, 5, 0, 0),
  [1896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type, 5, 0, 0),
  [1898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comptime_expression, 2, 0, 0),
  [1900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comptime_expression, 2, 0, 0),
  [1902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nosuspend_expression, 2, 0, 0),
  [1904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nosuspend_expression, 2, 0, 0),
  [1906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_async_expression, 2, 0, 0),
  [1908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_async_expression, 2, 0, 0),
  [1910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2, 0, 0),
  [1912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0),
  [1914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resume_expression, 2, 0, 0),
  [1916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_resume_expression, 2, 0, 0),
  [1918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_expression, 2, 0, 0),
  [1920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_expression, 2, 0, 0),
  [1922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 2, 0, 0),
  [1924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_expression, 2, 0, 0),
  [1926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 2, 0, 9),
  [1928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 2, 0, 9),
  [1930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [1932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 2, 0, 0),
  [1934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 2, 0, 0),
  [1936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [1938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 2, 0, 9),
  [1940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 2, 0, 9),
  [1942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [1944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_type, 3, 0, 0),
  [1946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_type, 3, 0, 0),
  [1948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 8, 0, 54),
  [1951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 8, 0, 54),
  [1954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comptime_type_expression, 2, 0, 0),
  [1956] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym_comptime_type_expression, 2, 0, 0),
  [1959] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym_comptime_type_expression, 2, 0, 0),
  [1962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [1964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declaration_header, 4, 0, 32),
  [1966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_declaration_header, 4, 0, 32),
  [1968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [1970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [1972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [1974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [1976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [1978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [1980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [1982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [1984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [1986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [1988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [1990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [1992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [1994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [1996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [1998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [2000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [2002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [2004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_multiline_string_repeat1, 2, 0, 0), SHIFT_REPEAT(971),
  [2007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 4, 1, 30),
  [2009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [2011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 4, 1, 31),
  [2013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [2015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 3, 1, 26),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [2021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [2023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 3, 1, 25),
  [2025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [2033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 1, 1, 2),
  [2035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [2041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [2045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 2, 1, 3),
  [2047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [2049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [2057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [2059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [2061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [2063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [2067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14),
  [2069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [2071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [2077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [2079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [2087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1526),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [2095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [2099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [2101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [2107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [2111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [2113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [2117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [2121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [2125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [2131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [2133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [2139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [2171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [2179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [2183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [2187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [2189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [2191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [2193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [2199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [2203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [2205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [2207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [2211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [2215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [2217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [2219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [2221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [2227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [2231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [2281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_for_expression, 2, 0, 0), REDUCE(sym_for_expression, 3, 0, 0),
  [2284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [2286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_while_expression, 2, 0, 9), REDUCE(sym_while_expression, 3, 0, 15),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [2295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__switch_case_exp, 1, 0, 0),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [2313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 4, 1, 3),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [2331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [2339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 4, 1, 2),
  [2341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 2),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [2347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__switch_case_exp_repeat1, 2, 0, 0),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [2351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 5, 1, 3),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [2363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 3, 0, 25),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [2371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_for_expression, 4, 0, 0), REDUCE(sym_for_expression, 5, 0, 0),
  [2374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 31),
  [2376] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_while_expression, 4, 0, 9), REDUCE(sym_while_expression, 5, 0, 15),
  [2379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_while_expression, 5, 0, 9), REDUCE(sym_while_expression, 6, 0, 15),
  [2382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 30),
  [2384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 6, 1, 25),
  [2386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 3, 1, 2),
  [2388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 6, 1, 26),
  [2390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 7, 1, 30),
  [2392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 7, 1, 31),
  [2394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter, 2, 0, 3), REDUCE(sym_comptime_type_expression, 2, 0, 0),
  [2397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_call_expression_repeat1, 2, 0, 0),
  [2399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 2, 0, 3),
  [2401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 5, 1, 25),
  [2403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 5, 1, 26),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [2413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 6, 1, 30),
  [2415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 6, 1, 31),
  [2417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 3, 0, 26),
  [2419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__switch_case_exp_repeat1, 4, 0, 0),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [2429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 4, 0, 0),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [2435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__for_prefix_repeat1, 2, 0, 0),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [2447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 3, 0, 0),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [2457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 4, 0, 0),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [2469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [2473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [2477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [2503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [2505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [2507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [2509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [2511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [2513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [2521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [2525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [2527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [2529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [2539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [2543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__variable_declaration_expression_statement_repeat1, 2, 0, 0),
  [2545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__variable_declaration_expression_statement_repeat1, 2, 0, 0),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [2579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [2589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [2613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [2621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declaration_header, 2, 0, 0),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [2651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [2653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [2659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declaration_header, 5, 0, 32),
  [2661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [2663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declaration_header, 3, 0, 0),
  [2665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_clobbers, 1, 0, 0),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [2669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_clobbers, 4, 0, 0),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [2677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [2679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_clobbers, 3, 0, 0),
  [2681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [2687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_output, 4, 0, 0),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [2691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declaration_header, 4, 0, 0),
  [2693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_output, 3, 0, 0),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [2699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_input, 3, 0, 0),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [2703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_input, 1, 0, 0),
  [2705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declaration_header, 6, 0, 32),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [2709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_output, 2, 0, 0),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [2715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_input, 2, 0, 0),
  [2717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_output, 1, 0, 0),
  [2719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_input, 4, 0, 0),
  [2721] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_asm_output_repeat1, 2, 0, 0), SHIFT_REPEAT(1702),
  [2724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_asm_output_repeat1, 2, 0, 0),
  [2726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [2730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1583),
  [2732] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [2734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 5, 1, 31),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [2738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [2740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1583),
  [2743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1583),
  [2746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(430),
  [2749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 4, 1, 25),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [2753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 4, 1, 26),
  [2755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [2757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_label, 2, 0, 11),
  [2759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_label, 2, 0, 0),
  [2761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 5, 1, 30),
  [2763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [2765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [2769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [2779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 2, 1, 2),
  [2781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [2783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_asm_input_repeat1, 2, 0, 0), SHIFT_REPEAT(1721),
  [2786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_asm_input_repeat1, 2, 0, 0),
  [2788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 3, 1, 3),
  [2790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [2792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [2794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [2796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [2798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [2800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [2804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [2806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [2810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [2812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [2814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [2816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [2818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [2820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_payload_repeat1, 2, 0, 0), SHIFT_REPEAT(1515),
  [2823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_payload_repeat1, 2, 0, 0),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [2833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [2835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_output_item, 7, 0, 0),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [2843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_input_item, 7, 0, 0),
  [2845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_output_item, 8, 0, 0),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [2849] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_error_set_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1524),
  [2852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_error_set_declaration_repeat1, 2, 0, 0),
  [2854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__switch_case_exp_repeat1, 2, 0, 0), SHIFT_REPEAT(469),
  [2857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__for_prefix_repeat1, 2, 0, 0), SHIFT_REPEAT(425),
  [2860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [2862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [2864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__container_members, 2, 0, 0),
  [2866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(196),
  [2869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_expression_repeat1, 2, 0, 0),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [2881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declaration_header, 5, 0, 0),
  [2883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declaration_header, 7, 0, 32),
  [2885] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_asm_clobbers_repeat1, 2, 0, 0), SHIFT_REPEAT(1572),
  [2888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_asm_clobbers_repeat1, 2, 0, 0),
  [2890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(162),
  [2893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0),
  [2895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [2911] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1700),
  [2914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [2924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__variable_declaration_expression_statement_repeat1, 2, 0, 35), SHIFT_REPEAT(197),
  [2927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__variable_declaration_expression_statement_repeat1, 2, 0, 35),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [2937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [2953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_clobbers, 2, 0, 0),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [2967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [2985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [2989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [3007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [3011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1840),
  [3013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1760),
  [3015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__variable_declaration_expression_statement_repeat1, 2, 0, 12),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [3019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [3021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [3023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [3031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [3039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 0),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [3049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_payload_repeat1, 3, 0, 0),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [3057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [3065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [3083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [3089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [3101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_input, 5, 0, 0),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [3107] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [3127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [3153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1, 0, 0),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [3157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_output, 5, 0, 0),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_zig(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym__identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
